"Main interface for mediaconvert service type defs"
from __future__ import annotations

from datetime import datetime
from typing import Dict, List
from mypy_boto3.type_defs import Literal, TypedDict


__all__ = (
    "ClientCreateJobAccelerationSettingsTypeDef",
    "ClientCreateJobResponseJobAccelerationSettingsTypeDef",
    "ClientCreateJobResponseJobMessagesTypeDef",
    "ClientCreateJobResponseJobOutputGroupDetailsOutputDetailsVideoDetailsTypeDef",
    "ClientCreateJobResponseJobOutputGroupDetailsOutputDetailsTypeDef",
    "ClientCreateJobResponseJobOutputGroupDetailsTypeDef",
    "ClientCreateJobResponseJobSettingsAvailBlankingTypeDef",
    "ClientCreateJobResponseJobSettingsEsamManifestConfirmConditionNotificationTypeDef",
    "ClientCreateJobResponseJobSettingsEsamSignalProcessingNotificationTypeDef",
    "ClientCreateJobResponseJobSettingsEsamTypeDef",
    "ClientCreateJobResponseJobSettingsInputsAudioSelectorGroupsTypeDef",
    "ClientCreateJobResponseJobSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef",
    "ClientCreateJobResponseJobSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef",
    "ClientCreateJobResponseJobSettingsInputsAudioSelectorsRemixSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsInputsAudioSelectorsTypeDef",
    "ClientCreateJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsInputsCaptionSelectorsTypeDef",
    "ClientCreateJobResponseJobSettingsInputsCropTypeDef",
    "ClientCreateJobResponseJobSettingsInputsDecryptionSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsInputsImageInserterInsertableImagesTypeDef",
    "ClientCreateJobResponseJobSettingsInputsImageInserterTypeDef",
    "ClientCreateJobResponseJobSettingsInputsInputClippingsTypeDef",
    "ClientCreateJobResponseJobSettingsInputsPositionTypeDef",
    "ClientCreateJobResponseJobSettingsInputsVideoSelectorHdr10MetadataTypeDef",
    "ClientCreateJobResponseJobSettingsInputsVideoSelectorTypeDef",
    "ClientCreateJobResponseJobSettingsInputsTypeDef",
    "ClientCreateJobResponseJobSettingsMotionImageInserterFramerateTypeDef",
    "ClientCreateJobResponseJobSettingsMotionImageInserterOffsetTypeDef",
    "ClientCreateJobResponseJobSettingsMotionImageInserterTypeDef",
    "ClientCreateJobResponseJobSettingsNielsenConfigurationTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsOutputSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsOutputsTypeDef",
    "ClientCreateJobResponseJobSettingsOutputGroupsTypeDef",
    "ClientCreateJobResponseJobSettingsTimecodeConfigTypeDef",
    "ClientCreateJobResponseJobSettingsTimedMetadataInsertionId3InsertionsTypeDef",
    "ClientCreateJobResponseJobSettingsTimedMetadataInsertionTypeDef",
    "ClientCreateJobResponseJobSettingsTypeDef",
    "ClientCreateJobResponseJobTimingTypeDef",
    "ClientCreateJobResponseJobTypeDef",
    "ClientCreateJobResponseTypeDef",
    "ClientCreateJobSettingsAvailBlankingTypeDef",
    "ClientCreateJobSettingsEsamManifestConfirmConditionNotificationTypeDef",
    "ClientCreateJobSettingsEsamSignalProcessingNotificationTypeDef",
    "ClientCreateJobSettingsEsamTypeDef",
    "ClientCreateJobSettingsInputsAudioSelectorGroupsTypeDef",
    "ClientCreateJobSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef",
    "ClientCreateJobSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef",
    "ClientCreateJobSettingsInputsAudioSelectorsRemixSettingsTypeDef",
    "ClientCreateJobSettingsInputsAudioSelectorsTypeDef",
    "ClientCreateJobSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef",
    "ClientCreateJobSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef",
    "ClientCreateJobSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef",
    "ClientCreateJobSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef",
    "ClientCreateJobSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef",
    "ClientCreateJobSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef",
    "ClientCreateJobSettingsInputsCaptionSelectorsSourceSettingsTypeDef",
    "ClientCreateJobSettingsInputsCaptionSelectorsTypeDef",
    "ClientCreateJobSettingsInputsCropTypeDef",
    "ClientCreateJobSettingsInputsDecryptionSettingsTypeDef",
    "ClientCreateJobSettingsInputsImageInserterInsertableImagesTypeDef",
    "ClientCreateJobSettingsInputsImageInserterTypeDef",
    "ClientCreateJobSettingsInputsInputClippingsTypeDef",
    "ClientCreateJobSettingsInputsPositionTypeDef",
    "ClientCreateJobSettingsInputsVideoSelectorHdr10MetadataTypeDef",
    "ClientCreateJobSettingsInputsVideoSelectorTypeDef",
    "ClientCreateJobSettingsInputsTypeDef",
    "ClientCreateJobSettingsMotionImageInserterFramerateTypeDef",
    "ClientCreateJobSettingsMotionImageInserterOffsetTypeDef",
    "ClientCreateJobSettingsMotionImageInserterTypeDef",
    "ClientCreateJobSettingsNielsenConfigurationTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputGroupSettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsOutputSettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionTypeDef",
    "ClientCreateJobSettingsOutputGroupsOutputsTypeDef",
    "ClientCreateJobSettingsOutputGroupsTypeDef",
    "ClientCreateJobSettingsTimecodeConfigTypeDef",
    "ClientCreateJobSettingsTimedMetadataInsertionId3InsertionsTypeDef",
    "ClientCreateJobSettingsTimedMetadataInsertionTypeDef",
    "ClientCreateJobSettingsTypeDef",
    "ClientCreateJobTemplateAccelerationSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateAccelerationSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsAvailBlankingTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsEsamManifestConfirmConditionNotificationTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsEsamSignalProcessingNotificationTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsEsamTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorGroupsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsInputsCropTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsInputsImageInserterInsertableImagesTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsInputsImageInserterTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsInputsInputClippingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsInputsPositionTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsInputsVideoSelectorHdr10MetadataTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsInputsVideoSelectorTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsInputsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsMotionImageInserterFramerateTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsMotionImageInserterOffsetTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsMotionImageInserterTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsNielsenConfigurationTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsOutputSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsTimecodeConfigTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsTimedMetadataInsertionId3InsertionsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsTimedMetadataInsertionTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateSettingsTypeDef",
    "ClientCreateJobTemplateResponseJobTemplateTypeDef",
    "ClientCreateJobTemplateResponseTypeDef",
    "ClientCreateJobTemplateSettingsAvailBlankingTypeDef",
    "ClientCreateJobTemplateSettingsEsamManifestConfirmConditionNotificationTypeDef",
    "ClientCreateJobTemplateSettingsEsamSignalProcessingNotificationTypeDef",
    "ClientCreateJobTemplateSettingsEsamTypeDef",
    "ClientCreateJobTemplateSettingsInputsAudioSelectorGroupsTypeDef",
    "ClientCreateJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef",
    "ClientCreateJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef",
    "ClientCreateJobTemplateSettingsInputsAudioSelectorsRemixSettingsTypeDef",
    "ClientCreateJobTemplateSettingsInputsAudioSelectorsTypeDef",
    "ClientCreateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef",
    "ClientCreateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef",
    "ClientCreateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef",
    "ClientCreateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef",
    "ClientCreateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef",
    "ClientCreateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef",
    "ClientCreateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTypeDef",
    "ClientCreateJobTemplateSettingsInputsCaptionSelectorsTypeDef",
    "ClientCreateJobTemplateSettingsInputsCropTypeDef",
    "ClientCreateJobTemplateSettingsInputsImageInserterInsertableImagesTypeDef",
    "ClientCreateJobTemplateSettingsInputsImageInserterTypeDef",
    "ClientCreateJobTemplateSettingsInputsInputClippingsTypeDef",
    "ClientCreateJobTemplateSettingsInputsPositionTypeDef",
    "ClientCreateJobTemplateSettingsInputsVideoSelectorHdr10MetadataTypeDef",
    "ClientCreateJobTemplateSettingsInputsVideoSelectorTypeDef",
    "ClientCreateJobTemplateSettingsInputsTypeDef",
    "ClientCreateJobTemplateSettingsMotionImageInserterFramerateTypeDef",
    "ClientCreateJobTemplateSettingsMotionImageInserterOffsetTypeDef",
    "ClientCreateJobTemplateSettingsMotionImageInserterTypeDef",
    "ClientCreateJobTemplateSettingsNielsenConfigurationTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsOutputSettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsOutputsTypeDef",
    "ClientCreateJobTemplateSettingsOutputGroupsTypeDef",
    "ClientCreateJobTemplateSettingsTimecodeConfigTypeDef",
    "ClientCreateJobTemplateSettingsTimedMetadataInsertionId3InsertionsTypeDef",
    "ClientCreateJobTemplateSettingsTimedMetadataInsertionTypeDef",
    "ClientCreateJobTemplateSettingsTypeDef",
    "ClientCreatePresetResponsePresetSettingsAudioDescriptionsAudioNormalizationSettingsTypeDef",
    "ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsAacSettingsTypeDef",
    "ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsAc3SettingsTypeDef",
    "ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsAiffSettingsTypeDef",
    "ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef",
    "ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsEac3SettingsTypeDef",
    "ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsMp2SettingsTypeDef",
    "ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsWavSettingsTypeDef",
    "ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsTypeDef",
    "ClientCreatePresetResponsePresetSettingsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef",
    "ClientCreatePresetResponsePresetSettingsAudioDescriptionsRemixSettingsChannelMappingTypeDef",
    "ClientCreatePresetResponsePresetSettingsAudioDescriptionsRemixSettingsTypeDef",
    "ClientCreatePresetResponsePresetSettingsAudioDescriptionsTypeDef",
    "ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef",
    "ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef",
    "ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef",
    "ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef",
    "ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef",
    "ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef",
    "ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef",
    "ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTypeDef",
    "ClientCreatePresetResponsePresetSettingsCaptionDescriptionsTypeDef",
    "ClientCreatePresetResponsePresetSettingsContainerSettingsF4vSettingsTypeDef",
    "ClientCreatePresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef",
    "ClientCreatePresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef",
    "ClientCreatePresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef",
    "ClientCreatePresetResponsePresetSettingsContainerSettingsM2tsSettingsScte35EsamTypeDef",
    "ClientCreatePresetResponsePresetSettingsContainerSettingsM2tsSettingsTypeDef",
    "ClientCreatePresetResponsePresetSettingsContainerSettingsM3u8SettingsTypeDef",
    "ClientCreatePresetResponsePresetSettingsContainerSettingsMovSettingsTypeDef",
    "ClientCreatePresetResponsePresetSettingsContainerSettingsMp4SettingsTypeDef",
    "ClientCreatePresetResponsePresetSettingsContainerSettingsMpdSettingsTypeDef",
    "ClientCreatePresetResponsePresetSettingsContainerSettingsTypeDef",
    "ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef",
    "ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef",
    "ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH264SettingsTypeDef",
    "ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef",
    "ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH265SettingsTypeDef",
    "ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef",
    "ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsProresSettingsTypeDef",
    "ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsTypeDef",
    "ClientCreatePresetResponsePresetSettingsVideoDescriptionCropTypeDef",
    "ClientCreatePresetResponsePresetSettingsVideoDescriptionPositionTypeDef",
    "ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef",
    "ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef",
    "ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef",
    "ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef",
    "ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef",
    "ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef",
    "ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterTypeDef",
    "ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef",
    "ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef",
    "ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef",
    "ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef",
    "ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef",
    "ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsTypeDef",
    "ClientCreatePresetResponsePresetSettingsVideoDescriptionTypeDef",
    "ClientCreatePresetResponsePresetSettingsTypeDef",
    "ClientCreatePresetResponsePresetTypeDef",
    "ClientCreatePresetResponseTypeDef",
    "ClientCreatePresetSettingsAudioDescriptionsAudioNormalizationSettingsTypeDef",
    "ClientCreatePresetSettingsAudioDescriptionsCodecSettingsAacSettingsTypeDef",
    "ClientCreatePresetSettingsAudioDescriptionsCodecSettingsAc3SettingsTypeDef",
    "ClientCreatePresetSettingsAudioDescriptionsCodecSettingsAiffSettingsTypeDef",
    "ClientCreatePresetSettingsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef",
    "ClientCreatePresetSettingsAudioDescriptionsCodecSettingsEac3SettingsTypeDef",
    "ClientCreatePresetSettingsAudioDescriptionsCodecSettingsMp2SettingsTypeDef",
    "ClientCreatePresetSettingsAudioDescriptionsCodecSettingsWavSettingsTypeDef",
    "ClientCreatePresetSettingsAudioDescriptionsCodecSettingsTypeDef",
    "ClientCreatePresetSettingsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef",
    "ClientCreatePresetSettingsAudioDescriptionsRemixSettingsChannelMappingTypeDef",
    "ClientCreatePresetSettingsAudioDescriptionsRemixSettingsTypeDef",
    "ClientCreatePresetSettingsAudioDescriptionsTypeDef",
    "ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef",
    "ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef",
    "ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef",
    "ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef",
    "ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef",
    "ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef",
    "ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef",
    "ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsTypeDef",
    "ClientCreatePresetSettingsCaptionDescriptionsTypeDef",
    "ClientCreatePresetSettingsContainerSettingsF4vSettingsTypeDef",
    "ClientCreatePresetSettingsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef",
    "ClientCreatePresetSettingsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef",
    "ClientCreatePresetSettingsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef",
    "ClientCreatePresetSettingsContainerSettingsM2tsSettingsScte35EsamTypeDef",
    "ClientCreatePresetSettingsContainerSettingsM2tsSettingsTypeDef",
    "ClientCreatePresetSettingsContainerSettingsM3u8SettingsTypeDef",
    "ClientCreatePresetSettingsContainerSettingsMovSettingsTypeDef",
    "ClientCreatePresetSettingsContainerSettingsMp4SettingsTypeDef",
    "ClientCreatePresetSettingsContainerSettingsMpdSettingsTypeDef",
    "ClientCreatePresetSettingsContainerSettingsTypeDef",
    "ClientCreatePresetSettingsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef",
    "ClientCreatePresetSettingsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef",
    "ClientCreatePresetSettingsVideoDescriptionCodecSettingsH264SettingsTypeDef",
    "ClientCreatePresetSettingsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef",
    "ClientCreatePresetSettingsVideoDescriptionCodecSettingsH265SettingsTypeDef",
    "ClientCreatePresetSettingsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef",
    "ClientCreatePresetSettingsVideoDescriptionCodecSettingsProresSettingsTypeDef",
    "ClientCreatePresetSettingsVideoDescriptionCodecSettingsTypeDef",
    "ClientCreatePresetSettingsVideoDescriptionCropTypeDef",
    "ClientCreatePresetSettingsVideoDescriptionPositionTypeDef",
    "ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef",
    "ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef",
    "ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef",
    "ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef",
    "ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef",
    "ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef",
    "ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterTypeDef",
    "ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef",
    "ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef",
    "ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef",
    "ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef",
    "ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef",
    "ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsTypeDef",
    "ClientCreatePresetSettingsVideoDescriptionTypeDef",
    "ClientCreatePresetSettingsTypeDef",
    "ClientCreateQueueReservationPlanSettingsTypeDef",
    "ClientCreateQueueResponseQueueReservationPlanTypeDef",
    "ClientCreateQueueResponseQueueTypeDef",
    "ClientCreateQueueResponseTypeDef",
    "ClientDescribeEndpointsResponseEndpointsTypeDef",
    "ClientDescribeEndpointsResponseTypeDef",
    "ClientGetJobResponseJobAccelerationSettingsTypeDef",
    "ClientGetJobResponseJobMessagesTypeDef",
    "ClientGetJobResponseJobOutputGroupDetailsOutputDetailsVideoDetailsTypeDef",
    "ClientGetJobResponseJobOutputGroupDetailsOutputDetailsTypeDef",
    "ClientGetJobResponseJobOutputGroupDetailsTypeDef",
    "ClientGetJobResponseJobSettingsAvailBlankingTypeDef",
    "ClientGetJobResponseJobSettingsEsamManifestConfirmConditionNotificationTypeDef",
    "ClientGetJobResponseJobSettingsEsamSignalProcessingNotificationTypeDef",
    "ClientGetJobResponseJobSettingsEsamTypeDef",
    "ClientGetJobResponseJobSettingsInputsAudioSelectorGroupsTypeDef",
    "ClientGetJobResponseJobSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef",
    "ClientGetJobResponseJobSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef",
    "ClientGetJobResponseJobSettingsInputsAudioSelectorsRemixSettingsTypeDef",
    "ClientGetJobResponseJobSettingsInputsAudioSelectorsTypeDef",
    "ClientGetJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef",
    "ClientGetJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef",
    "ClientGetJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef",
    "ClientGetJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef",
    "ClientGetJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef",
    "ClientGetJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef",
    "ClientGetJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsTypeDef",
    "ClientGetJobResponseJobSettingsInputsCaptionSelectorsTypeDef",
    "ClientGetJobResponseJobSettingsInputsCropTypeDef",
    "ClientGetJobResponseJobSettingsInputsDecryptionSettingsTypeDef",
    "ClientGetJobResponseJobSettingsInputsImageInserterInsertableImagesTypeDef",
    "ClientGetJobResponseJobSettingsInputsImageInserterTypeDef",
    "ClientGetJobResponseJobSettingsInputsInputClippingsTypeDef",
    "ClientGetJobResponseJobSettingsInputsPositionTypeDef",
    "ClientGetJobResponseJobSettingsInputsVideoSelectorHdr10MetadataTypeDef",
    "ClientGetJobResponseJobSettingsInputsVideoSelectorTypeDef",
    "ClientGetJobResponseJobSettingsInputsTypeDef",
    "ClientGetJobResponseJobSettingsMotionImageInserterFramerateTypeDef",
    "ClientGetJobResponseJobSettingsMotionImageInserterOffsetTypeDef",
    "ClientGetJobResponseJobSettingsMotionImageInserterTypeDef",
    "ClientGetJobResponseJobSettingsNielsenConfigurationTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsOutputSettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsOutputsTypeDef",
    "ClientGetJobResponseJobSettingsOutputGroupsTypeDef",
    "ClientGetJobResponseJobSettingsTimecodeConfigTypeDef",
    "ClientGetJobResponseJobSettingsTimedMetadataInsertionId3InsertionsTypeDef",
    "ClientGetJobResponseJobSettingsTimedMetadataInsertionTypeDef",
    "ClientGetJobResponseJobSettingsTypeDef",
    "ClientGetJobResponseJobTimingTypeDef",
    "ClientGetJobResponseJobTypeDef",
    "ClientGetJobResponseTypeDef",
    "ClientGetJobTemplateResponseJobTemplateAccelerationSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsAvailBlankingTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsEsamManifestConfirmConditionNotificationTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsEsamSignalProcessingNotificationTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsEsamTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsInputsAudioSelectorGroupsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsInputsCropTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsInputsImageInserterInsertableImagesTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsInputsImageInserterTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsInputsInputClippingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsInputsPositionTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsInputsVideoSelectorHdr10MetadataTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsInputsVideoSelectorTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsInputsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsMotionImageInserterFramerateTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsMotionImageInserterOffsetTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsMotionImageInserterTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsNielsenConfigurationTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsOutputSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsTimecodeConfigTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsTimedMetadataInsertionId3InsertionsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsTimedMetadataInsertionTypeDef",
    "ClientGetJobTemplateResponseJobTemplateSettingsTypeDef",
    "ClientGetJobTemplateResponseJobTemplateTypeDef",
    "ClientGetJobTemplateResponseTypeDef",
    "ClientGetPresetResponsePresetSettingsAudioDescriptionsAudioNormalizationSettingsTypeDef",
    "ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsAacSettingsTypeDef",
    "ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsAc3SettingsTypeDef",
    "ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsAiffSettingsTypeDef",
    "ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef",
    "ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsEac3SettingsTypeDef",
    "ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsMp2SettingsTypeDef",
    "ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsWavSettingsTypeDef",
    "ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsTypeDef",
    "ClientGetPresetResponsePresetSettingsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef",
    "ClientGetPresetResponsePresetSettingsAudioDescriptionsRemixSettingsChannelMappingTypeDef",
    "ClientGetPresetResponsePresetSettingsAudioDescriptionsRemixSettingsTypeDef",
    "ClientGetPresetResponsePresetSettingsAudioDescriptionsTypeDef",
    "ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef",
    "ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef",
    "ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef",
    "ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef",
    "ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef",
    "ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef",
    "ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef",
    "ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTypeDef",
    "ClientGetPresetResponsePresetSettingsCaptionDescriptionsTypeDef",
    "ClientGetPresetResponsePresetSettingsContainerSettingsF4vSettingsTypeDef",
    "ClientGetPresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef",
    "ClientGetPresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef",
    "ClientGetPresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef",
    "ClientGetPresetResponsePresetSettingsContainerSettingsM2tsSettingsScte35EsamTypeDef",
    "ClientGetPresetResponsePresetSettingsContainerSettingsM2tsSettingsTypeDef",
    "ClientGetPresetResponsePresetSettingsContainerSettingsM3u8SettingsTypeDef",
    "ClientGetPresetResponsePresetSettingsContainerSettingsMovSettingsTypeDef",
    "ClientGetPresetResponsePresetSettingsContainerSettingsMp4SettingsTypeDef",
    "ClientGetPresetResponsePresetSettingsContainerSettingsMpdSettingsTypeDef",
    "ClientGetPresetResponsePresetSettingsContainerSettingsTypeDef",
    "ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef",
    "ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef",
    "ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsH264SettingsTypeDef",
    "ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef",
    "ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsH265SettingsTypeDef",
    "ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef",
    "ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsProresSettingsTypeDef",
    "ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsTypeDef",
    "ClientGetPresetResponsePresetSettingsVideoDescriptionCropTypeDef",
    "ClientGetPresetResponsePresetSettingsVideoDescriptionPositionTypeDef",
    "ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef",
    "ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef",
    "ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef",
    "ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef",
    "ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef",
    "ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef",
    "ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterTypeDef",
    "ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef",
    "ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef",
    "ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef",
    "ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef",
    "ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef",
    "ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsTypeDef",
    "ClientGetPresetResponsePresetSettingsVideoDescriptionTypeDef",
    "ClientGetPresetResponsePresetSettingsTypeDef",
    "ClientGetPresetResponsePresetTypeDef",
    "ClientGetPresetResponseTypeDef",
    "ClientGetQueueResponseQueueReservationPlanTypeDef",
    "ClientGetQueueResponseQueueTypeDef",
    "ClientGetQueueResponseTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesAccelerationSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsAvailBlankingTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsEsamManifestConfirmConditionNotificationTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsEsamSignalProcessingNotificationTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsEsamTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsInputsAudioSelectorGroupsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsInputsAudioSelectorsRemixSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsInputsAudioSelectorsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsInputsCropTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsInputsImageInserterInsertableImagesTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsInputsImageInserterTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsInputsInputClippingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsInputsPositionTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsInputsVideoSelectorHdr10MetadataTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsInputsVideoSelectorTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsInputsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsMotionImageInserterFramerateTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsMotionImageInserterOffsetTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsMotionImageInserterTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsNielsenConfigurationTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsOutputSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsTimecodeConfigTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsTimedMetadataInsertionId3InsertionsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsTimedMetadataInsertionTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesSettingsTypeDef",
    "ClientListJobTemplatesResponseJobTemplatesTypeDef",
    "ClientListJobTemplatesResponseTypeDef",
    "ClientListJobsResponseJobsAccelerationSettingsTypeDef",
    "ClientListJobsResponseJobsMessagesTypeDef",
    "ClientListJobsResponseJobsOutputGroupDetailsOutputDetailsVideoDetailsTypeDef",
    "ClientListJobsResponseJobsOutputGroupDetailsOutputDetailsTypeDef",
    "ClientListJobsResponseJobsOutputGroupDetailsTypeDef",
    "ClientListJobsResponseJobsSettingsAvailBlankingTypeDef",
    "ClientListJobsResponseJobsSettingsEsamManifestConfirmConditionNotificationTypeDef",
    "ClientListJobsResponseJobsSettingsEsamSignalProcessingNotificationTypeDef",
    "ClientListJobsResponseJobsSettingsEsamTypeDef",
    "ClientListJobsResponseJobsSettingsInputsAudioSelectorGroupsTypeDef",
    "ClientListJobsResponseJobsSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef",
    "ClientListJobsResponseJobsSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef",
    "ClientListJobsResponseJobsSettingsInputsAudioSelectorsRemixSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsInputsAudioSelectorsTypeDef",
    "ClientListJobsResponseJobsSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsInputsCaptionSelectorsSourceSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsInputsCaptionSelectorsTypeDef",
    "ClientListJobsResponseJobsSettingsInputsCropTypeDef",
    "ClientListJobsResponseJobsSettingsInputsDecryptionSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsInputsImageInserterInsertableImagesTypeDef",
    "ClientListJobsResponseJobsSettingsInputsImageInserterTypeDef",
    "ClientListJobsResponseJobsSettingsInputsInputClippingsTypeDef",
    "ClientListJobsResponseJobsSettingsInputsPositionTypeDef",
    "ClientListJobsResponseJobsSettingsInputsVideoSelectorHdr10MetadataTypeDef",
    "ClientListJobsResponseJobsSettingsInputsVideoSelectorTypeDef",
    "ClientListJobsResponseJobsSettingsInputsTypeDef",
    "ClientListJobsResponseJobsSettingsMotionImageInserterFramerateTypeDef",
    "ClientListJobsResponseJobsSettingsMotionImageInserterOffsetTypeDef",
    "ClientListJobsResponseJobsSettingsMotionImageInserterTypeDef",
    "ClientListJobsResponseJobsSettingsNielsenConfigurationTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsOutputSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsOutputsTypeDef",
    "ClientListJobsResponseJobsSettingsOutputGroupsTypeDef",
    "ClientListJobsResponseJobsSettingsTimecodeConfigTypeDef",
    "ClientListJobsResponseJobsSettingsTimedMetadataInsertionId3InsertionsTypeDef",
    "ClientListJobsResponseJobsSettingsTimedMetadataInsertionTypeDef",
    "ClientListJobsResponseJobsSettingsTypeDef",
    "ClientListJobsResponseJobsTimingTypeDef",
    "ClientListJobsResponseJobsTypeDef",
    "ClientListJobsResponseTypeDef",
    "ClientListPresetsResponsePresetsSettingsAudioDescriptionsAudioNormalizationSettingsTypeDef",
    "ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsAacSettingsTypeDef",
    "ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsAc3SettingsTypeDef",
    "ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsAiffSettingsTypeDef",
    "ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef",
    "ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsEac3SettingsTypeDef",
    "ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsMp2SettingsTypeDef",
    "ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsWavSettingsTypeDef",
    "ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsTypeDef",
    "ClientListPresetsResponsePresetsSettingsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef",
    "ClientListPresetsResponsePresetsSettingsAudioDescriptionsRemixSettingsChannelMappingTypeDef",
    "ClientListPresetsResponsePresetsSettingsAudioDescriptionsRemixSettingsTypeDef",
    "ClientListPresetsResponsePresetsSettingsAudioDescriptionsTypeDef",
    "ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef",
    "ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef",
    "ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef",
    "ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef",
    "ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef",
    "ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef",
    "ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef",
    "ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsTypeDef",
    "ClientListPresetsResponsePresetsSettingsCaptionDescriptionsTypeDef",
    "ClientListPresetsResponsePresetsSettingsContainerSettingsF4vSettingsTypeDef",
    "ClientListPresetsResponsePresetsSettingsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef",
    "ClientListPresetsResponsePresetsSettingsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef",
    "ClientListPresetsResponsePresetsSettingsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef",
    "ClientListPresetsResponsePresetsSettingsContainerSettingsM2tsSettingsScte35EsamTypeDef",
    "ClientListPresetsResponsePresetsSettingsContainerSettingsM2tsSettingsTypeDef",
    "ClientListPresetsResponsePresetsSettingsContainerSettingsM3u8SettingsTypeDef",
    "ClientListPresetsResponsePresetsSettingsContainerSettingsMovSettingsTypeDef",
    "ClientListPresetsResponsePresetsSettingsContainerSettingsMp4SettingsTypeDef",
    "ClientListPresetsResponsePresetsSettingsContainerSettingsMpdSettingsTypeDef",
    "ClientListPresetsResponsePresetsSettingsContainerSettingsTypeDef",
    "ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef",
    "ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef",
    "ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsH264SettingsTypeDef",
    "ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef",
    "ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsH265SettingsTypeDef",
    "ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef",
    "ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsProresSettingsTypeDef",
    "ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsTypeDef",
    "ClientListPresetsResponsePresetsSettingsVideoDescriptionCropTypeDef",
    "ClientListPresetsResponsePresetsSettingsVideoDescriptionPositionTypeDef",
    "ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef",
    "ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef",
    "ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef",
    "ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef",
    "ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef",
    "ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef",
    "ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsImageInserterTypeDef",
    "ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef",
    "ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef",
    "ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef",
    "ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef",
    "ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef",
    "ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsTypeDef",
    "ClientListPresetsResponsePresetsSettingsVideoDescriptionTypeDef",
    "ClientListPresetsResponsePresetsSettingsTypeDef",
    "ClientListPresetsResponsePresetsTypeDef",
    "ClientListPresetsResponseTypeDef",
    "ClientListQueuesResponseQueuesReservationPlanTypeDef",
    "ClientListQueuesResponseQueuesTypeDef",
    "ClientListQueuesResponseTypeDef",
    "ClientListTagsForResourceResponseResourceTagsTypeDef",
    "ClientListTagsForResourceResponseTypeDef",
    "ClientUpdateJobTemplateAccelerationSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateAccelerationSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsAvailBlankingTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsEsamManifestConfirmConditionNotificationTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsEsamSignalProcessingNotificationTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsEsamTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorGroupsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCropTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsInputsImageInserterInsertableImagesTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsInputsImageInserterTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsInputsInputClippingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsInputsPositionTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsInputsVideoSelectorHdr10MetadataTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsInputsVideoSelectorTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsInputsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsMotionImageInserterFramerateTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsMotionImageInserterOffsetTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsMotionImageInserterTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsNielsenConfigurationTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsOutputSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsTimecodeConfigTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsTimedMetadataInsertionId3InsertionsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsTimedMetadataInsertionTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateSettingsTypeDef",
    "ClientUpdateJobTemplateResponseJobTemplateTypeDef",
    "ClientUpdateJobTemplateResponseTypeDef",
    "ClientUpdateJobTemplateSettingsAvailBlankingTypeDef",
    "ClientUpdateJobTemplateSettingsEsamManifestConfirmConditionNotificationTypeDef",
    "ClientUpdateJobTemplateSettingsEsamSignalProcessingNotificationTypeDef",
    "ClientUpdateJobTemplateSettingsEsamTypeDef",
    "ClientUpdateJobTemplateSettingsInputsAudioSelectorGroupsTypeDef",
    "ClientUpdateJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef",
    "ClientUpdateJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef",
    "ClientUpdateJobTemplateSettingsInputsAudioSelectorsRemixSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsInputsAudioSelectorsTypeDef",
    "ClientUpdateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsInputsCaptionSelectorsTypeDef",
    "ClientUpdateJobTemplateSettingsInputsCropTypeDef",
    "ClientUpdateJobTemplateSettingsInputsImageInserterInsertableImagesTypeDef",
    "ClientUpdateJobTemplateSettingsInputsImageInserterTypeDef",
    "ClientUpdateJobTemplateSettingsInputsInputClippingsTypeDef",
    "ClientUpdateJobTemplateSettingsInputsPositionTypeDef",
    "ClientUpdateJobTemplateSettingsInputsVideoSelectorHdr10MetadataTypeDef",
    "ClientUpdateJobTemplateSettingsInputsVideoSelectorTypeDef",
    "ClientUpdateJobTemplateSettingsInputsTypeDef",
    "ClientUpdateJobTemplateSettingsMotionImageInserterFramerateTypeDef",
    "ClientUpdateJobTemplateSettingsMotionImageInserterOffsetTypeDef",
    "ClientUpdateJobTemplateSettingsMotionImageInserterTypeDef",
    "ClientUpdateJobTemplateSettingsNielsenConfigurationTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsOutputSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsOutputsTypeDef",
    "ClientUpdateJobTemplateSettingsOutputGroupsTypeDef",
    "ClientUpdateJobTemplateSettingsTimecodeConfigTypeDef",
    "ClientUpdateJobTemplateSettingsTimedMetadataInsertionId3InsertionsTypeDef",
    "ClientUpdateJobTemplateSettingsTimedMetadataInsertionTypeDef",
    "ClientUpdateJobTemplateSettingsTypeDef",
    "ClientUpdatePresetResponsePresetSettingsAudioDescriptionsAudioNormalizationSettingsTypeDef",
    "ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsAacSettingsTypeDef",
    "ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsAc3SettingsTypeDef",
    "ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsAiffSettingsTypeDef",
    "ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef",
    "ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsEac3SettingsTypeDef",
    "ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsMp2SettingsTypeDef",
    "ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsWavSettingsTypeDef",
    "ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsTypeDef",
    "ClientUpdatePresetResponsePresetSettingsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef",
    "ClientUpdatePresetResponsePresetSettingsAudioDescriptionsRemixSettingsChannelMappingTypeDef",
    "ClientUpdatePresetResponsePresetSettingsAudioDescriptionsRemixSettingsTypeDef",
    "ClientUpdatePresetResponsePresetSettingsAudioDescriptionsTypeDef",
    "ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef",
    "ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef",
    "ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef",
    "ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef",
    "ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef",
    "ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef",
    "ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef",
    "ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTypeDef",
    "ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsTypeDef",
    "ClientUpdatePresetResponsePresetSettingsContainerSettingsF4vSettingsTypeDef",
    "ClientUpdatePresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef",
    "ClientUpdatePresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef",
    "ClientUpdatePresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef",
    "ClientUpdatePresetResponsePresetSettingsContainerSettingsM2tsSettingsScte35EsamTypeDef",
    "ClientUpdatePresetResponsePresetSettingsContainerSettingsM2tsSettingsTypeDef",
    "ClientUpdatePresetResponsePresetSettingsContainerSettingsM3u8SettingsTypeDef",
    "ClientUpdatePresetResponsePresetSettingsContainerSettingsMovSettingsTypeDef",
    "ClientUpdatePresetResponsePresetSettingsContainerSettingsMp4SettingsTypeDef",
    "ClientUpdatePresetResponsePresetSettingsContainerSettingsMpdSettingsTypeDef",
    "ClientUpdatePresetResponsePresetSettingsContainerSettingsTypeDef",
    "ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef",
    "ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef",
    "ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH264SettingsTypeDef",
    "ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef",
    "ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH265SettingsTypeDef",
    "ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef",
    "ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsProresSettingsTypeDef",
    "ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsTypeDef",
    "ClientUpdatePresetResponsePresetSettingsVideoDescriptionCropTypeDef",
    "ClientUpdatePresetResponsePresetSettingsVideoDescriptionPositionTypeDef",
    "ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef",
    "ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef",
    "ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef",
    "ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef",
    "ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef",
    "ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef",
    "ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterTypeDef",
    "ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef",
    "ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef",
    "ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef",
    "ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef",
    "ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef",
    "ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsTypeDef",
    "ClientUpdatePresetResponsePresetSettingsVideoDescriptionTypeDef",
    "ClientUpdatePresetResponsePresetSettingsTypeDef",
    "ClientUpdatePresetResponsePresetTypeDef",
    "ClientUpdatePresetResponseTypeDef",
    "ClientUpdatePresetSettingsAudioDescriptionsAudioNormalizationSettingsTypeDef",
    "ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsAacSettingsTypeDef",
    "ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsAc3SettingsTypeDef",
    "ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsAiffSettingsTypeDef",
    "ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef",
    "ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsEac3SettingsTypeDef",
    "ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsMp2SettingsTypeDef",
    "ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsWavSettingsTypeDef",
    "ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsTypeDef",
    "ClientUpdatePresetSettingsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef",
    "ClientUpdatePresetSettingsAudioDescriptionsRemixSettingsChannelMappingTypeDef",
    "ClientUpdatePresetSettingsAudioDescriptionsRemixSettingsTypeDef",
    "ClientUpdatePresetSettingsAudioDescriptionsTypeDef",
    "ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef",
    "ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef",
    "ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef",
    "ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef",
    "ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef",
    "ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef",
    "ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef",
    "ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsTypeDef",
    "ClientUpdatePresetSettingsCaptionDescriptionsTypeDef",
    "ClientUpdatePresetSettingsContainerSettingsF4vSettingsTypeDef",
    "ClientUpdatePresetSettingsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef",
    "ClientUpdatePresetSettingsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef",
    "ClientUpdatePresetSettingsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef",
    "ClientUpdatePresetSettingsContainerSettingsM2tsSettingsScte35EsamTypeDef",
    "ClientUpdatePresetSettingsContainerSettingsM2tsSettingsTypeDef",
    "ClientUpdatePresetSettingsContainerSettingsM3u8SettingsTypeDef",
    "ClientUpdatePresetSettingsContainerSettingsMovSettingsTypeDef",
    "ClientUpdatePresetSettingsContainerSettingsMp4SettingsTypeDef",
    "ClientUpdatePresetSettingsContainerSettingsMpdSettingsTypeDef",
    "ClientUpdatePresetSettingsContainerSettingsTypeDef",
    "ClientUpdatePresetSettingsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef",
    "ClientUpdatePresetSettingsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef",
    "ClientUpdatePresetSettingsVideoDescriptionCodecSettingsH264SettingsTypeDef",
    "ClientUpdatePresetSettingsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef",
    "ClientUpdatePresetSettingsVideoDescriptionCodecSettingsH265SettingsTypeDef",
    "ClientUpdatePresetSettingsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef",
    "ClientUpdatePresetSettingsVideoDescriptionCodecSettingsProresSettingsTypeDef",
    "ClientUpdatePresetSettingsVideoDescriptionCodecSettingsTypeDef",
    "ClientUpdatePresetSettingsVideoDescriptionCropTypeDef",
    "ClientUpdatePresetSettingsVideoDescriptionPositionTypeDef",
    "ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef",
    "ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef",
    "ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef",
    "ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef",
    "ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef",
    "ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef",
    "ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterTypeDef",
    "ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef",
    "ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef",
    "ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef",
    "ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef",
    "ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef",
    "ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsTypeDef",
    "ClientUpdatePresetSettingsVideoDescriptionTypeDef",
    "ClientUpdatePresetSettingsTypeDef",
    "ClientUpdateQueueReservationPlanSettingsTypeDef",
    "ClientUpdateQueueResponseQueueReservationPlanTypeDef",
    "ClientUpdateQueueResponseQueueTypeDef",
    "ClientUpdateQueueResponseTypeDef",
    "DescribeEndpointsPaginatePaginationConfigTypeDef",
    "DescribeEndpointsPaginateResponseEndpointsTypeDef",
    "DescribeEndpointsPaginateResponseTypeDef",
    "ListJobTemplatesPaginatePaginationConfigTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesAccelerationSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsAvailBlankingTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsEsamManifestConfirmConditionNotificationTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsEsamSignalProcessingNotificationTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsEsamTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsAudioSelectorGroupsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsAudioSelectorsRemixSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsAudioSelectorsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCropTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsImageInserterInsertableImagesTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsImageInserterTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsInputClippingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsPositionTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsVideoSelectorHdr10MetadataTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsVideoSelectorTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsMotionImageInserterFramerateTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsMotionImageInserterOffsetTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsMotionImageInserterTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsNielsenConfigurationTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsOutputSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsTimecodeConfigTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsTimedMetadataInsertionId3InsertionsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsTimedMetadataInsertionTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesSettingsTypeDef",
    "ListJobTemplatesPaginateResponseJobTemplatesTypeDef",
    "ListJobTemplatesPaginateResponseTypeDef",
    "ListJobsPaginatePaginationConfigTypeDef",
    "ListJobsPaginateResponseJobsAccelerationSettingsTypeDef",
    "ListJobsPaginateResponseJobsMessagesTypeDef",
    "ListJobsPaginateResponseJobsOutputGroupDetailsOutputDetailsVideoDetailsTypeDef",
    "ListJobsPaginateResponseJobsOutputGroupDetailsOutputDetailsTypeDef",
    "ListJobsPaginateResponseJobsOutputGroupDetailsTypeDef",
    "ListJobsPaginateResponseJobsSettingsAvailBlankingTypeDef",
    "ListJobsPaginateResponseJobsSettingsEsamManifestConfirmConditionNotificationTypeDef",
    "ListJobsPaginateResponseJobsSettingsEsamSignalProcessingNotificationTypeDef",
    "ListJobsPaginateResponseJobsSettingsEsamTypeDef",
    "ListJobsPaginateResponseJobsSettingsInputsAudioSelectorGroupsTypeDef",
    "ListJobsPaginateResponseJobsSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef",
    "ListJobsPaginateResponseJobsSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef",
    "ListJobsPaginateResponseJobsSettingsInputsAudioSelectorsRemixSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsInputsAudioSelectorsTypeDef",
    "ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsSourceSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsTypeDef",
    "ListJobsPaginateResponseJobsSettingsInputsCropTypeDef",
    "ListJobsPaginateResponseJobsSettingsInputsDecryptionSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsInputsImageInserterInsertableImagesTypeDef",
    "ListJobsPaginateResponseJobsSettingsInputsImageInserterTypeDef",
    "ListJobsPaginateResponseJobsSettingsInputsInputClippingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsInputsPositionTypeDef",
    "ListJobsPaginateResponseJobsSettingsInputsVideoSelectorHdr10MetadataTypeDef",
    "ListJobsPaginateResponseJobsSettingsInputsVideoSelectorTypeDef",
    "ListJobsPaginateResponseJobsSettingsInputsTypeDef",
    "ListJobsPaginateResponseJobsSettingsMotionImageInserterFramerateTypeDef",
    "ListJobsPaginateResponseJobsSettingsMotionImageInserterOffsetTypeDef",
    "ListJobsPaginateResponseJobsSettingsMotionImageInserterTypeDef",
    "ListJobsPaginateResponseJobsSettingsNielsenConfigurationTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsOutputSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsTypeDef",
    "ListJobsPaginateResponseJobsSettingsOutputGroupsTypeDef",
    "ListJobsPaginateResponseJobsSettingsTimecodeConfigTypeDef",
    "ListJobsPaginateResponseJobsSettingsTimedMetadataInsertionId3InsertionsTypeDef",
    "ListJobsPaginateResponseJobsSettingsTimedMetadataInsertionTypeDef",
    "ListJobsPaginateResponseJobsSettingsTypeDef",
    "ListJobsPaginateResponseJobsTimingTypeDef",
    "ListJobsPaginateResponseJobsTypeDef",
    "ListJobsPaginateResponseTypeDef",
    "ListPresetsPaginatePaginationConfigTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsAudioNormalizationSettingsTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsAacSettingsTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsAc3SettingsTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsAiffSettingsTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsEac3SettingsTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsMp2SettingsTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsWavSettingsTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsRemixSettingsChannelMappingTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsRemixSettingsTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsContainerSettingsF4vSettingsTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsContainerSettingsM2tsSettingsScte35EsamTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsContainerSettingsM2tsSettingsTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsContainerSettingsM3u8SettingsTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsContainerSettingsMovSettingsTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsContainerSettingsMp4SettingsTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsContainerSettingsMpdSettingsTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsContainerSettingsTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsH264SettingsTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsH265SettingsTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsProresSettingsTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCropTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsVideoDescriptionPositionTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsImageInserterTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsVideoDescriptionTypeDef",
    "ListPresetsPaginateResponsePresetsSettingsTypeDef",
    "ListPresetsPaginateResponsePresetsTypeDef",
    "ListPresetsPaginateResponseTypeDef",
    "ListQueuesPaginatePaginationConfigTypeDef",
    "ListQueuesPaginateResponseQueuesReservationPlanTypeDef",
    "ListQueuesPaginateResponseQueuesTypeDef",
    "ListQueuesPaginateResponseTypeDef",
)


_ClientCreateJobAccelerationSettingsTypeDef = TypedDict(
    "_ClientCreateJobAccelerationSettingsTypeDef",
    {"Mode": Literal["DISABLED", "ENABLED", "PREFERRED"]},
)


class ClientCreateJobAccelerationSettingsTypeDef(_ClientCreateJobAccelerationSettingsTypeDef):
    """
    - **Mode** *(string) --***[REQUIRED]** Specify the conditions when the service will run your job
    with accelerated transcoding.
    """


_ClientCreateJobResponseJobAccelerationSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobAccelerationSettingsTypeDef",
    {"Mode": Literal["DISABLED", "ENABLED", "PREFERRED"]},
    total=False,
)


class ClientCreateJobResponseJobAccelerationSettingsTypeDef(
    _ClientCreateJobResponseJobAccelerationSettingsTypeDef
):
    """
    - **AccelerationSettings** *(dict) --*Accelerated transcoding can significantly speed up jobs
    with long, visually complex content.

      - **Mode** *(string) --*Specify the conditions when the service will run your job with
      accelerated transcoding.
    """


_ClientCreateJobResponseJobMessagesTypeDef = TypedDict(
    "_ClientCreateJobResponseJobMessagesTypeDef",
    {"Info": List[str], "Warning": List[str]},
    total=False,
)


class ClientCreateJobResponseJobMessagesTypeDef(_ClientCreateJobResponseJobMessagesTypeDef):
    pass


_ClientCreateJobResponseJobOutputGroupDetailsOutputDetailsVideoDetailsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobOutputGroupDetailsOutputDetailsVideoDetailsTypeDef",
    {"HeightInPx": int, "WidthInPx": int},
    total=False,
)


class ClientCreateJobResponseJobOutputGroupDetailsOutputDetailsVideoDetailsTypeDef(
    _ClientCreateJobResponseJobOutputGroupDetailsOutputDetailsVideoDetailsTypeDef
):
    pass


_ClientCreateJobResponseJobOutputGroupDetailsOutputDetailsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobOutputGroupDetailsOutputDetailsTypeDef",
    {
        "DurationInMs": int,
        "VideoDetails": ClientCreateJobResponseJobOutputGroupDetailsOutputDetailsVideoDetailsTypeDef,
    },
    total=False,
)


class ClientCreateJobResponseJobOutputGroupDetailsOutputDetailsTypeDef(
    _ClientCreateJobResponseJobOutputGroupDetailsOutputDetailsTypeDef
):
    pass


_ClientCreateJobResponseJobOutputGroupDetailsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobOutputGroupDetailsTypeDef",
    {"OutputDetails": List[ClientCreateJobResponseJobOutputGroupDetailsOutputDetailsTypeDef]},
    total=False,
)


class ClientCreateJobResponseJobOutputGroupDetailsTypeDef(
    _ClientCreateJobResponseJobOutputGroupDetailsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsAvailBlankingTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsAvailBlankingTypeDef",
    {"AvailBlankingImage": str},
    total=False,
)


class ClientCreateJobResponseJobSettingsAvailBlankingTypeDef(
    _ClientCreateJobResponseJobSettingsAvailBlankingTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsEsamManifestConfirmConditionNotificationTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsEsamManifestConfirmConditionNotificationTypeDef",
    {"MccXml": str},
    total=False,
)


class ClientCreateJobResponseJobSettingsEsamManifestConfirmConditionNotificationTypeDef(
    _ClientCreateJobResponseJobSettingsEsamManifestConfirmConditionNotificationTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsEsamSignalProcessingNotificationTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsEsamSignalProcessingNotificationTypeDef",
    {"SccXml": str},
    total=False,
)


class ClientCreateJobResponseJobSettingsEsamSignalProcessingNotificationTypeDef(
    _ClientCreateJobResponseJobSettingsEsamSignalProcessingNotificationTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsEsamTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsEsamTypeDef",
    {
        "ManifestConfirmConditionNotification": ClientCreateJobResponseJobSettingsEsamManifestConfirmConditionNotificationTypeDef,
        "ResponseSignalPreroll": int,
        "SignalProcessingNotification": ClientCreateJobResponseJobSettingsEsamSignalProcessingNotificationTypeDef,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsEsamTypeDef(_ClientCreateJobResponseJobSettingsEsamTypeDef):
    pass


_ClientCreateJobResponseJobSettingsInputsAudioSelectorGroupsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsInputsAudioSelectorGroupsTypeDef",
    {"AudioSelectorNames": List[str]},
    total=False,
)


class ClientCreateJobResponseJobSettingsInputsAudioSelectorGroupsTypeDef(
    _ClientCreateJobResponseJobSettingsInputsAudioSelectorGroupsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef",
    {"InputChannels": List[int]},
    total=False,
)


class ClientCreateJobResponseJobSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef(
    _ClientCreateJobResponseJobSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef",
    {
        "OutputChannels": List[
            ClientCreateJobResponseJobSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef
        ]
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef(
    _ClientCreateJobResponseJobSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsInputsAudioSelectorsRemixSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsInputsAudioSelectorsRemixSettingsTypeDef",
    {
        "ChannelMapping": ClientCreateJobResponseJobSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef,
        "ChannelsIn": int,
        "ChannelsOut": int,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsInputsAudioSelectorsRemixSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsInputsAudioSelectorsRemixSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsInputsAudioSelectorsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsInputsAudioSelectorsTypeDef",
    {
        "CustomLanguageCode": str,
        "DefaultSelection": Literal["DEFAULT", "NOT_DEFAULT"],
        "ExternalAudioFileInput": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "Offset": int,
        "Pids": List[int],
        "ProgramSelection": int,
        "RemixSettings": ClientCreateJobResponseJobSettingsInputsAudioSelectorsRemixSettingsTypeDef,
        "SelectorType": Literal["PID", "TRACK", "LANGUAGE_CODE"],
        "Tracks": List[int],
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsInputsAudioSelectorsTypeDef(
    _ClientCreateJobResponseJobSettingsInputsAudioSelectorsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef",
    {
        "Convert608To708": Literal["UPCONVERT", "DISABLED"],
        "SourceAncillaryChannelNumber": int,
        "TerminateCaptions": Literal["END_OF_INPUT", "DISABLED"],
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef",
    {"Pid": int},
    total=False,
)


class ClientCreateJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef",
    {
        "Convert608To708": Literal["UPCONVERT", "DISABLED"],
        "Source608ChannelNumber": int,
        "Source608TrackNumber": int,
        "TerminateCaptions": Literal["END_OF_INPUT", "DISABLED"],
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef",
    {"Convert608To708": Literal["UPCONVERT", "DISABLED"], "SourceFile": str, "TimeDelta": int},
    total=False,
)


class ClientCreateJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef",
    {"PageNumber": str},
    total=False,
)


class ClientCreateJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef",
    {"TrackNumber": int},
    total=False,
)


class ClientCreateJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsTypeDef",
    {
        "AncillarySourceSettings": ClientCreateJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef,
        "DvbSubSourceSettings": ClientCreateJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef,
        "EmbeddedSourceSettings": ClientCreateJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef,
        "FileSourceSettings": ClientCreateJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef,
        "SourceType": Literal[
            "ANCILLARY",
            "DVB_SUB",
            "EMBEDDED",
            "SCTE20",
            "SCC",
            "TTML",
            "STL",
            "SRT",
            "SMI",
            "TELETEXT",
            "NULL_SOURCE",
            "IMSC",
        ],
        "TeletextSourceSettings": ClientCreateJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef,
        "TrackSourceSettings": ClientCreateJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsInputsCaptionSelectorsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsInputsCaptionSelectorsTypeDef",
    {
        "CustomLanguageCode": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "SourceSettings": ClientCreateJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsTypeDef,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsInputsCaptionSelectorsTypeDef(
    _ClientCreateJobResponseJobSettingsInputsCaptionSelectorsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsInputsCropTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsInputsCropTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientCreateJobResponseJobSettingsInputsCropTypeDef(
    _ClientCreateJobResponseJobSettingsInputsCropTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsInputsDecryptionSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsInputsDecryptionSettingsTypeDef",
    {
        "DecryptionMode": Literal["AES_CTR", "AES_CBC", "AES_GCM"],
        "EncryptedDecryptionKey": str,
        "InitializationVector": str,
        "KmsKeyRegion": str,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsInputsDecryptionSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsInputsDecryptionSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsInputsImageInserterInsertableImagesTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsInputsImageInserterInsertableImagesTypeDef",
    {
        "Duration": int,
        "FadeIn": int,
        "FadeOut": int,
        "Height": int,
        "ImageInserterInput": str,
        "ImageX": int,
        "ImageY": int,
        "Layer": int,
        "Opacity": int,
        "StartTime": str,
        "Width": int,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsInputsImageInserterInsertableImagesTypeDef(
    _ClientCreateJobResponseJobSettingsInputsImageInserterInsertableImagesTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsInputsImageInserterTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsInputsImageInserterTypeDef",
    {
        "InsertableImages": List[
            ClientCreateJobResponseJobSettingsInputsImageInserterInsertableImagesTypeDef
        ]
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsInputsImageInserterTypeDef(
    _ClientCreateJobResponseJobSettingsInputsImageInserterTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsInputsInputClippingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsInputsInputClippingsTypeDef",
    {"EndTimecode": str, "StartTimecode": str},
    total=False,
)


class ClientCreateJobResponseJobSettingsInputsInputClippingsTypeDef(
    _ClientCreateJobResponseJobSettingsInputsInputClippingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsInputsPositionTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsInputsPositionTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientCreateJobResponseJobSettingsInputsPositionTypeDef(
    _ClientCreateJobResponseJobSettingsInputsPositionTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsInputsVideoSelectorHdr10MetadataTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsInputsVideoSelectorHdr10MetadataTypeDef",
    {
        "BluePrimaryX": int,
        "BluePrimaryY": int,
        "GreenPrimaryX": int,
        "GreenPrimaryY": int,
        "MaxContentLightLevel": int,
        "MaxFrameAverageLightLevel": int,
        "MaxLuminance": int,
        "MinLuminance": int,
        "RedPrimaryX": int,
        "RedPrimaryY": int,
        "WhitePointX": int,
        "WhitePointY": int,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsInputsVideoSelectorHdr10MetadataTypeDef(
    _ClientCreateJobResponseJobSettingsInputsVideoSelectorHdr10MetadataTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsInputsVideoSelectorTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsInputsVideoSelectorTypeDef",
    {
        "AlphaBehavior": Literal["DISCARD", "REMAP_TO_LUMA"],
        "ColorSpace": Literal["FOLLOW", "REC_601", "REC_709", "HDR10", "HLG_2020"],
        "ColorSpaceUsage": Literal["FORCE", "FALLBACK"],
        "Hdr10Metadata": ClientCreateJobResponseJobSettingsInputsVideoSelectorHdr10MetadataTypeDef,
        "Pid": int,
        "ProgramNumber": int,
        "Rotate": Literal["DEGREE_0", "DEGREES_90", "DEGREES_180", "DEGREES_270", "AUTO"],
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsInputsVideoSelectorTypeDef(
    _ClientCreateJobResponseJobSettingsInputsVideoSelectorTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsInputsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsInputsTypeDef",
    {
        "AudioSelectorGroups": Dict[
            str, ClientCreateJobResponseJobSettingsInputsAudioSelectorGroupsTypeDef
        ],
        "AudioSelectors": Dict[str, ClientCreateJobResponseJobSettingsInputsAudioSelectorsTypeDef],
        "CaptionSelectors": Dict[
            str, ClientCreateJobResponseJobSettingsInputsCaptionSelectorsTypeDef
        ],
        "Crop": ClientCreateJobResponseJobSettingsInputsCropTypeDef,
        "DeblockFilter": Literal["ENABLED", "DISABLED"],
        "DecryptionSettings": ClientCreateJobResponseJobSettingsInputsDecryptionSettingsTypeDef,
        "DenoiseFilter": Literal["ENABLED", "DISABLED"],
        "FileInput": str,
        "FilterEnable": Literal["AUTO", "DISABLE", "FORCE"],
        "FilterStrength": int,
        "ImageInserter": ClientCreateJobResponseJobSettingsInputsImageInserterTypeDef,
        "InputClippings": List[ClientCreateJobResponseJobSettingsInputsInputClippingsTypeDef],
        "Position": ClientCreateJobResponseJobSettingsInputsPositionTypeDef,
        "ProgramNumber": int,
        "PsiControl": Literal["IGNORE_PSI", "USE_PSI"],
        "SupplementalImps": List[str],
        "TimecodeSource": Literal["EMBEDDED", "ZEROBASED", "SPECIFIEDSTART"],
        "TimecodeStart": str,
        "VideoSelector": ClientCreateJobResponseJobSettingsInputsVideoSelectorTypeDef,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsInputsTypeDef(
    _ClientCreateJobResponseJobSettingsInputsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsMotionImageInserterFramerateTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsMotionImageInserterFramerateTypeDef",
    {"FramerateDenominator": int, "FramerateNumerator": int},
    total=False,
)


class ClientCreateJobResponseJobSettingsMotionImageInserterFramerateTypeDef(
    _ClientCreateJobResponseJobSettingsMotionImageInserterFramerateTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsMotionImageInserterOffsetTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsMotionImageInserterOffsetTypeDef",
    {"ImageX": int, "ImageY": int},
    total=False,
)


class ClientCreateJobResponseJobSettingsMotionImageInserterOffsetTypeDef(
    _ClientCreateJobResponseJobSettingsMotionImageInserterOffsetTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsMotionImageInserterTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsMotionImageInserterTypeDef",
    {
        "Framerate": ClientCreateJobResponseJobSettingsMotionImageInserterFramerateTypeDef,
        "Input": str,
        "InsertionMode": Literal["MOV", "PNG"],
        "Offset": ClientCreateJobResponseJobSettingsMotionImageInserterOffsetTypeDef,
        "Playback": Literal["ONCE", "REPEAT"],
        "StartTime": str,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsMotionImageInserterTypeDef(
    _ClientCreateJobResponseJobSettingsMotionImageInserterTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsNielsenConfigurationTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsNielsenConfigurationTypeDef",
    {"BreakoutCode": int, "DistributorId": str},
    total=False,
)


class ClientCreateJobResponseJobSettingsNielsenConfigurationTypeDef(
    _ClientCreateJobResponseJobSettingsNielsenConfigurationTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {
        "CertificateArn": str,
        "DashSignaledSystemIds": List[str],
        "HlsSignaledSystemIds": List[str],
        "ResourceId": str,
        "Url": str,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef",
    {"KeyFormat": str, "KeyFormatVersions": str, "StaticKeyValue": str, "Url": str},
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef",
    {
        "ConstantInitializationVector": str,
        "EncryptionMethod": Literal["SAMPLE_AES", "AES_CTR"],
        "InitializationVectorInManifest": Literal["INCLUDE", "EXCLUDE"],
        "SpekeKeyProvider": ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef,
        "StaticKeyProvider": ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef,
        "Type": Literal["SPEKE", "STATIC_KEY"],
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef",
    {
        "AdditionalManifests": List[
            ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef
        ],
        "BaseUrl": str,
        "ClientCache": Literal["DISABLED", "ENABLED"],
        "CodecSpecification": Literal["RFC_6381", "RFC_4281"],
        "Destination": str,
        "DestinationSettings": ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef,
        "Encryption": ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef,
        "FragmentLength": int,
        "ManifestCompression": Literal["GZIP", "NONE"],
        "ManifestDurationFormat": Literal["FLOATING_POINT", "INTEGER"],
        "MinBufferTime": int,
        "MinFinalSegmentLength": float,
        "MpdProfile": Literal["MAIN_PROFILE", "ON_DEMAND_PROFILE"],
        "SegmentControl": Literal["SINGLE_FILE", "SEGMENTED_FILES"],
        "SegmentLength": int,
        "StreamInfResolution": Literal["INCLUDE", "EXCLUDE"],
        "WriteDashManifest": Literal["DISABLED", "ENABLED"],
        "WriteHlsManifest": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {"CertificateArn": str, "ResourceId": str, "SystemIds": List[str], "Url": str},
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef",
    {
        "PlaybackDeviceCompatibility": Literal["CENC_V1", "UNENCRYPTED_SEI"],
        "SpekeKeyProvider": ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef",
    {
        "AdditionalManifests": List[
            ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef
        ],
        "BaseUrl": str,
        "Destination": str,
        "DestinationSettings": ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef,
        "Encryption": ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef,
        "FragmentLength": int,
        "HbbtvCompliance": Literal["HBBTV_1_5", "NONE"],
        "MinBufferTime": int,
        "MpdProfile": Literal["MAIN_PROFILE", "ON_DEMAND_PROFILE"],
        "SegmentControl": Literal["SINGLE_FILE", "SEGMENTED_FILES"],
        "SegmentLength": int,
        "WriteSegmentTimelineInRepresentation": Literal["ENABLED", "DISABLED"],
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef",
    {
        "Destination": str,
        "DestinationSettings": ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef",
    {
        "CaptionChannel": int,
        "CustomLanguageCode": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageDescription": str,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {"CertificateArn": str, "ResourceId": str, "SystemIds": List[str], "Url": str},
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef",
    {"KeyFormat": str, "KeyFormatVersions": str, "StaticKeyValue": str, "Url": str},
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef",
    {
        "ConstantInitializationVector": str,
        "EncryptionMethod": Literal["AES128", "SAMPLE_AES"],
        "InitializationVectorInManifest": Literal["INCLUDE", "EXCLUDE"],
        "OfflineEncrypted": Literal["ENABLED", "DISABLED"],
        "SpekeKeyProvider": ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef,
        "StaticKeyProvider": ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef,
        "Type": Literal["SPEKE", "STATIC_KEY"],
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef",
    {
        "AdMarkers": List[Literal["ELEMENTAL", "ELEMENTAL_SCTE35"]],
        "AdditionalManifests": List[
            ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef
        ],
        "BaseUrl": str,
        "CaptionLanguageMappings": List[
            ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef
        ],
        "CaptionLanguageSetting": Literal["INSERT", "OMIT", "NONE"],
        "ClientCache": Literal["DISABLED", "ENABLED"],
        "CodecSpecification": Literal["RFC_6381", "RFC_4281"],
        "Destination": str,
        "DestinationSettings": ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef,
        "DirectoryStructure": Literal["SINGLE_DIRECTORY", "SUBDIRECTORY_PER_STREAM"],
        "Encryption": ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef,
        "ManifestCompression": Literal["GZIP", "NONE"],
        "ManifestDurationFormat": Literal["FLOATING_POINT", "INTEGER"],
        "MinFinalSegmentLength": float,
        "MinSegmentLength": int,
        "OutputSelection": Literal["MANIFESTS_AND_SEGMENTS", "SEGMENTS_ONLY"],
        "ProgramDateTime": Literal["INCLUDE", "EXCLUDE"],
        "ProgramDateTimePeriod": int,
        "SegmentControl": Literal["SINGLE_FILE", "SEGMENTED_FILES"],
        "SegmentLength": int,
        "SegmentsPerSubdirectory": int,
        "StreamInfResolution": Literal["INCLUDE", "EXCLUDE"],
        "TimedMetadataId3Frame": Literal["NONE", "PRIV", "TDRL"],
        "TimedMetadataId3Period": int,
        "TimestampDeltaMilliseconds": int,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {"CertificateArn": str, "ResourceId": str, "SystemIds": List[str], "Url": str},
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef",
    {
        "SpekeKeyProvider": ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef",
    {
        "AdditionalManifests": List[
            ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef
        ],
        "AudioDeduplication": Literal["COMBINE_DUPLICATE_STREAMS", "NONE"],
        "Destination": str,
        "DestinationSettings": ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef,
        "Encryption": ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef,
        "FragmentLength": int,
        "ManifestEncoding": Literal["UTF8", "UTF16"],
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsTypeDef",
    {
        "CmafGroupSettings": ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef,
        "DashIsoGroupSettings": ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef,
        "FileGroupSettings": ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef,
        "HlsGroupSettings": ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef,
        "MsSmoothGroupSettings": ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef,
        "Type": Literal[
            "HLS_GROUP_SETTINGS",
            "DASH_ISO_GROUP_SETTINGS",
            "FILE_GROUP_SETTINGS",
            "MS_SMOOTH_GROUP_SETTINGS",
            "CMAF_GROUP_SETTINGS",
        ],
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef",
    {
        "Algorithm": Literal["ITU_BS_1770_1", "ITU_BS_1770_2", "ITU_BS_1770_3", "ITU_BS_1770_4"],
        "AlgorithmControl": Literal["CORRECT_AUDIO", "MEASURE_ONLY"],
        "CorrectionGateLevel": int,
        "LoudnessLogging": Literal["LOG", "DONT_LOG"],
        "PeakCalculation": Literal["TRUE_PEAK", "NONE"],
        "TargetLkfs": float,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef",
    {
        "AudioDescriptionBroadcasterMix": Literal["BROADCASTER_MIXED_AD", "NORMAL"],
        "Bitrate": int,
        "CodecProfile": Literal["LC", "HEV1", "HEV2"],
        "CodingMode": Literal[
            "AD_RECEIVER_MIX",
            "CODING_MODE_1_0",
            "CODING_MODE_1_1",
            "CODING_MODE_2_0",
            "CODING_MODE_5_1",
        ],
        "RateControlMode": Literal["CBR", "VBR"],
        "RawFormat": Literal["LATM_LOAS", "NONE"],
        "SampleRate": int,
        "Specification": Literal["MPEG2", "MPEG4"],
        "VbrQuality": Literal["LOW", "MEDIUM_LOW", "MEDIUM_HIGH", "HIGH"],
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef",
    {
        "Bitrate": int,
        "BitstreamMode": Literal[
            "COMPLETE_MAIN",
            "COMMENTARY",
            "DIALOGUE",
            "EMERGENCY",
            "HEARING_IMPAIRED",
            "MUSIC_AND_EFFECTS",
            "VISUALLY_IMPAIRED",
            "VOICE_OVER",
        ],
        "CodingMode": Literal[
            "CODING_MODE_1_0", "CODING_MODE_1_1", "CODING_MODE_2_0", "CODING_MODE_3_2_LFE"
        ],
        "Dialnorm": int,
        "DynamicRangeCompressionProfile": Literal["FILM_STANDARD", "NONE"],
        "LfeFilter": Literal["ENABLED", "DISABLED"],
        "MetadataControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "SampleRate": int,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef",
    {"BitDepth": int, "Channels": int, "SampleRate": int},
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef",
    {
        "Bitrate": int,
        "BitstreamMode": str,
        "CodingMode": str,
        "DialogueIntelligence": Literal["ENABLED", "DISABLED"],
        "DynamicRangeCompressionLine": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "DynamicRangeCompressionRf": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "LoRoCenterMixLevel": float,
        "LoRoSurroundMixLevel": float,
        "LtRtCenterMixLevel": float,
        "LtRtSurroundMixLevel": float,
        "MeteringMode": Literal[
            "LEQ_A", "ITU_BS_1770_1", "ITU_BS_1770_2", "ITU_BS_1770_3", "ITU_BS_1770_4"
        ],
        "SampleRate": int,
        "SpeechThreshold": int,
        "StereoDownmix": Literal["NOT_INDICATED", "STEREO", "SURROUND", "DPL2"],
        "SurroundExMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef",
    {
        "AttenuationControl": Literal["ATTENUATE_3_DB", "NONE"],
        "Bitrate": int,
        "BitstreamMode": Literal[
            "COMPLETE_MAIN", "COMMENTARY", "EMERGENCY", "HEARING_IMPAIRED", "VISUALLY_IMPAIRED"
        ],
        "CodingMode": Literal["CODING_MODE_1_0", "CODING_MODE_2_0", "CODING_MODE_3_2"],
        "DcFilter": Literal["ENABLED", "DISABLED"],
        "Dialnorm": int,
        "DynamicRangeCompressionLine": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "DynamicRangeCompressionRf": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "LfeControl": Literal["LFE", "NO_LFE"],
        "LfeFilter": Literal["ENABLED", "DISABLED"],
        "LoRoCenterMixLevel": float,
        "LoRoSurroundMixLevel": float,
        "LtRtCenterMixLevel": float,
        "LtRtSurroundMixLevel": float,
        "MetadataControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "PassthroughControl": Literal["WHEN_POSSIBLE", "NO_PASSTHROUGH"],
        "PhaseControl": Literal["SHIFT_90_DEGREES", "NO_SHIFT"],
        "SampleRate": int,
        "StereoDownmix": Literal["NOT_INDICATED", "LO_RO", "LT_RT", "DPL2"],
        "SurroundExMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
        "SurroundMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef",
    {"Bitrate": int, "Channels": int, "SampleRate": int},
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef",
    {"BitDepth": int, "Channels": int, "Format": Literal["RIFF", "RF64"], "SampleRate": int},
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef",
    {
        "AacSettings": ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef,
        "Ac3Settings": ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef,
        "AiffSettings": ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef,
        "Codec": Literal["AAC", "MP2", "WAV", "AIFF", "AC3", "EAC3", "EAC3_ATMOS", "PASSTHROUGH"],
        "Eac3AtmosSettings": ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef,
        "Eac3Settings": ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef,
        "Mp2Settings": ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef,
        "WavSettings": ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef",
    {"InputChannels": List[int]},
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef",
    {
        "OutputChannels": List[
            ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef
        ]
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef",
    {
        "ChannelMapping": ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef,
        "ChannelsIn": int,
        "ChannelsOut": int,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsTypeDef",
    {
        "AudioNormalizationSettings": ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef,
        "AudioSourceName": str,
        "AudioType": int,
        "AudioTypeControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "CodecSettings": ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef,
        "CustomLanguageCode": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageCodeControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "RemixSettings": ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef,
        "StreamName": str,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef",
    {
        "Alignment": Literal["CENTERED", "LEFT"],
        "BackgroundColor": Literal["NONE", "BLACK", "WHITE"],
        "BackgroundOpacity": int,
        "FontColor": Literal["WHITE", "BLACK", "YELLOW", "RED", "GREEN", "BLUE"],
        "FontOpacity": int,
        "FontResolution": int,
        "FontScript": Literal["AUTOMATIC", "HANS", "HANT"],
        "FontSize": int,
        "OutlineColor": Literal["BLACK", "WHITE", "YELLOW", "RED", "GREEN", "BLUE"],
        "OutlineSize": int,
        "ShadowColor": Literal["NONE", "BLACK", "WHITE"],
        "ShadowOpacity": int,
        "ShadowXOffset": int,
        "ShadowYOffset": int,
        "TeletextSpacing": Literal["FIXED_GRID", "PROPORTIONAL"],
        "XPosition": int,
        "YPosition": int,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef",
    {
        "Alignment": Literal["CENTERED", "LEFT"],
        "BackgroundColor": Literal["NONE", "BLACK", "WHITE"],
        "BackgroundOpacity": int,
        "FontColor": Literal["WHITE", "BLACK", "YELLOW", "RED", "GREEN", "BLUE"],
        "FontOpacity": int,
        "FontResolution": int,
        "FontScript": Literal["AUTOMATIC", "HANS", "HANT"],
        "FontSize": int,
        "OutlineColor": Literal["BLACK", "WHITE", "YELLOW", "RED", "GREEN", "BLUE"],
        "OutlineSize": int,
        "ShadowColor": Literal["NONE", "BLACK", "WHITE"],
        "ShadowOpacity": int,
        "ShadowXOffset": int,
        "ShadowYOffset": int,
        "SubtitlingType": Literal["HEARING_IMPAIRED", "STANDARD"],
        "TeletextSpacing": Literal["FIXED_GRID", "PROPORTIONAL"],
        "XPosition": int,
        "YPosition": int,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef",
    {"Destination608ChannelNumber": int, "Destination708ServiceNumber": int},
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef",
    {"StylePassthrough": Literal["ENABLED", "DISABLED"]},
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef",
    {
        "Framerate": Literal[
            "FRAMERATE_23_97",
            "FRAMERATE_24",
            "FRAMERATE_25",
            "FRAMERATE_29_97_DROPFRAME",
            "FRAMERATE_29_97_NON_DROPFRAME",
        ]
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef",
    {
        "PageNumber": str,
        "PageTypes": List[
            Literal[
                "PAGE_TYPE_INITIAL",
                "PAGE_TYPE_SUBTITLE",
                "PAGE_TYPE_ADDL_INFO",
                "PAGE_TYPE_PROGRAM_SCHEDULE",
                "PAGE_TYPE_HEARING_IMPAIRED_SUBTITLE",
            ]
        ],
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef",
    {"StylePassthrough": Literal["ENABLED", "DISABLED"]},
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef",
    {
        "BurninDestinationSettings": ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef,
        "DestinationType": Literal[
            "BURN_IN",
            "DVB_SUB",
            "EMBEDDED",
            "EMBEDDED_PLUS_SCTE20",
            "IMSC",
            "SCTE20_PLUS_EMBEDDED",
            "SCC",
            "SRT",
            "SMI",
            "TELETEXT",
            "TTML",
            "WEBVTT",
        ],
        "DvbSubDestinationSettings": ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef,
        "EmbeddedDestinationSettings": ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef,
        "ImscDestinationSettings": ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef,
        "SccDestinationSettings": ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef,
        "TeletextDestinationSettings": ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef,
        "TtmlDestinationSettings": ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef",
    {
        "CaptionSelectorName": str,
        "CustomLanguageCode": str,
        "DestinationSettings": ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageDescription": str,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef",
    {"MoovPlacement": Literal["PROGRESSIVE_DOWNLOAD", "NORMAL"]},
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef",
    {"NetworkId": int, "NetworkName": str, "NitInterval": int},
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef",
    {
        "OutputSdt": Literal["SDT_FOLLOW", "SDT_FOLLOW_IF_PRESENT", "SDT_MANUAL", "SDT_NONE"],
        "SdtInterval": int,
        "ServiceName": str,
        "ServiceProviderName": str,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef",
    {"TdtInterval": int},
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef",
    {"Scte35EsamPid": int},
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef",
    {
        "AudioBufferModel": Literal["DVB", "ATSC"],
        "AudioFramesPerPes": int,
        "AudioPids": List[int],
        "Bitrate": int,
        "BufferModel": Literal["MULTIPLEX", "NONE"],
        "DvbNitSettings": ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef,
        "DvbSdtSettings": ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef,
        "DvbSubPids": List[int],
        "DvbTdtSettings": ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef,
        "DvbTeletextPid": int,
        "EbpAudioInterval": Literal["VIDEO_AND_FIXED_INTERVALS", "VIDEO_INTERVAL"],
        "EbpPlacement": Literal["VIDEO_AND_AUDIO_PIDS", "VIDEO_PID"],
        "EsRateInPes": Literal["INCLUDE", "EXCLUDE"],
        "ForceTsVideoEbpOrder": Literal["FORCE", "DEFAULT"],
        "FragmentTime": float,
        "MaxPcrInterval": int,
        "MinEbpInterval": int,
        "NielsenId3": Literal["INSERT", "NONE"],
        "NullPacketBitrate": float,
        "PatInterval": int,
        "PcrControl": Literal["PCR_EVERY_PES_PACKET", "CONFIGURED_PCR_PERIOD"],
        "PcrPid": int,
        "PmtInterval": int,
        "PmtPid": int,
        "PrivateMetadataPid": int,
        "ProgramNumber": int,
        "RateMode": Literal["VBR", "CBR"],
        "Scte35Esam": ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef,
        "Scte35Pid": int,
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
        "SegmentationMarkers": Literal[
            "NONE", "RAI_SEGSTART", "RAI_ADAPT", "PSI_SEGSTART", "EBP", "EBP_LEGACY"
        ],
        "SegmentationStyle": Literal["MAINTAIN_CADENCE", "RESET_CADENCE"],
        "SegmentationTime": float,
        "TimedMetadataPid": int,
        "TransportStreamId": int,
        "VideoPid": int,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef",
    {
        "AudioFramesPerPes": int,
        "AudioPids": List[int],
        "NielsenId3": Literal["INSERT", "NONE"],
        "PatInterval": int,
        "PcrControl": Literal["PCR_EVERY_PES_PACKET", "CONFIGURED_PCR_PERIOD"],
        "PcrPid": int,
        "PmtInterval": int,
        "PmtPid": int,
        "PrivateMetadataPid": int,
        "ProgramNumber": int,
        "Scte35Pid": int,
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
        "TimedMetadata": Literal["PASSTHROUGH", "NONE"],
        "TimedMetadataPid": int,
        "TransportStreamId": int,
        "VideoPid": int,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef",
    {
        "ClapAtom": Literal["INCLUDE", "EXCLUDE"],
        "CslgAtom": Literal["INCLUDE", "EXCLUDE"],
        "Mpeg2FourCCControl": Literal["XDCAM", "MPEG"],
        "PaddingControl": Literal["OMNEON", "NONE"],
        "Reference": Literal["SELF_CONTAINED", "EXTERNAL"],
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef",
    {
        "CslgAtom": Literal["INCLUDE", "EXCLUDE"],
        "FreeSpaceBox": Literal["INCLUDE", "EXCLUDE"],
        "MoovPlacement": Literal["PROGRESSIVE_DOWNLOAD", "NORMAL"],
        "Mp4MajorBrand": str,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef",
    {
        "CaptionContainerType": Literal["RAW", "FRAGMENTED_MP4"],
        "Scte35Esam": Literal["INSERT", "NONE"],
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsTypeDef",
    {
        "Container": Literal[
            "F4V", "ISMV", "M2TS", "M3U8", "CMFC", "MOV", "MP4", "MPD", "MXF", "RAW"
        ],
        "F4vSettings": ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef,
        "M2tsSettings": ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef,
        "M3u8Settings": ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef,
        "MovSettings": ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef,
        "Mp4Settings": ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef,
        "MpdSettings": ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef",
    {
        "AudioGroupId": str,
        "AudioOnlyContainer": Literal["AUTOMATIC", "M2TS"],
        "AudioRenditionSets": str,
        "AudioTrackType": Literal[
            "ALTERNATE_AUDIO_AUTO_SELECT_DEFAULT",
            "ALTERNATE_AUDIO_AUTO_SELECT",
            "ALTERNATE_AUDIO_NOT_AUTO_SELECT",
            "AUDIO_ONLY_VARIANT_STREAM",
        ],
        "IFrameOnlyManifest": Literal["INCLUDE", "EXCLUDE"],
        "SegmentModifier": str,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsOutputSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsOutputSettingsTypeDef",
    {
        "HlsSettings": ClientCreateJobResponseJobSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsOutputSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsOutputSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef",
    {"FramerateDenominator": int, "FramerateNumerator": int, "MaxCaptures": int, "Quality": int},
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef",
    {"MaxAverageBitrate": int, "QvbrQualityLevel": int},
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH", "HIGHER", "MAX"],
        "Bitrate": int,
        "CodecLevel": Literal[
            "AUTO",
            "LEVEL_1",
            "LEVEL_1_1",
            "LEVEL_1_2",
            "LEVEL_1_3",
            "LEVEL_2",
            "LEVEL_2_1",
            "LEVEL_2_2",
            "LEVEL_3",
            "LEVEL_3_1",
            "LEVEL_3_2",
            "LEVEL_4",
            "LEVEL_4_1",
            "LEVEL_4_2",
            "LEVEL_5",
            "LEVEL_5_1",
            "LEVEL_5_2",
        ],
        "CodecProfile": Literal[
            "BASELINE", "HIGH", "HIGH_10BIT", "HIGH_422", "HIGH_422_10BIT", "MAIN"
        ],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "EntropyEncoding": Literal["CABAC", "CAVLC"],
        "FieldEncoding": Literal["PAFF", "FORCE_FIELD"],
        "FlickerAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopBReference": Literal["DISABLED", "ENABLED"],
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "NumberReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "SINGLE_PASS_HQ", "MULTI_PASS_HQ"],
        "QvbrSettings": ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef,
        "RateControlMode": Literal["VBR", "CBR", "QVBR"],
        "RepeatPps": Literal["DISABLED", "ENABLED"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED", "TRANSITION_DETECTION"],
        "Slices": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Softness": int,
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Syntax": Literal["DEFAULT", "RP2027"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "UnregisteredSeiTimecode": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef",
    {"MaxAverageBitrate": int, "QvbrQualityLevel": int},
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH", "HIGHER", "MAX"],
        "AlternateTransferFunctionSei": Literal["DISABLED", "ENABLED"],
        "Bitrate": int,
        "CodecLevel": Literal[
            "AUTO",
            "LEVEL_1",
            "LEVEL_2",
            "LEVEL_2_1",
            "LEVEL_3",
            "LEVEL_3_1",
            "LEVEL_4",
            "LEVEL_4_1",
            "LEVEL_5",
            "LEVEL_5_1",
            "LEVEL_5_2",
            "LEVEL_6",
            "LEVEL_6_1",
            "LEVEL_6_2",
        ],
        "CodecProfile": Literal[
            "MAIN_MAIN",
            "MAIN_HIGH",
            "MAIN10_MAIN",
            "MAIN10_HIGH",
            "MAIN_422_8BIT_MAIN",
            "MAIN_422_8BIT_HIGH",
            "MAIN_422_10BIT_MAIN",
            "MAIN_422_10BIT_HIGH",
        ],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "FlickerAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopBReference": Literal["DISABLED", "ENABLED"],
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "NumberReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "SINGLE_PASS_HQ", "MULTI_PASS_HQ"],
        "QvbrSettings": ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef,
        "RateControlMode": Literal["VBR", "CBR", "QVBR"],
        "SampleAdaptiveOffsetFilterMode": Literal["DEFAULT", "ADAPTIVE", "OFF"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED", "TRANSITION_DETECTION"],
        "Slices": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "TemporalIds": Literal["DISABLED", "ENABLED"],
        "Tiles": Literal["DISABLED", "ENABLED"],
        "UnregisteredSeiTimecode": Literal["DISABLED", "ENABLED"],
        "WriteMp4PackagingType": Literal["HVC1", "HEV1"],
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH"],
        "Bitrate": int,
        "CodecLevel": Literal["AUTO", "LOW", "MAIN", "HIGH1440", "HIGH"],
        "CodecProfile": Literal["MAIN", "PROFILE_422"],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "IntraDcPrecision": Literal[
            "AUTO",
            "INTRA_DC_PRECISION_8",
            "INTRA_DC_PRECISION_9",
            "INTRA_DC_PRECISION_10",
            "INTRA_DC_PRECISION_11",
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "MULTI_PASS"],
        "RateControlMode": Literal["VBR", "CBR"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED"],
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Softness": int,
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Syntax": Literal["DEFAULT", "D_10"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef",
    {
        "CodecProfile": Literal[
            "APPLE_PRORES_422",
            "APPLE_PRORES_422_HQ",
            "APPLE_PRORES_422_LT",
            "APPLE_PRORES_422_PROXY",
        ],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Telecine": Literal["NONE", "HARD"],
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef",
    {
        "Codec": Literal["FRAME_CAPTURE", "H_264", "H_265", "MPEG2", "PRORES"],
        "FrameCaptureSettings": ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef,
        "H264Settings": ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef,
        "H265Settings": ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef,
        "Mpeg2Settings": ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef,
        "ProresSettings": ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef",
    {
        "BluePrimaryX": int,
        "BluePrimaryY": int,
        "GreenPrimaryX": int,
        "GreenPrimaryY": int,
        "MaxContentLightLevel": int,
        "MaxFrameAverageLightLevel": int,
        "MaxLuminance": int,
        "MinLuminance": int,
        "RedPrimaryX": int,
        "RedPrimaryY": int,
        "WhitePointX": int,
        "WhitePointY": int,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef",
    {
        "Brightness": int,
        "ColorSpaceConversion": Literal[
            "NONE", "FORCE_601", "FORCE_709", "FORCE_HDR10", "FORCE_HLG_2020"
        ],
        "Contrast": int,
        "Hdr10Metadata": ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef,
        "Hue": int,
        "Saturation": int,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef",
    {
        "Algorithm": Literal["INTERPOLATE", "INTERPOLATE_TICKER", "BLEND", "BLEND_TICKER"],
        "Control": Literal["FORCE_ALL_FRAMES", "NORMAL"],
        "Mode": Literal["DEINTERLACE", "INVERSE_TELECINE", "ADAPTIVE"],
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef",
    {"MaxCll": int, "MaxFall": int},
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef",
    {
        "L6Metadata": ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef,
        "L6Mode": Literal["PASSTHROUGH", "RECALCULATE", "SPECIFY"],
        "Profile": str,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef",
    {
        "Duration": int,
        "FadeIn": int,
        "FadeOut": int,
        "Height": int,
        "ImageInserterInput": str,
        "ImageX": int,
        "ImageY": int,
        "Layer": int,
        "Opacity": int,
        "StartTime": str,
        "Width": int,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef",
    {
        "InsertableImages": List[
            ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef
        ]
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef",
    {"Strength": int},
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef",
    {"PostFilterSharpenStrength": int, "Speed": int, "Strength": int},
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef",
    {"AggressiveMode": int, "Speed": int, "Strength": int},
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef",
    {
        "Filter": Literal[
            "BILATERAL", "MEAN", "GAUSSIAN", "LANCZOS", "SHARPEN", "CONSERVE", "SPATIAL", "TEMPORAL"
        ],
        "FilterSettings": ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef,
        "SpatialFilterSettings": ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef,
        "TemporalFilterSettings": ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef",
    {
        "FontSize": int,
        "Position": Literal[
            "TOP_CENTER",
            "TOP_LEFT",
            "TOP_RIGHT",
            "MIDDLE_LEFT",
            "MIDDLE_CENTER",
            "MIDDLE_RIGHT",
            "BOTTOM_LEFT",
            "BOTTOM_CENTER",
            "BOTTOM_RIGHT",
        ],
        "Prefix": str,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef",
    {
        "ColorCorrector": ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef,
        "Deinterlacer": ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef,
        "DolbyVision": ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef,
        "ImageInserter": ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef,
        "NoiseReducer": ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef,
        "TimecodeBurnin": ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionTypeDef",
    {
        "AfdSignaling": Literal["NONE", "AUTO", "FIXED"],
        "AntiAlias": Literal["DISABLED", "ENABLED"],
        "CodecSettings": ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef,
        "ColorMetadata": Literal["IGNORE", "INSERT"],
        "Crop": ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef,
        "DropFrameTimecode": Literal["DISABLED", "ENABLED"],
        "FixedAfd": int,
        "Height": int,
        "Position": ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef,
        "RespondToAfd": Literal["NONE", "RESPOND", "PASSTHROUGH"],
        "ScalingBehavior": Literal["DEFAULT", "STRETCH_TO_OUTPUT"],
        "Sharpness": int,
        "TimecodeInsertion": Literal["DISABLED", "PIC_TIMING_SEI"],
        "VideoPreprocessors": ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef,
        "Width": int,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsOutputsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsOutputsTypeDef",
    {
        "AudioDescriptions": List[
            ClientCreateJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsTypeDef
        ],
        "CaptionDescriptions": List[
            ClientCreateJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef
        ],
        "ContainerSettings": ClientCreateJobResponseJobSettingsOutputGroupsOutputsContainerSettingsTypeDef,
        "Extension": str,
        "NameModifier": str,
        "OutputSettings": ClientCreateJobResponseJobSettingsOutputGroupsOutputsOutputSettingsTypeDef,
        "Preset": str,
        "VideoDescription": ClientCreateJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionTypeDef,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsOutputsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsOutputsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsOutputGroupsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsOutputGroupsTypeDef",
    {
        "CustomName": str,
        "Name": str,
        "OutputGroupSettings": ClientCreateJobResponseJobSettingsOutputGroupsOutputGroupSettingsTypeDef,
        "Outputs": List[ClientCreateJobResponseJobSettingsOutputGroupsOutputsTypeDef],
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsOutputGroupsTypeDef(
    _ClientCreateJobResponseJobSettingsOutputGroupsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsTimecodeConfigTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsTimecodeConfigTypeDef",
    {
        "Anchor": str,
        "Source": Literal["EMBEDDED", "ZEROBASED", "SPECIFIEDSTART"],
        "Start": str,
        "TimestampOffset": str,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsTimecodeConfigTypeDef(
    _ClientCreateJobResponseJobSettingsTimecodeConfigTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsTimedMetadataInsertionId3InsertionsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsTimedMetadataInsertionId3InsertionsTypeDef",
    {"Id3": str, "Timecode": str},
    total=False,
)


class ClientCreateJobResponseJobSettingsTimedMetadataInsertionId3InsertionsTypeDef(
    _ClientCreateJobResponseJobSettingsTimedMetadataInsertionId3InsertionsTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsTimedMetadataInsertionTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsTimedMetadataInsertionTypeDef",
    {
        "Id3Insertions": List[
            ClientCreateJobResponseJobSettingsTimedMetadataInsertionId3InsertionsTypeDef
        ]
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsTimedMetadataInsertionTypeDef(
    _ClientCreateJobResponseJobSettingsTimedMetadataInsertionTypeDef
):
    pass


_ClientCreateJobResponseJobSettingsTypeDef = TypedDict(
    "_ClientCreateJobResponseJobSettingsTypeDef",
    {
        "AdAvailOffset": int,
        "AvailBlanking": ClientCreateJobResponseJobSettingsAvailBlankingTypeDef,
        "Esam": ClientCreateJobResponseJobSettingsEsamTypeDef,
        "Inputs": List[ClientCreateJobResponseJobSettingsInputsTypeDef],
        "MotionImageInserter": ClientCreateJobResponseJobSettingsMotionImageInserterTypeDef,
        "NielsenConfiguration": ClientCreateJobResponseJobSettingsNielsenConfigurationTypeDef,
        "OutputGroups": List[ClientCreateJobResponseJobSettingsOutputGroupsTypeDef],
        "TimecodeConfig": ClientCreateJobResponseJobSettingsTimecodeConfigTypeDef,
        "TimedMetadataInsertion": ClientCreateJobResponseJobSettingsTimedMetadataInsertionTypeDef,
    },
    total=False,
)


class ClientCreateJobResponseJobSettingsTypeDef(_ClientCreateJobResponseJobSettingsTypeDef):
    pass


_ClientCreateJobResponseJobTimingTypeDef = TypedDict(
    "_ClientCreateJobResponseJobTimingTypeDef",
    {"FinishTime": datetime, "StartTime": datetime, "SubmitTime": datetime},
    total=False,
)


class ClientCreateJobResponseJobTimingTypeDef(_ClientCreateJobResponseJobTimingTypeDef):
    pass


_ClientCreateJobResponseJobTypeDef = TypedDict(
    "_ClientCreateJobResponseJobTypeDef",
    {
        "AccelerationSettings": ClientCreateJobResponseJobAccelerationSettingsTypeDef,
        "AccelerationStatus": Literal[
            "NOT_APPLICABLE", "IN_PROGRESS", "ACCELERATED", "NOT_ACCELERATED"
        ],
        "Arn": str,
        "BillingTagsSource": Literal["QUEUE", "PRESET", "JOB_TEMPLATE", "JOB"],
        "CreatedAt": datetime,
        "CurrentPhase": Literal["PROBING", "TRANSCODING", "UPLOADING"],
        "ErrorCode": int,
        "ErrorMessage": str,
        "Id": str,
        "JobPercentComplete": int,
        "JobTemplate": str,
        "Messages": ClientCreateJobResponseJobMessagesTypeDef,
        "OutputGroupDetails": List[ClientCreateJobResponseJobOutputGroupDetailsTypeDef],
        "Priority": int,
        "Queue": str,
        "RetryCount": int,
        "Role": str,
        "Settings": ClientCreateJobResponseJobSettingsTypeDef,
        "SimulateReservedQueue": Literal["DISABLED", "ENABLED"],
        "Status": Literal["SUBMITTED", "PROGRESSING", "COMPLETE", "CANCELED", "ERROR"],
        "StatusUpdateInterval": Literal[
            "SECONDS_10",
            "SECONDS_12",
            "SECONDS_15",
            "SECONDS_20",
            "SECONDS_30",
            "SECONDS_60",
            "SECONDS_120",
            "SECONDS_180",
            "SECONDS_240",
            "SECONDS_300",
            "SECONDS_360",
            "SECONDS_420",
            "SECONDS_480",
            "SECONDS_540",
            "SECONDS_600",
        ],
        "Timing": ClientCreateJobResponseJobTimingTypeDef,
        "UserMetadata": Dict[str, str],
    },
    total=False,
)


class ClientCreateJobResponseJobTypeDef(_ClientCreateJobResponseJobTypeDef):
    """
    - **Job** *(dict) --*Each job converts an input file into an output file or files. For more
    information, see the User Guide at
    http://docs.aws.amazon.com/mediaconvert/latest/ug/what-is.html

      - **AccelerationSettings** *(dict) --*Accelerated transcoding can significantly speed up jobs
      with long, visually complex content.

        - **Mode** *(string) --*Specify the conditions when the service will run your job with
        accelerated transcoding.
    """


_ClientCreateJobResponseTypeDef = TypedDict(
    "_ClientCreateJobResponseTypeDef", {"Job": ClientCreateJobResponseJobTypeDef}, total=False
)


class ClientCreateJobResponseTypeDef(_ClientCreateJobResponseTypeDef):
    """
    - *(dict) --*

      - **Job** *(dict) --*Each job converts an input file into an output file or files. For more
      information, see the User Guide at
      http://docs.aws.amazon.com/mediaconvert/latest/ug/what-is.html

        - **AccelerationSettings** *(dict) --*Accelerated transcoding can significantly speed up
        jobs with long, visually complex content.

          - **Mode** *(string) --*Specify the conditions when the service will run your job with
          accelerated transcoding.
    """


_ClientCreateJobSettingsAvailBlankingTypeDef = TypedDict(
    "_ClientCreateJobSettingsAvailBlankingTypeDef", {"AvailBlankingImage": str}, total=False
)


class ClientCreateJobSettingsAvailBlankingTypeDef(_ClientCreateJobSettingsAvailBlankingTypeDef):
    """
    - **AvailBlanking** *(dict) --*Settings for ad avail blanking. Video can be blanked or overlaid
    with an image, and audio muted during SCTE-35 triggered ad avails.

      - **AvailBlankingImage** *(string) --*Blanking image to be used. Leave empty for solid black.
      Only bmp and png images are supported.
    """


_ClientCreateJobSettingsEsamManifestConfirmConditionNotificationTypeDef = TypedDict(
    "_ClientCreateJobSettingsEsamManifestConfirmConditionNotificationTypeDef",
    {"MccXml": str},
    total=False,
)


class ClientCreateJobSettingsEsamManifestConfirmConditionNotificationTypeDef(
    _ClientCreateJobSettingsEsamManifestConfirmConditionNotificationTypeDef
):
    pass


_ClientCreateJobSettingsEsamSignalProcessingNotificationTypeDef = TypedDict(
    "_ClientCreateJobSettingsEsamSignalProcessingNotificationTypeDef", {"SccXml": str}, total=False
)


class ClientCreateJobSettingsEsamSignalProcessingNotificationTypeDef(
    _ClientCreateJobSettingsEsamSignalProcessingNotificationTypeDef
):
    pass


_ClientCreateJobSettingsEsamTypeDef = TypedDict(
    "_ClientCreateJobSettingsEsamTypeDef",
    {
        "ManifestConfirmConditionNotification": ClientCreateJobSettingsEsamManifestConfirmConditionNotificationTypeDef,
        "ResponseSignalPreroll": int,
        "SignalProcessingNotification": ClientCreateJobSettingsEsamSignalProcessingNotificationTypeDef,
    },
    total=False,
)


class ClientCreateJobSettingsEsamTypeDef(_ClientCreateJobSettingsEsamTypeDef):
    pass


_ClientCreateJobSettingsInputsAudioSelectorGroupsTypeDef = TypedDict(
    "_ClientCreateJobSettingsInputsAudioSelectorGroupsTypeDef",
    {"AudioSelectorNames": List[str]},
    total=False,
)


class ClientCreateJobSettingsInputsAudioSelectorGroupsTypeDef(
    _ClientCreateJobSettingsInputsAudioSelectorGroupsTypeDef
):
    pass


_ClientCreateJobSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef = TypedDict(
    "_ClientCreateJobSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef",
    {"InputChannels": List[int]},
    total=False,
)


class ClientCreateJobSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef(
    _ClientCreateJobSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef
):
    pass


_ClientCreateJobSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef = TypedDict(
    "_ClientCreateJobSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef",
    {
        "OutputChannels": List[
            ClientCreateJobSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef
        ]
    },
    total=False,
)


class ClientCreateJobSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef(
    _ClientCreateJobSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef
):
    pass


_ClientCreateJobSettingsInputsAudioSelectorsRemixSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsInputsAudioSelectorsRemixSettingsTypeDef",
    {
        "ChannelMapping": ClientCreateJobSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef,
        "ChannelsIn": int,
        "ChannelsOut": int,
    },
    total=False,
)


class ClientCreateJobSettingsInputsAudioSelectorsRemixSettingsTypeDef(
    _ClientCreateJobSettingsInputsAudioSelectorsRemixSettingsTypeDef
):
    pass


_ClientCreateJobSettingsInputsAudioSelectorsTypeDef = TypedDict(
    "_ClientCreateJobSettingsInputsAudioSelectorsTypeDef",
    {
        "CustomLanguageCode": str,
        "DefaultSelection": Literal["DEFAULT", "NOT_DEFAULT"],
        "ExternalAudioFileInput": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "Offset": int,
        "Pids": List[int],
        "ProgramSelection": int,
        "RemixSettings": ClientCreateJobSettingsInputsAudioSelectorsRemixSettingsTypeDef,
        "SelectorType": Literal["PID", "TRACK", "LANGUAGE_CODE"],
        "Tracks": List[int],
    },
    total=False,
)


class ClientCreateJobSettingsInputsAudioSelectorsTypeDef(
    _ClientCreateJobSettingsInputsAudioSelectorsTypeDef
):
    pass


_ClientCreateJobSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef",
    {
        "Convert608To708": Literal["UPCONVERT", "DISABLED"],
        "SourceAncillaryChannelNumber": int,
        "TerminateCaptions": Literal["END_OF_INPUT", "DISABLED"],
    },
    total=False,
)


class ClientCreateJobSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef(
    _ClientCreateJobSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef
):
    pass


_ClientCreateJobSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef",
    {"Pid": int},
    total=False,
)


class ClientCreateJobSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef(
    _ClientCreateJobSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef
):
    pass


_ClientCreateJobSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef",
    {
        "Convert608To708": Literal["UPCONVERT", "DISABLED"],
        "Source608ChannelNumber": int,
        "Source608TrackNumber": int,
        "TerminateCaptions": Literal["END_OF_INPUT", "DISABLED"],
    },
    total=False,
)


class ClientCreateJobSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef(
    _ClientCreateJobSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef
):
    pass


_ClientCreateJobSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef",
    {"Convert608To708": Literal["UPCONVERT", "DISABLED"], "SourceFile": str, "TimeDelta": int},
    total=False,
)


class ClientCreateJobSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef(
    _ClientCreateJobSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef
):
    pass


_ClientCreateJobSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef",
    {"PageNumber": str},
    total=False,
)


class ClientCreateJobSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef(
    _ClientCreateJobSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef
):
    pass


_ClientCreateJobSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef",
    {"TrackNumber": int},
    total=False,
)


class ClientCreateJobSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef(
    _ClientCreateJobSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef
):
    pass


_ClientCreateJobSettingsInputsCaptionSelectorsSourceSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsInputsCaptionSelectorsSourceSettingsTypeDef",
    {
        "AncillarySourceSettings": ClientCreateJobSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef,
        "DvbSubSourceSettings": ClientCreateJobSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef,
        "EmbeddedSourceSettings": ClientCreateJobSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef,
        "FileSourceSettings": ClientCreateJobSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef,
        "SourceType": Literal[
            "ANCILLARY",
            "DVB_SUB",
            "EMBEDDED",
            "SCTE20",
            "SCC",
            "TTML",
            "STL",
            "SRT",
            "SMI",
            "TELETEXT",
            "NULL_SOURCE",
            "IMSC",
        ],
        "TeletextSourceSettings": ClientCreateJobSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef,
        "TrackSourceSettings": ClientCreateJobSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef,
    },
    total=False,
)


class ClientCreateJobSettingsInputsCaptionSelectorsSourceSettingsTypeDef(
    _ClientCreateJobSettingsInputsCaptionSelectorsSourceSettingsTypeDef
):
    pass


_ClientCreateJobSettingsInputsCaptionSelectorsTypeDef = TypedDict(
    "_ClientCreateJobSettingsInputsCaptionSelectorsTypeDef",
    {
        "CustomLanguageCode": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "SourceSettings": ClientCreateJobSettingsInputsCaptionSelectorsSourceSettingsTypeDef,
    },
    total=False,
)


class ClientCreateJobSettingsInputsCaptionSelectorsTypeDef(
    _ClientCreateJobSettingsInputsCaptionSelectorsTypeDef
):
    pass


_ClientCreateJobSettingsInputsCropTypeDef = TypedDict(
    "_ClientCreateJobSettingsInputsCropTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientCreateJobSettingsInputsCropTypeDef(_ClientCreateJobSettingsInputsCropTypeDef):
    pass


_ClientCreateJobSettingsInputsDecryptionSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsInputsDecryptionSettingsTypeDef",
    {
        "DecryptionMode": Literal["AES_CTR", "AES_CBC", "AES_GCM"],
        "EncryptedDecryptionKey": str,
        "InitializationVector": str,
        "KmsKeyRegion": str,
    },
    total=False,
)


class ClientCreateJobSettingsInputsDecryptionSettingsTypeDef(
    _ClientCreateJobSettingsInputsDecryptionSettingsTypeDef
):
    pass


_ClientCreateJobSettingsInputsImageInserterInsertableImagesTypeDef = TypedDict(
    "_ClientCreateJobSettingsInputsImageInserterInsertableImagesTypeDef",
    {
        "Duration": int,
        "FadeIn": int,
        "FadeOut": int,
        "Height": int,
        "ImageInserterInput": str,
        "ImageX": int,
        "ImageY": int,
        "Layer": int,
        "Opacity": int,
        "StartTime": str,
        "Width": int,
    },
    total=False,
)


class ClientCreateJobSettingsInputsImageInserterInsertableImagesTypeDef(
    _ClientCreateJobSettingsInputsImageInserterInsertableImagesTypeDef
):
    pass


_ClientCreateJobSettingsInputsImageInserterTypeDef = TypedDict(
    "_ClientCreateJobSettingsInputsImageInserterTypeDef",
    {"InsertableImages": List[ClientCreateJobSettingsInputsImageInserterInsertableImagesTypeDef]},
    total=False,
)


class ClientCreateJobSettingsInputsImageInserterTypeDef(
    _ClientCreateJobSettingsInputsImageInserterTypeDef
):
    pass


_ClientCreateJobSettingsInputsInputClippingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsInputsInputClippingsTypeDef",
    {"EndTimecode": str, "StartTimecode": str},
    total=False,
)


class ClientCreateJobSettingsInputsInputClippingsTypeDef(
    _ClientCreateJobSettingsInputsInputClippingsTypeDef
):
    pass


_ClientCreateJobSettingsInputsPositionTypeDef = TypedDict(
    "_ClientCreateJobSettingsInputsPositionTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientCreateJobSettingsInputsPositionTypeDef(_ClientCreateJobSettingsInputsPositionTypeDef):
    pass


_ClientCreateJobSettingsInputsVideoSelectorHdr10MetadataTypeDef = TypedDict(
    "_ClientCreateJobSettingsInputsVideoSelectorHdr10MetadataTypeDef",
    {
        "BluePrimaryX": int,
        "BluePrimaryY": int,
        "GreenPrimaryX": int,
        "GreenPrimaryY": int,
        "MaxContentLightLevel": int,
        "MaxFrameAverageLightLevel": int,
        "MaxLuminance": int,
        "MinLuminance": int,
        "RedPrimaryX": int,
        "RedPrimaryY": int,
        "WhitePointX": int,
        "WhitePointY": int,
    },
    total=False,
)


class ClientCreateJobSettingsInputsVideoSelectorHdr10MetadataTypeDef(
    _ClientCreateJobSettingsInputsVideoSelectorHdr10MetadataTypeDef
):
    pass


_ClientCreateJobSettingsInputsVideoSelectorTypeDef = TypedDict(
    "_ClientCreateJobSettingsInputsVideoSelectorTypeDef",
    {
        "AlphaBehavior": Literal["DISCARD", "REMAP_TO_LUMA"],
        "ColorSpace": Literal["FOLLOW", "REC_601", "REC_709", "HDR10", "HLG_2020"],
        "ColorSpaceUsage": Literal["FORCE", "FALLBACK"],
        "Hdr10Metadata": ClientCreateJobSettingsInputsVideoSelectorHdr10MetadataTypeDef,
        "Pid": int,
        "ProgramNumber": int,
        "Rotate": Literal["DEGREE_0", "DEGREES_90", "DEGREES_180", "DEGREES_270", "AUTO"],
    },
    total=False,
)


class ClientCreateJobSettingsInputsVideoSelectorTypeDef(
    _ClientCreateJobSettingsInputsVideoSelectorTypeDef
):
    pass


_ClientCreateJobSettingsInputsTypeDef = TypedDict(
    "_ClientCreateJobSettingsInputsTypeDef",
    {
        "AudioSelectorGroups": Dict[str, ClientCreateJobSettingsInputsAudioSelectorGroupsTypeDef],
        "AudioSelectors": Dict[str, ClientCreateJobSettingsInputsAudioSelectorsTypeDef],
        "CaptionSelectors": Dict[str, ClientCreateJobSettingsInputsCaptionSelectorsTypeDef],
        "Crop": ClientCreateJobSettingsInputsCropTypeDef,
        "DeblockFilter": Literal["ENABLED", "DISABLED"],
        "DecryptionSettings": ClientCreateJobSettingsInputsDecryptionSettingsTypeDef,
        "DenoiseFilter": Literal["ENABLED", "DISABLED"],
        "FileInput": str,
        "FilterEnable": Literal["AUTO", "DISABLE", "FORCE"],
        "FilterStrength": int,
        "ImageInserter": ClientCreateJobSettingsInputsImageInserterTypeDef,
        "InputClippings": List[ClientCreateJobSettingsInputsInputClippingsTypeDef],
        "Position": ClientCreateJobSettingsInputsPositionTypeDef,
        "ProgramNumber": int,
        "PsiControl": Literal["IGNORE_PSI", "USE_PSI"],
        "SupplementalImps": List[str],
        "TimecodeSource": Literal["EMBEDDED", "ZEROBASED", "SPECIFIEDSTART"],
        "TimecodeStart": str,
        "VideoSelector": ClientCreateJobSettingsInputsVideoSelectorTypeDef,
    },
    total=False,
)


class ClientCreateJobSettingsInputsTypeDef(_ClientCreateJobSettingsInputsTypeDef):
    pass


_ClientCreateJobSettingsMotionImageInserterFramerateTypeDef = TypedDict(
    "_ClientCreateJobSettingsMotionImageInserterFramerateTypeDef",
    {"FramerateDenominator": int, "FramerateNumerator": int},
    total=False,
)


class ClientCreateJobSettingsMotionImageInserterFramerateTypeDef(
    _ClientCreateJobSettingsMotionImageInserterFramerateTypeDef
):
    pass


_ClientCreateJobSettingsMotionImageInserterOffsetTypeDef = TypedDict(
    "_ClientCreateJobSettingsMotionImageInserterOffsetTypeDef",
    {"ImageX": int, "ImageY": int},
    total=False,
)


class ClientCreateJobSettingsMotionImageInserterOffsetTypeDef(
    _ClientCreateJobSettingsMotionImageInserterOffsetTypeDef
):
    pass


_ClientCreateJobSettingsMotionImageInserterTypeDef = TypedDict(
    "_ClientCreateJobSettingsMotionImageInserterTypeDef",
    {
        "Framerate": ClientCreateJobSettingsMotionImageInserterFramerateTypeDef,
        "Input": str,
        "InsertionMode": Literal["MOV", "PNG"],
        "Offset": ClientCreateJobSettingsMotionImageInserterOffsetTypeDef,
        "Playback": Literal["ONCE", "REPEAT"],
        "StartTime": str,
    },
    total=False,
)


class ClientCreateJobSettingsMotionImageInserterTypeDef(
    _ClientCreateJobSettingsMotionImageInserterTypeDef
):
    pass


_ClientCreateJobSettingsNielsenConfigurationTypeDef = TypedDict(
    "_ClientCreateJobSettingsNielsenConfigurationTypeDef",
    {"BreakoutCode": int, "DistributorId": str},
    total=False,
)


class ClientCreateJobSettingsNielsenConfigurationTypeDef(
    _ClientCreateJobSettingsNielsenConfigurationTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {
        "CertificateArn": str,
        "DashSignaledSystemIds": List[str],
        "HlsSignaledSystemIds": List[str],
        "ResourceId": str,
        "Url": str,
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef",
    {"KeyFormat": str, "KeyFormatVersions": str, "StaticKeyValue": str, "Url": str},
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef",
    {
        "ConstantInitializationVector": str,
        "EncryptionMethod": Literal["SAMPLE_AES", "AES_CTR"],
        "InitializationVectorInManifest": Literal["INCLUDE", "EXCLUDE"],
        "SpekeKeyProvider": ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef,
        "StaticKeyProvider": ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef,
        "Type": Literal["SPEKE", "STATIC_KEY"],
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef",
    {
        "AdditionalManifests": List[
            ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef
        ],
        "BaseUrl": str,
        "ClientCache": Literal["DISABLED", "ENABLED"],
        "CodecSpecification": Literal["RFC_6381", "RFC_4281"],
        "Destination": str,
        "DestinationSettings": ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef,
        "Encryption": ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef,
        "FragmentLength": int,
        "ManifestCompression": Literal["GZIP", "NONE"],
        "ManifestDurationFormat": Literal["FLOATING_POINT", "INTEGER"],
        "MinBufferTime": int,
        "MinFinalSegmentLength": float,
        "MpdProfile": Literal["MAIN_PROFILE", "ON_DEMAND_PROFILE"],
        "SegmentControl": Literal["SINGLE_FILE", "SEGMENTED_FILES"],
        "SegmentLength": int,
        "StreamInfResolution": Literal["INCLUDE", "EXCLUDE"],
        "WriteDashManifest": Literal["DISABLED", "ENABLED"],
        "WriteHlsManifest": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {"CertificateArn": str, "ResourceId": str, "SystemIds": List[str], "Url": str},
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef",
    {
        "PlaybackDeviceCompatibility": Literal["CENC_V1", "UNENCRYPTED_SEI"],
        "SpekeKeyProvider": ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef,
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef",
    {
        "AdditionalManifests": List[
            ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef
        ],
        "BaseUrl": str,
        "Destination": str,
        "DestinationSettings": ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef,
        "Encryption": ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef,
        "FragmentLength": int,
        "HbbtvCompliance": Literal["HBBTV_1_5", "NONE"],
        "MinBufferTime": int,
        "MpdProfile": Literal["MAIN_PROFILE", "ON_DEMAND_PROFILE"],
        "SegmentControl": Literal["SINGLE_FILE", "SEGMENTED_FILES"],
        "SegmentLength": int,
        "WriteSegmentTimelineInRepresentation": Literal["ENABLED", "DISABLED"],
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientCreateJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientCreateJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientCreateJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef",
    {
        "Destination": str,
        "DestinationSettings": ClientCreateJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef,
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef",
    {
        "CaptionChannel": int,
        "CustomLanguageCode": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageDescription": str,
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {"CertificateArn": str, "ResourceId": str, "SystemIds": List[str], "Url": str},
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef",
    {"KeyFormat": str, "KeyFormatVersions": str, "StaticKeyValue": str, "Url": str},
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef",
    {
        "ConstantInitializationVector": str,
        "EncryptionMethod": Literal["AES128", "SAMPLE_AES"],
        "InitializationVectorInManifest": Literal["INCLUDE", "EXCLUDE"],
        "OfflineEncrypted": Literal["ENABLED", "DISABLED"],
        "SpekeKeyProvider": ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef,
        "StaticKeyProvider": ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef,
        "Type": Literal["SPEKE", "STATIC_KEY"],
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef",
    {
        "AdMarkers": List[Literal["ELEMENTAL", "ELEMENTAL_SCTE35"]],
        "AdditionalManifests": List[
            ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef
        ],
        "BaseUrl": str,
        "CaptionLanguageMappings": List[
            ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef
        ],
        "CaptionLanguageSetting": Literal["INSERT", "OMIT", "NONE"],
        "ClientCache": Literal["DISABLED", "ENABLED"],
        "CodecSpecification": Literal["RFC_6381", "RFC_4281"],
        "Destination": str,
        "DestinationSettings": ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef,
        "DirectoryStructure": Literal["SINGLE_DIRECTORY", "SUBDIRECTORY_PER_STREAM"],
        "Encryption": ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef,
        "ManifestCompression": Literal["GZIP", "NONE"],
        "ManifestDurationFormat": Literal["FLOATING_POINT", "INTEGER"],
        "MinFinalSegmentLength": float,
        "MinSegmentLength": int,
        "OutputSelection": Literal["MANIFESTS_AND_SEGMENTS", "SEGMENTS_ONLY"],
        "ProgramDateTime": Literal["INCLUDE", "EXCLUDE"],
        "ProgramDateTimePeriod": int,
        "SegmentControl": Literal["SINGLE_FILE", "SEGMENTED_FILES"],
        "SegmentLength": int,
        "SegmentsPerSubdirectory": int,
        "StreamInfResolution": Literal["INCLUDE", "EXCLUDE"],
        "TimedMetadataId3Frame": Literal["NONE", "PRIV", "TDRL"],
        "TimedMetadataId3Period": int,
        "TimestampDeltaMilliseconds": int,
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {"CertificateArn": str, "ResourceId": str, "SystemIds": List[str], "Url": str},
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef",
    {
        "SpekeKeyProvider": ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef",
    {
        "AdditionalManifests": List[
            ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef
        ],
        "AudioDeduplication": Literal["COMBINE_DUPLICATE_STREAMS", "NONE"],
        "Destination": str,
        "DestinationSettings": ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef,
        "Encryption": ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef,
        "FragmentLength": int,
        "ManifestEncoding": Literal["UTF8", "UTF16"],
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputGroupSettingsTypeDef",
    {
        "CmafGroupSettings": ClientCreateJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef,
        "DashIsoGroupSettings": ClientCreateJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef,
        "FileGroupSettings": ClientCreateJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef,
        "HlsGroupSettings": ClientCreateJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef,
        "MsSmoothGroupSettings": ClientCreateJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef,
        "Type": Literal[
            "HLS_GROUP_SETTINGS",
            "DASH_ISO_GROUP_SETTINGS",
            "FILE_GROUP_SETTINGS",
            "MS_SMOOTH_GROUP_SETTINGS",
            "CMAF_GROUP_SETTINGS",
        ],
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputGroupSettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputGroupSettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef",
    {
        "Algorithm": Literal["ITU_BS_1770_1", "ITU_BS_1770_2", "ITU_BS_1770_3", "ITU_BS_1770_4"],
        "AlgorithmControl": Literal["CORRECT_AUDIO", "MEASURE_ONLY"],
        "CorrectionGateLevel": int,
        "LoudnessLogging": Literal["LOG", "DONT_LOG"],
        "PeakCalculation": Literal["TRUE_PEAK", "NONE"],
        "TargetLkfs": float,
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef",
    {
        "AudioDescriptionBroadcasterMix": Literal["BROADCASTER_MIXED_AD", "NORMAL"],
        "Bitrate": int,
        "CodecProfile": Literal["LC", "HEV1", "HEV2"],
        "CodingMode": Literal[
            "AD_RECEIVER_MIX",
            "CODING_MODE_1_0",
            "CODING_MODE_1_1",
            "CODING_MODE_2_0",
            "CODING_MODE_5_1",
        ],
        "RateControlMode": Literal["CBR", "VBR"],
        "RawFormat": Literal["LATM_LOAS", "NONE"],
        "SampleRate": int,
        "Specification": Literal["MPEG2", "MPEG4"],
        "VbrQuality": Literal["LOW", "MEDIUM_LOW", "MEDIUM_HIGH", "HIGH"],
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef",
    {
        "Bitrate": int,
        "BitstreamMode": Literal[
            "COMPLETE_MAIN",
            "COMMENTARY",
            "DIALOGUE",
            "EMERGENCY",
            "HEARING_IMPAIRED",
            "MUSIC_AND_EFFECTS",
            "VISUALLY_IMPAIRED",
            "VOICE_OVER",
        ],
        "CodingMode": Literal[
            "CODING_MODE_1_0", "CODING_MODE_1_1", "CODING_MODE_2_0", "CODING_MODE_3_2_LFE"
        ],
        "Dialnorm": int,
        "DynamicRangeCompressionProfile": Literal["FILM_STANDARD", "NONE"],
        "LfeFilter": Literal["ENABLED", "DISABLED"],
        "MetadataControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "SampleRate": int,
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef",
    {"BitDepth": int, "Channels": int, "SampleRate": int},
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef",
    {
        "Bitrate": int,
        "BitstreamMode": str,
        "CodingMode": str,
        "DialogueIntelligence": Literal["ENABLED", "DISABLED"],
        "DynamicRangeCompressionLine": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "DynamicRangeCompressionRf": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "LoRoCenterMixLevel": float,
        "LoRoSurroundMixLevel": float,
        "LtRtCenterMixLevel": float,
        "LtRtSurroundMixLevel": float,
        "MeteringMode": Literal[
            "LEQ_A", "ITU_BS_1770_1", "ITU_BS_1770_2", "ITU_BS_1770_3", "ITU_BS_1770_4"
        ],
        "SampleRate": int,
        "SpeechThreshold": int,
        "StereoDownmix": Literal["NOT_INDICATED", "STEREO", "SURROUND", "DPL2"],
        "SurroundExMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef",
    {
        "AttenuationControl": Literal["ATTENUATE_3_DB", "NONE"],
        "Bitrate": int,
        "BitstreamMode": Literal[
            "COMPLETE_MAIN", "COMMENTARY", "EMERGENCY", "HEARING_IMPAIRED", "VISUALLY_IMPAIRED"
        ],
        "CodingMode": Literal["CODING_MODE_1_0", "CODING_MODE_2_0", "CODING_MODE_3_2"],
        "DcFilter": Literal["ENABLED", "DISABLED"],
        "Dialnorm": int,
        "DynamicRangeCompressionLine": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "DynamicRangeCompressionRf": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "LfeControl": Literal["LFE", "NO_LFE"],
        "LfeFilter": Literal["ENABLED", "DISABLED"],
        "LoRoCenterMixLevel": float,
        "LoRoSurroundMixLevel": float,
        "LtRtCenterMixLevel": float,
        "LtRtSurroundMixLevel": float,
        "MetadataControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "PassthroughControl": Literal["WHEN_POSSIBLE", "NO_PASSTHROUGH"],
        "PhaseControl": Literal["SHIFT_90_DEGREES", "NO_SHIFT"],
        "SampleRate": int,
        "StereoDownmix": Literal["NOT_INDICATED", "LO_RO", "LT_RT", "DPL2"],
        "SurroundExMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
        "SurroundMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef",
    {"Bitrate": int, "Channels": int, "SampleRate": int},
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef",
    {"BitDepth": int, "Channels": int, "Format": Literal["RIFF", "RF64"], "SampleRate": int},
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef",
    {
        "AacSettings": ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef,
        "Ac3Settings": ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef,
        "AiffSettings": ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef,
        "Codec": Literal["AAC", "MP2", "WAV", "AIFF", "AC3", "EAC3", "EAC3_ATMOS", "PASSTHROUGH"],
        "Eac3AtmosSettings": ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef,
        "Eac3Settings": ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef,
        "Mp2Settings": ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef,
        "WavSettings": ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef,
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef",
    {"InputChannels": List[int]},
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef",
    {
        "OutputChannels": List[
            ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef
        ]
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef",
    {
        "ChannelMapping": ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef,
        "ChannelsIn": int,
        "ChannelsOut": int,
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsTypeDef",
    {
        "AudioNormalizationSettings": ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef,
        "AudioSourceName": str,
        "AudioType": int,
        "AudioTypeControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "CodecSettings": ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef,
        "CustomLanguageCode": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageCodeControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "RemixSettings": ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef,
        "StreamName": str,
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef",
    {
        "Alignment": Literal["CENTERED", "LEFT"],
        "BackgroundColor": Literal["NONE", "BLACK", "WHITE"],
        "BackgroundOpacity": int,
        "FontColor": Literal["WHITE", "BLACK", "YELLOW", "RED", "GREEN", "BLUE"],
        "FontOpacity": int,
        "FontResolution": int,
        "FontScript": Literal["AUTOMATIC", "HANS", "HANT"],
        "FontSize": int,
        "OutlineColor": Literal["BLACK", "WHITE", "YELLOW", "RED", "GREEN", "BLUE"],
        "OutlineSize": int,
        "ShadowColor": Literal["NONE", "BLACK", "WHITE"],
        "ShadowOpacity": int,
        "ShadowXOffset": int,
        "ShadowYOffset": int,
        "TeletextSpacing": Literal["FIXED_GRID", "PROPORTIONAL"],
        "XPosition": int,
        "YPosition": int,
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef",
    {
        "Alignment": Literal["CENTERED", "LEFT"],
        "BackgroundColor": Literal["NONE", "BLACK", "WHITE"],
        "BackgroundOpacity": int,
        "FontColor": Literal["WHITE", "BLACK", "YELLOW", "RED", "GREEN", "BLUE"],
        "FontOpacity": int,
        "FontResolution": int,
        "FontScript": Literal["AUTOMATIC", "HANS", "HANT"],
        "FontSize": int,
        "OutlineColor": Literal["BLACK", "WHITE", "YELLOW", "RED", "GREEN", "BLUE"],
        "OutlineSize": int,
        "ShadowColor": Literal["NONE", "BLACK", "WHITE"],
        "ShadowOpacity": int,
        "ShadowXOffset": int,
        "ShadowYOffset": int,
        "SubtitlingType": Literal["HEARING_IMPAIRED", "STANDARD"],
        "TeletextSpacing": Literal["FIXED_GRID", "PROPORTIONAL"],
        "XPosition": int,
        "YPosition": int,
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef",
    {"Destination608ChannelNumber": int, "Destination708ServiceNumber": int},
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef",
    {"StylePassthrough": Literal["ENABLED", "DISABLED"]},
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef",
    {
        "Framerate": Literal[
            "FRAMERATE_23_97",
            "FRAMERATE_24",
            "FRAMERATE_25",
            "FRAMERATE_29_97_DROPFRAME",
            "FRAMERATE_29_97_NON_DROPFRAME",
        ]
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef",
    {
        "PageNumber": str,
        "PageTypes": List[
            Literal[
                "PAGE_TYPE_INITIAL",
                "PAGE_TYPE_SUBTITLE",
                "PAGE_TYPE_ADDL_INFO",
                "PAGE_TYPE_PROGRAM_SCHEDULE",
                "PAGE_TYPE_HEARING_IMPAIRED_SUBTITLE",
            ]
        ],
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef",
    {"StylePassthrough": Literal["ENABLED", "DISABLED"]},
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef",
    {
        "BurninDestinationSettings": ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef,
        "DestinationType": Literal[
            "BURN_IN",
            "DVB_SUB",
            "EMBEDDED",
            "EMBEDDED_PLUS_SCTE20",
            "IMSC",
            "SCTE20_PLUS_EMBEDDED",
            "SCC",
            "SRT",
            "SMI",
            "TELETEXT",
            "TTML",
            "WEBVTT",
        ],
        "DvbSubDestinationSettings": ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef,
        "EmbeddedDestinationSettings": ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef,
        "ImscDestinationSettings": ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef,
        "SccDestinationSettings": ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef,
        "TeletextDestinationSettings": ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef,
        "TtmlDestinationSettings": ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef,
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef",
    {
        "CaptionSelectorName": str,
        "CustomLanguageCode": str,
        "DestinationSettings": ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageDescription": str,
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef",
    {"MoovPlacement": Literal["PROGRESSIVE_DOWNLOAD", "NORMAL"]},
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef",
    {"NetworkId": int, "NetworkName": str, "NitInterval": int},
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef",
    {
        "OutputSdt": Literal["SDT_FOLLOW", "SDT_FOLLOW_IF_PRESENT", "SDT_MANUAL", "SDT_NONE"],
        "SdtInterval": int,
        "ServiceName": str,
        "ServiceProviderName": str,
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef",
    {"TdtInterval": int},
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef",
    {"Scte35EsamPid": int},
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef",
    {
        "AudioBufferModel": Literal["DVB", "ATSC"],
        "AudioFramesPerPes": int,
        "AudioPids": List[int],
        "Bitrate": int,
        "BufferModel": Literal["MULTIPLEX", "NONE"],
        "DvbNitSettings": ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef,
        "DvbSdtSettings": ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef,
        "DvbSubPids": List[int],
        "DvbTdtSettings": ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef,
        "DvbTeletextPid": int,
        "EbpAudioInterval": Literal["VIDEO_AND_FIXED_INTERVALS", "VIDEO_INTERVAL"],
        "EbpPlacement": Literal["VIDEO_AND_AUDIO_PIDS", "VIDEO_PID"],
        "EsRateInPes": Literal["INCLUDE", "EXCLUDE"],
        "ForceTsVideoEbpOrder": Literal["FORCE", "DEFAULT"],
        "FragmentTime": float,
        "MaxPcrInterval": int,
        "MinEbpInterval": int,
        "NielsenId3": Literal["INSERT", "NONE"],
        "NullPacketBitrate": float,
        "PatInterval": int,
        "PcrControl": Literal["PCR_EVERY_PES_PACKET", "CONFIGURED_PCR_PERIOD"],
        "PcrPid": int,
        "PmtInterval": int,
        "PmtPid": int,
        "PrivateMetadataPid": int,
        "ProgramNumber": int,
        "RateMode": Literal["VBR", "CBR"],
        "Scte35Esam": ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef,
        "Scte35Pid": int,
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
        "SegmentationMarkers": Literal[
            "NONE", "RAI_SEGSTART", "RAI_ADAPT", "PSI_SEGSTART", "EBP", "EBP_LEGACY"
        ],
        "SegmentationStyle": Literal["MAINTAIN_CADENCE", "RESET_CADENCE"],
        "SegmentationTime": float,
        "TimedMetadataPid": int,
        "TransportStreamId": int,
        "VideoPid": int,
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef",
    {
        "AudioFramesPerPes": int,
        "AudioPids": List[int],
        "NielsenId3": Literal["INSERT", "NONE"],
        "PatInterval": int,
        "PcrControl": Literal["PCR_EVERY_PES_PACKET", "CONFIGURED_PCR_PERIOD"],
        "PcrPid": int,
        "PmtInterval": int,
        "PmtPid": int,
        "PrivateMetadataPid": int,
        "ProgramNumber": int,
        "Scte35Pid": int,
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
        "TimedMetadata": Literal["PASSTHROUGH", "NONE"],
        "TimedMetadataPid": int,
        "TransportStreamId": int,
        "VideoPid": int,
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef",
    {
        "ClapAtom": Literal["INCLUDE", "EXCLUDE"],
        "CslgAtom": Literal["INCLUDE", "EXCLUDE"],
        "Mpeg2FourCCControl": Literal["XDCAM", "MPEG"],
        "PaddingControl": Literal["OMNEON", "NONE"],
        "Reference": Literal["SELF_CONTAINED", "EXTERNAL"],
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef",
    {
        "CslgAtom": Literal["INCLUDE", "EXCLUDE"],
        "FreeSpaceBox": Literal["INCLUDE", "EXCLUDE"],
        "MoovPlacement": Literal["PROGRESSIVE_DOWNLOAD", "NORMAL"],
        "Mp4MajorBrand": str,
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef",
    {
        "CaptionContainerType": Literal["RAW", "FRAGMENTED_MP4"],
        "Scte35Esam": Literal["INSERT", "NONE"],
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsTypeDef",
    {
        "Container": Literal[
            "F4V", "ISMV", "M2TS", "M3U8", "CMFC", "MOV", "MP4", "MPD", "MXF", "RAW"
        ],
        "F4vSettings": ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef,
        "M2tsSettings": ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef,
        "M3u8Settings": ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef,
        "MovSettings": ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef,
        "Mp4Settings": ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef,
        "MpdSettings": ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef,
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef",
    {
        "AudioGroupId": str,
        "AudioOnlyContainer": Literal["AUTOMATIC", "M2TS"],
        "AudioRenditionSets": str,
        "AudioTrackType": Literal[
            "ALTERNATE_AUDIO_AUTO_SELECT_DEFAULT",
            "ALTERNATE_AUDIO_AUTO_SELECT",
            "ALTERNATE_AUDIO_NOT_AUTO_SELECT",
            "AUDIO_ONLY_VARIANT_STREAM",
        ],
        "IFrameOnlyManifest": Literal["INCLUDE", "EXCLUDE"],
        "SegmentModifier": str,
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsOutputSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsOutputSettingsTypeDef",
    {"HlsSettings": ClientCreateJobSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef},
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsOutputSettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsOutputSettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef",
    {"FramerateDenominator": int, "FramerateNumerator": int, "MaxCaptures": int, "Quality": int},
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef",
    {"MaxAverageBitrate": int, "QvbrQualityLevel": int},
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH", "HIGHER", "MAX"],
        "Bitrate": int,
        "CodecLevel": Literal[
            "AUTO",
            "LEVEL_1",
            "LEVEL_1_1",
            "LEVEL_1_2",
            "LEVEL_1_3",
            "LEVEL_2",
            "LEVEL_2_1",
            "LEVEL_2_2",
            "LEVEL_3",
            "LEVEL_3_1",
            "LEVEL_3_2",
            "LEVEL_4",
            "LEVEL_4_1",
            "LEVEL_4_2",
            "LEVEL_5",
            "LEVEL_5_1",
            "LEVEL_5_2",
        ],
        "CodecProfile": Literal[
            "BASELINE", "HIGH", "HIGH_10BIT", "HIGH_422", "HIGH_422_10BIT", "MAIN"
        ],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "EntropyEncoding": Literal["CABAC", "CAVLC"],
        "FieldEncoding": Literal["PAFF", "FORCE_FIELD"],
        "FlickerAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopBReference": Literal["DISABLED", "ENABLED"],
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "NumberReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "SINGLE_PASS_HQ", "MULTI_PASS_HQ"],
        "QvbrSettings": ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef,
        "RateControlMode": Literal["VBR", "CBR", "QVBR"],
        "RepeatPps": Literal["DISABLED", "ENABLED"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED", "TRANSITION_DETECTION"],
        "Slices": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Softness": int,
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Syntax": Literal["DEFAULT", "RP2027"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "UnregisteredSeiTimecode": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef",
    {"MaxAverageBitrate": int, "QvbrQualityLevel": int},
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH", "HIGHER", "MAX"],
        "AlternateTransferFunctionSei": Literal["DISABLED", "ENABLED"],
        "Bitrate": int,
        "CodecLevel": Literal[
            "AUTO",
            "LEVEL_1",
            "LEVEL_2",
            "LEVEL_2_1",
            "LEVEL_3",
            "LEVEL_3_1",
            "LEVEL_4",
            "LEVEL_4_1",
            "LEVEL_5",
            "LEVEL_5_1",
            "LEVEL_5_2",
            "LEVEL_6",
            "LEVEL_6_1",
            "LEVEL_6_2",
        ],
        "CodecProfile": Literal[
            "MAIN_MAIN",
            "MAIN_HIGH",
            "MAIN10_MAIN",
            "MAIN10_HIGH",
            "MAIN_422_8BIT_MAIN",
            "MAIN_422_8BIT_HIGH",
            "MAIN_422_10BIT_MAIN",
            "MAIN_422_10BIT_HIGH",
        ],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "FlickerAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopBReference": Literal["DISABLED", "ENABLED"],
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "NumberReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "SINGLE_PASS_HQ", "MULTI_PASS_HQ"],
        "QvbrSettings": ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef,
        "RateControlMode": Literal["VBR", "CBR", "QVBR"],
        "SampleAdaptiveOffsetFilterMode": Literal["DEFAULT", "ADAPTIVE", "OFF"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED", "TRANSITION_DETECTION"],
        "Slices": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "TemporalIds": Literal["DISABLED", "ENABLED"],
        "Tiles": Literal["DISABLED", "ENABLED"],
        "UnregisteredSeiTimecode": Literal["DISABLED", "ENABLED"],
        "WriteMp4PackagingType": Literal["HVC1", "HEV1"],
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH"],
        "Bitrate": int,
        "CodecLevel": Literal["AUTO", "LOW", "MAIN", "HIGH1440", "HIGH"],
        "CodecProfile": Literal["MAIN", "PROFILE_422"],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "IntraDcPrecision": Literal[
            "AUTO",
            "INTRA_DC_PRECISION_8",
            "INTRA_DC_PRECISION_9",
            "INTRA_DC_PRECISION_10",
            "INTRA_DC_PRECISION_11",
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "MULTI_PASS"],
        "RateControlMode": Literal["VBR", "CBR"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED"],
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Softness": int,
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Syntax": Literal["DEFAULT", "D_10"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef",
    {
        "CodecProfile": Literal[
            "APPLE_PRORES_422",
            "APPLE_PRORES_422_HQ",
            "APPLE_PRORES_422_LT",
            "APPLE_PRORES_422_PROXY",
        ],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Telecine": Literal["NONE", "HARD"],
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef",
    {
        "Codec": Literal["FRAME_CAPTURE", "H_264", "H_265", "MPEG2", "PRORES"],
        "FrameCaptureSettings": ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef,
        "H264Settings": ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef,
        "H265Settings": ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef,
        "Mpeg2Settings": ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef,
        "ProresSettings": ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef,
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef",
    {
        "BluePrimaryX": int,
        "BluePrimaryY": int,
        "GreenPrimaryX": int,
        "GreenPrimaryY": int,
        "MaxContentLightLevel": int,
        "MaxFrameAverageLightLevel": int,
        "MaxLuminance": int,
        "MinLuminance": int,
        "RedPrimaryX": int,
        "RedPrimaryY": int,
        "WhitePointX": int,
        "WhitePointY": int,
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef",
    {
        "Brightness": int,
        "ColorSpaceConversion": Literal[
            "NONE", "FORCE_601", "FORCE_709", "FORCE_HDR10", "FORCE_HLG_2020"
        ],
        "Contrast": int,
        "Hdr10Metadata": ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef,
        "Hue": int,
        "Saturation": int,
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef",
    {
        "Algorithm": Literal["INTERPOLATE", "INTERPOLATE_TICKER", "BLEND", "BLEND_TICKER"],
        "Control": Literal["FORCE_ALL_FRAMES", "NORMAL"],
        "Mode": Literal["DEINTERLACE", "INVERSE_TELECINE", "ADAPTIVE"],
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef",
    {"MaxCll": int, "MaxFall": int},
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef",
    {
        "L6Metadata": ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef,
        "L6Mode": Literal["PASSTHROUGH", "RECALCULATE", "SPECIFY"],
        "Profile": str,
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef",
    {
        "Duration": int,
        "FadeIn": int,
        "FadeOut": int,
        "Height": int,
        "ImageInserterInput": str,
        "ImageX": int,
        "ImageY": int,
        "Layer": int,
        "Opacity": int,
        "StartTime": str,
        "Width": int,
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef",
    {
        "InsertableImages": List[
            ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef
        ]
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef",
    {"Strength": int},
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef",
    {"PostFilterSharpenStrength": int, "Speed": int, "Strength": int},
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef",
    {"AggressiveMode": int, "Speed": int, "Strength": int},
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef",
    {
        "Filter": Literal[
            "BILATERAL", "MEAN", "GAUSSIAN", "LANCZOS", "SHARPEN", "CONSERVE", "SPATIAL", "TEMPORAL"
        ],
        "FilterSettings": ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef,
        "SpatialFilterSettings": ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef,
        "TemporalFilterSettings": ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef,
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef",
    {
        "FontSize": int,
        "Position": Literal[
            "TOP_CENTER",
            "TOP_LEFT",
            "TOP_RIGHT",
            "MIDDLE_LEFT",
            "MIDDLE_CENTER",
            "MIDDLE_RIGHT",
            "BOTTOM_LEFT",
            "BOTTOM_CENTER",
            "BOTTOM_RIGHT",
        ],
        "Prefix": str,
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef",
    {
        "ColorCorrector": ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef,
        "Deinterlacer": ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef,
        "DolbyVision": ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef,
        "ImageInserter": ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef,
        "NoiseReducer": ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef,
        "TimecodeBurnin": ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef,
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionTypeDef",
    {
        "AfdSignaling": Literal["NONE", "AUTO", "FIXED"],
        "AntiAlias": Literal["DISABLED", "ENABLED"],
        "CodecSettings": ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef,
        "ColorMetadata": Literal["IGNORE", "INSERT"],
        "Crop": ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef,
        "DropFrameTimecode": Literal["DISABLED", "ENABLED"],
        "FixedAfd": int,
        "Height": int,
        "Position": ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef,
        "RespondToAfd": Literal["NONE", "RESPOND", "PASSTHROUGH"],
        "ScalingBehavior": Literal["DEFAULT", "STRETCH_TO_OUTPUT"],
        "Sharpness": int,
        "TimecodeInsertion": Literal["DISABLED", "PIC_TIMING_SEI"],
        "VideoPreprocessors": ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef,
        "Width": int,
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsOutputsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsOutputsTypeDef",
    {
        "AudioDescriptions": List[
            ClientCreateJobSettingsOutputGroupsOutputsAudioDescriptionsTypeDef
        ],
        "CaptionDescriptions": List[
            ClientCreateJobSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef
        ],
        "ContainerSettings": ClientCreateJobSettingsOutputGroupsOutputsContainerSettingsTypeDef,
        "Extension": str,
        "NameModifier": str,
        "OutputSettings": ClientCreateJobSettingsOutputGroupsOutputsOutputSettingsTypeDef,
        "Preset": str,
        "VideoDescription": ClientCreateJobSettingsOutputGroupsOutputsVideoDescriptionTypeDef,
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsOutputsTypeDef(
    _ClientCreateJobSettingsOutputGroupsOutputsTypeDef
):
    pass


_ClientCreateJobSettingsOutputGroupsTypeDef = TypedDict(
    "_ClientCreateJobSettingsOutputGroupsTypeDef",
    {
        "CustomName": str,
        "Name": str,
        "OutputGroupSettings": ClientCreateJobSettingsOutputGroupsOutputGroupSettingsTypeDef,
        "Outputs": List[ClientCreateJobSettingsOutputGroupsOutputsTypeDef],
    },
    total=False,
)


class ClientCreateJobSettingsOutputGroupsTypeDef(_ClientCreateJobSettingsOutputGroupsTypeDef):
    pass


_ClientCreateJobSettingsTimecodeConfigTypeDef = TypedDict(
    "_ClientCreateJobSettingsTimecodeConfigTypeDef",
    {
        "Anchor": str,
        "Source": Literal["EMBEDDED", "ZEROBASED", "SPECIFIEDSTART"],
        "Start": str,
        "TimestampOffset": str,
    },
    total=False,
)


class ClientCreateJobSettingsTimecodeConfigTypeDef(_ClientCreateJobSettingsTimecodeConfigTypeDef):
    pass


_ClientCreateJobSettingsTimedMetadataInsertionId3InsertionsTypeDef = TypedDict(
    "_ClientCreateJobSettingsTimedMetadataInsertionId3InsertionsTypeDef",
    {"Id3": str, "Timecode": str},
    total=False,
)


class ClientCreateJobSettingsTimedMetadataInsertionId3InsertionsTypeDef(
    _ClientCreateJobSettingsTimedMetadataInsertionId3InsertionsTypeDef
):
    pass


_ClientCreateJobSettingsTimedMetadataInsertionTypeDef = TypedDict(
    "_ClientCreateJobSettingsTimedMetadataInsertionTypeDef",
    {"Id3Insertions": List[ClientCreateJobSettingsTimedMetadataInsertionId3InsertionsTypeDef]},
    total=False,
)


class ClientCreateJobSettingsTimedMetadataInsertionTypeDef(
    _ClientCreateJobSettingsTimedMetadataInsertionTypeDef
):
    pass


_ClientCreateJobSettingsTypeDef = TypedDict(
    "_ClientCreateJobSettingsTypeDef",
    {
        "AdAvailOffset": int,
        "AvailBlanking": ClientCreateJobSettingsAvailBlankingTypeDef,
        "Esam": ClientCreateJobSettingsEsamTypeDef,
        "Inputs": List[ClientCreateJobSettingsInputsTypeDef],
        "MotionImageInserter": ClientCreateJobSettingsMotionImageInserterTypeDef,
        "NielsenConfiguration": ClientCreateJobSettingsNielsenConfigurationTypeDef,
        "OutputGroups": List[ClientCreateJobSettingsOutputGroupsTypeDef],
        "TimecodeConfig": ClientCreateJobSettingsTimecodeConfigTypeDef,
        "TimedMetadataInsertion": ClientCreateJobSettingsTimedMetadataInsertionTypeDef,
    },
    total=False,
)


class ClientCreateJobSettingsTypeDef(_ClientCreateJobSettingsTypeDef):
    """
    - **AdAvailOffset** *(integer) --*When specified, this offset (in milliseconds) is added to the
    input Ad Avail PTS time.
    - **AvailBlanking** *(dict) --*Settings for ad avail blanking. Video can be blanked or overlaid
    with an image, and audio muted during SCTE-35 triggered ad avails.

      - **AvailBlankingImage** *(string) --*Blanking image to be used. Leave empty for solid black.
      Only bmp and png images are supported.
    """


_ClientCreateJobTemplateAccelerationSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateAccelerationSettingsTypeDef",
    {"Mode": Literal["DISABLED", "ENABLED", "PREFERRED"]},
)


class ClientCreateJobTemplateAccelerationSettingsTypeDef(
    _ClientCreateJobTemplateAccelerationSettingsTypeDef
):
    """
    - **Mode** *(string) --***[REQUIRED]** Specify the conditions when the service will run your job
    with accelerated transcoding.
    """


_ClientCreateJobTemplateResponseJobTemplateAccelerationSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateAccelerationSettingsTypeDef",
    {"Mode": Literal["DISABLED", "ENABLED", "PREFERRED"]},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateAccelerationSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateAccelerationSettingsTypeDef
):
    """
    - **AccelerationSettings** *(dict) --*Accelerated transcoding can significantly speed up jobs
    with long, visually complex content.

      - **Mode** *(string) --*Specify the conditions when the service will run your job with
      accelerated transcoding.
    """


_ClientCreateJobTemplateResponseJobTemplateSettingsAvailBlankingTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsAvailBlankingTypeDef",
    {"AvailBlankingImage": str},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsAvailBlankingTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsAvailBlankingTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsEsamManifestConfirmConditionNotificationTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsEsamManifestConfirmConditionNotificationTypeDef",
    {"MccXml": str},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsEsamManifestConfirmConditionNotificationTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsEsamManifestConfirmConditionNotificationTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsEsamSignalProcessingNotificationTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsEsamSignalProcessingNotificationTypeDef",
    {"SccXml": str},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsEsamSignalProcessingNotificationTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsEsamSignalProcessingNotificationTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsEsamTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsEsamTypeDef",
    {
        "ManifestConfirmConditionNotification": ClientCreateJobTemplateResponseJobTemplateSettingsEsamManifestConfirmConditionNotificationTypeDef,
        "ResponseSignalPreroll": int,
        "SignalProcessingNotification": ClientCreateJobTemplateResponseJobTemplateSettingsEsamSignalProcessingNotificationTypeDef,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsEsamTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsEsamTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorGroupsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorGroupsTypeDef",
    {"AudioSelectorNames": List[str]},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorGroupsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorGroupsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef",
    {"InputChannels": List[int]},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef",
    {
        "OutputChannels": List[
            ClientCreateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef
        ]
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsTypeDef",
    {
        "ChannelMapping": ClientCreateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef,
        "ChannelsIn": int,
        "ChannelsOut": int,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsTypeDef",
    {
        "CustomLanguageCode": str,
        "DefaultSelection": Literal["DEFAULT", "NOT_DEFAULT"],
        "ExternalAudioFileInput": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "Offset": int,
        "Pids": List[int],
        "ProgramSelection": int,
        "RemixSettings": ClientCreateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsTypeDef,
        "SelectorType": Literal["PID", "TRACK", "LANGUAGE_CODE"],
        "Tracks": List[int],
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef",
    {
        "Convert608To708": Literal["UPCONVERT", "DISABLED"],
        "SourceAncillaryChannelNumber": int,
        "TerminateCaptions": Literal["END_OF_INPUT", "DISABLED"],
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef",
    {"Pid": int},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef",
    {
        "Convert608To708": Literal["UPCONVERT", "DISABLED"],
        "Source608ChannelNumber": int,
        "Source608TrackNumber": int,
        "TerminateCaptions": Literal["END_OF_INPUT", "DISABLED"],
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef",
    {"Convert608To708": Literal["UPCONVERT", "DISABLED"], "SourceFile": str, "TimeDelta": int},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef",
    {"PageNumber": str},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef",
    {"TrackNumber": int},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTypeDef",
    {
        "AncillarySourceSettings": ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef,
        "DvbSubSourceSettings": ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef,
        "EmbeddedSourceSettings": ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef,
        "FileSourceSettings": ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef,
        "SourceType": Literal[
            "ANCILLARY",
            "DVB_SUB",
            "EMBEDDED",
            "SCTE20",
            "SCC",
            "TTML",
            "STL",
            "SRT",
            "SMI",
            "TELETEXT",
            "NULL_SOURCE",
            "IMSC",
        ],
        "TeletextSourceSettings": ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef,
        "TrackSourceSettings": ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsTypeDef",
    {
        "CustomLanguageCode": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "SourceSettings": ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTypeDef,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsInputsCropTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsInputsCropTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsInputsCropTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsInputsCropTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsInputsImageInserterInsertableImagesTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsInputsImageInserterInsertableImagesTypeDef",
    {
        "Duration": int,
        "FadeIn": int,
        "FadeOut": int,
        "Height": int,
        "ImageInserterInput": str,
        "ImageX": int,
        "ImageY": int,
        "Layer": int,
        "Opacity": int,
        "StartTime": str,
        "Width": int,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsInputsImageInserterInsertableImagesTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsInputsImageInserterInsertableImagesTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsInputsImageInserterTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsInputsImageInserterTypeDef",
    {
        "InsertableImages": List[
            ClientCreateJobTemplateResponseJobTemplateSettingsInputsImageInserterInsertableImagesTypeDef
        ]
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsInputsImageInserterTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsInputsImageInserterTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsInputsInputClippingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsInputsInputClippingsTypeDef",
    {"EndTimecode": str, "StartTimecode": str},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsInputsInputClippingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsInputsInputClippingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsInputsPositionTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsInputsPositionTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsInputsPositionTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsInputsPositionTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsInputsVideoSelectorHdr10MetadataTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsInputsVideoSelectorHdr10MetadataTypeDef",
    {
        "BluePrimaryX": int,
        "BluePrimaryY": int,
        "GreenPrimaryX": int,
        "GreenPrimaryY": int,
        "MaxContentLightLevel": int,
        "MaxFrameAverageLightLevel": int,
        "MaxLuminance": int,
        "MinLuminance": int,
        "RedPrimaryX": int,
        "RedPrimaryY": int,
        "WhitePointX": int,
        "WhitePointY": int,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsInputsVideoSelectorHdr10MetadataTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsInputsVideoSelectorHdr10MetadataTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsInputsVideoSelectorTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsInputsVideoSelectorTypeDef",
    {
        "AlphaBehavior": Literal["DISCARD", "REMAP_TO_LUMA"],
        "ColorSpace": Literal["FOLLOW", "REC_601", "REC_709", "HDR10", "HLG_2020"],
        "ColorSpaceUsage": Literal["FORCE", "FALLBACK"],
        "Hdr10Metadata": ClientCreateJobTemplateResponseJobTemplateSettingsInputsVideoSelectorHdr10MetadataTypeDef,
        "Pid": int,
        "ProgramNumber": int,
        "Rotate": Literal["DEGREE_0", "DEGREES_90", "DEGREES_180", "DEGREES_270", "AUTO"],
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsInputsVideoSelectorTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsInputsVideoSelectorTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsInputsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsInputsTypeDef",
    {
        "AudioSelectorGroups": Dict[
            str, ClientCreateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorGroupsTypeDef
        ],
        "AudioSelectors": Dict[
            str, ClientCreateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsTypeDef
        ],
        "CaptionSelectors": Dict[
            str, ClientCreateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsTypeDef
        ],
        "Crop": ClientCreateJobTemplateResponseJobTemplateSettingsInputsCropTypeDef,
        "DeblockFilter": Literal["ENABLED", "DISABLED"],
        "DenoiseFilter": Literal["ENABLED", "DISABLED"],
        "FilterEnable": Literal["AUTO", "DISABLE", "FORCE"],
        "FilterStrength": int,
        "ImageInserter": ClientCreateJobTemplateResponseJobTemplateSettingsInputsImageInserterTypeDef,
        "InputClippings": List[
            ClientCreateJobTemplateResponseJobTemplateSettingsInputsInputClippingsTypeDef
        ],
        "Position": ClientCreateJobTemplateResponseJobTemplateSettingsInputsPositionTypeDef,
        "ProgramNumber": int,
        "PsiControl": Literal["IGNORE_PSI", "USE_PSI"],
        "TimecodeSource": Literal["EMBEDDED", "ZEROBASED", "SPECIFIEDSTART"],
        "TimecodeStart": str,
        "VideoSelector": ClientCreateJobTemplateResponseJobTemplateSettingsInputsVideoSelectorTypeDef,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsInputsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsInputsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsMotionImageInserterFramerateTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsMotionImageInserterFramerateTypeDef",
    {"FramerateDenominator": int, "FramerateNumerator": int},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsMotionImageInserterFramerateTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsMotionImageInserterFramerateTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsMotionImageInserterOffsetTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsMotionImageInserterOffsetTypeDef",
    {"ImageX": int, "ImageY": int},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsMotionImageInserterOffsetTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsMotionImageInserterOffsetTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsMotionImageInserterTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsMotionImageInserterTypeDef",
    {
        "Framerate": ClientCreateJobTemplateResponseJobTemplateSettingsMotionImageInserterFramerateTypeDef,
        "Input": str,
        "InsertionMode": Literal["MOV", "PNG"],
        "Offset": ClientCreateJobTemplateResponseJobTemplateSettingsMotionImageInserterOffsetTypeDef,
        "Playback": Literal["ONCE", "REPEAT"],
        "StartTime": str,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsMotionImageInserterTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsMotionImageInserterTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsNielsenConfigurationTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsNielsenConfigurationTypeDef",
    {"BreakoutCode": int, "DistributorId": str},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsNielsenConfigurationTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsNielsenConfigurationTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {
        "CertificateArn": str,
        "DashSignaledSystemIds": List[str],
        "HlsSignaledSystemIds": List[str],
        "ResourceId": str,
        "Url": str,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef",
    {"KeyFormat": str, "KeyFormatVersions": str, "StaticKeyValue": str, "Url": str},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef",
    {
        "ConstantInitializationVector": str,
        "EncryptionMethod": Literal["SAMPLE_AES", "AES_CTR"],
        "InitializationVectorInManifest": Literal["INCLUDE", "EXCLUDE"],
        "SpekeKeyProvider": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef,
        "StaticKeyProvider": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef,
        "Type": Literal["SPEKE", "STATIC_KEY"],
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef",
    {
        "AdditionalManifests": List[
            ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef
        ],
        "BaseUrl": str,
        "ClientCache": Literal["DISABLED", "ENABLED"],
        "CodecSpecification": Literal["RFC_6381", "RFC_4281"],
        "Destination": str,
        "DestinationSettings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef,
        "Encryption": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef,
        "FragmentLength": int,
        "ManifestCompression": Literal["GZIP", "NONE"],
        "ManifestDurationFormat": Literal["FLOATING_POINT", "INTEGER"],
        "MinBufferTime": int,
        "MinFinalSegmentLength": float,
        "MpdProfile": Literal["MAIN_PROFILE", "ON_DEMAND_PROFILE"],
        "SegmentControl": Literal["SINGLE_FILE", "SEGMENTED_FILES"],
        "SegmentLength": int,
        "StreamInfResolution": Literal["INCLUDE", "EXCLUDE"],
        "WriteDashManifest": Literal["DISABLED", "ENABLED"],
        "WriteHlsManifest": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {"CertificateArn": str, "ResourceId": str, "SystemIds": List[str], "Url": str},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef",
    {
        "PlaybackDeviceCompatibility": Literal["CENC_V1", "UNENCRYPTED_SEI"],
        "SpekeKeyProvider": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef",
    {
        "AdditionalManifests": List[
            ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef
        ],
        "BaseUrl": str,
        "Destination": str,
        "DestinationSettings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef,
        "Encryption": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef,
        "FragmentLength": int,
        "HbbtvCompliance": Literal["HBBTV_1_5", "NONE"],
        "MinBufferTime": int,
        "MpdProfile": Literal["MAIN_PROFILE", "ON_DEMAND_PROFILE"],
        "SegmentControl": Literal["SINGLE_FILE", "SEGMENTED_FILES"],
        "SegmentLength": int,
        "WriteSegmentTimelineInRepresentation": Literal["ENABLED", "DISABLED"],
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef",
    {
        "Destination": str,
        "DestinationSettings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef",
    {
        "CaptionChannel": int,
        "CustomLanguageCode": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageDescription": str,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {"CertificateArn": str, "ResourceId": str, "SystemIds": List[str], "Url": str},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef",
    {"KeyFormat": str, "KeyFormatVersions": str, "StaticKeyValue": str, "Url": str},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef",
    {
        "ConstantInitializationVector": str,
        "EncryptionMethod": Literal["AES128", "SAMPLE_AES"],
        "InitializationVectorInManifest": Literal["INCLUDE", "EXCLUDE"],
        "OfflineEncrypted": Literal["ENABLED", "DISABLED"],
        "SpekeKeyProvider": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef,
        "StaticKeyProvider": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef,
        "Type": Literal["SPEKE", "STATIC_KEY"],
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef",
    {
        "AdMarkers": List[Literal["ELEMENTAL", "ELEMENTAL_SCTE35"]],
        "AdditionalManifests": List[
            ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef
        ],
        "BaseUrl": str,
        "CaptionLanguageMappings": List[
            ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef
        ],
        "CaptionLanguageSetting": Literal["INSERT", "OMIT", "NONE"],
        "ClientCache": Literal["DISABLED", "ENABLED"],
        "CodecSpecification": Literal["RFC_6381", "RFC_4281"],
        "Destination": str,
        "DestinationSettings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef,
        "DirectoryStructure": Literal["SINGLE_DIRECTORY", "SUBDIRECTORY_PER_STREAM"],
        "Encryption": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef,
        "ManifestCompression": Literal["GZIP", "NONE"],
        "ManifestDurationFormat": Literal["FLOATING_POINT", "INTEGER"],
        "MinFinalSegmentLength": float,
        "MinSegmentLength": int,
        "OutputSelection": Literal["MANIFESTS_AND_SEGMENTS", "SEGMENTS_ONLY"],
        "ProgramDateTime": Literal["INCLUDE", "EXCLUDE"],
        "ProgramDateTimePeriod": int,
        "SegmentControl": Literal["SINGLE_FILE", "SEGMENTED_FILES"],
        "SegmentLength": int,
        "SegmentsPerSubdirectory": int,
        "StreamInfResolution": Literal["INCLUDE", "EXCLUDE"],
        "TimedMetadataId3Frame": Literal["NONE", "PRIV", "TDRL"],
        "TimedMetadataId3Period": int,
        "TimestampDeltaMilliseconds": int,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {"CertificateArn": str, "ResourceId": str, "SystemIds": List[str], "Url": str},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef",
    {
        "SpekeKeyProvider": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef",
    {
        "AdditionalManifests": List[
            ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef
        ],
        "AudioDeduplication": Literal["COMBINE_DUPLICATE_STREAMS", "NONE"],
        "Destination": str,
        "DestinationSettings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef,
        "Encryption": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef,
        "FragmentLength": int,
        "ManifestEncoding": Literal["UTF8", "UTF16"],
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsTypeDef",
    {
        "CmafGroupSettings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef,
        "DashIsoGroupSettings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef,
        "FileGroupSettings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef,
        "HlsGroupSettings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef,
        "MsSmoothGroupSettings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef,
        "Type": Literal[
            "HLS_GROUP_SETTINGS",
            "DASH_ISO_GROUP_SETTINGS",
            "FILE_GROUP_SETTINGS",
            "MS_SMOOTH_GROUP_SETTINGS",
            "CMAF_GROUP_SETTINGS",
        ],
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef",
    {
        "Algorithm": Literal["ITU_BS_1770_1", "ITU_BS_1770_2", "ITU_BS_1770_3", "ITU_BS_1770_4"],
        "AlgorithmControl": Literal["CORRECT_AUDIO", "MEASURE_ONLY"],
        "CorrectionGateLevel": int,
        "LoudnessLogging": Literal["LOG", "DONT_LOG"],
        "PeakCalculation": Literal["TRUE_PEAK", "NONE"],
        "TargetLkfs": float,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef",
    {
        "AudioDescriptionBroadcasterMix": Literal["BROADCASTER_MIXED_AD", "NORMAL"],
        "Bitrate": int,
        "CodecProfile": Literal["LC", "HEV1", "HEV2"],
        "CodingMode": Literal[
            "AD_RECEIVER_MIX",
            "CODING_MODE_1_0",
            "CODING_MODE_1_1",
            "CODING_MODE_2_0",
            "CODING_MODE_5_1",
        ],
        "RateControlMode": Literal["CBR", "VBR"],
        "RawFormat": Literal["LATM_LOAS", "NONE"],
        "SampleRate": int,
        "Specification": Literal["MPEG2", "MPEG4"],
        "VbrQuality": Literal["LOW", "MEDIUM_LOW", "MEDIUM_HIGH", "HIGH"],
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef",
    {
        "Bitrate": int,
        "BitstreamMode": Literal[
            "COMPLETE_MAIN",
            "COMMENTARY",
            "DIALOGUE",
            "EMERGENCY",
            "HEARING_IMPAIRED",
            "MUSIC_AND_EFFECTS",
            "VISUALLY_IMPAIRED",
            "VOICE_OVER",
        ],
        "CodingMode": Literal[
            "CODING_MODE_1_0", "CODING_MODE_1_1", "CODING_MODE_2_0", "CODING_MODE_3_2_LFE"
        ],
        "Dialnorm": int,
        "DynamicRangeCompressionProfile": Literal["FILM_STANDARD", "NONE"],
        "LfeFilter": Literal["ENABLED", "DISABLED"],
        "MetadataControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "SampleRate": int,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef",
    {"BitDepth": int, "Channels": int, "SampleRate": int},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef",
    {
        "Bitrate": int,
        "BitstreamMode": str,
        "CodingMode": str,
        "DialogueIntelligence": Literal["ENABLED", "DISABLED"],
        "DynamicRangeCompressionLine": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "DynamicRangeCompressionRf": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "LoRoCenterMixLevel": float,
        "LoRoSurroundMixLevel": float,
        "LtRtCenterMixLevel": float,
        "LtRtSurroundMixLevel": float,
        "MeteringMode": Literal[
            "LEQ_A", "ITU_BS_1770_1", "ITU_BS_1770_2", "ITU_BS_1770_3", "ITU_BS_1770_4"
        ],
        "SampleRate": int,
        "SpeechThreshold": int,
        "StereoDownmix": Literal["NOT_INDICATED", "STEREO", "SURROUND", "DPL2"],
        "SurroundExMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef",
    {
        "AttenuationControl": Literal["ATTENUATE_3_DB", "NONE"],
        "Bitrate": int,
        "BitstreamMode": Literal[
            "COMPLETE_MAIN", "COMMENTARY", "EMERGENCY", "HEARING_IMPAIRED", "VISUALLY_IMPAIRED"
        ],
        "CodingMode": Literal["CODING_MODE_1_0", "CODING_MODE_2_0", "CODING_MODE_3_2"],
        "DcFilter": Literal["ENABLED", "DISABLED"],
        "Dialnorm": int,
        "DynamicRangeCompressionLine": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "DynamicRangeCompressionRf": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "LfeControl": Literal["LFE", "NO_LFE"],
        "LfeFilter": Literal["ENABLED", "DISABLED"],
        "LoRoCenterMixLevel": float,
        "LoRoSurroundMixLevel": float,
        "LtRtCenterMixLevel": float,
        "LtRtSurroundMixLevel": float,
        "MetadataControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "PassthroughControl": Literal["WHEN_POSSIBLE", "NO_PASSTHROUGH"],
        "PhaseControl": Literal["SHIFT_90_DEGREES", "NO_SHIFT"],
        "SampleRate": int,
        "StereoDownmix": Literal["NOT_INDICATED", "LO_RO", "LT_RT", "DPL2"],
        "SurroundExMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
        "SurroundMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef",
    {"Bitrate": int, "Channels": int, "SampleRate": int},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef",
    {"BitDepth": int, "Channels": int, "Format": Literal["RIFF", "RF64"], "SampleRate": int},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef",
    {
        "AacSettings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef,
        "Ac3Settings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef,
        "AiffSettings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef,
        "Codec": Literal["AAC", "MP2", "WAV", "AIFF", "AC3", "EAC3", "EAC3_ATMOS", "PASSTHROUGH"],
        "Eac3AtmosSettings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef,
        "Eac3Settings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef,
        "Mp2Settings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef,
        "WavSettings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef",
    {"InputChannels": List[int]},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef",
    {
        "OutputChannels": List[
            ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef
        ]
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef",
    {
        "ChannelMapping": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef,
        "ChannelsIn": int,
        "ChannelsOut": int,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsTypeDef",
    {
        "AudioNormalizationSettings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef,
        "AudioSourceName": str,
        "AudioType": int,
        "AudioTypeControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "CodecSettings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef,
        "CustomLanguageCode": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageCodeControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "RemixSettings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef,
        "StreamName": str,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef",
    {
        "Alignment": Literal["CENTERED", "LEFT"],
        "BackgroundColor": Literal["NONE", "BLACK", "WHITE"],
        "BackgroundOpacity": int,
        "FontColor": Literal["WHITE", "BLACK", "YELLOW", "RED", "GREEN", "BLUE"],
        "FontOpacity": int,
        "FontResolution": int,
        "FontScript": Literal["AUTOMATIC", "HANS", "HANT"],
        "FontSize": int,
        "OutlineColor": Literal["BLACK", "WHITE", "YELLOW", "RED", "GREEN", "BLUE"],
        "OutlineSize": int,
        "ShadowColor": Literal["NONE", "BLACK", "WHITE"],
        "ShadowOpacity": int,
        "ShadowXOffset": int,
        "ShadowYOffset": int,
        "TeletextSpacing": Literal["FIXED_GRID", "PROPORTIONAL"],
        "XPosition": int,
        "YPosition": int,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef",
    {
        "Alignment": Literal["CENTERED", "LEFT"],
        "BackgroundColor": Literal["NONE", "BLACK", "WHITE"],
        "BackgroundOpacity": int,
        "FontColor": Literal["WHITE", "BLACK", "YELLOW", "RED", "GREEN", "BLUE"],
        "FontOpacity": int,
        "FontResolution": int,
        "FontScript": Literal["AUTOMATIC", "HANS", "HANT"],
        "FontSize": int,
        "OutlineColor": Literal["BLACK", "WHITE", "YELLOW", "RED", "GREEN", "BLUE"],
        "OutlineSize": int,
        "ShadowColor": Literal["NONE", "BLACK", "WHITE"],
        "ShadowOpacity": int,
        "ShadowXOffset": int,
        "ShadowYOffset": int,
        "SubtitlingType": Literal["HEARING_IMPAIRED", "STANDARD"],
        "TeletextSpacing": Literal["FIXED_GRID", "PROPORTIONAL"],
        "XPosition": int,
        "YPosition": int,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef",
    {"Destination608ChannelNumber": int, "Destination708ServiceNumber": int},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef",
    {"StylePassthrough": Literal["ENABLED", "DISABLED"]},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef",
    {
        "Framerate": Literal[
            "FRAMERATE_23_97",
            "FRAMERATE_24",
            "FRAMERATE_25",
            "FRAMERATE_29_97_DROPFRAME",
            "FRAMERATE_29_97_NON_DROPFRAME",
        ]
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef",
    {
        "PageNumber": str,
        "PageTypes": List[
            Literal[
                "PAGE_TYPE_INITIAL",
                "PAGE_TYPE_SUBTITLE",
                "PAGE_TYPE_ADDL_INFO",
                "PAGE_TYPE_PROGRAM_SCHEDULE",
                "PAGE_TYPE_HEARING_IMPAIRED_SUBTITLE",
            ]
        ],
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef",
    {"StylePassthrough": Literal["ENABLED", "DISABLED"]},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef",
    {
        "BurninDestinationSettings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef,
        "DestinationType": Literal[
            "BURN_IN",
            "DVB_SUB",
            "EMBEDDED",
            "EMBEDDED_PLUS_SCTE20",
            "IMSC",
            "SCTE20_PLUS_EMBEDDED",
            "SCC",
            "SRT",
            "SMI",
            "TELETEXT",
            "TTML",
            "WEBVTT",
        ],
        "DvbSubDestinationSettings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef,
        "EmbeddedDestinationSettings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef,
        "ImscDestinationSettings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef,
        "SccDestinationSettings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef,
        "TeletextDestinationSettings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef,
        "TtmlDestinationSettings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef",
    {
        "CaptionSelectorName": str,
        "CustomLanguageCode": str,
        "DestinationSettings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageDescription": str,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef",
    {"MoovPlacement": Literal["PROGRESSIVE_DOWNLOAD", "NORMAL"]},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef",
    {"NetworkId": int, "NetworkName": str, "NitInterval": int},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef",
    {
        "OutputSdt": Literal["SDT_FOLLOW", "SDT_FOLLOW_IF_PRESENT", "SDT_MANUAL", "SDT_NONE"],
        "SdtInterval": int,
        "ServiceName": str,
        "ServiceProviderName": str,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef",
    {"TdtInterval": int},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef",
    {"Scte35EsamPid": int},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef",
    {
        "AudioBufferModel": Literal["DVB", "ATSC"],
        "AudioFramesPerPes": int,
        "AudioPids": List[int],
        "Bitrate": int,
        "BufferModel": Literal["MULTIPLEX", "NONE"],
        "DvbNitSettings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef,
        "DvbSdtSettings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef,
        "DvbSubPids": List[int],
        "DvbTdtSettings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef,
        "DvbTeletextPid": int,
        "EbpAudioInterval": Literal["VIDEO_AND_FIXED_INTERVALS", "VIDEO_INTERVAL"],
        "EbpPlacement": Literal["VIDEO_AND_AUDIO_PIDS", "VIDEO_PID"],
        "EsRateInPes": Literal["INCLUDE", "EXCLUDE"],
        "ForceTsVideoEbpOrder": Literal["FORCE", "DEFAULT"],
        "FragmentTime": float,
        "MaxPcrInterval": int,
        "MinEbpInterval": int,
        "NielsenId3": Literal["INSERT", "NONE"],
        "NullPacketBitrate": float,
        "PatInterval": int,
        "PcrControl": Literal["PCR_EVERY_PES_PACKET", "CONFIGURED_PCR_PERIOD"],
        "PcrPid": int,
        "PmtInterval": int,
        "PmtPid": int,
        "PrivateMetadataPid": int,
        "ProgramNumber": int,
        "RateMode": Literal["VBR", "CBR"],
        "Scte35Esam": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef,
        "Scte35Pid": int,
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
        "SegmentationMarkers": Literal[
            "NONE", "RAI_SEGSTART", "RAI_ADAPT", "PSI_SEGSTART", "EBP", "EBP_LEGACY"
        ],
        "SegmentationStyle": Literal["MAINTAIN_CADENCE", "RESET_CADENCE"],
        "SegmentationTime": float,
        "TimedMetadataPid": int,
        "TransportStreamId": int,
        "VideoPid": int,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef",
    {
        "AudioFramesPerPes": int,
        "AudioPids": List[int],
        "NielsenId3": Literal["INSERT", "NONE"],
        "PatInterval": int,
        "PcrControl": Literal["PCR_EVERY_PES_PACKET", "CONFIGURED_PCR_PERIOD"],
        "PcrPid": int,
        "PmtInterval": int,
        "PmtPid": int,
        "PrivateMetadataPid": int,
        "ProgramNumber": int,
        "Scte35Pid": int,
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
        "TimedMetadata": Literal["PASSTHROUGH", "NONE"],
        "TimedMetadataPid": int,
        "TransportStreamId": int,
        "VideoPid": int,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef",
    {
        "ClapAtom": Literal["INCLUDE", "EXCLUDE"],
        "CslgAtom": Literal["INCLUDE", "EXCLUDE"],
        "Mpeg2FourCCControl": Literal["XDCAM", "MPEG"],
        "PaddingControl": Literal["OMNEON", "NONE"],
        "Reference": Literal["SELF_CONTAINED", "EXTERNAL"],
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef",
    {
        "CslgAtom": Literal["INCLUDE", "EXCLUDE"],
        "FreeSpaceBox": Literal["INCLUDE", "EXCLUDE"],
        "MoovPlacement": Literal["PROGRESSIVE_DOWNLOAD", "NORMAL"],
        "Mp4MajorBrand": str,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef",
    {
        "CaptionContainerType": Literal["RAW", "FRAGMENTED_MP4"],
        "Scte35Esam": Literal["INSERT", "NONE"],
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsTypeDef",
    {
        "Container": Literal[
            "F4V", "ISMV", "M2TS", "M3U8", "CMFC", "MOV", "MP4", "MPD", "MXF", "RAW"
        ],
        "F4vSettings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef,
        "M2tsSettings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef,
        "M3u8Settings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef,
        "MovSettings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef,
        "Mp4Settings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef,
        "MpdSettings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef",
    {
        "AudioGroupId": str,
        "AudioOnlyContainer": Literal["AUTOMATIC", "M2TS"],
        "AudioRenditionSets": str,
        "AudioTrackType": Literal[
            "ALTERNATE_AUDIO_AUTO_SELECT_DEFAULT",
            "ALTERNATE_AUDIO_AUTO_SELECT",
            "ALTERNATE_AUDIO_NOT_AUTO_SELECT",
            "AUDIO_ONLY_VARIANT_STREAM",
        ],
        "IFrameOnlyManifest": Literal["INCLUDE", "EXCLUDE"],
        "SegmentModifier": str,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsOutputSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsOutputSettingsTypeDef",
    {
        "HlsSettings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsOutputSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsOutputSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef",
    {"FramerateDenominator": int, "FramerateNumerator": int, "MaxCaptures": int, "Quality": int},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef",
    {"MaxAverageBitrate": int, "QvbrQualityLevel": int},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH", "HIGHER", "MAX"],
        "Bitrate": int,
        "CodecLevel": Literal[
            "AUTO",
            "LEVEL_1",
            "LEVEL_1_1",
            "LEVEL_1_2",
            "LEVEL_1_3",
            "LEVEL_2",
            "LEVEL_2_1",
            "LEVEL_2_2",
            "LEVEL_3",
            "LEVEL_3_1",
            "LEVEL_3_2",
            "LEVEL_4",
            "LEVEL_4_1",
            "LEVEL_4_2",
            "LEVEL_5",
            "LEVEL_5_1",
            "LEVEL_5_2",
        ],
        "CodecProfile": Literal[
            "BASELINE", "HIGH", "HIGH_10BIT", "HIGH_422", "HIGH_422_10BIT", "MAIN"
        ],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "EntropyEncoding": Literal["CABAC", "CAVLC"],
        "FieldEncoding": Literal["PAFF", "FORCE_FIELD"],
        "FlickerAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopBReference": Literal["DISABLED", "ENABLED"],
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "NumberReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "SINGLE_PASS_HQ", "MULTI_PASS_HQ"],
        "QvbrSettings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef,
        "RateControlMode": Literal["VBR", "CBR", "QVBR"],
        "RepeatPps": Literal["DISABLED", "ENABLED"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED", "TRANSITION_DETECTION"],
        "Slices": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Softness": int,
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Syntax": Literal["DEFAULT", "RP2027"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "UnregisteredSeiTimecode": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef",
    {"MaxAverageBitrate": int, "QvbrQualityLevel": int},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH", "HIGHER", "MAX"],
        "AlternateTransferFunctionSei": Literal["DISABLED", "ENABLED"],
        "Bitrate": int,
        "CodecLevel": Literal[
            "AUTO",
            "LEVEL_1",
            "LEVEL_2",
            "LEVEL_2_1",
            "LEVEL_3",
            "LEVEL_3_1",
            "LEVEL_4",
            "LEVEL_4_1",
            "LEVEL_5",
            "LEVEL_5_1",
            "LEVEL_5_2",
            "LEVEL_6",
            "LEVEL_6_1",
            "LEVEL_6_2",
        ],
        "CodecProfile": Literal[
            "MAIN_MAIN",
            "MAIN_HIGH",
            "MAIN10_MAIN",
            "MAIN10_HIGH",
            "MAIN_422_8BIT_MAIN",
            "MAIN_422_8BIT_HIGH",
            "MAIN_422_10BIT_MAIN",
            "MAIN_422_10BIT_HIGH",
        ],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "FlickerAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopBReference": Literal["DISABLED", "ENABLED"],
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "NumberReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "SINGLE_PASS_HQ", "MULTI_PASS_HQ"],
        "QvbrSettings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef,
        "RateControlMode": Literal["VBR", "CBR", "QVBR"],
        "SampleAdaptiveOffsetFilterMode": Literal["DEFAULT", "ADAPTIVE", "OFF"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED", "TRANSITION_DETECTION"],
        "Slices": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "TemporalIds": Literal["DISABLED", "ENABLED"],
        "Tiles": Literal["DISABLED", "ENABLED"],
        "UnregisteredSeiTimecode": Literal["DISABLED", "ENABLED"],
        "WriteMp4PackagingType": Literal["HVC1", "HEV1"],
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH"],
        "Bitrate": int,
        "CodecLevel": Literal["AUTO", "LOW", "MAIN", "HIGH1440", "HIGH"],
        "CodecProfile": Literal["MAIN", "PROFILE_422"],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "IntraDcPrecision": Literal[
            "AUTO",
            "INTRA_DC_PRECISION_8",
            "INTRA_DC_PRECISION_9",
            "INTRA_DC_PRECISION_10",
            "INTRA_DC_PRECISION_11",
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "MULTI_PASS"],
        "RateControlMode": Literal["VBR", "CBR"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED"],
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Softness": int,
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Syntax": Literal["DEFAULT", "D_10"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef",
    {
        "CodecProfile": Literal[
            "APPLE_PRORES_422",
            "APPLE_PRORES_422_HQ",
            "APPLE_PRORES_422_LT",
            "APPLE_PRORES_422_PROXY",
        ],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Telecine": Literal["NONE", "HARD"],
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef",
    {
        "Codec": Literal["FRAME_CAPTURE", "H_264", "H_265", "MPEG2", "PRORES"],
        "FrameCaptureSettings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef,
        "H264Settings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef,
        "H265Settings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef,
        "Mpeg2Settings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef,
        "ProresSettings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef",
    {
        "BluePrimaryX": int,
        "BluePrimaryY": int,
        "GreenPrimaryX": int,
        "GreenPrimaryY": int,
        "MaxContentLightLevel": int,
        "MaxFrameAverageLightLevel": int,
        "MaxLuminance": int,
        "MinLuminance": int,
        "RedPrimaryX": int,
        "RedPrimaryY": int,
        "WhitePointX": int,
        "WhitePointY": int,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef",
    {
        "Brightness": int,
        "ColorSpaceConversion": Literal[
            "NONE", "FORCE_601", "FORCE_709", "FORCE_HDR10", "FORCE_HLG_2020"
        ],
        "Contrast": int,
        "Hdr10Metadata": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef,
        "Hue": int,
        "Saturation": int,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef",
    {
        "Algorithm": Literal["INTERPOLATE", "INTERPOLATE_TICKER", "BLEND", "BLEND_TICKER"],
        "Control": Literal["FORCE_ALL_FRAMES", "NORMAL"],
        "Mode": Literal["DEINTERLACE", "INVERSE_TELECINE", "ADAPTIVE"],
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef",
    {"MaxCll": int, "MaxFall": int},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef",
    {
        "L6Metadata": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef,
        "L6Mode": Literal["PASSTHROUGH", "RECALCULATE", "SPECIFY"],
        "Profile": str,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef",
    {
        "Duration": int,
        "FadeIn": int,
        "FadeOut": int,
        "Height": int,
        "ImageInserterInput": str,
        "ImageX": int,
        "ImageY": int,
        "Layer": int,
        "Opacity": int,
        "StartTime": str,
        "Width": int,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef",
    {
        "InsertableImages": List[
            ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef
        ]
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef",
    {"Strength": int},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef",
    {"PostFilterSharpenStrength": int, "Speed": int, "Strength": int},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef",
    {"AggressiveMode": int, "Speed": int, "Strength": int},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef",
    {
        "Filter": Literal[
            "BILATERAL", "MEAN", "GAUSSIAN", "LANCZOS", "SHARPEN", "CONSERVE", "SPATIAL", "TEMPORAL"
        ],
        "FilterSettings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef,
        "SpatialFilterSettings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef,
        "TemporalFilterSettings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef",
    {
        "FontSize": int,
        "Position": Literal[
            "TOP_CENTER",
            "TOP_LEFT",
            "TOP_RIGHT",
            "MIDDLE_LEFT",
            "MIDDLE_CENTER",
            "MIDDLE_RIGHT",
            "BOTTOM_LEFT",
            "BOTTOM_CENTER",
            "BOTTOM_RIGHT",
        ],
        "Prefix": str,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef",
    {
        "ColorCorrector": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef,
        "Deinterlacer": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef,
        "DolbyVision": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef,
        "ImageInserter": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef,
        "NoiseReducer": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef,
        "TimecodeBurnin": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionTypeDef",
    {
        "AfdSignaling": Literal["NONE", "AUTO", "FIXED"],
        "AntiAlias": Literal["DISABLED", "ENABLED"],
        "CodecSettings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef,
        "ColorMetadata": Literal["IGNORE", "INSERT"],
        "Crop": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef,
        "DropFrameTimecode": Literal["DISABLED", "ENABLED"],
        "FixedAfd": int,
        "Height": int,
        "Position": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef,
        "RespondToAfd": Literal["NONE", "RESPOND", "PASSTHROUGH"],
        "ScalingBehavior": Literal["DEFAULT", "STRETCH_TO_OUTPUT"],
        "Sharpness": int,
        "TimecodeInsertion": Literal["DISABLED", "PIC_TIMING_SEI"],
        "VideoPreprocessors": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef,
        "Width": int,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsTypeDef",
    {
        "AudioDescriptions": List[
            ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsTypeDef
        ],
        "CaptionDescriptions": List[
            ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef
        ],
        "ContainerSettings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsTypeDef,
        "Extension": str,
        "NameModifier": str,
        "OutputSettings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsOutputSettingsTypeDef,
        "Preset": str,
        "VideoDescription": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionTypeDef,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsTypeDef",
    {
        "CustomName": str,
        "Name": str,
        "OutputGroupSettings": ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsTypeDef,
        "Outputs": List[
            ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsTypeDef
        ],
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsTimecodeConfigTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsTimecodeConfigTypeDef",
    {
        "Anchor": str,
        "Source": Literal["EMBEDDED", "ZEROBASED", "SPECIFIEDSTART"],
        "Start": str,
        "TimestampOffset": str,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsTimecodeConfigTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsTimecodeConfigTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsTimedMetadataInsertionId3InsertionsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsTimedMetadataInsertionId3InsertionsTypeDef",
    {"Id3": str, "Timecode": str},
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsTimedMetadataInsertionId3InsertionsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsTimedMetadataInsertionId3InsertionsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsTimedMetadataInsertionTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsTimedMetadataInsertionTypeDef",
    {
        "Id3Insertions": List[
            ClientCreateJobTemplateResponseJobTemplateSettingsTimedMetadataInsertionId3InsertionsTypeDef
        ]
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsTimedMetadataInsertionTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsTimedMetadataInsertionTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateSettingsTypeDef",
    {
        "AdAvailOffset": int,
        "AvailBlanking": ClientCreateJobTemplateResponseJobTemplateSettingsAvailBlankingTypeDef,
        "Esam": ClientCreateJobTemplateResponseJobTemplateSettingsEsamTypeDef,
        "Inputs": List[ClientCreateJobTemplateResponseJobTemplateSettingsInputsTypeDef],
        "MotionImageInserter": ClientCreateJobTemplateResponseJobTemplateSettingsMotionImageInserterTypeDef,
        "NielsenConfiguration": ClientCreateJobTemplateResponseJobTemplateSettingsNielsenConfigurationTypeDef,
        "OutputGroups": List[ClientCreateJobTemplateResponseJobTemplateSettingsOutputGroupsTypeDef],
        "TimecodeConfig": ClientCreateJobTemplateResponseJobTemplateSettingsTimecodeConfigTypeDef,
        "TimedMetadataInsertion": ClientCreateJobTemplateResponseJobTemplateSettingsTimedMetadataInsertionTypeDef,
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateSettingsTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateSettingsTypeDef
):
    pass


_ClientCreateJobTemplateResponseJobTemplateTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseJobTemplateTypeDef",
    {
        "AccelerationSettings": ClientCreateJobTemplateResponseJobTemplateAccelerationSettingsTypeDef,
        "Arn": str,
        "Category": str,
        "CreatedAt": datetime,
        "Description": str,
        "LastUpdated": datetime,
        "Name": str,
        "Priority": int,
        "Queue": str,
        "Settings": ClientCreateJobTemplateResponseJobTemplateSettingsTypeDef,
        "StatusUpdateInterval": Literal[
            "SECONDS_10",
            "SECONDS_12",
            "SECONDS_15",
            "SECONDS_20",
            "SECONDS_30",
            "SECONDS_60",
            "SECONDS_120",
            "SECONDS_180",
            "SECONDS_240",
            "SECONDS_300",
            "SECONDS_360",
            "SECONDS_420",
            "SECONDS_480",
            "SECONDS_540",
            "SECONDS_600",
        ],
        "Type": Literal["SYSTEM", "CUSTOM"],
    },
    total=False,
)


class ClientCreateJobTemplateResponseJobTemplateTypeDef(
    _ClientCreateJobTemplateResponseJobTemplateTypeDef
):
    """
    - **JobTemplate** *(dict) --*A job template is a pre-made set of encoding instructions that you
    can use to quickly create a job.

      - **AccelerationSettings** *(dict) --*Accelerated transcoding can significantly speed up jobs
      with long, visually complex content.

        - **Mode** *(string) --*Specify the conditions when the service will run your job with
        accelerated transcoding.
    """


_ClientCreateJobTemplateResponseTypeDef = TypedDict(
    "_ClientCreateJobTemplateResponseTypeDef",
    {"JobTemplate": ClientCreateJobTemplateResponseJobTemplateTypeDef},
    total=False,
)


class ClientCreateJobTemplateResponseTypeDef(_ClientCreateJobTemplateResponseTypeDef):
    """
    - *(dict) --*

      - **JobTemplate** *(dict) --*A job template is a pre-made set of encoding instructions that
      you can use to quickly create a job.

        - **AccelerationSettings** *(dict) --*Accelerated transcoding can significantly speed up
        jobs with long, visually complex content.

          - **Mode** *(string) --*Specify the conditions when the service will run your job with
          accelerated transcoding.
    """


_ClientCreateJobTemplateSettingsAvailBlankingTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsAvailBlankingTypeDef", {"AvailBlankingImage": str}, total=False
)


class ClientCreateJobTemplateSettingsAvailBlankingTypeDef(
    _ClientCreateJobTemplateSettingsAvailBlankingTypeDef
):
    """
    - **AvailBlanking** *(dict) --*Settings for ad avail blanking. Video can be blanked or overlaid
    with an image, and audio muted during SCTE-35 triggered ad avails.

      - **AvailBlankingImage** *(string) --*Blanking image to be used. Leave empty for solid black.
      Only bmp and png images are supported.
    """


_ClientCreateJobTemplateSettingsEsamManifestConfirmConditionNotificationTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsEsamManifestConfirmConditionNotificationTypeDef",
    {"MccXml": str},
    total=False,
)


class ClientCreateJobTemplateSettingsEsamManifestConfirmConditionNotificationTypeDef(
    _ClientCreateJobTemplateSettingsEsamManifestConfirmConditionNotificationTypeDef
):
    pass


_ClientCreateJobTemplateSettingsEsamSignalProcessingNotificationTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsEsamSignalProcessingNotificationTypeDef",
    {"SccXml": str},
    total=False,
)


class ClientCreateJobTemplateSettingsEsamSignalProcessingNotificationTypeDef(
    _ClientCreateJobTemplateSettingsEsamSignalProcessingNotificationTypeDef
):
    pass


_ClientCreateJobTemplateSettingsEsamTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsEsamTypeDef",
    {
        "ManifestConfirmConditionNotification": ClientCreateJobTemplateSettingsEsamManifestConfirmConditionNotificationTypeDef,
        "ResponseSignalPreroll": int,
        "SignalProcessingNotification": ClientCreateJobTemplateSettingsEsamSignalProcessingNotificationTypeDef,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsEsamTypeDef(_ClientCreateJobTemplateSettingsEsamTypeDef):
    pass


_ClientCreateJobTemplateSettingsInputsAudioSelectorGroupsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsInputsAudioSelectorGroupsTypeDef",
    {"AudioSelectorNames": List[str]},
    total=False,
)


class ClientCreateJobTemplateSettingsInputsAudioSelectorGroupsTypeDef(
    _ClientCreateJobTemplateSettingsInputsAudioSelectorGroupsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef",
    {"InputChannels": List[int]},
    total=False,
)


class ClientCreateJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef(
    _ClientCreateJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef",
    {
        "OutputChannels": List[
            ClientCreateJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef
        ]
    },
    total=False,
)


class ClientCreateJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef(
    _ClientCreateJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef
):
    pass


_ClientCreateJobTemplateSettingsInputsAudioSelectorsRemixSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsInputsAudioSelectorsRemixSettingsTypeDef",
    {
        "ChannelMapping": ClientCreateJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef,
        "ChannelsIn": int,
        "ChannelsOut": int,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsInputsAudioSelectorsRemixSettingsTypeDef(
    _ClientCreateJobTemplateSettingsInputsAudioSelectorsRemixSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsInputsAudioSelectorsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsInputsAudioSelectorsTypeDef",
    {
        "CustomLanguageCode": str,
        "DefaultSelection": Literal["DEFAULT", "NOT_DEFAULT"],
        "ExternalAudioFileInput": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "Offset": int,
        "Pids": List[int],
        "ProgramSelection": int,
        "RemixSettings": ClientCreateJobTemplateSettingsInputsAudioSelectorsRemixSettingsTypeDef,
        "SelectorType": Literal["PID", "TRACK", "LANGUAGE_CODE"],
        "Tracks": List[int],
    },
    total=False,
)


class ClientCreateJobTemplateSettingsInputsAudioSelectorsTypeDef(
    _ClientCreateJobTemplateSettingsInputsAudioSelectorsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef",
    {
        "Convert608To708": Literal["UPCONVERT", "DISABLED"],
        "SourceAncillaryChannelNumber": int,
        "TerminateCaptions": Literal["END_OF_INPUT", "DISABLED"],
    },
    total=False,
)


class ClientCreateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef(
    _ClientCreateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef",
    {"Pid": int},
    total=False,
)


class ClientCreateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef(
    _ClientCreateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef",
    {
        "Convert608To708": Literal["UPCONVERT", "DISABLED"],
        "Source608ChannelNumber": int,
        "Source608TrackNumber": int,
        "TerminateCaptions": Literal["END_OF_INPUT", "DISABLED"],
    },
    total=False,
)


class ClientCreateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef(
    _ClientCreateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef",
    {"Convert608To708": Literal["UPCONVERT", "DISABLED"], "SourceFile": str, "TimeDelta": int},
    total=False,
)


class ClientCreateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef(
    _ClientCreateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef",
    {"PageNumber": str},
    total=False,
)


class ClientCreateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef(
    _ClientCreateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef",
    {"TrackNumber": int},
    total=False,
)


class ClientCreateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef(
    _ClientCreateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTypeDef",
    {
        "AncillarySourceSettings": ClientCreateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef,
        "DvbSubSourceSettings": ClientCreateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef,
        "EmbeddedSourceSettings": ClientCreateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef,
        "FileSourceSettings": ClientCreateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef,
        "SourceType": Literal[
            "ANCILLARY",
            "DVB_SUB",
            "EMBEDDED",
            "SCTE20",
            "SCC",
            "TTML",
            "STL",
            "SRT",
            "SMI",
            "TELETEXT",
            "NULL_SOURCE",
            "IMSC",
        ],
        "TeletextSourceSettings": ClientCreateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef,
        "TrackSourceSettings": ClientCreateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTypeDef(
    _ClientCreateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsInputsCaptionSelectorsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsInputsCaptionSelectorsTypeDef",
    {
        "CustomLanguageCode": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "SourceSettings": ClientCreateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTypeDef,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsInputsCaptionSelectorsTypeDef(
    _ClientCreateJobTemplateSettingsInputsCaptionSelectorsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsInputsCropTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsInputsCropTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientCreateJobTemplateSettingsInputsCropTypeDef(
    _ClientCreateJobTemplateSettingsInputsCropTypeDef
):
    pass


_ClientCreateJobTemplateSettingsInputsImageInserterInsertableImagesTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsInputsImageInserterInsertableImagesTypeDef",
    {
        "Duration": int,
        "FadeIn": int,
        "FadeOut": int,
        "Height": int,
        "ImageInserterInput": str,
        "ImageX": int,
        "ImageY": int,
        "Layer": int,
        "Opacity": int,
        "StartTime": str,
        "Width": int,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsInputsImageInserterInsertableImagesTypeDef(
    _ClientCreateJobTemplateSettingsInputsImageInserterInsertableImagesTypeDef
):
    pass


_ClientCreateJobTemplateSettingsInputsImageInserterTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsInputsImageInserterTypeDef",
    {
        "InsertableImages": List[
            ClientCreateJobTemplateSettingsInputsImageInserterInsertableImagesTypeDef
        ]
    },
    total=False,
)


class ClientCreateJobTemplateSettingsInputsImageInserterTypeDef(
    _ClientCreateJobTemplateSettingsInputsImageInserterTypeDef
):
    pass


_ClientCreateJobTemplateSettingsInputsInputClippingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsInputsInputClippingsTypeDef",
    {"EndTimecode": str, "StartTimecode": str},
    total=False,
)


class ClientCreateJobTemplateSettingsInputsInputClippingsTypeDef(
    _ClientCreateJobTemplateSettingsInputsInputClippingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsInputsPositionTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsInputsPositionTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientCreateJobTemplateSettingsInputsPositionTypeDef(
    _ClientCreateJobTemplateSettingsInputsPositionTypeDef
):
    pass


_ClientCreateJobTemplateSettingsInputsVideoSelectorHdr10MetadataTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsInputsVideoSelectorHdr10MetadataTypeDef",
    {
        "BluePrimaryX": int,
        "BluePrimaryY": int,
        "GreenPrimaryX": int,
        "GreenPrimaryY": int,
        "MaxContentLightLevel": int,
        "MaxFrameAverageLightLevel": int,
        "MaxLuminance": int,
        "MinLuminance": int,
        "RedPrimaryX": int,
        "RedPrimaryY": int,
        "WhitePointX": int,
        "WhitePointY": int,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsInputsVideoSelectorHdr10MetadataTypeDef(
    _ClientCreateJobTemplateSettingsInputsVideoSelectorHdr10MetadataTypeDef
):
    pass


_ClientCreateJobTemplateSettingsInputsVideoSelectorTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsInputsVideoSelectorTypeDef",
    {
        "AlphaBehavior": Literal["DISCARD", "REMAP_TO_LUMA"],
        "ColorSpace": Literal["FOLLOW", "REC_601", "REC_709", "HDR10", "HLG_2020"],
        "ColorSpaceUsage": Literal["FORCE", "FALLBACK"],
        "Hdr10Metadata": ClientCreateJobTemplateSettingsInputsVideoSelectorHdr10MetadataTypeDef,
        "Pid": int,
        "ProgramNumber": int,
        "Rotate": Literal["DEGREE_0", "DEGREES_90", "DEGREES_180", "DEGREES_270", "AUTO"],
    },
    total=False,
)


class ClientCreateJobTemplateSettingsInputsVideoSelectorTypeDef(
    _ClientCreateJobTemplateSettingsInputsVideoSelectorTypeDef
):
    pass


_ClientCreateJobTemplateSettingsInputsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsInputsTypeDef",
    {
        "AudioSelectorGroups": Dict[
            str, ClientCreateJobTemplateSettingsInputsAudioSelectorGroupsTypeDef
        ],
        "AudioSelectors": Dict[str, ClientCreateJobTemplateSettingsInputsAudioSelectorsTypeDef],
        "CaptionSelectors": Dict[str, ClientCreateJobTemplateSettingsInputsCaptionSelectorsTypeDef],
        "Crop": ClientCreateJobTemplateSettingsInputsCropTypeDef,
        "DeblockFilter": Literal["ENABLED", "DISABLED"],
        "DenoiseFilter": Literal["ENABLED", "DISABLED"],
        "FilterEnable": Literal["AUTO", "DISABLE", "FORCE"],
        "FilterStrength": int,
        "ImageInserter": ClientCreateJobTemplateSettingsInputsImageInserterTypeDef,
        "InputClippings": List[ClientCreateJobTemplateSettingsInputsInputClippingsTypeDef],
        "Position": ClientCreateJobTemplateSettingsInputsPositionTypeDef,
        "ProgramNumber": int,
        "PsiControl": Literal["IGNORE_PSI", "USE_PSI"],
        "TimecodeSource": Literal["EMBEDDED", "ZEROBASED", "SPECIFIEDSTART"],
        "TimecodeStart": str,
        "VideoSelector": ClientCreateJobTemplateSettingsInputsVideoSelectorTypeDef,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsInputsTypeDef(_ClientCreateJobTemplateSettingsInputsTypeDef):
    pass


_ClientCreateJobTemplateSettingsMotionImageInserterFramerateTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsMotionImageInserterFramerateTypeDef",
    {"FramerateDenominator": int, "FramerateNumerator": int},
    total=False,
)


class ClientCreateJobTemplateSettingsMotionImageInserterFramerateTypeDef(
    _ClientCreateJobTemplateSettingsMotionImageInserterFramerateTypeDef
):
    pass


_ClientCreateJobTemplateSettingsMotionImageInserterOffsetTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsMotionImageInserterOffsetTypeDef",
    {"ImageX": int, "ImageY": int},
    total=False,
)


class ClientCreateJobTemplateSettingsMotionImageInserterOffsetTypeDef(
    _ClientCreateJobTemplateSettingsMotionImageInserterOffsetTypeDef
):
    pass


_ClientCreateJobTemplateSettingsMotionImageInserterTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsMotionImageInserterTypeDef",
    {
        "Framerate": ClientCreateJobTemplateSettingsMotionImageInserterFramerateTypeDef,
        "Input": str,
        "InsertionMode": Literal["MOV", "PNG"],
        "Offset": ClientCreateJobTemplateSettingsMotionImageInserterOffsetTypeDef,
        "Playback": Literal["ONCE", "REPEAT"],
        "StartTime": str,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsMotionImageInserterTypeDef(
    _ClientCreateJobTemplateSettingsMotionImageInserterTypeDef
):
    pass


_ClientCreateJobTemplateSettingsNielsenConfigurationTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsNielsenConfigurationTypeDef",
    {"BreakoutCode": int, "DistributorId": str},
    total=False,
)


class ClientCreateJobTemplateSettingsNielsenConfigurationTypeDef(
    _ClientCreateJobTemplateSettingsNielsenConfigurationTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {
        "CertificateArn": str,
        "DashSignaledSystemIds": List[str],
        "HlsSignaledSystemIds": List[str],
        "ResourceId": str,
        "Url": str,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef",
    {"KeyFormat": str, "KeyFormatVersions": str, "StaticKeyValue": str, "Url": str},
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef",
    {
        "ConstantInitializationVector": str,
        "EncryptionMethod": Literal["SAMPLE_AES", "AES_CTR"],
        "InitializationVectorInManifest": Literal["INCLUDE", "EXCLUDE"],
        "SpekeKeyProvider": ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef,
        "StaticKeyProvider": ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef,
        "Type": Literal["SPEKE", "STATIC_KEY"],
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef",
    {
        "AdditionalManifests": List[
            ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef
        ],
        "BaseUrl": str,
        "ClientCache": Literal["DISABLED", "ENABLED"],
        "CodecSpecification": Literal["RFC_6381", "RFC_4281"],
        "Destination": str,
        "DestinationSettings": ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef,
        "Encryption": ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef,
        "FragmentLength": int,
        "ManifestCompression": Literal["GZIP", "NONE"],
        "ManifestDurationFormat": Literal["FLOATING_POINT", "INTEGER"],
        "MinBufferTime": int,
        "MinFinalSegmentLength": float,
        "MpdProfile": Literal["MAIN_PROFILE", "ON_DEMAND_PROFILE"],
        "SegmentControl": Literal["SINGLE_FILE", "SEGMENTED_FILES"],
        "SegmentLength": int,
        "StreamInfResolution": Literal["INCLUDE", "EXCLUDE"],
        "WriteDashManifest": Literal["DISABLED", "ENABLED"],
        "WriteHlsManifest": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {"CertificateArn": str, "ResourceId": str, "SystemIds": List[str], "Url": str},
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef",
    {
        "PlaybackDeviceCompatibility": Literal["CENC_V1", "UNENCRYPTED_SEI"],
        "SpekeKeyProvider": ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef",
    {
        "AdditionalManifests": List[
            ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef
        ],
        "BaseUrl": str,
        "Destination": str,
        "DestinationSettings": ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef,
        "Encryption": ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef,
        "FragmentLength": int,
        "HbbtvCompliance": Literal["HBBTV_1_5", "NONE"],
        "MinBufferTime": int,
        "MpdProfile": Literal["MAIN_PROFILE", "ON_DEMAND_PROFILE"],
        "SegmentControl": Literal["SINGLE_FILE", "SEGMENTED_FILES"],
        "SegmentLength": int,
        "WriteSegmentTimelineInRepresentation": Literal["ENABLED", "DISABLED"],
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef",
    {
        "Destination": str,
        "DestinationSettings": ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef",
    {
        "CaptionChannel": int,
        "CustomLanguageCode": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageDescription": str,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {"CertificateArn": str, "ResourceId": str, "SystemIds": List[str], "Url": str},
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef",
    {"KeyFormat": str, "KeyFormatVersions": str, "StaticKeyValue": str, "Url": str},
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef",
    {
        "ConstantInitializationVector": str,
        "EncryptionMethod": Literal["AES128", "SAMPLE_AES"],
        "InitializationVectorInManifest": Literal["INCLUDE", "EXCLUDE"],
        "OfflineEncrypted": Literal["ENABLED", "DISABLED"],
        "SpekeKeyProvider": ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef,
        "StaticKeyProvider": ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef,
        "Type": Literal["SPEKE", "STATIC_KEY"],
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef",
    {
        "AdMarkers": List[Literal["ELEMENTAL", "ELEMENTAL_SCTE35"]],
        "AdditionalManifests": List[
            ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef
        ],
        "BaseUrl": str,
        "CaptionLanguageMappings": List[
            ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef
        ],
        "CaptionLanguageSetting": Literal["INSERT", "OMIT", "NONE"],
        "ClientCache": Literal["DISABLED", "ENABLED"],
        "CodecSpecification": Literal["RFC_6381", "RFC_4281"],
        "Destination": str,
        "DestinationSettings": ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef,
        "DirectoryStructure": Literal["SINGLE_DIRECTORY", "SUBDIRECTORY_PER_STREAM"],
        "Encryption": ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef,
        "ManifestCompression": Literal["GZIP", "NONE"],
        "ManifestDurationFormat": Literal["FLOATING_POINT", "INTEGER"],
        "MinFinalSegmentLength": float,
        "MinSegmentLength": int,
        "OutputSelection": Literal["MANIFESTS_AND_SEGMENTS", "SEGMENTS_ONLY"],
        "ProgramDateTime": Literal["INCLUDE", "EXCLUDE"],
        "ProgramDateTimePeriod": int,
        "SegmentControl": Literal["SINGLE_FILE", "SEGMENTED_FILES"],
        "SegmentLength": int,
        "SegmentsPerSubdirectory": int,
        "StreamInfResolution": Literal["INCLUDE", "EXCLUDE"],
        "TimedMetadataId3Frame": Literal["NONE", "PRIV", "TDRL"],
        "TimedMetadataId3Period": int,
        "TimestampDeltaMilliseconds": int,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {"CertificateArn": str, "ResourceId": str, "SystemIds": List[str], "Url": str},
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef",
    {
        "SpekeKeyProvider": ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef",
    {
        "AdditionalManifests": List[
            ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef
        ],
        "AudioDeduplication": Literal["COMBINE_DUPLICATE_STREAMS", "NONE"],
        "Destination": str,
        "DestinationSettings": ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef,
        "Encryption": ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef,
        "FragmentLength": int,
        "ManifestEncoding": Literal["UTF8", "UTF16"],
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsTypeDef",
    {
        "CmafGroupSettings": ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef,
        "DashIsoGroupSettings": ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef,
        "FileGroupSettings": ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef,
        "HlsGroupSettings": ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef,
        "MsSmoothGroupSettings": ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef,
        "Type": Literal[
            "HLS_GROUP_SETTINGS",
            "DASH_ISO_GROUP_SETTINGS",
            "FILE_GROUP_SETTINGS",
            "MS_SMOOTH_GROUP_SETTINGS",
            "CMAF_GROUP_SETTINGS",
        ],
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef",
    {
        "Algorithm": Literal["ITU_BS_1770_1", "ITU_BS_1770_2", "ITU_BS_1770_3", "ITU_BS_1770_4"],
        "AlgorithmControl": Literal["CORRECT_AUDIO", "MEASURE_ONLY"],
        "CorrectionGateLevel": int,
        "LoudnessLogging": Literal["LOG", "DONT_LOG"],
        "PeakCalculation": Literal["TRUE_PEAK", "NONE"],
        "TargetLkfs": float,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef",
    {
        "AudioDescriptionBroadcasterMix": Literal["BROADCASTER_MIXED_AD", "NORMAL"],
        "Bitrate": int,
        "CodecProfile": Literal["LC", "HEV1", "HEV2"],
        "CodingMode": Literal[
            "AD_RECEIVER_MIX",
            "CODING_MODE_1_0",
            "CODING_MODE_1_1",
            "CODING_MODE_2_0",
            "CODING_MODE_5_1",
        ],
        "RateControlMode": Literal["CBR", "VBR"],
        "RawFormat": Literal["LATM_LOAS", "NONE"],
        "SampleRate": int,
        "Specification": Literal["MPEG2", "MPEG4"],
        "VbrQuality": Literal["LOW", "MEDIUM_LOW", "MEDIUM_HIGH", "HIGH"],
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef",
    {
        "Bitrate": int,
        "BitstreamMode": Literal[
            "COMPLETE_MAIN",
            "COMMENTARY",
            "DIALOGUE",
            "EMERGENCY",
            "HEARING_IMPAIRED",
            "MUSIC_AND_EFFECTS",
            "VISUALLY_IMPAIRED",
            "VOICE_OVER",
        ],
        "CodingMode": Literal[
            "CODING_MODE_1_0", "CODING_MODE_1_1", "CODING_MODE_2_0", "CODING_MODE_3_2_LFE"
        ],
        "Dialnorm": int,
        "DynamicRangeCompressionProfile": Literal["FILM_STANDARD", "NONE"],
        "LfeFilter": Literal["ENABLED", "DISABLED"],
        "MetadataControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "SampleRate": int,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef",
    {"BitDepth": int, "Channels": int, "SampleRate": int},
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef",
    {
        "Bitrate": int,
        "BitstreamMode": str,
        "CodingMode": str,
        "DialogueIntelligence": Literal["ENABLED", "DISABLED"],
        "DynamicRangeCompressionLine": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "DynamicRangeCompressionRf": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "LoRoCenterMixLevel": float,
        "LoRoSurroundMixLevel": float,
        "LtRtCenterMixLevel": float,
        "LtRtSurroundMixLevel": float,
        "MeteringMode": Literal[
            "LEQ_A", "ITU_BS_1770_1", "ITU_BS_1770_2", "ITU_BS_1770_3", "ITU_BS_1770_4"
        ],
        "SampleRate": int,
        "SpeechThreshold": int,
        "StereoDownmix": Literal["NOT_INDICATED", "STEREO", "SURROUND", "DPL2"],
        "SurroundExMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef",
    {
        "AttenuationControl": Literal["ATTENUATE_3_DB", "NONE"],
        "Bitrate": int,
        "BitstreamMode": Literal[
            "COMPLETE_MAIN", "COMMENTARY", "EMERGENCY", "HEARING_IMPAIRED", "VISUALLY_IMPAIRED"
        ],
        "CodingMode": Literal["CODING_MODE_1_0", "CODING_MODE_2_0", "CODING_MODE_3_2"],
        "DcFilter": Literal["ENABLED", "DISABLED"],
        "Dialnorm": int,
        "DynamicRangeCompressionLine": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "DynamicRangeCompressionRf": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "LfeControl": Literal["LFE", "NO_LFE"],
        "LfeFilter": Literal["ENABLED", "DISABLED"],
        "LoRoCenterMixLevel": float,
        "LoRoSurroundMixLevel": float,
        "LtRtCenterMixLevel": float,
        "LtRtSurroundMixLevel": float,
        "MetadataControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "PassthroughControl": Literal["WHEN_POSSIBLE", "NO_PASSTHROUGH"],
        "PhaseControl": Literal["SHIFT_90_DEGREES", "NO_SHIFT"],
        "SampleRate": int,
        "StereoDownmix": Literal["NOT_INDICATED", "LO_RO", "LT_RT", "DPL2"],
        "SurroundExMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
        "SurroundMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef",
    {"Bitrate": int, "Channels": int, "SampleRate": int},
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef",
    {"BitDepth": int, "Channels": int, "Format": Literal["RIFF", "RF64"], "SampleRate": int},
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef",
    {
        "AacSettings": ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef,
        "Ac3Settings": ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef,
        "AiffSettings": ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef,
        "Codec": Literal["AAC", "MP2", "WAV", "AIFF", "AC3", "EAC3", "EAC3_ATMOS", "PASSTHROUGH"],
        "Eac3AtmosSettings": ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef,
        "Eac3Settings": ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef,
        "Mp2Settings": ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef,
        "WavSettings": ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef",
    {"InputChannels": List[int]},
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef",
    {
        "OutputChannels": List[
            ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef
        ]
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef",
    {
        "ChannelMapping": ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef,
        "ChannelsIn": int,
        "ChannelsOut": int,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsTypeDef",
    {
        "AudioNormalizationSettings": ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef,
        "AudioSourceName": str,
        "AudioType": int,
        "AudioTypeControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "CodecSettings": ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef,
        "CustomLanguageCode": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageCodeControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "RemixSettings": ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef,
        "StreamName": str,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef",
    {
        "Alignment": Literal["CENTERED", "LEFT"],
        "BackgroundColor": Literal["NONE", "BLACK", "WHITE"],
        "BackgroundOpacity": int,
        "FontColor": Literal["WHITE", "BLACK", "YELLOW", "RED", "GREEN", "BLUE"],
        "FontOpacity": int,
        "FontResolution": int,
        "FontScript": Literal["AUTOMATIC", "HANS", "HANT"],
        "FontSize": int,
        "OutlineColor": Literal["BLACK", "WHITE", "YELLOW", "RED", "GREEN", "BLUE"],
        "OutlineSize": int,
        "ShadowColor": Literal["NONE", "BLACK", "WHITE"],
        "ShadowOpacity": int,
        "ShadowXOffset": int,
        "ShadowYOffset": int,
        "TeletextSpacing": Literal["FIXED_GRID", "PROPORTIONAL"],
        "XPosition": int,
        "YPosition": int,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef",
    {
        "Alignment": Literal["CENTERED", "LEFT"],
        "BackgroundColor": Literal["NONE", "BLACK", "WHITE"],
        "BackgroundOpacity": int,
        "FontColor": Literal["WHITE", "BLACK", "YELLOW", "RED", "GREEN", "BLUE"],
        "FontOpacity": int,
        "FontResolution": int,
        "FontScript": Literal["AUTOMATIC", "HANS", "HANT"],
        "FontSize": int,
        "OutlineColor": Literal["BLACK", "WHITE", "YELLOW", "RED", "GREEN", "BLUE"],
        "OutlineSize": int,
        "ShadowColor": Literal["NONE", "BLACK", "WHITE"],
        "ShadowOpacity": int,
        "ShadowXOffset": int,
        "ShadowYOffset": int,
        "SubtitlingType": Literal["HEARING_IMPAIRED", "STANDARD"],
        "TeletextSpacing": Literal["FIXED_GRID", "PROPORTIONAL"],
        "XPosition": int,
        "YPosition": int,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef",
    {"Destination608ChannelNumber": int, "Destination708ServiceNumber": int},
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef",
    {"StylePassthrough": Literal["ENABLED", "DISABLED"]},
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef",
    {
        "Framerate": Literal[
            "FRAMERATE_23_97",
            "FRAMERATE_24",
            "FRAMERATE_25",
            "FRAMERATE_29_97_DROPFRAME",
            "FRAMERATE_29_97_NON_DROPFRAME",
        ]
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef",
    {
        "PageNumber": str,
        "PageTypes": List[
            Literal[
                "PAGE_TYPE_INITIAL",
                "PAGE_TYPE_SUBTITLE",
                "PAGE_TYPE_ADDL_INFO",
                "PAGE_TYPE_PROGRAM_SCHEDULE",
                "PAGE_TYPE_HEARING_IMPAIRED_SUBTITLE",
            ]
        ],
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef",
    {"StylePassthrough": Literal["ENABLED", "DISABLED"]},
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef",
    {
        "BurninDestinationSettings": ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef,
        "DestinationType": Literal[
            "BURN_IN",
            "DVB_SUB",
            "EMBEDDED",
            "EMBEDDED_PLUS_SCTE20",
            "IMSC",
            "SCTE20_PLUS_EMBEDDED",
            "SCC",
            "SRT",
            "SMI",
            "TELETEXT",
            "TTML",
            "WEBVTT",
        ],
        "DvbSubDestinationSettings": ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef,
        "EmbeddedDestinationSettings": ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef,
        "ImscDestinationSettings": ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef,
        "SccDestinationSettings": ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef,
        "TeletextDestinationSettings": ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef,
        "TtmlDestinationSettings": ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef",
    {
        "CaptionSelectorName": str,
        "CustomLanguageCode": str,
        "DestinationSettings": ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageDescription": str,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef",
    {"MoovPlacement": Literal["PROGRESSIVE_DOWNLOAD", "NORMAL"]},
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef",
    {"NetworkId": int, "NetworkName": str, "NitInterval": int},
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef",
    {
        "OutputSdt": Literal["SDT_FOLLOW", "SDT_FOLLOW_IF_PRESENT", "SDT_MANUAL", "SDT_NONE"],
        "SdtInterval": int,
        "ServiceName": str,
        "ServiceProviderName": str,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef",
    {"TdtInterval": int},
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef",
    {"Scte35EsamPid": int},
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef",
    {
        "AudioBufferModel": Literal["DVB", "ATSC"],
        "AudioFramesPerPes": int,
        "AudioPids": List[int],
        "Bitrate": int,
        "BufferModel": Literal["MULTIPLEX", "NONE"],
        "DvbNitSettings": ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef,
        "DvbSdtSettings": ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef,
        "DvbSubPids": List[int],
        "DvbTdtSettings": ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef,
        "DvbTeletextPid": int,
        "EbpAudioInterval": Literal["VIDEO_AND_FIXED_INTERVALS", "VIDEO_INTERVAL"],
        "EbpPlacement": Literal["VIDEO_AND_AUDIO_PIDS", "VIDEO_PID"],
        "EsRateInPes": Literal["INCLUDE", "EXCLUDE"],
        "ForceTsVideoEbpOrder": Literal["FORCE", "DEFAULT"],
        "FragmentTime": float,
        "MaxPcrInterval": int,
        "MinEbpInterval": int,
        "NielsenId3": Literal["INSERT", "NONE"],
        "NullPacketBitrate": float,
        "PatInterval": int,
        "PcrControl": Literal["PCR_EVERY_PES_PACKET", "CONFIGURED_PCR_PERIOD"],
        "PcrPid": int,
        "PmtInterval": int,
        "PmtPid": int,
        "PrivateMetadataPid": int,
        "ProgramNumber": int,
        "RateMode": Literal["VBR", "CBR"],
        "Scte35Esam": ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef,
        "Scte35Pid": int,
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
        "SegmentationMarkers": Literal[
            "NONE", "RAI_SEGSTART", "RAI_ADAPT", "PSI_SEGSTART", "EBP", "EBP_LEGACY"
        ],
        "SegmentationStyle": Literal["MAINTAIN_CADENCE", "RESET_CADENCE"],
        "SegmentationTime": float,
        "TimedMetadataPid": int,
        "TransportStreamId": int,
        "VideoPid": int,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef",
    {
        "AudioFramesPerPes": int,
        "AudioPids": List[int],
        "NielsenId3": Literal["INSERT", "NONE"],
        "PatInterval": int,
        "PcrControl": Literal["PCR_EVERY_PES_PACKET", "CONFIGURED_PCR_PERIOD"],
        "PcrPid": int,
        "PmtInterval": int,
        "PmtPid": int,
        "PrivateMetadataPid": int,
        "ProgramNumber": int,
        "Scte35Pid": int,
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
        "TimedMetadata": Literal["PASSTHROUGH", "NONE"],
        "TimedMetadataPid": int,
        "TransportStreamId": int,
        "VideoPid": int,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef",
    {
        "ClapAtom": Literal["INCLUDE", "EXCLUDE"],
        "CslgAtom": Literal["INCLUDE", "EXCLUDE"],
        "Mpeg2FourCCControl": Literal["XDCAM", "MPEG"],
        "PaddingControl": Literal["OMNEON", "NONE"],
        "Reference": Literal["SELF_CONTAINED", "EXTERNAL"],
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef",
    {
        "CslgAtom": Literal["INCLUDE", "EXCLUDE"],
        "FreeSpaceBox": Literal["INCLUDE", "EXCLUDE"],
        "MoovPlacement": Literal["PROGRESSIVE_DOWNLOAD", "NORMAL"],
        "Mp4MajorBrand": str,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef",
    {
        "CaptionContainerType": Literal["RAW", "FRAGMENTED_MP4"],
        "Scte35Esam": Literal["INSERT", "NONE"],
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsTypeDef",
    {
        "Container": Literal[
            "F4V", "ISMV", "M2TS", "M3U8", "CMFC", "MOV", "MP4", "MPD", "MXF", "RAW"
        ],
        "F4vSettings": ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef,
        "M2tsSettings": ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef,
        "M3u8Settings": ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef,
        "MovSettings": ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef,
        "Mp4Settings": ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef,
        "MpdSettings": ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef",
    {
        "AudioGroupId": str,
        "AudioOnlyContainer": Literal["AUTOMATIC", "M2TS"],
        "AudioRenditionSets": str,
        "AudioTrackType": Literal[
            "ALTERNATE_AUDIO_AUTO_SELECT_DEFAULT",
            "ALTERNATE_AUDIO_AUTO_SELECT",
            "ALTERNATE_AUDIO_NOT_AUTO_SELECT",
            "AUDIO_ONLY_VARIANT_STREAM",
        ],
        "IFrameOnlyManifest": Literal["INCLUDE", "EXCLUDE"],
        "SegmentModifier": str,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsOutputSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsOutputSettingsTypeDef",
    {
        "HlsSettings": ClientCreateJobTemplateSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsOutputSettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsOutputSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef",
    {"FramerateDenominator": int, "FramerateNumerator": int, "MaxCaptures": int, "Quality": int},
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef",
    {"MaxAverageBitrate": int, "QvbrQualityLevel": int},
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH", "HIGHER", "MAX"],
        "Bitrate": int,
        "CodecLevel": Literal[
            "AUTO",
            "LEVEL_1",
            "LEVEL_1_1",
            "LEVEL_1_2",
            "LEVEL_1_3",
            "LEVEL_2",
            "LEVEL_2_1",
            "LEVEL_2_2",
            "LEVEL_3",
            "LEVEL_3_1",
            "LEVEL_3_2",
            "LEVEL_4",
            "LEVEL_4_1",
            "LEVEL_4_2",
            "LEVEL_5",
            "LEVEL_5_1",
            "LEVEL_5_2",
        ],
        "CodecProfile": Literal[
            "BASELINE", "HIGH", "HIGH_10BIT", "HIGH_422", "HIGH_422_10BIT", "MAIN"
        ],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "EntropyEncoding": Literal["CABAC", "CAVLC"],
        "FieldEncoding": Literal["PAFF", "FORCE_FIELD"],
        "FlickerAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopBReference": Literal["DISABLED", "ENABLED"],
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "NumberReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "SINGLE_PASS_HQ", "MULTI_PASS_HQ"],
        "QvbrSettings": ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef,
        "RateControlMode": Literal["VBR", "CBR", "QVBR"],
        "RepeatPps": Literal["DISABLED", "ENABLED"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED", "TRANSITION_DETECTION"],
        "Slices": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Softness": int,
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Syntax": Literal["DEFAULT", "RP2027"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "UnregisteredSeiTimecode": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef",
    {"MaxAverageBitrate": int, "QvbrQualityLevel": int},
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH", "HIGHER", "MAX"],
        "AlternateTransferFunctionSei": Literal["DISABLED", "ENABLED"],
        "Bitrate": int,
        "CodecLevel": Literal[
            "AUTO",
            "LEVEL_1",
            "LEVEL_2",
            "LEVEL_2_1",
            "LEVEL_3",
            "LEVEL_3_1",
            "LEVEL_4",
            "LEVEL_4_1",
            "LEVEL_5",
            "LEVEL_5_1",
            "LEVEL_5_2",
            "LEVEL_6",
            "LEVEL_6_1",
            "LEVEL_6_2",
        ],
        "CodecProfile": Literal[
            "MAIN_MAIN",
            "MAIN_HIGH",
            "MAIN10_MAIN",
            "MAIN10_HIGH",
            "MAIN_422_8BIT_MAIN",
            "MAIN_422_8BIT_HIGH",
            "MAIN_422_10BIT_MAIN",
            "MAIN_422_10BIT_HIGH",
        ],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "FlickerAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopBReference": Literal["DISABLED", "ENABLED"],
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "NumberReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "SINGLE_PASS_HQ", "MULTI_PASS_HQ"],
        "QvbrSettings": ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef,
        "RateControlMode": Literal["VBR", "CBR", "QVBR"],
        "SampleAdaptiveOffsetFilterMode": Literal["DEFAULT", "ADAPTIVE", "OFF"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED", "TRANSITION_DETECTION"],
        "Slices": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "TemporalIds": Literal["DISABLED", "ENABLED"],
        "Tiles": Literal["DISABLED", "ENABLED"],
        "UnregisteredSeiTimecode": Literal["DISABLED", "ENABLED"],
        "WriteMp4PackagingType": Literal["HVC1", "HEV1"],
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH"],
        "Bitrate": int,
        "CodecLevel": Literal["AUTO", "LOW", "MAIN", "HIGH1440", "HIGH"],
        "CodecProfile": Literal["MAIN", "PROFILE_422"],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "IntraDcPrecision": Literal[
            "AUTO",
            "INTRA_DC_PRECISION_8",
            "INTRA_DC_PRECISION_9",
            "INTRA_DC_PRECISION_10",
            "INTRA_DC_PRECISION_11",
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "MULTI_PASS"],
        "RateControlMode": Literal["VBR", "CBR"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED"],
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Softness": int,
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Syntax": Literal["DEFAULT", "D_10"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef",
    {
        "CodecProfile": Literal[
            "APPLE_PRORES_422",
            "APPLE_PRORES_422_HQ",
            "APPLE_PRORES_422_LT",
            "APPLE_PRORES_422_PROXY",
        ],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Telecine": Literal["NONE", "HARD"],
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef",
    {
        "Codec": Literal["FRAME_CAPTURE", "H_264", "H_265", "MPEG2", "PRORES"],
        "FrameCaptureSettings": ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef,
        "H264Settings": ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef,
        "H265Settings": ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef,
        "Mpeg2Settings": ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef,
        "ProresSettings": ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef",
    {
        "BluePrimaryX": int,
        "BluePrimaryY": int,
        "GreenPrimaryX": int,
        "GreenPrimaryY": int,
        "MaxContentLightLevel": int,
        "MaxFrameAverageLightLevel": int,
        "MaxLuminance": int,
        "MinLuminance": int,
        "RedPrimaryX": int,
        "RedPrimaryY": int,
        "WhitePointX": int,
        "WhitePointY": int,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef",
    {
        "Brightness": int,
        "ColorSpaceConversion": Literal[
            "NONE", "FORCE_601", "FORCE_709", "FORCE_HDR10", "FORCE_HLG_2020"
        ],
        "Contrast": int,
        "Hdr10Metadata": ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef,
        "Hue": int,
        "Saturation": int,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef",
    {
        "Algorithm": Literal["INTERPOLATE", "INTERPOLATE_TICKER", "BLEND", "BLEND_TICKER"],
        "Control": Literal["FORCE_ALL_FRAMES", "NORMAL"],
        "Mode": Literal["DEINTERLACE", "INVERSE_TELECINE", "ADAPTIVE"],
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef",
    {"MaxCll": int, "MaxFall": int},
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef",
    {
        "L6Metadata": ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef,
        "L6Mode": Literal["PASSTHROUGH", "RECALCULATE", "SPECIFY"],
        "Profile": str,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef",
    {
        "Duration": int,
        "FadeIn": int,
        "FadeOut": int,
        "Height": int,
        "ImageInserterInput": str,
        "ImageX": int,
        "ImageY": int,
        "Layer": int,
        "Opacity": int,
        "StartTime": str,
        "Width": int,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef",
    {
        "InsertableImages": List[
            ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef
        ]
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef",
    {"Strength": int},
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef",
    {"PostFilterSharpenStrength": int, "Speed": int, "Strength": int},
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef",
    {"AggressiveMode": int, "Speed": int, "Strength": int},
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef",
    {
        "Filter": Literal[
            "BILATERAL", "MEAN", "GAUSSIAN", "LANCZOS", "SHARPEN", "CONSERVE", "SPATIAL", "TEMPORAL"
        ],
        "FilterSettings": ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef,
        "SpatialFilterSettings": ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef,
        "TemporalFilterSettings": ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef",
    {
        "FontSize": int,
        "Position": Literal[
            "TOP_CENTER",
            "TOP_LEFT",
            "TOP_RIGHT",
            "MIDDLE_LEFT",
            "MIDDLE_CENTER",
            "MIDDLE_RIGHT",
            "BOTTOM_LEFT",
            "BOTTOM_CENTER",
            "BOTTOM_RIGHT",
        ],
        "Prefix": str,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef",
    {
        "ColorCorrector": ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef,
        "Deinterlacer": ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef,
        "DolbyVision": ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef,
        "ImageInserter": ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef,
        "NoiseReducer": ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef,
        "TimecodeBurnin": ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionTypeDef",
    {
        "AfdSignaling": Literal["NONE", "AUTO", "FIXED"],
        "AntiAlias": Literal["DISABLED", "ENABLED"],
        "CodecSettings": ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef,
        "ColorMetadata": Literal["IGNORE", "INSERT"],
        "Crop": ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef,
        "DropFrameTimecode": Literal["DISABLED", "ENABLED"],
        "FixedAfd": int,
        "Height": int,
        "Position": ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef,
        "RespondToAfd": Literal["NONE", "RESPOND", "PASSTHROUGH"],
        "ScalingBehavior": Literal["DEFAULT", "STRETCH_TO_OUTPUT"],
        "Sharpness": int,
        "TimecodeInsertion": Literal["DISABLED", "PIC_TIMING_SEI"],
        "VideoPreprocessors": ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef,
        "Width": int,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsOutputsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsOutputsTypeDef",
    {
        "AudioDescriptions": List[
            ClientCreateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsTypeDef
        ],
        "CaptionDescriptions": List[
            ClientCreateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef
        ],
        "ContainerSettings": ClientCreateJobTemplateSettingsOutputGroupsOutputsContainerSettingsTypeDef,
        "Extension": str,
        "NameModifier": str,
        "OutputSettings": ClientCreateJobTemplateSettingsOutputGroupsOutputsOutputSettingsTypeDef,
        "Preset": str,
        "VideoDescription": ClientCreateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionTypeDef,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsOutputsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsOutputsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsOutputGroupsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsOutputGroupsTypeDef",
    {
        "CustomName": str,
        "Name": str,
        "OutputGroupSettings": ClientCreateJobTemplateSettingsOutputGroupsOutputGroupSettingsTypeDef,
        "Outputs": List[ClientCreateJobTemplateSettingsOutputGroupsOutputsTypeDef],
    },
    total=False,
)


class ClientCreateJobTemplateSettingsOutputGroupsTypeDef(
    _ClientCreateJobTemplateSettingsOutputGroupsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsTimecodeConfigTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsTimecodeConfigTypeDef",
    {
        "Anchor": str,
        "Source": Literal["EMBEDDED", "ZEROBASED", "SPECIFIEDSTART"],
        "Start": str,
        "TimestampOffset": str,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsTimecodeConfigTypeDef(
    _ClientCreateJobTemplateSettingsTimecodeConfigTypeDef
):
    pass


_ClientCreateJobTemplateSettingsTimedMetadataInsertionId3InsertionsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsTimedMetadataInsertionId3InsertionsTypeDef",
    {"Id3": str, "Timecode": str},
    total=False,
)


class ClientCreateJobTemplateSettingsTimedMetadataInsertionId3InsertionsTypeDef(
    _ClientCreateJobTemplateSettingsTimedMetadataInsertionId3InsertionsTypeDef
):
    pass


_ClientCreateJobTemplateSettingsTimedMetadataInsertionTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsTimedMetadataInsertionTypeDef",
    {
        "Id3Insertions": List[
            ClientCreateJobTemplateSettingsTimedMetadataInsertionId3InsertionsTypeDef
        ]
    },
    total=False,
)


class ClientCreateJobTemplateSettingsTimedMetadataInsertionTypeDef(
    _ClientCreateJobTemplateSettingsTimedMetadataInsertionTypeDef
):
    pass


_ClientCreateJobTemplateSettingsTypeDef = TypedDict(
    "_ClientCreateJobTemplateSettingsTypeDef",
    {
        "AdAvailOffset": int,
        "AvailBlanking": ClientCreateJobTemplateSettingsAvailBlankingTypeDef,
        "Esam": ClientCreateJobTemplateSettingsEsamTypeDef,
        "Inputs": List[ClientCreateJobTemplateSettingsInputsTypeDef],
        "MotionImageInserter": ClientCreateJobTemplateSettingsMotionImageInserterTypeDef,
        "NielsenConfiguration": ClientCreateJobTemplateSettingsNielsenConfigurationTypeDef,
        "OutputGroups": List[ClientCreateJobTemplateSettingsOutputGroupsTypeDef],
        "TimecodeConfig": ClientCreateJobTemplateSettingsTimecodeConfigTypeDef,
        "TimedMetadataInsertion": ClientCreateJobTemplateSettingsTimedMetadataInsertionTypeDef,
    },
    total=False,
)


class ClientCreateJobTemplateSettingsTypeDef(_ClientCreateJobTemplateSettingsTypeDef):
    """
    - **AdAvailOffset** *(integer) --*When specified, this offset (in milliseconds) is added to the
    input Ad Avail PTS time.
    - **AvailBlanking** *(dict) --*Settings for ad avail blanking. Video can be blanked or overlaid
    with an image, and audio muted during SCTE-35 triggered ad avails.

      - **AvailBlankingImage** *(string) --*Blanking image to be used. Leave empty for solid black.
      Only bmp and png images are supported.
    """


_ClientCreatePresetResponsePresetSettingsAudioDescriptionsAudioNormalizationSettingsTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsAudioDescriptionsAudioNormalizationSettingsTypeDef",
    {
        "Algorithm": Literal["ITU_BS_1770_1", "ITU_BS_1770_2", "ITU_BS_1770_3", "ITU_BS_1770_4"],
        "AlgorithmControl": Literal["CORRECT_AUDIO", "MEASURE_ONLY"],
        "CorrectionGateLevel": int,
        "LoudnessLogging": Literal["LOG", "DONT_LOG"],
        "PeakCalculation": Literal["TRUE_PEAK", "NONE"],
        "TargetLkfs": float,
    },
    total=False,
)


class ClientCreatePresetResponsePresetSettingsAudioDescriptionsAudioNormalizationSettingsTypeDef(
    _ClientCreatePresetResponsePresetSettingsAudioDescriptionsAudioNormalizationSettingsTypeDef
):
    """
    - **AudioNormalizationSettings** *(dict) --*Advanced audio normalization settings. Ignore these
    settings unless you need to comply with a loudness standard.

      - **Algorithm** *(string) --*Choose one of the following audio normalization algorithms: ITU-R
      BS.1770-1: Ungated loudness. A measurement of ungated average loudness for an entire piece of
      content, suitable for measurement of short-form content under ATSC recommendation A/85.
      Supports up to 5.1 audio channels. ITU-R BS.1770-2: Gated loudness. A measurement of gated
      average loudness compliant with the requirements of EBU-R128. Supports up to 5.1 audio
      channels. ITU-R BS.1770-3: Modified peak. The same loudness measurement algorithm as 1770-2,
      with an updated true peak measurement. ITU-R BS.1770-4: Higher channel count. Allows for more
      audio channels than the other algorithms, including configurations such as 7.1.
      - **AlgorithmControl** *(string) --*When enabled the output audio is corrected using the
      chosen algorithm. If disabled, the audio will be measured but not adjusted.
      - **CorrectionGateLevel** *(integer) --*Content measuring above this level will be corrected
      to the target level. Content measuring below this level will not be corrected. Gating only
      applies when not using real_time_correction.
      - **LoudnessLogging** *(string) --*If set to LOG, log each output's audio track loudness to a
      CSV file.
      - **PeakCalculation** *(string) --*If set to TRUE_PEAK, calculate and log the TruePeak for
      each output's audio track loudness.
      - **TargetLkfs** *(float) --*When you use Audio normalization (AudioNormalizationSettings),
      optionally use this setting to specify a target loudness. If you don't specify a value here,
      the encoder chooses a value for you, based on the algorithm that you choose for Algorithm
      (algorithm). If you choose algorithm 1770-1, the encoder will choose -24 LKFS; otherwise, the
      encoder will choose -23 LKFS.
    """


_ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsAacSettingsTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsAacSettingsTypeDef",
    {
        "AudioDescriptionBroadcasterMix": Literal["BROADCASTER_MIXED_AD", "NORMAL"],
        "Bitrate": int,
        "CodecProfile": Literal["LC", "HEV1", "HEV2"],
        "CodingMode": Literal[
            "AD_RECEIVER_MIX",
            "CODING_MODE_1_0",
            "CODING_MODE_1_1",
            "CODING_MODE_2_0",
            "CODING_MODE_5_1",
        ],
        "RateControlMode": Literal["CBR", "VBR"],
        "RawFormat": Literal["LATM_LOAS", "NONE"],
        "SampleRate": int,
        "Specification": Literal["MPEG2", "MPEG4"],
        "VbrQuality": Literal["LOW", "MEDIUM_LOW", "MEDIUM_HIGH", "HIGH"],
    },
    total=False,
)


class ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsAacSettingsTypeDef(
    _ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsAacSettingsTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsAc3SettingsTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsAc3SettingsTypeDef",
    {
        "Bitrate": int,
        "BitstreamMode": Literal[
            "COMPLETE_MAIN",
            "COMMENTARY",
            "DIALOGUE",
            "EMERGENCY",
            "HEARING_IMPAIRED",
            "MUSIC_AND_EFFECTS",
            "VISUALLY_IMPAIRED",
            "VOICE_OVER",
        ],
        "CodingMode": Literal[
            "CODING_MODE_1_0", "CODING_MODE_1_1", "CODING_MODE_2_0", "CODING_MODE_3_2_LFE"
        ],
        "Dialnorm": int,
        "DynamicRangeCompressionProfile": Literal["FILM_STANDARD", "NONE"],
        "LfeFilter": Literal["ENABLED", "DISABLED"],
        "MetadataControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "SampleRate": int,
    },
    total=False,
)


class ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsAc3SettingsTypeDef(
    _ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsAc3SettingsTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsAiffSettingsTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsAiffSettingsTypeDef",
    {"BitDepth": int, "Channels": int, "SampleRate": int},
    total=False,
)


class ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsAiffSettingsTypeDef(
    _ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsAiffSettingsTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef",
    {
        "Bitrate": int,
        "BitstreamMode": str,
        "CodingMode": str,
        "DialogueIntelligence": Literal["ENABLED", "DISABLED"],
        "DynamicRangeCompressionLine": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "DynamicRangeCompressionRf": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "LoRoCenterMixLevel": float,
        "LoRoSurroundMixLevel": float,
        "LtRtCenterMixLevel": float,
        "LtRtSurroundMixLevel": float,
        "MeteringMode": Literal[
            "LEQ_A", "ITU_BS_1770_1", "ITU_BS_1770_2", "ITU_BS_1770_3", "ITU_BS_1770_4"
        ],
        "SampleRate": int,
        "SpeechThreshold": int,
        "StereoDownmix": Literal["NOT_INDICATED", "STEREO", "SURROUND", "DPL2"],
        "SurroundExMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
    },
    total=False,
)


class ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef(
    _ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsEac3SettingsTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsEac3SettingsTypeDef",
    {
        "AttenuationControl": Literal["ATTENUATE_3_DB", "NONE"],
        "Bitrate": int,
        "BitstreamMode": Literal[
            "COMPLETE_MAIN", "COMMENTARY", "EMERGENCY", "HEARING_IMPAIRED", "VISUALLY_IMPAIRED"
        ],
        "CodingMode": Literal["CODING_MODE_1_0", "CODING_MODE_2_0", "CODING_MODE_3_2"],
        "DcFilter": Literal["ENABLED", "DISABLED"],
        "Dialnorm": int,
        "DynamicRangeCompressionLine": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "DynamicRangeCompressionRf": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "LfeControl": Literal["LFE", "NO_LFE"],
        "LfeFilter": Literal["ENABLED", "DISABLED"],
        "LoRoCenterMixLevel": float,
        "LoRoSurroundMixLevel": float,
        "LtRtCenterMixLevel": float,
        "LtRtSurroundMixLevel": float,
        "MetadataControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "PassthroughControl": Literal["WHEN_POSSIBLE", "NO_PASSTHROUGH"],
        "PhaseControl": Literal["SHIFT_90_DEGREES", "NO_SHIFT"],
        "SampleRate": int,
        "StereoDownmix": Literal["NOT_INDICATED", "LO_RO", "LT_RT", "DPL2"],
        "SurroundExMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
        "SurroundMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
    },
    total=False,
)


class ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsEac3SettingsTypeDef(
    _ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsEac3SettingsTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsMp2SettingsTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsMp2SettingsTypeDef",
    {"Bitrate": int, "Channels": int, "SampleRate": int},
    total=False,
)


class ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsMp2SettingsTypeDef(
    _ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsMp2SettingsTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsWavSettingsTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsWavSettingsTypeDef",
    {"BitDepth": int, "Channels": int, "Format": Literal["RIFF", "RF64"], "SampleRate": int},
    total=False,
)


class ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsWavSettingsTypeDef(
    _ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsWavSettingsTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsTypeDef",
    {
        "AacSettings": ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsAacSettingsTypeDef,
        "Ac3Settings": ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsAc3SettingsTypeDef,
        "AiffSettings": ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsAiffSettingsTypeDef,
        "Codec": Literal["AAC", "MP2", "WAV", "AIFF", "AC3", "EAC3", "EAC3_ATMOS", "PASSTHROUGH"],
        "Eac3AtmosSettings": ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef,
        "Eac3Settings": ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsEac3SettingsTypeDef,
        "Mp2Settings": ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsMp2SettingsTypeDef,
        "WavSettings": ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsWavSettingsTypeDef,
    },
    total=False,
)


class ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsTypeDef(
    _ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef",
    {"InputChannels": List[int]},
    total=False,
)


class ClientCreatePresetResponsePresetSettingsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef(
    _ClientCreatePresetResponsePresetSettingsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsAudioDescriptionsRemixSettingsChannelMappingTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsAudioDescriptionsRemixSettingsChannelMappingTypeDef",
    {
        "OutputChannels": List[
            ClientCreatePresetResponsePresetSettingsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef
        ]
    },
    total=False,
)


class ClientCreatePresetResponsePresetSettingsAudioDescriptionsRemixSettingsChannelMappingTypeDef(
    _ClientCreatePresetResponsePresetSettingsAudioDescriptionsRemixSettingsChannelMappingTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsAudioDescriptionsRemixSettingsTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsAudioDescriptionsRemixSettingsTypeDef",
    {
        "ChannelMapping": ClientCreatePresetResponsePresetSettingsAudioDescriptionsRemixSettingsChannelMappingTypeDef,
        "ChannelsIn": int,
        "ChannelsOut": int,
    },
    total=False,
)


class ClientCreatePresetResponsePresetSettingsAudioDescriptionsRemixSettingsTypeDef(
    _ClientCreatePresetResponsePresetSettingsAudioDescriptionsRemixSettingsTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsAudioDescriptionsTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsAudioDescriptionsTypeDef",
    {
        "AudioNormalizationSettings": ClientCreatePresetResponsePresetSettingsAudioDescriptionsAudioNormalizationSettingsTypeDef,
        "AudioSourceName": str,
        "AudioType": int,
        "AudioTypeControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "CodecSettings": ClientCreatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsTypeDef,
        "CustomLanguageCode": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageCodeControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "RemixSettings": ClientCreatePresetResponsePresetSettingsAudioDescriptionsRemixSettingsTypeDef,
        "StreamName": str,
    },
    total=False,
)


class ClientCreatePresetResponsePresetSettingsAudioDescriptionsTypeDef(
    _ClientCreatePresetResponsePresetSettingsAudioDescriptionsTypeDef
):
    """
    - *(dict) --*Description of audio output

      - **AudioNormalizationSettings** *(dict) --*Advanced audio normalization settings. Ignore
      these settings unless you need to comply with a loudness standard.

        - **Algorithm** *(string) --*Choose one of the following audio normalization algorithms:
        ITU-R BS.1770-1: Ungated loudness. A measurement of ungated average loudness for an entire
        piece of content, suitable for measurement of short-form content under ATSC recommendation
        A/85. Supports up to 5.1 audio channels. ITU-R BS.1770-2: Gated loudness. A measurement of
        gated average loudness compliant with the requirements of EBU-R128. Supports up to 5.1 audio
        channels. ITU-R BS.1770-3: Modified peak. The same loudness measurement algorithm as 1770-2,
        with an updated true peak measurement. ITU-R BS.1770-4: Higher channel count. Allows for
        more audio channels than the other algorithms, including configurations such as 7.1.
        - **AlgorithmControl** *(string) --*When enabled the output audio is corrected using the
        chosen algorithm. If disabled, the audio will be measured but not adjusted.
        - **CorrectionGateLevel** *(integer) --*Content measuring above this level will be corrected
        to the target level. Content measuring below this level will not be corrected. Gating only
        applies when not using real_time_correction.
        - **LoudnessLogging** *(string) --*If set to LOG, log each output's audio track loudness to
        a CSV file.
        - **PeakCalculation** *(string) --*If set to TRUE_PEAK, calculate and log the TruePeak for
        each output's audio track loudness.
        - **TargetLkfs** *(float) --*When you use Audio normalization (AudioNormalizationSettings),
        optionally use this setting to specify a target loudness. If you don't specify a value here,
        the encoder chooses a value for you, based on the algorithm that you choose for Algorithm
        (algorithm). If you choose algorithm 1770-1, the encoder will choose -24 LKFS; otherwise,
        the encoder will choose -23 LKFS.
    """


_ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef",
    {
        "Alignment": Literal["CENTERED", "LEFT"],
        "BackgroundColor": Literal["NONE", "BLACK", "WHITE"],
        "BackgroundOpacity": int,
        "FontColor": Literal["WHITE", "BLACK", "YELLOW", "RED", "GREEN", "BLUE"],
        "FontOpacity": int,
        "FontResolution": int,
        "FontScript": Literal["AUTOMATIC", "HANS", "HANT"],
        "FontSize": int,
        "OutlineColor": Literal["BLACK", "WHITE", "YELLOW", "RED", "GREEN", "BLUE"],
        "OutlineSize": int,
        "ShadowColor": Literal["NONE", "BLACK", "WHITE"],
        "ShadowOpacity": int,
        "ShadowXOffset": int,
        "ShadowYOffset": int,
        "TeletextSpacing": Literal["FIXED_GRID", "PROPORTIONAL"],
        "XPosition": int,
        "YPosition": int,
    },
    total=False,
)


class ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef(
    _ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef",
    {
        "Alignment": Literal["CENTERED", "LEFT"],
        "BackgroundColor": Literal["NONE", "BLACK", "WHITE"],
        "BackgroundOpacity": int,
        "FontColor": Literal["WHITE", "BLACK", "YELLOW", "RED", "GREEN", "BLUE"],
        "FontOpacity": int,
        "FontResolution": int,
        "FontScript": Literal["AUTOMATIC", "HANS", "HANT"],
        "FontSize": int,
        "OutlineColor": Literal["BLACK", "WHITE", "YELLOW", "RED", "GREEN", "BLUE"],
        "OutlineSize": int,
        "ShadowColor": Literal["NONE", "BLACK", "WHITE"],
        "ShadowOpacity": int,
        "ShadowXOffset": int,
        "ShadowYOffset": int,
        "SubtitlingType": Literal["HEARING_IMPAIRED", "STANDARD"],
        "TeletextSpacing": Literal["FIXED_GRID", "PROPORTIONAL"],
        "XPosition": int,
        "YPosition": int,
    },
    total=False,
)


class ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef(
    _ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef",
    {"Destination608ChannelNumber": int, "Destination708ServiceNumber": int},
    total=False,
)


class ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef(
    _ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef",
    {"StylePassthrough": Literal["ENABLED", "DISABLED"]},
    total=False,
)


class ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef(
    _ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef",
    {
        "Framerate": Literal[
            "FRAMERATE_23_97",
            "FRAMERATE_24",
            "FRAMERATE_25",
            "FRAMERATE_29_97_DROPFRAME",
            "FRAMERATE_29_97_NON_DROPFRAME",
        ]
    },
    total=False,
)


class ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef(
    _ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef",
    {
        "PageNumber": str,
        "PageTypes": List[
            Literal[
                "PAGE_TYPE_INITIAL",
                "PAGE_TYPE_SUBTITLE",
                "PAGE_TYPE_ADDL_INFO",
                "PAGE_TYPE_PROGRAM_SCHEDULE",
                "PAGE_TYPE_HEARING_IMPAIRED_SUBTITLE",
            ]
        ],
    },
    total=False,
)


class ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef(
    _ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef",
    {"StylePassthrough": Literal["ENABLED", "DISABLED"]},
    total=False,
)


class ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef(
    _ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTypeDef",
    {
        "BurninDestinationSettings": ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef,
        "DestinationType": Literal[
            "BURN_IN",
            "DVB_SUB",
            "EMBEDDED",
            "EMBEDDED_PLUS_SCTE20",
            "IMSC",
            "SCTE20_PLUS_EMBEDDED",
            "SCC",
            "SRT",
            "SMI",
            "TELETEXT",
            "TTML",
            "WEBVTT",
        ],
        "DvbSubDestinationSettings": ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef,
        "EmbeddedDestinationSettings": ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef,
        "ImscDestinationSettings": ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef,
        "SccDestinationSettings": ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef,
        "TeletextDestinationSettings": ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef,
        "TtmlDestinationSettings": ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef,
    },
    total=False,
)


class ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTypeDef(
    _ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsCaptionDescriptionsTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsCaptionDescriptionsTypeDef",
    {
        "CustomLanguageCode": str,
        "DestinationSettings": ClientCreatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTypeDef,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageDescription": str,
    },
    total=False,
)


class ClientCreatePresetResponsePresetSettingsCaptionDescriptionsTypeDef(
    _ClientCreatePresetResponsePresetSettingsCaptionDescriptionsTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsContainerSettingsF4vSettingsTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsContainerSettingsF4vSettingsTypeDef",
    {"MoovPlacement": Literal["PROGRESSIVE_DOWNLOAD", "NORMAL"]},
    total=False,
)


class ClientCreatePresetResponsePresetSettingsContainerSettingsF4vSettingsTypeDef(
    _ClientCreatePresetResponsePresetSettingsContainerSettingsF4vSettingsTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef",
    {"NetworkId": int, "NetworkName": str, "NitInterval": int},
    total=False,
)


class ClientCreatePresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef(
    _ClientCreatePresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef",
    {
        "OutputSdt": Literal["SDT_FOLLOW", "SDT_FOLLOW_IF_PRESENT", "SDT_MANUAL", "SDT_NONE"],
        "SdtInterval": int,
        "ServiceName": str,
        "ServiceProviderName": str,
    },
    total=False,
)


class ClientCreatePresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef(
    _ClientCreatePresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef",
    {"TdtInterval": int},
    total=False,
)


class ClientCreatePresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef(
    _ClientCreatePresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsContainerSettingsM2tsSettingsScte35EsamTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsContainerSettingsM2tsSettingsScte35EsamTypeDef",
    {"Scte35EsamPid": int},
    total=False,
)


class ClientCreatePresetResponsePresetSettingsContainerSettingsM2tsSettingsScte35EsamTypeDef(
    _ClientCreatePresetResponsePresetSettingsContainerSettingsM2tsSettingsScte35EsamTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsContainerSettingsM2tsSettingsTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsContainerSettingsM2tsSettingsTypeDef",
    {
        "AudioBufferModel": Literal["DVB", "ATSC"],
        "AudioFramesPerPes": int,
        "AudioPids": List[int],
        "Bitrate": int,
        "BufferModel": Literal["MULTIPLEX", "NONE"],
        "DvbNitSettings": ClientCreatePresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef,
        "DvbSdtSettings": ClientCreatePresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef,
        "DvbSubPids": List[int],
        "DvbTdtSettings": ClientCreatePresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef,
        "DvbTeletextPid": int,
        "EbpAudioInterval": Literal["VIDEO_AND_FIXED_INTERVALS", "VIDEO_INTERVAL"],
        "EbpPlacement": Literal["VIDEO_AND_AUDIO_PIDS", "VIDEO_PID"],
        "EsRateInPes": Literal["INCLUDE", "EXCLUDE"],
        "ForceTsVideoEbpOrder": Literal["FORCE", "DEFAULT"],
        "FragmentTime": float,
        "MaxPcrInterval": int,
        "MinEbpInterval": int,
        "NielsenId3": Literal["INSERT", "NONE"],
        "NullPacketBitrate": float,
        "PatInterval": int,
        "PcrControl": Literal["PCR_EVERY_PES_PACKET", "CONFIGURED_PCR_PERIOD"],
        "PcrPid": int,
        "PmtInterval": int,
        "PmtPid": int,
        "PrivateMetadataPid": int,
        "ProgramNumber": int,
        "RateMode": Literal["VBR", "CBR"],
        "Scte35Esam": ClientCreatePresetResponsePresetSettingsContainerSettingsM2tsSettingsScte35EsamTypeDef,
        "Scte35Pid": int,
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
        "SegmentationMarkers": Literal[
            "NONE", "RAI_SEGSTART", "RAI_ADAPT", "PSI_SEGSTART", "EBP", "EBP_LEGACY"
        ],
        "SegmentationStyle": Literal["MAINTAIN_CADENCE", "RESET_CADENCE"],
        "SegmentationTime": float,
        "TimedMetadataPid": int,
        "TransportStreamId": int,
        "VideoPid": int,
    },
    total=False,
)


class ClientCreatePresetResponsePresetSettingsContainerSettingsM2tsSettingsTypeDef(
    _ClientCreatePresetResponsePresetSettingsContainerSettingsM2tsSettingsTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsContainerSettingsM3u8SettingsTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsContainerSettingsM3u8SettingsTypeDef",
    {
        "AudioFramesPerPes": int,
        "AudioPids": List[int],
        "NielsenId3": Literal["INSERT", "NONE"],
        "PatInterval": int,
        "PcrControl": Literal["PCR_EVERY_PES_PACKET", "CONFIGURED_PCR_PERIOD"],
        "PcrPid": int,
        "PmtInterval": int,
        "PmtPid": int,
        "PrivateMetadataPid": int,
        "ProgramNumber": int,
        "Scte35Pid": int,
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
        "TimedMetadata": Literal["PASSTHROUGH", "NONE"],
        "TimedMetadataPid": int,
        "TransportStreamId": int,
        "VideoPid": int,
    },
    total=False,
)


class ClientCreatePresetResponsePresetSettingsContainerSettingsM3u8SettingsTypeDef(
    _ClientCreatePresetResponsePresetSettingsContainerSettingsM3u8SettingsTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsContainerSettingsMovSettingsTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsContainerSettingsMovSettingsTypeDef",
    {
        "ClapAtom": Literal["INCLUDE", "EXCLUDE"],
        "CslgAtom": Literal["INCLUDE", "EXCLUDE"],
        "Mpeg2FourCCControl": Literal["XDCAM", "MPEG"],
        "PaddingControl": Literal["OMNEON", "NONE"],
        "Reference": Literal["SELF_CONTAINED", "EXTERNAL"],
    },
    total=False,
)


class ClientCreatePresetResponsePresetSettingsContainerSettingsMovSettingsTypeDef(
    _ClientCreatePresetResponsePresetSettingsContainerSettingsMovSettingsTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsContainerSettingsMp4SettingsTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsContainerSettingsMp4SettingsTypeDef",
    {
        "CslgAtom": Literal["INCLUDE", "EXCLUDE"],
        "FreeSpaceBox": Literal["INCLUDE", "EXCLUDE"],
        "MoovPlacement": Literal["PROGRESSIVE_DOWNLOAD", "NORMAL"],
        "Mp4MajorBrand": str,
    },
    total=False,
)


class ClientCreatePresetResponsePresetSettingsContainerSettingsMp4SettingsTypeDef(
    _ClientCreatePresetResponsePresetSettingsContainerSettingsMp4SettingsTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsContainerSettingsMpdSettingsTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsContainerSettingsMpdSettingsTypeDef",
    {
        "CaptionContainerType": Literal["RAW", "FRAGMENTED_MP4"],
        "Scte35Esam": Literal["INSERT", "NONE"],
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
    },
    total=False,
)


class ClientCreatePresetResponsePresetSettingsContainerSettingsMpdSettingsTypeDef(
    _ClientCreatePresetResponsePresetSettingsContainerSettingsMpdSettingsTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsContainerSettingsTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsContainerSettingsTypeDef",
    {
        "Container": Literal[
            "F4V", "ISMV", "M2TS", "M3U8", "CMFC", "MOV", "MP4", "MPD", "MXF", "RAW"
        ],
        "F4vSettings": ClientCreatePresetResponsePresetSettingsContainerSettingsF4vSettingsTypeDef,
        "M2tsSettings": ClientCreatePresetResponsePresetSettingsContainerSettingsM2tsSettingsTypeDef,
        "M3u8Settings": ClientCreatePresetResponsePresetSettingsContainerSettingsM3u8SettingsTypeDef,
        "MovSettings": ClientCreatePresetResponsePresetSettingsContainerSettingsMovSettingsTypeDef,
        "Mp4Settings": ClientCreatePresetResponsePresetSettingsContainerSettingsMp4SettingsTypeDef,
        "MpdSettings": ClientCreatePresetResponsePresetSettingsContainerSettingsMpdSettingsTypeDef,
    },
    total=False,
)


class ClientCreatePresetResponsePresetSettingsContainerSettingsTypeDef(
    _ClientCreatePresetResponsePresetSettingsContainerSettingsTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef",
    {"FramerateDenominator": int, "FramerateNumerator": int, "MaxCaptures": int, "Quality": int},
    total=False,
)


class ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef(
    _ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef",
    {"MaxAverageBitrate": int, "QvbrQualityLevel": int},
    total=False,
)


class ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef(
    _ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH264SettingsTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH264SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH", "HIGHER", "MAX"],
        "Bitrate": int,
        "CodecLevel": Literal[
            "AUTO",
            "LEVEL_1",
            "LEVEL_1_1",
            "LEVEL_1_2",
            "LEVEL_1_3",
            "LEVEL_2",
            "LEVEL_2_1",
            "LEVEL_2_2",
            "LEVEL_3",
            "LEVEL_3_1",
            "LEVEL_3_2",
            "LEVEL_4",
            "LEVEL_4_1",
            "LEVEL_4_2",
            "LEVEL_5",
            "LEVEL_5_1",
            "LEVEL_5_2",
        ],
        "CodecProfile": Literal[
            "BASELINE", "HIGH", "HIGH_10BIT", "HIGH_422", "HIGH_422_10BIT", "MAIN"
        ],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "EntropyEncoding": Literal["CABAC", "CAVLC"],
        "FieldEncoding": Literal["PAFF", "FORCE_FIELD"],
        "FlickerAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopBReference": Literal["DISABLED", "ENABLED"],
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "NumberReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "SINGLE_PASS_HQ", "MULTI_PASS_HQ"],
        "QvbrSettings": ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef,
        "RateControlMode": Literal["VBR", "CBR", "QVBR"],
        "RepeatPps": Literal["DISABLED", "ENABLED"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED", "TRANSITION_DETECTION"],
        "Slices": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Softness": int,
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Syntax": Literal["DEFAULT", "RP2027"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "UnregisteredSeiTimecode": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH264SettingsTypeDef(
    _ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH264SettingsTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef",
    {"MaxAverageBitrate": int, "QvbrQualityLevel": int},
    total=False,
)


class ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef(
    _ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH265SettingsTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH265SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH", "HIGHER", "MAX"],
        "AlternateTransferFunctionSei": Literal["DISABLED", "ENABLED"],
        "Bitrate": int,
        "CodecLevel": Literal[
            "AUTO",
            "LEVEL_1",
            "LEVEL_2",
            "LEVEL_2_1",
            "LEVEL_3",
            "LEVEL_3_1",
            "LEVEL_4",
            "LEVEL_4_1",
            "LEVEL_5",
            "LEVEL_5_1",
            "LEVEL_5_2",
            "LEVEL_6",
            "LEVEL_6_1",
            "LEVEL_6_2",
        ],
        "CodecProfile": Literal[
            "MAIN_MAIN",
            "MAIN_HIGH",
            "MAIN10_MAIN",
            "MAIN10_HIGH",
            "MAIN_422_8BIT_MAIN",
            "MAIN_422_8BIT_HIGH",
            "MAIN_422_10BIT_MAIN",
            "MAIN_422_10BIT_HIGH",
        ],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "FlickerAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopBReference": Literal["DISABLED", "ENABLED"],
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "NumberReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "SINGLE_PASS_HQ", "MULTI_PASS_HQ"],
        "QvbrSettings": ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef,
        "RateControlMode": Literal["VBR", "CBR", "QVBR"],
        "SampleAdaptiveOffsetFilterMode": Literal["DEFAULT", "ADAPTIVE", "OFF"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED", "TRANSITION_DETECTION"],
        "Slices": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "TemporalIds": Literal["DISABLED", "ENABLED"],
        "Tiles": Literal["DISABLED", "ENABLED"],
        "UnregisteredSeiTimecode": Literal["DISABLED", "ENABLED"],
        "WriteMp4PackagingType": Literal["HVC1", "HEV1"],
    },
    total=False,
)


class ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH265SettingsTypeDef(
    _ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH265SettingsTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH"],
        "Bitrate": int,
        "CodecLevel": Literal["AUTO", "LOW", "MAIN", "HIGH1440", "HIGH"],
        "CodecProfile": Literal["MAIN", "PROFILE_422"],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "IntraDcPrecision": Literal[
            "AUTO",
            "INTRA_DC_PRECISION_8",
            "INTRA_DC_PRECISION_9",
            "INTRA_DC_PRECISION_10",
            "INTRA_DC_PRECISION_11",
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "MULTI_PASS"],
        "RateControlMode": Literal["VBR", "CBR"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED"],
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Softness": int,
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Syntax": Literal["DEFAULT", "D_10"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef(
    _ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsProresSettingsTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsProresSettingsTypeDef",
    {
        "CodecProfile": Literal[
            "APPLE_PRORES_422",
            "APPLE_PRORES_422_HQ",
            "APPLE_PRORES_422_LT",
            "APPLE_PRORES_422_PROXY",
        ],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Telecine": Literal["NONE", "HARD"],
    },
    total=False,
)


class ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsProresSettingsTypeDef(
    _ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsProresSettingsTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsTypeDef",
    {
        "Codec": Literal["FRAME_CAPTURE", "H_264", "H_265", "MPEG2", "PRORES"],
        "FrameCaptureSettings": ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef,
        "H264Settings": ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH264SettingsTypeDef,
        "H265Settings": ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH265SettingsTypeDef,
        "Mpeg2Settings": ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef,
        "ProresSettings": ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsProresSettingsTypeDef,
    },
    total=False,
)


class ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsTypeDef(
    _ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsVideoDescriptionCropTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsVideoDescriptionCropTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientCreatePresetResponsePresetSettingsVideoDescriptionCropTypeDef(
    _ClientCreatePresetResponsePresetSettingsVideoDescriptionCropTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsVideoDescriptionPositionTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsVideoDescriptionPositionTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientCreatePresetResponsePresetSettingsVideoDescriptionPositionTypeDef(
    _ClientCreatePresetResponsePresetSettingsVideoDescriptionPositionTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef",
    {
        "BluePrimaryX": int,
        "BluePrimaryY": int,
        "GreenPrimaryX": int,
        "GreenPrimaryY": int,
        "MaxContentLightLevel": int,
        "MaxFrameAverageLightLevel": int,
        "MaxLuminance": int,
        "MinLuminance": int,
        "RedPrimaryX": int,
        "RedPrimaryY": int,
        "WhitePointX": int,
        "WhitePointY": int,
    },
    total=False,
)


class ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef(
    _ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef",
    {
        "Brightness": int,
        "ColorSpaceConversion": Literal[
            "NONE", "FORCE_601", "FORCE_709", "FORCE_HDR10", "FORCE_HLG_2020"
        ],
        "Contrast": int,
        "Hdr10Metadata": ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef,
        "Hue": int,
        "Saturation": int,
    },
    total=False,
)


class ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef(
    _ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef",
    {
        "Algorithm": Literal["INTERPOLATE", "INTERPOLATE_TICKER", "BLEND", "BLEND_TICKER"],
        "Control": Literal["FORCE_ALL_FRAMES", "NORMAL"],
        "Mode": Literal["DEINTERLACE", "INVERSE_TELECINE", "ADAPTIVE"],
    },
    total=False,
)


class ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef(
    _ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef",
    {"MaxCll": int, "MaxFall": int},
    total=False,
)


class ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef(
    _ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef",
    {
        "L6Metadata": ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef,
        "L6Mode": Literal["PASSTHROUGH", "RECALCULATE", "SPECIFY"],
        "Profile": str,
    },
    total=False,
)


class ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef(
    _ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef",
    {
        "Duration": int,
        "FadeIn": int,
        "FadeOut": int,
        "Height": int,
        "ImageInserterInput": str,
        "ImageX": int,
        "ImageY": int,
        "Layer": int,
        "Opacity": int,
        "StartTime": str,
        "Width": int,
    },
    total=False,
)


class ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef(
    _ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterTypeDef",
    {
        "InsertableImages": List[
            ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef
        ]
    },
    total=False,
)


class ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterTypeDef(
    _ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef",
    {"Strength": int},
    total=False,
)


class ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef(
    _ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef",
    {"PostFilterSharpenStrength": int, "Speed": int, "Strength": int},
    total=False,
)


class ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef(
    _ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef",
    {"AggressiveMode": int, "Speed": int, "Strength": int},
    total=False,
)


class ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef(
    _ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef",
    {
        "Filter": Literal[
            "BILATERAL", "MEAN", "GAUSSIAN", "LANCZOS", "SHARPEN", "CONSERVE", "SPATIAL", "TEMPORAL"
        ],
        "FilterSettings": ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef,
        "SpatialFilterSettings": ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef,
        "TemporalFilterSettings": ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef,
    },
    total=False,
)


class ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef(
    _ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef",
    {
        "FontSize": int,
        "Position": Literal[
            "TOP_CENTER",
            "TOP_LEFT",
            "TOP_RIGHT",
            "MIDDLE_LEFT",
            "MIDDLE_CENTER",
            "MIDDLE_RIGHT",
            "BOTTOM_LEFT",
            "BOTTOM_CENTER",
            "BOTTOM_RIGHT",
        ],
        "Prefix": str,
    },
    total=False,
)


class ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef(
    _ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsTypeDef",
    {
        "ColorCorrector": ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef,
        "Deinterlacer": ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef,
        "DolbyVision": ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef,
        "ImageInserter": ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterTypeDef,
        "NoiseReducer": ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef,
        "TimecodeBurnin": ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef,
    },
    total=False,
)


class ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsTypeDef(
    _ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsVideoDescriptionTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsVideoDescriptionTypeDef",
    {
        "AfdSignaling": Literal["NONE", "AUTO", "FIXED"],
        "AntiAlias": Literal["DISABLED", "ENABLED"],
        "CodecSettings": ClientCreatePresetResponsePresetSettingsVideoDescriptionCodecSettingsTypeDef,
        "ColorMetadata": Literal["IGNORE", "INSERT"],
        "Crop": ClientCreatePresetResponsePresetSettingsVideoDescriptionCropTypeDef,
        "DropFrameTimecode": Literal["DISABLED", "ENABLED"],
        "FixedAfd": int,
        "Height": int,
        "Position": ClientCreatePresetResponsePresetSettingsVideoDescriptionPositionTypeDef,
        "RespondToAfd": Literal["NONE", "RESPOND", "PASSTHROUGH"],
        "ScalingBehavior": Literal["DEFAULT", "STRETCH_TO_OUTPUT"],
        "Sharpness": int,
        "TimecodeInsertion": Literal["DISABLED", "PIC_TIMING_SEI"],
        "VideoPreprocessors": ClientCreatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsTypeDef,
        "Width": int,
    },
    total=False,
)


class ClientCreatePresetResponsePresetSettingsVideoDescriptionTypeDef(
    _ClientCreatePresetResponsePresetSettingsVideoDescriptionTypeDef
):
    pass


_ClientCreatePresetResponsePresetSettingsTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetSettingsTypeDef",
    {
        "AudioDescriptions": List[ClientCreatePresetResponsePresetSettingsAudioDescriptionsTypeDef],
        "CaptionDescriptions": List[
            ClientCreatePresetResponsePresetSettingsCaptionDescriptionsTypeDef
        ],
        "ContainerSettings": ClientCreatePresetResponsePresetSettingsContainerSettingsTypeDef,
        "VideoDescription": ClientCreatePresetResponsePresetSettingsVideoDescriptionTypeDef,
    },
    total=False,
)


class ClientCreatePresetResponsePresetSettingsTypeDef(
    _ClientCreatePresetResponsePresetSettingsTypeDef
):
    """
    - **Settings** *(dict) --*Settings for preset

      - **AudioDescriptions** *(list) --*(AudioDescriptions) contains groups of audio encoding
      settings organized by audio codec. Include one instance of (AudioDescriptions) per output.
      (AudioDescriptions) can contain multiple groups of encoding settings.

        - *(dict) --*Description of audio output

          - **AudioNormalizationSettings** *(dict) --*Advanced audio normalization settings. Ignore
          these settings unless you need to comply with a loudness standard.

            - **Algorithm** *(string) --*Choose one of the following audio normalization algorithms:
            ITU-R BS.1770-1: Ungated loudness. A measurement of ungated average loudness for an
            entire piece of content, suitable for measurement of short-form content under ATSC
            recommendation A/85. Supports up to 5.1 audio channels. ITU-R BS.1770-2: Gated loudness.
            A measurement of gated average loudness compliant with the requirements of EBU-R128.
            Supports up to 5.1 audio channels. ITU-R BS.1770-3: Modified peak. The same loudness
            measurement algorithm as 1770-2, with an updated true peak measurement. ITU-R BS.1770-4:
            Higher channel count. Allows for more audio channels than the other algorithms,
            including configurations such as 7.1.
            - **AlgorithmControl** *(string) --*When enabled the output audio is corrected using the
            chosen algorithm. If disabled, the audio will be measured but not adjusted.
            - **CorrectionGateLevel** *(integer) --*Content measuring above this level will be
            corrected to the target level. Content measuring below this level will not be corrected.
            Gating only applies when not using real_time_correction.
            - **LoudnessLogging** *(string) --*If set to LOG, log each output's audio track loudness
            to a CSV file.
            - **PeakCalculation** *(string) --*If set to TRUE_PEAK, calculate and log the TruePeak
            for each output's audio track loudness.
            - **TargetLkfs** *(float) --*When you use Audio normalization
            (AudioNormalizationSettings), optionally use this setting to specify a target loudness.
            If you don't specify a value here, the encoder chooses a value for you, based on the
            algorithm that you choose for Algorithm (algorithm). If you choose algorithm 1770-1, the
            encoder will choose -24 LKFS; otherwise, the encoder will choose -23 LKFS.
    """


_ClientCreatePresetResponsePresetTypeDef = TypedDict(
    "_ClientCreatePresetResponsePresetTypeDef",
    {
        "Arn": str,
        "Category": str,
        "CreatedAt": datetime,
        "Description": str,
        "LastUpdated": datetime,
        "Name": str,
        "Settings": ClientCreatePresetResponsePresetSettingsTypeDef,
        "Type": Literal["SYSTEM", "CUSTOM"],
    },
    total=False,
)


class ClientCreatePresetResponsePresetTypeDef(_ClientCreatePresetResponsePresetTypeDef):
    """
    - **Preset** *(dict) --*A preset is a collection of preconfigured media conversion settings that
    you want MediaConvert to apply to the output during the conversion process.

      - **Arn** *(string) --*An identifier for this resource that is unique within all of AWS.
      - **Category** *(string) --*An optional category you create to organize your presets.
      - **CreatedAt** *(datetime) --*The timestamp in epoch seconds for preset creation.
      - **Description** *(string) --*An optional description you create for each preset.
      - **LastUpdated** *(datetime) --*The timestamp in epoch seconds when the preset was last
      updated.
      - **Name** *(string) --*A name you create for each preset. Each name must be unique within
      your account.
      - **Settings** *(dict) --*Settings for preset

        - **AudioDescriptions** *(list) --*(AudioDescriptions) contains groups of audio encoding
        settings organized by audio codec. Include one instance of (AudioDescriptions) per output.
        (AudioDescriptions) can contain multiple groups of encoding settings.

          - *(dict) --*Description of audio output

            - **AudioNormalizationSettings** *(dict) --*Advanced audio normalization settings.
            Ignore these settings unless you need to comply with a loudness standard.

              - **Algorithm** *(string) --*Choose one of the following audio normalization
              algorithms: ITU-R BS.1770-1: Ungated loudness. A measurement of ungated average
              loudness for an entire piece of content, suitable for measurement of short-form
              content under ATSC recommendation A/85. Supports up to 5.1 audio channels. ITU-R
              BS.1770-2: Gated loudness. A measurement of gated average loudness compliant with the
              requirements of EBU-R128. Supports up to 5.1 audio channels. ITU-R BS.1770-3: Modified
              peak. The same loudness measurement algorithm as 1770-2, with an updated true peak
              measurement. ITU-R BS.1770-4: Higher channel count. Allows for more audio channels
              than the other algorithms, including configurations such as 7.1.
              - **AlgorithmControl** *(string) --*When enabled the output audio is corrected using
              the chosen algorithm. If disabled, the audio will be measured but not adjusted.
              - **CorrectionGateLevel** *(integer) --*Content measuring above this level will be
              corrected to the target level. Content measuring below this level will not be
              corrected. Gating only applies when not using real_time_correction.
              - **LoudnessLogging** *(string) --*If set to LOG, log each output's audio track
              loudness to a CSV file.
              - **PeakCalculation** *(string) --*If set to TRUE_PEAK, calculate and log the TruePeak
              for each output's audio track loudness.
              - **TargetLkfs** *(float) --*When you use Audio normalization
              (AudioNormalizationSettings), optionally use this setting to specify a target
              loudness. If you don't specify a value here, the encoder chooses a value for you,
              based on the algorithm that you choose for Algorithm (algorithm). If you choose
              algorithm 1770-1, the encoder will choose -24 LKFS; otherwise, the encoder will choose
              -23 LKFS.
    """


_ClientCreatePresetResponseTypeDef = TypedDict(
    "_ClientCreatePresetResponseTypeDef",
    {"Preset": ClientCreatePresetResponsePresetTypeDef},
    total=False,
)


class ClientCreatePresetResponseTypeDef(_ClientCreatePresetResponseTypeDef):
    """
    - *(dict) --*

      - **Preset** *(dict) --*A preset is a collection of preconfigured media conversion settings
      that you want MediaConvert to apply to the output during the conversion process.

        - **Arn** *(string) --*An identifier for this resource that is unique within all of AWS.
        - **Category** *(string) --*An optional category you create to organize your presets.
        - **CreatedAt** *(datetime) --*The timestamp in epoch seconds for preset creation.
        - **Description** *(string) --*An optional description you create for each preset.
        - **LastUpdated** *(datetime) --*The timestamp in epoch seconds when the preset was last
        updated.
        - **Name** *(string) --*A name you create for each preset. Each name must be unique within
        your account.
        - **Settings** *(dict) --*Settings for preset

          - **AudioDescriptions** *(list) --*(AudioDescriptions) contains groups of audio encoding
          settings organized by audio codec. Include one instance of (AudioDescriptions) per output.
          (AudioDescriptions) can contain multiple groups of encoding settings.

            - *(dict) --*Description of audio output

              - **AudioNormalizationSettings** *(dict) --*Advanced audio normalization settings.
              Ignore these settings unless you need to comply with a loudness standard.

                - **Algorithm** *(string) --*Choose one of the following audio normalization
                algorithms: ITU-R BS.1770-1: Ungated loudness. A measurement of ungated average
                loudness for an entire piece of content, suitable for measurement of short-form
                content under ATSC recommendation A/85. Supports up to 5.1 audio channels. ITU-R
                BS.1770-2: Gated loudness. A measurement of gated average loudness compliant with
                the requirements of EBU-R128. Supports up to 5.1 audio channels. ITU-R BS.1770-3:
                Modified peak. The same loudness measurement algorithm as 1770-2, with an updated
                true peak measurement. ITU-R BS.1770-4: Higher channel count. Allows for more audio
                channels than the other algorithms, including configurations such as 7.1.
                - **AlgorithmControl** *(string) --*When enabled the output audio is corrected using
                the chosen algorithm. If disabled, the audio will be measured but not adjusted.
                - **CorrectionGateLevel** *(integer) --*Content measuring above this level will be
                corrected to the target level. Content measuring below this level will not be
                corrected. Gating only applies when not using real_time_correction.
                - **LoudnessLogging** *(string) --*If set to LOG, log each output's audio track
                loudness to a CSV file.
                - **PeakCalculation** *(string) --*If set to TRUE_PEAK, calculate and log the
                TruePeak for each output's audio track loudness.
                - **TargetLkfs** *(float) --*When you use Audio normalization
                (AudioNormalizationSettings), optionally use this setting to specify a target
                loudness. If you don't specify a value here, the encoder chooses a value for you,
                based on the algorithm that you choose for Algorithm (algorithm). If you choose
                algorithm 1770-1, the encoder will choose -24 LKFS; otherwise, the encoder will
                choose -23 LKFS.
    """


_ClientCreatePresetSettingsAudioDescriptionsAudioNormalizationSettingsTypeDef = TypedDict(
    "_ClientCreatePresetSettingsAudioDescriptionsAudioNormalizationSettingsTypeDef",
    {
        "Algorithm": Literal["ITU_BS_1770_1", "ITU_BS_1770_2", "ITU_BS_1770_3", "ITU_BS_1770_4"],
        "AlgorithmControl": Literal["CORRECT_AUDIO", "MEASURE_ONLY"],
        "CorrectionGateLevel": int,
        "LoudnessLogging": Literal["LOG", "DONT_LOG"],
        "PeakCalculation": Literal["TRUE_PEAK", "NONE"],
        "TargetLkfs": float,
    },
    total=False,
)


class ClientCreatePresetSettingsAudioDescriptionsAudioNormalizationSettingsTypeDef(
    _ClientCreatePresetSettingsAudioDescriptionsAudioNormalizationSettingsTypeDef
):
    """
    - **AudioNormalizationSettings** *(dict) --*Advanced audio normalization settings. Ignore these
    settings unless you need to comply with a loudness standard.

      - **Algorithm** *(string) --*Choose one of the following audio normalization algorithms: ITU-R
      BS.1770-1: Ungated loudness. A measurement of ungated average loudness for an entire piece of
      content, suitable for measurement of short-form content under ATSC recommendation A/85.
      Supports up to 5.1 audio channels. ITU-R BS.1770-2: Gated loudness. A measurement of gated
      average loudness compliant with the requirements of EBU-R128. Supports up to 5.1 audio
      channels. ITU-R BS.1770-3: Modified peak. The same loudness measurement algorithm as 1770-2,
      with an updated true peak measurement. ITU-R BS.1770-4: Higher channel count. Allows for more
      audio channels than the other algorithms, including configurations such as 7.1.
      - **AlgorithmControl** *(string) --*When enabled the output audio is corrected using the
      chosen algorithm. If disabled, the audio will be measured but not adjusted.
      - **CorrectionGateLevel** *(integer) --*Content measuring above this level will be corrected
      to the target level. Content measuring below this level will not be corrected. Gating only
      applies when not using real_time_correction.
      - **LoudnessLogging** *(string) --*If set to LOG, log each output's audio track loudness to a
      CSV file.
      - **PeakCalculation** *(string) --*If set to TRUE_PEAK, calculate and log the TruePeak for
      each output's audio track loudness.
      - **TargetLkfs** *(float) --*When you use Audio normalization (AudioNormalizationSettings),
      optionally use this setting to specify a target loudness. If you don't specify a value here,
      the encoder chooses a value for you, based on the algorithm that you choose for Algorithm
      (algorithm). If you choose algorithm 1770-1, the encoder will choose -24 LKFS; otherwise, the
      encoder will choose -23 LKFS.
    """


_ClientCreatePresetSettingsAudioDescriptionsCodecSettingsAacSettingsTypeDef = TypedDict(
    "_ClientCreatePresetSettingsAudioDescriptionsCodecSettingsAacSettingsTypeDef",
    {
        "AudioDescriptionBroadcasterMix": Literal["BROADCASTER_MIXED_AD", "NORMAL"],
        "Bitrate": int,
        "CodecProfile": Literal["LC", "HEV1", "HEV2"],
        "CodingMode": Literal[
            "AD_RECEIVER_MIX",
            "CODING_MODE_1_0",
            "CODING_MODE_1_1",
            "CODING_MODE_2_0",
            "CODING_MODE_5_1",
        ],
        "RateControlMode": Literal["CBR", "VBR"],
        "RawFormat": Literal["LATM_LOAS", "NONE"],
        "SampleRate": int,
        "Specification": Literal["MPEG2", "MPEG4"],
        "VbrQuality": Literal["LOW", "MEDIUM_LOW", "MEDIUM_HIGH", "HIGH"],
    },
    total=False,
)


class ClientCreatePresetSettingsAudioDescriptionsCodecSettingsAacSettingsTypeDef(
    _ClientCreatePresetSettingsAudioDescriptionsCodecSettingsAacSettingsTypeDef
):
    pass


_ClientCreatePresetSettingsAudioDescriptionsCodecSettingsAc3SettingsTypeDef = TypedDict(
    "_ClientCreatePresetSettingsAudioDescriptionsCodecSettingsAc3SettingsTypeDef",
    {
        "Bitrate": int,
        "BitstreamMode": Literal[
            "COMPLETE_MAIN",
            "COMMENTARY",
            "DIALOGUE",
            "EMERGENCY",
            "HEARING_IMPAIRED",
            "MUSIC_AND_EFFECTS",
            "VISUALLY_IMPAIRED",
            "VOICE_OVER",
        ],
        "CodingMode": Literal[
            "CODING_MODE_1_0", "CODING_MODE_1_1", "CODING_MODE_2_0", "CODING_MODE_3_2_LFE"
        ],
        "Dialnorm": int,
        "DynamicRangeCompressionProfile": Literal["FILM_STANDARD", "NONE"],
        "LfeFilter": Literal["ENABLED", "DISABLED"],
        "MetadataControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "SampleRate": int,
    },
    total=False,
)


class ClientCreatePresetSettingsAudioDescriptionsCodecSettingsAc3SettingsTypeDef(
    _ClientCreatePresetSettingsAudioDescriptionsCodecSettingsAc3SettingsTypeDef
):
    pass


_ClientCreatePresetSettingsAudioDescriptionsCodecSettingsAiffSettingsTypeDef = TypedDict(
    "_ClientCreatePresetSettingsAudioDescriptionsCodecSettingsAiffSettingsTypeDef",
    {"BitDepth": int, "Channels": int, "SampleRate": int},
    total=False,
)


class ClientCreatePresetSettingsAudioDescriptionsCodecSettingsAiffSettingsTypeDef(
    _ClientCreatePresetSettingsAudioDescriptionsCodecSettingsAiffSettingsTypeDef
):
    pass


_ClientCreatePresetSettingsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef = TypedDict(
    "_ClientCreatePresetSettingsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef",
    {
        "Bitrate": int,
        "BitstreamMode": str,
        "CodingMode": str,
        "DialogueIntelligence": Literal["ENABLED", "DISABLED"],
        "DynamicRangeCompressionLine": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "DynamicRangeCompressionRf": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "LoRoCenterMixLevel": float,
        "LoRoSurroundMixLevel": float,
        "LtRtCenterMixLevel": float,
        "LtRtSurroundMixLevel": float,
        "MeteringMode": Literal[
            "LEQ_A", "ITU_BS_1770_1", "ITU_BS_1770_2", "ITU_BS_1770_3", "ITU_BS_1770_4"
        ],
        "SampleRate": int,
        "SpeechThreshold": int,
        "StereoDownmix": Literal["NOT_INDICATED", "STEREO", "SURROUND", "DPL2"],
        "SurroundExMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
    },
    total=False,
)


class ClientCreatePresetSettingsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef(
    _ClientCreatePresetSettingsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef
):
    pass


_ClientCreatePresetSettingsAudioDescriptionsCodecSettingsEac3SettingsTypeDef = TypedDict(
    "_ClientCreatePresetSettingsAudioDescriptionsCodecSettingsEac3SettingsTypeDef",
    {
        "AttenuationControl": Literal["ATTENUATE_3_DB", "NONE"],
        "Bitrate": int,
        "BitstreamMode": Literal[
            "COMPLETE_MAIN", "COMMENTARY", "EMERGENCY", "HEARING_IMPAIRED", "VISUALLY_IMPAIRED"
        ],
        "CodingMode": Literal["CODING_MODE_1_0", "CODING_MODE_2_0", "CODING_MODE_3_2"],
        "DcFilter": Literal["ENABLED", "DISABLED"],
        "Dialnorm": int,
        "DynamicRangeCompressionLine": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "DynamicRangeCompressionRf": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "LfeControl": Literal["LFE", "NO_LFE"],
        "LfeFilter": Literal["ENABLED", "DISABLED"],
        "LoRoCenterMixLevel": float,
        "LoRoSurroundMixLevel": float,
        "LtRtCenterMixLevel": float,
        "LtRtSurroundMixLevel": float,
        "MetadataControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "PassthroughControl": Literal["WHEN_POSSIBLE", "NO_PASSTHROUGH"],
        "PhaseControl": Literal["SHIFT_90_DEGREES", "NO_SHIFT"],
        "SampleRate": int,
        "StereoDownmix": Literal["NOT_INDICATED", "LO_RO", "LT_RT", "DPL2"],
        "SurroundExMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
        "SurroundMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
    },
    total=False,
)


class ClientCreatePresetSettingsAudioDescriptionsCodecSettingsEac3SettingsTypeDef(
    _ClientCreatePresetSettingsAudioDescriptionsCodecSettingsEac3SettingsTypeDef
):
    pass


_ClientCreatePresetSettingsAudioDescriptionsCodecSettingsMp2SettingsTypeDef = TypedDict(
    "_ClientCreatePresetSettingsAudioDescriptionsCodecSettingsMp2SettingsTypeDef",
    {"Bitrate": int, "Channels": int, "SampleRate": int},
    total=False,
)


class ClientCreatePresetSettingsAudioDescriptionsCodecSettingsMp2SettingsTypeDef(
    _ClientCreatePresetSettingsAudioDescriptionsCodecSettingsMp2SettingsTypeDef
):
    pass


_ClientCreatePresetSettingsAudioDescriptionsCodecSettingsWavSettingsTypeDef = TypedDict(
    "_ClientCreatePresetSettingsAudioDescriptionsCodecSettingsWavSettingsTypeDef",
    {"BitDepth": int, "Channels": int, "Format": Literal["RIFF", "RF64"], "SampleRate": int},
    total=False,
)


class ClientCreatePresetSettingsAudioDescriptionsCodecSettingsWavSettingsTypeDef(
    _ClientCreatePresetSettingsAudioDescriptionsCodecSettingsWavSettingsTypeDef
):
    pass


_ClientCreatePresetSettingsAudioDescriptionsCodecSettingsTypeDef = TypedDict(
    "_ClientCreatePresetSettingsAudioDescriptionsCodecSettingsTypeDef",
    {
        "AacSettings": ClientCreatePresetSettingsAudioDescriptionsCodecSettingsAacSettingsTypeDef,
        "Ac3Settings": ClientCreatePresetSettingsAudioDescriptionsCodecSettingsAc3SettingsTypeDef,
        "AiffSettings": ClientCreatePresetSettingsAudioDescriptionsCodecSettingsAiffSettingsTypeDef,
        "Codec": Literal["AAC", "MP2", "WAV", "AIFF", "AC3", "EAC3", "EAC3_ATMOS", "PASSTHROUGH"],
        "Eac3AtmosSettings": ClientCreatePresetSettingsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef,
        "Eac3Settings": ClientCreatePresetSettingsAudioDescriptionsCodecSettingsEac3SettingsTypeDef,
        "Mp2Settings": ClientCreatePresetSettingsAudioDescriptionsCodecSettingsMp2SettingsTypeDef,
        "WavSettings": ClientCreatePresetSettingsAudioDescriptionsCodecSettingsWavSettingsTypeDef,
    },
    total=False,
)


class ClientCreatePresetSettingsAudioDescriptionsCodecSettingsTypeDef(
    _ClientCreatePresetSettingsAudioDescriptionsCodecSettingsTypeDef
):
    pass


_ClientCreatePresetSettingsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef = TypedDict(
    "_ClientCreatePresetSettingsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef",
    {"InputChannels": List[int]},
    total=False,
)


class ClientCreatePresetSettingsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef(
    _ClientCreatePresetSettingsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef
):
    pass


_ClientCreatePresetSettingsAudioDescriptionsRemixSettingsChannelMappingTypeDef = TypedDict(
    "_ClientCreatePresetSettingsAudioDescriptionsRemixSettingsChannelMappingTypeDef",
    {
        "OutputChannels": List[
            ClientCreatePresetSettingsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef
        ]
    },
    total=False,
)


class ClientCreatePresetSettingsAudioDescriptionsRemixSettingsChannelMappingTypeDef(
    _ClientCreatePresetSettingsAudioDescriptionsRemixSettingsChannelMappingTypeDef
):
    pass


_ClientCreatePresetSettingsAudioDescriptionsRemixSettingsTypeDef = TypedDict(
    "_ClientCreatePresetSettingsAudioDescriptionsRemixSettingsTypeDef",
    {
        "ChannelMapping": ClientCreatePresetSettingsAudioDescriptionsRemixSettingsChannelMappingTypeDef,
        "ChannelsIn": int,
        "ChannelsOut": int,
    },
    total=False,
)


class ClientCreatePresetSettingsAudioDescriptionsRemixSettingsTypeDef(
    _ClientCreatePresetSettingsAudioDescriptionsRemixSettingsTypeDef
):
    pass


_ClientCreatePresetSettingsAudioDescriptionsTypeDef = TypedDict(
    "_ClientCreatePresetSettingsAudioDescriptionsTypeDef",
    {
        "AudioNormalizationSettings": ClientCreatePresetSettingsAudioDescriptionsAudioNormalizationSettingsTypeDef,
        "AudioSourceName": str,
        "AudioType": int,
        "AudioTypeControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "CodecSettings": ClientCreatePresetSettingsAudioDescriptionsCodecSettingsTypeDef,
        "CustomLanguageCode": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageCodeControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "RemixSettings": ClientCreatePresetSettingsAudioDescriptionsRemixSettingsTypeDef,
        "StreamName": str,
    },
    total=False,
)


class ClientCreatePresetSettingsAudioDescriptionsTypeDef(
    _ClientCreatePresetSettingsAudioDescriptionsTypeDef
):
    """
    - *(dict) --*Description of audio output

      - **AudioNormalizationSettings** *(dict) --*Advanced audio normalization settings. Ignore
      these settings unless you need to comply with a loudness standard.

        - **Algorithm** *(string) --*Choose one of the following audio normalization algorithms:
        ITU-R BS.1770-1: Ungated loudness. A measurement of ungated average loudness for an entire
        piece of content, suitable for measurement of short-form content under ATSC recommendation
        A/85. Supports up to 5.1 audio channels. ITU-R BS.1770-2: Gated loudness. A measurement of
        gated average loudness compliant with the requirements of EBU-R128. Supports up to 5.1 audio
        channels. ITU-R BS.1770-3: Modified peak. The same loudness measurement algorithm as 1770-2,
        with an updated true peak measurement. ITU-R BS.1770-4: Higher channel count. Allows for
        more audio channels than the other algorithms, including configurations such as 7.1.
        - **AlgorithmControl** *(string) --*When enabled the output audio is corrected using the
        chosen algorithm. If disabled, the audio will be measured but not adjusted.
        - **CorrectionGateLevel** *(integer) --*Content measuring above this level will be corrected
        to the target level. Content measuring below this level will not be corrected. Gating only
        applies when not using real_time_correction.
        - **LoudnessLogging** *(string) --*If set to LOG, log each output's audio track loudness to
        a CSV file.
        - **PeakCalculation** *(string) --*If set to TRUE_PEAK, calculate and log the TruePeak for
        each output's audio track loudness.
        - **TargetLkfs** *(float) --*When you use Audio normalization (AudioNormalizationSettings),
        optionally use this setting to specify a target loudness. If you don't specify a value here,
        the encoder chooses a value for you, based on the algorithm that you choose for Algorithm
        (algorithm). If you choose algorithm 1770-1, the encoder will choose -24 LKFS; otherwise,
        the encoder will choose -23 LKFS.
    """


_ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef = TypedDict(
    "_ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef",
    {
        "Alignment": Literal["CENTERED", "LEFT"],
        "BackgroundColor": Literal["NONE", "BLACK", "WHITE"],
        "BackgroundOpacity": int,
        "FontColor": Literal["WHITE", "BLACK", "YELLOW", "RED", "GREEN", "BLUE"],
        "FontOpacity": int,
        "FontResolution": int,
        "FontScript": Literal["AUTOMATIC", "HANS", "HANT"],
        "FontSize": int,
        "OutlineColor": Literal["BLACK", "WHITE", "YELLOW", "RED", "GREEN", "BLUE"],
        "OutlineSize": int,
        "ShadowColor": Literal["NONE", "BLACK", "WHITE"],
        "ShadowOpacity": int,
        "ShadowXOffset": int,
        "ShadowYOffset": int,
        "TeletextSpacing": Literal["FIXED_GRID", "PROPORTIONAL"],
        "XPosition": int,
        "YPosition": int,
    },
    total=False,
)


class ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef(
    _ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef
):
    pass


_ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef = TypedDict(
    "_ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef",
    {
        "Alignment": Literal["CENTERED", "LEFT"],
        "BackgroundColor": Literal["NONE", "BLACK", "WHITE"],
        "BackgroundOpacity": int,
        "FontColor": Literal["WHITE", "BLACK", "YELLOW", "RED", "GREEN", "BLUE"],
        "FontOpacity": int,
        "FontResolution": int,
        "FontScript": Literal["AUTOMATIC", "HANS", "HANT"],
        "FontSize": int,
        "OutlineColor": Literal["BLACK", "WHITE", "YELLOW", "RED", "GREEN", "BLUE"],
        "OutlineSize": int,
        "ShadowColor": Literal["NONE", "BLACK", "WHITE"],
        "ShadowOpacity": int,
        "ShadowXOffset": int,
        "ShadowYOffset": int,
        "SubtitlingType": Literal["HEARING_IMPAIRED", "STANDARD"],
        "TeletextSpacing": Literal["FIXED_GRID", "PROPORTIONAL"],
        "XPosition": int,
        "YPosition": int,
    },
    total=False,
)


class ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef(
    _ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef
):
    pass


_ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef = TypedDict(
    "_ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef",
    {"Destination608ChannelNumber": int, "Destination708ServiceNumber": int},
    total=False,
)


class ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef(
    _ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef
):
    pass


_ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef = TypedDict(
    "_ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef",
    {"StylePassthrough": Literal["ENABLED", "DISABLED"]},
    total=False,
)


class ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef(
    _ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef
):
    pass


_ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef = TypedDict(
    "_ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef",
    {
        "Framerate": Literal[
            "FRAMERATE_23_97",
            "FRAMERATE_24",
            "FRAMERATE_25",
            "FRAMERATE_29_97_DROPFRAME",
            "FRAMERATE_29_97_NON_DROPFRAME",
        ]
    },
    total=False,
)


class ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef(
    _ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef
):
    pass


_ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef = TypedDict(
    "_ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef",
    {
        "PageNumber": str,
        "PageTypes": List[
            Literal[
                "PAGE_TYPE_INITIAL",
                "PAGE_TYPE_SUBTITLE",
                "PAGE_TYPE_ADDL_INFO",
                "PAGE_TYPE_PROGRAM_SCHEDULE",
                "PAGE_TYPE_HEARING_IMPAIRED_SUBTITLE",
            ]
        ],
    },
    total=False,
)


class ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef(
    _ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef
):
    pass


_ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef = TypedDict(
    "_ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef",
    {"StylePassthrough": Literal["ENABLED", "DISABLED"]},
    total=False,
)


class ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef(
    _ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef
):
    pass


_ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsTypeDef = TypedDict(
    "_ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsTypeDef",
    {
        "BurninDestinationSettings": ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef,
        "DestinationType": Literal[
            "BURN_IN",
            "DVB_SUB",
            "EMBEDDED",
            "EMBEDDED_PLUS_SCTE20",
            "IMSC",
            "SCTE20_PLUS_EMBEDDED",
            "SCC",
            "SRT",
            "SMI",
            "TELETEXT",
            "TTML",
            "WEBVTT",
        ],
        "DvbSubDestinationSettings": ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef,
        "EmbeddedDestinationSettings": ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef,
        "ImscDestinationSettings": ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef,
        "SccDestinationSettings": ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef,
        "TeletextDestinationSettings": ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef,
        "TtmlDestinationSettings": ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef,
    },
    total=False,
)


class ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsTypeDef(
    _ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsTypeDef
):
    pass


_ClientCreatePresetSettingsCaptionDescriptionsTypeDef = TypedDict(
    "_ClientCreatePresetSettingsCaptionDescriptionsTypeDef",
    {
        "CustomLanguageCode": str,
        "DestinationSettings": ClientCreatePresetSettingsCaptionDescriptionsDestinationSettingsTypeDef,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageDescription": str,
    },
    total=False,
)


class ClientCreatePresetSettingsCaptionDescriptionsTypeDef(
    _ClientCreatePresetSettingsCaptionDescriptionsTypeDef
):
    pass


_ClientCreatePresetSettingsContainerSettingsF4vSettingsTypeDef = TypedDict(
    "_ClientCreatePresetSettingsContainerSettingsF4vSettingsTypeDef",
    {"MoovPlacement": Literal["PROGRESSIVE_DOWNLOAD", "NORMAL"]},
    total=False,
)


class ClientCreatePresetSettingsContainerSettingsF4vSettingsTypeDef(
    _ClientCreatePresetSettingsContainerSettingsF4vSettingsTypeDef
):
    pass


_ClientCreatePresetSettingsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef = TypedDict(
    "_ClientCreatePresetSettingsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef",
    {"NetworkId": int, "NetworkName": str, "NitInterval": int},
    total=False,
)


class ClientCreatePresetSettingsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef(
    _ClientCreatePresetSettingsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef
):
    pass


_ClientCreatePresetSettingsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef = TypedDict(
    "_ClientCreatePresetSettingsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef",
    {
        "OutputSdt": Literal["SDT_FOLLOW", "SDT_FOLLOW_IF_PRESENT", "SDT_MANUAL", "SDT_NONE"],
        "SdtInterval": int,
        "ServiceName": str,
        "ServiceProviderName": str,
    },
    total=False,
)


class ClientCreatePresetSettingsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef(
    _ClientCreatePresetSettingsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef
):
    pass


_ClientCreatePresetSettingsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef = TypedDict(
    "_ClientCreatePresetSettingsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef",
    {"TdtInterval": int},
    total=False,
)


class ClientCreatePresetSettingsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef(
    _ClientCreatePresetSettingsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef
):
    pass


_ClientCreatePresetSettingsContainerSettingsM2tsSettingsScte35EsamTypeDef = TypedDict(
    "_ClientCreatePresetSettingsContainerSettingsM2tsSettingsScte35EsamTypeDef",
    {"Scte35EsamPid": int},
    total=False,
)


class ClientCreatePresetSettingsContainerSettingsM2tsSettingsScte35EsamTypeDef(
    _ClientCreatePresetSettingsContainerSettingsM2tsSettingsScte35EsamTypeDef
):
    pass


_ClientCreatePresetSettingsContainerSettingsM2tsSettingsTypeDef = TypedDict(
    "_ClientCreatePresetSettingsContainerSettingsM2tsSettingsTypeDef",
    {
        "AudioBufferModel": Literal["DVB", "ATSC"],
        "AudioFramesPerPes": int,
        "AudioPids": List[int],
        "Bitrate": int,
        "BufferModel": Literal["MULTIPLEX", "NONE"],
        "DvbNitSettings": ClientCreatePresetSettingsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef,
        "DvbSdtSettings": ClientCreatePresetSettingsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef,
        "DvbSubPids": List[int],
        "DvbTdtSettings": ClientCreatePresetSettingsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef,
        "DvbTeletextPid": int,
        "EbpAudioInterval": Literal["VIDEO_AND_FIXED_INTERVALS", "VIDEO_INTERVAL"],
        "EbpPlacement": Literal["VIDEO_AND_AUDIO_PIDS", "VIDEO_PID"],
        "EsRateInPes": Literal["INCLUDE", "EXCLUDE"],
        "ForceTsVideoEbpOrder": Literal["FORCE", "DEFAULT"],
        "FragmentTime": float,
        "MaxPcrInterval": int,
        "MinEbpInterval": int,
        "NielsenId3": Literal["INSERT", "NONE"],
        "NullPacketBitrate": float,
        "PatInterval": int,
        "PcrControl": Literal["PCR_EVERY_PES_PACKET", "CONFIGURED_PCR_PERIOD"],
        "PcrPid": int,
        "PmtInterval": int,
        "PmtPid": int,
        "PrivateMetadataPid": int,
        "ProgramNumber": int,
        "RateMode": Literal["VBR", "CBR"],
        "Scte35Esam": ClientCreatePresetSettingsContainerSettingsM2tsSettingsScte35EsamTypeDef,
        "Scte35Pid": int,
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
        "SegmentationMarkers": Literal[
            "NONE", "RAI_SEGSTART", "RAI_ADAPT", "PSI_SEGSTART", "EBP", "EBP_LEGACY"
        ],
        "SegmentationStyle": Literal["MAINTAIN_CADENCE", "RESET_CADENCE"],
        "SegmentationTime": float,
        "TimedMetadataPid": int,
        "TransportStreamId": int,
        "VideoPid": int,
    },
    total=False,
)


class ClientCreatePresetSettingsContainerSettingsM2tsSettingsTypeDef(
    _ClientCreatePresetSettingsContainerSettingsM2tsSettingsTypeDef
):
    pass


_ClientCreatePresetSettingsContainerSettingsM3u8SettingsTypeDef = TypedDict(
    "_ClientCreatePresetSettingsContainerSettingsM3u8SettingsTypeDef",
    {
        "AudioFramesPerPes": int,
        "AudioPids": List[int],
        "NielsenId3": Literal["INSERT", "NONE"],
        "PatInterval": int,
        "PcrControl": Literal["PCR_EVERY_PES_PACKET", "CONFIGURED_PCR_PERIOD"],
        "PcrPid": int,
        "PmtInterval": int,
        "PmtPid": int,
        "PrivateMetadataPid": int,
        "ProgramNumber": int,
        "Scte35Pid": int,
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
        "TimedMetadata": Literal["PASSTHROUGH", "NONE"],
        "TimedMetadataPid": int,
        "TransportStreamId": int,
        "VideoPid": int,
    },
    total=False,
)


class ClientCreatePresetSettingsContainerSettingsM3u8SettingsTypeDef(
    _ClientCreatePresetSettingsContainerSettingsM3u8SettingsTypeDef
):
    pass


_ClientCreatePresetSettingsContainerSettingsMovSettingsTypeDef = TypedDict(
    "_ClientCreatePresetSettingsContainerSettingsMovSettingsTypeDef",
    {
        "ClapAtom": Literal["INCLUDE", "EXCLUDE"],
        "CslgAtom": Literal["INCLUDE", "EXCLUDE"],
        "Mpeg2FourCCControl": Literal["XDCAM", "MPEG"],
        "PaddingControl": Literal["OMNEON", "NONE"],
        "Reference": Literal["SELF_CONTAINED", "EXTERNAL"],
    },
    total=False,
)


class ClientCreatePresetSettingsContainerSettingsMovSettingsTypeDef(
    _ClientCreatePresetSettingsContainerSettingsMovSettingsTypeDef
):
    pass


_ClientCreatePresetSettingsContainerSettingsMp4SettingsTypeDef = TypedDict(
    "_ClientCreatePresetSettingsContainerSettingsMp4SettingsTypeDef",
    {
        "CslgAtom": Literal["INCLUDE", "EXCLUDE"],
        "FreeSpaceBox": Literal["INCLUDE", "EXCLUDE"],
        "MoovPlacement": Literal["PROGRESSIVE_DOWNLOAD", "NORMAL"],
        "Mp4MajorBrand": str,
    },
    total=False,
)


class ClientCreatePresetSettingsContainerSettingsMp4SettingsTypeDef(
    _ClientCreatePresetSettingsContainerSettingsMp4SettingsTypeDef
):
    pass


_ClientCreatePresetSettingsContainerSettingsMpdSettingsTypeDef = TypedDict(
    "_ClientCreatePresetSettingsContainerSettingsMpdSettingsTypeDef",
    {
        "CaptionContainerType": Literal["RAW", "FRAGMENTED_MP4"],
        "Scte35Esam": Literal["INSERT", "NONE"],
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
    },
    total=False,
)


class ClientCreatePresetSettingsContainerSettingsMpdSettingsTypeDef(
    _ClientCreatePresetSettingsContainerSettingsMpdSettingsTypeDef
):
    pass


_ClientCreatePresetSettingsContainerSettingsTypeDef = TypedDict(
    "_ClientCreatePresetSettingsContainerSettingsTypeDef",
    {
        "Container": Literal[
            "F4V", "ISMV", "M2TS", "M3U8", "CMFC", "MOV", "MP4", "MPD", "MXF", "RAW"
        ],
        "F4vSettings": ClientCreatePresetSettingsContainerSettingsF4vSettingsTypeDef,
        "M2tsSettings": ClientCreatePresetSettingsContainerSettingsM2tsSettingsTypeDef,
        "M3u8Settings": ClientCreatePresetSettingsContainerSettingsM3u8SettingsTypeDef,
        "MovSettings": ClientCreatePresetSettingsContainerSettingsMovSettingsTypeDef,
        "Mp4Settings": ClientCreatePresetSettingsContainerSettingsMp4SettingsTypeDef,
        "MpdSettings": ClientCreatePresetSettingsContainerSettingsMpdSettingsTypeDef,
    },
    total=False,
)


class ClientCreatePresetSettingsContainerSettingsTypeDef(
    _ClientCreatePresetSettingsContainerSettingsTypeDef
):
    pass


_ClientCreatePresetSettingsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef = TypedDict(
    "_ClientCreatePresetSettingsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef",
    {"FramerateDenominator": int, "FramerateNumerator": int, "MaxCaptures": int, "Quality": int},
    total=False,
)


class ClientCreatePresetSettingsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef(
    _ClientCreatePresetSettingsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef
):
    pass


_ClientCreatePresetSettingsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef = TypedDict(
    "_ClientCreatePresetSettingsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef",
    {"MaxAverageBitrate": int, "QvbrQualityLevel": int},
    total=False,
)


class ClientCreatePresetSettingsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef(
    _ClientCreatePresetSettingsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef
):
    pass


_ClientCreatePresetSettingsVideoDescriptionCodecSettingsH264SettingsTypeDef = TypedDict(
    "_ClientCreatePresetSettingsVideoDescriptionCodecSettingsH264SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH", "HIGHER", "MAX"],
        "Bitrate": int,
        "CodecLevel": Literal[
            "AUTO",
            "LEVEL_1",
            "LEVEL_1_1",
            "LEVEL_1_2",
            "LEVEL_1_3",
            "LEVEL_2",
            "LEVEL_2_1",
            "LEVEL_2_2",
            "LEVEL_3",
            "LEVEL_3_1",
            "LEVEL_3_2",
            "LEVEL_4",
            "LEVEL_4_1",
            "LEVEL_4_2",
            "LEVEL_5",
            "LEVEL_5_1",
            "LEVEL_5_2",
        ],
        "CodecProfile": Literal[
            "BASELINE", "HIGH", "HIGH_10BIT", "HIGH_422", "HIGH_422_10BIT", "MAIN"
        ],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "EntropyEncoding": Literal["CABAC", "CAVLC"],
        "FieldEncoding": Literal["PAFF", "FORCE_FIELD"],
        "FlickerAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopBReference": Literal["DISABLED", "ENABLED"],
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "NumberReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "SINGLE_PASS_HQ", "MULTI_PASS_HQ"],
        "QvbrSettings": ClientCreatePresetSettingsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef,
        "RateControlMode": Literal["VBR", "CBR", "QVBR"],
        "RepeatPps": Literal["DISABLED", "ENABLED"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED", "TRANSITION_DETECTION"],
        "Slices": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Softness": int,
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Syntax": Literal["DEFAULT", "RP2027"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "UnregisteredSeiTimecode": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ClientCreatePresetSettingsVideoDescriptionCodecSettingsH264SettingsTypeDef(
    _ClientCreatePresetSettingsVideoDescriptionCodecSettingsH264SettingsTypeDef
):
    pass


_ClientCreatePresetSettingsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef = TypedDict(
    "_ClientCreatePresetSettingsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef",
    {"MaxAverageBitrate": int, "QvbrQualityLevel": int},
    total=False,
)


class ClientCreatePresetSettingsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef(
    _ClientCreatePresetSettingsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef
):
    pass


_ClientCreatePresetSettingsVideoDescriptionCodecSettingsH265SettingsTypeDef = TypedDict(
    "_ClientCreatePresetSettingsVideoDescriptionCodecSettingsH265SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH", "HIGHER", "MAX"],
        "AlternateTransferFunctionSei": Literal["DISABLED", "ENABLED"],
        "Bitrate": int,
        "CodecLevel": Literal[
            "AUTO",
            "LEVEL_1",
            "LEVEL_2",
            "LEVEL_2_1",
            "LEVEL_3",
            "LEVEL_3_1",
            "LEVEL_4",
            "LEVEL_4_1",
            "LEVEL_5",
            "LEVEL_5_1",
            "LEVEL_5_2",
            "LEVEL_6",
            "LEVEL_6_1",
            "LEVEL_6_2",
        ],
        "CodecProfile": Literal[
            "MAIN_MAIN",
            "MAIN_HIGH",
            "MAIN10_MAIN",
            "MAIN10_HIGH",
            "MAIN_422_8BIT_MAIN",
            "MAIN_422_8BIT_HIGH",
            "MAIN_422_10BIT_MAIN",
            "MAIN_422_10BIT_HIGH",
        ],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "FlickerAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopBReference": Literal["DISABLED", "ENABLED"],
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "NumberReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "SINGLE_PASS_HQ", "MULTI_PASS_HQ"],
        "QvbrSettings": ClientCreatePresetSettingsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef,
        "RateControlMode": Literal["VBR", "CBR", "QVBR"],
        "SampleAdaptiveOffsetFilterMode": Literal["DEFAULT", "ADAPTIVE", "OFF"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED", "TRANSITION_DETECTION"],
        "Slices": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "TemporalIds": Literal["DISABLED", "ENABLED"],
        "Tiles": Literal["DISABLED", "ENABLED"],
        "UnregisteredSeiTimecode": Literal["DISABLED", "ENABLED"],
        "WriteMp4PackagingType": Literal["HVC1", "HEV1"],
    },
    total=False,
)


class ClientCreatePresetSettingsVideoDescriptionCodecSettingsH265SettingsTypeDef(
    _ClientCreatePresetSettingsVideoDescriptionCodecSettingsH265SettingsTypeDef
):
    pass


_ClientCreatePresetSettingsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef = TypedDict(
    "_ClientCreatePresetSettingsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH"],
        "Bitrate": int,
        "CodecLevel": Literal["AUTO", "LOW", "MAIN", "HIGH1440", "HIGH"],
        "CodecProfile": Literal["MAIN", "PROFILE_422"],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "IntraDcPrecision": Literal[
            "AUTO",
            "INTRA_DC_PRECISION_8",
            "INTRA_DC_PRECISION_9",
            "INTRA_DC_PRECISION_10",
            "INTRA_DC_PRECISION_11",
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "MULTI_PASS"],
        "RateControlMode": Literal["VBR", "CBR"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED"],
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Softness": int,
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Syntax": Literal["DEFAULT", "D_10"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ClientCreatePresetSettingsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef(
    _ClientCreatePresetSettingsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef
):
    pass


_ClientCreatePresetSettingsVideoDescriptionCodecSettingsProresSettingsTypeDef = TypedDict(
    "_ClientCreatePresetSettingsVideoDescriptionCodecSettingsProresSettingsTypeDef",
    {
        "CodecProfile": Literal[
            "APPLE_PRORES_422",
            "APPLE_PRORES_422_HQ",
            "APPLE_PRORES_422_LT",
            "APPLE_PRORES_422_PROXY",
        ],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Telecine": Literal["NONE", "HARD"],
    },
    total=False,
)


class ClientCreatePresetSettingsVideoDescriptionCodecSettingsProresSettingsTypeDef(
    _ClientCreatePresetSettingsVideoDescriptionCodecSettingsProresSettingsTypeDef
):
    pass


_ClientCreatePresetSettingsVideoDescriptionCodecSettingsTypeDef = TypedDict(
    "_ClientCreatePresetSettingsVideoDescriptionCodecSettingsTypeDef",
    {
        "Codec": Literal["FRAME_CAPTURE", "H_264", "H_265", "MPEG2", "PRORES"],
        "FrameCaptureSettings": ClientCreatePresetSettingsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef,
        "H264Settings": ClientCreatePresetSettingsVideoDescriptionCodecSettingsH264SettingsTypeDef,
        "H265Settings": ClientCreatePresetSettingsVideoDescriptionCodecSettingsH265SettingsTypeDef,
        "Mpeg2Settings": ClientCreatePresetSettingsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef,
        "ProresSettings": ClientCreatePresetSettingsVideoDescriptionCodecSettingsProresSettingsTypeDef,
    },
    total=False,
)


class ClientCreatePresetSettingsVideoDescriptionCodecSettingsTypeDef(
    _ClientCreatePresetSettingsVideoDescriptionCodecSettingsTypeDef
):
    pass


_ClientCreatePresetSettingsVideoDescriptionCropTypeDef = TypedDict(
    "_ClientCreatePresetSettingsVideoDescriptionCropTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientCreatePresetSettingsVideoDescriptionCropTypeDef(
    _ClientCreatePresetSettingsVideoDescriptionCropTypeDef
):
    pass


_ClientCreatePresetSettingsVideoDescriptionPositionTypeDef = TypedDict(
    "_ClientCreatePresetSettingsVideoDescriptionPositionTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientCreatePresetSettingsVideoDescriptionPositionTypeDef(
    _ClientCreatePresetSettingsVideoDescriptionPositionTypeDef
):
    pass


_ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef = TypedDict(
    "_ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef",
    {
        "BluePrimaryX": int,
        "BluePrimaryY": int,
        "GreenPrimaryX": int,
        "GreenPrimaryY": int,
        "MaxContentLightLevel": int,
        "MaxFrameAverageLightLevel": int,
        "MaxLuminance": int,
        "MinLuminance": int,
        "RedPrimaryX": int,
        "RedPrimaryY": int,
        "WhitePointX": int,
        "WhitePointY": int,
    },
    total=False,
)


class ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef(
    _ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef
):
    pass


_ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef = TypedDict(
    "_ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef",
    {
        "Brightness": int,
        "ColorSpaceConversion": Literal[
            "NONE", "FORCE_601", "FORCE_709", "FORCE_HDR10", "FORCE_HLG_2020"
        ],
        "Contrast": int,
        "Hdr10Metadata": ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef,
        "Hue": int,
        "Saturation": int,
    },
    total=False,
)


class ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef(
    _ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef
):
    pass


_ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef = TypedDict(
    "_ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef",
    {
        "Algorithm": Literal["INTERPOLATE", "INTERPOLATE_TICKER", "BLEND", "BLEND_TICKER"],
        "Control": Literal["FORCE_ALL_FRAMES", "NORMAL"],
        "Mode": Literal["DEINTERLACE", "INVERSE_TELECINE", "ADAPTIVE"],
    },
    total=False,
)


class ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef(
    _ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef
):
    pass


_ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef = TypedDict(
    "_ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef",
    {"MaxCll": int, "MaxFall": int},
    total=False,
)


class ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef(
    _ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef
):
    pass


_ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef = TypedDict(
    "_ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef",
    {
        "L6Metadata": ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef,
        "L6Mode": Literal["PASSTHROUGH", "RECALCULATE", "SPECIFY"],
        "Profile": str,
    },
    total=False,
)


class ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef(
    _ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef
):
    pass


_ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef = TypedDict(
    "_ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef",
    {
        "Duration": int,
        "FadeIn": int,
        "FadeOut": int,
        "Height": int,
        "ImageInserterInput": str,
        "ImageX": int,
        "ImageY": int,
        "Layer": int,
        "Opacity": int,
        "StartTime": str,
        "Width": int,
    },
    total=False,
)


class ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef(
    _ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef
):
    pass


_ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterTypeDef = TypedDict(
    "_ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterTypeDef",
    {
        "InsertableImages": List[
            ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef
        ]
    },
    total=False,
)


class ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterTypeDef(
    _ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterTypeDef
):
    pass


_ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef = TypedDict(
    "_ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef",
    {"Strength": int},
    total=False,
)


class ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef(
    _ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef
):
    pass


_ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef = TypedDict(
    "_ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef",
    {"PostFilterSharpenStrength": int, "Speed": int, "Strength": int},
    total=False,
)


class ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef(
    _ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef
):
    pass


_ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef = TypedDict(
    "_ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef",
    {"AggressiveMode": int, "Speed": int, "Strength": int},
    total=False,
)


class ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef(
    _ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef
):
    pass


_ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef = TypedDict(
    "_ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef",
    {
        "Filter": Literal[
            "BILATERAL", "MEAN", "GAUSSIAN", "LANCZOS", "SHARPEN", "CONSERVE", "SPATIAL", "TEMPORAL"
        ],
        "FilterSettings": ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef,
        "SpatialFilterSettings": ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef,
        "TemporalFilterSettings": ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef,
    },
    total=False,
)


class ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef(
    _ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef
):
    pass


_ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef = TypedDict(
    "_ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef",
    {
        "FontSize": int,
        "Position": Literal[
            "TOP_CENTER",
            "TOP_LEFT",
            "TOP_RIGHT",
            "MIDDLE_LEFT",
            "MIDDLE_CENTER",
            "MIDDLE_RIGHT",
            "BOTTOM_LEFT",
            "BOTTOM_CENTER",
            "BOTTOM_RIGHT",
        ],
        "Prefix": str,
    },
    total=False,
)


class ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef(
    _ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef
):
    pass


_ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsTypeDef = TypedDict(
    "_ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsTypeDef",
    {
        "ColorCorrector": ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef,
        "Deinterlacer": ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef,
        "DolbyVision": ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef,
        "ImageInserter": ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterTypeDef,
        "NoiseReducer": ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef,
        "TimecodeBurnin": ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef,
    },
    total=False,
)


class ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsTypeDef(
    _ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsTypeDef
):
    pass


_ClientCreatePresetSettingsVideoDescriptionTypeDef = TypedDict(
    "_ClientCreatePresetSettingsVideoDescriptionTypeDef",
    {
        "AfdSignaling": Literal["NONE", "AUTO", "FIXED"],
        "AntiAlias": Literal["DISABLED", "ENABLED"],
        "CodecSettings": ClientCreatePresetSettingsVideoDescriptionCodecSettingsTypeDef,
        "ColorMetadata": Literal["IGNORE", "INSERT"],
        "Crop": ClientCreatePresetSettingsVideoDescriptionCropTypeDef,
        "DropFrameTimecode": Literal["DISABLED", "ENABLED"],
        "FixedAfd": int,
        "Height": int,
        "Position": ClientCreatePresetSettingsVideoDescriptionPositionTypeDef,
        "RespondToAfd": Literal["NONE", "RESPOND", "PASSTHROUGH"],
        "ScalingBehavior": Literal["DEFAULT", "STRETCH_TO_OUTPUT"],
        "Sharpness": int,
        "TimecodeInsertion": Literal["DISABLED", "PIC_TIMING_SEI"],
        "VideoPreprocessors": ClientCreatePresetSettingsVideoDescriptionVideoPreprocessorsTypeDef,
        "Width": int,
    },
    total=False,
)


class ClientCreatePresetSettingsVideoDescriptionTypeDef(
    _ClientCreatePresetSettingsVideoDescriptionTypeDef
):
    pass


_ClientCreatePresetSettingsTypeDef = TypedDict(
    "_ClientCreatePresetSettingsTypeDef",
    {
        "AudioDescriptions": List[ClientCreatePresetSettingsAudioDescriptionsTypeDef],
        "CaptionDescriptions": List[ClientCreatePresetSettingsCaptionDescriptionsTypeDef],
        "ContainerSettings": ClientCreatePresetSettingsContainerSettingsTypeDef,
        "VideoDescription": ClientCreatePresetSettingsVideoDescriptionTypeDef,
    },
    total=False,
)


class ClientCreatePresetSettingsTypeDef(_ClientCreatePresetSettingsTypeDef):
    """
    - **AudioDescriptions** *(list) --*(AudioDescriptions) contains groups of audio encoding
    settings organized by audio codec. Include one instance of (AudioDescriptions) per output.
    (AudioDescriptions) can contain multiple groups of encoding settings.

      - *(dict) --*Description of audio output

        - **AudioNormalizationSettings** *(dict) --*Advanced audio normalization settings. Ignore
        these settings unless you need to comply with a loudness standard.

          - **Algorithm** *(string) --*Choose one of the following audio normalization algorithms:
          ITU-R BS.1770-1: Ungated loudness. A measurement of ungated average loudness for an entire
          piece of content, suitable for measurement of short-form content under ATSC recommendation
          A/85. Supports up to 5.1 audio channels. ITU-R BS.1770-2: Gated loudness. A measurement of
          gated average loudness compliant with the requirements of EBU-R128. Supports up to 5.1
          audio channels. ITU-R BS.1770-3: Modified peak. The same loudness measurement algorithm as
          1770-2, with an updated true peak measurement. ITU-R BS.1770-4: Higher channel count.
          Allows for more audio channels than the other algorithms, including configurations such as
          7.1.
          - **AlgorithmControl** *(string) --*When enabled the output audio is corrected using the
          chosen algorithm. If disabled, the audio will be measured but not adjusted.
          - **CorrectionGateLevel** *(integer) --*Content measuring above this level will be
          corrected to the target level. Content measuring below this level will not be corrected.
          Gating only applies when not using real_time_correction.
          - **LoudnessLogging** *(string) --*If set to LOG, log each output's audio track loudness
          to a CSV file.
          - **PeakCalculation** *(string) --*If set to TRUE_PEAK, calculate and log the TruePeak for
          each output's audio track loudness.
          - **TargetLkfs** *(float) --*When you use Audio normalization
          (AudioNormalizationSettings), optionally use this setting to specify a target loudness. If
          you don't specify a value here, the encoder chooses a value for you, based on the
          algorithm that you choose for Algorithm (algorithm). If you choose algorithm 1770-1, the
          encoder will choose -24 LKFS; otherwise, the encoder will choose -23 LKFS.
    """


_ClientCreateQueueReservationPlanSettingsTypeDef = TypedDict(
    "_ClientCreateQueueReservationPlanSettingsTypeDef",
    {"Commitment": str, "RenewalType": Literal["AUTO_RENEW", "EXPIRE"], "ReservedSlots": int},
)


class ClientCreateQueueReservationPlanSettingsTypeDef(
    _ClientCreateQueueReservationPlanSettingsTypeDef
):
    """
    - **Commitment** *(string) --***[REQUIRED]** The length of the term of your reserved queue
    pricing plan commitment.
    - **RenewalType** *(string) --***[REQUIRED]** Specifies whether the term of your reserved queue
    pricing plan is automatically extended (AUTO_RENEW) or expires (EXPIRE) at the end of the term.
    When your term is auto renewed, you extend your commitment by 12 months from the auto renew
    date. You can cancel this commitment.
    - **ReservedSlots** *(integer) --***[REQUIRED]** Specifies the number of reserved transcode
    slots (RTS) for this queue. The number of RTS determines how many jobs the queue can process in
    parallel; each RTS can process one job at a time. You can't decrease the number of RTS in your
    reserved queue. You can increase the number of RTS by extending your existing commitment with a
    new 12-month commitment for the larger number. The new commitment begins when you purchase the
    additional capacity. You can't cancel your commitment or revert to your original commitment
    after you increase the capacity.
    """


_ClientCreateQueueResponseQueueReservationPlanTypeDef = TypedDict(
    "_ClientCreateQueueResponseQueueReservationPlanTypeDef",
    {
        "Commitment": str,
        "ExpiresAt": datetime,
        "PurchasedAt": datetime,
        "RenewalType": Literal["AUTO_RENEW", "EXPIRE"],
        "ReservedSlots": int,
        "Status": Literal["ACTIVE", "EXPIRED"],
    },
    total=False,
)


class ClientCreateQueueResponseQueueReservationPlanTypeDef(
    _ClientCreateQueueResponseQueueReservationPlanTypeDef
):
    """
    - **ReservationPlan** *(dict) --*Details about the pricing plan for your reserved queue.
    Required for reserved queues and not applicable to on-demand queues.

      - **Commitment** *(string) --*The length of the term of your reserved queue pricing plan
      commitment.
      - **ExpiresAt** *(datetime) --*The timestamp in epoch seconds for when the current pricing
      plan term for this reserved queue expires.
      - **PurchasedAt** *(datetime) --*The timestamp in epoch seconds for when you set up the
      current pricing plan for this reserved queue.
      - **RenewalType** *(string) --*Specifies whether the term of your reserved queue pricing plan
      is automatically extended (AUTO_RENEW) or expires (EXPIRE) at the end of the term.
      - **ReservedSlots** *(integer) --*Specifies the number of reserved transcode slots (RTS) for
      this queue. The number of RTS determines how many jobs the queue can process in parallel; each
      RTS can process one job at a time. When you increase this number, you extend your existing
      commitment with a new 12-month commitment for a larger number of RTS. The new commitment
      begins when you purchase the additional capacity. You can't decrease the number of RTS in your
      reserved queue.
      - **Status** *(string) --*Specifies whether the pricing plan for your reserved queue is ACTIVE
      or EXPIRED.
    """


_ClientCreateQueueResponseQueueTypeDef = TypedDict(
    "_ClientCreateQueueResponseQueueTypeDef",
    {
        "Arn": str,
        "CreatedAt": datetime,
        "Description": str,
        "LastUpdated": datetime,
        "Name": str,
        "PricingPlan": Literal["ON_DEMAND", "RESERVED"],
        "ProgressingJobsCount": int,
        "ReservationPlan": ClientCreateQueueResponseQueueReservationPlanTypeDef,
        "Status": Literal["ACTIVE", "PAUSED"],
        "SubmittedJobsCount": int,
        "Type": Literal["SYSTEM", "CUSTOM"],
    },
    total=False,
)


class ClientCreateQueueResponseQueueTypeDef(_ClientCreateQueueResponseQueueTypeDef):
    """
    - **Queue** *(dict) --*You can use queues to manage the resources that are available to your AWS
    account for running multiple transcoding jobs at the same time. If you don't specify a queue,
    the service sends all jobs through the default queue. For more information, see
    https://docs.aws.amazon.com/mediaconvert/latest/ug/working-with-queues.html.

      - **Arn** *(string) --*An identifier for this resource that is unique within all of AWS.
      - **CreatedAt** *(datetime) --*The timestamp in epoch seconds for when you created the queue.
      - **Description** *(string) --*An optional description that you create for each queue.
      - **LastUpdated** *(datetime) --*The timestamp in epoch seconds for when you most recently
      updated the queue.
      - **Name** *(string) --*A name that you create for each queue. Each name must be unique within
      your account.
      - **PricingPlan** *(string) --*Specifies whether the pricing plan for the queue is on-demand
      or reserved. For on-demand, you pay per minute, billed in increments of .01 minute. For
      reserved, you pay for the transcoding capacity of the entire queue, regardless of how much or
      how little you use it. Reserved pricing requires a 12-month commitment.
      - **ProgressingJobsCount** *(integer) --*The estimated number of jobs with a PROGRESSING
      status.
      - **ReservationPlan** *(dict) --*Details about the pricing plan for your reserved queue.
      Required for reserved queues and not applicable to on-demand queues.

        - **Commitment** *(string) --*The length of the term of your reserved queue pricing plan
        commitment.
        - **ExpiresAt** *(datetime) --*The timestamp in epoch seconds for when the current pricing
        plan term for this reserved queue expires.
        - **PurchasedAt** *(datetime) --*The timestamp in epoch seconds for when you set up the
        current pricing plan for this reserved queue.
        - **RenewalType** *(string) --*Specifies whether the term of your reserved queue pricing
        plan is automatically extended (AUTO_RENEW) or expires (EXPIRE) at the end of the term.
        - **ReservedSlots** *(integer) --*Specifies the number of reserved transcode slots (RTS) for
        this queue. The number of RTS determines how many jobs the queue can process in parallel;
        each RTS can process one job at a time. When you increase this number, you extend your
        existing commitment with a new 12-month commitment for a larger number of RTS. The new
        commitment begins when you purchase the additional capacity. You can't decrease the number
        of RTS in your reserved queue.
        - **Status** *(string) --*Specifies whether the pricing plan for your reserved queue is
        ACTIVE or EXPIRED.
    """


_ClientCreateQueueResponseTypeDef = TypedDict(
    "_ClientCreateQueueResponseTypeDef",
    {"Queue": ClientCreateQueueResponseQueueTypeDef},
    total=False,
)


class ClientCreateQueueResponseTypeDef(_ClientCreateQueueResponseTypeDef):
    """
    - *(dict) --*

      - **Queue** *(dict) --*You can use queues to manage the resources that are available to your
      AWS account for running multiple transcoding jobs at the same time. If you don't specify a
      queue, the service sends all jobs through the default queue. For more information, see
      https://docs.aws.amazon.com/mediaconvert/latest/ug/working-with-queues.html.

        - **Arn** *(string) --*An identifier for this resource that is unique within all of AWS.
        - **CreatedAt** *(datetime) --*The timestamp in epoch seconds for when you created the
        queue.
        - **Description** *(string) --*An optional description that you create for each queue.
        - **LastUpdated** *(datetime) --*The timestamp in epoch seconds for when you most recently
        updated the queue.
        - **Name** *(string) --*A name that you create for each queue. Each name must be unique
        within your account.
        - **PricingPlan** *(string) --*Specifies whether the pricing plan for the queue is on-demand
        or reserved. For on-demand, you pay per minute, billed in increments of .01 minute. For
        reserved, you pay for the transcoding capacity of the entire queue, regardless of how much
        or how little you use it. Reserved pricing requires a 12-month commitment.
        - **ProgressingJobsCount** *(integer) --*The estimated number of jobs with a PROGRESSING
        status.
        - **ReservationPlan** *(dict) --*Details about the pricing plan for your reserved queue.
        Required for reserved queues and not applicable to on-demand queues.

          - **Commitment** *(string) --*The length of the term of your reserved queue pricing plan
          commitment.
          - **ExpiresAt** *(datetime) --*The timestamp in epoch seconds for when the current pricing
          plan term for this reserved queue expires.
          - **PurchasedAt** *(datetime) --*The timestamp in epoch seconds for when you set up the
          current pricing plan for this reserved queue.
          - **RenewalType** *(string) --*Specifies whether the term of your reserved queue pricing
          plan is automatically extended (AUTO_RENEW) or expires (EXPIRE) at the end of the term.
          - **ReservedSlots** *(integer) --*Specifies the number of reserved transcode slots (RTS)
          for this queue. The number of RTS determines how many jobs the queue can process in
          parallel; each RTS can process one job at a time. When you increase this number, you
          extend your existing commitment with a new 12-month commitment for a larger number of RTS.
          The new commitment begins when you purchase the additional capacity. You can't decrease
          the number of RTS in your reserved queue.
          - **Status** *(string) --*Specifies whether the pricing plan for your reserved queue is
          ACTIVE or EXPIRED.
    """


_ClientDescribeEndpointsResponseEndpointsTypeDef = TypedDict(
    "_ClientDescribeEndpointsResponseEndpointsTypeDef", {"Url": str}, total=False
)


class ClientDescribeEndpointsResponseEndpointsTypeDef(
    _ClientDescribeEndpointsResponseEndpointsTypeDef
):
    """
    - *(dict) --*Describes an account-specific API endpoint.

      - **Url** *(string) --*URL of endpoint
    """


_ClientDescribeEndpointsResponseTypeDef = TypedDict(
    "_ClientDescribeEndpointsResponseTypeDef",
    {"Endpoints": List[ClientDescribeEndpointsResponseEndpointsTypeDef], "NextToken": str},
    total=False,
)


class ClientDescribeEndpointsResponseTypeDef(_ClientDescribeEndpointsResponseTypeDef):
    """
    - *(dict) --*

      - **Endpoints** *(list) --*List of endpoints

        - *(dict) --*Describes an account-specific API endpoint.

          - **Url** *(string) --*URL of endpoint
    """


_ClientGetJobResponseJobAccelerationSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobAccelerationSettingsTypeDef",
    {"Mode": Literal["DISABLED", "ENABLED", "PREFERRED"]},
    total=False,
)


class ClientGetJobResponseJobAccelerationSettingsTypeDef(
    _ClientGetJobResponseJobAccelerationSettingsTypeDef
):
    """
    - **AccelerationSettings** *(dict) --*Accelerated transcoding can significantly speed up jobs
    with long, visually complex content.

      - **Mode** *(string) --*Specify the conditions when the service will run your job with
      accelerated transcoding.
    """


_ClientGetJobResponseJobMessagesTypeDef = TypedDict(
    "_ClientGetJobResponseJobMessagesTypeDef",
    {"Info": List[str], "Warning": List[str]},
    total=False,
)


class ClientGetJobResponseJobMessagesTypeDef(_ClientGetJobResponseJobMessagesTypeDef):
    pass


_ClientGetJobResponseJobOutputGroupDetailsOutputDetailsVideoDetailsTypeDef = TypedDict(
    "_ClientGetJobResponseJobOutputGroupDetailsOutputDetailsVideoDetailsTypeDef",
    {"HeightInPx": int, "WidthInPx": int},
    total=False,
)


class ClientGetJobResponseJobOutputGroupDetailsOutputDetailsVideoDetailsTypeDef(
    _ClientGetJobResponseJobOutputGroupDetailsOutputDetailsVideoDetailsTypeDef
):
    pass


_ClientGetJobResponseJobOutputGroupDetailsOutputDetailsTypeDef = TypedDict(
    "_ClientGetJobResponseJobOutputGroupDetailsOutputDetailsTypeDef",
    {
        "DurationInMs": int,
        "VideoDetails": ClientGetJobResponseJobOutputGroupDetailsOutputDetailsVideoDetailsTypeDef,
    },
    total=False,
)


class ClientGetJobResponseJobOutputGroupDetailsOutputDetailsTypeDef(
    _ClientGetJobResponseJobOutputGroupDetailsOutputDetailsTypeDef
):
    pass


_ClientGetJobResponseJobOutputGroupDetailsTypeDef = TypedDict(
    "_ClientGetJobResponseJobOutputGroupDetailsTypeDef",
    {"OutputDetails": List[ClientGetJobResponseJobOutputGroupDetailsOutputDetailsTypeDef]},
    total=False,
)


class ClientGetJobResponseJobOutputGroupDetailsTypeDef(
    _ClientGetJobResponseJobOutputGroupDetailsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsAvailBlankingTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsAvailBlankingTypeDef", {"AvailBlankingImage": str}, total=False
)


class ClientGetJobResponseJobSettingsAvailBlankingTypeDef(
    _ClientGetJobResponseJobSettingsAvailBlankingTypeDef
):
    pass


_ClientGetJobResponseJobSettingsEsamManifestConfirmConditionNotificationTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsEsamManifestConfirmConditionNotificationTypeDef",
    {"MccXml": str},
    total=False,
)


class ClientGetJobResponseJobSettingsEsamManifestConfirmConditionNotificationTypeDef(
    _ClientGetJobResponseJobSettingsEsamManifestConfirmConditionNotificationTypeDef
):
    pass


_ClientGetJobResponseJobSettingsEsamSignalProcessingNotificationTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsEsamSignalProcessingNotificationTypeDef",
    {"SccXml": str},
    total=False,
)


class ClientGetJobResponseJobSettingsEsamSignalProcessingNotificationTypeDef(
    _ClientGetJobResponseJobSettingsEsamSignalProcessingNotificationTypeDef
):
    pass


_ClientGetJobResponseJobSettingsEsamTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsEsamTypeDef",
    {
        "ManifestConfirmConditionNotification": ClientGetJobResponseJobSettingsEsamManifestConfirmConditionNotificationTypeDef,
        "ResponseSignalPreroll": int,
        "SignalProcessingNotification": ClientGetJobResponseJobSettingsEsamSignalProcessingNotificationTypeDef,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsEsamTypeDef(_ClientGetJobResponseJobSettingsEsamTypeDef):
    pass


_ClientGetJobResponseJobSettingsInputsAudioSelectorGroupsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsInputsAudioSelectorGroupsTypeDef",
    {"AudioSelectorNames": List[str]},
    total=False,
)


class ClientGetJobResponseJobSettingsInputsAudioSelectorGroupsTypeDef(
    _ClientGetJobResponseJobSettingsInputsAudioSelectorGroupsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef",
    {"InputChannels": List[int]},
    total=False,
)


class ClientGetJobResponseJobSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef(
    _ClientGetJobResponseJobSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef",
    {
        "OutputChannels": List[
            ClientGetJobResponseJobSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef
        ]
    },
    total=False,
)


class ClientGetJobResponseJobSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef(
    _ClientGetJobResponseJobSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef
):
    pass


_ClientGetJobResponseJobSettingsInputsAudioSelectorsRemixSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsInputsAudioSelectorsRemixSettingsTypeDef",
    {
        "ChannelMapping": ClientGetJobResponseJobSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef,
        "ChannelsIn": int,
        "ChannelsOut": int,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsInputsAudioSelectorsRemixSettingsTypeDef(
    _ClientGetJobResponseJobSettingsInputsAudioSelectorsRemixSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsInputsAudioSelectorsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsInputsAudioSelectorsTypeDef",
    {
        "CustomLanguageCode": str,
        "DefaultSelection": Literal["DEFAULT", "NOT_DEFAULT"],
        "ExternalAudioFileInput": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "Offset": int,
        "Pids": List[int],
        "ProgramSelection": int,
        "RemixSettings": ClientGetJobResponseJobSettingsInputsAudioSelectorsRemixSettingsTypeDef,
        "SelectorType": Literal["PID", "TRACK", "LANGUAGE_CODE"],
        "Tracks": List[int],
    },
    total=False,
)


class ClientGetJobResponseJobSettingsInputsAudioSelectorsTypeDef(
    _ClientGetJobResponseJobSettingsInputsAudioSelectorsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef",
    {
        "Convert608To708": Literal["UPCONVERT", "DISABLED"],
        "SourceAncillaryChannelNumber": int,
        "TerminateCaptions": Literal["END_OF_INPUT", "DISABLED"],
    },
    total=False,
)


class ClientGetJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef(
    _ClientGetJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef",
    {"Pid": int},
    total=False,
)


class ClientGetJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef(
    _ClientGetJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef",
    {
        "Convert608To708": Literal["UPCONVERT", "DISABLED"],
        "Source608ChannelNumber": int,
        "Source608TrackNumber": int,
        "TerminateCaptions": Literal["END_OF_INPUT", "DISABLED"],
    },
    total=False,
)


class ClientGetJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef(
    _ClientGetJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef",
    {"Convert608To708": Literal["UPCONVERT", "DISABLED"], "SourceFile": str, "TimeDelta": int},
    total=False,
)


class ClientGetJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef(
    _ClientGetJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef",
    {"PageNumber": str},
    total=False,
)


class ClientGetJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef(
    _ClientGetJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef",
    {"TrackNumber": int},
    total=False,
)


class ClientGetJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef(
    _ClientGetJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsTypeDef",
    {
        "AncillarySourceSettings": ClientGetJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef,
        "DvbSubSourceSettings": ClientGetJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef,
        "EmbeddedSourceSettings": ClientGetJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef,
        "FileSourceSettings": ClientGetJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef,
        "SourceType": Literal[
            "ANCILLARY",
            "DVB_SUB",
            "EMBEDDED",
            "SCTE20",
            "SCC",
            "TTML",
            "STL",
            "SRT",
            "SMI",
            "TELETEXT",
            "NULL_SOURCE",
            "IMSC",
        ],
        "TeletextSourceSettings": ClientGetJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef,
        "TrackSourceSettings": ClientGetJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsTypeDef(
    _ClientGetJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsInputsCaptionSelectorsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsInputsCaptionSelectorsTypeDef",
    {
        "CustomLanguageCode": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "SourceSettings": ClientGetJobResponseJobSettingsInputsCaptionSelectorsSourceSettingsTypeDef,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsInputsCaptionSelectorsTypeDef(
    _ClientGetJobResponseJobSettingsInputsCaptionSelectorsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsInputsCropTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsInputsCropTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientGetJobResponseJobSettingsInputsCropTypeDef(
    _ClientGetJobResponseJobSettingsInputsCropTypeDef
):
    pass


_ClientGetJobResponseJobSettingsInputsDecryptionSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsInputsDecryptionSettingsTypeDef",
    {
        "DecryptionMode": Literal["AES_CTR", "AES_CBC", "AES_GCM"],
        "EncryptedDecryptionKey": str,
        "InitializationVector": str,
        "KmsKeyRegion": str,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsInputsDecryptionSettingsTypeDef(
    _ClientGetJobResponseJobSettingsInputsDecryptionSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsInputsImageInserterInsertableImagesTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsInputsImageInserterInsertableImagesTypeDef",
    {
        "Duration": int,
        "FadeIn": int,
        "FadeOut": int,
        "Height": int,
        "ImageInserterInput": str,
        "ImageX": int,
        "ImageY": int,
        "Layer": int,
        "Opacity": int,
        "StartTime": str,
        "Width": int,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsInputsImageInserterInsertableImagesTypeDef(
    _ClientGetJobResponseJobSettingsInputsImageInserterInsertableImagesTypeDef
):
    pass


_ClientGetJobResponseJobSettingsInputsImageInserterTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsInputsImageInserterTypeDef",
    {
        "InsertableImages": List[
            ClientGetJobResponseJobSettingsInputsImageInserterInsertableImagesTypeDef
        ]
    },
    total=False,
)


class ClientGetJobResponseJobSettingsInputsImageInserterTypeDef(
    _ClientGetJobResponseJobSettingsInputsImageInserterTypeDef
):
    pass


_ClientGetJobResponseJobSettingsInputsInputClippingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsInputsInputClippingsTypeDef",
    {"EndTimecode": str, "StartTimecode": str},
    total=False,
)


class ClientGetJobResponseJobSettingsInputsInputClippingsTypeDef(
    _ClientGetJobResponseJobSettingsInputsInputClippingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsInputsPositionTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsInputsPositionTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientGetJobResponseJobSettingsInputsPositionTypeDef(
    _ClientGetJobResponseJobSettingsInputsPositionTypeDef
):
    pass


_ClientGetJobResponseJobSettingsInputsVideoSelectorHdr10MetadataTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsInputsVideoSelectorHdr10MetadataTypeDef",
    {
        "BluePrimaryX": int,
        "BluePrimaryY": int,
        "GreenPrimaryX": int,
        "GreenPrimaryY": int,
        "MaxContentLightLevel": int,
        "MaxFrameAverageLightLevel": int,
        "MaxLuminance": int,
        "MinLuminance": int,
        "RedPrimaryX": int,
        "RedPrimaryY": int,
        "WhitePointX": int,
        "WhitePointY": int,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsInputsVideoSelectorHdr10MetadataTypeDef(
    _ClientGetJobResponseJobSettingsInputsVideoSelectorHdr10MetadataTypeDef
):
    pass


_ClientGetJobResponseJobSettingsInputsVideoSelectorTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsInputsVideoSelectorTypeDef",
    {
        "AlphaBehavior": Literal["DISCARD", "REMAP_TO_LUMA"],
        "ColorSpace": Literal["FOLLOW", "REC_601", "REC_709", "HDR10", "HLG_2020"],
        "ColorSpaceUsage": Literal["FORCE", "FALLBACK"],
        "Hdr10Metadata": ClientGetJobResponseJobSettingsInputsVideoSelectorHdr10MetadataTypeDef,
        "Pid": int,
        "ProgramNumber": int,
        "Rotate": Literal["DEGREE_0", "DEGREES_90", "DEGREES_180", "DEGREES_270", "AUTO"],
    },
    total=False,
)


class ClientGetJobResponseJobSettingsInputsVideoSelectorTypeDef(
    _ClientGetJobResponseJobSettingsInputsVideoSelectorTypeDef
):
    pass


_ClientGetJobResponseJobSettingsInputsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsInputsTypeDef",
    {
        "AudioSelectorGroups": Dict[
            str, ClientGetJobResponseJobSettingsInputsAudioSelectorGroupsTypeDef
        ],
        "AudioSelectors": Dict[str, ClientGetJobResponseJobSettingsInputsAudioSelectorsTypeDef],
        "CaptionSelectors": Dict[str, ClientGetJobResponseJobSettingsInputsCaptionSelectorsTypeDef],
        "Crop": ClientGetJobResponseJobSettingsInputsCropTypeDef,
        "DeblockFilter": Literal["ENABLED", "DISABLED"],
        "DecryptionSettings": ClientGetJobResponseJobSettingsInputsDecryptionSettingsTypeDef,
        "DenoiseFilter": Literal["ENABLED", "DISABLED"],
        "FileInput": str,
        "FilterEnable": Literal["AUTO", "DISABLE", "FORCE"],
        "FilterStrength": int,
        "ImageInserter": ClientGetJobResponseJobSettingsInputsImageInserterTypeDef,
        "InputClippings": List[ClientGetJobResponseJobSettingsInputsInputClippingsTypeDef],
        "Position": ClientGetJobResponseJobSettingsInputsPositionTypeDef,
        "ProgramNumber": int,
        "PsiControl": Literal["IGNORE_PSI", "USE_PSI"],
        "SupplementalImps": List[str],
        "TimecodeSource": Literal["EMBEDDED", "ZEROBASED", "SPECIFIEDSTART"],
        "TimecodeStart": str,
        "VideoSelector": ClientGetJobResponseJobSettingsInputsVideoSelectorTypeDef,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsInputsTypeDef(_ClientGetJobResponseJobSettingsInputsTypeDef):
    pass


_ClientGetJobResponseJobSettingsMotionImageInserterFramerateTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsMotionImageInserterFramerateTypeDef",
    {"FramerateDenominator": int, "FramerateNumerator": int},
    total=False,
)


class ClientGetJobResponseJobSettingsMotionImageInserterFramerateTypeDef(
    _ClientGetJobResponseJobSettingsMotionImageInserterFramerateTypeDef
):
    pass


_ClientGetJobResponseJobSettingsMotionImageInserterOffsetTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsMotionImageInserterOffsetTypeDef",
    {"ImageX": int, "ImageY": int},
    total=False,
)


class ClientGetJobResponseJobSettingsMotionImageInserterOffsetTypeDef(
    _ClientGetJobResponseJobSettingsMotionImageInserterOffsetTypeDef
):
    pass


_ClientGetJobResponseJobSettingsMotionImageInserterTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsMotionImageInserterTypeDef",
    {
        "Framerate": ClientGetJobResponseJobSettingsMotionImageInserterFramerateTypeDef,
        "Input": str,
        "InsertionMode": Literal["MOV", "PNG"],
        "Offset": ClientGetJobResponseJobSettingsMotionImageInserterOffsetTypeDef,
        "Playback": Literal["ONCE", "REPEAT"],
        "StartTime": str,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsMotionImageInserterTypeDef(
    _ClientGetJobResponseJobSettingsMotionImageInserterTypeDef
):
    pass


_ClientGetJobResponseJobSettingsNielsenConfigurationTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsNielsenConfigurationTypeDef",
    {"BreakoutCode": int, "DistributorId": str},
    total=False,
)


class ClientGetJobResponseJobSettingsNielsenConfigurationTypeDef(
    _ClientGetJobResponseJobSettingsNielsenConfigurationTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {
        "CertificateArn": str,
        "DashSignaledSystemIds": List[str],
        "HlsSignaledSystemIds": List[str],
        "ResourceId": str,
        "Url": str,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef",
    {"KeyFormat": str, "KeyFormatVersions": str, "StaticKeyValue": str, "Url": str},
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef",
    {
        "ConstantInitializationVector": str,
        "EncryptionMethod": Literal["SAMPLE_AES", "AES_CTR"],
        "InitializationVectorInManifest": Literal["INCLUDE", "EXCLUDE"],
        "SpekeKeyProvider": ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef,
        "StaticKeyProvider": ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef,
        "Type": Literal["SPEKE", "STATIC_KEY"],
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef",
    {
        "AdditionalManifests": List[
            ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef
        ],
        "BaseUrl": str,
        "ClientCache": Literal["DISABLED", "ENABLED"],
        "CodecSpecification": Literal["RFC_6381", "RFC_4281"],
        "Destination": str,
        "DestinationSettings": ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef,
        "Encryption": ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef,
        "FragmentLength": int,
        "ManifestCompression": Literal["GZIP", "NONE"],
        "ManifestDurationFormat": Literal["FLOATING_POINT", "INTEGER"],
        "MinBufferTime": int,
        "MinFinalSegmentLength": float,
        "MpdProfile": Literal["MAIN_PROFILE", "ON_DEMAND_PROFILE"],
        "SegmentControl": Literal["SINGLE_FILE", "SEGMENTED_FILES"],
        "SegmentLength": int,
        "StreamInfResolution": Literal["INCLUDE", "EXCLUDE"],
        "WriteDashManifest": Literal["DISABLED", "ENABLED"],
        "WriteHlsManifest": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {"CertificateArn": str, "ResourceId": str, "SystemIds": List[str], "Url": str},
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef",
    {
        "PlaybackDeviceCompatibility": Literal["CENC_V1", "UNENCRYPTED_SEI"],
        "SpekeKeyProvider": ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef",
    {
        "AdditionalManifests": List[
            ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef
        ],
        "BaseUrl": str,
        "Destination": str,
        "DestinationSettings": ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef,
        "Encryption": ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef,
        "FragmentLength": int,
        "HbbtvCompliance": Literal["HBBTV_1_5", "NONE"],
        "MinBufferTime": int,
        "MpdProfile": Literal["MAIN_PROFILE", "ON_DEMAND_PROFILE"],
        "SegmentControl": Literal["SINGLE_FILE", "SEGMENTED_FILES"],
        "SegmentLength": int,
        "WriteSegmentTimelineInRepresentation": Literal["ENABLED", "DISABLED"],
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef",
    {
        "Destination": str,
        "DestinationSettings": ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef",
    {
        "CaptionChannel": int,
        "CustomLanguageCode": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageDescription": str,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {"CertificateArn": str, "ResourceId": str, "SystemIds": List[str], "Url": str},
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef",
    {"KeyFormat": str, "KeyFormatVersions": str, "StaticKeyValue": str, "Url": str},
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef",
    {
        "ConstantInitializationVector": str,
        "EncryptionMethod": Literal["AES128", "SAMPLE_AES"],
        "InitializationVectorInManifest": Literal["INCLUDE", "EXCLUDE"],
        "OfflineEncrypted": Literal["ENABLED", "DISABLED"],
        "SpekeKeyProvider": ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef,
        "StaticKeyProvider": ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef,
        "Type": Literal["SPEKE", "STATIC_KEY"],
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef",
    {
        "AdMarkers": List[Literal["ELEMENTAL", "ELEMENTAL_SCTE35"]],
        "AdditionalManifests": List[
            ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef
        ],
        "BaseUrl": str,
        "CaptionLanguageMappings": List[
            ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef
        ],
        "CaptionLanguageSetting": Literal["INSERT", "OMIT", "NONE"],
        "ClientCache": Literal["DISABLED", "ENABLED"],
        "CodecSpecification": Literal["RFC_6381", "RFC_4281"],
        "Destination": str,
        "DestinationSettings": ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef,
        "DirectoryStructure": Literal["SINGLE_DIRECTORY", "SUBDIRECTORY_PER_STREAM"],
        "Encryption": ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef,
        "ManifestCompression": Literal["GZIP", "NONE"],
        "ManifestDurationFormat": Literal["FLOATING_POINT", "INTEGER"],
        "MinFinalSegmentLength": float,
        "MinSegmentLength": int,
        "OutputSelection": Literal["MANIFESTS_AND_SEGMENTS", "SEGMENTS_ONLY"],
        "ProgramDateTime": Literal["INCLUDE", "EXCLUDE"],
        "ProgramDateTimePeriod": int,
        "SegmentControl": Literal["SINGLE_FILE", "SEGMENTED_FILES"],
        "SegmentLength": int,
        "SegmentsPerSubdirectory": int,
        "StreamInfResolution": Literal["INCLUDE", "EXCLUDE"],
        "TimedMetadataId3Frame": Literal["NONE", "PRIV", "TDRL"],
        "TimedMetadataId3Period": int,
        "TimestampDeltaMilliseconds": int,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {"CertificateArn": str, "ResourceId": str, "SystemIds": List[str], "Url": str},
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef",
    {
        "SpekeKeyProvider": ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef",
    {
        "AdditionalManifests": List[
            ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef
        ],
        "AudioDeduplication": Literal["COMBINE_DUPLICATE_STREAMS", "NONE"],
        "Destination": str,
        "DestinationSettings": ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef,
        "Encryption": ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef,
        "FragmentLength": int,
        "ManifestEncoding": Literal["UTF8", "UTF16"],
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsTypeDef",
    {
        "CmafGroupSettings": ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef,
        "DashIsoGroupSettings": ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef,
        "FileGroupSettings": ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef,
        "HlsGroupSettings": ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef,
        "MsSmoothGroupSettings": ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef,
        "Type": Literal[
            "HLS_GROUP_SETTINGS",
            "DASH_ISO_GROUP_SETTINGS",
            "FILE_GROUP_SETTINGS",
            "MS_SMOOTH_GROUP_SETTINGS",
            "CMAF_GROUP_SETTINGS",
        ],
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef",
    {
        "Algorithm": Literal["ITU_BS_1770_1", "ITU_BS_1770_2", "ITU_BS_1770_3", "ITU_BS_1770_4"],
        "AlgorithmControl": Literal["CORRECT_AUDIO", "MEASURE_ONLY"],
        "CorrectionGateLevel": int,
        "LoudnessLogging": Literal["LOG", "DONT_LOG"],
        "PeakCalculation": Literal["TRUE_PEAK", "NONE"],
        "TargetLkfs": float,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef",
    {
        "AudioDescriptionBroadcasterMix": Literal["BROADCASTER_MIXED_AD", "NORMAL"],
        "Bitrate": int,
        "CodecProfile": Literal["LC", "HEV1", "HEV2"],
        "CodingMode": Literal[
            "AD_RECEIVER_MIX",
            "CODING_MODE_1_0",
            "CODING_MODE_1_1",
            "CODING_MODE_2_0",
            "CODING_MODE_5_1",
        ],
        "RateControlMode": Literal["CBR", "VBR"],
        "RawFormat": Literal["LATM_LOAS", "NONE"],
        "SampleRate": int,
        "Specification": Literal["MPEG2", "MPEG4"],
        "VbrQuality": Literal["LOW", "MEDIUM_LOW", "MEDIUM_HIGH", "HIGH"],
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef",
    {
        "Bitrate": int,
        "BitstreamMode": Literal[
            "COMPLETE_MAIN",
            "COMMENTARY",
            "DIALOGUE",
            "EMERGENCY",
            "HEARING_IMPAIRED",
            "MUSIC_AND_EFFECTS",
            "VISUALLY_IMPAIRED",
            "VOICE_OVER",
        ],
        "CodingMode": Literal[
            "CODING_MODE_1_0", "CODING_MODE_1_1", "CODING_MODE_2_0", "CODING_MODE_3_2_LFE"
        ],
        "Dialnorm": int,
        "DynamicRangeCompressionProfile": Literal["FILM_STANDARD", "NONE"],
        "LfeFilter": Literal["ENABLED", "DISABLED"],
        "MetadataControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "SampleRate": int,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef",
    {"BitDepth": int, "Channels": int, "SampleRate": int},
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef",
    {
        "Bitrate": int,
        "BitstreamMode": str,
        "CodingMode": str,
        "DialogueIntelligence": Literal["ENABLED", "DISABLED"],
        "DynamicRangeCompressionLine": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "DynamicRangeCompressionRf": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "LoRoCenterMixLevel": float,
        "LoRoSurroundMixLevel": float,
        "LtRtCenterMixLevel": float,
        "LtRtSurroundMixLevel": float,
        "MeteringMode": Literal[
            "LEQ_A", "ITU_BS_1770_1", "ITU_BS_1770_2", "ITU_BS_1770_3", "ITU_BS_1770_4"
        ],
        "SampleRate": int,
        "SpeechThreshold": int,
        "StereoDownmix": Literal["NOT_INDICATED", "STEREO", "SURROUND", "DPL2"],
        "SurroundExMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef",
    {
        "AttenuationControl": Literal["ATTENUATE_3_DB", "NONE"],
        "Bitrate": int,
        "BitstreamMode": Literal[
            "COMPLETE_MAIN", "COMMENTARY", "EMERGENCY", "HEARING_IMPAIRED", "VISUALLY_IMPAIRED"
        ],
        "CodingMode": Literal["CODING_MODE_1_0", "CODING_MODE_2_0", "CODING_MODE_3_2"],
        "DcFilter": Literal["ENABLED", "DISABLED"],
        "Dialnorm": int,
        "DynamicRangeCompressionLine": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "DynamicRangeCompressionRf": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "LfeControl": Literal["LFE", "NO_LFE"],
        "LfeFilter": Literal["ENABLED", "DISABLED"],
        "LoRoCenterMixLevel": float,
        "LoRoSurroundMixLevel": float,
        "LtRtCenterMixLevel": float,
        "LtRtSurroundMixLevel": float,
        "MetadataControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "PassthroughControl": Literal["WHEN_POSSIBLE", "NO_PASSTHROUGH"],
        "PhaseControl": Literal["SHIFT_90_DEGREES", "NO_SHIFT"],
        "SampleRate": int,
        "StereoDownmix": Literal["NOT_INDICATED", "LO_RO", "LT_RT", "DPL2"],
        "SurroundExMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
        "SurroundMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef",
    {"Bitrate": int, "Channels": int, "SampleRate": int},
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef",
    {"BitDepth": int, "Channels": int, "Format": Literal["RIFF", "RF64"], "SampleRate": int},
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef",
    {
        "AacSettings": ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef,
        "Ac3Settings": ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef,
        "AiffSettings": ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef,
        "Codec": Literal["AAC", "MP2", "WAV", "AIFF", "AC3", "EAC3", "EAC3_ATMOS", "PASSTHROUGH"],
        "Eac3AtmosSettings": ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef,
        "Eac3Settings": ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef,
        "Mp2Settings": ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef,
        "WavSettings": ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef",
    {"InputChannels": List[int]},
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef",
    {
        "OutputChannels": List[
            ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef
        ]
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef",
    {
        "ChannelMapping": ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef,
        "ChannelsIn": int,
        "ChannelsOut": int,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsTypeDef",
    {
        "AudioNormalizationSettings": ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef,
        "AudioSourceName": str,
        "AudioType": int,
        "AudioTypeControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "CodecSettings": ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef,
        "CustomLanguageCode": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageCodeControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "RemixSettings": ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef,
        "StreamName": str,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef",
    {
        "Alignment": Literal["CENTERED", "LEFT"],
        "BackgroundColor": Literal["NONE", "BLACK", "WHITE"],
        "BackgroundOpacity": int,
        "FontColor": Literal["WHITE", "BLACK", "YELLOW", "RED", "GREEN", "BLUE"],
        "FontOpacity": int,
        "FontResolution": int,
        "FontScript": Literal["AUTOMATIC", "HANS", "HANT"],
        "FontSize": int,
        "OutlineColor": Literal["BLACK", "WHITE", "YELLOW", "RED", "GREEN", "BLUE"],
        "OutlineSize": int,
        "ShadowColor": Literal["NONE", "BLACK", "WHITE"],
        "ShadowOpacity": int,
        "ShadowXOffset": int,
        "ShadowYOffset": int,
        "TeletextSpacing": Literal["FIXED_GRID", "PROPORTIONAL"],
        "XPosition": int,
        "YPosition": int,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef",
    {
        "Alignment": Literal["CENTERED", "LEFT"],
        "BackgroundColor": Literal["NONE", "BLACK", "WHITE"],
        "BackgroundOpacity": int,
        "FontColor": Literal["WHITE", "BLACK", "YELLOW", "RED", "GREEN", "BLUE"],
        "FontOpacity": int,
        "FontResolution": int,
        "FontScript": Literal["AUTOMATIC", "HANS", "HANT"],
        "FontSize": int,
        "OutlineColor": Literal["BLACK", "WHITE", "YELLOW", "RED", "GREEN", "BLUE"],
        "OutlineSize": int,
        "ShadowColor": Literal["NONE", "BLACK", "WHITE"],
        "ShadowOpacity": int,
        "ShadowXOffset": int,
        "ShadowYOffset": int,
        "SubtitlingType": Literal["HEARING_IMPAIRED", "STANDARD"],
        "TeletextSpacing": Literal["FIXED_GRID", "PROPORTIONAL"],
        "XPosition": int,
        "YPosition": int,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef",
    {"Destination608ChannelNumber": int, "Destination708ServiceNumber": int},
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef",
    {"StylePassthrough": Literal["ENABLED", "DISABLED"]},
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef",
    {
        "Framerate": Literal[
            "FRAMERATE_23_97",
            "FRAMERATE_24",
            "FRAMERATE_25",
            "FRAMERATE_29_97_DROPFRAME",
            "FRAMERATE_29_97_NON_DROPFRAME",
        ]
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef",
    {
        "PageNumber": str,
        "PageTypes": List[
            Literal[
                "PAGE_TYPE_INITIAL",
                "PAGE_TYPE_SUBTITLE",
                "PAGE_TYPE_ADDL_INFO",
                "PAGE_TYPE_PROGRAM_SCHEDULE",
                "PAGE_TYPE_HEARING_IMPAIRED_SUBTITLE",
            ]
        ],
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef",
    {"StylePassthrough": Literal["ENABLED", "DISABLED"]},
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef",
    {
        "BurninDestinationSettings": ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef,
        "DestinationType": Literal[
            "BURN_IN",
            "DVB_SUB",
            "EMBEDDED",
            "EMBEDDED_PLUS_SCTE20",
            "IMSC",
            "SCTE20_PLUS_EMBEDDED",
            "SCC",
            "SRT",
            "SMI",
            "TELETEXT",
            "TTML",
            "WEBVTT",
        ],
        "DvbSubDestinationSettings": ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef,
        "EmbeddedDestinationSettings": ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef,
        "ImscDestinationSettings": ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef,
        "SccDestinationSettings": ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef,
        "TeletextDestinationSettings": ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef,
        "TtmlDestinationSettings": ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef",
    {
        "CaptionSelectorName": str,
        "CustomLanguageCode": str,
        "DestinationSettings": ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageDescription": str,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef",
    {"MoovPlacement": Literal["PROGRESSIVE_DOWNLOAD", "NORMAL"]},
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef",
    {"NetworkId": int, "NetworkName": str, "NitInterval": int},
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef",
    {
        "OutputSdt": Literal["SDT_FOLLOW", "SDT_FOLLOW_IF_PRESENT", "SDT_MANUAL", "SDT_NONE"],
        "SdtInterval": int,
        "ServiceName": str,
        "ServiceProviderName": str,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef",
    {"TdtInterval": int},
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef",
    {"Scte35EsamPid": int},
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef",
    {
        "AudioBufferModel": Literal["DVB", "ATSC"],
        "AudioFramesPerPes": int,
        "AudioPids": List[int],
        "Bitrate": int,
        "BufferModel": Literal["MULTIPLEX", "NONE"],
        "DvbNitSettings": ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef,
        "DvbSdtSettings": ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef,
        "DvbSubPids": List[int],
        "DvbTdtSettings": ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef,
        "DvbTeletextPid": int,
        "EbpAudioInterval": Literal["VIDEO_AND_FIXED_INTERVALS", "VIDEO_INTERVAL"],
        "EbpPlacement": Literal["VIDEO_AND_AUDIO_PIDS", "VIDEO_PID"],
        "EsRateInPes": Literal["INCLUDE", "EXCLUDE"],
        "ForceTsVideoEbpOrder": Literal["FORCE", "DEFAULT"],
        "FragmentTime": float,
        "MaxPcrInterval": int,
        "MinEbpInterval": int,
        "NielsenId3": Literal["INSERT", "NONE"],
        "NullPacketBitrate": float,
        "PatInterval": int,
        "PcrControl": Literal["PCR_EVERY_PES_PACKET", "CONFIGURED_PCR_PERIOD"],
        "PcrPid": int,
        "PmtInterval": int,
        "PmtPid": int,
        "PrivateMetadataPid": int,
        "ProgramNumber": int,
        "RateMode": Literal["VBR", "CBR"],
        "Scte35Esam": ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef,
        "Scte35Pid": int,
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
        "SegmentationMarkers": Literal[
            "NONE", "RAI_SEGSTART", "RAI_ADAPT", "PSI_SEGSTART", "EBP", "EBP_LEGACY"
        ],
        "SegmentationStyle": Literal["MAINTAIN_CADENCE", "RESET_CADENCE"],
        "SegmentationTime": float,
        "TimedMetadataPid": int,
        "TransportStreamId": int,
        "VideoPid": int,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef",
    {
        "AudioFramesPerPes": int,
        "AudioPids": List[int],
        "NielsenId3": Literal["INSERT", "NONE"],
        "PatInterval": int,
        "PcrControl": Literal["PCR_EVERY_PES_PACKET", "CONFIGURED_PCR_PERIOD"],
        "PcrPid": int,
        "PmtInterval": int,
        "PmtPid": int,
        "PrivateMetadataPid": int,
        "ProgramNumber": int,
        "Scte35Pid": int,
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
        "TimedMetadata": Literal["PASSTHROUGH", "NONE"],
        "TimedMetadataPid": int,
        "TransportStreamId": int,
        "VideoPid": int,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef",
    {
        "ClapAtom": Literal["INCLUDE", "EXCLUDE"],
        "CslgAtom": Literal["INCLUDE", "EXCLUDE"],
        "Mpeg2FourCCControl": Literal["XDCAM", "MPEG"],
        "PaddingControl": Literal["OMNEON", "NONE"],
        "Reference": Literal["SELF_CONTAINED", "EXTERNAL"],
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef",
    {
        "CslgAtom": Literal["INCLUDE", "EXCLUDE"],
        "FreeSpaceBox": Literal["INCLUDE", "EXCLUDE"],
        "MoovPlacement": Literal["PROGRESSIVE_DOWNLOAD", "NORMAL"],
        "Mp4MajorBrand": str,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef",
    {
        "CaptionContainerType": Literal["RAW", "FRAGMENTED_MP4"],
        "Scte35Esam": Literal["INSERT", "NONE"],
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsTypeDef",
    {
        "Container": Literal[
            "F4V", "ISMV", "M2TS", "M3U8", "CMFC", "MOV", "MP4", "MPD", "MXF", "RAW"
        ],
        "F4vSettings": ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef,
        "M2tsSettings": ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef,
        "M3u8Settings": ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef,
        "MovSettings": ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef,
        "Mp4Settings": ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef,
        "MpdSettings": ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef",
    {
        "AudioGroupId": str,
        "AudioOnlyContainer": Literal["AUTOMATIC", "M2TS"],
        "AudioRenditionSets": str,
        "AudioTrackType": Literal[
            "ALTERNATE_AUDIO_AUTO_SELECT_DEFAULT",
            "ALTERNATE_AUDIO_AUTO_SELECT",
            "ALTERNATE_AUDIO_NOT_AUTO_SELECT",
            "AUDIO_ONLY_VARIANT_STREAM",
        ],
        "IFrameOnlyManifest": Literal["INCLUDE", "EXCLUDE"],
        "SegmentModifier": str,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsOutputSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsOutputSettingsTypeDef",
    {
        "HlsSettings": ClientGetJobResponseJobSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsOutputSettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsOutputSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef",
    {"FramerateDenominator": int, "FramerateNumerator": int, "MaxCaptures": int, "Quality": int},
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef",
    {"MaxAverageBitrate": int, "QvbrQualityLevel": int},
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH", "HIGHER", "MAX"],
        "Bitrate": int,
        "CodecLevel": Literal[
            "AUTO",
            "LEVEL_1",
            "LEVEL_1_1",
            "LEVEL_1_2",
            "LEVEL_1_3",
            "LEVEL_2",
            "LEVEL_2_1",
            "LEVEL_2_2",
            "LEVEL_3",
            "LEVEL_3_1",
            "LEVEL_3_2",
            "LEVEL_4",
            "LEVEL_4_1",
            "LEVEL_4_2",
            "LEVEL_5",
            "LEVEL_5_1",
            "LEVEL_5_2",
        ],
        "CodecProfile": Literal[
            "BASELINE", "HIGH", "HIGH_10BIT", "HIGH_422", "HIGH_422_10BIT", "MAIN"
        ],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "EntropyEncoding": Literal["CABAC", "CAVLC"],
        "FieldEncoding": Literal["PAFF", "FORCE_FIELD"],
        "FlickerAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopBReference": Literal["DISABLED", "ENABLED"],
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "NumberReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "SINGLE_PASS_HQ", "MULTI_PASS_HQ"],
        "QvbrSettings": ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef,
        "RateControlMode": Literal["VBR", "CBR", "QVBR"],
        "RepeatPps": Literal["DISABLED", "ENABLED"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED", "TRANSITION_DETECTION"],
        "Slices": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Softness": int,
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Syntax": Literal["DEFAULT", "RP2027"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "UnregisteredSeiTimecode": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef",
    {"MaxAverageBitrate": int, "QvbrQualityLevel": int},
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH", "HIGHER", "MAX"],
        "AlternateTransferFunctionSei": Literal["DISABLED", "ENABLED"],
        "Bitrate": int,
        "CodecLevel": Literal[
            "AUTO",
            "LEVEL_1",
            "LEVEL_2",
            "LEVEL_2_1",
            "LEVEL_3",
            "LEVEL_3_1",
            "LEVEL_4",
            "LEVEL_4_1",
            "LEVEL_5",
            "LEVEL_5_1",
            "LEVEL_5_2",
            "LEVEL_6",
            "LEVEL_6_1",
            "LEVEL_6_2",
        ],
        "CodecProfile": Literal[
            "MAIN_MAIN",
            "MAIN_HIGH",
            "MAIN10_MAIN",
            "MAIN10_HIGH",
            "MAIN_422_8BIT_MAIN",
            "MAIN_422_8BIT_HIGH",
            "MAIN_422_10BIT_MAIN",
            "MAIN_422_10BIT_HIGH",
        ],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "FlickerAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopBReference": Literal["DISABLED", "ENABLED"],
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "NumberReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "SINGLE_PASS_HQ", "MULTI_PASS_HQ"],
        "QvbrSettings": ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef,
        "RateControlMode": Literal["VBR", "CBR", "QVBR"],
        "SampleAdaptiveOffsetFilterMode": Literal["DEFAULT", "ADAPTIVE", "OFF"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED", "TRANSITION_DETECTION"],
        "Slices": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "TemporalIds": Literal["DISABLED", "ENABLED"],
        "Tiles": Literal["DISABLED", "ENABLED"],
        "UnregisteredSeiTimecode": Literal["DISABLED", "ENABLED"],
        "WriteMp4PackagingType": Literal["HVC1", "HEV1"],
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH"],
        "Bitrate": int,
        "CodecLevel": Literal["AUTO", "LOW", "MAIN", "HIGH1440", "HIGH"],
        "CodecProfile": Literal["MAIN", "PROFILE_422"],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "IntraDcPrecision": Literal[
            "AUTO",
            "INTRA_DC_PRECISION_8",
            "INTRA_DC_PRECISION_9",
            "INTRA_DC_PRECISION_10",
            "INTRA_DC_PRECISION_11",
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "MULTI_PASS"],
        "RateControlMode": Literal["VBR", "CBR"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED"],
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Softness": int,
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Syntax": Literal["DEFAULT", "D_10"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef",
    {
        "CodecProfile": Literal[
            "APPLE_PRORES_422",
            "APPLE_PRORES_422_HQ",
            "APPLE_PRORES_422_LT",
            "APPLE_PRORES_422_PROXY",
        ],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Telecine": Literal["NONE", "HARD"],
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef",
    {
        "Codec": Literal["FRAME_CAPTURE", "H_264", "H_265", "MPEG2", "PRORES"],
        "FrameCaptureSettings": ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef,
        "H264Settings": ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef,
        "H265Settings": ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef,
        "Mpeg2Settings": ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef,
        "ProresSettings": ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef",
    {
        "BluePrimaryX": int,
        "BluePrimaryY": int,
        "GreenPrimaryX": int,
        "GreenPrimaryY": int,
        "MaxContentLightLevel": int,
        "MaxFrameAverageLightLevel": int,
        "MaxLuminance": int,
        "MinLuminance": int,
        "RedPrimaryX": int,
        "RedPrimaryY": int,
        "WhitePointX": int,
        "WhitePointY": int,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef",
    {
        "Brightness": int,
        "ColorSpaceConversion": Literal[
            "NONE", "FORCE_601", "FORCE_709", "FORCE_HDR10", "FORCE_HLG_2020"
        ],
        "Contrast": int,
        "Hdr10Metadata": ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef,
        "Hue": int,
        "Saturation": int,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef",
    {
        "Algorithm": Literal["INTERPOLATE", "INTERPOLATE_TICKER", "BLEND", "BLEND_TICKER"],
        "Control": Literal["FORCE_ALL_FRAMES", "NORMAL"],
        "Mode": Literal["DEINTERLACE", "INVERSE_TELECINE", "ADAPTIVE"],
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef",
    {"MaxCll": int, "MaxFall": int},
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef",
    {
        "L6Metadata": ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef,
        "L6Mode": Literal["PASSTHROUGH", "RECALCULATE", "SPECIFY"],
        "Profile": str,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef",
    {
        "Duration": int,
        "FadeIn": int,
        "FadeOut": int,
        "Height": int,
        "ImageInserterInput": str,
        "ImageX": int,
        "ImageY": int,
        "Layer": int,
        "Opacity": int,
        "StartTime": str,
        "Width": int,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef",
    {
        "InsertableImages": List[
            ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef
        ]
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef",
    {"Strength": int},
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef",
    {"PostFilterSharpenStrength": int, "Speed": int, "Strength": int},
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef",
    {"AggressiveMode": int, "Speed": int, "Strength": int},
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef",
    {
        "Filter": Literal[
            "BILATERAL", "MEAN", "GAUSSIAN", "LANCZOS", "SHARPEN", "CONSERVE", "SPATIAL", "TEMPORAL"
        ],
        "FilterSettings": ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef,
        "SpatialFilterSettings": ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef,
        "TemporalFilterSettings": ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef",
    {
        "FontSize": int,
        "Position": Literal[
            "TOP_CENTER",
            "TOP_LEFT",
            "TOP_RIGHT",
            "MIDDLE_LEFT",
            "MIDDLE_CENTER",
            "MIDDLE_RIGHT",
            "BOTTOM_LEFT",
            "BOTTOM_CENTER",
            "BOTTOM_RIGHT",
        ],
        "Prefix": str,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef",
    {
        "ColorCorrector": ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef,
        "Deinterlacer": ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef,
        "DolbyVision": ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef,
        "ImageInserter": ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef,
        "NoiseReducer": ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef,
        "TimecodeBurnin": ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionTypeDef",
    {
        "AfdSignaling": Literal["NONE", "AUTO", "FIXED"],
        "AntiAlias": Literal["DISABLED", "ENABLED"],
        "CodecSettings": ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef,
        "ColorMetadata": Literal["IGNORE", "INSERT"],
        "Crop": ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef,
        "DropFrameTimecode": Literal["DISABLED", "ENABLED"],
        "FixedAfd": int,
        "Height": int,
        "Position": ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef,
        "RespondToAfd": Literal["NONE", "RESPOND", "PASSTHROUGH"],
        "ScalingBehavior": Literal["DEFAULT", "STRETCH_TO_OUTPUT"],
        "Sharpness": int,
        "TimecodeInsertion": Literal["DISABLED", "PIC_TIMING_SEI"],
        "VideoPreprocessors": ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef,
        "Width": int,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsOutputsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsOutputsTypeDef",
    {
        "AudioDescriptions": List[
            ClientGetJobResponseJobSettingsOutputGroupsOutputsAudioDescriptionsTypeDef
        ],
        "CaptionDescriptions": List[
            ClientGetJobResponseJobSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef
        ],
        "ContainerSettings": ClientGetJobResponseJobSettingsOutputGroupsOutputsContainerSettingsTypeDef,
        "Extension": str,
        "NameModifier": str,
        "OutputSettings": ClientGetJobResponseJobSettingsOutputGroupsOutputsOutputSettingsTypeDef,
        "Preset": str,
        "VideoDescription": ClientGetJobResponseJobSettingsOutputGroupsOutputsVideoDescriptionTypeDef,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsOutputsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsOutputsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsOutputGroupsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsOutputGroupsTypeDef",
    {
        "CustomName": str,
        "Name": str,
        "OutputGroupSettings": ClientGetJobResponseJobSettingsOutputGroupsOutputGroupSettingsTypeDef,
        "Outputs": List[ClientGetJobResponseJobSettingsOutputGroupsOutputsTypeDef],
    },
    total=False,
)


class ClientGetJobResponseJobSettingsOutputGroupsTypeDef(
    _ClientGetJobResponseJobSettingsOutputGroupsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsTimecodeConfigTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsTimecodeConfigTypeDef",
    {
        "Anchor": str,
        "Source": Literal["EMBEDDED", "ZEROBASED", "SPECIFIEDSTART"],
        "Start": str,
        "TimestampOffset": str,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsTimecodeConfigTypeDef(
    _ClientGetJobResponseJobSettingsTimecodeConfigTypeDef
):
    pass


_ClientGetJobResponseJobSettingsTimedMetadataInsertionId3InsertionsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsTimedMetadataInsertionId3InsertionsTypeDef",
    {"Id3": str, "Timecode": str},
    total=False,
)


class ClientGetJobResponseJobSettingsTimedMetadataInsertionId3InsertionsTypeDef(
    _ClientGetJobResponseJobSettingsTimedMetadataInsertionId3InsertionsTypeDef
):
    pass


_ClientGetJobResponseJobSettingsTimedMetadataInsertionTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsTimedMetadataInsertionTypeDef",
    {
        "Id3Insertions": List[
            ClientGetJobResponseJobSettingsTimedMetadataInsertionId3InsertionsTypeDef
        ]
    },
    total=False,
)


class ClientGetJobResponseJobSettingsTimedMetadataInsertionTypeDef(
    _ClientGetJobResponseJobSettingsTimedMetadataInsertionTypeDef
):
    pass


_ClientGetJobResponseJobSettingsTypeDef = TypedDict(
    "_ClientGetJobResponseJobSettingsTypeDef",
    {
        "AdAvailOffset": int,
        "AvailBlanking": ClientGetJobResponseJobSettingsAvailBlankingTypeDef,
        "Esam": ClientGetJobResponseJobSettingsEsamTypeDef,
        "Inputs": List[ClientGetJobResponseJobSettingsInputsTypeDef],
        "MotionImageInserter": ClientGetJobResponseJobSettingsMotionImageInserterTypeDef,
        "NielsenConfiguration": ClientGetJobResponseJobSettingsNielsenConfigurationTypeDef,
        "OutputGroups": List[ClientGetJobResponseJobSettingsOutputGroupsTypeDef],
        "TimecodeConfig": ClientGetJobResponseJobSettingsTimecodeConfigTypeDef,
        "TimedMetadataInsertion": ClientGetJobResponseJobSettingsTimedMetadataInsertionTypeDef,
    },
    total=False,
)


class ClientGetJobResponseJobSettingsTypeDef(_ClientGetJobResponseJobSettingsTypeDef):
    pass


_ClientGetJobResponseJobTimingTypeDef = TypedDict(
    "_ClientGetJobResponseJobTimingTypeDef",
    {"FinishTime": datetime, "StartTime": datetime, "SubmitTime": datetime},
    total=False,
)


class ClientGetJobResponseJobTimingTypeDef(_ClientGetJobResponseJobTimingTypeDef):
    pass


_ClientGetJobResponseJobTypeDef = TypedDict(
    "_ClientGetJobResponseJobTypeDef",
    {
        "AccelerationSettings": ClientGetJobResponseJobAccelerationSettingsTypeDef,
        "AccelerationStatus": Literal[
            "NOT_APPLICABLE", "IN_PROGRESS", "ACCELERATED", "NOT_ACCELERATED"
        ],
        "Arn": str,
        "BillingTagsSource": Literal["QUEUE", "PRESET", "JOB_TEMPLATE", "JOB"],
        "CreatedAt": datetime,
        "CurrentPhase": Literal["PROBING", "TRANSCODING", "UPLOADING"],
        "ErrorCode": int,
        "ErrorMessage": str,
        "Id": str,
        "JobPercentComplete": int,
        "JobTemplate": str,
        "Messages": ClientGetJobResponseJobMessagesTypeDef,
        "OutputGroupDetails": List[ClientGetJobResponseJobOutputGroupDetailsTypeDef],
        "Priority": int,
        "Queue": str,
        "RetryCount": int,
        "Role": str,
        "Settings": ClientGetJobResponseJobSettingsTypeDef,
        "SimulateReservedQueue": Literal["DISABLED", "ENABLED"],
        "Status": Literal["SUBMITTED", "PROGRESSING", "COMPLETE", "CANCELED", "ERROR"],
        "StatusUpdateInterval": Literal[
            "SECONDS_10",
            "SECONDS_12",
            "SECONDS_15",
            "SECONDS_20",
            "SECONDS_30",
            "SECONDS_60",
            "SECONDS_120",
            "SECONDS_180",
            "SECONDS_240",
            "SECONDS_300",
            "SECONDS_360",
            "SECONDS_420",
            "SECONDS_480",
            "SECONDS_540",
            "SECONDS_600",
        ],
        "Timing": ClientGetJobResponseJobTimingTypeDef,
        "UserMetadata": Dict[str, str],
    },
    total=False,
)


class ClientGetJobResponseJobTypeDef(_ClientGetJobResponseJobTypeDef):
    """
    - **Job** *(dict) --*Each job converts an input file into an output file or files. For more
    information, see the User Guide at
    http://docs.aws.amazon.com/mediaconvert/latest/ug/what-is.html

      - **AccelerationSettings** *(dict) --*Accelerated transcoding can significantly speed up jobs
      with long, visually complex content.

        - **Mode** *(string) --*Specify the conditions when the service will run your job with
        accelerated transcoding.
    """


_ClientGetJobResponseTypeDef = TypedDict(
    "_ClientGetJobResponseTypeDef", {"Job": ClientGetJobResponseJobTypeDef}, total=False
)


class ClientGetJobResponseTypeDef(_ClientGetJobResponseTypeDef):
    """
    - *(dict) --*

      - **Job** *(dict) --*Each job converts an input file into an output file or files. For more
      information, see the User Guide at
      http://docs.aws.amazon.com/mediaconvert/latest/ug/what-is.html

        - **AccelerationSettings** *(dict) --*Accelerated transcoding can significantly speed up
        jobs with long, visually complex content.

          - **Mode** *(string) --*Specify the conditions when the service will run your job with
          accelerated transcoding.
    """


_ClientGetJobTemplateResponseJobTemplateAccelerationSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateAccelerationSettingsTypeDef",
    {"Mode": Literal["DISABLED", "ENABLED", "PREFERRED"]},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateAccelerationSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateAccelerationSettingsTypeDef
):
    """
    - **AccelerationSettings** *(dict) --*Accelerated transcoding can significantly speed up jobs
    with long, visually complex content.

      - **Mode** *(string) --*Specify the conditions when the service will run your job with
      accelerated transcoding.
    """


_ClientGetJobTemplateResponseJobTemplateSettingsAvailBlankingTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsAvailBlankingTypeDef",
    {"AvailBlankingImage": str},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsAvailBlankingTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsAvailBlankingTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsEsamManifestConfirmConditionNotificationTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsEsamManifestConfirmConditionNotificationTypeDef",
    {"MccXml": str},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsEsamManifestConfirmConditionNotificationTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsEsamManifestConfirmConditionNotificationTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsEsamSignalProcessingNotificationTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsEsamSignalProcessingNotificationTypeDef",
    {"SccXml": str},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsEsamSignalProcessingNotificationTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsEsamSignalProcessingNotificationTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsEsamTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsEsamTypeDef",
    {
        "ManifestConfirmConditionNotification": ClientGetJobTemplateResponseJobTemplateSettingsEsamManifestConfirmConditionNotificationTypeDef,
        "ResponseSignalPreroll": int,
        "SignalProcessingNotification": ClientGetJobTemplateResponseJobTemplateSettingsEsamSignalProcessingNotificationTypeDef,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsEsamTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsEsamTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsInputsAudioSelectorGroupsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsInputsAudioSelectorGroupsTypeDef",
    {"AudioSelectorNames": List[str]},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsInputsAudioSelectorGroupsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsInputsAudioSelectorGroupsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef",
    {"InputChannels": List[int]},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef",
    {
        "OutputChannels": List[
            ClientGetJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef
        ]
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsTypeDef",
    {
        "ChannelMapping": ClientGetJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef,
        "ChannelsIn": int,
        "ChannelsOut": int,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsTypeDef",
    {
        "CustomLanguageCode": str,
        "DefaultSelection": Literal["DEFAULT", "NOT_DEFAULT"],
        "ExternalAudioFileInput": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "Offset": int,
        "Pids": List[int],
        "ProgramSelection": int,
        "RemixSettings": ClientGetJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsTypeDef,
        "SelectorType": Literal["PID", "TRACK", "LANGUAGE_CODE"],
        "Tracks": List[int],
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef",
    {
        "Convert608To708": Literal["UPCONVERT", "DISABLED"],
        "SourceAncillaryChannelNumber": int,
        "TerminateCaptions": Literal["END_OF_INPUT", "DISABLED"],
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef",
    {"Pid": int},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef",
    {
        "Convert608To708": Literal["UPCONVERT", "DISABLED"],
        "Source608ChannelNumber": int,
        "Source608TrackNumber": int,
        "TerminateCaptions": Literal["END_OF_INPUT", "DISABLED"],
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef",
    {"Convert608To708": Literal["UPCONVERT", "DISABLED"], "SourceFile": str, "TimeDelta": int},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef",
    {"PageNumber": str},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef",
    {"TrackNumber": int},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTypeDef",
    {
        "AncillarySourceSettings": ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef,
        "DvbSubSourceSettings": ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef,
        "EmbeddedSourceSettings": ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef,
        "FileSourceSettings": ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef,
        "SourceType": Literal[
            "ANCILLARY",
            "DVB_SUB",
            "EMBEDDED",
            "SCTE20",
            "SCC",
            "TTML",
            "STL",
            "SRT",
            "SMI",
            "TELETEXT",
            "NULL_SOURCE",
            "IMSC",
        ],
        "TeletextSourceSettings": ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef,
        "TrackSourceSettings": ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsTypeDef",
    {
        "CustomLanguageCode": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "SourceSettings": ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTypeDef,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsInputsCropTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsInputsCropTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsInputsCropTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsInputsCropTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsInputsImageInserterInsertableImagesTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsInputsImageInserterInsertableImagesTypeDef",
    {
        "Duration": int,
        "FadeIn": int,
        "FadeOut": int,
        "Height": int,
        "ImageInserterInput": str,
        "ImageX": int,
        "ImageY": int,
        "Layer": int,
        "Opacity": int,
        "StartTime": str,
        "Width": int,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsInputsImageInserterInsertableImagesTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsInputsImageInserterInsertableImagesTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsInputsImageInserterTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsInputsImageInserterTypeDef",
    {
        "InsertableImages": List[
            ClientGetJobTemplateResponseJobTemplateSettingsInputsImageInserterInsertableImagesTypeDef
        ]
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsInputsImageInserterTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsInputsImageInserterTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsInputsInputClippingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsInputsInputClippingsTypeDef",
    {"EndTimecode": str, "StartTimecode": str},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsInputsInputClippingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsInputsInputClippingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsInputsPositionTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsInputsPositionTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsInputsPositionTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsInputsPositionTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsInputsVideoSelectorHdr10MetadataTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsInputsVideoSelectorHdr10MetadataTypeDef",
    {
        "BluePrimaryX": int,
        "BluePrimaryY": int,
        "GreenPrimaryX": int,
        "GreenPrimaryY": int,
        "MaxContentLightLevel": int,
        "MaxFrameAverageLightLevel": int,
        "MaxLuminance": int,
        "MinLuminance": int,
        "RedPrimaryX": int,
        "RedPrimaryY": int,
        "WhitePointX": int,
        "WhitePointY": int,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsInputsVideoSelectorHdr10MetadataTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsInputsVideoSelectorHdr10MetadataTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsInputsVideoSelectorTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsInputsVideoSelectorTypeDef",
    {
        "AlphaBehavior": Literal["DISCARD", "REMAP_TO_LUMA"],
        "ColorSpace": Literal["FOLLOW", "REC_601", "REC_709", "HDR10", "HLG_2020"],
        "ColorSpaceUsage": Literal["FORCE", "FALLBACK"],
        "Hdr10Metadata": ClientGetJobTemplateResponseJobTemplateSettingsInputsVideoSelectorHdr10MetadataTypeDef,
        "Pid": int,
        "ProgramNumber": int,
        "Rotate": Literal["DEGREE_0", "DEGREES_90", "DEGREES_180", "DEGREES_270", "AUTO"],
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsInputsVideoSelectorTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsInputsVideoSelectorTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsInputsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsInputsTypeDef",
    {
        "AudioSelectorGroups": Dict[
            str, ClientGetJobTemplateResponseJobTemplateSettingsInputsAudioSelectorGroupsTypeDef
        ],
        "AudioSelectors": Dict[
            str, ClientGetJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsTypeDef
        ],
        "CaptionSelectors": Dict[
            str, ClientGetJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsTypeDef
        ],
        "Crop": ClientGetJobTemplateResponseJobTemplateSettingsInputsCropTypeDef,
        "DeblockFilter": Literal["ENABLED", "DISABLED"],
        "DenoiseFilter": Literal["ENABLED", "DISABLED"],
        "FilterEnable": Literal["AUTO", "DISABLE", "FORCE"],
        "FilterStrength": int,
        "ImageInserter": ClientGetJobTemplateResponseJobTemplateSettingsInputsImageInserterTypeDef,
        "InputClippings": List[
            ClientGetJobTemplateResponseJobTemplateSettingsInputsInputClippingsTypeDef
        ],
        "Position": ClientGetJobTemplateResponseJobTemplateSettingsInputsPositionTypeDef,
        "ProgramNumber": int,
        "PsiControl": Literal["IGNORE_PSI", "USE_PSI"],
        "TimecodeSource": Literal["EMBEDDED", "ZEROBASED", "SPECIFIEDSTART"],
        "TimecodeStart": str,
        "VideoSelector": ClientGetJobTemplateResponseJobTemplateSettingsInputsVideoSelectorTypeDef,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsInputsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsInputsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsMotionImageInserterFramerateTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsMotionImageInserterFramerateTypeDef",
    {"FramerateDenominator": int, "FramerateNumerator": int},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsMotionImageInserterFramerateTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsMotionImageInserterFramerateTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsMotionImageInserterOffsetTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsMotionImageInserterOffsetTypeDef",
    {"ImageX": int, "ImageY": int},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsMotionImageInserterOffsetTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsMotionImageInserterOffsetTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsMotionImageInserterTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsMotionImageInserterTypeDef",
    {
        "Framerate": ClientGetJobTemplateResponseJobTemplateSettingsMotionImageInserterFramerateTypeDef,
        "Input": str,
        "InsertionMode": Literal["MOV", "PNG"],
        "Offset": ClientGetJobTemplateResponseJobTemplateSettingsMotionImageInserterOffsetTypeDef,
        "Playback": Literal["ONCE", "REPEAT"],
        "StartTime": str,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsMotionImageInserterTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsMotionImageInserterTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsNielsenConfigurationTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsNielsenConfigurationTypeDef",
    {"BreakoutCode": int, "DistributorId": str},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsNielsenConfigurationTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsNielsenConfigurationTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {
        "CertificateArn": str,
        "DashSignaledSystemIds": List[str],
        "HlsSignaledSystemIds": List[str],
        "ResourceId": str,
        "Url": str,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef",
    {"KeyFormat": str, "KeyFormatVersions": str, "StaticKeyValue": str, "Url": str},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef",
    {
        "ConstantInitializationVector": str,
        "EncryptionMethod": Literal["SAMPLE_AES", "AES_CTR"],
        "InitializationVectorInManifest": Literal["INCLUDE", "EXCLUDE"],
        "SpekeKeyProvider": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef,
        "StaticKeyProvider": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef,
        "Type": Literal["SPEKE", "STATIC_KEY"],
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef",
    {
        "AdditionalManifests": List[
            ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef
        ],
        "BaseUrl": str,
        "ClientCache": Literal["DISABLED", "ENABLED"],
        "CodecSpecification": Literal["RFC_6381", "RFC_4281"],
        "Destination": str,
        "DestinationSettings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef,
        "Encryption": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef,
        "FragmentLength": int,
        "ManifestCompression": Literal["GZIP", "NONE"],
        "ManifestDurationFormat": Literal["FLOATING_POINT", "INTEGER"],
        "MinBufferTime": int,
        "MinFinalSegmentLength": float,
        "MpdProfile": Literal["MAIN_PROFILE", "ON_DEMAND_PROFILE"],
        "SegmentControl": Literal["SINGLE_FILE", "SEGMENTED_FILES"],
        "SegmentLength": int,
        "StreamInfResolution": Literal["INCLUDE", "EXCLUDE"],
        "WriteDashManifest": Literal["DISABLED", "ENABLED"],
        "WriteHlsManifest": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {"CertificateArn": str, "ResourceId": str, "SystemIds": List[str], "Url": str},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef",
    {
        "PlaybackDeviceCompatibility": Literal["CENC_V1", "UNENCRYPTED_SEI"],
        "SpekeKeyProvider": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef",
    {
        "AdditionalManifests": List[
            ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef
        ],
        "BaseUrl": str,
        "Destination": str,
        "DestinationSettings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef,
        "Encryption": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef,
        "FragmentLength": int,
        "HbbtvCompliance": Literal["HBBTV_1_5", "NONE"],
        "MinBufferTime": int,
        "MpdProfile": Literal["MAIN_PROFILE", "ON_DEMAND_PROFILE"],
        "SegmentControl": Literal["SINGLE_FILE", "SEGMENTED_FILES"],
        "SegmentLength": int,
        "WriteSegmentTimelineInRepresentation": Literal["ENABLED", "DISABLED"],
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef",
    {
        "Destination": str,
        "DestinationSettings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef",
    {
        "CaptionChannel": int,
        "CustomLanguageCode": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageDescription": str,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {"CertificateArn": str, "ResourceId": str, "SystemIds": List[str], "Url": str},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef",
    {"KeyFormat": str, "KeyFormatVersions": str, "StaticKeyValue": str, "Url": str},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef",
    {
        "ConstantInitializationVector": str,
        "EncryptionMethod": Literal["AES128", "SAMPLE_AES"],
        "InitializationVectorInManifest": Literal["INCLUDE", "EXCLUDE"],
        "OfflineEncrypted": Literal["ENABLED", "DISABLED"],
        "SpekeKeyProvider": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef,
        "StaticKeyProvider": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef,
        "Type": Literal["SPEKE", "STATIC_KEY"],
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef",
    {
        "AdMarkers": List[Literal["ELEMENTAL", "ELEMENTAL_SCTE35"]],
        "AdditionalManifests": List[
            ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef
        ],
        "BaseUrl": str,
        "CaptionLanguageMappings": List[
            ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef
        ],
        "CaptionLanguageSetting": Literal["INSERT", "OMIT", "NONE"],
        "ClientCache": Literal["DISABLED", "ENABLED"],
        "CodecSpecification": Literal["RFC_6381", "RFC_4281"],
        "Destination": str,
        "DestinationSettings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef,
        "DirectoryStructure": Literal["SINGLE_DIRECTORY", "SUBDIRECTORY_PER_STREAM"],
        "Encryption": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef,
        "ManifestCompression": Literal["GZIP", "NONE"],
        "ManifestDurationFormat": Literal["FLOATING_POINT", "INTEGER"],
        "MinFinalSegmentLength": float,
        "MinSegmentLength": int,
        "OutputSelection": Literal["MANIFESTS_AND_SEGMENTS", "SEGMENTS_ONLY"],
        "ProgramDateTime": Literal["INCLUDE", "EXCLUDE"],
        "ProgramDateTimePeriod": int,
        "SegmentControl": Literal["SINGLE_FILE", "SEGMENTED_FILES"],
        "SegmentLength": int,
        "SegmentsPerSubdirectory": int,
        "StreamInfResolution": Literal["INCLUDE", "EXCLUDE"],
        "TimedMetadataId3Frame": Literal["NONE", "PRIV", "TDRL"],
        "TimedMetadataId3Period": int,
        "TimestampDeltaMilliseconds": int,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {"CertificateArn": str, "ResourceId": str, "SystemIds": List[str], "Url": str},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef",
    {
        "SpekeKeyProvider": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef",
    {
        "AdditionalManifests": List[
            ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef
        ],
        "AudioDeduplication": Literal["COMBINE_DUPLICATE_STREAMS", "NONE"],
        "Destination": str,
        "DestinationSettings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef,
        "Encryption": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef,
        "FragmentLength": int,
        "ManifestEncoding": Literal["UTF8", "UTF16"],
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsTypeDef",
    {
        "CmafGroupSettings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef,
        "DashIsoGroupSettings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef,
        "FileGroupSettings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef,
        "HlsGroupSettings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef,
        "MsSmoothGroupSettings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef,
        "Type": Literal[
            "HLS_GROUP_SETTINGS",
            "DASH_ISO_GROUP_SETTINGS",
            "FILE_GROUP_SETTINGS",
            "MS_SMOOTH_GROUP_SETTINGS",
            "CMAF_GROUP_SETTINGS",
        ],
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef",
    {
        "Algorithm": Literal["ITU_BS_1770_1", "ITU_BS_1770_2", "ITU_BS_1770_3", "ITU_BS_1770_4"],
        "AlgorithmControl": Literal["CORRECT_AUDIO", "MEASURE_ONLY"],
        "CorrectionGateLevel": int,
        "LoudnessLogging": Literal["LOG", "DONT_LOG"],
        "PeakCalculation": Literal["TRUE_PEAK", "NONE"],
        "TargetLkfs": float,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef",
    {
        "AudioDescriptionBroadcasterMix": Literal["BROADCASTER_MIXED_AD", "NORMAL"],
        "Bitrate": int,
        "CodecProfile": Literal["LC", "HEV1", "HEV2"],
        "CodingMode": Literal[
            "AD_RECEIVER_MIX",
            "CODING_MODE_1_0",
            "CODING_MODE_1_1",
            "CODING_MODE_2_0",
            "CODING_MODE_5_1",
        ],
        "RateControlMode": Literal["CBR", "VBR"],
        "RawFormat": Literal["LATM_LOAS", "NONE"],
        "SampleRate": int,
        "Specification": Literal["MPEG2", "MPEG4"],
        "VbrQuality": Literal["LOW", "MEDIUM_LOW", "MEDIUM_HIGH", "HIGH"],
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef",
    {
        "Bitrate": int,
        "BitstreamMode": Literal[
            "COMPLETE_MAIN",
            "COMMENTARY",
            "DIALOGUE",
            "EMERGENCY",
            "HEARING_IMPAIRED",
            "MUSIC_AND_EFFECTS",
            "VISUALLY_IMPAIRED",
            "VOICE_OVER",
        ],
        "CodingMode": Literal[
            "CODING_MODE_1_0", "CODING_MODE_1_1", "CODING_MODE_2_0", "CODING_MODE_3_2_LFE"
        ],
        "Dialnorm": int,
        "DynamicRangeCompressionProfile": Literal["FILM_STANDARD", "NONE"],
        "LfeFilter": Literal["ENABLED", "DISABLED"],
        "MetadataControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "SampleRate": int,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef",
    {"BitDepth": int, "Channels": int, "SampleRate": int},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef",
    {
        "Bitrate": int,
        "BitstreamMode": str,
        "CodingMode": str,
        "DialogueIntelligence": Literal["ENABLED", "DISABLED"],
        "DynamicRangeCompressionLine": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "DynamicRangeCompressionRf": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "LoRoCenterMixLevel": float,
        "LoRoSurroundMixLevel": float,
        "LtRtCenterMixLevel": float,
        "LtRtSurroundMixLevel": float,
        "MeteringMode": Literal[
            "LEQ_A", "ITU_BS_1770_1", "ITU_BS_1770_2", "ITU_BS_1770_3", "ITU_BS_1770_4"
        ],
        "SampleRate": int,
        "SpeechThreshold": int,
        "StereoDownmix": Literal["NOT_INDICATED", "STEREO", "SURROUND", "DPL2"],
        "SurroundExMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef",
    {
        "AttenuationControl": Literal["ATTENUATE_3_DB", "NONE"],
        "Bitrate": int,
        "BitstreamMode": Literal[
            "COMPLETE_MAIN", "COMMENTARY", "EMERGENCY", "HEARING_IMPAIRED", "VISUALLY_IMPAIRED"
        ],
        "CodingMode": Literal["CODING_MODE_1_0", "CODING_MODE_2_0", "CODING_MODE_3_2"],
        "DcFilter": Literal["ENABLED", "DISABLED"],
        "Dialnorm": int,
        "DynamicRangeCompressionLine": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "DynamicRangeCompressionRf": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "LfeControl": Literal["LFE", "NO_LFE"],
        "LfeFilter": Literal["ENABLED", "DISABLED"],
        "LoRoCenterMixLevel": float,
        "LoRoSurroundMixLevel": float,
        "LtRtCenterMixLevel": float,
        "LtRtSurroundMixLevel": float,
        "MetadataControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "PassthroughControl": Literal["WHEN_POSSIBLE", "NO_PASSTHROUGH"],
        "PhaseControl": Literal["SHIFT_90_DEGREES", "NO_SHIFT"],
        "SampleRate": int,
        "StereoDownmix": Literal["NOT_INDICATED", "LO_RO", "LT_RT", "DPL2"],
        "SurroundExMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
        "SurroundMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef",
    {"Bitrate": int, "Channels": int, "SampleRate": int},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef",
    {"BitDepth": int, "Channels": int, "Format": Literal["RIFF", "RF64"], "SampleRate": int},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef",
    {
        "AacSettings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef,
        "Ac3Settings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef,
        "AiffSettings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef,
        "Codec": Literal["AAC", "MP2", "WAV", "AIFF", "AC3", "EAC3", "EAC3_ATMOS", "PASSTHROUGH"],
        "Eac3AtmosSettings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef,
        "Eac3Settings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef,
        "Mp2Settings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef,
        "WavSettings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef",
    {"InputChannels": List[int]},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef",
    {
        "OutputChannels": List[
            ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef
        ]
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef",
    {
        "ChannelMapping": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef,
        "ChannelsIn": int,
        "ChannelsOut": int,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsTypeDef",
    {
        "AudioNormalizationSettings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef,
        "AudioSourceName": str,
        "AudioType": int,
        "AudioTypeControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "CodecSettings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef,
        "CustomLanguageCode": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageCodeControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "RemixSettings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef,
        "StreamName": str,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef",
    {
        "Alignment": Literal["CENTERED", "LEFT"],
        "BackgroundColor": Literal["NONE", "BLACK", "WHITE"],
        "BackgroundOpacity": int,
        "FontColor": Literal["WHITE", "BLACK", "YELLOW", "RED", "GREEN", "BLUE"],
        "FontOpacity": int,
        "FontResolution": int,
        "FontScript": Literal["AUTOMATIC", "HANS", "HANT"],
        "FontSize": int,
        "OutlineColor": Literal["BLACK", "WHITE", "YELLOW", "RED", "GREEN", "BLUE"],
        "OutlineSize": int,
        "ShadowColor": Literal["NONE", "BLACK", "WHITE"],
        "ShadowOpacity": int,
        "ShadowXOffset": int,
        "ShadowYOffset": int,
        "TeletextSpacing": Literal["FIXED_GRID", "PROPORTIONAL"],
        "XPosition": int,
        "YPosition": int,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef",
    {
        "Alignment": Literal["CENTERED", "LEFT"],
        "BackgroundColor": Literal["NONE", "BLACK", "WHITE"],
        "BackgroundOpacity": int,
        "FontColor": Literal["WHITE", "BLACK", "YELLOW", "RED", "GREEN", "BLUE"],
        "FontOpacity": int,
        "FontResolution": int,
        "FontScript": Literal["AUTOMATIC", "HANS", "HANT"],
        "FontSize": int,
        "OutlineColor": Literal["BLACK", "WHITE", "YELLOW", "RED", "GREEN", "BLUE"],
        "OutlineSize": int,
        "ShadowColor": Literal["NONE", "BLACK", "WHITE"],
        "ShadowOpacity": int,
        "ShadowXOffset": int,
        "ShadowYOffset": int,
        "SubtitlingType": Literal["HEARING_IMPAIRED", "STANDARD"],
        "TeletextSpacing": Literal["FIXED_GRID", "PROPORTIONAL"],
        "XPosition": int,
        "YPosition": int,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef",
    {"Destination608ChannelNumber": int, "Destination708ServiceNumber": int},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef",
    {"StylePassthrough": Literal["ENABLED", "DISABLED"]},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef",
    {
        "Framerate": Literal[
            "FRAMERATE_23_97",
            "FRAMERATE_24",
            "FRAMERATE_25",
            "FRAMERATE_29_97_DROPFRAME",
            "FRAMERATE_29_97_NON_DROPFRAME",
        ]
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef",
    {
        "PageNumber": str,
        "PageTypes": List[
            Literal[
                "PAGE_TYPE_INITIAL",
                "PAGE_TYPE_SUBTITLE",
                "PAGE_TYPE_ADDL_INFO",
                "PAGE_TYPE_PROGRAM_SCHEDULE",
                "PAGE_TYPE_HEARING_IMPAIRED_SUBTITLE",
            ]
        ],
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef",
    {"StylePassthrough": Literal["ENABLED", "DISABLED"]},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef",
    {
        "BurninDestinationSettings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef,
        "DestinationType": Literal[
            "BURN_IN",
            "DVB_SUB",
            "EMBEDDED",
            "EMBEDDED_PLUS_SCTE20",
            "IMSC",
            "SCTE20_PLUS_EMBEDDED",
            "SCC",
            "SRT",
            "SMI",
            "TELETEXT",
            "TTML",
            "WEBVTT",
        ],
        "DvbSubDestinationSettings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef,
        "EmbeddedDestinationSettings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef,
        "ImscDestinationSettings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef,
        "SccDestinationSettings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef,
        "TeletextDestinationSettings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef,
        "TtmlDestinationSettings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef",
    {
        "CaptionSelectorName": str,
        "CustomLanguageCode": str,
        "DestinationSettings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageDescription": str,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef",
    {"MoovPlacement": Literal["PROGRESSIVE_DOWNLOAD", "NORMAL"]},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef",
    {"NetworkId": int, "NetworkName": str, "NitInterval": int},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef",
    {
        "OutputSdt": Literal["SDT_FOLLOW", "SDT_FOLLOW_IF_PRESENT", "SDT_MANUAL", "SDT_NONE"],
        "SdtInterval": int,
        "ServiceName": str,
        "ServiceProviderName": str,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef",
    {"TdtInterval": int},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef",
    {"Scte35EsamPid": int},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef",
    {
        "AudioBufferModel": Literal["DVB", "ATSC"],
        "AudioFramesPerPes": int,
        "AudioPids": List[int],
        "Bitrate": int,
        "BufferModel": Literal["MULTIPLEX", "NONE"],
        "DvbNitSettings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef,
        "DvbSdtSettings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef,
        "DvbSubPids": List[int],
        "DvbTdtSettings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef,
        "DvbTeletextPid": int,
        "EbpAudioInterval": Literal["VIDEO_AND_FIXED_INTERVALS", "VIDEO_INTERVAL"],
        "EbpPlacement": Literal["VIDEO_AND_AUDIO_PIDS", "VIDEO_PID"],
        "EsRateInPes": Literal["INCLUDE", "EXCLUDE"],
        "ForceTsVideoEbpOrder": Literal["FORCE", "DEFAULT"],
        "FragmentTime": float,
        "MaxPcrInterval": int,
        "MinEbpInterval": int,
        "NielsenId3": Literal["INSERT", "NONE"],
        "NullPacketBitrate": float,
        "PatInterval": int,
        "PcrControl": Literal["PCR_EVERY_PES_PACKET", "CONFIGURED_PCR_PERIOD"],
        "PcrPid": int,
        "PmtInterval": int,
        "PmtPid": int,
        "PrivateMetadataPid": int,
        "ProgramNumber": int,
        "RateMode": Literal["VBR", "CBR"],
        "Scte35Esam": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef,
        "Scte35Pid": int,
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
        "SegmentationMarkers": Literal[
            "NONE", "RAI_SEGSTART", "RAI_ADAPT", "PSI_SEGSTART", "EBP", "EBP_LEGACY"
        ],
        "SegmentationStyle": Literal["MAINTAIN_CADENCE", "RESET_CADENCE"],
        "SegmentationTime": float,
        "TimedMetadataPid": int,
        "TransportStreamId": int,
        "VideoPid": int,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef",
    {
        "AudioFramesPerPes": int,
        "AudioPids": List[int],
        "NielsenId3": Literal["INSERT", "NONE"],
        "PatInterval": int,
        "PcrControl": Literal["PCR_EVERY_PES_PACKET", "CONFIGURED_PCR_PERIOD"],
        "PcrPid": int,
        "PmtInterval": int,
        "PmtPid": int,
        "PrivateMetadataPid": int,
        "ProgramNumber": int,
        "Scte35Pid": int,
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
        "TimedMetadata": Literal["PASSTHROUGH", "NONE"],
        "TimedMetadataPid": int,
        "TransportStreamId": int,
        "VideoPid": int,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef",
    {
        "ClapAtom": Literal["INCLUDE", "EXCLUDE"],
        "CslgAtom": Literal["INCLUDE", "EXCLUDE"],
        "Mpeg2FourCCControl": Literal["XDCAM", "MPEG"],
        "PaddingControl": Literal["OMNEON", "NONE"],
        "Reference": Literal["SELF_CONTAINED", "EXTERNAL"],
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef",
    {
        "CslgAtom": Literal["INCLUDE", "EXCLUDE"],
        "FreeSpaceBox": Literal["INCLUDE", "EXCLUDE"],
        "MoovPlacement": Literal["PROGRESSIVE_DOWNLOAD", "NORMAL"],
        "Mp4MajorBrand": str,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef",
    {
        "CaptionContainerType": Literal["RAW", "FRAGMENTED_MP4"],
        "Scte35Esam": Literal["INSERT", "NONE"],
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsTypeDef",
    {
        "Container": Literal[
            "F4V", "ISMV", "M2TS", "M3U8", "CMFC", "MOV", "MP4", "MPD", "MXF", "RAW"
        ],
        "F4vSettings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef,
        "M2tsSettings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef,
        "M3u8Settings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef,
        "MovSettings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef,
        "Mp4Settings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef,
        "MpdSettings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef",
    {
        "AudioGroupId": str,
        "AudioOnlyContainer": Literal["AUTOMATIC", "M2TS"],
        "AudioRenditionSets": str,
        "AudioTrackType": Literal[
            "ALTERNATE_AUDIO_AUTO_SELECT_DEFAULT",
            "ALTERNATE_AUDIO_AUTO_SELECT",
            "ALTERNATE_AUDIO_NOT_AUTO_SELECT",
            "AUDIO_ONLY_VARIANT_STREAM",
        ],
        "IFrameOnlyManifest": Literal["INCLUDE", "EXCLUDE"],
        "SegmentModifier": str,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsOutputSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsOutputSettingsTypeDef",
    {
        "HlsSettings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsOutputSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsOutputSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef",
    {"FramerateDenominator": int, "FramerateNumerator": int, "MaxCaptures": int, "Quality": int},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef",
    {"MaxAverageBitrate": int, "QvbrQualityLevel": int},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH", "HIGHER", "MAX"],
        "Bitrate": int,
        "CodecLevel": Literal[
            "AUTO",
            "LEVEL_1",
            "LEVEL_1_1",
            "LEVEL_1_2",
            "LEVEL_1_3",
            "LEVEL_2",
            "LEVEL_2_1",
            "LEVEL_2_2",
            "LEVEL_3",
            "LEVEL_3_1",
            "LEVEL_3_2",
            "LEVEL_4",
            "LEVEL_4_1",
            "LEVEL_4_2",
            "LEVEL_5",
            "LEVEL_5_1",
            "LEVEL_5_2",
        ],
        "CodecProfile": Literal[
            "BASELINE", "HIGH", "HIGH_10BIT", "HIGH_422", "HIGH_422_10BIT", "MAIN"
        ],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "EntropyEncoding": Literal["CABAC", "CAVLC"],
        "FieldEncoding": Literal["PAFF", "FORCE_FIELD"],
        "FlickerAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopBReference": Literal["DISABLED", "ENABLED"],
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "NumberReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "SINGLE_PASS_HQ", "MULTI_PASS_HQ"],
        "QvbrSettings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef,
        "RateControlMode": Literal["VBR", "CBR", "QVBR"],
        "RepeatPps": Literal["DISABLED", "ENABLED"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED", "TRANSITION_DETECTION"],
        "Slices": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Softness": int,
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Syntax": Literal["DEFAULT", "RP2027"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "UnregisteredSeiTimecode": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef",
    {"MaxAverageBitrate": int, "QvbrQualityLevel": int},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH", "HIGHER", "MAX"],
        "AlternateTransferFunctionSei": Literal["DISABLED", "ENABLED"],
        "Bitrate": int,
        "CodecLevel": Literal[
            "AUTO",
            "LEVEL_1",
            "LEVEL_2",
            "LEVEL_2_1",
            "LEVEL_3",
            "LEVEL_3_1",
            "LEVEL_4",
            "LEVEL_4_1",
            "LEVEL_5",
            "LEVEL_5_1",
            "LEVEL_5_2",
            "LEVEL_6",
            "LEVEL_6_1",
            "LEVEL_6_2",
        ],
        "CodecProfile": Literal[
            "MAIN_MAIN",
            "MAIN_HIGH",
            "MAIN10_MAIN",
            "MAIN10_HIGH",
            "MAIN_422_8BIT_MAIN",
            "MAIN_422_8BIT_HIGH",
            "MAIN_422_10BIT_MAIN",
            "MAIN_422_10BIT_HIGH",
        ],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "FlickerAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopBReference": Literal["DISABLED", "ENABLED"],
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "NumberReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "SINGLE_PASS_HQ", "MULTI_PASS_HQ"],
        "QvbrSettings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef,
        "RateControlMode": Literal["VBR", "CBR", "QVBR"],
        "SampleAdaptiveOffsetFilterMode": Literal["DEFAULT", "ADAPTIVE", "OFF"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED", "TRANSITION_DETECTION"],
        "Slices": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "TemporalIds": Literal["DISABLED", "ENABLED"],
        "Tiles": Literal["DISABLED", "ENABLED"],
        "UnregisteredSeiTimecode": Literal["DISABLED", "ENABLED"],
        "WriteMp4PackagingType": Literal["HVC1", "HEV1"],
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH"],
        "Bitrate": int,
        "CodecLevel": Literal["AUTO", "LOW", "MAIN", "HIGH1440", "HIGH"],
        "CodecProfile": Literal["MAIN", "PROFILE_422"],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "IntraDcPrecision": Literal[
            "AUTO",
            "INTRA_DC_PRECISION_8",
            "INTRA_DC_PRECISION_9",
            "INTRA_DC_PRECISION_10",
            "INTRA_DC_PRECISION_11",
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "MULTI_PASS"],
        "RateControlMode": Literal["VBR", "CBR"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED"],
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Softness": int,
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Syntax": Literal["DEFAULT", "D_10"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef",
    {
        "CodecProfile": Literal[
            "APPLE_PRORES_422",
            "APPLE_PRORES_422_HQ",
            "APPLE_PRORES_422_LT",
            "APPLE_PRORES_422_PROXY",
        ],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Telecine": Literal["NONE", "HARD"],
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef",
    {
        "Codec": Literal["FRAME_CAPTURE", "H_264", "H_265", "MPEG2", "PRORES"],
        "FrameCaptureSettings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef,
        "H264Settings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef,
        "H265Settings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef,
        "Mpeg2Settings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef,
        "ProresSettings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef",
    {
        "BluePrimaryX": int,
        "BluePrimaryY": int,
        "GreenPrimaryX": int,
        "GreenPrimaryY": int,
        "MaxContentLightLevel": int,
        "MaxFrameAverageLightLevel": int,
        "MaxLuminance": int,
        "MinLuminance": int,
        "RedPrimaryX": int,
        "RedPrimaryY": int,
        "WhitePointX": int,
        "WhitePointY": int,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef",
    {
        "Brightness": int,
        "ColorSpaceConversion": Literal[
            "NONE", "FORCE_601", "FORCE_709", "FORCE_HDR10", "FORCE_HLG_2020"
        ],
        "Contrast": int,
        "Hdr10Metadata": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef,
        "Hue": int,
        "Saturation": int,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef",
    {
        "Algorithm": Literal["INTERPOLATE", "INTERPOLATE_TICKER", "BLEND", "BLEND_TICKER"],
        "Control": Literal["FORCE_ALL_FRAMES", "NORMAL"],
        "Mode": Literal["DEINTERLACE", "INVERSE_TELECINE", "ADAPTIVE"],
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef",
    {"MaxCll": int, "MaxFall": int},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef",
    {
        "L6Metadata": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef,
        "L6Mode": Literal["PASSTHROUGH", "RECALCULATE", "SPECIFY"],
        "Profile": str,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef",
    {
        "Duration": int,
        "FadeIn": int,
        "FadeOut": int,
        "Height": int,
        "ImageInserterInput": str,
        "ImageX": int,
        "ImageY": int,
        "Layer": int,
        "Opacity": int,
        "StartTime": str,
        "Width": int,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef",
    {
        "InsertableImages": List[
            ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef
        ]
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef",
    {"Strength": int},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef",
    {"PostFilterSharpenStrength": int, "Speed": int, "Strength": int},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef",
    {"AggressiveMode": int, "Speed": int, "Strength": int},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef",
    {
        "Filter": Literal[
            "BILATERAL", "MEAN", "GAUSSIAN", "LANCZOS", "SHARPEN", "CONSERVE", "SPATIAL", "TEMPORAL"
        ],
        "FilterSettings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef,
        "SpatialFilterSettings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef,
        "TemporalFilterSettings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef",
    {
        "FontSize": int,
        "Position": Literal[
            "TOP_CENTER",
            "TOP_LEFT",
            "TOP_RIGHT",
            "MIDDLE_LEFT",
            "MIDDLE_CENTER",
            "MIDDLE_RIGHT",
            "BOTTOM_LEFT",
            "BOTTOM_CENTER",
            "BOTTOM_RIGHT",
        ],
        "Prefix": str,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef",
    {
        "ColorCorrector": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef,
        "Deinterlacer": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef,
        "DolbyVision": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef,
        "ImageInserter": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef,
        "NoiseReducer": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef,
        "TimecodeBurnin": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionTypeDef",
    {
        "AfdSignaling": Literal["NONE", "AUTO", "FIXED"],
        "AntiAlias": Literal["DISABLED", "ENABLED"],
        "CodecSettings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef,
        "ColorMetadata": Literal["IGNORE", "INSERT"],
        "Crop": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef,
        "DropFrameTimecode": Literal["DISABLED", "ENABLED"],
        "FixedAfd": int,
        "Height": int,
        "Position": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef,
        "RespondToAfd": Literal["NONE", "RESPOND", "PASSTHROUGH"],
        "ScalingBehavior": Literal["DEFAULT", "STRETCH_TO_OUTPUT"],
        "Sharpness": int,
        "TimecodeInsertion": Literal["DISABLED", "PIC_TIMING_SEI"],
        "VideoPreprocessors": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef,
        "Width": int,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsTypeDef",
    {
        "AudioDescriptions": List[
            ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsTypeDef
        ],
        "CaptionDescriptions": List[
            ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef
        ],
        "ContainerSettings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsTypeDef,
        "Extension": str,
        "NameModifier": str,
        "OutputSettings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsOutputSettingsTypeDef,
        "Preset": str,
        "VideoDescription": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionTypeDef,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsTypeDef",
    {
        "CustomName": str,
        "Name": str,
        "OutputGroupSettings": ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsTypeDef,
        "Outputs": List[ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsTypeDef],
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsTimecodeConfigTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsTimecodeConfigTypeDef",
    {
        "Anchor": str,
        "Source": Literal["EMBEDDED", "ZEROBASED", "SPECIFIEDSTART"],
        "Start": str,
        "TimestampOffset": str,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsTimecodeConfigTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsTimecodeConfigTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsTimedMetadataInsertionId3InsertionsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsTimedMetadataInsertionId3InsertionsTypeDef",
    {"Id3": str, "Timecode": str},
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsTimedMetadataInsertionId3InsertionsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsTimedMetadataInsertionId3InsertionsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsTimedMetadataInsertionTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsTimedMetadataInsertionTypeDef",
    {
        "Id3Insertions": List[
            ClientGetJobTemplateResponseJobTemplateSettingsTimedMetadataInsertionId3InsertionsTypeDef
        ]
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsTimedMetadataInsertionTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsTimedMetadataInsertionTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateSettingsTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateSettingsTypeDef",
    {
        "AdAvailOffset": int,
        "AvailBlanking": ClientGetJobTemplateResponseJobTemplateSettingsAvailBlankingTypeDef,
        "Esam": ClientGetJobTemplateResponseJobTemplateSettingsEsamTypeDef,
        "Inputs": List[ClientGetJobTemplateResponseJobTemplateSettingsInputsTypeDef],
        "MotionImageInserter": ClientGetJobTemplateResponseJobTemplateSettingsMotionImageInserterTypeDef,
        "NielsenConfiguration": ClientGetJobTemplateResponseJobTemplateSettingsNielsenConfigurationTypeDef,
        "OutputGroups": List[ClientGetJobTemplateResponseJobTemplateSettingsOutputGroupsTypeDef],
        "TimecodeConfig": ClientGetJobTemplateResponseJobTemplateSettingsTimecodeConfigTypeDef,
        "TimedMetadataInsertion": ClientGetJobTemplateResponseJobTemplateSettingsTimedMetadataInsertionTypeDef,
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateSettingsTypeDef(
    _ClientGetJobTemplateResponseJobTemplateSettingsTypeDef
):
    pass


_ClientGetJobTemplateResponseJobTemplateTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseJobTemplateTypeDef",
    {
        "AccelerationSettings": ClientGetJobTemplateResponseJobTemplateAccelerationSettingsTypeDef,
        "Arn": str,
        "Category": str,
        "CreatedAt": datetime,
        "Description": str,
        "LastUpdated": datetime,
        "Name": str,
        "Priority": int,
        "Queue": str,
        "Settings": ClientGetJobTemplateResponseJobTemplateSettingsTypeDef,
        "StatusUpdateInterval": Literal[
            "SECONDS_10",
            "SECONDS_12",
            "SECONDS_15",
            "SECONDS_20",
            "SECONDS_30",
            "SECONDS_60",
            "SECONDS_120",
            "SECONDS_180",
            "SECONDS_240",
            "SECONDS_300",
            "SECONDS_360",
            "SECONDS_420",
            "SECONDS_480",
            "SECONDS_540",
            "SECONDS_600",
        ],
        "Type": Literal["SYSTEM", "CUSTOM"],
    },
    total=False,
)


class ClientGetJobTemplateResponseJobTemplateTypeDef(
    _ClientGetJobTemplateResponseJobTemplateTypeDef
):
    """
    - **JobTemplate** *(dict) --*A job template is a pre-made set of encoding instructions that you
    can use to quickly create a job.

      - **AccelerationSettings** *(dict) --*Accelerated transcoding can significantly speed up jobs
      with long, visually complex content.

        - **Mode** *(string) --*Specify the conditions when the service will run your job with
        accelerated transcoding.
    """


_ClientGetJobTemplateResponseTypeDef = TypedDict(
    "_ClientGetJobTemplateResponseTypeDef",
    {"JobTemplate": ClientGetJobTemplateResponseJobTemplateTypeDef},
    total=False,
)


class ClientGetJobTemplateResponseTypeDef(_ClientGetJobTemplateResponseTypeDef):
    """
    - *(dict) --*

      - **JobTemplate** *(dict) --*A job template is a pre-made set of encoding instructions that
      you can use to quickly create a job.

        - **AccelerationSettings** *(dict) --*Accelerated transcoding can significantly speed up
        jobs with long, visually complex content.

          - **Mode** *(string) --*Specify the conditions when the service will run your job with
          accelerated transcoding.
    """


_ClientGetPresetResponsePresetSettingsAudioDescriptionsAudioNormalizationSettingsTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsAudioDescriptionsAudioNormalizationSettingsTypeDef",
    {
        "Algorithm": Literal["ITU_BS_1770_1", "ITU_BS_1770_2", "ITU_BS_1770_3", "ITU_BS_1770_4"],
        "AlgorithmControl": Literal["CORRECT_AUDIO", "MEASURE_ONLY"],
        "CorrectionGateLevel": int,
        "LoudnessLogging": Literal["LOG", "DONT_LOG"],
        "PeakCalculation": Literal["TRUE_PEAK", "NONE"],
        "TargetLkfs": float,
    },
    total=False,
)


class ClientGetPresetResponsePresetSettingsAudioDescriptionsAudioNormalizationSettingsTypeDef(
    _ClientGetPresetResponsePresetSettingsAudioDescriptionsAudioNormalizationSettingsTypeDef
):
    """
    - **AudioNormalizationSettings** *(dict) --*Advanced audio normalization settings. Ignore these
    settings unless you need to comply with a loudness standard.

      - **Algorithm** *(string) --*Choose one of the following audio normalization algorithms: ITU-R
      BS.1770-1: Ungated loudness. A measurement of ungated average loudness for an entire piece of
      content, suitable for measurement of short-form content under ATSC recommendation A/85.
      Supports up to 5.1 audio channels. ITU-R BS.1770-2: Gated loudness. A measurement of gated
      average loudness compliant with the requirements of EBU-R128. Supports up to 5.1 audio
      channels. ITU-R BS.1770-3: Modified peak. The same loudness measurement algorithm as 1770-2,
      with an updated true peak measurement. ITU-R BS.1770-4: Higher channel count. Allows for more
      audio channels than the other algorithms, including configurations such as 7.1.
      - **AlgorithmControl** *(string) --*When enabled the output audio is corrected using the
      chosen algorithm. If disabled, the audio will be measured but not adjusted.
      - **CorrectionGateLevel** *(integer) --*Content measuring above this level will be corrected
      to the target level. Content measuring below this level will not be corrected. Gating only
      applies when not using real_time_correction.
      - **LoudnessLogging** *(string) --*If set to LOG, log each output's audio track loudness to a
      CSV file.
      - **PeakCalculation** *(string) --*If set to TRUE_PEAK, calculate and log the TruePeak for
      each output's audio track loudness.
      - **TargetLkfs** *(float) --*When you use Audio normalization (AudioNormalizationSettings),
      optionally use this setting to specify a target loudness. If you don't specify a value here,
      the encoder chooses a value for you, based on the algorithm that you choose for Algorithm
      (algorithm). If you choose algorithm 1770-1, the encoder will choose -24 LKFS; otherwise, the
      encoder will choose -23 LKFS.
    """


_ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsAacSettingsTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsAacSettingsTypeDef",
    {
        "AudioDescriptionBroadcasterMix": Literal["BROADCASTER_MIXED_AD", "NORMAL"],
        "Bitrate": int,
        "CodecProfile": Literal["LC", "HEV1", "HEV2"],
        "CodingMode": Literal[
            "AD_RECEIVER_MIX",
            "CODING_MODE_1_0",
            "CODING_MODE_1_1",
            "CODING_MODE_2_0",
            "CODING_MODE_5_1",
        ],
        "RateControlMode": Literal["CBR", "VBR"],
        "RawFormat": Literal["LATM_LOAS", "NONE"],
        "SampleRate": int,
        "Specification": Literal["MPEG2", "MPEG4"],
        "VbrQuality": Literal["LOW", "MEDIUM_LOW", "MEDIUM_HIGH", "HIGH"],
    },
    total=False,
)


class ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsAacSettingsTypeDef(
    _ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsAacSettingsTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsAc3SettingsTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsAc3SettingsTypeDef",
    {
        "Bitrate": int,
        "BitstreamMode": Literal[
            "COMPLETE_MAIN",
            "COMMENTARY",
            "DIALOGUE",
            "EMERGENCY",
            "HEARING_IMPAIRED",
            "MUSIC_AND_EFFECTS",
            "VISUALLY_IMPAIRED",
            "VOICE_OVER",
        ],
        "CodingMode": Literal[
            "CODING_MODE_1_0", "CODING_MODE_1_1", "CODING_MODE_2_0", "CODING_MODE_3_2_LFE"
        ],
        "Dialnorm": int,
        "DynamicRangeCompressionProfile": Literal["FILM_STANDARD", "NONE"],
        "LfeFilter": Literal["ENABLED", "DISABLED"],
        "MetadataControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "SampleRate": int,
    },
    total=False,
)


class ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsAc3SettingsTypeDef(
    _ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsAc3SettingsTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsAiffSettingsTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsAiffSettingsTypeDef",
    {"BitDepth": int, "Channels": int, "SampleRate": int},
    total=False,
)


class ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsAiffSettingsTypeDef(
    _ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsAiffSettingsTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef",
    {
        "Bitrate": int,
        "BitstreamMode": str,
        "CodingMode": str,
        "DialogueIntelligence": Literal["ENABLED", "DISABLED"],
        "DynamicRangeCompressionLine": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "DynamicRangeCompressionRf": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "LoRoCenterMixLevel": float,
        "LoRoSurroundMixLevel": float,
        "LtRtCenterMixLevel": float,
        "LtRtSurroundMixLevel": float,
        "MeteringMode": Literal[
            "LEQ_A", "ITU_BS_1770_1", "ITU_BS_1770_2", "ITU_BS_1770_3", "ITU_BS_1770_4"
        ],
        "SampleRate": int,
        "SpeechThreshold": int,
        "StereoDownmix": Literal["NOT_INDICATED", "STEREO", "SURROUND", "DPL2"],
        "SurroundExMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
    },
    total=False,
)


class ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef(
    _ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsEac3SettingsTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsEac3SettingsTypeDef",
    {
        "AttenuationControl": Literal["ATTENUATE_3_DB", "NONE"],
        "Bitrate": int,
        "BitstreamMode": Literal[
            "COMPLETE_MAIN", "COMMENTARY", "EMERGENCY", "HEARING_IMPAIRED", "VISUALLY_IMPAIRED"
        ],
        "CodingMode": Literal["CODING_MODE_1_0", "CODING_MODE_2_0", "CODING_MODE_3_2"],
        "DcFilter": Literal["ENABLED", "DISABLED"],
        "Dialnorm": int,
        "DynamicRangeCompressionLine": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "DynamicRangeCompressionRf": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "LfeControl": Literal["LFE", "NO_LFE"],
        "LfeFilter": Literal["ENABLED", "DISABLED"],
        "LoRoCenterMixLevel": float,
        "LoRoSurroundMixLevel": float,
        "LtRtCenterMixLevel": float,
        "LtRtSurroundMixLevel": float,
        "MetadataControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "PassthroughControl": Literal["WHEN_POSSIBLE", "NO_PASSTHROUGH"],
        "PhaseControl": Literal["SHIFT_90_DEGREES", "NO_SHIFT"],
        "SampleRate": int,
        "StereoDownmix": Literal["NOT_INDICATED", "LO_RO", "LT_RT", "DPL2"],
        "SurroundExMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
        "SurroundMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
    },
    total=False,
)


class ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsEac3SettingsTypeDef(
    _ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsEac3SettingsTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsMp2SettingsTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsMp2SettingsTypeDef",
    {"Bitrate": int, "Channels": int, "SampleRate": int},
    total=False,
)


class ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsMp2SettingsTypeDef(
    _ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsMp2SettingsTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsWavSettingsTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsWavSettingsTypeDef",
    {"BitDepth": int, "Channels": int, "Format": Literal["RIFF", "RF64"], "SampleRate": int},
    total=False,
)


class ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsWavSettingsTypeDef(
    _ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsWavSettingsTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsTypeDef",
    {
        "AacSettings": ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsAacSettingsTypeDef,
        "Ac3Settings": ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsAc3SettingsTypeDef,
        "AiffSettings": ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsAiffSettingsTypeDef,
        "Codec": Literal["AAC", "MP2", "WAV", "AIFF", "AC3", "EAC3", "EAC3_ATMOS", "PASSTHROUGH"],
        "Eac3AtmosSettings": ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef,
        "Eac3Settings": ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsEac3SettingsTypeDef,
        "Mp2Settings": ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsMp2SettingsTypeDef,
        "WavSettings": ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsWavSettingsTypeDef,
    },
    total=False,
)


class ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsTypeDef(
    _ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef",
    {"InputChannels": List[int]},
    total=False,
)


class ClientGetPresetResponsePresetSettingsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef(
    _ClientGetPresetResponsePresetSettingsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsAudioDescriptionsRemixSettingsChannelMappingTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsAudioDescriptionsRemixSettingsChannelMappingTypeDef",
    {
        "OutputChannels": List[
            ClientGetPresetResponsePresetSettingsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef
        ]
    },
    total=False,
)


class ClientGetPresetResponsePresetSettingsAudioDescriptionsRemixSettingsChannelMappingTypeDef(
    _ClientGetPresetResponsePresetSettingsAudioDescriptionsRemixSettingsChannelMappingTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsAudioDescriptionsRemixSettingsTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsAudioDescriptionsRemixSettingsTypeDef",
    {
        "ChannelMapping": ClientGetPresetResponsePresetSettingsAudioDescriptionsRemixSettingsChannelMappingTypeDef,
        "ChannelsIn": int,
        "ChannelsOut": int,
    },
    total=False,
)


class ClientGetPresetResponsePresetSettingsAudioDescriptionsRemixSettingsTypeDef(
    _ClientGetPresetResponsePresetSettingsAudioDescriptionsRemixSettingsTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsAudioDescriptionsTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsAudioDescriptionsTypeDef",
    {
        "AudioNormalizationSettings": ClientGetPresetResponsePresetSettingsAudioDescriptionsAudioNormalizationSettingsTypeDef,
        "AudioSourceName": str,
        "AudioType": int,
        "AudioTypeControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "CodecSettings": ClientGetPresetResponsePresetSettingsAudioDescriptionsCodecSettingsTypeDef,
        "CustomLanguageCode": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageCodeControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "RemixSettings": ClientGetPresetResponsePresetSettingsAudioDescriptionsRemixSettingsTypeDef,
        "StreamName": str,
    },
    total=False,
)


class ClientGetPresetResponsePresetSettingsAudioDescriptionsTypeDef(
    _ClientGetPresetResponsePresetSettingsAudioDescriptionsTypeDef
):
    """
    - *(dict) --*Description of audio output

      - **AudioNormalizationSettings** *(dict) --*Advanced audio normalization settings. Ignore
      these settings unless you need to comply with a loudness standard.

        - **Algorithm** *(string) --*Choose one of the following audio normalization algorithms:
        ITU-R BS.1770-1: Ungated loudness. A measurement of ungated average loudness for an entire
        piece of content, suitable for measurement of short-form content under ATSC recommendation
        A/85. Supports up to 5.1 audio channels. ITU-R BS.1770-2: Gated loudness. A measurement of
        gated average loudness compliant with the requirements of EBU-R128. Supports up to 5.1 audio
        channels. ITU-R BS.1770-3: Modified peak. The same loudness measurement algorithm as 1770-2,
        with an updated true peak measurement. ITU-R BS.1770-4: Higher channel count. Allows for
        more audio channels than the other algorithms, including configurations such as 7.1.
        - **AlgorithmControl** *(string) --*When enabled the output audio is corrected using the
        chosen algorithm. If disabled, the audio will be measured but not adjusted.
        - **CorrectionGateLevel** *(integer) --*Content measuring above this level will be corrected
        to the target level. Content measuring below this level will not be corrected. Gating only
        applies when not using real_time_correction.
        - **LoudnessLogging** *(string) --*If set to LOG, log each output's audio track loudness to
        a CSV file.
        - **PeakCalculation** *(string) --*If set to TRUE_PEAK, calculate and log the TruePeak for
        each output's audio track loudness.
        - **TargetLkfs** *(float) --*When you use Audio normalization (AudioNormalizationSettings),
        optionally use this setting to specify a target loudness. If you don't specify a value here,
        the encoder chooses a value for you, based on the algorithm that you choose for Algorithm
        (algorithm). If you choose algorithm 1770-1, the encoder will choose -24 LKFS; otherwise,
        the encoder will choose -23 LKFS.
    """


_ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef",
    {
        "Alignment": Literal["CENTERED", "LEFT"],
        "BackgroundColor": Literal["NONE", "BLACK", "WHITE"],
        "BackgroundOpacity": int,
        "FontColor": Literal["WHITE", "BLACK", "YELLOW", "RED", "GREEN", "BLUE"],
        "FontOpacity": int,
        "FontResolution": int,
        "FontScript": Literal["AUTOMATIC", "HANS", "HANT"],
        "FontSize": int,
        "OutlineColor": Literal["BLACK", "WHITE", "YELLOW", "RED", "GREEN", "BLUE"],
        "OutlineSize": int,
        "ShadowColor": Literal["NONE", "BLACK", "WHITE"],
        "ShadowOpacity": int,
        "ShadowXOffset": int,
        "ShadowYOffset": int,
        "TeletextSpacing": Literal["FIXED_GRID", "PROPORTIONAL"],
        "XPosition": int,
        "YPosition": int,
    },
    total=False,
)


class ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef(
    _ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef",
    {
        "Alignment": Literal["CENTERED", "LEFT"],
        "BackgroundColor": Literal["NONE", "BLACK", "WHITE"],
        "BackgroundOpacity": int,
        "FontColor": Literal["WHITE", "BLACK", "YELLOW", "RED", "GREEN", "BLUE"],
        "FontOpacity": int,
        "FontResolution": int,
        "FontScript": Literal["AUTOMATIC", "HANS", "HANT"],
        "FontSize": int,
        "OutlineColor": Literal["BLACK", "WHITE", "YELLOW", "RED", "GREEN", "BLUE"],
        "OutlineSize": int,
        "ShadowColor": Literal["NONE", "BLACK", "WHITE"],
        "ShadowOpacity": int,
        "ShadowXOffset": int,
        "ShadowYOffset": int,
        "SubtitlingType": Literal["HEARING_IMPAIRED", "STANDARD"],
        "TeletextSpacing": Literal["FIXED_GRID", "PROPORTIONAL"],
        "XPosition": int,
        "YPosition": int,
    },
    total=False,
)


class ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef(
    _ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef",
    {"Destination608ChannelNumber": int, "Destination708ServiceNumber": int},
    total=False,
)


class ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef(
    _ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef",
    {"StylePassthrough": Literal["ENABLED", "DISABLED"]},
    total=False,
)


class ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef(
    _ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef",
    {
        "Framerate": Literal[
            "FRAMERATE_23_97",
            "FRAMERATE_24",
            "FRAMERATE_25",
            "FRAMERATE_29_97_DROPFRAME",
            "FRAMERATE_29_97_NON_DROPFRAME",
        ]
    },
    total=False,
)


class ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef(
    _ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef",
    {
        "PageNumber": str,
        "PageTypes": List[
            Literal[
                "PAGE_TYPE_INITIAL",
                "PAGE_TYPE_SUBTITLE",
                "PAGE_TYPE_ADDL_INFO",
                "PAGE_TYPE_PROGRAM_SCHEDULE",
                "PAGE_TYPE_HEARING_IMPAIRED_SUBTITLE",
            ]
        ],
    },
    total=False,
)


class ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef(
    _ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef",
    {"StylePassthrough": Literal["ENABLED", "DISABLED"]},
    total=False,
)


class ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef(
    _ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTypeDef",
    {
        "BurninDestinationSettings": ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef,
        "DestinationType": Literal[
            "BURN_IN",
            "DVB_SUB",
            "EMBEDDED",
            "EMBEDDED_PLUS_SCTE20",
            "IMSC",
            "SCTE20_PLUS_EMBEDDED",
            "SCC",
            "SRT",
            "SMI",
            "TELETEXT",
            "TTML",
            "WEBVTT",
        ],
        "DvbSubDestinationSettings": ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef,
        "EmbeddedDestinationSettings": ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef,
        "ImscDestinationSettings": ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef,
        "SccDestinationSettings": ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef,
        "TeletextDestinationSettings": ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef,
        "TtmlDestinationSettings": ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef,
    },
    total=False,
)


class ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTypeDef(
    _ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsCaptionDescriptionsTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsCaptionDescriptionsTypeDef",
    {
        "CustomLanguageCode": str,
        "DestinationSettings": ClientGetPresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTypeDef,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageDescription": str,
    },
    total=False,
)


class ClientGetPresetResponsePresetSettingsCaptionDescriptionsTypeDef(
    _ClientGetPresetResponsePresetSettingsCaptionDescriptionsTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsContainerSettingsF4vSettingsTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsContainerSettingsF4vSettingsTypeDef",
    {"MoovPlacement": Literal["PROGRESSIVE_DOWNLOAD", "NORMAL"]},
    total=False,
)


class ClientGetPresetResponsePresetSettingsContainerSettingsF4vSettingsTypeDef(
    _ClientGetPresetResponsePresetSettingsContainerSettingsF4vSettingsTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef",
    {"NetworkId": int, "NetworkName": str, "NitInterval": int},
    total=False,
)


class ClientGetPresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef(
    _ClientGetPresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef",
    {
        "OutputSdt": Literal["SDT_FOLLOW", "SDT_FOLLOW_IF_PRESENT", "SDT_MANUAL", "SDT_NONE"],
        "SdtInterval": int,
        "ServiceName": str,
        "ServiceProviderName": str,
    },
    total=False,
)


class ClientGetPresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef(
    _ClientGetPresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef",
    {"TdtInterval": int},
    total=False,
)


class ClientGetPresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef(
    _ClientGetPresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsContainerSettingsM2tsSettingsScte35EsamTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsContainerSettingsM2tsSettingsScte35EsamTypeDef",
    {"Scte35EsamPid": int},
    total=False,
)


class ClientGetPresetResponsePresetSettingsContainerSettingsM2tsSettingsScte35EsamTypeDef(
    _ClientGetPresetResponsePresetSettingsContainerSettingsM2tsSettingsScte35EsamTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsContainerSettingsM2tsSettingsTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsContainerSettingsM2tsSettingsTypeDef",
    {
        "AudioBufferModel": Literal["DVB", "ATSC"],
        "AudioFramesPerPes": int,
        "AudioPids": List[int],
        "Bitrate": int,
        "BufferModel": Literal["MULTIPLEX", "NONE"],
        "DvbNitSettings": ClientGetPresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef,
        "DvbSdtSettings": ClientGetPresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef,
        "DvbSubPids": List[int],
        "DvbTdtSettings": ClientGetPresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef,
        "DvbTeletextPid": int,
        "EbpAudioInterval": Literal["VIDEO_AND_FIXED_INTERVALS", "VIDEO_INTERVAL"],
        "EbpPlacement": Literal["VIDEO_AND_AUDIO_PIDS", "VIDEO_PID"],
        "EsRateInPes": Literal["INCLUDE", "EXCLUDE"],
        "ForceTsVideoEbpOrder": Literal["FORCE", "DEFAULT"],
        "FragmentTime": float,
        "MaxPcrInterval": int,
        "MinEbpInterval": int,
        "NielsenId3": Literal["INSERT", "NONE"],
        "NullPacketBitrate": float,
        "PatInterval": int,
        "PcrControl": Literal["PCR_EVERY_PES_PACKET", "CONFIGURED_PCR_PERIOD"],
        "PcrPid": int,
        "PmtInterval": int,
        "PmtPid": int,
        "PrivateMetadataPid": int,
        "ProgramNumber": int,
        "RateMode": Literal["VBR", "CBR"],
        "Scte35Esam": ClientGetPresetResponsePresetSettingsContainerSettingsM2tsSettingsScte35EsamTypeDef,
        "Scte35Pid": int,
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
        "SegmentationMarkers": Literal[
            "NONE", "RAI_SEGSTART", "RAI_ADAPT", "PSI_SEGSTART", "EBP", "EBP_LEGACY"
        ],
        "SegmentationStyle": Literal["MAINTAIN_CADENCE", "RESET_CADENCE"],
        "SegmentationTime": float,
        "TimedMetadataPid": int,
        "TransportStreamId": int,
        "VideoPid": int,
    },
    total=False,
)


class ClientGetPresetResponsePresetSettingsContainerSettingsM2tsSettingsTypeDef(
    _ClientGetPresetResponsePresetSettingsContainerSettingsM2tsSettingsTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsContainerSettingsM3u8SettingsTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsContainerSettingsM3u8SettingsTypeDef",
    {
        "AudioFramesPerPes": int,
        "AudioPids": List[int],
        "NielsenId3": Literal["INSERT", "NONE"],
        "PatInterval": int,
        "PcrControl": Literal["PCR_EVERY_PES_PACKET", "CONFIGURED_PCR_PERIOD"],
        "PcrPid": int,
        "PmtInterval": int,
        "PmtPid": int,
        "PrivateMetadataPid": int,
        "ProgramNumber": int,
        "Scte35Pid": int,
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
        "TimedMetadata": Literal["PASSTHROUGH", "NONE"],
        "TimedMetadataPid": int,
        "TransportStreamId": int,
        "VideoPid": int,
    },
    total=False,
)


class ClientGetPresetResponsePresetSettingsContainerSettingsM3u8SettingsTypeDef(
    _ClientGetPresetResponsePresetSettingsContainerSettingsM3u8SettingsTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsContainerSettingsMovSettingsTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsContainerSettingsMovSettingsTypeDef",
    {
        "ClapAtom": Literal["INCLUDE", "EXCLUDE"],
        "CslgAtom": Literal["INCLUDE", "EXCLUDE"],
        "Mpeg2FourCCControl": Literal["XDCAM", "MPEG"],
        "PaddingControl": Literal["OMNEON", "NONE"],
        "Reference": Literal["SELF_CONTAINED", "EXTERNAL"],
    },
    total=False,
)


class ClientGetPresetResponsePresetSettingsContainerSettingsMovSettingsTypeDef(
    _ClientGetPresetResponsePresetSettingsContainerSettingsMovSettingsTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsContainerSettingsMp4SettingsTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsContainerSettingsMp4SettingsTypeDef",
    {
        "CslgAtom": Literal["INCLUDE", "EXCLUDE"],
        "FreeSpaceBox": Literal["INCLUDE", "EXCLUDE"],
        "MoovPlacement": Literal["PROGRESSIVE_DOWNLOAD", "NORMAL"],
        "Mp4MajorBrand": str,
    },
    total=False,
)


class ClientGetPresetResponsePresetSettingsContainerSettingsMp4SettingsTypeDef(
    _ClientGetPresetResponsePresetSettingsContainerSettingsMp4SettingsTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsContainerSettingsMpdSettingsTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsContainerSettingsMpdSettingsTypeDef",
    {
        "CaptionContainerType": Literal["RAW", "FRAGMENTED_MP4"],
        "Scte35Esam": Literal["INSERT", "NONE"],
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
    },
    total=False,
)


class ClientGetPresetResponsePresetSettingsContainerSettingsMpdSettingsTypeDef(
    _ClientGetPresetResponsePresetSettingsContainerSettingsMpdSettingsTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsContainerSettingsTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsContainerSettingsTypeDef",
    {
        "Container": Literal[
            "F4V", "ISMV", "M2TS", "M3U8", "CMFC", "MOV", "MP4", "MPD", "MXF", "RAW"
        ],
        "F4vSettings": ClientGetPresetResponsePresetSettingsContainerSettingsF4vSettingsTypeDef,
        "M2tsSettings": ClientGetPresetResponsePresetSettingsContainerSettingsM2tsSettingsTypeDef,
        "M3u8Settings": ClientGetPresetResponsePresetSettingsContainerSettingsM3u8SettingsTypeDef,
        "MovSettings": ClientGetPresetResponsePresetSettingsContainerSettingsMovSettingsTypeDef,
        "Mp4Settings": ClientGetPresetResponsePresetSettingsContainerSettingsMp4SettingsTypeDef,
        "MpdSettings": ClientGetPresetResponsePresetSettingsContainerSettingsMpdSettingsTypeDef,
    },
    total=False,
)


class ClientGetPresetResponsePresetSettingsContainerSettingsTypeDef(
    _ClientGetPresetResponsePresetSettingsContainerSettingsTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef",
    {"FramerateDenominator": int, "FramerateNumerator": int, "MaxCaptures": int, "Quality": int},
    total=False,
)


class ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef(
    _ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef",
    {"MaxAverageBitrate": int, "QvbrQualityLevel": int},
    total=False,
)


class ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef(
    _ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsH264SettingsTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsH264SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH", "HIGHER", "MAX"],
        "Bitrate": int,
        "CodecLevel": Literal[
            "AUTO",
            "LEVEL_1",
            "LEVEL_1_1",
            "LEVEL_1_2",
            "LEVEL_1_3",
            "LEVEL_2",
            "LEVEL_2_1",
            "LEVEL_2_2",
            "LEVEL_3",
            "LEVEL_3_1",
            "LEVEL_3_2",
            "LEVEL_4",
            "LEVEL_4_1",
            "LEVEL_4_2",
            "LEVEL_5",
            "LEVEL_5_1",
            "LEVEL_5_2",
        ],
        "CodecProfile": Literal[
            "BASELINE", "HIGH", "HIGH_10BIT", "HIGH_422", "HIGH_422_10BIT", "MAIN"
        ],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "EntropyEncoding": Literal["CABAC", "CAVLC"],
        "FieldEncoding": Literal["PAFF", "FORCE_FIELD"],
        "FlickerAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopBReference": Literal["DISABLED", "ENABLED"],
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "NumberReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "SINGLE_PASS_HQ", "MULTI_PASS_HQ"],
        "QvbrSettings": ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef,
        "RateControlMode": Literal["VBR", "CBR", "QVBR"],
        "RepeatPps": Literal["DISABLED", "ENABLED"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED", "TRANSITION_DETECTION"],
        "Slices": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Softness": int,
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Syntax": Literal["DEFAULT", "RP2027"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "UnregisteredSeiTimecode": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsH264SettingsTypeDef(
    _ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsH264SettingsTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef",
    {"MaxAverageBitrate": int, "QvbrQualityLevel": int},
    total=False,
)


class ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef(
    _ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsH265SettingsTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsH265SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH", "HIGHER", "MAX"],
        "AlternateTransferFunctionSei": Literal["DISABLED", "ENABLED"],
        "Bitrate": int,
        "CodecLevel": Literal[
            "AUTO",
            "LEVEL_1",
            "LEVEL_2",
            "LEVEL_2_1",
            "LEVEL_3",
            "LEVEL_3_1",
            "LEVEL_4",
            "LEVEL_4_1",
            "LEVEL_5",
            "LEVEL_5_1",
            "LEVEL_5_2",
            "LEVEL_6",
            "LEVEL_6_1",
            "LEVEL_6_2",
        ],
        "CodecProfile": Literal[
            "MAIN_MAIN",
            "MAIN_HIGH",
            "MAIN10_MAIN",
            "MAIN10_HIGH",
            "MAIN_422_8BIT_MAIN",
            "MAIN_422_8BIT_HIGH",
            "MAIN_422_10BIT_MAIN",
            "MAIN_422_10BIT_HIGH",
        ],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "FlickerAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopBReference": Literal["DISABLED", "ENABLED"],
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "NumberReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "SINGLE_PASS_HQ", "MULTI_PASS_HQ"],
        "QvbrSettings": ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef,
        "RateControlMode": Literal["VBR", "CBR", "QVBR"],
        "SampleAdaptiveOffsetFilterMode": Literal["DEFAULT", "ADAPTIVE", "OFF"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED", "TRANSITION_DETECTION"],
        "Slices": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "TemporalIds": Literal["DISABLED", "ENABLED"],
        "Tiles": Literal["DISABLED", "ENABLED"],
        "UnregisteredSeiTimecode": Literal["DISABLED", "ENABLED"],
        "WriteMp4PackagingType": Literal["HVC1", "HEV1"],
    },
    total=False,
)


class ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsH265SettingsTypeDef(
    _ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsH265SettingsTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH"],
        "Bitrate": int,
        "CodecLevel": Literal["AUTO", "LOW", "MAIN", "HIGH1440", "HIGH"],
        "CodecProfile": Literal["MAIN", "PROFILE_422"],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "IntraDcPrecision": Literal[
            "AUTO",
            "INTRA_DC_PRECISION_8",
            "INTRA_DC_PRECISION_9",
            "INTRA_DC_PRECISION_10",
            "INTRA_DC_PRECISION_11",
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "MULTI_PASS"],
        "RateControlMode": Literal["VBR", "CBR"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED"],
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Softness": int,
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Syntax": Literal["DEFAULT", "D_10"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef(
    _ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsProresSettingsTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsProresSettingsTypeDef",
    {
        "CodecProfile": Literal[
            "APPLE_PRORES_422",
            "APPLE_PRORES_422_HQ",
            "APPLE_PRORES_422_LT",
            "APPLE_PRORES_422_PROXY",
        ],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Telecine": Literal["NONE", "HARD"],
    },
    total=False,
)


class ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsProresSettingsTypeDef(
    _ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsProresSettingsTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsTypeDef",
    {
        "Codec": Literal["FRAME_CAPTURE", "H_264", "H_265", "MPEG2", "PRORES"],
        "FrameCaptureSettings": ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef,
        "H264Settings": ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsH264SettingsTypeDef,
        "H265Settings": ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsH265SettingsTypeDef,
        "Mpeg2Settings": ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef,
        "ProresSettings": ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsProresSettingsTypeDef,
    },
    total=False,
)


class ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsTypeDef(
    _ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsVideoDescriptionCropTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsVideoDescriptionCropTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientGetPresetResponsePresetSettingsVideoDescriptionCropTypeDef(
    _ClientGetPresetResponsePresetSettingsVideoDescriptionCropTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsVideoDescriptionPositionTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsVideoDescriptionPositionTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientGetPresetResponsePresetSettingsVideoDescriptionPositionTypeDef(
    _ClientGetPresetResponsePresetSettingsVideoDescriptionPositionTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef",
    {
        "BluePrimaryX": int,
        "BluePrimaryY": int,
        "GreenPrimaryX": int,
        "GreenPrimaryY": int,
        "MaxContentLightLevel": int,
        "MaxFrameAverageLightLevel": int,
        "MaxLuminance": int,
        "MinLuminance": int,
        "RedPrimaryX": int,
        "RedPrimaryY": int,
        "WhitePointX": int,
        "WhitePointY": int,
    },
    total=False,
)


class ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef(
    _ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef",
    {
        "Brightness": int,
        "ColorSpaceConversion": Literal[
            "NONE", "FORCE_601", "FORCE_709", "FORCE_HDR10", "FORCE_HLG_2020"
        ],
        "Contrast": int,
        "Hdr10Metadata": ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef,
        "Hue": int,
        "Saturation": int,
    },
    total=False,
)


class ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef(
    _ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef",
    {
        "Algorithm": Literal["INTERPOLATE", "INTERPOLATE_TICKER", "BLEND", "BLEND_TICKER"],
        "Control": Literal["FORCE_ALL_FRAMES", "NORMAL"],
        "Mode": Literal["DEINTERLACE", "INVERSE_TELECINE", "ADAPTIVE"],
    },
    total=False,
)


class ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef(
    _ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef",
    {"MaxCll": int, "MaxFall": int},
    total=False,
)


class ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef(
    _ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef",
    {
        "L6Metadata": ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef,
        "L6Mode": Literal["PASSTHROUGH", "RECALCULATE", "SPECIFY"],
        "Profile": str,
    },
    total=False,
)


class ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef(
    _ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef",
    {
        "Duration": int,
        "FadeIn": int,
        "FadeOut": int,
        "Height": int,
        "ImageInserterInput": str,
        "ImageX": int,
        "ImageY": int,
        "Layer": int,
        "Opacity": int,
        "StartTime": str,
        "Width": int,
    },
    total=False,
)


class ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef(
    _ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterTypeDef",
    {
        "InsertableImages": List[
            ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef
        ]
    },
    total=False,
)


class ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterTypeDef(
    _ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef",
    {"Strength": int},
    total=False,
)


class ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef(
    _ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef",
    {"PostFilterSharpenStrength": int, "Speed": int, "Strength": int},
    total=False,
)


class ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef(
    _ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef",
    {"AggressiveMode": int, "Speed": int, "Strength": int},
    total=False,
)


class ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef(
    _ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef",
    {
        "Filter": Literal[
            "BILATERAL", "MEAN", "GAUSSIAN", "LANCZOS", "SHARPEN", "CONSERVE", "SPATIAL", "TEMPORAL"
        ],
        "FilterSettings": ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef,
        "SpatialFilterSettings": ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef,
        "TemporalFilterSettings": ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef,
    },
    total=False,
)


class ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef(
    _ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef",
    {
        "FontSize": int,
        "Position": Literal[
            "TOP_CENTER",
            "TOP_LEFT",
            "TOP_RIGHT",
            "MIDDLE_LEFT",
            "MIDDLE_CENTER",
            "MIDDLE_RIGHT",
            "BOTTOM_LEFT",
            "BOTTOM_CENTER",
            "BOTTOM_RIGHT",
        ],
        "Prefix": str,
    },
    total=False,
)


class ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef(
    _ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsTypeDef",
    {
        "ColorCorrector": ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef,
        "Deinterlacer": ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef,
        "DolbyVision": ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef,
        "ImageInserter": ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterTypeDef,
        "NoiseReducer": ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef,
        "TimecodeBurnin": ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef,
    },
    total=False,
)


class ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsTypeDef(
    _ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsVideoDescriptionTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsVideoDescriptionTypeDef",
    {
        "AfdSignaling": Literal["NONE", "AUTO", "FIXED"],
        "AntiAlias": Literal["DISABLED", "ENABLED"],
        "CodecSettings": ClientGetPresetResponsePresetSettingsVideoDescriptionCodecSettingsTypeDef,
        "ColorMetadata": Literal["IGNORE", "INSERT"],
        "Crop": ClientGetPresetResponsePresetSettingsVideoDescriptionCropTypeDef,
        "DropFrameTimecode": Literal["DISABLED", "ENABLED"],
        "FixedAfd": int,
        "Height": int,
        "Position": ClientGetPresetResponsePresetSettingsVideoDescriptionPositionTypeDef,
        "RespondToAfd": Literal["NONE", "RESPOND", "PASSTHROUGH"],
        "ScalingBehavior": Literal["DEFAULT", "STRETCH_TO_OUTPUT"],
        "Sharpness": int,
        "TimecodeInsertion": Literal["DISABLED", "PIC_TIMING_SEI"],
        "VideoPreprocessors": ClientGetPresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsTypeDef,
        "Width": int,
    },
    total=False,
)


class ClientGetPresetResponsePresetSettingsVideoDescriptionTypeDef(
    _ClientGetPresetResponsePresetSettingsVideoDescriptionTypeDef
):
    pass


_ClientGetPresetResponsePresetSettingsTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetSettingsTypeDef",
    {
        "AudioDescriptions": List[ClientGetPresetResponsePresetSettingsAudioDescriptionsTypeDef],
        "CaptionDescriptions": List[
            ClientGetPresetResponsePresetSettingsCaptionDescriptionsTypeDef
        ],
        "ContainerSettings": ClientGetPresetResponsePresetSettingsContainerSettingsTypeDef,
        "VideoDescription": ClientGetPresetResponsePresetSettingsVideoDescriptionTypeDef,
    },
    total=False,
)


class ClientGetPresetResponsePresetSettingsTypeDef(_ClientGetPresetResponsePresetSettingsTypeDef):
    """
    - **Settings** *(dict) --*Settings for preset

      - **AudioDescriptions** *(list) --*(AudioDescriptions) contains groups of audio encoding
      settings organized by audio codec. Include one instance of (AudioDescriptions) per output.
      (AudioDescriptions) can contain multiple groups of encoding settings.

        - *(dict) --*Description of audio output

          - **AudioNormalizationSettings** *(dict) --*Advanced audio normalization settings. Ignore
          these settings unless you need to comply with a loudness standard.

            - **Algorithm** *(string) --*Choose one of the following audio normalization algorithms:
            ITU-R BS.1770-1: Ungated loudness. A measurement of ungated average loudness for an
            entire piece of content, suitable for measurement of short-form content under ATSC
            recommendation A/85. Supports up to 5.1 audio channels. ITU-R BS.1770-2: Gated loudness.
            A measurement of gated average loudness compliant with the requirements of EBU-R128.
            Supports up to 5.1 audio channels. ITU-R BS.1770-3: Modified peak. The same loudness
            measurement algorithm as 1770-2, with an updated true peak measurement. ITU-R BS.1770-4:
            Higher channel count. Allows for more audio channels than the other algorithms,
            including configurations such as 7.1.
            - **AlgorithmControl** *(string) --*When enabled the output audio is corrected using the
            chosen algorithm. If disabled, the audio will be measured but not adjusted.
            - **CorrectionGateLevel** *(integer) --*Content measuring above this level will be
            corrected to the target level. Content measuring below this level will not be corrected.
            Gating only applies when not using real_time_correction.
            - **LoudnessLogging** *(string) --*If set to LOG, log each output's audio track loudness
            to a CSV file.
            - **PeakCalculation** *(string) --*If set to TRUE_PEAK, calculate and log the TruePeak
            for each output's audio track loudness.
            - **TargetLkfs** *(float) --*When you use Audio normalization
            (AudioNormalizationSettings), optionally use this setting to specify a target loudness.
            If you don't specify a value here, the encoder chooses a value for you, based on the
            algorithm that you choose for Algorithm (algorithm). If you choose algorithm 1770-1, the
            encoder will choose -24 LKFS; otherwise, the encoder will choose -23 LKFS.
    """


_ClientGetPresetResponsePresetTypeDef = TypedDict(
    "_ClientGetPresetResponsePresetTypeDef",
    {
        "Arn": str,
        "Category": str,
        "CreatedAt": datetime,
        "Description": str,
        "LastUpdated": datetime,
        "Name": str,
        "Settings": ClientGetPresetResponsePresetSettingsTypeDef,
        "Type": Literal["SYSTEM", "CUSTOM"],
    },
    total=False,
)


class ClientGetPresetResponsePresetTypeDef(_ClientGetPresetResponsePresetTypeDef):
    """
    - **Preset** *(dict) --*A preset is a collection of preconfigured media conversion settings that
    you want MediaConvert to apply to the output during the conversion process.

      - **Arn** *(string) --*An identifier for this resource that is unique within all of AWS.
      - **Category** *(string) --*An optional category you create to organize your presets.
      - **CreatedAt** *(datetime) --*The timestamp in epoch seconds for preset creation.
      - **Description** *(string) --*An optional description you create for each preset.
      - **LastUpdated** *(datetime) --*The timestamp in epoch seconds when the preset was last
      updated.
      - **Name** *(string) --*A name you create for each preset. Each name must be unique within
      your account.
      - **Settings** *(dict) --*Settings for preset

        - **AudioDescriptions** *(list) --*(AudioDescriptions) contains groups of audio encoding
        settings organized by audio codec. Include one instance of (AudioDescriptions) per output.
        (AudioDescriptions) can contain multiple groups of encoding settings.

          - *(dict) --*Description of audio output

            - **AudioNormalizationSettings** *(dict) --*Advanced audio normalization settings.
            Ignore these settings unless you need to comply with a loudness standard.

              - **Algorithm** *(string) --*Choose one of the following audio normalization
              algorithms: ITU-R BS.1770-1: Ungated loudness. A measurement of ungated average
              loudness for an entire piece of content, suitable for measurement of short-form
              content under ATSC recommendation A/85. Supports up to 5.1 audio channels. ITU-R
              BS.1770-2: Gated loudness. A measurement of gated average loudness compliant with the
              requirements of EBU-R128. Supports up to 5.1 audio channels. ITU-R BS.1770-3: Modified
              peak. The same loudness measurement algorithm as 1770-2, with an updated true peak
              measurement. ITU-R BS.1770-4: Higher channel count. Allows for more audio channels
              than the other algorithms, including configurations such as 7.1.
              - **AlgorithmControl** *(string) --*When enabled the output audio is corrected using
              the chosen algorithm. If disabled, the audio will be measured but not adjusted.
              - **CorrectionGateLevel** *(integer) --*Content measuring above this level will be
              corrected to the target level. Content measuring below this level will not be
              corrected. Gating only applies when not using real_time_correction.
              - **LoudnessLogging** *(string) --*If set to LOG, log each output's audio track
              loudness to a CSV file.
              - **PeakCalculation** *(string) --*If set to TRUE_PEAK, calculate and log the TruePeak
              for each output's audio track loudness.
              - **TargetLkfs** *(float) --*When you use Audio normalization
              (AudioNormalizationSettings), optionally use this setting to specify a target
              loudness. If you don't specify a value here, the encoder chooses a value for you,
              based on the algorithm that you choose for Algorithm (algorithm). If you choose
              algorithm 1770-1, the encoder will choose -24 LKFS; otherwise, the encoder will choose
              -23 LKFS.
    """


_ClientGetPresetResponseTypeDef = TypedDict(
    "_ClientGetPresetResponseTypeDef", {"Preset": ClientGetPresetResponsePresetTypeDef}, total=False
)


class ClientGetPresetResponseTypeDef(_ClientGetPresetResponseTypeDef):
    """
    - *(dict) --*

      - **Preset** *(dict) --*A preset is a collection of preconfigured media conversion settings
      that you want MediaConvert to apply to the output during the conversion process.

        - **Arn** *(string) --*An identifier for this resource that is unique within all of AWS.
        - **Category** *(string) --*An optional category you create to organize your presets.
        - **CreatedAt** *(datetime) --*The timestamp in epoch seconds for preset creation.
        - **Description** *(string) --*An optional description you create for each preset.
        - **LastUpdated** *(datetime) --*The timestamp in epoch seconds when the preset was last
        updated.
        - **Name** *(string) --*A name you create for each preset. Each name must be unique within
        your account.
        - **Settings** *(dict) --*Settings for preset

          - **AudioDescriptions** *(list) --*(AudioDescriptions) contains groups of audio encoding
          settings organized by audio codec. Include one instance of (AudioDescriptions) per output.
          (AudioDescriptions) can contain multiple groups of encoding settings.

            - *(dict) --*Description of audio output

              - **AudioNormalizationSettings** *(dict) --*Advanced audio normalization settings.
              Ignore these settings unless you need to comply with a loudness standard.

                - **Algorithm** *(string) --*Choose one of the following audio normalization
                algorithms: ITU-R BS.1770-1: Ungated loudness. A measurement of ungated average
                loudness for an entire piece of content, suitable for measurement of short-form
                content under ATSC recommendation A/85. Supports up to 5.1 audio channels. ITU-R
                BS.1770-2: Gated loudness. A measurement of gated average loudness compliant with
                the requirements of EBU-R128. Supports up to 5.1 audio channels. ITU-R BS.1770-3:
                Modified peak. The same loudness measurement algorithm as 1770-2, with an updated
                true peak measurement. ITU-R BS.1770-4: Higher channel count. Allows for more audio
                channels than the other algorithms, including configurations such as 7.1.
                - **AlgorithmControl** *(string) --*When enabled the output audio is corrected using
                the chosen algorithm. If disabled, the audio will be measured but not adjusted.
                - **CorrectionGateLevel** *(integer) --*Content measuring above this level will be
                corrected to the target level. Content measuring below this level will not be
                corrected. Gating only applies when not using real_time_correction.
                - **LoudnessLogging** *(string) --*If set to LOG, log each output's audio track
                loudness to a CSV file.
                - **PeakCalculation** *(string) --*If set to TRUE_PEAK, calculate and log the
                TruePeak for each output's audio track loudness.
                - **TargetLkfs** *(float) --*When you use Audio normalization
                (AudioNormalizationSettings), optionally use this setting to specify a target
                loudness. If you don't specify a value here, the encoder chooses a value for you,
                based on the algorithm that you choose for Algorithm (algorithm). If you choose
                algorithm 1770-1, the encoder will choose -24 LKFS; otherwise, the encoder will
                choose -23 LKFS.
    """


_ClientGetQueueResponseQueueReservationPlanTypeDef = TypedDict(
    "_ClientGetQueueResponseQueueReservationPlanTypeDef",
    {
        "Commitment": str,
        "ExpiresAt": datetime,
        "PurchasedAt": datetime,
        "RenewalType": Literal["AUTO_RENEW", "EXPIRE"],
        "ReservedSlots": int,
        "Status": Literal["ACTIVE", "EXPIRED"],
    },
    total=False,
)


class ClientGetQueueResponseQueueReservationPlanTypeDef(
    _ClientGetQueueResponseQueueReservationPlanTypeDef
):
    """
    - **ReservationPlan** *(dict) --*Details about the pricing plan for your reserved queue.
    Required for reserved queues and not applicable to on-demand queues.

      - **Commitment** *(string) --*The length of the term of your reserved queue pricing plan
      commitment.
      - **ExpiresAt** *(datetime) --*The timestamp in epoch seconds for when the current pricing
      plan term for this reserved queue expires.
      - **PurchasedAt** *(datetime) --*The timestamp in epoch seconds for when you set up the
      current pricing plan for this reserved queue.
      - **RenewalType** *(string) --*Specifies whether the term of your reserved queue pricing plan
      is automatically extended (AUTO_RENEW) or expires (EXPIRE) at the end of the term.
      - **ReservedSlots** *(integer) --*Specifies the number of reserved transcode slots (RTS) for
      this queue. The number of RTS determines how many jobs the queue can process in parallel; each
      RTS can process one job at a time. When you increase this number, you extend your existing
      commitment with a new 12-month commitment for a larger number of RTS. The new commitment
      begins when you purchase the additional capacity. You can't decrease the number of RTS in your
      reserved queue.
      - **Status** *(string) --*Specifies whether the pricing plan for your reserved queue is ACTIVE
      or EXPIRED.
    """


_ClientGetQueueResponseQueueTypeDef = TypedDict(
    "_ClientGetQueueResponseQueueTypeDef",
    {
        "Arn": str,
        "CreatedAt": datetime,
        "Description": str,
        "LastUpdated": datetime,
        "Name": str,
        "PricingPlan": Literal["ON_DEMAND", "RESERVED"],
        "ProgressingJobsCount": int,
        "ReservationPlan": ClientGetQueueResponseQueueReservationPlanTypeDef,
        "Status": Literal["ACTIVE", "PAUSED"],
        "SubmittedJobsCount": int,
        "Type": Literal["SYSTEM", "CUSTOM"],
    },
    total=False,
)


class ClientGetQueueResponseQueueTypeDef(_ClientGetQueueResponseQueueTypeDef):
    """
    - **Queue** *(dict) --*You can use queues to manage the resources that are available to your AWS
    account for running multiple transcoding jobs at the same time. If you don't specify a queue,
    the service sends all jobs through the default queue. For more information, see
    https://docs.aws.amazon.com/mediaconvert/latest/ug/working-with-queues.html.

      - **Arn** *(string) --*An identifier for this resource that is unique within all of AWS.
      - **CreatedAt** *(datetime) --*The timestamp in epoch seconds for when you created the queue.
      - **Description** *(string) --*An optional description that you create for each queue.
      - **LastUpdated** *(datetime) --*The timestamp in epoch seconds for when you most recently
      updated the queue.
      - **Name** *(string) --*A name that you create for each queue. Each name must be unique within
      your account.
      - **PricingPlan** *(string) --*Specifies whether the pricing plan for the queue is on-demand
      or reserved. For on-demand, you pay per minute, billed in increments of .01 minute. For
      reserved, you pay for the transcoding capacity of the entire queue, regardless of how much or
      how little you use it. Reserved pricing requires a 12-month commitment.
      - **ProgressingJobsCount** *(integer) --*The estimated number of jobs with a PROGRESSING
      status.
      - **ReservationPlan** *(dict) --*Details about the pricing plan for your reserved queue.
      Required for reserved queues and not applicable to on-demand queues.

        - **Commitment** *(string) --*The length of the term of your reserved queue pricing plan
        commitment.
        - **ExpiresAt** *(datetime) --*The timestamp in epoch seconds for when the current pricing
        plan term for this reserved queue expires.
        - **PurchasedAt** *(datetime) --*The timestamp in epoch seconds for when you set up the
        current pricing plan for this reserved queue.
        - **RenewalType** *(string) --*Specifies whether the term of your reserved queue pricing
        plan is automatically extended (AUTO_RENEW) or expires (EXPIRE) at the end of the term.
        - **ReservedSlots** *(integer) --*Specifies the number of reserved transcode slots (RTS) for
        this queue. The number of RTS determines how many jobs the queue can process in parallel;
        each RTS can process one job at a time. When you increase this number, you extend your
        existing commitment with a new 12-month commitment for a larger number of RTS. The new
        commitment begins when you purchase the additional capacity. You can't decrease the number
        of RTS in your reserved queue.
        - **Status** *(string) --*Specifies whether the pricing plan for your reserved queue is
        ACTIVE or EXPIRED.
    """


_ClientGetQueueResponseTypeDef = TypedDict(
    "_ClientGetQueueResponseTypeDef", {"Queue": ClientGetQueueResponseQueueTypeDef}, total=False
)


class ClientGetQueueResponseTypeDef(_ClientGetQueueResponseTypeDef):
    """
    - *(dict) --*

      - **Queue** *(dict) --*You can use queues to manage the resources that are available to your
      AWS account for running multiple transcoding jobs at the same time. If you don't specify a
      queue, the service sends all jobs through the default queue. For more information, see
      https://docs.aws.amazon.com/mediaconvert/latest/ug/working-with-queues.html.

        - **Arn** *(string) --*An identifier for this resource that is unique within all of AWS.
        - **CreatedAt** *(datetime) --*The timestamp in epoch seconds for when you created the
        queue.
        - **Description** *(string) --*An optional description that you create for each queue.
        - **LastUpdated** *(datetime) --*The timestamp in epoch seconds for when you most recently
        updated the queue.
        - **Name** *(string) --*A name that you create for each queue. Each name must be unique
        within your account.
        - **PricingPlan** *(string) --*Specifies whether the pricing plan for the queue is on-demand
        or reserved. For on-demand, you pay per minute, billed in increments of .01 minute. For
        reserved, you pay for the transcoding capacity of the entire queue, regardless of how much
        or how little you use it. Reserved pricing requires a 12-month commitment.
        - **ProgressingJobsCount** *(integer) --*The estimated number of jobs with a PROGRESSING
        status.
        - **ReservationPlan** *(dict) --*Details about the pricing plan for your reserved queue.
        Required for reserved queues and not applicable to on-demand queues.

          - **Commitment** *(string) --*The length of the term of your reserved queue pricing plan
          commitment.
          - **ExpiresAt** *(datetime) --*The timestamp in epoch seconds for when the current pricing
          plan term for this reserved queue expires.
          - **PurchasedAt** *(datetime) --*The timestamp in epoch seconds for when you set up the
          current pricing plan for this reserved queue.
          - **RenewalType** *(string) --*Specifies whether the term of your reserved queue pricing
          plan is automatically extended (AUTO_RENEW) or expires (EXPIRE) at the end of the term.
          - **ReservedSlots** *(integer) --*Specifies the number of reserved transcode slots (RTS)
          for this queue. The number of RTS determines how many jobs the queue can process in
          parallel; each RTS can process one job at a time. When you increase this number, you
          extend your existing commitment with a new 12-month commitment for a larger number of RTS.
          The new commitment begins when you purchase the additional capacity. You can't decrease
          the number of RTS in your reserved queue.
          - **Status** *(string) --*Specifies whether the pricing plan for your reserved queue is
          ACTIVE or EXPIRED.
    """


_ClientListJobTemplatesResponseJobTemplatesAccelerationSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesAccelerationSettingsTypeDef",
    {"Mode": Literal["DISABLED", "ENABLED", "PREFERRED"]},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesAccelerationSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesAccelerationSettingsTypeDef
):
    """
    - **AccelerationSettings** *(dict) --*Accelerated transcoding can significantly speed up jobs
    with long, visually complex content.

      - **Mode** *(string) --*Specify the conditions when the service will run your job with
      accelerated transcoding.
    """


_ClientListJobTemplatesResponseJobTemplatesSettingsAvailBlankingTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsAvailBlankingTypeDef",
    {"AvailBlankingImage": str},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsAvailBlankingTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsAvailBlankingTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsEsamManifestConfirmConditionNotificationTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsEsamManifestConfirmConditionNotificationTypeDef",
    {"MccXml": str},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsEsamManifestConfirmConditionNotificationTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsEsamManifestConfirmConditionNotificationTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsEsamSignalProcessingNotificationTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsEsamSignalProcessingNotificationTypeDef",
    {"SccXml": str},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsEsamSignalProcessingNotificationTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsEsamSignalProcessingNotificationTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsEsamTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsEsamTypeDef",
    {
        "ManifestConfirmConditionNotification": ClientListJobTemplatesResponseJobTemplatesSettingsEsamManifestConfirmConditionNotificationTypeDef,
        "ResponseSignalPreroll": int,
        "SignalProcessingNotification": ClientListJobTemplatesResponseJobTemplatesSettingsEsamSignalProcessingNotificationTypeDef,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsEsamTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsEsamTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsInputsAudioSelectorGroupsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsInputsAudioSelectorGroupsTypeDef",
    {"AudioSelectorNames": List[str]},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsInputsAudioSelectorGroupsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsInputsAudioSelectorGroupsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef",
    {"InputChannels": List[int]},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef",
    {
        "OutputChannels": List[
            ClientListJobTemplatesResponseJobTemplatesSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef
        ]
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsInputsAudioSelectorsRemixSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsInputsAudioSelectorsRemixSettingsTypeDef",
    {
        "ChannelMapping": ClientListJobTemplatesResponseJobTemplatesSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef,
        "ChannelsIn": int,
        "ChannelsOut": int,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsInputsAudioSelectorsRemixSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsInputsAudioSelectorsRemixSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsInputsAudioSelectorsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsInputsAudioSelectorsTypeDef",
    {
        "CustomLanguageCode": str,
        "DefaultSelection": Literal["DEFAULT", "NOT_DEFAULT"],
        "ExternalAudioFileInput": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "Offset": int,
        "Pids": List[int],
        "ProgramSelection": int,
        "RemixSettings": ClientListJobTemplatesResponseJobTemplatesSettingsInputsAudioSelectorsRemixSettingsTypeDef,
        "SelectorType": Literal["PID", "TRACK", "LANGUAGE_CODE"],
        "Tracks": List[int],
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsInputsAudioSelectorsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsInputsAudioSelectorsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef",
    {
        "Convert608To708": Literal["UPCONVERT", "DISABLED"],
        "SourceAncillaryChannelNumber": int,
        "TerminateCaptions": Literal["END_OF_INPUT", "DISABLED"],
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef",
    {"Pid": int},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef",
    {
        "Convert608To708": Literal["UPCONVERT", "DISABLED"],
        "Source608ChannelNumber": int,
        "Source608TrackNumber": int,
        "TerminateCaptions": Literal["END_OF_INPUT", "DISABLED"],
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef",
    {"Convert608To708": Literal["UPCONVERT", "DISABLED"], "SourceFile": str, "TimeDelta": int},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef",
    {"PageNumber": str},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef",
    {"TrackNumber": int},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsTypeDef",
    {
        "AncillarySourceSettings": ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef,
        "DvbSubSourceSettings": ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef,
        "EmbeddedSourceSettings": ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef,
        "FileSourceSettings": ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef,
        "SourceType": Literal[
            "ANCILLARY",
            "DVB_SUB",
            "EMBEDDED",
            "SCTE20",
            "SCC",
            "TTML",
            "STL",
            "SRT",
            "SMI",
            "TELETEXT",
            "NULL_SOURCE",
            "IMSC",
        ],
        "TeletextSourceSettings": ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef,
        "TrackSourceSettings": ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsTypeDef",
    {
        "CustomLanguageCode": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "SourceSettings": ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsTypeDef,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsInputsCropTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsInputsCropTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsInputsCropTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsInputsCropTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsInputsImageInserterInsertableImagesTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsInputsImageInserterInsertableImagesTypeDef",
    {
        "Duration": int,
        "FadeIn": int,
        "FadeOut": int,
        "Height": int,
        "ImageInserterInput": str,
        "ImageX": int,
        "ImageY": int,
        "Layer": int,
        "Opacity": int,
        "StartTime": str,
        "Width": int,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsInputsImageInserterInsertableImagesTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsInputsImageInserterInsertableImagesTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsInputsImageInserterTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsInputsImageInserterTypeDef",
    {
        "InsertableImages": List[
            ClientListJobTemplatesResponseJobTemplatesSettingsInputsImageInserterInsertableImagesTypeDef
        ]
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsInputsImageInserterTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsInputsImageInserterTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsInputsInputClippingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsInputsInputClippingsTypeDef",
    {"EndTimecode": str, "StartTimecode": str},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsInputsInputClippingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsInputsInputClippingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsInputsPositionTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsInputsPositionTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsInputsPositionTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsInputsPositionTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsInputsVideoSelectorHdr10MetadataTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsInputsVideoSelectorHdr10MetadataTypeDef",
    {
        "BluePrimaryX": int,
        "BluePrimaryY": int,
        "GreenPrimaryX": int,
        "GreenPrimaryY": int,
        "MaxContentLightLevel": int,
        "MaxFrameAverageLightLevel": int,
        "MaxLuminance": int,
        "MinLuminance": int,
        "RedPrimaryX": int,
        "RedPrimaryY": int,
        "WhitePointX": int,
        "WhitePointY": int,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsInputsVideoSelectorHdr10MetadataTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsInputsVideoSelectorHdr10MetadataTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsInputsVideoSelectorTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsInputsVideoSelectorTypeDef",
    {
        "AlphaBehavior": Literal["DISCARD", "REMAP_TO_LUMA"],
        "ColorSpace": Literal["FOLLOW", "REC_601", "REC_709", "HDR10", "HLG_2020"],
        "ColorSpaceUsage": Literal["FORCE", "FALLBACK"],
        "Hdr10Metadata": ClientListJobTemplatesResponseJobTemplatesSettingsInputsVideoSelectorHdr10MetadataTypeDef,
        "Pid": int,
        "ProgramNumber": int,
        "Rotate": Literal["DEGREE_0", "DEGREES_90", "DEGREES_180", "DEGREES_270", "AUTO"],
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsInputsVideoSelectorTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsInputsVideoSelectorTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsInputsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsInputsTypeDef",
    {
        "AudioSelectorGroups": Dict[
            str, ClientListJobTemplatesResponseJobTemplatesSettingsInputsAudioSelectorGroupsTypeDef
        ],
        "AudioSelectors": Dict[
            str, ClientListJobTemplatesResponseJobTemplatesSettingsInputsAudioSelectorsTypeDef
        ],
        "CaptionSelectors": Dict[
            str, ClientListJobTemplatesResponseJobTemplatesSettingsInputsCaptionSelectorsTypeDef
        ],
        "Crop": ClientListJobTemplatesResponseJobTemplatesSettingsInputsCropTypeDef,
        "DeblockFilter": Literal["ENABLED", "DISABLED"],
        "DenoiseFilter": Literal["ENABLED", "DISABLED"],
        "FilterEnable": Literal["AUTO", "DISABLE", "FORCE"],
        "FilterStrength": int,
        "ImageInserter": ClientListJobTemplatesResponseJobTemplatesSettingsInputsImageInserterTypeDef,
        "InputClippings": List[
            ClientListJobTemplatesResponseJobTemplatesSettingsInputsInputClippingsTypeDef
        ],
        "Position": ClientListJobTemplatesResponseJobTemplatesSettingsInputsPositionTypeDef,
        "ProgramNumber": int,
        "PsiControl": Literal["IGNORE_PSI", "USE_PSI"],
        "TimecodeSource": Literal["EMBEDDED", "ZEROBASED", "SPECIFIEDSTART"],
        "TimecodeStart": str,
        "VideoSelector": ClientListJobTemplatesResponseJobTemplatesSettingsInputsVideoSelectorTypeDef,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsInputsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsInputsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsMotionImageInserterFramerateTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsMotionImageInserterFramerateTypeDef",
    {"FramerateDenominator": int, "FramerateNumerator": int},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsMotionImageInserterFramerateTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsMotionImageInserterFramerateTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsMotionImageInserterOffsetTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsMotionImageInserterOffsetTypeDef",
    {"ImageX": int, "ImageY": int},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsMotionImageInserterOffsetTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsMotionImageInserterOffsetTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsMotionImageInserterTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsMotionImageInserterTypeDef",
    {
        "Framerate": ClientListJobTemplatesResponseJobTemplatesSettingsMotionImageInserterFramerateTypeDef,
        "Input": str,
        "InsertionMode": Literal["MOV", "PNG"],
        "Offset": ClientListJobTemplatesResponseJobTemplatesSettingsMotionImageInserterOffsetTypeDef,
        "Playback": Literal["ONCE", "REPEAT"],
        "StartTime": str,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsMotionImageInserterTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsMotionImageInserterTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsNielsenConfigurationTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsNielsenConfigurationTypeDef",
    {"BreakoutCode": int, "DistributorId": str},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsNielsenConfigurationTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsNielsenConfigurationTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {
        "CertificateArn": str,
        "DashSignaledSystemIds": List[str],
        "HlsSignaledSystemIds": List[str],
        "ResourceId": str,
        "Url": str,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef",
    {"KeyFormat": str, "KeyFormatVersions": str, "StaticKeyValue": str, "Url": str},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef",
    {
        "ConstantInitializationVector": str,
        "EncryptionMethod": Literal["SAMPLE_AES", "AES_CTR"],
        "InitializationVectorInManifest": Literal["INCLUDE", "EXCLUDE"],
        "SpekeKeyProvider": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef,
        "StaticKeyProvider": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef,
        "Type": Literal["SPEKE", "STATIC_KEY"],
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef",
    {
        "AdditionalManifests": List[
            ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef
        ],
        "BaseUrl": str,
        "ClientCache": Literal["DISABLED", "ENABLED"],
        "CodecSpecification": Literal["RFC_6381", "RFC_4281"],
        "Destination": str,
        "DestinationSettings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef,
        "Encryption": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef,
        "FragmentLength": int,
        "ManifestCompression": Literal["GZIP", "NONE"],
        "ManifestDurationFormat": Literal["FLOATING_POINT", "INTEGER"],
        "MinBufferTime": int,
        "MinFinalSegmentLength": float,
        "MpdProfile": Literal["MAIN_PROFILE", "ON_DEMAND_PROFILE"],
        "SegmentControl": Literal["SINGLE_FILE", "SEGMENTED_FILES"],
        "SegmentLength": int,
        "StreamInfResolution": Literal["INCLUDE", "EXCLUDE"],
        "WriteDashManifest": Literal["DISABLED", "ENABLED"],
        "WriteHlsManifest": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {"CertificateArn": str, "ResourceId": str, "SystemIds": List[str], "Url": str},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef",
    {
        "PlaybackDeviceCompatibility": Literal["CENC_V1", "UNENCRYPTED_SEI"],
        "SpekeKeyProvider": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef",
    {
        "AdditionalManifests": List[
            ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef
        ],
        "BaseUrl": str,
        "Destination": str,
        "DestinationSettings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef,
        "Encryption": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef,
        "FragmentLength": int,
        "HbbtvCompliance": Literal["HBBTV_1_5", "NONE"],
        "MinBufferTime": int,
        "MpdProfile": Literal["MAIN_PROFILE", "ON_DEMAND_PROFILE"],
        "SegmentControl": Literal["SINGLE_FILE", "SEGMENTED_FILES"],
        "SegmentLength": int,
        "WriteSegmentTimelineInRepresentation": Literal["ENABLED", "DISABLED"],
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef",
    {
        "Destination": str,
        "DestinationSettings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef",
    {
        "CaptionChannel": int,
        "CustomLanguageCode": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageDescription": str,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {"CertificateArn": str, "ResourceId": str, "SystemIds": List[str], "Url": str},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef",
    {"KeyFormat": str, "KeyFormatVersions": str, "StaticKeyValue": str, "Url": str},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef",
    {
        "ConstantInitializationVector": str,
        "EncryptionMethod": Literal["AES128", "SAMPLE_AES"],
        "InitializationVectorInManifest": Literal["INCLUDE", "EXCLUDE"],
        "OfflineEncrypted": Literal["ENABLED", "DISABLED"],
        "SpekeKeyProvider": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef,
        "StaticKeyProvider": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef,
        "Type": Literal["SPEKE", "STATIC_KEY"],
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef",
    {
        "AdMarkers": List[Literal["ELEMENTAL", "ELEMENTAL_SCTE35"]],
        "AdditionalManifests": List[
            ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef
        ],
        "BaseUrl": str,
        "CaptionLanguageMappings": List[
            ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef
        ],
        "CaptionLanguageSetting": Literal["INSERT", "OMIT", "NONE"],
        "ClientCache": Literal["DISABLED", "ENABLED"],
        "CodecSpecification": Literal["RFC_6381", "RFC_4281"],
        "Destination": str,
        "DestinationSettings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef,
        "DirectoryStructure": Literal["SINGLE_DIRECTORY", "SUBDIRECTORY_PER_STREAM"],
        "Encryption": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef,
        "ManifestCompression": Literal["GZIP", "NONE"],
        "ManifestDurationFormat": Literal["FLOATING_POINT", "INTEGER"],
        "MinFinalSegmentLength": float,
        "MinSegmentLength": int,
        "OutputSelection": Literal["MANIFESTS_AND_SEGMENTS", "SEGMENTS_ONLY"],
        "ProgramDateTime": Literal["INCLUDE", "EXCLUDE"],
        "ProgramDateTimePeriod": int,
        "SegmentControl": Literal["SINGLE_FILE", "SEGMENTED_FILES"],
        "SegmentLength": int,
        "SegmentsPerSubdirectory": int,
        "StreamInfResolution": Literal["INCLUDE", "EXCLUDE"],
        "TimedMetadataId3Frame": Literal["NONE", "PRIV", "TDRL"],
        "TimedMetadataId3Period": int,
        "TimestampDeltaMilliseconds": int,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {"CertificateArn": str, "ResourceId": str, "SystemIds": List[str], "Url": str},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef",
    {
        "SpekeKeyProvider": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef",
    {
        "AdditionalManifests": List[
            ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef
        ],
        "AudioDeduplication": Literal["COMBINE_DUPLICATE_STREAMS", "NONE"],
        "Destination": str,
        "DestinationSettings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef,
        "Encryption": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef,
        "FragmentLength": int,
        "ManifestEncoding": Literal["UTF8", "UTF16"],
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsTypeDef",
    {
        "CmafGroupSettings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef,
        "DashIsoGroupSettings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef,
        "FileGroupSettings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef,
        "HlsGroupSettings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef,
        "MsSmoothGroupSettings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef,
        "Type": Literal[
            "HLS_GROUP_SETTINGS",
            "DASH_ISO_GROUP_SETTINGS",
            "FILE_GROUP_SETTINGS",
            "MS_SMOOTH_GROUP_SETTINGS",
            "CMAF_GROUP_SETTINGS",
        ],
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef",
    {
        "Algorithm": Literal["ITU_BS_1770_1", "ITU_BS_1770_2", "ITU_BS_1770_3", "ITU_BS_1770_4"],
        "AlgorithmControl": Literal["CORRECT_AUDIO", "MEASURE_ONLY"],
        "CorrectionGateLevel": int,
        "LoudnessLogging": Literal["LOG", "DONT_LOG"],
        "PeakCalculation": Literal["TRUE_PEAK", "NONE"],
        "TargetLkfs": float,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef",
    {
        "AudioDescriptionBroadcasterMix": Literal["BROADCASTER_MIXED_AD", "NORMAL"],
        "Bitrate": int,
        "CodecProfile": Literal["LC", "HEV1", "HEV2"],
        "CodingMode": Literal[
            "AD_RECEIVER_MIX",
            "CODING_MODE_1_0",
            "CODING_MODE_1_1",
            "CODING_MODE_2_0",
            "CODING_MODE_5_1",
        ],
        "RateControlMode": Literal["CBR", "VBR"],
        "RawFormat": Literal["LATM_LOAS", "NONE"],
        "SampleRate": int,
        "Specification": Literal["MPEG2", "MPEG4"],
        "VbrQuality": Literal["LOW", "MEDIUM_LOW", "MEDIUM_HIGH", "HIGH"],
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef",
    {
        "Bitrate": int,
        "BitstreamMode": Literal[
            "COMPLETE_MAIN",
            "COMMENTARY",
            "DIALOGUE",
            "EMERGENCY",
            "HEARING_IMPAIRED",
            "MUSIC_AND_EFFECTS",
            "VISUALLY_IMPAIRED",
            "VOICE_OVER",
        ],
        "CodingMode": Literal[
            "CODING_MODE_1_0", "CODING_MODE_1_1", "CODING_MODE_2_0", "CODING_MODE_3_2_LFE"
        ],
        "Dialnorm": int,
        "DynamicRangeCompressionProfile": Literal["FILM_STANDARD", "NONE"],
        "LfeFilter": Literal["ENABLED", "DISABLED"],
        "MetadataControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "SampleRate": int,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef",
    {"BitDepth": int, "Channels": int, "SampleRate": int},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef",
    {
        "Bitrate": int,
        "BitstreamMode": str,
        "CodingMode": str,
        "DialogueIntelligence": Literal["ENABLED", "DISABLED"],
        "DynamicRangeCompressionLine": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "DynamicRangeCompressionRf": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "LoRoCenterMixLevel": float,
        "LoRoSurroundMixLevel": float,
        "LtRtCenterMixLevel": float,
        "LtRtSurroundMixLevel": float,
        "MeteringMode": Literal[
            "LEQ_A", "ITU_BS_1770_1", "ITU_BS_1770_2", "ITU_BS_1770_3", "ITU_BS_1770_4"
        ],
        "SampleRate": int,
        "SpeechThreshold": int,
        "StereoDownmix": Literal["NOT_INDICATED", "STEREO", "SURROUND", "DPL2"],
        "SurroundExMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef",
    {
        "AttenuationControl": Literal["ATTENUATE_3_DB", "NONE"],
        "Bitrate": int,
        "BitstreamMode": Literal[
            "COMPLETE_MAIN", "COMMENTARY", "EMERGENCY", "HEARING_IMPAIRED", "VISUALLY_IMPAIRED"
        ],
        "CodingMode": Literal["CODING_MODE_1_0", "CODING_MODE_2_0", "CODING_MODE_3_2"],
        "DcFilter": Literal["ENABLED", "DISABLED"],
        "Dialnorm": int,
        "DynamicRangeCompressionLine": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "DynamicRangeCompressionRf": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "LfeControl": Literal["LFE", "NO_LFE"],
        "LfeFilter": Literal["ENABLED", "DISABLED"],
        "LoRoCenterMixLevel": float,
        "LoRoSurroundMixLevel": float,
        "LtRtCenterMixLevel": float,
        "LtRtSurroundMixLevel": float,
        "MetadataControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "PassthroughControl": Literal["WHEN_POSSIBLE", "NO_PASSTHROUGH"],
        "PhaseControl": Literal["SHIFT_90_DEGREES", "NO_SHIFT"],
        "SampleRate": int,
        "StereoDownmix": Literal["NOT_INDICATED", "LO_RO", "LT_RT", "DPL2"],
        "SurroundExMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
        "SurroundMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef",
    {"Bitrate": int, "Channels": int, "SampleRate": int},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef",
    {"BitDepth": int, "Channels": int, "Format": Literal["RIFF", "RF64"], "SampleRate": int},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef",
    {
        "AacSettings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef,
        "Ac3Settings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef,
        "AiffSettings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef,
        "Codec": Literal["AAC", "MP2", "WAV", "AIFF", "AC3", "EAC3", "EAC3_ATMOS", "PASSTHROUGH"],
        "Eac3AtmosSettings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef,
        "Eac3Settings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef,
        "Mp2Settings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef,
        "WavSettings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef",
    {"InputChannels": List[int]},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef",
    {
        "OutputChannels": List[
            ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef
        ]
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef",
    {
        "ChannelMapping": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef,
        "ChannelsIn": int,
        "ChannelsOut": int,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsTypeDef",
    {
        "AudioNormalizationSettings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef,
        "AudioSourceName": str,
        "AudioType": int,
        "AudioTypeControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "CodecSettings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef,
        "CustomLanguageCode": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageCodeControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "RemixSettings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef,
        "StreamName": str,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef",
    {
        "Alignment": Literal["CENTERED", "LEFT"],
        "BackgroundColor": Literal["NONE", "BLACK", "WHITE"],
        "BackgroundOpacity": int,
        "FontColor": Literal["WHITE", "BLACK", "YELLOW", "RED", "GREEN", "BLUE"],
        "FontOpacity": int,
        "FontResolution": int,
        "FontScript": Literal["AUTOMATIC", "HANS", "HANT"],
        "FontSize": int,
        "OutlineColor": Literal["BLACK", "WHITE", "YELLOW", "RED", "GREEN", "BLUE"],
        "OutlineSize": int,
        "ShadowColor": Literal["NONE", "BLACK", "WHITE"],
        "ShadowOpacity": int,
        "ShadowXOffset": int,
        "ShadowYOffset": int,
        "TeletextSpacing": Literal["FIXED_GRID", "PROPORTIONAL"],
        "XPosition": int,
        "YPosition": int,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef",
    {
        "Alignment": Literal["CENTERED", "LEFT"],
        "BackgroundColor": Literal["NONE", "BLACK", "WHITE"],
        "BackgroundOpacity": int,
        "FontColor": Literal["WHITE", "BLACK", "YELLOW", "RED", "GREEN", "BLUE"],
        "FontOpacity": int,
        "FontResolution": int,
        "FontScript": Literal["AUTOMATIC", "HANS", "HANT"],
        "FontSize": int,
        "OutlineColor": Literal["BLACK", "WHITE", "YELLOW", "RED", "GREEN", "BLUE"],
        "OutlineSize": int,
        "ShadowColor": Literal["NONE", "BLACK", "WHITE"],
        "ShadowOpacity": int,
        "ShadowXOffset": int,
        "ShadowYOffset": int,
        "SubtitlingType": Literal["HEARING_IMPAIRED", "STANDARD"],
        "TeletextSpacing": Literal["FIXED_GRID", "PROPORTIONAL"],
        "XPosition": int,
        "YPosition": int,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef",
    {"Destination608ChannelNumber": int, "Destination708ServiceNumber": int},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef",
    {"StylePassthrough": Literal["ENABLED", "DISABLED"]},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef",
    {
        "Framerate": Literal[
            "FRAMERATE_23_97",
            "FRAMERATE_24",
            "FRAMERATE_25",
            "FRAMERATE_29_97_DROPFRAME",
            "FRAMERATE_29_97_NON_DROPFRAME",
        ]
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef",
    {
        "PageNumber": str,
        "PageTypes": List[
            Literal[
                "PAGE_TYPE_INITIAL",
                "PAGE_TYPE_SUBTITLE",
                "PAGE_TYPE_ADDL_INFO",
                "PAGE_TYPE_PROGRAM_SCHEDULE",
                "PAGE_TYPE_HEARING_IMPAIRED_SUBTITLE",
            ]
        ],
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef",
    {"StylePassthrough": Literal["ENABLED", "DISABLED"]},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef",
    {
        "BurninDestinationSettings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef,
        "DestinationType": Literal[
            "BURN_IN",
            "DVB_SUB",
            "EMBEDDED",
            "EMBEDDED_PLUS_SCTE20",
            "IMSC",
            "SCTE20_PLUS_EMBEDDED",
            "SCC",
            "SRT",
            "SMI",
            "TELETEXT",
            "TTML",
            "WEBVTT",
        ],
        "DvbSubDestinationSettings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef,
        "EmbeddedDestinationSettings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef,
        "ImscDestinationSettings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef,
        "SccDestinationSettings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef,
        "TeletextDestinationSettings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef,
        "TtmlDestinationSettings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef",
    {
        "CaptionSelectorName": str,
        "CustomLanguageCode": str,
        "DestinationSettings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageDescription": str,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef",
    {"MoovPlacement": Literal["PROGRESSIVE_DOWNLOAD", "NORMAL"]},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef",
    {"NetworkId": int, "NetworkName": str, "NitInterval": int},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef",
    {
        "OutputSdt": Literal["SDT_FOLLOW", "SDT_FOLLOW_IF_PRESENT", "SDT_MANUAL", "SDT_NONE"],
        "SdtInterval": int,
        "ServiceName": str,
        "ServiceProviderName": str,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef",
    {"TdtInterval": int},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef",
    {"Scte35EsamPid": int},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef",
    {
        "AudioBufferModel": Literal["DVB", "ATSC"],
        "AudioFramesPerPes": int,
        "AudioPids": List[int],
        "Bitrate": int,
        "BufferModel": Literal["MULTIPLEX", "NONE"],
        "DvbNitSettings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef,
        "DvbSdtSettings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef,
        "DvbSubPids": List[int],
        "DvbTdtSettings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef,
        "DvbTeletextPid": int,
        "EbpAudioInterval": Literal["VIDEO_AND_FIXED_INTERVALS", "VIDEO_INTERVAL"],
        "EbpPlacement": Literal["VIDEO_AND_AUDIO_PIDS", "VIDEO_PID"],
        "EsRateInPes": Literal["INCLUDE", "EXCLUDE"],
        "ForceTsVideoEbpOrder": Literal["FORCE", "DEFAULT"],
        "FragmentTime": float,
        "MaxPcrInterval": int,
        "MinEbpInterval": int,
        "NielsenId3": Literal["INSERT", "NONE"],
        "NullPacketBitrate": float,
        "PatInterval": int,
        "PcrControl": Literal["PCR_EVERY_PES_PACKET", "CONFIGURED_PCR_PERIOD"],
        "PcrPid": int,
        "PmtInterval": int,
        "PmtPid": int,
        "PrivateMetadataPid": int,
        "ProgramNumber": int,
        "RateMode": Literal["VBR", "CBR"],
        "Scte35Esam": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef,
        "Scte35Pid": int,
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
        "SegmentationMarkers": Literal[
            "NONE", "RAI_SEGSTART", "RAI_ADAPT", "PSI_SEGSTART", "EBP", "EBP_LEGACY"
        ],
        "SegmentationStyle": Literal["MAINTAIN_CADENCE", "RESET_CADENCE"],
        "SegmentationTime": float,
        "TimedMetadataPid": int,
        "TransportStreamId": int,
        "VideoPid": int,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef",
    {
        "AudioFramesPerPes": int,
        "AudioPids": List[int],
        "NielsenId3": Literal["INSERT", "NONE"],
        "PatInterval": int,
        "PcrControl": Literal["PCR_EVERY_PES_PACKET", "CONFIGURED_PCR_PERIOD"],
        "PcrPid": int,
        "PmtInterval": int,
        "PmtPid": int,
        "PrivateMetadataPid": int,
        "ProgramNumber": int,
        "Scte35Pid": int,
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
        "TimedMetadata": Literal["PASSTHROUGH", "NONE"],
        "TimedMetadataPid": int,
        "TransportStreamId": int,
        "VideoPid": int,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef",
    {
        "ClapAtom": Literal["INCLUDE", "EXCLUDE"],
        "CslgAtom": Literal["INCLUDE", "EXCLUDE"],
        "Mpeg2FourCCControl": Literal["XDCAM", "MPEG"],
        "PaddingControl": Literal["OMNEON", "NONE"],
        "Reference": Literal["SELF_CONTAINED", "EXTERNAL"],
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef",
    {
        "CslgAtom": Literal["INCLUDE", "EXCLUDE"],
        "FreeSpaceBox": Literal["INCLUDE", "EXCLUDE"],
        "MoovPlacement": Literal["PROGRESSIVE_DOWNLOAD", "NORMAL"],
        "Mp4MajorBrand": str,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef",
    {
        "CaptionContainerType": Literal["RAW", "FRAGMENTED_MP4"],
        "Scte35Esam": Literal["INSERT", "NONE"],
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsTypeDef",
    {
        "Container": Literal[
            "F4V", "ISMV", "M2TS", "M3U8", "CMFC", "MOV", "MP4", "MPD", "MXF", "RAW"
        ],
        "F4vSettings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef,
        "M2tsSettings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef,
        "M3u8Settings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef,
        "MovSettings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef,
        "Mp4Settings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef,
        "MpdSettings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef",
    {
        "AudioGroupId": str,
        "AudioOnlyContainer": Literal["AUTOMATIC", "M2TS"],
        "AudioRenditionSets": str,
        "AudioTrackType": Literal[
            "ALTERNATE_AUDIO_AUTO_SELECT_DEFAULT",
            "ALTERNATE_AUDIO_AUTO_SELECT",
            "ALTERNATE_AUDIO_NOT_AUTO_SELECT",
            "AUDIO_ONLY_VARIANT_STREAM",
        ],
        "IFrameOnlyManifest": Literal["INCLUDE", "EXCLUDE"],
        "SegmentModifier": str,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsOutputSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsOutputSettingsTypeDef",
    {
        "HlsSettings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsOutputSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsOutputSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef",
    {"FramerateDenominator": int, "FramerateNumerator": int, "MaxCaptures": int, "Quality": int},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef",
    {"MaxAverageBitrate": int, "QvbrQualityLevel": int},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH", "HIGHER", "MAX"],
        "Bitrate": int,
        "CodecLevel": Literal[
            "AUTO",
            "LEVEL_1",
            "LEVEL_1_1",
            "LEVEL_1_2",
            "LEVEL_1_3",
            "LEVEL_2",
            "LEVEL_2_1",
            "LEVEL_2_2",
            "LEVEL_3",
            "LEVEL_3_1",
            "LEVEL_3_2",
            "LEVEL_4",
            "LEVEL_4_1",
            "LEVEL_4_2",
            "LEVEL_5",
            "LEVEL_5_1",
            "LEVEL_5_2",
        ],
        "CodecProfile": Literal[
            "BASELINE", "HIGH", "HIGH_10BIT", "HIGH_422", "HIGH_422_10BIT", "MAIN"
        ],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "EntropyEncoding": Literal["CABAC", "CAVLC"],
        "FieldEncoding": Literal["PAFF", "FORCE_FIELD"],
        "FlickerAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopBReference": Literal["DISABLED", "ENABLED"],
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "NumberReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "SINGLE_PASS_HQ", "MULTI_PASS_HQ"],
        "QvbrSettings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef,
        "RateControlMode": Literal["VBR", "CBR", "QVBR"],
        "RepeatPps": Literal["DISABLED", "ENABLED"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED", "TRANSITION_DETECTION"],
        "Slices": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Softness": int,
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Syntax": Literal["DEFAULT", "RP2027"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "UnregisteredSeiTimecode": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef",
    {"MaxAverageBitrate": int, "QvbrQualityLevel": int},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH", "HIGHER", "MAX"],
        "AlternateTransferFunctionSei": Literal["DISABLED", "ENABLED"],
        "Bitrate": int,
        "CodecLevel": Literal[
            "AUTO",
            "LEVEL_1",
            "LEVEL_2",
            "LEVEL_2_1",
            "LEVEL_3",
            "LEVEL_3_1",
            "LEVEL_4",
            "LEVEL_4_1",
            "LEVEL_5",
            "LEVEL_5_1",
            "LEVEL_5_2",
            "LEVEL_6",
            "LEVEL_6_1",
            "LEVEL_6_2",
        ],
        "CodecProfile": Literal[
            "MAIN_MAIN",
            "MAIN_HIGH",
            "MAIN10_MAIN",
            "MAIN10_HIGH",
            "MAIN_422_8BIT_MAIN",
            "MAIN_422_8BIT_HIGH",
            "MAIN_422_10BIT_MAIN",
            "MAIN_422_10BIT_HIGH",
        ],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "FlickerAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopBReference": Literal["DISABLED", "ENABLED"],
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "NumberReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "SINGLE_PASS_HQ", "MULTI_PASS_HQ"],
        "QvbrSettings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef,
        "RateControlMode": Literal["VBR", "CBR", "QVBR"],
        "SampleAdaptiveOffsetFilterMode": Literal["DEFAULT", "ADAPTIVE", "OFF"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED", "TRANSITION_DETECTION"],
        "Slices": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "TemporalIds": Literal["DISABLED", "ENABLED"],
        "Tiles": Literal["DISABLED", "ENABLED"],
        "UnregisteredSeiTimecode": Literal["DISABLED", "ENABLED"],
        "WriteMp4PackagingType": Literal["HVC1", "HEV1"],
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH"],
        "Bitrate": int,
        "CodecLevel": Literal["AUTO", "LOW", "MAIN", "HIGH1440", "HIGH"],
        "CodecProfile": Literal["MAIN", "PROFILE_422"],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "IntraDcPrecision": Literal[
            "AUTO",
            "INTRA_DC_PRECISION_8",
            "INTRA_DC_PRECISION_9",
            "INTRA_DC_PRECISION_10",
            "INTRA_DC_PRECISION_11",
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "MULTI_PASS"],
        "RateControlMode": Literal["VBR", "CBR"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED"],
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Softness": int,
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Syntax": Literal["DEFAULT", "D_10"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef",
    {
        "CodecProfile": Literal[
            "APPLE_PRORES_422",
            "APPLE_PRORES_422_HQ",
            "APPLE_PRORES_422_LT",
            "APPLE_PRORES_422_PROXY",
        ],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Telecine": Literal["NONE", "HARD"],
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef",
    {
        "Codec": Literal["FRAME_CAPTURE", "H_264", "H_265", "MPEG2", "PRORES"],
        "FrameCaptureSettings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef,
        "H264Settings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef,
        "H265Settings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef,
        "Mpeg2Settings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef,
        "ProresSettings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef",
    {
        "BluePrimaryX": int,
        "BluePrimaryY": int,
        "GreenPrimaryX": int,
        "GreenPrimaryY": int,
        "MaxContentLightLevel": int,
        "MaxFrameAverageLightLevel": int,
        "MaxLuminance": int,
        "MinLuminance": int,
        "RedPrimaryX": int,
        "RedPrimaryY": int,
        "WhitePointX": int,
        "WhitePointY": int,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef",
    {
        "Brightness": int,
        "ColorSpaceConversion": Literal[
            "NONE", "FORCE_601", "FORCE_709", "FORCE_HDR10", "FORCE_HLG_2020"
        ],
        "Contrast": int,
        "Hdr10Metadata": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef,
        "Hue": int,
        "Saturation": int,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef",
    {
        "Algorithm": Literal["INTERPOLATE", "INTERPOLATE_TICKER", "BLEND", "BLEND_TICKER"],
        "Control": Literal["FORCE_ALL_FRAMES", "NORMAL"],
        "Mode": Literal["DEINTERLACE", "INVERSE_TELECINE", "ADAPTIVE"],
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef",
    {"MaxCll": int, "MaxFall": int},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef",
    {
        "L6Metadata": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef,
        "L6Mode": Literal["PASSTHROUGH", "RECALCULATE", "SPECIFY"],
        "Profile": str,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef",
    {
        "Duration": int,
        "FadeIn": int,
        "FadeOut": int,
        "Height": int,
        "ImageInserterInput": str,
        "ImageX": int,
        "ImageY": int,
        "Layer": int,
        "Opacity": int,
        "StartTime": str,
        "Width": int,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef",
    {
        "InsertableImages": List[
            ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef
        ]
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef",
    {"Strength": int},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef",
    {"PostFilterSharpenStrength": int, "Speed": int, "Strength": int},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef",
    {"AggressiveMode": int, "Speed": int, "Strength": int},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef",
    {
        "Filter": Literal[
            "BILATERAL", "MEAN", "GAUSSIAN", "LANCZOS", "SHARPEN", "CONSERVE", "SPATIAL", "TEMPORAL"
        ],
        "FilterSettings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef,
        "SpatialFilterSettings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef,
        "TemporalFilterSettings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef",
    {
        "FontSize": int,
        "Position": Literal[
            "TOP_CENTER",
            "TOP_LEFT",
            "TOP_RIGHT",
            "MIDDLE_LEFT",
            "MIDDLE_CENTER",
            "MIDDLE_RIGHT",
            "BOTTOM_LEFT",
            "BOTTOM_CENTER",
            "BOTTOM_RIGHT",
        ],
        "Prefix": str,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef",
    {
        "ColorCorrector": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef,
        "Deinterlacer": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef,
        "DolbyVision": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef,
        "ImageInserter": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef,
        "NoiseReducer": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef,
        "TimecodeBurnin": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionTypeDef",
    {
        "AfdSignaling": Literal["NONE", "AUTO", "FIXED"],
        "AntiAlias": Literal["DISABLED", "ENABLED"],
        "CodecSettings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef,
        "ColorMetadata": Literal["IGNORE", "INSERT"],
        "Crop": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef,
        "DropFrameTimecode": Literal["DISABLED", "ENABLED"],
        "FixedAfd": int,
        "Height": int,
        "Position": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef,
        "RespondToAfd": Literal["NONE", "RESPOND", "PASSTHROUGH"],
        "ScalingBehavior": Literal["DEFAULT", "STRETCH_TO_OUTPUT"],
        "Sharpness": int,
        "TimecodeInsertion": Literal["DISABLED", "PIC_TIMING_SEI"],
        "VideoPreprocessors": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef,
        "Width": int,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsTypeDef",
    {
        "AudioDescriptions": List[
            ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsTypeDef
        ],
        "CaptionDescriptions": List[
            ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef
        ],
        "ContainerSettings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsTypeDef,
        "Extension": str,
        "NameModifier": str,
        "OutputSettings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsOutputSettingsTypeDef,
        "Preset": str,
        "VideoDescription": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionTypeDef,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsTypeDef",
    {
        "CustomName": str,
        "Name": str,
        "OutputGroupSettings": ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsTypeDef,
        "Outputs": List[
            ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsOutputsTypeDef
        ],
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsTimecodeConfigTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsTimecodeConfigTypeDef",
    {
        "Anchor": str,
        "Source": Literal["EMBEDDED", "ZEROBASED", "SPECIFIEDSTART"],
        "Start": str,
        "TimestampOffset": str,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsTimecodeConfigTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsTimecodeConfigTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsTimedMetadataInsertionId3InsertionsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsTimedMetadataInsertionId3InsertionsTypeDef",
    {"Id3": str, "Timecode": str},
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsTimedMetadataInsertionId3InsertionsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsTimedMetadataInsertionId3InsertionsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsTimedMetadataInsertionTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsTimedMetadataInsertionTypeDef",
    {
        "Id3Insertions": List[
            ClientListJobTemplatesResponseJobTemplatesSettingsTimedMetadataInsertionId3InsertionsTypeDef
        ]
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsTimedMetadataInsertionTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsTimedMetadataInsertionTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesSettingsTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesSettingsTypeDef",
    {
        "AdAvailOffset": int,
        "AvailBlanking": ClientListJobTemplatesResponseJobTemplatesSettingsAvailBlankingTypeDef,
        "Esam": ClientListJobTemplatesResponseJobTemplatesSettingsEsamTypeDef,
        "Inputs": List[ClientListJobTemplatesResponseJobTemplatesSettingsInputsTypeDef],
        "MotionImageInserter": ClientListJobTemplatesResponseJobTemplatesSettingsMotionImageInserterTypeDef,
        "NielsenConfiguration": ClientListJobTemplatesResponseJobTemplatesSettingsNielsenConfigurationTypeDef,
        "OutputGroups": List[ClientListJobTemplatesResponseJobTemplatesSettingsOutputGroupsTypeDef],
        "TimecodeConfig": ClientListJobTemplatesResponseJobTemplatesSettingsTimecodeConfigTypeDef,
        "TimedMetadataInsertion": ClientListJobTemplatesResponseJobTemplatesSettingsTimedMetadataInsertionTypeDef,
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesSettingsTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesSettingsTypeDef
):
    pass


_ClientListJobTemplatesResponseJobTemplatesTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseJobTemplatesTypeDef",
    {
        "AccelerationSettings": ClientListJobTemplatesResponseJobTemplatesAccelerationSettingsTypeDef,
        "Arn": str,
        "Category": str,
        "CreatedAt": datetime,
        "Description": str,
        "LastUpdated": datetime,
        "Name": str,
        "Priority": int,
        "Queue": str,
        "Settings": ClientListJobTemplatesResponseJobTemplatesSettingsTypeDef,
        "StatusUpdateInterval": Literal[
            "SECONDS_10",
            "SECONDS_12",
            "SECONDS_15",
            "SECONDS_20",
            "SECONDS_30",
            "SECONDS_60",
            "SECONDS_120",
            "SECONDS_180",
            "SECONDS_240",
            "SECONDS_300",
            "SECONDS_360",
            "SECONDS_420",
            "SECONDS_480",
            "SECONDS_540",
            "SECONDS_600",
        ],
        "Type": Literal["SYSTEM", "CUSTOM"],
    },
    total=False,
)


class ClientListJobTemplatesResponseJobTemplatesTypeDef(
    _ClientListJobTemplatesResponseJobTemplatesTypeDef
):
    """
    - *(dict) --*A job template is a pre-made set of encoding instructions that you can use to
    quickly create a job.

      - **AccelerationSettings** *(dict) --*Accelerated transcoding can significantly speed up jobs
      with long, visually complex content.

        - **Mode** *(string) --*Specify the conditions when the service will run your job with
        accelerated transcoding.
    """


_ClientListJobTemplatesResponseTypeDef = TypedDict(
    "_ClientListJobTemplatesResponseTypeDef",
    {"JobTemplates": List[ClientListJobTemplatesResponseJobTemplatesTypeDef], "NextToken": str},
    total=False,
)


class ClientListJobTemplatesResponseTypeDef(_ClientListJobTemplatesResponseTypeDef):
    """
    - *(dict) --*

      - **JobTemplates** *(list) --*List of Job templates.

        - *(dict) --*A job template is a pre-made set of encoding instructions that you can use to
        quickly create a job.

          - **AccelerationSettings** *(dict) --*Accelerated transcoding can significantly speed up
          jobs with long, visually complex content.

            - **Mode** *(string) --*Specify the conditions when the service will run your job with
            accelerated transcoding.
    """


_ClientListJobsResponseJobsAccelerationSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsAccelerationSettingsTypeDef",
    {"Mode": Literal["DISABLED", "ENABLED", "PREFERRED"]},
    total=False,
)


class ClientListJobsResponseJobsAccelerationSettingsTypeDef(
    _ClientListJobsResponseJobsAccelerationSettingsTypeDef
):
    """
    - **AccelerationSettings** *(dict) --*Accelerated transcoding can significantly speed up jobs
    with long, visually complex content.

      - **Mode** *(string) --*Specify the conditions when the service will run your job with
      accelerated transcoding.
    """


_ClientListJobsResponseJobsMessagesTypeDef = TypedDict(
    "_ClientListJobsResponseJobsMessagesTypeDef",
    {"Info": List[str], "Warning": List[str]},
    total=False,
)


class ClientListJobsResponseJobsMessagesTypeDef(_ClientListJobsResponseJobsMessagesTypeDef):
    pass


_ClientListJobsResponseJobsOutputGroupDetailsOutputDetailsVideoDetailsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsOutputGroupDetailsOutputDetailsVideoDetailsTypeDef",
    {"HeightInPx": int, "WidthInPx": int},
    total=False,
)


class ClientListJobsResponseJobsOutputGroupDetailsOutputDetailsVideoDetailsTypeDef(
    _ClientListJobsResponseJobsOutputGroupDetailsOutputDetailsVideoDetailsTypeDef
):
    pass


_ClientListJobsResponseJobsOutputGroupDetailsOutputDetailsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsOutputGroupDetailsOutputDetailsTypeDef",
    {
        "DurationInMs": int,
        "VideoDetails": ClientListJobsResponseJobsOutputGroupDetailsOutputDetailsVideoDetailsTypeDef,
    },
    total=False,
)


class ClientListJobsResponseJobsOutputGroupDetailsOutputDetailsTypeDef(
    _ClientListJobsResponseJobsOutputGroupDetailsOutputDetailsTypeDef
):
    pass


_ClientListJobsResponseJobsOutputGroupDetailsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsOutputGroupDetailsTypeDef",
    {"OutputDetails": List[ClientListJobsResponseJobsOutputGroupDetailsOutputDetailsTypeDef]},
    total=False,
)


class ClientListJobsResponseJobsOutputGroupDetailsTypeDef(
    _ClientListJobsResponseJobsOutputGroupDetailsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsAvailBlankingTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsAvailBlankingTypeDef",
    {"AvailBlankingImage": str},
    total=False,
)


class ClientListJobsResponseJobsSettingsAvailBlankingTypeDef(
    _ClientListJobsResponseJobsSettingsAvailBlankingTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsEsamManifestConfirmConditionNotificationTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsEsamManifestConfirmConditionNotificationTypeDef",
    {"MccXml": str},
    total=False,
)


class ClientListJobsResponseJobsSettingsEsamManifestConfirmConditionNotificationTypeDef(
    _ClientListJobsResponseJobsSettingsEsamManifestConfirmConditionNotificationTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsEsamSignalProcessingNotificationTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsEsamSignalProcessingNotificationTypeDef",
    {"SccXml": str},
    total=False,
)


class ClientListJobsResponseJobsSettingsEsamSignalProcessingNotificationTypeDef(
    _ClientListJobsResponseJobsSettingsEsamSignalProcessingNotificationTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsEsamTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsEsamTypeDef",
    {
        "ManifestConfirmConditionNotification": ClientListJobsResponseJobsSettingsEsamManifestConfirmConditionNotificationTypeDef,
        "ResponseSignalPreroll": int,
        "SignalProcessingNotification": ClientListJobsResponseJobsSettingsEsamSignalProcessingNotificationTypeDef,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsEsamTypeDef(_ClientListJobsResponseJobsSettingsEsamTypeDef):
    pass


_ClientListJobsResponseJobsSettingsInputsAudioSelectorGroupsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsInputsAudioSelectorGroupsTypeDef",
    {"AudioSelectorNames": List[str]},
    total=False,
)


class ClientListJobsResponseJobsSettingsInputsAudioSelectorGroupsTypeDef(
    _ClientListJobsResponseJobsSettingsInputsAudioSelectorGroupsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef",
    {"InputChannels": List[int]},
    total=False,
)


class ClientListJobsResponseJobsSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef(
    _ClientListJobsResponseJobsSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef",
    {
        "OutputChannels": List[
            ClientListJobsResponseJobsSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef
        ]
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef(
    _ClientListJobsResponseJobsSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsInputsAudioSelectorsRemixSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsInputsAudioSelectorsRemixSettingsTypeDef",
    {
        "ChannelMapping": ClientListJobsResponseJobsSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef,
        "ChannelsIn": int,
        "ChannelsOut": int,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsInputsAudioSelectorsRemixSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsInputsAudioSelectorsRemixSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsInputsAudioSelectorsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsInputsAudioSelectorsTypeDef",
    {
        "CustomLanguageCode": str,
        "DefaultSelection": Literal["DEFAULT", "NOT_DEFAULT"],
        "ExternalAudioFileInput": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "Offset": int,
        "Pids": List[int],
        "ProgramSelection": int,
        "RemixSettings": ClientListJobsResponseJobsSettingsInputsAudioSelectorsRemixSettingsTypeDef,
        "SelectorType": Literal["PID", "TRACK", "LANGUAGE_CODE"],
        "Tracks": List[int],
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsInputsAudioSelectorsTypeDef(
    _ClientListJobsResponseJobsSettingsInputsAudioSelectorsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef",
    {
        "Convert608To708": Literal["UPCONVERT", "DISABLED"],
        "SourceAncillaryChannelNumber": int,
        "TerminateCaptions": Literal["END_OF_INPUT", "DISABLED"],
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef",
    {"Pid": int},
    total=False,
)


class ClientListJobsResponseJobsSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef",
    {
        "Convert608To708": Literal["UPCONVERT", "DISABLED"],
        "Source608ChannelNumber": int,
        "Source608TrackNumber": int,
        "TerminateCaptions": Literal["END_OF_INPUT", "DISABLED"],
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef",
    {"Convert608To708": Literal["UPCONVERT", "DISABLED"], "SourceFile": str, "TimeDelta": int},
    total=False,
)


class ClientListJobsResponseJobsSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef",
    {"PageNumber": str},
    total=False,
)


class ClientListJobsResponseJobsSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef",
    {"TrackNumber": int},
    total=False,
)


class ClientListJobsResponseJobsSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsInputsCaptionSelectorsSourceSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsInputsCaptionSelectorsSourceSettingsTypeDef",
    {
        "AncillarySourceSettings": ClientListJobsResponseJobsSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef,
        "DvbSubSourceSettings": ClientListJobsResponseJobsSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef,
        "EmbeddedSourceSettings": ClientListJobsResponseJobsSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef,
        "FileSourceSettings": ClientListJobsResponseJobsSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef,
        "SourceType": Literal[
            "ANCILLARY",
            "DVB_SUB",
            "EMBEDDED",
            "SCTE20",
            "SCC",
            "TTML",
            "STL",
            "SRT",
            "SMI",
            "TELETEXT",
            "NULL_SOURCE",
            "IMSC",
        ],
        "TeletextSourceSettings": ClientListJobsResponseJobsSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef,
        "TrackSourceSettings": ClientListJobsResponseJobsSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsInputsCaptionSelectorsSourceSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsInputsCaptionSelectorsSourceSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsInputsCaptionSelectorsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsInputsCaptionSelectorsTypeDef",
    {
        "CustomLanguageCode": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "SourceSettings": ClientListJobsResponseJobsSettingsInputsCaptionSelectorsSourceSettingsTypeDef,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsInputsCaptionSelectorsTypeDef(
    _ClientListJobsResponseJobsSettingsInputsCaptionSelectorsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsInputsCropTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsInputsCropTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientListJobsResponseJobsSettingsInputsCropTypeDef(
    _ClientListJobsResponseJobsSettingsInputsCropTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsInputsDecryptionSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsInputsDecryptionSettingsTypeDef",
    {
        "DecryptionMode": Literal["AES_CTR", "AES_CBC", "AES_GCM"],
        "EncryptedDecryptionKey": str,
        "InitializationVector": str,
        "KmsKeyRegion": str,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsInputsDecryptionSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsInputsDecryptionSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsInputsImageInserterInsertableImagesTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsInputsImageInserterInsertableImagesTypeDef",
    {
        "Duration": int,
        "FadeIn": int,
        "FadeOut": int,
        "Height": int,
        "ImageInserterInput": str,
        "ImageX": int,
        "ImageY": int,
        "Layer": int,
        "Opacity": int,
        "StartTime": str,
        "Width": int,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsInputsImageInserterInsertableImagesTypeDef(
    _ClientListJobsResponseJobsSettingsInputsImageInserterInsertableImagesTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsInputsImageInserterTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsInputsImageInserterTypeDef",
    {
        "InsertableImages": List[
            ClientListJobsResponseJobsSettingsInputsImageInserterInsertableImagesTypeDef
        ]
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsInputsImageInserterTypeDef(
    _ClientListJobsResponseJobsSettingsInputsImageInserterTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsInputsInputClippingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsInputsInputClippingsTypeDef",
    {"EndTimecode": str, "StartTimecode": str},
    total=False,
)


class ClientListJobsResponseJobsSettingsInputsInputClippingsTypeDef(
    _ClientListJobsResponseJobsSettingsInputsInputClippingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsInputsPositionTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsInputsPositionTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientListJobsResponseJobsSettingsInputsPositionTypeDef(
    _ClientListJobsResponseJobsSettingsInputsPositionTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsInputsVideoSelectorHdr10MetadataTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsInputsVideoSelectorHdr10MetadataTypeDef",
    {
        "BluePrimaryX": int,
        "BluePrimaryY": int,
        "GreenPrimaryX": int,
        "GreenPrimaryY": int,
        "MaxContentLightLevel": int,
        "MaxFrameAverageLightLevel": int,
        "MaxLuminance": int,
        "MinLuminance": int,
        "RedPrimaryX": int,
        "RedPrimaryY": int,
        "WhitePointX": int,
        "WhitePointY": int,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsInputsVideoSelectorHdr10MetadataTypeDef(
    _ClientListJobsResponseJobsSettingsInputsVideoSelectorHdr10MetadataTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsInputsVideoSelectorTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsInputsVideoSelectorTypeDef",
    {
        "AlphaBehavior": Literal["DISCARD", "REMAP_TO_LUMA"],
        "ColorSpace": Literal["FOLLOW", "REC_601", "REC_709", "HDR10", "HLG_2020"],
        "ColorSpaceUsage": Literal["FORCE", "FALLBACK"],
        "Hdr10Metadata": ClientListJobsResponseJobsSettingsInputsVideoSelectorHdr10MetadataTypeDef,
        "Pid": int,
        "ProgramNumber": int,
        "Rotate": Literal["DEGREE_0", "DEGREES_90", "DEGREES_180", "DEGREES_270", "AUTO"],
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsInputsVideoSelectorTypeDef(
    _ClientListJobsResponseJobsSettingsInputsVideoSelectorTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsInputsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsInputsTypeDef",
    {
        "AudioSelectorGroups": Dict[
            str, ClientListJobsResponseJobsSettingsInputsAudioSelectorGroupsTypeDef
        ],
        "AudioSelectors": Dict[str, ClientListJobsResponseJobsSettingsInputsAudioSelectorsTypeDef],
        "CaptionSelectors": Dict[
            str, ClientListJobsResponseJobsSettingsInputsCaptionSelectorsTypeDef
        ],
        "Crop": ClientListJobsResponseJobsSettingsInputsCropTypeDef,
        "DeblockFilter": Literal["ENABLED", "DISABLED"],
        "DecryptionSettings": ClientListJobsResponseJobsSettingsInputsDecryptionSettingsTypeDef,
        "DenoiseFilter": Literal["ENABLED", "DISABLED"],
        "FileInput": str,
        "FilterEnable": Literal["AUTO", "DISABLE", "FORCE"],
        "FilterStrength": int,
        "ImageInserter": ClientListJobsResponseJobsSettingsInputsImageInserterTypeDef,
        "InputClippings": List[ClientListJobsResponseJobsSettingsInputsInputClippingsTypeDef],
        "Position": ClientListJobsResponseJobsSettingsInputsPositionTypeDef,
        "ProgramNumber": int,
        "PsiControl": Literal["IGNORE_PSI", "USE_PSI"],
        "SupplementalImps": List[str],
        "TimecodeSource": Literal["EMBEDDED", "ZEROBASED", "SPECIFIEDSTART"],
        "TimecodeStart": str,
        "VideoSelector": ClientListJobsResponseJobsSettingsInputsVideoSelectorTypeDef,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsInputsTypeDef(
    _ClientListJobsResponseJobsSettingsInputsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsMotionImageInserterFramerateTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsMotionImageInserterFramerateTypeDef",
    {"FramerateDenominator": int, "FramerateNumerator": int},
    total=False,
)


class ClientListJobsResponseJobsSettingsMotionImageInserterFramerateTypeDef(
    _ClientListJobsResponseJobsSettingsMotionImageInserterFramerateTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsMotionImageInserterOffsetTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsMotionImageInserterOffsetTypeDef",
    {"ImageX": int, "ImageY": int},
    total=False,
)


class ClientListJobsResponseJobsSettingsMotionImageInserterOffsetTypeDef(
    _ClientListJobsResponseJobsSettingsMotionImageInserterOffsetTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsMotionImageInserterTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsMotionImageInserterTypeDef",
    {
        "Framerate": ClientListJobsResponseJobsSettingsMotionImageInserterFramerateTypeDef,
        "Input": str,
        "InsertionMode": Literal["MOV", "PNG"],
        "Offset": ClientListJobsResponseJobsSettingsMotionImageInserterOffsetTypeDef,
        "Playback": Literal["ONCE", "REPEAT"],
        "StartTime": str,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsMotionImageInserterTypeDef(
    _ClientListJobsResponseJobsSettingsMotionImageInserterTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsNielsenConfigurationTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsNielsenConfigurationTypeDef",
    {"BreakoutCode": int, "DistributorId": str},
    total=False,
)


class ClientListJobsResponseJobsSettingsNielsenConfigurationTypeDef(
    _ClientListJobsResponseJobsSettingsNielsenConfigurationTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {
        "CertificateArn": str,
        "DashSignaledSystemIds": List[str],
        "HlsSignaledSystemIds": List[str],
        "ResourceId": str,
        "Url": str,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef",
    {"KeyFormat": str, "KeyFormatVersions": str, "StaticKeyValue": str, "Url": str},
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef",
    {
        "ConstantInitializationVector": str,
        "EncryptionMethod": Literal["SAMPLE_AES", "AES_CTR"],
        "InitializationVectorInManifest": Literal["INCLUDE", "EXCLUDE"],
        "SpekeKeyProvider": ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef,
        "StaticKeyProvider": ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef,
        "Type": Literal["SPEKE", "STATIC_KEY"],
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef",
    {
        "AdditionalManifests": List[
            ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef
        ],
        "BaseUrl": str,
        "ClientCache": Literal["DISABLED", "ENABLED"],
        "CodecSpecification": Literal["RFC_6381", "RFC_4281"],
        "Destination": str,
        "DestinationSettings": ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef,
        "Encryption": ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef,
        "FragmentLength": int,
        "ManifestCompression": Literal["GZIP", "NONE"],
        "ManifestDurationFormat": Literal["FLOATING_POINT", "INTEGER"],
        "MinBufferTime": int,
        "MinFinalSegmentLength": float,
        "MpdProfile": Literal["MAIN_PROFILE", "ON_DEMAND_PROFILE"],
        "SegmentControl": Literal["SINGLE_FILE", "SEGMENTED_FILES"],
        "SegmentLength": int,
        "StreamInfResolution": Literal["INCLUDE", "EXCLUDE"],
        "WriteDashManifest": Literal["DISABLED", "ENABLED"],
        "WriteHlsManifest": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {"CertificateArn": str, "ResourceId": str, "SystemIds": List[str], "Url": str},
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef",
    {
        "PlaybackDeviceCompatibility": Literal["CENC_V1", "UNENCRYPTED_SEI"],
        "SpekeKeyProvider": ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef",
    {
        "AdditionalManifests": List[
            ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef
        ],
        "BaseUrl": str,
        "Destination": str,
        "DestinationSettings": ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef,
        "Encryption": ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef,
        "FragmentLength": int,
        "HbbtvCompliance": Literal["HBBTV_1_5", "NONE"],
        "MinBufferTime": int,
        "MpdProfile": Literal["MAIN_PROFILE", "ON_DEMAND_PROFILE"],
        "SegmentControl": Literal["SINGLE_FILE", "SEGMENTED_FILES"],
        "SegmentLength": int,
        "WriteSegmentTimelineInRepresentation": Literal["ENABLED", "DISABLED"],
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef",
    {
        "Destination": str,
        "DestinationSettings": ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef",
    {
        "CaptionChannel": int,
        "CustomLanguageCode": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageDescription": str,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {"CertificateArn": str, "ResourceId": str, "SystemIds": List[str], "Url": str},
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef",
    {"KeyFormat": str, "KeyFormatVersions": str, "StaticKeyValue": str, "Url": str},
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef",
    {
        "ConstantInitializationVector": str,
        "EncryptionMethod": Literal["AES128", "SAMPLE_AES"],
        "InitializationVectorInManifest": Literal["INCLUDE", "EXCLUDE"],
        "OfflineEncrypted": Literal["ENABLED", "DISABLED"],
        "SpekeKeyProvider": ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef,
        "StaticKeyProvider": ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef,
        "Type": Literal["SPEKE", "STATIC_KEY"],
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef",
    {
        "AdMarkers": List[Literal["ELEMENTAL", "ELEMENTAL_SCTE35"]],
        "AdditionalManifests": List[
            ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef
        ],
        "BaseUrl": str,
        "CaptionLanguageMappings": List[
            ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef
        ],
        "CaptionLanguageSetting": Literal["INSERT", "OMIT", "NONE"],
        "ClientCache": Literal["DISABLED", "ENABLED"],
        "CodecSpecification": Literal["RFC_6381", "RFC_4281"],
        "Destination": str,
        "DestinationSettings": ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef,
        "DirectoryStructure": Literal["SINGLE_DIRECTORY", "SUBDIRECTORY_PER_STREAM"],
        "Encryption": ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef,
        "ManifestCompression": Literal["GZIP", "NONE"],
        "ManifestDurationFormat": Literal["FLOATING_POINT", "INTEGER"],
        "MinFinalSegmentLength": float,
        "MinSegmentLength": int,
        "OutputSelection": Literal["MANIFESTS_AND_SEGMENTS", "SEGMENTS_ONLY"],
        "ProgramDateTime": Literal["INCLUDE", "EXCLUDE"],
        "ProgramDateTimePeriod": int,
        "SegmentControl": Literal["SINGLE_FILE", "SEGMENTED_FILES"],
        "SegmentLength": int,
        "SegmentsPerSubdirectory": int,
        "StreamInfResolution": Literal["INCLUDE", "EXCLUDE"],
        "TimedMetadataId3Frame": Literal["NONE", "PRIV", "TDRL"],
        "TimedMetadataId3Period": int,
        "TimestampDeltaMilliseconds": int,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {"CertificateArn": str, "ResourceId": str, "SystemIds": List[str], "Url": str},
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef",
    {
        "SpekeKeyProvider": ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef",
    {
        "AdditionalManifests": List[
            ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef
        ],
        "AudioDeduplication": Literal["COMBINE_DUPLICATE_STREAMS", "NONE"],
        "Destination": str,
        "DestinationSettings": ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef,
        "Encryption": ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef,
        "FragmentLength": int,
        "ManifestEncoding": Literal["UTF8", "UTF16"],
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsTypeDef",
    {
        "CmafGroupSettings": ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef,
        "DashIsoGroupSettings": ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef,
        "FileGroupSettings": ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef,
        "HlsGroupSettings": ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef,
        "MsSmoothGroupSettings": ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef,
        "Type": Literal[
            "HLS_GROUP_SETTINGS",
            "DASH_ISO_GROUP_SETTINGS",
            "FILE_GROUP_SETTINGS",
            "MS_SMOOTH_GROUP_SETTINGS",
            "CMAF_GROUP_SETTINGS",
        ],
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef",
    {
        "Algorithm": Literal["ITU_BS_1770_1", "ITU_BS_1770_2", "ITU_BS_1770_3", "ITU_BS_1770_4"],
        "AlgorithmControl": Literal["CORRECT_AUDIO", "MEASURE_ONLY"],
        "CorrectionGateLevel": int,
        "LoudnessLogging": Literal["LOG", "DONT_LOG"],
        "PeakCalculation": Literal["TRUE_PEAK", "NONE"],
        "TargetLkfs": float,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef",
    {
        "AudioDescriptionBroadcasterMix": Literal["BROADCASTER_MIXED_AD", "NORMAL"],
        "Bitrate": int,
        "CodecProfile": Literal["LC", "HEV1", "HEV2"],
        "CodingMode": Literal[
            "AD_RECEIVER_MIX",
            "CODING_MODE_1_0",
            "CODING_MODE_1_1",
            "CODING_MODE_2_0",
            "CODING_MODE_5_1",
        ],
        "RateControlMode": Literal["CBR", "VBR"],
        "RawFormat": Literal["LATM_LOAS", "NONE"],
        "SampleRate": int,
        "Specification": Literal["MPEG2", "MPEG4"],
        "VbrQuality": Literal["LOW", "MEDIUM_LOW", "MEDIUM_HIGH", "HIGH"],
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef",
    {
        "Bitrate": int,
        "BitstreamMode": Literal[
            "COMPLETE_MAIN",
            "COMMENTARY",
            "DIALOGUE",
            "EMERGENCY",
            "HEARING_IMPAIRED",
            "MUSIC_AND_EFFECTS",
            "VISUALLY_IMPAIRED",
            "VOICE_OVER",
        ],
        "CodingMode": Literal[
            "CODING_MODE_1_0", "CODING_MODE_1_1", "CODING_MODE_2_0", "CODING_MODE_3_2_LFE"
        ],
        "Dialnorm": int,
        "DynamicRangeCompressionProfile": Literal["FILM_STANDARD", "NONE"],
        "LfeFilter": Literal["ENABLED", "DISABLED"],
        "MetadataControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "SampleRate": int,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef",
    {"BitDepth": int, "Channels": int, "SampleRate": int},
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef",
    {
        "Bitrate": int,
        "BitstreamMode": str,
        "CodingMode": str,
        "DialogueIntelligence": Literal["ENABLED", "DISABLED"],
        "DynamicRangeCompressionLine": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "DynamicRangeCompressionRf": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "LoRoCenterMixLevel": float,
        "LoRoSurroundMixLevel": float,
        "LtRtCenterMixLevel": float,
        "LtRtSurroundMixLevel": float,
        "MeteringMode": Literal[
            "LEQ_A", "ITU_BS_1770_1", "ITU_BS_1770_2", "ITU_BS_1770_3", "ITU_BS_1770_4"
        ],
        "SampleRate": int,
        "SpeechThreshold": int,
        "StereoDownmix": Literal["NOT_INDICATED", "STEREO", "SURROUND", "DPL2"],
        "SurroundExMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef",
    {
        "AttenuationControl": Literal["ATTENUATE_3_DB", "NONE"],
        "Bitrate": int,
        "BitstreamMode": Literal[
            "COMPLETE_MAIN", "COMMENTARY", "EMERGENCY", "HEARING_IMPAIRED", "VISUALLY_IMPAIRED"
        ],
        "CodingMode": Literal["CODING_MODE_1_0", "CODING_MODE_2_0", "CODING_MODE_3_2"],
        "DcFilter": Literal["ENABLED", "DISABLED"],
        "Dialnorm": int,
        "DynamicRangeCompressionLine": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "DynamicRangeCompressionRf": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "LfeControl": Literal["LFE", "NO_LFE"],
        "LfeFilter": Literal["ENABLED", "DISABLED"],
        "LoRoCenterMixLevel": float,
        "LoRoSurroundMixLevel": float,
        "LtRtCenterMixLevel": float,
        "LtRtSurroundMixLevel": float,
        "MetadataControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "PassthroughControl": Literal["WHEN_POSSIBLE", "NO_PASSTHROUGH"],
        "PhaseControl": Literal["SHIFT_90_DEGREES", "NO_SHIFT"],
        "SampleRate": int,
        "StereoDownmix": Literal["NOT_INDICATED", "LO_RO", "LT_RT", "DPL2"],
        "SurroundExMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
        "SurroundMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef",
    {"Bitrate": int, "Channels": int, "SampleRate": int},
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef",
    {"BitDepth": int, "Channels": int, "Format": Literal["RIFF", "RF64"], "SampleRate": int},
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef",
    {
        "AacSettings": ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef,
        "Ac3Settings": ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef,
        "AiffSettings": ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef,
        "Codec": Literal["AAC", "MP2", "WAV", "AIFF", "AC3", "EAC3", "EAC3_ATMOS", "PASSTHROUGH"],
        "Eac3AtmosSettings": ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef,
        "Eac3Settings": ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef,
        "Mp2Settings": ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef,
        "WavSettings": ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef",
    {"InputChannels": List[int]},
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef",
    {
        "OutputChannels": List[
            ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef
        ]
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef",
    {
        "ChannelMapping": ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef,
        "ChannelsIn": int,
        "ChannelsOut": int,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsTypeDef",
    {
        "AudioNormalizationSettings": ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef,
        "AudioSourceName": str,
        "AudioType": int,
        "AudioTypeControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "CodecSettings": ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef,
        "CustomLanguageCode": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageCodeControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "RemixSettings": ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef,
        "StreamName": str,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef",
    {
        "Alignment": Literal["CENTERED", "LEFT"],
        "BackgroundColor": Literal["NONE", "BLACK", "WHITE"],
        "BackgroundOpacity": int,
        "FontColor": Literal["WHITE", "BLACK", "YELLOW", "RED", "GREEN", "BLUE"],
        "FontOpacity": int,
        "FontResolution": int,
        "FontScript": Literal["AUTOMATIC", "HANS", "HANT"],
        "FontSize": int,
        "OutlineColor": Literal["BLACK", "WHITE", "YELLOW", "RED", "GREEN", "BLUE"],
        "OutlineSize": int,
        "ShadowColor": Literal["NONE", "BLACK", "WHITE"],
        "ShadowOpacity": int,
        "ShadowXOffset": int,
        "ShadowYOffset": int,
        "TeletextSpacing": Literal["FIXED_GRID", "PROPORTIONAL"],
        "XPosition": int,
        "YPosition": int,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef",
    {
        "Alignment": Literal["CENTERED", "LEFT"],
        "BackgroundColor": Literal["NONE", "BLACK", "WHITE"],
        "BackgroundOpacity": int,
        "FontColor": Literal["WHITE", "BLACK", "YELLOW", "RED", "GREEN", "BLUE"],
        "FontOpacity": int,
        "FontResolution": int,
        "FontScript": Literal["AUTOMATIC", "HANS", "HANT"],
        "FontSize": int,
        "OutlineColor": Literal["BLACK", "WHITE", "YELLOW", "RED", "GREEN", "BLUE"],
        "OutlineSize": int,
        "ShadowColor": Literal["NONE", "BLACK", "WHITE"],
        "ShadowOpacity": int,
        "ShadowXOffset": int,
        "ShadowYOffset": int,
        "SubtitlingType": Literal["HEARING_IMPAIRED", "STANDARD"],
        "TeletextSpacing": Literal["FIXED_GRID", "PROPORTIONAL"],
        "XPosition": int,
        "YPosition": int,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef",
    {"Destination608ChannelNumber": int, "Destination708ServiceNumber": int},
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef",
    {"StylePassthrough": Literal["ENABLED", "DISABLED"]},
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef",
    {
        "Framerate": Literal[
            "FRAMERATE_23_97",
            "FRAMERATE_24",
            "FRAMERATE_25",
            "FRAMERATE_29_97_DROPFRAME",
            "FRAMERATE_29_97_NON_DROPFRAME",
        ]
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef",
    {
        "PageNumber": str,
        "PageTypes": List[
            Literal[
                "PAGE_TYPE_INITIAL",
                "PAGE_TYPE_SUBTITLE",
                "PAGE_TYPE_ADDL_INFO",
                "PAGE_TYPE_PROGRAM_SCHEDULE",
                "PAGE_TYPE_HEARING_IMPAIRED_SUBTITLE",
            ]
        ],
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef",
    {"StylePassthrough": Literal["ENABLED", "DISABLED"]},
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef",
    {
        "BurninDestinationSettings": ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef,
        "DestinationType": Literal[
            "BURN_IN",
            "DVB_SUB",
            "EMBEDDED",
            "EMBEDDED_PLUS_SCTE20",
            "IMSC",
            "SCTE20_PLUS_EMBEDDED",
            "SCC",
            "SRT",
            "SMI",
            "TELETEXT",
            "TTML",
            "WEBVTT",
        ],
        "DvbSubDestinationSettings": ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef,
        "EmbeddedDestinationSettings": ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef,
        "ImscDestinationSettings": ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef,
        "SccDestinationSettings": ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef,
        "TeletextDestinationSettings": ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef,
        "TtmlDestinationSettings": ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef",
    {
        "CaptionSelectorName": str,
        "CustomLanguageCode": str,
        "DestinationSettings": ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageDescription": str,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef",
    {"MoovPlacement": Literal["PROGRESSIVE_DOWNLOAD", "NORMAL"]},
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef",
    {"NetworkId": int, "NetworkName": str, "NitInterval": int},
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef",
    {
        "OutputSdt": Literal["SDT_FOLLOW", "SDT_FOLLOW_IF_PRESENT", "SDT_MANUAL", "SDT_NONE"],
        "SdtInterval": int,
        "ServiceName": str,
        "ServiceProviderName": str,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef",
    {"TdtInterval": int},
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef",
    {"Scte35EsamPid": int},
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef",
    {
        "AudioBufferModel": Literal["DVB", "ATSC"],
        "AudioFramesPerPes": int,
        "AudioPids": List[int],
        "Bitrate": int,
        "BufferModel": Literal["MULTIPLEX", "NONE"],
        "DvbNitSettings": ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef,
        "DvbSdtSettings": ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef,
        "DvbSubPids": List[int],
        "DvbTdtSettings": ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef,
        "DvbTeletextPid": int,
        "EbpAudioInterval": Literal["VIDEO_AND_FIXED_INTERVALS", "VIDEO_INTERVAL"],
        "EbpPlacement": Literal["VIDEO_AND_AUDIO_PIDS", "VIDEO_PID"],
        "EsRateInPes": Literal["INCLUDE", "EXCLUDE"],
        "ForceTsVideoEbpOrder": Literal["FORCE", "DEFAULT"],
        "FragmentTime": float,
        "MaxPcrInterval": int,
        "MinEbpInterval": int,
        "NielsenId3": Literal["INSERT", "NONE"],
        "NullPacketBitrate": float,
        "PatInterval": int,
        "PcrControl": Literal["PCR_EVERY_PES_PACKET", "CONFIGURED_PCR_PERIOD"],
        "PcrPid": int,
        "PmtInterval": int,
        "PmtPid": int,
        "PrivateMetadataPid": int,
        "ProgramNumber": int,
        "RateMode": Literal["VBR", "CBR"],
        "Scte35Esam": ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef,
        "Scte35Pid": int,
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
        "SegmentationMarkers": Literal[
            "NONE", "RAI_SEGSTART", "RAI_ADAPT", "PSI_SEGSTART", "EBP", "EBP_LEGACY"
        ],
        "SegmentationStyle": Literal["MAINTAIN_CADENCE", "RESET_CADENCE"],
        "SegmentationTime": float,
        "TimedMetadataPid": int,
        "TransportStreamId": int,
        "VideoPid": int,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef",
    {
        "AudioFramesPerPes": int,
        "AudioPids": List[int],
        "NielsenId3": Literal["INSERT", "NONE"],
        "PatInterval": int,
        "PcrControl": Literal["PCR_EVERY_PES_PACKET", "CONFIGURED_PCR_PERIOD"],
        "PcrPid": int,
        "PmtInterval": int,
        "PmtPid": int,
        "PrivateMetadataPid": int,
        "ProgramNumber": int,
        "Scte35Pid": int,
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
        "TimedMetadata": Literal["PASSTHROUGH", "NONE"],
        "TimedMetadataPid": int,
        "TransportStreamId": int,
        "VideoPid": int,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef",
    {
        "ClapAtom": Literal["INCLUDE", "EXCLUDE"],
        "CslgAtom": Literal["INCLUDE", "EXCLUDE"],
        "Mpeg2FourCCControl": Literal["XDCAM", "MPEG"],
        "PaddingControl": Literal["OMNEON", "NONE"],
        "Reference": Literal["SELF_CONTAINED", "EXTERNAL"],
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef",
    {
        "CslgAtom": Literal["INCLUDE", "EXCLUDE"],
        "FreeSpaceBox": Literal["INCLUDE", "EXCLUDE"],
        "MoovPlacement": Literal["PROGRESSIVE_DOWNLOAD", "NORMAL"],
        "Mp4MajorBrand": str,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef",
    {
        "CaptionContainerType": Literal["RAW", "FRAGMENTED_MP4"],
        "Scte35Esam": Literal["INSERT", "NONE"],
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsTypeDef",
    {
        "Container": Literal[
            "F4V", "ISMV", "M2TS", "M3U8", "CMFC", "MOV", "MP4", "MPD", "MXF", "RAW"
        ],
        "F4vSettings": ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef,
        "M2tsSettings": ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef,
        "M3u8Settings": ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef,
        "MovSettings": ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef,
        "Mp4Settings": ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef,
        "MpdSettings": ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef",
    {
        "AudioGroupId": str,
        "AudioOnlyContainer": Literal["AUTOMATIC", "M2TS"],
        "AudioRenditionSets": str,
        "AudioTrackType": Literal[
            "ALTERNATE_AUDIO_AUTO_SELECT_DEFAULT",
            "ALTERNATE_AUDIO_AUTO_SELECT",
            "ALTERNATE_AUDIO_NOT_AUTO_SELECT",
            "AUDIO_ONLY_VARIANT_STREAM",
        ],
        "IFrameOnlyManifest": Literal["INCLUDE", "EXCLUDE"],
        "SegmentModifier": str,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsOutputSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsOutputSettingsTypeDef",
    {
        "HlsSettings": ClientListJobsResponseJobsSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsOutputSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsOutputSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef",
    {"FramerateDenominator": int, "FramerateNumerator": int, "MaxCaptures": int, "Quality": int},
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef",
    {"MaxAverageBitrate": int, "QvbrQualityLevel": int},
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH", "HIGHER", "MAX"],
        "Bitrate": int,
        "CodecLevel": Literal[
            "AUTO",
            "LEVEL_1",
            "LEVEL_1_1",
            "LEVEL_1_2",
            "LEVEL_1_3",
            "LEVEL_2",
            "LEVEL_2_1",
            "LEVEL_2_2",
            "LEVEL_3",
            "LEVEL_3_1",
            "LEVEL_3_2",
            "LEVEL_4",
            "LEVEL_4_1",
            "LEVEL_4_2",
            "LEVEL_5",
            "LEVEL_5_1",
            "LEVEL_5_2",
        ],
        "CodecProfile": Literal[
            "BASELINE", "HIGH", "HIGH_10BIT", "HIGH_422", "HIGH_422_10BIT", "MAIN"
        ],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "EntropyEncoding": Literal["CABAC", "CAVLC"],
        "FieldEncoding": Literal["PAFF", "FORCE_FIELD"],
        "FlickerAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopBReference": Literal["DISABLED", "ENABLED"],
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "NumberReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "SINGLE_PASS_HQ", "MULTI_PASS_HQ"],
        "QvbrSettings": ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef,
        "RateControlMode": Literal["VBR", "CBR", "QVBR"],
        "RepeatPps": Literal["DISABLED", "ENABLED"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED", "TRANSITION_DETECTION"],
        "Slices": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Softness": int,
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Syntax": Literal["DEFAULT", "RP2027"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "UnregisteredSeiTimecode": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef",
    {"MaxAverageBitrate": int, "QvbrQualityLevel": int},
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH", "HIGHER", "MAX"],
        "AlternateTransferFunctionSei": Literal["DISABLED", "ENABLED"],
        "Bitrate": int,
        "CodecLevel": Literal[
            "AUTO",
            "LEVEL_1",
            "LEVEL_2",
            "LEVEL_2_1",
            "LEVEL_3",
            "LEVEL_3_1",
            "LEVEL_4",
            "LEVEL_4_1",
            "LEVEL_5",
            "LEVEL_5_1",
            "LEVEL_5_2",
            "LEVEL_6",
            "LEVEL_6_1",
            "LEVEL_6_2",
        ],
        "CodecProfile": Literal[
            "MAIN_MAIN",
            "MAIN_HIGH",
            "MAIN10_MAIN",
            "MAIN10_HIGH",
            "MAIN_422_8BIT_MAIN",
            "MAIN_422_8BIT_HIGH",
            "MAIN_422_10BIT_MAIN",
            "MAIN_422_10BIT_HIGH",
        ],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "FlickerAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopBReference": Literal["DISABLED", "ENABLED"],
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "NumberReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "SINGLE_PASS_HQ", "MULTI_PASS_HQ"],
        "QvbrSettings": ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef,
        "RateControlMode": Literal["VBR", "CBR", "QVBR"],
        "SampleAdaptiveOffsetFilterMode": Literal["DEFAULT", "ADAPTIVE", "OFF"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED", "TRANSITION_DETECTION"],
        "Slices": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "TemporalIds": Literal["DISABLED", "ENABLED"],
        "Tiles": Literal["DISABLED", "ENABLED"],
        "UnregisteredSeiTimecode": Literal["DISABLED", "ENABLED"],
        "WriteMp4PackagingType": Literal["HVC1", "HEV1"],
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH"],
        "Bitrate": int,
        "CodecLevel": Literal["AUTO", "LOW", "MAIN", "HIGH1440", "HIGH"],
        "CodecProfile": Literal["MAIN", "PROFILE_422"],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "IntraDcPrecision": Literal[
            "AUTO",
            "INTRA_DC_PRECISION_8",
            "INTRA_DC_PRECISION_9",
            "INTRA_DC_PRECISION_10",
            "INTRA_DC_PRECISION_11",
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "MULTI_PASS"],
        "RateControlMode": Literal["VBR", "CBR"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED"],
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Softness": int,
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Syntax": Literal["DEFAULT", "D_10"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef",
    {
        "CodecProfile": Literal[
            "APPLE_PRORES_422",
            "APPLE_PRORES_422_HQ",
            "APPLE_PRORES_422_LT",
            "APPLE_PRORES_422_PROXY",
        ],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Telecine": Literal["NONE", "HARD"],
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef",
    {
        "Codec": Literal["FRAME_CAPTURE", "H_264", "H_265", "MPEG2", "PRORES"],
        "FrameCaptureSettings": ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef,
        "H264Settings": ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef,
        "H265Settings": ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef,
        "Mpeg2Settings": ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef,
        "ProresSettings": ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef",
    {
        "BluePrimaryX": int,
        "BluePrimaryY": int,
        "GreenPrimaryX": int,
        "GreenPrimaryY": int,
        "MaxContentLightLevel": int,
        "MaxFrameAverageLightLevel": int,
        "MaxLuminance": int,
        "MinLuminance": int,
        "RedPrimaryX": int,
        "RedPrimaryY": int,
        "WhitePointX": int,
        "WhitePointY": int,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef",
    {
        "Brightness": int,
        "ColorSpaceConversion": Literal[
            "NONE", "FORCE_601", "FORCE_709", "FORCE_HDR10", "FORCE_HLG_2020"
        ],
        "Contrast": int,
        "Hdr10Metadata": ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef,
        "Hue": int,
        "Saturation": int,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef",
    {
        "Algorithm": Literal["INTERPOLATE", "INTERPOLATE_TICKER", "BLEND", "BLEND_TICKER"],
        "Control": Literal["FORCE_ALL_FRAMES", "NORMAL"],
        "Mode": Literal["DEINTERLACE", "INVERSE_TELECINE", "ADAPTIVE"],
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef",
    {"MaxCll": int, "MaxFall": int},
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef",
    {
        "L6Metadata": ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef,
        "L6Mode": Literal["PASSTHROUGH", "RECALCULATE", "SPECIFY"],
        "Profile": str,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef",
    {
        "Duration": int,
        "FadeIn": int,
        "FadeOut": int,
        "Height": int,
        "ImageInserterInput": str,
        "ImageX": int,
        "ImageY": int,
        "Layer": int,
        "Opacity": int,
        "StartTime": str,
        "Width": int,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef",
    {
        "InsertableImages": List[
            ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef
        ]
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef",
    {"Strength": int},
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef",
    {"PostFilterSharpenStrength": int, "Speed": int, "Strength": int},
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef",
    {"AggressiveMode": int, "Speed": int, "Strength": int},
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef",
    {
        "Filter": Literal[
            "BILATERAL", "MEAN", "GAUSSIAN", "LANCZOS", "SHARPEN", "CONSERVE", "SPATIAL", "TEMPORAL"
        ],
        "FilterSettings": ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef,
        "SpatialFilterSettings": ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef,
        "TemporalFilterSettings": ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef",
    {
        "FontSize": int,
        "Position": Literal[
            "TOP_CENTER",
            "TOP_LEFT",
            "TOP_RIGHT",
            "MIDDLE_LEFT",
            "MIDDLE_CENTER",
            "MIDDLE_RIGHT",
            "BOTTOM_LEFT",
            "BOTTOM_CENTER",
            "BOTTOM_RIGHT",
        ],
        "Prefix": str,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef",
    {
        "ColorCorrector": ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef,
        "Deinterlacer": ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef,
        "DolbyVision": ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef,
        "ImageInserter": ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef,
        "NoiseReducer": ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef,
        "TimecodeBurnin": ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionTypeDef",
    {
        "AfdSignaling": Literal["NONE", "AUTO", "FIXED"],
        "AntiAlias": Literal["DISABLED", "ENABLED"],
        "CodecSettings": ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef,
        "ColorMetadata": Literal["IGNORE", "INSERT"],
        "Crop": ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef,
        "DropFrameTimecode": Literal["DISABLED", "ENABLED"],
        "FixedAfd": int,
        "Height": int,
        "Position": ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef,
        "RespondToAfd": Literal["NONE", "RESPOND", "PASSTHROUGH"],
        "ScalingBehavior": Literal["DEFAULT", "STRETCH_TO_OUTPUT"],
        "Sharpness": int,
        "TimecodeInsertion": Literal["DISABLED", "PIC_TIMING_SEI"],
        "VideoPreprocessors": ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef,
        "Width": int,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsOutputsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsOutputsTypeDef",
    {
        "AudioDescriptions": List[
            ClientListJobsResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsTypeDef
        ],
        "CaptionDescriptions": List[
            ClientListJobsResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef
        ],
        "ContainerSettings": ClientListJobsResponseJobsSettingsOutputGroupsOutputsContainerSettingsTypeDef,
        "Extension": str,
        "NameModifier": str,
        "OutputSettings": ClientListJobsResponseJobsSettingsOutputGroupsOutputsOutputSettingsTypeDef,
        "Preset": str,
        "VideoDescription": ClientListJobsResponseJobsSettingsOutputGroupsOutputsVideoDescriptionTypeDef,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsOutputsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsOutputsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsOutputGroupsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsOutputGroupsTypeDef",
    {
        "CustomName": str,
        "Name": str,
        "OutputGroupSettings": ClientListJobsResponseJobsSettingsOutputGroupsOutputGroupSettingsTypeDef,
        "Outputs": List[ClientListJobsResponseJobsSettingsOutputGroupsOutputsTypeDef],
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsOutputGroupsTypeDef(
    _ClientListJobsResponseJobsSettingsOutputGroupsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsTimecodeConfigTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsTimecodeConfigTypeDef",
    {
        "Anchor": str,
        "Source": Literal["EMBEDDED", "ZEROBASED", "SPECIFIEDSTART"],
        "Start": str,
        "TimestampOffset": str,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsTimecodeConfigTypeDef(
    _ClientListJobsResponseJobsSettingsTimecodeConfigTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsTimedMetadataInsertionId3InsertionsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsTimedMetadataInsertionId3InsertionsTypeDef",
    {"Id3": str, "Timecode": str},
    total=False,
)


class ClientListJobsResponseJobsSettingsTimedMetadataInsertionId3InsertionsTypeDef(
    _ClientListJobsResponseJobsSettingsTimedMetadataInsertionId3InsertionsTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsTimedMetadataInsertionTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsTimedMetadataInsertionTypeDef",
    {
        "Id3Insertions": List[
            ClientListJobsResponseJobsSettingsTimedMetadataInsertionId3InsertionsTypeDef
        ]
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsTimedMetadataInsertionTypeDef(
    _ClientListJobsResponseJobsSettingsTimedMetadataInsertionTypeDef
):
    pass


_ClientListJobsResponseJobsSettingsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsSettingsTypeDef",
    {
        "AdAvailOffset": int,
        "AvailBlanking": ClientListJobsResponseJobsSettingsAvailBlankingTypeDef,
        "Esam": ClientListJobsResponseJobsSettingsEsamTypeDef,
        "Inputs": List[ClientListJobsResponseJobsSettingsInputsTypeDef],
        "MotionImageInserter": ClientListJobsResponseJobsSettingsMotionImageInserterTypeDef,
        "NielsenConfiguration": ClientListJobsResponseJobsSettingsNielsenConfigurationTypeDef,
        "OutputGroups": List[ClientListJobsResponseJobsSettingsOutputGroupsTypeDef],
        "TimecodeConfig": ClientListJobsResponseJobsSettingsTimecodeConfigTypeDef,
        "TimedMetadataInsertion": ClientListJobsResponseJobsSettingsTimedMetadataInsertionTypeDef,
    },
    total=False,
)


class ClientListJobsResponseJobsSettingsTypeDef(_ClientListJobsResponseJobsSettingsTypeDef):
    pass


_ClientListJobsResponseJobsTimingTypeDef = TypedDict(
    "_ClientListJobsResponseJobsTimingTypeDef",
    {"FinishTime": datetime, "StartTime": datetime, "SubmitTime": datetime},
    total=False,
)


class ClientListJobsResponseJobsTimingTypeDef(_ClientListJobsResponseJobsTimingTypeDef):
    pass


_ClientListJobsResponseJobsTypeDef = TypedDict(
    "_ClientListJobsResponseJobsTypeDef",
    {
        "AccelerationSettings": ClientListJobsResponseJobsAccelerationSettingsTypeDef,
        "AccelerationStatus": Literal[
            "NOT_APPLICABLE", "IN_PROGRESS", "ACCELERATED", "NOT_ACCELERATED"
        ],
        "Arn": str,
        "BillingTagsSource": Literal["QUEUE", "PRESET", "JOB_TEMPLATE", "JOB"],
        "CreatedAt": datetime,
        "CurrentPhase": Literal["PROBING", "TRANSCODING", "UPLOADING"],
        "ErrorCode": int,
        "ErrorMessage": str,
        "Id": str,
        "JobPercentComplete": int,
        "JobTemplate": str,
        "Messages": ClientListJobsResponseJobsMessagesTypeDef,
        "OutputGroupDetails": List[ClientListJobsResponseJobsOutputGroupDetailsTypeDef],
        "Priority": int,
        "Queue": str,
        "RetryCount": int,
        "Role": str,
        "Settings": ClientListJobsResponseJobsSettingsTypeDef,
        "SimulateReservedQueue": Literal["DISABLED", "ENABLED"],
        "Status": Literal["SUBMITTED", "PROGRESSING", "COMPLETE", "CANCELED", "ERROR"],
        "StatusUpdateInterval": Literal[
            "SECONDS_10",
            "SECONDS_12",
            "SECONDS_15",
            "SECONDS_20",
            "SECONDS_30",
            "SECONDS_60",
            "SECONDS_120",
            "SECONDS_180",
            "SECONDS_240",
            "SECONDS_300",
            "SECONDS_360",
            "SECONDS_420",
            "SECONDS_480",
            "SECONDS_540",
            "SECONDS_600",
        ],
        "Timing": ClientListJobsResponseJobsTimingTypeDef,
        "UserMetadata": Dict[str, str],
    },
    total=False,
)


class ClientListJobsResponseJobsTypeDef(_ClientListJobsResponseJobsTypeDef):
    """
    - *(dict) --*Each job converts an input file into an output file or files. For more information,
    see the User Guide at http://docs.aws.amazon.com/mediaconvert/latest/ug/what-is.html

      - **AccelerationSettings** *(dict) --*Accelerated transcoding can significantly speed up jobs
      with long, visually complex content.

        - **Mode** *(string) --*Specify the conditions when the service will run your job with
        accelerated transcoding.
    """


_ClientListJobsResponseTypeDef = TypedDict(
    "_ClientListJobsResponseTypeDef",
    {"Jobs": List[ClientListJobsResponseJobsTypeDef], "NextToken": str},
    total=False,
)


class ClientListJobsResponseTypeDef(_ClientListJobsResponseTypeDef):
    """
    - *(dict) --*

      - **Jobs** *(list) --*List of jobs

        - *(dict) --*Each job converts an input file into an output file or files. For more
        information, see the User Guide at
        http://docs.aws.amazon.com/mediaconvert/latest/ug/what-is.html

          - **AccelerationSettings** *(dict) --*Accelerated transcoding can significantly speed up
          jobs with long, visually complex content.

            - **Mode** *(string) --*Specify the conditions when the service will run your job with
            accelerated transcoding.
    """


_ClientListPresetsResponsePresetsSettingsAudioDescriptionsAudioNormalizationSettingsTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsAudioDescriptionsAudioNormalizationSettingsTypeDef",
    {
        "Algorithm": Literal["ITU_BS_1770_1", "ITU_BS_1770_2", "ITU_BS_1770_3", "ITU_BS_1770_4"],
        "AlgorithmControl": Literal["CORRECT_AUDIO", "MEASURE_ONLY"],
        "CorrectionGateLevel": int,
        "LoudnessLogging": Literal["LOG", "DONT_LOG"],
        "PeakCalculation": Literal["TRUE_PEAK", "NONE"],
        "TargetLkfs": float,
    },
    total=False,
)


class ClientListPresetsResponsePresetsSettingsAudioDescriptionsAudioNormalizationSettingsTypeDef(
    _ClientListPresetsResponsePresetsSettingsAudioDescriptionsAudioNormalizationSettingsTypeDef
):
    """
    - **AudioNormalizationSettings** *(dict) --*Advanced audio normalization settings. Ignore these
    settings unless you need to comply with a loudness standard.

      - **Algorithm** *(string) --*Choose one of the following audio normalization algorithms: ITU-R
      BS.1770-1: Ungated loudness. A measurement of ungated average loudness for an entire piece of
      content, suitable for measurement of short-form content under ATSC recommendation A/85.
      Supports up to 5.1 audio channels. ITU-R BS.1770-2: Gated loudness. A measurement of gated
      average loudness compliant with the requirements of EBU-R128. Supports up to 5.1 audio
      channels. ITU-R BS.1770-3: Modified peak. The same loudness measurement algorithm as 1770-2,
      with an updated true peak measurement. ITU-R BS.1770-4: Higher channel count. Allows for more
      audio channels than the other algorithms, including configurations such as 7.1.
      - **AlgorithmControl** *(string) --*When enabled the output audio is corrected using the
      chosen algorithm. If disabled, the audio will be measured but not adjusted.
      - **CorrectionGateLevel** *(integer) --*Content measuring above this level will be corrected
      to the target level. Content measuring below this level will not be corrected. Gating only
      applies when not using real_time_correction.
      - **LoudnessLogging** *(string) --*If set to LOG, log each output's audio track loudness to a
      CSV file.
      - **PeakCalculation** *(string) --*If set to TRUE_PEAK, calculate and log the TruePeak for
      each output's audio track loudness.
      - **TargetLkfs** *(float) --*When you use Audio normalization (AudioNormalizationSettings),
      optionally use this setting to specify a target loudness. If you don't specify a value here,
      the encoder chooses a value for you, based on the algorithm that you choose for Algorithm
      (algorithm). If you choose algorithm 1770-1, the encoder will choose -24 LKFS; otherwise, the
      encoder will choose -23 LKFS.
    """


_ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsAacSettingsTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsAacSettingsTypeDef",
    {
        "AudioDescriptionBroadcasterMix": Literal["BROADCASTER_MIXED_AD", "NORMAL"],
        "Bitrate": int,
        "CodecProfile": Literal["LC", "HEV1", "HEV2"],
        "CodingMode": Literal[
            "AD_RECEIVER_MIX",
            "CODING_MODE_1_0",
            "CODING_MODE_1_1",
            "CODING_MODE_2_0",
            "CODING_MODE_5_1",
        ],
        "RateControlMode": Literal["CBR", "VBR"],
        "RawFormat": Literal["LATM_LOAS", "NONE"],
        "SampleRate": int,
        "Specification": Literal["MPEG2", "MPEG4"],
        "VbrQuality": Literal["LOW", "MEDIUM_LOW", "MEDIUM_HIGH", "HIGH"],
    },
    total=False,
)


class ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsAacSettingsTypeDef(
    _ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsAacSettingsTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsAc3SettingsTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsAc3SettingsTypeDef",
    {
        "Bitrate": int,
        "BitstreamMode": Literal[
            "COMPLETE_MAIN",
            "COMMENTARY",
            "DIALOGUE",
            "EMERGENCY",
            "HEARING_IMPAIRED",
            "MUSIC_AND_EFFECTS",
            "VISUALLY_IMPAIRED",
            "VOICE_OVER",
        ],
        "CodingMode": Literal[
            "CODING_MODE_1_0", "CODING_MODE_1_1", "CODING_MODE_2_0", "CODING_MODE_3_2_LFE"
        ],
        "Dialnorm": int,
        "DynamicRangeCompressionProfile": Literal["FILM_STANDARD", "NONE"],
        "LfeFilter": Literal["ENABLED", "DISABLED"],
        "MetadataControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "SampleRate": int,
    },
    total=False,
)


class ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsAc3SettingsTypeDef(
    _ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsAc3SettingsTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsAiffSettingsTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsAiffSettingsTypeDef",
    {"BitDepth": int, "Channels": int, "SampleRate": int},
    total=False,
)


class ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsAiffSettingsTypeDef(
    _ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsAiffSettingsTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef",
    {
        "Bitrate": int,
        "BitstreamMode": str,
        "CodingMode": str,
        "DialogueIntelligence": Literal["ENABLED", "DISABLED"],
        "DynamicRangeCompressionLine": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "DynamicRangeCompressionRf": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "LoRoCenterMixLevel": float,
        "LoRoSurroundMixLevel": float,
        "LtRtCenterMixLevel": float,
        "LtRtSurroundMixLevel": float,
        "MeteringMode": Literal[
            "LEQ_A", "ITU_BS_1770_1", "ITU_BS_1770_2", "ITU_BS_1770_3", "ITU_BS_1770_4"
        ],
        "SampleRate": int,
        "SpeechThreshold": int,
        "StereoDownmix": Literal["NOT_INDICATED", "STEREO", "SURROUND", "DPL2"],
        "SurroundExMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
    },
    total=False,
)


class ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef(
    _ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsEac3SettingsTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsEac3SettingsTypeDef",
    {
        "AttenuationControl": Literal["ATTENUATE_3_DB", "NONE"],
        "Bitrate": int,
        "BitstreamMode": Literal[
            "COMPLETE_MAIN", "COMMENTARY", "EMERGENCY", "HEARING_IMPAIRED", "VISUALLY_IMPAIRED"
        ],
        "CodingMode": Literal["CODING_MODE_1_0", "CODING_MODE_2_0", "CODING_MODE_3_2"],
        "DcFilter": Literal["ENABLED", "DISABLED"],
        "Dialnorm": int,
        "DynamicRangeCompressionLine": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "DynamicRangeCompressionRf": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "LfeControl": Literal["LFE", "NO_LFE"],
        "LfeFilter": Literal["ENABLED", "DISABLED"],
        "LoRoCenterMixLevel": float,
        "LoRoSurroundMixLevel": float,
        "LtRtCenterMixLevel": float,
        "LtRtSurroundMixLevel": float,
        "MetadataControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "PassthroughControl": Literal["WHEN_POSSIBLE", "NO_PASSTHROUGH"],
        "PhaseControl": Literal["SHIFT_90_DEGREES", "NO_SHIFT"],
        "SampleRate": int,
        "StereoDownmix": Literal["NOT_INDICATED", "LO_RO", "LT_RT", "DPL2"],
        "SurroundExMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
        "SurroundMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
    },
    total=False,
)


class ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsEac3SettingsTypeDef(
    _ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsEac3SettingsTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsMp2SettingsTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsMp2SettingsTypeDef",
    {"Bitrate": int, "Channels": int, "SampleRate": int},
    total=False,
)


class ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsMp2SettingsTypeDef(
    _ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsMp2SettingsTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsWavSettingsTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsWavSettingsTypeDef",
    {"BitDepth": int, "Channels": int, "Format": Literal["RIFF", "RF64"], "SampleRate": int},
    total=False,
)


class ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsWavSettingsTypeDef(
    _ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsWavSettingsTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsTypeDef",
    {
        "AacSettings": ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsAacSettingsTypeDef,
        "Ac3Settings": ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsAc3SettingsTypeDef,
        "AiffSettings": ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsAiffSettingsTypeDef,
        "Codec": Literal["AAC", "MP2", "WAV", "AIFF", "AC3", "EAC3", "EAC3_ATMOS", "PASSTHROUGH"],
        "Eac3AtmosSettings": ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef,
        "Eac3Settings": ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsEac3SettingsTypeDef,
        "Mp2Settings": ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsMp2SettingsTypeDef,
        "WavSettings": ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsWavSettingsTypeDef,
    },
    total=False,
)


class ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsTypeDef(
    _ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef",
    {"InputChannels": List[int]},
    total=False,
)


class ClientListPresetsResponsePresetsSettingsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef(
    _ClientListPresetsResponsePresetsSettingsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsAudioDescriptionsRemixSettingsChannelMappingTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsAudioDescriptionsRemixSettingsChannelMappingTypeDef",
    {
        "OutputChannels": List[
            ClientListPresetsResponsePresetsSettingsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef
        ]
    },
    total=False,
)


class ClientListPresetsResponsePresetsSettingsAudioDescriptionsRemixSettingsChannelMappingTypeDef(
    _ClientListPresetsResponsePresetsSettingsAudioDescriptionsRemixSettingsChannelMappingTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsAudioDescriptionsRemixSettingsTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsAudioDescriptionsRemixSettingsTypeDef",
    {
        "ChannelMapping": ClientListPresetsResponsePresetsSettingsAudioDescriptionsRemixSettingsChannelMappingTypeDef,
        "ChannelsIn": int,
        "ChannelsOut": int,
    },
    total=False,
)


class ClientListPresetsResponsePresetsSettingsAudioDescriptionsRemixSettingsTypeDef(
    _ClientListPresetsResponsePresetsSettingsAudioDescriptionsRemixSettingsTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsAudioDescriptionsTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsAudioDescriptionsTypeDef",
    {
        "AudioNormalizationSettings": ClientListPresetsResponsePresetsSettingsAudioDescriptionsAudioNormalizationSettingsTypeDef,
        "AudioSourceName": str,
        "AudioType": int,
        "AudioTypeControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "CodecSettings": ClientListPresetsResponsePresetsSettingsAudioDescriptionsCodecSettingsTypeDef,
        "CustomLanguageCode": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageCodeControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "RemixSettings": ClientListPresetsResponsePresetsSettingsAudioDescriptionsRemixSettingsTypeDef,
        "StreamName": str,
    },
    total=False,
)


class ClientListPresetsResponsePresetsSettingsAudioDescriptionsTypeDef(
    _ClientListPresetsResponsePresetsSettingsAudioDescriptionsTypeDef
):
    """
    - *(dict) --*Description of audio output

      - **AudioNormalizationSettings** *(dict) --*Advanced audio normalization settings. Ignore
      these settings unless you need to comply with a loudness standard.

        - **Algorithm** *(string) --*Choose one of the following audio normalization algorithms:
        ITU-R BS.1770-1: Ungated loudness. A measurement of ungated average loudness for an entire
        piece of content, suitable for measurement of short-form content under ATSC recommendation
        A/85. Supports up to 5.1 audio channels. ITU-R BS.1770-2: Gated loudness. A measurement of
        gated average loudness compliant with the requirements of EBU-R128. Supports up to 5.1 audio
        channels. ITU-R BS.1770-3: Modified peak. The same loudness measurement algorithm as 1770-2,
        with an updated true peak measurement. ITU-R BS.1770-4: Higher channel count. Allows for
        more audio channels than the other algorithms, including configurations such as 7.1.
        - **AlgorithmControl** *(string) --*When enabled the output audio is corrected using the
        chosen algorithm. If disabled, the audio will be measured but not adjusted.
        - **CorrectionGateLevel** *(integer) --*Content measuring above this level will be corrected
        to the target level. Content measuring below this level will not be corrected. Gating only
        applies when not using real_time_correction.
        - **LoudnessLogging** *(string) --*If set to LOG, log each output's audio track loudness to
        a CSV file.
        - **PeakCalculation** *(string) --*If set to TRUE_PEAK, calculate and log the TruePeak for
        each output's audio track loudness.
        - **TargetLkfs** *(float) --*When you use Audio normalization (AudioNormalizationSettings),
        optionally use this setting to specify a target loudness. If you don't specify a value here,
        the encoder chooses a value for you, based on the algorithm that you choose for Algorithm
        (algorithm). If you choose algorithm 1770-1, the encoder will choose -24 LKFS; otherwise,
        the encoder will choose -23 LKFS.
    """


_ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef",
    {
        "Alignment": Literal["CENTERED", "LEFT"],
        "BackgroundColor": Literal["NONE", "BLACK", "WHITE"],
        "BackgroundOpacity": int,
        "FontColor": Literal["WHITE", "BLACK", "YELLOW", "RED", "GREEN", "BLUE"],
        "FontOpacity": int,
        "FontResolution": int,
        "FontScript": Literal["AUTOMATIC", "HANS", "HANT"],
        "FontSize": int,
        "OutlineColor": Literal["BLACK", "WHITE", "YELLOW", "RED", "GREEN", "BLUE"],
        "OutlineSize": int,
        "ShadowColor": Literal["NONE", "BLACK", "WHITE"],
        "ShadowOpacity": int,
        "ShadowXOffset": int,
        "ShadowYOffset": int,
        "TeletextSpacing": Literal["FIXED_GRID", "PROPORTIONAL"],
        "XPosition": int,
        "YPosition": int,
    },
    total=False,
)


class ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef(
    _ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef",
    {
        "Alignment": Literal["CENTERED", "LEFT"],
        "BackgroundColor": Literal["NONE", "BLACK", "WHITE"],
        "BackgroundOpacity": int,
        "FontColor": Literal["WHITE", "BLACK", "YELLOW", "RED", "GREEN", "BLUE"],
        "FontOpacity": int,
        "FontResolution": int,
        "FontScript": Literal["AUTOMATIC", "HANS", "HANT"],
        "FontSize": int,
        "OutlineColor": Literal["BLACK", "WHITE", "YELLOW", "RED", "GREEN", "BLUE"],
        "OutlineSize": int,
        "ShadowColor": Literal["NONE", "BLACK", "WHITE"],
        "ShadowOpacity": int,
        "ShadowXOffset": int,
        "ShadowYOffset": int,
        "SubtitlingType": Literal["HEARING_IMPAIRED", "STANDARD"],
        "TeletextSpacing": Literal["FIXED_GRID", "PROPORTIONAL"],
        "XPosition": int,
        "YPosition": int,
    },
    total=False,
)


class ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef(
    _ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef",
    {"Destination608ChannelNumber": int, "Destination708ServiceNumber": int},
    total=False,
)


class ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef(
    _ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef",
    {"StylePassthrough": Literal["ENABLED", "DISABLED"]},
    total=False,
)


class ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef(
    _ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef",
    {
        "Framerate": Literal[
            "FRAMERATE_23_97",
            "FRAMERATE_24",
            "FRAMERATE_25",
            "FRAMERATE_29_97_DROPFRAME",
            "FRAMERATE_29_97_NON_DROPFRAME",
        ]
    },
    total=False,
)


class ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef(
    _ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef",
    {
        "PageNumber": str,
        "PageTypes": List[
            Literal[
                "PAGE_TYPE_INITIAL",
                "PAGE_TYPE_SUBTITLE",
                "PAGE_TYPE_ADDL_INFO",
                "PAGE_TYPE_PROGRAM_SCHEDULE",
                "PAGE_TYPE_HEARING_IMPAIRED_SUBTITLE",
            ]
        ],
    },
    total=False,
)


class ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef(
    _ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef",
    {"StylePassthrough": Literal["ENABLED", "DISABLED"]},
    total=False,
)


class ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef(
    _ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsTypeDef",
    {
        "BurninDestinationSettings": ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef,
        "DestinationType": Literal[
            "BURN_IN",
            "DVB_SUB",
            "EMBEDDED",
            "EMBEDDED_PLUS_SCTE20",
            "IMSC",
            "SCTE20_PLUS_EMBEDDED",
            "SCC",
            "SRT",
            "SMI",
            "TELETEXT",
            "TTML",
            "WEBVTT",
        ],
        "DvbSubDestinationSettings": ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef,
        "EmbeddedDestinationSettings": ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef,
        "ImscDestinationSettings": ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef,
        "SccDestinationSettings": ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef,
        "TeletextDestinationSettings": ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef,
        "TtmlDestinationSettings": ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef,
    },
    total=False,
)


class ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsTypeDef(
    _ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsCaptionDescriptionsTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsCaptionDescriptionsTypeDef",
    {
        "CustomLanguageCode": str,
        "DestinationSettings": ClientListPresetsResponsePresetsSettingsCaptionDescriptionsDestinationSettingsTypeDef,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageDescription": str,
    },
    total=False,
)


class ClientListPresetsResponsePresetsSettingsCaptionDescriptionsTypeDef(
    _ClientListPresetsResponsePresetsSettingsCaptionDescriptionsTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsContainerSettingsF4vSettingsTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsContainerSettingsF4vSettingsTypeDef",
    {"MoovPlacement": Literal["PROGRESSIVE_DOWNLOAD", "NORMAL"]},
    total=False,
)


class ClientListPresetsResponsePresetsSettingsContainerSettingsF4vSettingsTypeDef(
    _ClientListPresetsResponsePresetsSettingsContainerSettingsF4vSettingsTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef",
    {"NetworkId": int, "NetworkName": str, "NitInterval": int},
    total=False,
)


class ClientListPresetsResponsePresetsSettingsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef(
    _ClientListPresetsResponsePresetsSettingsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef",
    {
        "OutputSdt": Literal["SDT_FOLLOW", "SDT_FOLLOW_IF_PRESENT", "SDT_MANUAL", "SDT_NONE"],
        "SdtInterval": int,
        "ServiceName": str,
        "ServiceProviderName": str,
    },
    total=False,
)


class ClientListPresetsResponsePresetsSettingsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef(
    _ClientListPresetsResponsePresetsSettingsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef",
    {"TdtInterval": int},
    total=False,
)


class ClientListPresetsResponsePresetsSettingsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef(
    _ClientListPresetsResponsePresetsSettingsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsContainerSettingsM2tsSettingsScte35EsamTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsContainerSettingsM2tsSettingsScte35EsamTypeDef",
    {"Scte35EsamPid": int},
    total=False,
)


class ClientListPresetsResponsePresetsSettingsContainerSettingsM2tsSettingsScte35EsamTypeDef(
    _ClientListPresetsResponsePresetsSettingsContainerSettingsM2tsSettingsScte35EsamTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsContainerSettingsM2tsSettingsTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsContainerSettingsM2tsSettingsTypeDef",
    {
        "AudioBufferModel": Literal["DVB", "ATSC"],
        "AudioFramesPerPes": int,
        "AudioPids": List[int],
        "Bitrate": int,
        "BufferModel": Literal["MULTIPLEX", "NONE"],
        "DvbNitSettings": ClientListPresetsResponsePresetsSettingsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef,
        "DvbSdtSettings": ClientListPresetsResponsePresetsSettingsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef,
        "DvbSubPids": List[int],
        "DvbTdtSettings": ClientListPresetsResponsePresetsSettingsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef,
        "DvbTeletextPid": int,
        "EbpAudioInterval": Literal["VIDEO_AND_FIXED_INTERVALS", "VIDEO_INTERVAL"],
        "EbpPlacement": Literal["VIDEO_AND_AUDIO_PIDS", "VIDEO_PID"],
        "EsRateInPes": Literal["INCLUDE", "EXCLUDE"],
        "ForceTsVideoEbpOrder": Literal["FORCE", "DEFAULT"],
        "FragmentTime": float,
        "MaxPcrInterval": int,
        "MinEbpInterval": int,
        "NielsenId3": Literal["INSERT", "NONE"],
        "NullPacketBitrate": float,
        "PatInterval": int,
        "PcrControl": Literal["PCR_EVERY_PES_PACKET", "CONFIGURED_PCR_PERIOD"],
        "PcrPid": int,
        "PmtInterval": int,
        "PmtPid": int,
        "PrivateMetadataPid": int,
        "ProgramNumber": int,
        "RateMode": Literal["VBR", "CBR"],
        "Scte35Esam": ClientListPresetsResponsePresetsSettingsContainerSettingsM2tsSettingsScte35EsamTypeDef,
        "Scte35Pid": int,
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
        "SegmentationMarkers": Literal[
            "NONE", "RAI_SEGSTART", "RAI_ADAPT", "PSI_SEGSTART", "EBP", "EBP_LEGACY"
        ],
        "SegmentationStyle": Literal["MAINTAIN_CADENCE", "RESET_CADENCE"],
        "SegmentationTime": float,
        "TimedMetadataPid": int,
        "TransportStreamId": int,
        "VideoPid": int,
    },
    total=False,
)


class ClientListPresetsResponsePresetsSettingsContainerSettingsM2tsSettingsTypeDef(
    _ClientListPresetsResponsePresetsSettingsContainerSettingsM2tsSettingsTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsContainerSettingsM3u8SettingsTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsContainerSettingsM3u8SettingsTypeDef",
    {
        "AudioFramesPerPes": int,
        "AudioPids": List[int],
        "NielsenId3": Literal["INSERT", "NONE"],
        "PatInterval": int,
        "PcrControl": Literal["PCR_EVERY_PES_PACKET", "CONFIGURED_PCR_PERIOD"],
        "PcrPid": int,
        "PmtInterval": int,
        "PmtPid": int,
        "PrivateMetadataPid": int,
        "ProgramNumber": int,
        "Scte35Pid": int,
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
        "TimedMetadata": Literal["PASSTHROUGH", "NONE"],
        "TimedMetadataPid": int,
        "TransportStreamId": int,
        "VideoPid": int,
    },
    total=False,
)


class ClientListPresetsResponsePresetsSettingsContainerSettingsM3u8SettingsTypeDef(
    _ClientListPresetsResponsePresetsSettingsContainerSettingsM3u8SettingsTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsContainerSettingsMovSettingsTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsContainerSettingsMovSettingsTypeDef",
    {
        "ClapAtom": Literal["INCLUDE", "EXCLUDE"],
        "CslgAtom": Literal["INCLUDE", "EXCLUDE"],
        "Mpeg2FourCCControl": Literal["XDCAM", "MPEG"],
        "PaddingControl": Literal["OMNEON", "NONE"],
        "Reference": Literal["SELF_CONTAINED", "EXTERNAL"],
    },
    total=False,
)


class ClientListPresetsResponsePresetsSettingsContainerSettingsMovSettingsTypeDef(
    _ClientListPresetsResponsePresetsSettingsContainerSettingsMovSettingsTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsContainerSettingsMp4SettingsTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsContainerSettingsMp4SettingsTypeDef",
    {
        "CslgAtom": Literal["INCLUDE", "EXCLUDE"],
        "FreeSpaceBox": Literal["INCLUDE", "EXCLUDE"],
        "MoovPlacement": Literal["PROGRESSIVE_DOWNLOAD", "NORMAL"],
        "Mp4MajorBrand": str,
    },
    total=False,
)


class ClientListPresetsResponsePresetsSettingsContainerSettingsMp4SettingsTypeDef(
    _ClientListPresetsResponsePresetsSettingsContainerSettingsMp4SettingsTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsContainerSettingsMpdSettingsTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsContainerSettingsMpdSettingsTypeDef",
    {
        "CaptionContainerType": Literal["RAW", "FRAGMENTED_MP4"],
        "Scte35Esam": Literal["INSERT", "NONE"],
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
    },
    total=False,
)


class ClientListPresetsResponsePresetsSettingsContainerSettingsMpdSettingsTypeDef(
    _ClientListPresetsResponsePresetsSettingsContainerSettingsMpdSettingsTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsContainerSettingsTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsContainerSettingsTypeDef",
    {
        "Container": Literal[
            "F4V", "ISMV", "M2TS", "M3U8", "CMFC", "MOV", "MP4", "MPD", "MXF", "RAW"
        ],
        "F4vSettings": ClientListPresetsResponsePresetsSettingsContainerSettingsF4vSettingsTypeDef,
        "M2tsSettings": ClientListPresetsResponsePresetsSettingsContainerSettingsM2tsSettingsTypeDef,
        "M3u8Settings": ClientListPresetsResponsePresetsSettingsContainerSettingsM3u8SettingsTypeDef,
        "MovSettings": ClientListPresetsResponsePresetsSettingsContainerSettingsMovSettingsTypeDef,
        "Mp4Settings": ClientListPresetsResponsePresetsSettingsContainerSettingsMp4SettingsTypeDef,
        "MpdSettings": ClientListPresetsResponsePresetsSettingsContainerSettingsMpdSettingsTypeDef,
    },
    total=False,
)


class ClientListPresetsResponsePresetsSettingsContainerSettingsTypeDef(
    _ClientListPresetsResponsePresetsSettingsContainerSettingsTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef",
    {"FramerateDenominator": int, "FramerateNumerator": int, "MaxCaptures": int, "Quality": int},
    total=False,
)


class ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef(
    _ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef",
    {"MaxAverageBitrate": int, "QvbrQualityLevel": int},
    total=False,
)


class ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef(
    _ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsH264SettingsTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsH264SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH", "HIGHER", "MAX"],
        "Bitrate": int,
        "CodecLevel": Literal[
            "AUTO",
            "LEVEL_1",
            "LEVEL_1_1",
            "LEVEL_1_2",
            "LEVEL_1_3",
            "LEVEL_2",
            "LEVEL_2_1",
            "LEVEL_2_2",
            "LEVEL_3",
            "LEVEL_3_1",
            "LEVEL_3_2",
            "LEVEL_4",
            "LEVEL_4_1",
            "LEVEL_4_2",
            "LEVEL_5",
            "LEVEL_5_1",
            "LEVEL_5_2",
        ],
        "CodecProfile": Literal[
            "BASELINE", "HIGH", "HIGH_10BIT", "HIGH_422", "HIGH_422_10BIT", "MAIN"
        ],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "EntropyEncoding": Literal["CABAC", "CAVLC"],
        "FieldEncoding": Literal["PAFF", "FORCE_FIELD"],
        "FlickerAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopBReference": Literal["DISABLED", "ENABLED"],
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "NumberReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "SINGLE_PASS_HQ", "MULTI_PASS_HQ"],
        "QvbrSettings": ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef,
        "RateControlMode": Literal["VBR", "CBR", "QVBR"],
        "RepeatPps": Literal["DISABLED", "ENABLED"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED", "TRANSITION_DETECTION"],
        "Slices": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Softness": int,
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Syntax": Literal["DEFAULT", "RP2027"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "UnregisteredSeiTimecode": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsH264SettingsTypeDef(
    _ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsH264SettingsTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef",
    {"MaxAverageBitrate": int, "QvbrQualityLevel": int},
    total=False,
)


class ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef(
    _ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsH265SettingsTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsH265SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH", "HIGHER", "MAX"],
        "AlternateTransferFunctionSei": Literal["DISABLED", "ENABLED"],
        "Bitrate": int,
        "CodecLevel": Literal[
            "AUTO",
            "LEVEL_1",
            "LEVEL_2",
            "LEVEL_2_1",
            "LEVEL_3",
            "LEVEL_3_1",
            "LEVEL_4",
            "LEVEL_4_1",
            "LEVEL_5",
            "LEVEL_5_1",
            "LEVEL_5_2",
            "LEVEL_6",
            "LEVEL_6_1",
            "LEVEL_6_2",
        ],
        "CodecProfile": Literal[
            "MAIN_MAIN",
            "MAIN_HIGH",
            "MAIN10_MAIN",
            "MAIN10_HIGH",
            "MAIN_422_8BIT_MAIN",
            "MAIN_422_8BIT_HIGH",
            "MAIN_422_10BIT_MAIN",
            "MAIN_422_10BIT_HIGH",
        ],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "FlickerAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopBReference": Literal["DISABLED", "ENABLED"],
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "NumberReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "SINGLE_PASS_HQ", "MULTI_PASS_HQ"],
        "QvbrSettings": ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef,
        "RateControlMode": Literal["VBR", "CBR", "QVBR"],
        "SampleAdaptiveOffsetFilterMode": Literal["DEFAULT", "ADAPTIVE", "OFF"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED", "TRANSITION_DETECTION"],
        "Slices": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "TemporalIds": Literal["DISABLED", "ENABLED"],
        "Tiles": Literal["DISABLED", "ENABLED"],
        "UnregisteredSeiTimecode": Literal["DISABLED", "ENABLED"],
        "WriteMp4PackagingType": Literal["HVC1", "HEV1"],
    },
    total=False,
)


class ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsH265SettingsTypeDef(
    _ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsH265SettingsTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH"],
        "Bitrate": int,
        "CodecLevel": Literal["AUTO", "LOW", "MAIN", "HIGH1440", "HIGH"],
        "CodecProfile": Literal["MAIN", "PROFILE_422"],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "IntraDcPrecision": Literal[
            "AUTO",
            "INTRA_DC_PRECISION_8",
            "INTRA_DC_PRECISION_9",
            "INTRA_DC_PRECISION_10",
            "INTRA_DC_PRECISION_11",
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "MULTI_PASS"],
        "RateControlMode": Literal["VBR", "CBR"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED"],
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Softness": int,
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Syntax": Literal["DEFAULT", "D_10"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef(
    _ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsProresSettingsTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsProresSettingsTypeDef",
    {
        "CodecProfile": Literal[
            "APPLE_PRORES_422",
            "APPLE_PRORES_422_HQ",
            "APPLE_PRORES_422_LT",
            "APPLE_PRORES_422_PROXY",
        ],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Telecine": Literal["NONE", "HARD"],
    },
    total=False,
)


class ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsProresSettingsTypeDef(
    _ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsProresSettingsTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsTypeDef",
    {
        "Codec": Literal["FRAME_CAPTURE", "H_264", "H_265", "MPEG2", "PRORES"],
        "FrameCaptureSettings": ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef,
        "H264Settings": ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsH264SettingsTypeDef,
        "H265Settings": ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsH265SettingsTypeDef,
        "Mpeg2Settings": ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef,
        "ProresSettings": ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsProresSettingsTypeDef,
    },
    total=False,
)


class ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsTypeDef(
    _ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsVideoDescriptionCropTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsVideoDescriptionCropTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientListPresetsResponsePresetsSettingsVideoDescriptionCropTypeDef(
    _ClientListPresetsResponsePresetsSettingsVideoDescriptionCropTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsVideoDescriptionPositionTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsVideoDescriptionPositionTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientListPresetsResponsePresetsSettingsVideoDescriptionPositionTypeDef(
    _ClientListPresetsResponsePresetsSettingsVideoDescriptionPositionTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef",
    {
        "BluePrimaryX": int,
        "BluePrimaryY": int,
        "GreenPrimaryX": int,
        "GreenPrimaryY": int,
        "MaxContentLightLevel": int,
        "MaxFrameAverageLightLevel": int,
        "MaxLuminance": int,
        "MinLuminance": int,
        "RedPrimaryX": int,
        "RedPrimaryY": int,
        "WhitePointX": int,
        "WhitePointY": int,
    },
    total=False,
)


class ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef(
    _ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef",
    {
        "Brightness": int,
        "ColorSpaceConversion": Literal[
            "NONE", "FORCE_601", "FORCE_709", "FORCE_HDR10", "FORCE_HLG_2020"
        ],
        "Contrast": int,
        "Hdr10Metadata": ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef,
        "Hue": int,
        "Saturation": int,
    },
    total=False,
)


class ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef(
    _ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef",
    {
        "Algorithm": Literal["INTERPOLATE", "INTERPOLATE_TICKER", "BLEND", "BLEND_TICKER"],
        "Control": Literal["FORCE_ALL_FRAMES", "NORMAL"],
        "Mode": Literal["DEINTERLACE", "INVERSE_TELECINE", "ADAPTIVE"],
    },
    total=False,
)


class ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef(
    _ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef",
    {"MaxCll": int, "MaxFall": int},
    total=False,
)


class ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef(
    _ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef",
    {
        "L6Metadata": ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef,
        "L6Mode": Literal["PASSTHROUGH", "RECALCULATE", "SPECIFY"],
        "Profile": str,
    },
    total=False,
)


class ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef(
    _ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef",
    {
        "Duration": int,
        "FadeIn": int,
        "FadeOut": int,
        "Height": int,
        "ImageInserterInput": str,
        "ImageX": int,
        "ImageY": int,
        "Layer": int,
        "Opacity": int,
        "StartTime": str,
        "Width": int,
    },
    total=False,
)


class ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef(
    _ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsImageInserterTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsImageInserterTypeDef",
    {
        "InsertableImages": List[
            ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef
        ]
    },
    total=False,
)


class ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsImageInserterTypeDef(
    _ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsImageInserterTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef",
    {"Strength": int},
    total=False,
)


class ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef(
    _ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef",
    {"PostFilterSharpenStrength": int, "Speed": int, "Strength": int},
    total=False,
)


class ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef(
    _ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef",
    {"AggressiveMode": int, "Speed": int, "Strength": int},
    total=False,
)


class ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef(
    _ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef",
    {
        "Filter": Literal[
            "BILATERAL", "MEAN", "GAUSSIAN", "LANCZOS", "SHARPEN", "CONSERVE", "SPATIAL", "TEMPORAL"
        ],
        "FilterSettings": ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef,
        "SpatialFilterSettings": ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef,
        "TemporalFilterSettings": ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef,
    },
    total=False,
)


class ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef(
    _ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef",
    {
        "FontSize": int,
        "Position": Literal[
            "TOP_CENTER",
            "TOP_LEFT",
            "TOP_RIGHT",
            "MIDDLE_LEFT",
            "MIDDLE_CENTER",
            "MIDDLE_RIGHT",
            "BOTTOM_LEFT",
            "BOTTOM_CENTER",
            "BOTTOM_RIGHT",
        ],
        "Prefix": str,
    },
    total=False,
)


class ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef(
    _ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsTypeDef",
    {
        "ColorCorrector": ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef,
        "Deinterlacer": ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef,
        "DolbyVision": ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef,
        "ImageInserter": ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsImageInserterTypeDef,
        "NoiseReducer": ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef,
        "TimecodeBurnin": ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef,
    },
    total=False,
)


class ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsTypeDef(
    _ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsVideoDescriptionTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsVideoDescriptionTypeDef",
    {
        "AfdSignaling": Literal["NONE", "AUTO", "FIXED"],
        "AntiAlias": Literal["DISABLED", "ENABLED"],
        "CodecSettings": ClientListPresetsResponsePresetsSettingsVideoDescriptionCodecSettingsTypeDef,
        "ColorMetadata": Literal["IGNORE", "INSERT"],
        "Crop": ClientListPresetsResponsePresetsSettingsVideoDescriptionCropTypeDef,
        "DropFrameTimecode": Literal["DISABLED", "ENABLED"],
        "FixedAfd": int,
        "Height": int,
        "Position": ClientListPresetsResponsePresetsSettingsVideoDescriptionPositionTypeDef,
        "RespondToAfd": Literal["NONE", "RESPOND", "PASSTHROUGH"],
        "ScalingBehavior": Literal["DEFAULT", "STRETCH_TO_OUTPUT"],
        "Sharpness": int,
        "TimecodeInsertion": Literal["DISABLED", "PIC_TIMING_SEI"],
        "VideoPreprocessors": ClientListPresetsResponsePresetsSettingsVideoDescriptionVideoPreprocessorsTypeDef,
        "Width": int,
    },
    total=False,
)


class ClientListPresetsResponsePresetsSettingsVideoDescriptionTypeDef(
    _ClientListPresetsResponsePresetsSettingsVideoDescriptionTypeDef
):
    pass


_ClientListPresetsResponsePresetsSettingsTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsSettingsTypeDef",
    {
        "AudioDescriptions": List[ClientListPresetsResponsePresetsSettingsAudioDescriptionsTypeDef],
        "CaptionDescriptions": List[
            ClientListPresetsResponsePresetsSettingsCaptionDescriptionsTypeDef
        ],
        "ContainerSettings": ClientListPresetsResponsePresetsSettingsContainerSettingsTypeDef,
        "VideoDescription": ClientListPresetsResponsePresetsSettingsVideoDescriptionTypeDef,
    },
    total=False,
)


class ClientListPresetsResponsePresetsSettingsTypeDef(
    _ClientListPresetsResponsePresetsSettingsTypeDef
):
    """
    - **Settings** *(dict) --*Settings for preset

      - **AudioDescriptions** *(list) --*(AudioDescriptions) contains groups of audio encoding
      settings organized by audio codec. Include one instance of (AudioDescriptions) per output.
      (AudioDescriptions) can contain multiple groups of encoding settings.

        - *(dict) --*Description of audio output

          - **AudioNormalizationSettings** *(dict) --*Advanced audio normalization settings. Ignore
          these settings unless you need to comply with a loudness standard.

            - **Algorithm** *(string) --*Choose one of the following audio normalization algorithms:
            ITU-R BS.1770-1: Ungated loudness. A measurement of ungated average loudness for an
            entire piece of content, suitable for measurement of short-form content under ATSC
            recommendation A/85. Supports up to 5.1 audio channels. ITU-R BS.1770-2: Gated loudness.
            A measurement of gated average loudness compliant with the requirements of EBU-R128.
            Supports up to 5.1 audio channels. ITU-R BS.1770-3: Modified peak. The same loudness
            measurement algorithm as 1770-2, with an updated true peak measurement. ITU-R BS.1770-4:
            Higher channel count. Allows for more audio channels than the other algorithms,
            including configurations such as 7.1.
            - **AlgorithmControl** *(string) --*When enabled the output audio is corrected using the
            chosen algorithm. If disabled, the audio will be measured but not adjusted.
            - **CorrectionGateLevel** *(integer) --*Content measuring above this level will be
            corrected to the target level. Content measuring below this level will not be corrected.
            Gating only applies when not using real_time_correction.
            - **LoudnessLogging** *(string) --*If set to LOG, log each output's audio track loudness
            to a CSV file.
            - **PeakCalculation** *(string) --*If set to TRUE_PEAK, calculate and log the TruePeak
            for each output's audio track loudness.
            - **TargetLkfs** *(float) --*When you use Audio normalization
            (AudioNormalizationSettings), optionally use this setting to specify a target loudness.
            If you don't specify a value here, the encoder chooses a value for you, based on the
            algorithm that you choose for Algorithm (algorithm). If you choose algorithm 1770-1, the
            encoder will choose -24 LKFS; otherwise, the encoder will choose -23 LKFS.
    """


_ClientListPresetsResponsePresetsTypeDef = TypedDict(
    "_ClientListPresetsResponsePresetsTypeDef",
    {
        "Arn": str,
        "Category": str,
        "CreatedAt": datetime,
        "Description": str,
        "LastUpdated": datetime,
        "Name": str,
        "Settings": ClientListPresetsResponsePresetsSettingsTypeDef,
        "Type": Literal["SYSTEM", "CUSTOM"],
    },
    total=False,
)


class ClientListPresetsResponsePresetsTypeDef(_ClientListPresetsResponsePresetsTypeDef):
    """
    - *(dict) --*A preset is a collection of preconfigured media conversion settings that you want
    MediaConvert to apply to the output during the conversion process.

      - **Arn** *(string) --*An identifier for this resource that is unique within all of AWS.
      - **Category** *(string) --*An optional category you create to organize your presets.
      - **CreatedAt** *(datetime) --*The timestamp in epoch seconds for preset creation.
      - **Description** *(string) --*An optional description you create for each preset.
      - **LastUpdated** *(datetime) --*The timestamp in epoch seconds when the preset was last
      updated.
      - **Name** *(string) --*A name you create for each preset. Each name must be unique within
      your account.
      - **Settings** *(dict) --*Settings for preset

        - **AudioDescriptions** *(list) --*(AudioDescriptions) contains groups of audio encoding
        settings organized by audio codec. Include one instance of (AudioDescriptions) per output.
        (AudioDescriptions) can contain multiple groups of encoding settings.

          - *(dict) --*Description of audio output

            - **AudioNormalizationSettings** *(dict) --*Advanced audio normalization settings.
            Ignore these settings unless you need to comply with a loudness standard.

              - **Algorithm** *(string) --*Choose one of the following audio normalization
              algorithms: ITU-R BS.1770-1: Ungated loudness. A measurement of ungated average
              loudness for an entire piece of content, suitable for measurement of short-form
              content under ATSC recommendation A/85. Supports up to 5.1 audio channels. ITU-R
              BS.1770-2: Gated loudness. A measurement of gated average loudness compliant with the
              requirements of EBU-R128. Supports up to 5.1 audio channels. ITU-R BS.1770-3: Modified
              peak. The same loudness measurement algorithm as 1770-2, with an updated true peak
              measurement. ITU-R BS.1770-4: Higher channel count. Allows for more audio channels
              than the other algorithms, including configurations such as 7.1.
              - **AlgorithmControl** *(string) --*When enabled the output audio is corrected using
              the chosen algorithm. If disabled, the audio will be measured but not adjusted.
              - **CorrectionGateLevel** *(integer) --*Content measuring above this level will be
              corrected to the target level. Content measuring below this level will not be
              corrected. Gating only applies when not using real_time_correction.
              - **LoudnessLogging** *(string) --*If set to LOG, log each output's audio track
              loudness to a CSV file.
              - **PeakCalculation** *(string) --*If set to TRUE_PEAK, calculate and log the TruePeak
              for each output's audio track loudness.
              - **TargetLkfs** *(float) --*When you use Audio normalization
              (AudioNormalizationSettings), optionally use this setting to specify a target
              loudness. If you don't specify a value here, the encoder chooses a value for you,
              based on the algorithm that you choose for Algorithm (algorithm). If you choose
              algorithm 1770-1, the encoder will choose -24 LKFS; otherwise, the encoder will choose
              -23 LKFS.
    """


_ClientListPresetsResponseTypeDef = TypedDict(
    "_ClientListPresetsResponseTypeDef",
    {"NextToken": str, "Presets": List[ClientListPresetsResponsePresetsTypeDef]},
    total=False,
)


class ClientListPresetsResponseTypeDef(_ClientListPresetsResponseTypeDef):
    """
    - *(dict) --*

      - **NextToken** *(string) --*Use this string to request the next batch of presets.
      - **Presets** *(list) --*List of presets

        - *(dict) --*A preset is a collection of preconfigured media conversion settings that you
        want MediaConvert to apply to the output during the conversion process.

          - **Arn** *(string) --*An identifier for this resource that is unique within all of AWS.
          - **Category** *(string) --*An optional category you create to organize your presets.
          - **CreatedAt** *(datetime) --*The timestamp in epoch seconds for preset creation.
          - **Description** *(string) --*An optional description you create for each preset.
          - **LastUpdated** *(datetime) --*The timestamp in epoch seconds when the preset was last
          updated.
          - **Name** *(string) --*A name you create for each preset. Each name must be unique within
          your account.
          - **Settings** *(dict) --*Settings for preset

            - **AudioDescriptions** *(list) --*(AudioDescriptions) contains groups of audio encoding
            settings organized by audio codec. Include one instance of (AudioDescriptions) per
            output. (AudioDescriptions) can contain multiple groups of encoding settings.

              - *(dict) --*Description of audio output

                - **AudioNormalizationSettings** *(dict) --*Advanced audio normalization settings.
                Ignore these settings unless you need to comply with a loudness standard.

                  - **Algorithm** *(string) --*Choose one of the following audio normalization
                  algorithms: ITU-R BS.1770-1: Ungated loudness. A measurement of ungated average
                  loudness for an entire piece of content, suitable for measurement of short-form
                  content under ATSC recommendation A/85. Supports up to 5.1 audio channels. ITU-R
                  BS.1770-2: Gated loudness. A measurement of gated average loudness compliant with
                  the requirements of EBU-R128. Supports up to 5.1 audio channels. ITU-R BS.1770-3:
                  Modified peak. The same loudness measurement algorithm as 1770-2, with an updated
                  true peak measurement. ITU-R BS.1770-4: Higher channel count. Allows for more
                  audio channels than the other algorithms, including configurations such as 7.1.
                  - **AlgorithmControl** *(string) --*When enabled the output audio is corrected
                  using the chosen algorithm. If disabled, the audio will be measured but not
                  adjusted.
                  - **CorrectionGateLevel** *(integer) --*Content measuring above this level will be
                  corrected to the target level. Content measuring below this level will not be
                  corrected. Gating only applies when not using real_time_correction.
                  - **LoudnessLogging** *(string) --*If set to LOG, log each output's audio track
                  loudness to a CSV file.
                  - **PeakCalculation** *(string) --*If set to TRUE_PEAK, calculate and log the
                  TruePeak for each output's audio track loudness.
                  - **TargetLkfs** *(float) --*When you use Audio normalization
                  (AudioNormalizationSettings), optionally use this setting to specify a target
                  loudness. If you don't specify a value here, the encoder chooses a value for you,
                  based on the algorithm that you choose for Algorithm (algorithm). If you choose
                  algorithm 1770-1, the encoder will choose -24 LKFS; otherwise, the encoder will
                  choose -23 LKFS.
    """


_ClientListQueuesResponseQueuesReservationPlanTypeDef = TypedDict(
    "_ClientListQueuesResponseQueuesReservationPlanTypeDef",
    {
        "Commitment": str,
        "ExpiresAt": datetime,
        "PurchasedAt": datetime,
        "RenewalType": Literal["AUTO_RENEW", "EXPIRE"],
        "ReservedSlots": int,
        "Status": Literal["ACTIVE", "EXPIRED"],
    },
    total=False,
)


class ClientListQueuesResponseQueuesReservationPlanTypeDef(
    _ClientListQueuesResponseQueuesReservationPlanTypeDef
):
    """
    - **ReservationPlan** *(dict) --*Details about the pricing plan for your reserved queue.
    Required for reserved queues and not applicable to on-demand queues.

      - **Commitment** *(string) --*The length of the term of your reserved queue pricing plan
      commitment.
      - **ExpiresAt** *(datetime) --*The timestamp in epoch seconds for when the current pricing
      plan term for this reserved queue expires.
      - **PurchasedAt** *(datetime) --*The timestamp in epoch seconds for when you set up the
      current pricing plan for this reserved queue.
      - **RenewalType** *(string) --*Specifies whether the term of your reserved queue pricing plan
      is automatically extended (AUTO_RENEW) or expires (EXPIRE) at the end of the term.
      - **ReservedSlots** *(integer) --*Specifies the number of reserved transcode slots (RTS) for
      this queue. The number of RTS determines how many jobs the queue can process in parallel; each
      RTS can process one job at a time. When you increase this number, you extend your existing
      commitment with a new 12-month commitment for a larger number of RTS. The new commitment
      begins when you purchase the additional capacity. You can't decrease the number of RTS in your
      reserved queue.
      - **Status** *(string) --*Specifies whether the pricing plan for your reserved queue is ACTIVE
      or EXPIRED.
    """


_ClientListQueuesResponseQueuesTypeDef = TypedDict(
    "_ClientListQueuesResponseQueuesTypeDef",
    {
        "Arn": str,
        "CreatedAt": datetime,
        "Description": str,
        "LastUpdated": datetime,
        "Name": str,
        "PricingPlan": Literal["ON_DEMAND", "RESERVED"],
        "ProgressingJobsCount": int,
        "ReservationPlan": ClientListQueuesResponseQueuesReservationPlanTypeDef,
        "Status": Literal["ACTIVE", "PAUSED"],
        "SubmittedJobsCount": int,
        "Type": Literal["SYSTEM", "CUSTOM"],
    },
    total=False,
)


class ClientListQueuesResponseQueuesTypeDef(_ClientListQueuesResponseQueuesTypeDef):
    """
    - *(dict) --*You can use queues to manage the resources that are available to your AWS account
    for running multiple transcoding jobs at the same time. If you don't specify a queue, the
    service sends all jobs through the default queue. For more information, see
    https://docs.aws.amazon.com/mediaconvert/latest/ug/working-with-queues.html.

      - **Arn** *(string) --*An identifier for this resource that is unique within all of AWS.
      - **CreatedAt** *(datetime) --*The timestamp in epoch seconds for when you created the queue.
      - **Description** *(string) --*An optional description that you create for each queue.
      - **LastUpdated** *(datetime) --*The timestamp in epoch seconds for when you most recently
      updated the queue.
      - **Name** *(string) --*A name that you create for each queue. Each name must be unique within
      your account.
      - **PricingPlan** *(string) --*Specifies whether the pricing plan for the queue is on-demand
      or reserved. For on-demand, you pay per minute, billed in increments of .01 minute. For
      reserved, you pay for the transcoding capacity of the entire queue, regardless of how much or
      how little you use it. Reserved pricing requires a 12-month commitment.
      - **ProgressingJobsCount** *(integer) --*The estimated number of jobs with a PROGRESSING
      status.
      - **ReservationPlan** *(dict) --*Details about the pricing plan for your reserved queue.
      Required for reserved queues and not applicable to on-demand queues.

        - **Commitment** *(string) --*The length of the term of your reserved queue pricing plan
        commitment.
        - **ExpiresAt** *(datetime) --*The timestamp in epoch seconds for when the current pricing
        plan term for this reserved queue expires.
        - **PurchasedAt** *(datetime) --*The timestamp in epoch seconds for when you set up the
        current pricing plan for this reserved queue.
        - **RenewalType** *(string) --*Specifies whether the term of your reserved queue pricing
        plan is automatically extended (AUTO_RENEW) or expires (EXPIRE) at the end of the term.
        - **ReservedSlots** *(integer) --*Specifies the number of reserved transcode slots (RTS) for
        this queue. The number of RTS determines how many jobs the queue can process in parallel;
        each RTS can process one job at a time. When you increase this number, you extend your
        existing commitment with a new 12-month commitment for a larger number of RTS. The new
        commitment begins when you purchase the additional capacity. You can't decrease the number
        of RTS in your reserved queue.
        - **Status** *(string) --*Specifies whether the pricing plan for your reserved queue is
        ACTIVE or EXPIRED.
    """


_ClientListQueuesResponseTypeDef = TypedDict(
    "_ClientListQueuesResponseTypeDef",
    {"NextToken": str, "Queues": List[ClientListQueuesResponseQueuesTypeDef]},
    total=False,
)


class ClientListQueuesResponseTypeDef(_ClientListQueuesResponseTypeDef):
    """
    - *(dict) --*

      - **NextToken** *(string) --*Use this string to request the next batch of queues.
      - **Queues** *(list) --*List of queues.

        - *(dict) --*You can use queues to manage the resources that are available to your AWS
        account for running multiple transcoding jobs at the same time. If you don't specify a
        queue, the service sends all jobs through the default queue. For more information, see
        https://docs.aws.amazon.com/mediaconvert/latest/ug/working-with-queues.html.

          - **Arn** *(string) --*An identifier for this resource that is unique within all of AWS.
          - **CreatedAt** *(datetime) --*The timestamp in epoch seconds for when you created the
          queue.
          - **Description** *(string) --*An optional description that you create for each queue.
          - **LastUpdated** *(datetime) --*The timestamp in epoch seconds for when you most recently
          updated the queue.
          - **Name** *(string) --*A name that you create for each queue. Each name must be unique
          within your account.
          - **PricingPlan** *(string) --*Specifies whether the pricing plan for the queue is
          on-demand or reserved. For on-demand, you pay per minute, billed in increments of .01
          minute. For reserved, you pay for the transcoding capacity of the entire queue, regardless
          of how much or how little you use it. Reserved pricing requires a 12-month commitment.
          - **ProgressingJobsCount** *(integer) --*The estimated number of jobs with a PROGRESSING
          status.
          - **ReservationPlan** *(dict) --*Details about the pricing plan for your reserved queue.
          Required for reserved queues and not applicable to on-demand queues.

            - **Commitment** *(string) --*The length of the term of your reserved queue pricing plan
            commitment.
            - **ExpiresAt** *(datetime) --*The timestamp in epoch seconds for when the current
            pricing plan term for this reserved queue expires.
            - **PurchasedAt** *(datetime) --*The timestamp in epoch seconds for when you set up the
            current pricing plan for this reserved queue.
            - **RenewalType** *(string) --*Specifies whether the term of your reserved queue pricing
            plan is automatically extended (AUTO_RENEW) or expires (EXPIRE) at the end of the term.
            - **ReservedSlots** *(integer) --*Specifies the number of reserved transcode slots (RTS)
            for this queue. The number of RTS determines how many jobs the queue can process in
            parallel; each RTS can process one job at a time. When you increase this number, you
            extend your existing commitment with a new 12-month commitment for a larger number of
            RTS. The new commitment begins when you purchase the additional capacity. You can't
            decrease the number of RTS in your reserved queue.
            - **Status** *(string) --*Specifies whether the pricing plan for your reserved queue is
            ACTIVE or EXPIRED.
    """


_ClientListTagsForResourceResponseResourceTagsTypeDef = TypedDict(
    "_ClientListTagsForResourceResponseResourceTagsTypeDef",
    {"Arn": str, "Tags": Dict[str, str]},
    total=False,
)


class ClientListTagsForResourceResponseResourceTagsTypeDef(
    _ClientListTagsForResourceResponseResourceTagsTypeDef
):
    """
    - **ResourceTags** *(dict) --*The Amazon Resource Name (ARN) and tags for an AWS Elemental
    MediaConvert resource.

      - **Arn** *(string) --*The Amazon Resource Name (ARN) of the resource.
      - **Tags** *(dict) --*The tags for the resource.

        - *(string) --*

          - *(string) --*
    """


_ClientListTagsForResourceResponseTypeDef = TypedDict(
    "_ClientListTagsForResourceResponseTypeDef",
    {"ResourceTags": ClientListTagsForResourceResponseResourceTagsTypeDef},
    total=False,
)


class ClientListTagsForResourceResponseTypeDef(_ClientListTagsForResourceResponseTypeDef):
    """
    - *(dict) --*

      - **ResourceTags** *(dict) --*The Amazon Resource Name (ARN) and tags for an AWS Elemental
      MediaConvert resource.

        - **Arn** *(string) --*The Amazon Resource Name (ARN) of the resource.
        - **Tags** *(dict) --*The tags for the resource.

          - *(string) --*

            - *(string) --*
    """


_ClientUpdateJobTemplateAccelerationSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateAccelerationSettingsTypeDef",
    {"Mode": Literal["DISABLED", "ENABLED", "PREFERRED"]},
)


class ClientUpdateJobTemplateAccelerationSettingsTypeDef(
    _ClientUpdateJobTemplateAccelerationSettingsTypeDef
):
    """
    - **Mode** *(string) --***[REQUIRED]** Specify the conditions when the service will run your job
    with accelerated transcoding.
    """


_ClientUpdateJobTemplateResponseJobTemplateAccelerationSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateAccelerationSettingsTypeDef",
    {"Mode": Literal["DISABLED", "ENABLED", "PREFERRED"]},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateAccelerationSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateAccelerationSettingsTypeDef
):
    """
    - **AccelerationSettings** *(dict) --*Accelerated transcoding can significantly speed up jobs
    with long, visually complex content.

      - **Mode** *(string) --*Specify the conditions when the service will run your job with
      accelerated transcoding.
    """


_ClientUpdateJobTemplateResponseJobTemplateSettingsAvailBlankingTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsAvailBlankingTypeDef",
    {"AvailBlankingImage": str},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsAvailBlankingTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsAvailBlankingTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsEsamManifestConfirmConditionNotificationTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsEsamManifestConfirmConditionNotificationTypeDef",
    {"MccXml": str},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsEsamManifestConfirmConditionNotificationTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsEsamManifestConfirmConditionNotificationTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsEsamSignalProcessingNotificationTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsEsamSignalProcessingNotificationTypeDef",
    {"SccXml": str},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsEsamSignalProcessingNotificationTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsEsamSignalProcessingNotificationTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsEsamTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsEsamTypeDef",
    {
        "ManifestConfirmConditionNotification": ClientUpdateJobTemplateResponseJobTemplateSettingsEsamManifestConfirmConditionNotificationTypeDef,
        "ResponseSignalPreroll": int,
        "SignalProcessingNotification": ClientUpdateJobTemplateResponseJobTemplateSettingsEsamSignalProcessingNotificationTypeDef,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsEsamTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsEsamTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorGroupsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorGroupsTypeDef",
    {"AudioSelectorNames": List[str]},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorGroupsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorGroupsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef",
    {"InputChannels": List[int]},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef",
    {
        "OutputChannels": List[
            ClientUpdateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef
        ]
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsTypeDef",
    {
        "ChannelMapping": ClientUpdateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef,
        "ChannelsIn": int,
        "ChannelsOut": int,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsTypeDef",
    {
        "CustomLanguageCode": str,
        "DefaultSelection": Literal["DEFAULT", "NOT_DEFAULT"],
        "ExternalAudioFileInput": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "Offset": int,
        "Pids": List[int],
        "ProgramSelection": int,
        "RemixSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsRemixSettingsTypeDef,
        "SelectorType": Literal["PID", "TRACK", "LANGUAGE_CODE"],
        "Tracks": List[int],
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef",
    {
        "Convert608To708": Literal["UPCONVERT", "DISABLED"],
        "SourceAncillaryChannelNumber": int,
        "TerminateCaptions": Literal["END_OF_INPUT", "DISABLED"],
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef",
    {"Pid": int},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef",
    {
        "Convert608To708": Literal["UPCONVERT", "DISABLED"],
        "Source608ChannelNumber": int,
        "Source608TrackNumber": int,
        "TerminateCaptions": Literal["END_OF_INPUT", "DISABLED"],
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef",
    {"Convert608To708": Literal["UPCONVERT", "DISABLED"], "SourceFile": str, "TimeDelta": int},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef",
    {"PageNumber": str},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef",
    {"TrackNumber": int},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTypeDef",
    {
        "AncillarySourceSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef,
        "DvbSubSourceSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef,
        "EmbeddedSourceSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef,
        "FileSourceSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef,
        "SourceType": Literal[
            "ANCILLARY",
            "DVB_SUB",
            "EMBEDDED",
            "SCTE20",
            "SCC",
            "TTML",
            "STL",
            "SRT",
            "SMI",
            "TELETEXT",
            "NULL_SOURCE",
            "IMSC",
        ],
        "TeletextSourceSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef,
        "TrackSourceSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsTypeDef",
    {
        "CustomLanguageCode": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "SourceSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTypeDef,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCropTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCropTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCropTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCropTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsInputsImageInserterInsertableImagesTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsInputsImageInserterInsertableImagesTypeDef",
    {
        "Duration": int,
        "FadeIn": int,
        "FadeOut": int,
        "Height": int,
        "ImageInserterInput": str,
        "ImageX": int,
        "ImageY": int,
        "Layer": int,
        "Opacity": int,
        "StartTime": str,
        "Width": int,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsInputsImageInserterInsertableImagesTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsInputsImageInserterInsertableImagesTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsInputsImageInserterTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsInputsImageInserterTypeDef",
    {
        "InsertableImages": List[
            ClientUpdateJobTemplateResponseJobTemplateSettingsInputsImageInserterInsertableImagesTypeDef
        ]
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsInputsImageInserterTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsInputsImageInserterTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsInputsInputClippingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsInputsInputClippingsTypeDef",
    {"EndTimecode": str, "StartTimecode": str},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsInputsInputClippingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsInputsInputClippingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsInputsPositionTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsInputsPositionTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsInputsPositionTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsInputsPositionTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsInputsVideoSelectorHdr10MetadataTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsInputsVideoSelectorHdr10MetadataTypeDef",
    {
        "BluePrimaryX": int,
        "BluePrimaryY": int,
        "GreenPrimaryX": int,
        "GreenPrimaryY": int,
        "MaxContentLightLevel": int,
        "MaxFrameAverageLightLevel": int,
        "MaxLuminance": int,
        "MinLuminance": int,
        "RedPrimaryX": int,
        "RedPrimaryY": int,
        "WhitePointX": int,
        "WhitePointY": int,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsInputsVideoSelectorHdr10MetadataTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsInputsVideoSelectorHdr10MetadataTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsInputsVideoSelectorTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsInputsVideoSelectorTypeDef",
    {
        "AlphaBehavior": Literal["DISCARD", "REMAP_TO_LUMA"],
        "ColorSpace": Literal["FOLLOW", "REC_601", "REC_709", "HDR10", "HLG_2020"],
        "ColorSpaceUsage": Literal["FORCE", "FALLBACK"],
        "Hdr10Metadata": ClientUpdateJobTemplateResponseJobTemplateSettingsInputsVideoSelectorHdr10MetadataTypeDef,
        "Pid": int,
        "ProgramNumber": int,
        "Rotate": Literal["DEGREE_0", "DEGREES_90", "DEGREES_180", "DEGREES_270", "AUTO"],
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsInputsVideoSelectorTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsInputsVideoSelectorTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsInputsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsInputsTypeDef",
    {
        "AudioSelectorGroups": Dict[
            str, ClientUpdateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorGroupsTypeDef
        ],
        "AudioSelectors": Dict[
            str, ClientUpdateJobTemplateResponseJobTemplateSettingsInputsAudioSelectorsTypeDef
        ],
        "CaptionSelectors": Dict[
            str, ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCaptionSelectorsTypeDef
        ],
        "Crop": ClientUpdateJobTemplateResponseJobTemplateSettingsInputsCropTypeDef,
        "DeblockFilter": Literal["ENABLED", "DISABLED"],
        "DenoiseFilter": Literal["ENABLED", "DISABLED"],
        "FilterEnable": Literal["AUTO", "DISABLE", "FORCE"],
        "FilterStrength": int,
        "ImageInserter": ClientUpdateJobTemplateResponseJobTemplateSettingsInputsImageInserterTypeDef,
        "InputClippings": List[
            ClientUpdateJobTemplateResponseJobTemplateSettingsInputsInputClippingsTypeDef
        ],
        "Position": ClientUpdateJobTemplateResponseJobTemplateSettingsInputsPositionTypeDef,
        "ProgramNumber": int,
        "PsiControl": Literal["IGNORE_PSI", "USE_PSI"],
        "TimecodeSource": Literal["EMBEDDED", "ZEROBASED", "SPECIFIEDSTART"],
        "TimecodeStart": str,
        "VideoSelector": ClientUpdateJobTemplateResponseJobTemplateSettingsInputsVideoSelectorTypeDef,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsInputsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsInputsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsMotionImageInserterFramerateTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsMotionImageInserterFramerateTypeDef",
    {"FramerateDenominator": int, "FramerateNumerator": int},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsMotionImageInserterFramerateTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsMotionImageInserterFramerateTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsMotionImageInserterOffsetTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsMotionImageInserterOffsetTypeDef",
    {"ImageX": int, "ImageY": int},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsMotionImageInserterOffsetTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsMotionImageInserterOffsetTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsMotionImageInserterTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsMotionImageInserterTypeDef",
    {
        "Framerate": ClientUpdateJobTemplateResponseJobTemplateSettingsMotionImageInserterFramerateTypeDef,
        "Input": str,
        "InsertionMode": Literal["MOV", "PNG"],
        "Offset": ClientUpdateJobTemplateResponseJobTemplateSettingsMotionImageInserterOffsetTypeDef,
        "Playback": Literal["ONCE", "REPEAT"],
        "StartTime": str,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsMotionImageInserterTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsMotionImageInserterTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsNielsenConfigurationTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsNielsenConfigurationTypeDef",
    {"BreakoutCode": int, "DistributorId": str},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsNielsenConfigurationTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsNielsenConfigurationTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {
        "CertificateArn": str,
        "DashSignaledSystemIds": List[str],
        "HlsSignaledSystemIds": List[str],
        "ResourceId": str,
        "Url": str,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef",
    {"KeyFormat": str, "KeyFormatVersions": str, "StaticKeyValue": str, "Url": str},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef",
    {
        "ConstantInitializationVector": str,
        "EncryptionMethod": Literal["SAMPLE_AES", "AES_CTR"],
        "InitializationVectorInManifest": Literal["INCLUDE", "EXCLUDE"],
        "SpekeKeyProvider": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef,
        "StaticKeyProvider": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef,
        "Type": Literal["SPEKE", "STATIC_KEY"],
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef",
    {
        "AdditionalManifests": List[
            ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef
        ],
        "BaseUrl": str,
        "ClientCache": Literal["DISABLED", "ENABLED"],
        "CodecSpecification": Literal["RFC_6381", "RFC_4281"],
        "Destination": str,
        "DestinationSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef,
        "Encryption": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef,
        "FragmentLength": int,
        "ManifestCompression": Literal["GZIP", "NONE"],
        "ManifestDurationFormat": Literal["FLOATING_POINT", "INTEGER"],
        "MinBufferTime": int,
        "MinFinalSegmentLength": float,
        "MpdProfile": Literal["MAIN_PROFILE", "ON_DEMAND_PROFILE"],
        "SegmentControl": Literal["SINGLE_FILE", "SEGMENTED_FILES"],
        "SegmentLength": int,
        "StreamInfResolution": Literal["INCLUDE", "EXCLUDE"],
        "WriteDashManifest": Literal["DISABLED", "ENABLED"],
        "WriteHlsManifest": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {"CertificateArn": str, "ResourceId": str, "SystemIds": List[str], "Url": str},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef",
    {
        "PlaybackDeviceCompatibility": Literal["CENC_V1", "UNENCRYPTED_SEI"],
        "SpekeKeyProvider": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef",
    {
        "AdditionalManifests": List[
            ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef
        ],
        "BaseUrl": str,
        "Destination": str,
        "DestinationSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef,
        "Encryption": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef,
        "FragmentLength": int,
        "HbbtvCompliance": Literal["HBBTV_1_5", "NONE"],
        "MinBufferTime": int,
        "MpdProfile": Literal["MAIN_PROFILE", "ON_DEMAND_PROFILE"],
        "SegmentControl": Literal["SINGLE_FILE", "SEGMENTED_FILES"],
        "SegmentLength": int,
        "WriteSegmentTimelineInRepresentation": Literal["ENABLED", "DISABLED"],
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef",
    {
        "Destination": str,
        "DestinationSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef",
    {
        "CaptionChannel": int,
        "CustomLanguageCode": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageDescription": str,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {"CertificateArn": str, "ResourceId": str, "SystemIds": List[str], "Url": str},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef",
    {"KeyFormat": str, "KeyFormatVersions": str, "StaticKeyValue": str, "Url": str},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef",
    {
        "ConstantInitializationVector": str,
        "EncryptionMethod": Literal["AES128", "SAMPLE_AES"],
        "InitializationVectorInManifest": Literal["INCLUDE", "EXCLUDE"],
        "OfflineEncrypted": Literal["ENABLED", "DISABLED"],
        "SpekeKeyProvider": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef,
        "StaticKeyProvider": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef,
        "Type": Literal["SPEKE", "STATIC_KEY"],
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef",
    {
        "AdMarkers": List[Literal["ELEMENTAL", "ELEMENTAL_SCTE35"]],
        "AdditionalManifests": List[
            ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef
        ],
        "BaseUrl": str,
        "CaptionLanguageMappings": List[
            ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef
        ],
        "CaptionLanguageSetting": Literal["INSERT", "OMIT", "NONE"],
        "ClientCache": Literal["DISABLED", "ENABLED"],
        "CodecSpecification": Literal["RFC_6381", "RFC_4281"],
        "Destination": str,
        "DestinationSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef,
        "DirectoryStructure": Literal["SINGLE_DIRECTORY", "SUBDIRECTORY_PER_STREAM"],
        "Encryption": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef,
        "ManifestCompression": Literal["GZIP", "NONE"],
        "ManifestDurationFormat": Literal["FLOATING_POINT", "INTEGER"],
        "MinFinalSegmentLength": float,
        "MinSegmentLength": int,
        "OutputSelection": Literal["MANIFESTS_AND_SEGMENTS", "SEGMENTS_ONLY"],
        "ProgramDateTime": Literal["INCLUDE", "EXCLUDE"],
        "ProgramDateTimePeriod": int,
        "SegmentControl": Literal["SINGLE_FILE", "SEGMENTED_FILES"],
        "SegmentLength": int,
        "SegmentsPerSubdirectory": int,
        "StreamInfResolution": Literal["INCLUDE", "EXCLUDE"],
        "TimedMetadataId3Frame": Literal["NONE", "PRIV", "TDRL"],
        "TimedMetadataId3Period": int,
        "TimestampDeltaMilliseconds": int,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {"CertificateArn": str, "ResourceId": str, "SystemIds": List[str], "Url": str},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef",
    {
        "SpekeKeyProvider": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef",
    {
        "AdditionalManifests": List[
            ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef
        ],
        "AudioDeduplication": Literal["COMBINE_DUPLICATE_STREAMS", "NONE"],
        "Destination": str,
        "DestinationSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef,
        "Encryption": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef,
        "FragmentLength": int,
        "ManifestEncoding": Literal["UTF8", "UTF16"],
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsTypeDef",
    {
        "CmafGroupSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef,
        "DashIsoGroupSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef,
        "FileGroupSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef,
        "HlsGroupSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef,
        "MsSmoothGroupSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef,
        "Type": Literal[
            "HLS_GROUP_SETTINGS",
            "DASH_ISO_GROUP_SETTINGS",
            "FILE_GROUP_SETTINGS",
            "MS_SMOOTH_GROUP_SETTINGS",
            "CMAF_GROUP_SETTINGS",
        ],
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef",
    {
        "Algorithm": Literal["ITU_BS_1770_1", "ITU_BS_1770_2", "ITU_BS_1770_3", "ITU_BS_1770_4"],
        "AlgorithmControl": Literal["CORRECT_AUDIO", "MEASURE_ONLY"],
        "CorrectionGateLevel": int,
        "LoudnessLogging": Literal["LOG", "DONT_LOG"],
        "PeakCalculation": Literal["TRUE_PEAK", "NONE"],
        "TargetLkfs": float,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef",
    {
        "AudioDescriptionBroadcasterMix": Literal["BROADCASTER_MIXED_AD", "NORMAL"],
        "Bitrate": int,
        "CodecProfile": Literal["LC", "HEV1", "HEV2"],
        "CodingMode": Literal[
            "AD_RECEIVER_MIX",
            "CODING_MODE_1_0",
            "CODING_MODE_1_1",
            "CODING_MODE_2_0",
            "CODING_MODE_5_1",
        ],
        "RateControlMode": Literal["CBR", "VBR"],
        "RawFormat": Literal["LATM_LOAS", "NONE"],
        "SampleRate": int,
        "Specification": Literal["MPEG2", "MPEG4"],
        "VbrQuality": Literal["LOW", "MEDIUM_LOW", "MEDIUM_HIGH", "HIGH"],
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef",
    {
        "Bitrate": int,
        "BitstreamMode": Literal[
            "COMPLETE_MAIN",
            "COMMENTARY",
            "DIALOGUE",
            "EMERGENCY",
            "HEARING_IMPAIRED",
            "MUSIC_AND_EFFECTS",
            "VISUALLY_IMPAIRED",
            "VOICE_OVER",
        ],
        "CodingMode": Literal[
            "CODING_MODE_1_0", "CODING_MODE_1_1", "CODING_MODE_2_0", "CODING_MODE_3_2_LFE"
        ],
        "Dialnorm": int,
        "DynamicRangeCompressionProfile": Literal["FILM_STANDARD", "NONE"],
        "LfeFilter": Literal["ENABLED", "DISABLED"],
        "MetadataControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "SampleRate": int,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef",
    {"BitDepth": int, "Channels": int, "SampleRate": int},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef",
    {
        "Bitrate": int,
        "BitstreamMode": str,
        "CodingMode": str,
        "DialogueIntelligence": Literal["ENABLED", "DISABLED"],
        "DynamicRangeCompressionLine": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "DynamicRangeCompressionRf": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "LoRoCenterMixLevel": float,
        "LoRoSurroundMixLevel": float,
        "LtRtCenterMixLevel": float,
        "LtRtSurroundMixLevel": float,
        "MeteringMode": Literal[
            "LEQ_A", "ITU_BS_1770_1", "ITU_BS_1770_2", "ITU_BS_1770_3", "ITU_BS_1770_4"
        ],
        "SampleRate": int,
        "SpeechThreshold": int,
        "StereoDownmix": Literal["NOT_INDICATED", "STEREO", "SURROUND", "DPL2"],
        "SurroundExMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef",
    {
        "AttenuationControl": Literal["ATTENUATE_3_DB", "NONE"],
        "Bitrate": int,
        "BitstreamMode": Literal[
            "COMPLETE_MAIN", "COMMENTARY", "EMERGENCY", "HEARING_IMPAIRED", "VISUALLY_IMPAIRED"
        ],
        "CodingMode": Literal["CODING_MODE_1_0", "CODING_MODE_2_0", "CODING_MODE_3_2"],
        "DcFilter": Literal["ENABLED", "DISABLED"],
        "Dialnorm": int,
        "DynamicRangeCompressionLine": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "DynamicRangeCompressionRf": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "LfeControl": Literal["LFE", "NO_LFE"],
        "LfeFilter": Literal["ENABLED", "DISABLED"],
        "LoRoCenterMixLevel": float,
        "LoRoSurroundMixLevel": float,
        "LtRtCenterMixLevel": float,
        "LtRtSurroundMixLevel": float,
        "MetadataControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "PassthroughControl": Literal["WHEN_POSSIBLE", "NO_PASSTHROUGH"],
        "PhaseControl": Literal["SHIFT_90_DEGREES", "NO_SHIFT"],
        "SampleRate": int,
        "StereoDownmix": Literal["NOT_INDICATED", "LO_RO", "LT_RT", "DPL2"],
        "SurroundExMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
        "SurroundMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef",
    {"Bitrate": int, "Channels": int, "SampleRate": int},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef",
    {"BitDepth": int, "Channels": int, "Format": Literal["RIFF", "RF64"], "SampleRate": int},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef",
    {
        "AacSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef,
        "Ac3Settings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef,
        "AiffSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef,
        "Codec": Literal["AAC", "MP2", "WAV", "AIFF", "AC3", "EAC3", "EAC3_ATMOS", "PASSTHROUGH"],
        "Eac3AtmosSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef,
        "Eac3Settings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef,
        "Mp2Settings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef,
        "WavSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef",
    {"InputChannels": List[int]},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef",
    {
        "OutputChannels": List[
            ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef
        ]
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef",
    {
        "ChannelMapping": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef,
        "ChannelsIn": int,
        "ChannelsOut": int,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsTypeDef",
    {
        "AudioNormalizationSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef,
        "AudioSourceName": str,
        "AudioType": int,
        "AudioTypeControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "CodecSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef,
        "CustomLanguageCode": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageCodeControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "RemixSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef,
        "StreamName": str,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef",
    {
        "Alignment": Literal["CENTERED", "LEFT"],
        "BackgroundColor": Literal["NONE", "BLACK", "WHITE"],
        "BackgroundOpacity": int,
        "FontColor": Literal["WHITE", "BLACK", "YELLOW", "RED", "GREEN", "BLUE"],
        "FontOpacity": int,
        "FontResolution": int,
        "FontScript": Literal["AUTOMATIC", "HANS", "HANT"],
        "FontSize": int,
        "OutlineColor": Literal["BLACK", "WHITE", "YELLOW", "RED", "GREEN", "BLUE"],
        "OutlineSize": int,
        "ShadowColor": Literal["NONE", "BLACK", "WHITE"],
        "ShadowOpacity": int,
        "ShadowXOffset": int,
        "ShadowYOffset": int,
        "TeletextSpacing": Literal["FIXED_GRID", "PROPORTIONAL"],
        "XPosition": int,
        "YPosition": int,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef",
    {
        "Alignment": Literal["CENTERED", "LEFT"],
        "BackgroundColor": Literal["NONE", "BLACK", "WHITE"],
        "BackgroundOpacity": int,
        "FontColor": Literal["WHITE", "BLACK", "YELLOW", "RED", "GREEN", "BLUE"],
        "FontOpacity": int,
        "FontResolution": int,
        "FontScript": Literal["AUTOMATIC", "HANS", "HANT"],
        "FontSize": int,
        "OutlineColor": Literal["BLACK", "WHITE", "YELLOW", "RED", "GREEN", "BLUE"],
        "OutlineSize": int,
        "ShadowColor": Literal["NONE", "BLACK", "WHITE"],
        "ShadowOpacity": int,
        "ShadowXOffset": int,
        "ShadowYOffset": int,
        "SubtitlingType": Literal["HEARING_IMPAIRED", "STANDARD"],
        "TeletextSpacing": Literal["FIXED_GRID", "PROPORTIONAL"],
        "XPosition": int,
        "YPosition": int,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef",
    {"Destination608ChannelNumber": int, "Destination708ServiceNumber": int},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef",
    {"StylePassthrough": Literal["ENABLED", "DISABLED"]},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef",
    {
        "Framerate": Literal[
            "FRAMERATE_23_97",
            "FRAMERATE_24",
            "FRAMERATE_25",
            "FRAMERATE_29_97_DROPFRAME",
            "FRAMERATE_29_97_NON_DROPFRAME",
        ]
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef",
    {
        "PageNumber": str,
        "PageTypes": List[
            Literal[
                "PAGE_TYPE_INITIAL",
                "PAGE_TYPE_SUBTITLE",
                "PAGE_TYPE_ADDL_INFO",
                "PAGE_TYPE_PROGRAM_SCHEDULE",
                "PAGE_TYPE_HEARING_IMPAIRED_SUBTITLE",
            ]
        ],
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef",
    {"StylePassthrough": Literal["ENABLED", "DISABLED"]},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef",
    {
        "BurninDestinationSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef,
        "DestinationType": Literal[
            "BURN_IN",
            "DVB_SUB",
            "EMBEDDED",
            "EMBEDDED_PLUS_SCTE20",
            "IMSC",
            "SCTE20_PLUS_EMBEDDED",
            "SCC",
            "SRT",
            "SMI",
            "TELETEXT",
            "TTML",
            "WEBVTT",
        ],
        "DvbSubDestinationSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef,
        "EmbeddedDestinationSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef,
        "ImscDestinationSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef,
        "SccDestinationSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef,
        "TeletextDestinationSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef,
        "TtmlDestinationSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef",
    {
        "CaptionSelectorName": str,
        "CustomLanguageCode": str,
        "DestinationSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageDescription": str,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef",
    {"MoovPlacement": Literal["PROGRESSIVE_DOWNLOAD", "NORMAL"]},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef",
    {"NetworkId": int, "NetworkName": str, "NitInterval": int},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef",
    {
        "OutputSdt": Literal["SDT_FOLLOW", "SDT_FOLLOW_IF_PRESENT", "SDT_MANUAL", "SDT_NONE"],
        "SdtInterval": int,
        "ServiceName": str,
        "ServiceProviderName": str,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef",
    {"TdtInterval": int},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef",
    {"Scte35EsamPid": int},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef",
    {
        "AudioBufferModel": Literal["DVB", "ATSC"],
        "AudioFramesPerPes": int,
        "AudioPids": List[int],
        "Bitrate": int,
        "BufferModel": Literal["MULTIPLEX", "NONE"],
        "DvbNitSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef,
        "DvbSdtSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef,
        "DvbSubPids": List[int],
        "DvbTdtSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef,
        "DvbTeletextPid": int,
        "EbpAudioInterval": Literal["VIDEO_AND_FIXED_INTERVALS", "VIDEO_INTERVAL"],
        "EbpPlacement": Literal["VIDEO_AND_AUDIO_PIDS", "VIDEO_PID"],
        "EsRateInPes": Literal["INCLUDE", "EXCLUDE"],
        "ForceTsVideoEbpOrder": Literal["FORCE", "DEFAULT"],
        "FragmentTime": float,
        "MaxPcrInterval": int,
        "MinEbpInterval": int,
        "NielsenId3": Literal["INSERT", "NONE"],
        "NullPacketBitrate": float,
        "PatInterval": int,
        "PcrControl": Literal["PCR_EVERY_PES_PACKET", "CONFIGURED_PCR_PERIOD"],
        "PcrPid": int,
        "PmtInterval": int,
        "PmtPid": int,
        "PrivateMetadataPid": int,
        "ProgramNumber": int,
        "RateMode": Literal["VBR", "CBR"],
        "Scte35Esam": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef,
        "Scte35Pid": int,
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
        "SegmentationMarkers": Literal[
            "NONE", "RAI_SEGSTART", "RAI_ADAPT", "PSI_SEGSTART", "EBP", "EBP_LEGACY"
        ],
        "SegmentationStyle": Literal["MAINTAIN_CADENCE", "RESET_CADENCE"],
        "SegmentationTime": float,
        "TimedMetadataPid": int,
        "TransportStreamId": int,
        "VideoPid": int,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef",
    {
        "AudioFramesPerPes": int,
        "AudioPids": List[int],
        "NielsenId3": Literal["INSERT", "NONE"],
        "PatInterval": int,
        "PcrControl": Literal["PCR_EVERY_PES_PACKET", "CONFIGURED_PCR_PERIOD"],
        "PcrPid": int,
        "PmtInterval": int,
        "PmtPid": int,
        "PrivateMetadataPid": int,
        "ProgramNumber": int,
        "Scte35Pid": int,
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
        "TimedMetadata": Literal["PASSTHROUGH", "NONE"],
        "TimedMetadataPid": int,
        "TransportStreamId": int,
        "VideoPid": int,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef",
    {
        "ClapAtom": Literal["INCLUDE", "EXCLUDE"],
        "CslgAtom": Literal["INCLUDE", "EXCLUDE"],
        "Mpeg2FourCCControl": Literal["XDCAM", "MPEG"],
        "PaddingControl": Literal["OMNEON", "NONE"],
        "Reference": Literal["SELF_CONTAINED", "EXTERNAL"],
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef",
    {
        "CslgAtom": Literal["INCLUDE", "EXCLUDE"],
        "FreeSpaceBox": Literal["INCLUDE", "EXCLUDE"],
        "MoovPlacement": Literal["PROGRESSIVE_DOWNLOAD", "NORMAL"],
        "Mp4MajorBrand": str,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef",
    {
        "CaptionContainerType": Literal["RAW", "FRAGMENTED_MP4"],
        "Scte35Esam": Literal["INSERT", "NONE"],
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsTypeDef",
    {
        "Container": Literal[
            "F4V", "ISMV", "M2TS", "M3U8", "CMFC", "MOV", "MP4", "MPD", "MXF", "RAW"
        ],
        "F4vSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef,
        "M2tsSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef,
        "M3u8Settings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef,
        "MovSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef,
        "Mp4Settings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef,
        "MpdSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef",
    {
        "AudioGroupId": str,
        "AudioOnlyContainer": Literal["AUTOMATIC", "M2TS"],
        "AudioRenditionSets": str,
        "AudioTrackType": Literal[
            "ALTERNATE_AUDIO_AUTO_SELECT_DEFAULT",
            "ALTERNATE_AUDIO_AUTO_SELECT",
            "ALTERNATE_AUDIO_NOT_AUTO_SELECT",
            "AUDIO_ONLY_VARIANT_STREAM",
        ],
        "IFrameOnlyManifest": Literal["INCLUDE", "EXCLUDE"],
        "SegmentModifier": str,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsOutputSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsOutputSettingsTypeDef",
    {
        "HlsSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsOutputSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsOutputSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef",
    {"FramerateDenominator": int, "FramerateNumerator": int, "MaxCaptures": int, "Quality": int},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef",
    {"MaxAverageBitrate": int, "QvbrQualityLevel": int},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH", "HIGHER", "MAX"],
        "Bitrate": int,
        "CodecLevel": Literal[
            "AUTO",
            "LEVEL_1",
            "LEVEL_1_1",
            "LEVEL_1_2",
            "LEVEL_1_3",
            "LEVEL_2",
            "LEVEL_2_1",
            "LEVEL_2_2",
            "LEVEL_3",
            "LEVEL_3_1",
            "LEVEL_3_2",
            "LEVEL_4",
            "LEVEL_4_1",
            "LEVEL_4_2",
            "LEVEL_5",
            "LEVEL_5_1",
            "LEVEL_5_2",
        ],
        "CodecProfile": Literal[
            "BASELINE", "HIGH", "HIGH_10BIT", "HIGH_422", "HIGH_422_10BIT", "MAIN"
        ],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "EntropyEncoding": Literal["CABAC", "CAVLC"],
        "FieldEncoding": Literal["PAFF", "FORCE_FIELD"],
        "FlickerAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopBReference": Literal["DISABLED", "ENABLED"],
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "NumberReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "SINGLE_PASS_HQ", "MULTI_PASS_HQ"],
        "QvbrSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef,
        "RateControlMode": Literal["VBR", "CBR", "QVBR"],
        "RepeatPps": Literal["DISABLED", "ENABLED"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED", "TRANSITION_DETECTION"],
        "Slices": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Softness": int,
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Syntax": Literal["DEFAULT", "RP2027"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "UnregisteredSeiTimecode": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef",
    {"MaxAverageBitrate": int, "QvbrQualityLevel": int},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH", "HIGHER", "MAX"],
        "AlternateTransferFunctionSei": Literal["DISABLED", "ENABLED"],
        "Bitrate": int,
        "CodecLevel": Literal[
            "AUTO",
            "LEVEL_1",
            "LEVEL_2",
            "LEVEL_2_1",
            "LEVEL_3",
            "LEVEL_3_1",
            "LEVEL_4",
            "LEVEL_4_1",
            "LEVEL_5",
            "LEVEL_5_1",
            "LEVEL_5_2",
            "LEVEL_6",
            "LEVEL_6_1",
            "LEVEL_6_2",
        ],
        "CodecProfile": Literal[
            "MAIN_MAIN",
            "MAIN_HIGH",
            "MAIN10_MAIN",
            "MAIN10_HIGH",
            "MAIN_422_8BIT_MAIN",
            "MAIN_422_8BIT_HIGH",
            "MAIN_422_10BIT_MAIN",
            "MAIN_422_10BIT_HIGH",
        ],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "FlickerAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopBReference": Literal["DISABLED", "ENABLED"],
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "NumberReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "SINGLE_PASS_HQ", "MULTI_PASS_HQ"],
        "QvbrSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef,
        "RateControlMode": Literal["VBR", "CBR", "QVBR"],
        "SampleAdaptiveOffsetFilterMode": Literal["DEFAULT", "ADAPTIVE", "OFF"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED", "TRANSITION_DETECTION"],
        "Slices": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "TemporalIds": Literal["DISABLED", "ENABLED"],
        "Tiles": Literal["DISABLED", "ENABLED"],
        "UnregisteredSeiTimecode": Literal["DISABLED", "ENABLED"],
        "WriteMp4PackagingType": Literal["HVC1", "HEV1"],
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH"],
        "Bitrate": int,
        "CodecLevel": Literal["AUTO", "LOW", "MAIN", "HIGH1440", "HIGH"],
        "CodecProfile": Literal["MAIN", "PROFILE_422"],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "IntraDcPrecision": Literal[
            "AUTO",
            "INTRA_DC_PRECISION_8",
            "INTRA_DC_PRECISION_9",
            "INTRA_DC_PRECISION_10",
            "INTRA_DC_PRECISION_11",
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "MULTI_PASS"],
        "RateControlMode": Literal["VBR", "CBR"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED"],
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Softness": int,
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Syntax": Literal["DEFAULT", "D_10"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef",
    {
        "CodecProfile": Literal[
            "APPLE_PRORES_422",
            "APPLE_PRORES_422_HQ",
            "APPLE_PRORES_422_LT",
            "APPLE_PRORES_422_PROXY",
        ],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Telecine": Literal["NONE", "HARD"],
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef",
    {
        "Codec": Literal["FRAME_CAPTURE", "H_264", "H_265", "MPEG2", "PRORES"],
        "FrameCaptureSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef,
        "H264Settings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef,
        "H265Settings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef,
        "Mpeg2Settings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef,
        "ProresSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef",
    {
        "BluePrimaryX": int,
        "BluePrimaryY": int,
        "GreenPrimaryX": int,
        "GreenPrimaryY": int,
        "MaxContentLightLevel": int,
        "MaxFrameAverageLightLevel": int,
        "MaxLuminance": int,
        "MinLuminance": int,
        "RedPrimaryX": int,
        "RedPrimaryY": int,
        "WhitePointX": int,
        "WhitePointY": int,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef",
    {
        "Brightness": int,
        "ColorSpaceConversion": Literal[
            "NONE", "FORCE_601", "FORCE_709", "FORCE_HDR10", "FORCE_HLG_2020"
        ],
        "Contrast": int,
        "Hdr10Metadata": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef,
        "Hue": int,
        "Saturation": int,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef",
    {
        "Algorithm": Literal["INTERPOLATE", "INTERPOLATE_TICKER", "BLEND", "BLEND_TICKER"],
        "Control": Literal["FORCE_ALL_FRAMES", "NORMAL"],
        "Mode": Literal["DEINTERLACE", "INVERSE_TELECINE", "ADAPTIVE"],
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef",
    {"MaxCll": int, "MaxFall": int},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef",
    {
        "L6Metadata": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef,
        "L6Mode": Literal["PASSTHROUGH", "RECALCULATE", "SPECIFY"],
        "Profile": str,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef",
    {
        "Duration": int,
        "FadeIn": int,
        "FadeOut": int,
        "Height": int,
        "ImageInserterInput": str,
        "ImageX": int,
        "ImageY": int,
        "Layer": int,
        "Opacity": int,
        "StartTime": str,
        "Width": int,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef",
    {
        "InsertableImages": List[
            ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef
        ]
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef",
    {"Strength": int},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef",
    {"PostFilterSharpenStrength": int, "Speed": int, "Strength": int},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef",
    {"AggressiveMode": int, "Speed": int, "Strength": int},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef",
    {
        "Filter": Literal[
            "BILATERAL", "MEAN", "GAUSSIAN", "LANCZOS", "SHARPEN", "CONSERVE", "SPATIAL", "TEMPORAL"
        ],
        "FilterSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef,
        "SpatialFilterSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef,
        "TemporalFilterSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef",
    {
        "FontSize": int,
        "Position": Literal[
            "TOP_CENTER",
            "TOP_LEFT",
            "TOP_RIGHT",
            "MIDDLE_LEFT",
            "MIDDLE_CENTER",
            "MIDDLE_RIGHT",
            "BOTTOM_LEFT",
            "BOTTOM_CENTER",
            "BOTTOM_RIGHT",
        ],
        "Prefix": str,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef",
    {
        "ColorCorrector": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef,
        "Deinterlacer": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef,
        "DolbyVision": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef,
        "ImageInserter": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef,
        "NoiseReducer": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef,
        "TimecodeBurnin": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionTypeDef",
    {
        "AfdSignaling": Literal["NONE", "AUTO", "FIXED"],
        "AntiAlias": Literal["DISABLED", "ENABLED"],
        "CodecSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef,
        "ColorMetadata": Literal["IGNORE", "INSERT"],
        "Crop": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef,
        "DropFrameTimecode": Literal["DISABLED", "ENABLED"],
        "FixedAfd": int,
        "Height": int,
        "Position": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef,
        "RespondToAfd": Literal["NONE", "RESPOND", "PASSTHROUGH"],
        "ScalingBehavior": Literal["DEFAULT", "STRETCH_TO_OUTPUT"],
        "Sharpness": int,
        "TimecodeInsertion": Literal["DISABLED", "PIC_TIMING_SEI"],
        "VideoPreprocessors": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef,
        "Width": int,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsTypeDef",
    {
        "AudioDescriptions": List[
            ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsTypeDef
        ],
        "CaptionDescriptions": List[
            ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef
        ],
        "ContainerSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsContainerSettingsTypeDef,
        "Extension": str,
        "NameModifier": str,
        "OutputSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsOutputSettingsTypeDef,
        "Preset": str,
        "VideoDescription": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsVideoDescriptionTypeDef,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsTypeDef",
    {
        "CustomName": str,
        "Name": str,
        "OutputGroupSettings": ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputGroupSettingsTypeDef,
        "Outputs": List[
            ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsOutputsTypeDef
        ],
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsTimecodeConfigTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsTimecodeConfigTypeDef",
    {
        "Anchor": str,
        "Source": Literal["EMBEDDED", "ZEROBASED", "SPECIFIEDSTART"],
        "Start": str,
        "TimestampOffset": str,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsTimecodeConfigTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsTimecodeConfigTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsTimedMetadataInsertionId3InsertionsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsTimedMetadataInsertionId3InsertionsTypeDef",
    {"Id3": str, "Timecode": str},
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsTimedMetadataInsertionId3InsertionsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsTimedMetadataInsertionId3InsertionsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsTimedMetadataInsertionTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsTimedMetadataInsertionTypeDef",
    {
        "Id3Insertions": List[
            ClientUpdateJobTemplateResponseJobTemplateSettingsTimedMetadataInsertionId3InsertionsTypeDef
        ]
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsTimedMetadataInsertionTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsTimedMetadataInsertionTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateSettingsTypeDef",
    {
        "AdAvailOffset": int,
        "AvailBlanking": ClientUpdateJobTemplateResponseJobTemplateSettingsAvailBlankingTypeDef,
        "Esam": ClientUpdateJobTemplateResponseJobTemplateSettingsEsamTypeDef,
        "Inputs": List[ClientUpdateJobTemplateResponseJobTemplateSettingsInputsTypeDef],
        "MotionImageInserter": ClientUpdateJobTemplateResponseJobTemplateSettingsMotionImageInserterTypeDef,
        "NielsenConfiguration": ClientUpdateJobTemplateResponseJobTemplateSettingsNielsenConfigurationTypeDef,
        "OutputGroups": List[ClientUpdateJobTemplateResponseJobTemplateSettingsOutputGroupsTypeDef],
        "TimecodeConfig": ClientUpdateJobTemplateResponseJobTemplateSettingsTimecodeConfigTypeDef,
        "TimedMetadataInsertion": ClientUpdateJobTemplateResponseJobTemplateSettingsTimedMetadataInsertionTypeDef,
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateSettingsTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateResponseJobTemplateTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseJobTemplateTypeDef",
    {
        "AccelerationSettings": ClientUpdateJobTemplateResponseJobTemplateAccelerationSettingsTypeDef,
        "Arn": str,
        "Category": str,
        "CreatedAt": datetime,
        "Description": str,
        "LastUpdated": datetime,
        "Name": str,
        "Priority": int,
        "Queue": str,
        "Settings": ClientUpdateJobTemplateResponseJobTemplateSettingsTypeDef,
        "StatusUpdateInterval": Literal[
            "SECONDS_10",
            "SECONDS_12",
            "SECONDS_15",
            "SECONDS_20",
            "SECONDS_30",
            "SECONDS_60",
            "SECONDS_120",
            "SECONDS_180",
            "SECONDS_240",
            "SECONDS_300",
            "SECONDS_360",
            "SECONDS_420",
            "SECONDS_480",
            "SECONDS_540",
            "SECONDS_600",
        ],
        "Type": Literal["SYSTEM", "CUSTOM"],
    },
    total=False,
)


class ClientUpdateJobTemplateResponseJobTemplateTypeDef(
    _ClientUpdateJobTemplateResponseJobTemplateTypeDef
):
    """
    - **JobTemplate** *(dict) --*A job template is a pre-made set of encoding instructions that you
    can use to quickly create a job.

      - **AccelerationSettings** *(dict) --*Accelerated transcoding can significantly speed up jobs
      with long, visually complex content.

        - **Mode** *(string) --*Specify the conditions when the service will run your job with
        accelerated transcoding.
    """


_ClientUpdateJobTemplateResponseTypeDef = TypedDict(
    "_ClientUpdateJobTemplateResponseTypeDef",
    {"JobTemplate": ClientUpdateJobTemplateResponseJobTemplateTypeDef},
    total=False,
)


class ClientUpdateJobTemplateResponseTypeDef(_ClientUpdateJobTemplateResponseTypeDef):
    """
    - *(dict) --*

      - **JobTemplate** *(dict) --*A job template is a pre-made set of encoding instructions that
      you can use to quickly create a job.

        - **AccelerationSettings** *(dict) --*Accelerated transcoding can significantly speed up
        jobs with long, visually complex content.

          - **Mode** *(string) --*Specify the conditions when the service will run your job with
          accelerated transcoding.
    """


_ClientUpdateJobTemplateSettingsAvailBlankingTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsAvailBlankingTypeDef", {"AvailBlankingImage": str}, total=False
)


class ClientUpdateJobTemplateSettingsAvailBlankingTypeDef(
    _ClientUpdateJobTemplateSettingsAvailBlankingTypeDef
):
    """
    - **AvailBlanking** *(dict) --*Settings for ad avail blanking. Video can be blanked or overlaid
    with an image, and audio muted during SCTE-35 triggered ad avails.

      - **AvailBlankingImage** *(string) --*Blanking image to be used. Leave empty for solid black.
      Only bmp and png images are supported.
    """


_ClientUpdateJobTemplateSettingsEsamManifestConfirmConditionNotificationTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsEsamManifestConfirmConditionNotificationTypeDef",
    {"MccXml": str},
    total=False,
)


class ClientUpdateJobTemplateSettingsEsamManifestConfirmConditionNotificationTypeDef(
    _ClientUpdateJobTemplateSettingsEsamManifestConfirmConditionNotificationTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsEsamSignalProcessingNotificationTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsEsamSignalProcessingNotificationTypeDef",
    {"SccXml": str},
    total=False,
)


class ClientUpdateJobTemplateSettingsEsamSignalProcessingNotificationTypeDef(
    _ClientUpdateJobTemplateSettingsEsamSignalProcessingNotificationTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsEsamTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsEsamTypeDef",
    {
        "ManifestConfirmConditionNotification": ClientUpdateJobTemplateSettingsEsamManifestConfirmConditionNotificationTypeDef,
        "ResponseSignalPreroll": int,
        "SignalProcessingNotification": ClientUpdateJobTemplateSettingsEsamSignalProcessingNotificationTypeDef,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsEsamTypeDef(_ClientUpdateJobTemplateSettingsEsamTypeDef):
    pass


_ClientUpdateJobTemplateSettingsInputsAudioSelectorGroupsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsInputsAudioSelectorGroupsTypeDef",
    {"AudioSelectorNames": List[str]},
    total=False,
)


class ClientUpdateJobTemplateSettingsInputsAudioSelectorGroupsTypeDef(
    _ClientUpdateJobTemplateSettingsInputsAudioSelectorGroupsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef",
    {"InputChannels": List[int]},
    total=False,
)


class ClientUpdateJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef(
    _ClientUpdateJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef",
    {
        "OutputChannels": List[
            ClientUpdateJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef
        ]
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef(
    _ClientUpdateJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsInputsAudioSelectorsRemixSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsInputsAudioSelectorsRemixSettingsTypeDef",
    {
        "ChannelMapping": ClientUpdateJobTemplateSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef,
        "ChannelsIn": int,
        "ChannelsOut": int,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsInputsAudioSelectorsRemixSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsInputsAudioSelectorsRemixSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsInputsAudioSelectorsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsInputsAudioSelectorsTypeDef",
    {
        "CustomLanguageCode": str,
        "DefaultSelection": Literal["DEFAULT", "NOT_DEFAULT"],
        "ExternalAudioFileInput": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "Offset": int,
        "Pids": List[int],
        "ProgramSelection": int,
        "RemixSettings": ClientUpdateJobTemplateSettingsInputsAudioSelectorsRemixSettingsTypeDef,
        "SelectorType": Literal["PID", "TRACK", "LANGUAGE_CODE"],
        "Tracks": List[int],
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsInputsAudioSelectorsTypeDef(
    _ClientUpdateJobTemplateSettingsInputsAudioSelectorsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef",
    {
        "Convert608To708": Literal["UPCONVERT", "DISABLED"],
        "SourceAncillaryChannelNumber": int,
        "TerminateCaptions": Literal["END_OF_INPUT", "DISABLED"],
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef",
    {"Pid": int},
    total=False,
)


class ClientUpdateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef",
    {
        "Convert608To708": Literal["UPCONVERT", "DISABLED"],
        "Source608ChannelNumber": int,
        "Source608TrackNumber": int,
        "TerminateCaptions": Literal["END_OF_INPUT", "DISABLED"],
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef",
    {"Convert608To708": Literal["UPCONVERT", "DISABLED"], "SourceFile": str, "TimeDelta": int},
    total=False,
)


class ClientUpdateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef",
    {"PageNumber": str},
    total=False,
)


class ClientUpdateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef",
    {"TrackNumber": int},
    total=False,
)


class ClientUpdateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTypeDef",
    {
        "AncillarySourceSettings": ClientUpdateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef,
        "DvbSubSourceSettings": ClientUpdateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef,
        "EmbeddedSourceSettings": ClientUpdateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef,
        "FileSourceSettings": ClientUpdateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef,
        "SourceType": Literal[
            "ANCILLARY",
            "DVB_SUB",
            "EMBEDDED",
            "SCTE20",
            "SCC",
            "TTML",
            "STL",
            "SRT",
            "SMI",
            "TELETEXT",
            "NULL_SOURCE",
            "IMSC",
        ],
        "TeletextSourceSettings": ClientUpdateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef,
        "TrackSourceSettings": ClientUpdateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsInputsCaptionSelectorsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsInputsCaptionSelectorsTypeDef",
    {
        "CustomLanguageCode": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "SourceSettings": ClientUpdateJobTemplateSettingsInputsCaptionSelectorsSourceSettingsTypeDef,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsInputsCaptionSelectorsTypeDef(
    _ClientUpdateJobTemplateSettingsInputsCaptionSelectorsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsInputsCropTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsInputsCropTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientUpdateJobTemplateSettingsInputsCropTypeDef(
    _ClientUpdateJobTemplateSettingsInputsCropTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsInputsImageInserterInsertableImagesTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsInputsImageInserterInsertableImagesTypeDef",
    {
        "Duration": int,
        "FadeIn": int,
        "FadeOut": int,
        "Height": int,
        "ImageInserterInput": str,
        "ImageX": int,
        "ImageY": int,
        "Layer": int,
        "Opacity": int,
        "StartTime": str,
        "Width": int,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsInputsImageInserterInsertableImagesTypeDef(
    _ClientUpdateJobTemplateSettingsInputsImageInserterInsertableImagesTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsInputsImageInserterTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsInputsImageInserterTypeDef",
    {
        "InsertableImages": List[
            ClientUpdateJobTemplateSettingsInputsImageInserterInsertableImagesTypeDef
        ]
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsInputsImageInserterTypeDef(
    _ClientUpdateJobTemplateSettingsInputsImageInserterTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsInputsInputClippingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsInputsInputClippingsTypeDef",
    {"EndTimecode": str, "StartTimecode": str},
    total=False,
)


class ClientUpdateJobTemplateSettingsInputsInputClippingsTypeDef(
    _ClientUpdateJobTemplateSettingsInputsInputClippingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsInputsPositionTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsInputsPositionTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientUpdateJobTemplateSettingsInputsPositionTypeDef(
    _ClientUpdateJobTemplateSettingsInputsPositionTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsInputsVideoSelectorHdr10MetadataTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsInputsVideoSelectorHdr10MetadataTypeDef",
    {
        "BluePrimaryX": int,
        "BluePrimaryY": int,
        "GreenPrimaryX": int,
        "GreenPrimaryY": int,
        "MaxContentLightLevel": int,
        "MaxFrameAverageLightLevel": int,
        "MaxLuminance": int,
        "MinLuminance": int,
        "RedPrimaryX": int,
        "RedPrimaryY": int,
        "WhitePointX": int,
        "WhitePointY": int,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsInputsVideoSelectorHdr10MetadataTypeDef(
    _ClientUpdateJobTemplateSettingsInputsVideoSelectorHdr10MetadataTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsInputsVideoSelectorTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsInputsVideoSelectorTypeDef",
    {
        "AlphaBehavior": Literal["DISCARD", "REMAP_TO_LUMA"],
        "ColorSpace": Literal["FOLLOW", "REC_601", "REC_709", "HDR10", "HLG_2020"],
        "ColorSpaceUsage": Literal["FORCE", "FALLBACK"],
        "Hdr10Metadata": ClientUpdateJobTemplateSettingsInputsVideoSelectorHdr10MetadataTypeDef,
        "Pid": int,
        "ProgramNumber": int,
        "Rotate": Literal["DEGREE_0", "DEGREES_90", "DEGREES_180", "DEGREES_270", "AUTO"],
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsInputsVideoSelectorTypeDef(
    _ClientUpdateJobTemplateSettingsInputsVideoSelectorTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsInputsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsInputsTypeDef",
    {
        "AudioSelectorGroups": Dict[
            str, ClientUpdateJobTemplateSettingsInputsAudioSelectorGroupsTypeDef
        ],
        "AudioSelectors": Dict[str, ClientUpdateJobTemplateSettingsInputsAudioSelectorsTypeDef],
        "CaptionSelectors": Dict[str, ClientUpdateJobTemplateSettingsInputsCaptionSelectorsTypeDef],
        "Crop": ClientUpdateJobTemplateSettingsInputsCropTypeDef,
        "DeblockFilter": Literal["ENABLED", "DISABLED"],
        "DenoiseFilter": Literal["ENABLED", "DISABLED"],
        "FilterEnable": Literal["AUTO", "DISABLE", "FORCE"],
        "FilterStrength": int,
        "ImageInserter": ClientUpdateJobTemplateSettingsInputsImageInserterTypeDef,
        "InputClippings": List[ClientUpdateJobTemplateSettingsInputsInputClippingsTypeDef],
        "Position": ClientUpdateJobTemplateSettingsInputsPositionTypeDef,
        "ProgramNumber": int,
        "PsiControl": Literal["IGNORE_PSI", "USE_PSI"],
        "TimecodeSource": Literal["EMBEDDED", "ZEROBASED", "SPECIFIEDSTART"],
        "TimecodeStart": str,
        "VideoSelector": ClientUpdateJobTemplateSettingsInputsVideoSelectorTypeDef,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsInputsTypeDef(_ClientUpdateJobTemplateSettingsInputsTypeDef):
    pass


_ClientUpdateJobTemplateSettingsMotionImageInserterFramerateTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsMotionImageInserterFramerateTypeDef",
    {"FramerateDenominator": int, "FramerateNumerator": int},
    total=False,
)


class ClientUpdateJobTemplateSettingsMotionImageInserterFramerateTypeDef(
    _ClientUpdateJobTemplateSettingsMotionImageInserterFramerateTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsMotionImageInserterOffsetTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsMotionImageInserterOffsetTypeDef",
    {"ImageX": int, "ImageY": int},
    total=False,
)


class ClientUpdateJobTemplateSettingsMotionImageInserterOffsetTypeDef(
    _ClientUpdateJobTemplateSettingsMotionImageInserterOffsetTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsMotionImageInserterTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsMotionImageInserterTypeDef",
    {
        "Framerate": ClientUpdateJobTemplateSettingsMotionImageInserterFramerateTypeDef,
        "Input": str,
        "InsertionMode": Literal["MOV", "PNG"],
        "Offset": ClientUpdateJobTemplateSettingsMotionImageInserterOffsetTypeDef,
        "Playback": Literal["ONCE", "REPEAT"],
        "StartTime": str,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsMotionImageInserterTypeDef(
    _ClientUpdateJobTemplateSettingsMotionImageInserterTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsNielsenConfigurationTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsNielsenConfigurationTypeDef",
    {"BreakoutCode": int, "DistributorId": str},
    total=False,
)


class ClientUpdateJobTemplateSettingsNielsenConfigurationTypeDef(
    _ClientUpdateJobTemplateSettingsNielsenConfigurationTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {
        "CertificateArn": str,
        "DashSignaledSystemIds": List[str],
        "HlsSignaledSystemIds": List[str],
        "ResourceId": str,
        "Url": str,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef",
    {"KeyFormat": str, "KeyFormatVersions": str, "StaticKeyValue": str, "Url": str},
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef",
    {
        "ConstantInitializationVector": str,
        "EncryptionMethod": Literal["SAMPLE_AES", "AES_CTR"],
        "InitializationVectorInManifest": Literal["INCLUDE", "EXCLUDE"],
        "SpekeKeyProvider": ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef,
        "StaticKeyProvider": ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef,
        "Type": Literal["SPEKE", "STATIC_KEY"],
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef",
    {
        "AdditionalManifests": List[
            ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef
        ],
        "BaseUrl": str,
        "ClientCache": Literal["DISABLED", "ENABLED"],
        "CodecSpecification": Literal["RFC_6381", "RFC_4281"],
        "Destination": str,
        "DestinationSettings": ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef,
        "Encryption": ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef,
        "FragmentLength": int,
        "ManifestCompression": Literal["GZIP", "NONE"],
        "ManifestDurationFormat": Literal["FLOATING_POINT", "INTEGER"],
        "MinBufferTime": int,
        "MinFinalSegmentLength": float,
        "MpdProfile": Literal["MAIN_PROFILE", "ON_DEMAND_PROFILE"],
        "SegmentControl": Literal["SINGLE_FILE", "SEGMENTED_FILES"],
        "SegmentLength": int,
        "StreamInfResolution": Literal["INCLUDE", "EXCLUDE"],
        "WriteDashManifest": Literal["DISABLED", "ENABLED"],
        "WriteHlsManifest": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {"CertificateArn": str, "ResourceId": str, "SystemIds": List[str], "Url": str},
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef",
    {
        "PlaybackDeviceCompatibility": Literal["CENC_V1", "UNENCRYPTED_SEI"],
        "SpekeKeyProvider": ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef",
    {
        "AdditionalManifests": List[
            ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef
        ],
        "BaseUrl": str,
        "Destination": str,
        "DestinationSettings": ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef,
        "Encryption": ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef,
        "FragmentLength": int,
        "HbbtvCompliance": Literal["HBBTV_1_5", "NONE"],
        "MinBufferTime": int,
        "MpdProfile": Literal["MAIN_PROFILE", "ON_DEMAND_PROFILE"],
        "SegmentControl": Literal["SINGLE_FILE", "SEGMENTED_FILES"],
        "SegmentLength": int,
        "WriteSegmentTimelineInRepresentation": Literal["ENABLED", "DISABLED"],
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef",
    {
        "Destination": str,
        "DestinationSettings": ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef",
    {
        "CaptionChannel": int,
        "CustomLanguageCode": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageDescription": str,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {"CertificateArn": str, "ResourceId": str, "SystemIds": List[str], "Url": str},
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef",
    {"KeyFormat": str, "KeyFormatVersions": str, "StaticKeyValue": str, "Url": str},
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef",
    {
        "ConstantInitializationVector": str,
        "EncryptionMethod": Literal["AES128", "SAMPLE_AES"],
        "InitializationVectorInManifest": Literal["INCLUDE", "EXCLUDE"],
        "OfflineEncrypted": Literal["ENABLED", "DISABLED"],
        "SpekeKeyProvider": ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef,
        "StaticKeyProvider": ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef,
        "Type": Literal["SPEKE", "STATIC_KEY"],
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef",
    {
        "AdMarkers": List[Literal["ELEMENTAL", "ELEMENTAL_SCTE35"]],
        "AdditionalManifests": List[
            ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef
        ],
        "BaseUrl": str,
        "CaptionLanguageMappings": List[
            ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef
        ],
        "CaptionLanguageSetting": Literal["INSERT", "OMIT", "NONE"],
        "ClientCache": Literal["DISABLED", "ENABLED"],
        "CodecSpecification": Literal["RFC_6381", "RFC_4281"],
        "Destination": str,
        "DestinationSettings": ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef,
        "DirectoryStructure": Literal["SINGLE_DIRECTORY", "SUBDIRECTORY_PER_STREAM"],
        "Encryption": ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef,
        "ManifestCompression": Literal["GZIP", "NONE"],
        "ManifestDurationFormat": Literal["FLOATING_POINT", "INTEGER"],
        "MinFinalSegmentLength": float,
        "MinSegmentLength": int,
        "OutputSelection": Literal["MANIFESTS_AND_SEGMENTS", "SEGMENTS_ONLY"],
        "ProgramDateTime": Literal["INCLUDE", "EXCLUDE"],
        "ProgramDateTimePeriod": int,
        "SegmentControl": Literal["SINGLE_FILE", "SEGMENTED_FILES"],
        "SegmentLength": int,
        "SegmentsPerSubdirectory": int,
        "StreamInfResolution": Literal["INCLUDE", "EXCLUDE"],
        "TimedMetadataId3Frame": Literal["NONE", "PRIV", "TDRL"],
        "TimedMetadataId3Period": int,
        "TimestampDeltaMilliseconds": int,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {"CertificateArn": str, "ResourceId": str, "SystemIds": List[str], "Url": str},
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef",
    {
        "SpekeKeyProvider": ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef",
    {
        "AdditionalManifests": List[
            ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef
        ],
        "AudioDeduplication": Literal["COMBINE_DUPLICATE_STREAMS", "NONE"],
        "Destination": str,
        "DestinationSettings": ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef,
        "Encryption": ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef,
        "FragmentLength": int,
        "ManifestEncoding": Literal["UTF8", "UTF16"],
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsTypeDef",
    {
        "CmafGroupSettings": ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef,
        "DashIsoGroupSettings": ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef,
        "FileGroupSettings": ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef,
        "HlsGroupSettings": ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef,
        "MsSmoothGroupSettings": ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef,
        "Type": Literal[
            "HLS_GROUP_SETTINGS",
            "DASH_ISO_GROUP_SETTINGS",
            "FILE_GROUP_SETTINGS",
            "MS_SMOOTH_GROUP_SETTINGS",
            "CMAF_GROUP_SETTINGS",
        ],
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef",
    {
        "Algorithm": Literal["ITU_BS_1770_1", "ITU_BS_1770_2", "ITU_BS_1770_3", "ITU_BS_1770_4"],
        "AlgorithmControl": Literal["CORRECT_AUDIO", "MEASURE_ONLY"],
        "CorrectionGateLevel": int,
        "LoudnessLogging": Literal["LOG", "DONT_LOG"],
        "PeakCalculation": Literal["TRUE_PEAK", "NONE"],
        "TargetLkfs": float,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef",
    {
        "AudioDescriptionBroadcasterMix": Literal["BROADCASTER_MIXED_AD", "NORMAL"],
        "Bitrate": int,
        "CodecProfile": Literal["LC", "HEV1", "HEV2"],
        "CodingMode": Literal[
            "AD_RECEIVER_MIX",
            "CODING_MODE_1_0",
            "CODING_MODE_1_1",
            "CODING_MODE_2_0",
            "CODING_MODE_5_1",
        ],
        "RateControlMode": Literal["CBR", "VBR"],
        "RawFormat": Literal["LATM_LOAS", "NONE"],
        "SampleRate": int,
        "Specification": Literal["MPEG2", "MPEG4"],
        "VbrQuality": Literal["LOW", "MEDIUM_LOW", "MEDIUM_HIGH", "HIGH"],
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef",
    {
        "Bitrate": int,
        "BitstreamMode": Literal[
            "COMPLETE_MAIN",
            "COMMENTARY",
            "DIALOGUE",
            "EMERGENCY",
            "HEARING_IMPAIRED",
            "MUSIC_AND_EFFECTS",
            "VISUALLY_IMPAIRED",
            "VOICE_OVER",
        ],
        "CodingMode": Literal[
            "CODING_MODE_1_0", "CODING_MODE_1_1", "CODING_MODE_2_0", "CODING_MODE_3_2_LFE"
        ],
        "Dialnorm": int,
        "DynamicRangeCompressionProfile": Literal["FILM_STANDARD", "NONE"],
        "LfeFilter": Literal["ENABLED", "DISABLED"],
        "MetadataControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "SampleRate": int,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef",
    {"BitDepth": int, "Channels": int, "SampleRate": int},
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef",
    {
        "Bitrate": int,
        "BitstreamMode": str,
        "CodingMode": str,
        "DialogueIntelligence": Literal["ENABLED", "DISABLED"],
        "DynamicRangeCompressionLine": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "DynamicRangeCompressionRf": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "LoRoCenterMixLevel": float,
        "LoRoSurroundMixLevel": float,
        "LtRtCenterMixLevel": float,
        "LtRtSurroundMixLevel": float,
        "MeteringMode": Literal[
            "LEQ_A", "ITU_BS_1770_1", "ITU_BS_1770_2", "ITU_BS_1770_3", "ITU_BS_1770_4"
        ],
        "SampleRate": int,
        "SpeechThreshold": int,
        "StereoDownmix": Literal["NOT_INDICATED", "STEREO", "SURROUND", "DPL2"],
        "SurroundExMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef",
    {
        "AttenuationControl": Literal["ATTENUATE_3_DB", "NONE"],
        "Bitrate": int,
        "BitstreamMode": Literal[
            "COMPLETE_MAIN", "COMMENTARY", "EMERGENCY", "HEARING_IMPAIRED", "VISUALLY_IMPAIRED"
        ],
        "CodingMode": Literal["CODING_MODE_1_0", "CODING_MODE_2_0", "CODING_MODE_3_2"],
        "DcFilter": Literal["ENABLED", "DISABLED"],
        "Dialnorm": int,
        "DynamicRangeCompressionLine": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "DynamicRangeCompressionRf": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "LfeControl": Literal["LFE", "NO_LFE"],
        "LfeFilter": Literal["ENABLED", "DISABLED"],
        "LoRoCenterMixLevel": float,
        "LoRoSurroundMixLevel": float,
        "LtRtCenterMixLevel": float,
        "LtRtSurroundMixLevel": float,
        "MetadataControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "PassthroughControl": Literal["WHEN_POSSIBLE", "NO_PASSTHROUGH"],
        "PhaseControl": Literal["SHIFT_90_DEGREES", "NO_SHIFT"],
        "SampleRate": int,
        "StereoDownmix": Literal["NOT_INDICATED", "LO_RO", "LT_RT", "DPL2"],
        "SurroundExMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
        "SurroundMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef",
    {"Bitrate": int, "Channels": int, "SampleRate": int},
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef",
    {"BitDepth": int, "Channels": int, "Format": Literal["RIFF", "RF64"], "SampleRate": int},
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef",
    {
        "AacSettings": ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef,
        "Ac3Settings": ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef,
        "AiffSettings": ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef,
        "Codec": Literal["AAC", "MP2", "WAV", "AIFF", "AC3", "EAC3", "EAC3_ATMOS", "PASSTHROUGH"],
        "Eac3AtmosSettings": ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef,
        "Eac3Settings": ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef,
        "Mp2Settings": ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef,
        "WavSettings": ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef",
    {"InputChannels": List[int]},
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef",
    {
        "OutputChannels": List[
            ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef
        ]
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef",
    {
        "ChannelMapping": ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef,
        "ChannelsIn": int,
        "ChannelsOut": int,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsTypeDef",
    {
        "AudioNormalizationSettings": ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef,
        "AudioSourceName": str,
        "AudioType": int,
        "AudioTypeControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "CodecSettings": ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef,
        "CustomLanguageCode": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageCodeControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "RemixSettings": ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef,
        "StreamName": str,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef",
    {
        "Alignment": Literal["CENTERED", "LEFT"],
        "BackgroundColor": Literal["NONE", "BLACK", "WHITE"],
        "BackgroundOpacity": int,
        "FontColor": Literal["WHITE", "BLACK", "YELLOW", "RED", "GREEN", "BLUE"],
        "FontOpacity": int,
        "FontResolution": int,
        "FontScript": Literal["AUTOMATIC", "HANS", "HANT"],
        "FontSize": int,
        "OutlineColor": Literal["BLACK", "WHITE", "YELLOW", "RED", "GREEN", "BLUE"],
        "OutlineSize": int,
        "ShadowColor": Literal["NONE", "BLACK", "WHITE"],
        "ShadowOpacity": int,
        "ShadowXOffset": int,
        "ShadowYOffset": int,
        "TeletextSpacing": Literal["FIXED_GRID", "PROPORTIONAL"],
        "XPosition": int,
        "YPosition": int,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef",
    {
        "Alignment": Literal["CENTERED", "LEFT"],
        "BackgroundColor": Literal["NONE", "BLACK", "WHITE"],
        "BackgroundOpacity": int,
        "FontColor": Literal["WHITE", "BLACK", "YELLOW", "RED", "GREEN", "BLUE"],
        "FontOpacity": int,
        "FontResolution": int,
        "FontScript": Literal["AUTOMATIC", "HANS", "HANT"],
        "FontSize": int,
        "OutlineColor": Literal["BLACK", "WHITE", "YELLOW", "RED", "GREEN", "BLUE"],
        "OutlineSize": int,
        "ShadowColor": Literal["NONE", "BLACK", "WHITE"],
        "ShadowOpacity": int,
        "ShadowXOffset": int,
        "ShadowYOffset": int,
        "SubtitlingType": Literal["HEARING_IMPAIRED", "STANDARD"],
        "TeletextSpacing": Literal["FIXED_GRID", "PROPORTIONAL"],
        "XPosition": int,
        "YPosition": int,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef",
    {"Destination608ChannelNumber": int, "Destination708ServiceNumber": int},
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef",
    {"StylePassthrough": Literal["ENABLED", "DISABLED"]},
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef",
    {
        "Framerate": Literal[
            "FRAMERATE_23_97",
            "FRAMERATE_24",
            "FRAMERATE_25",
            "FRAMERATE_29_97_DROPFRAME",
            "FRAMERATE_29_97_NON_DROPFRAME",
        ]
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef",
    {
        "PageNumber": str,
        "PageTypes": List[
            Literal[
                "PAGE_TYPE_INITIAL",
                "PAGE_TYPE_SUBTITLE",
                "PAGE_TYPE_ADDL_INFO",
                "PAGE_TYPE_PROGRAM_SCHEDULE",
                "PAGE_TYPE_HEARING_IMPAIRED_SUBTITLE",
            ]
        ],
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef",
    {"StylePassthrough": Literal["ENABLED", "DISABLED"]},
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef",
    {
        "BurninDestinationSettings": ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef,
        "DestinationType": Literal[
            "BURN_IN",
            "DVB_SUB",
            "EMBEDDED",
            "EMBEDDED_PLUS_SCTE20",
            "IMSC",
            "SCTE20_PLUS_EMBEDDED",
            "SCC",
            "SRT",
            "SMI",
            "TELETEXT",
            "TTML",
            "WEBVTT",
        ],
        "DvbSubDestinationSettings": ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef,
        "EmbeddedDestinationSettings": ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef,
        "ImscDestinationSettings": ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef,
        "SccDestinationSettings": ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef,
        "TeletextDestinationSettings": ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef,
        "TtmlDestinationSettings": ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef",
    {
        "CaptionSelectorName": str,
        "CustomLanguageCode": str,
        "DestinationSettings": ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageDescription": str,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef",
    {"MoovPlacement": Literal["PROGRESSIVE_DOWNLOAD", "NORMAL"]},
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef",
    {"NetworkId": int, "NetworkName": str, "NitInterval": int},
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef",
    {
        "OutputSdt": Literal["SDT_FOLLOW", "SDT_FOLLOW_IF_PRESENT", "SDT_MANUAL", "SDT_NONE"],
        "SdtInterval": int,
        "ServiceName": str,
        "ServiceProviderName": str,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef",
    {"TdtInterval": int},
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef",
    {"Scte35EsamPid": int},
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef",
    {
        "AudioBufferModel": Literal["DVB", "ATSC"],
        "AudioFramesPerPes": int,
        "AudioPids": List[int],
        "Bitrate": int,
        "BufferModel": Literal["MULTIPLEX", "NONE"],
        "DvbNitSettings": ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef,
        "DvbSdtSettings": ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef,
        "DvbSubPids": List[int],
        "DvbTdtSettings": ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef,
        "DvbTeletextPid": int,
        "EbpAudioInterval": Literal["VIDEO_AND_FIXED_INTERVALS", "VIDEO_INTERVAL"],
        "EbpPlacement": Literal["VIDEO_AND_AUDIO_PIDS", "VIDEO_PID"],
        "EsRateInPes": Literal["INCLUDE", "EXCLUDE"],
        "ForceTsVideoEbpOrder": Literal["FORCE", "DEFAULT"],
        "FragmentTime": float,
        "MaxPcrInterval": int,
        "MinEbpInterval": int,
        "NielsenId3": Literal["INSERT", "NONE"],
        "NullPacketBitrate": float,
        "PatInterval": int,
        "PcrControl": Literal["PCR_EVERY_PES_PACKET", "CONFIGURED_PCR_PERIOD"],
        "PcrPid": int,
        "PmtInterval": int,
        "PmtPid": int,
        "PrivateMetadataPid": int,
        "ProgramNumber": int,
        "RateMode": Literal["VBR", "CBR"],
        "Scte35Esam": ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef,
        "Scte35Pid": int,
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
        "SegmentationMarkers": Literal[
            "NONE", "RAI_SEGSTART", "RAI_ADAPT", "PSI_SEGSTART", "EBP", "EBP_LEGACY"
        ],
        "SegmentationStyle": Literal["MAINTAIN_CADENCE", "RESET_CADENCE"],
        "SegmentationTime": float,
        "TimedMetadataPid": int,
        "TransportStreamId": int,
        "VideoPid": int,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef",
    {
        "AudioFramesPerPes": int,
        "AudioPids": List[int],
        "NielsenId3": Literal["INSERT", "NONE"],
        "PatInterval": int,
        "PcrControl": Literal["PCR_EVERY_PES_PACKET", "CONFIGURED_PCR_PERIOD"],
        "PcrPid": int,
        "PmtInterval": int,
        "PmtPid": int,
        "PrivateMetadataPid": int,
        "ProgramNumber": int,
        "Scte35Pid": int,
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
        "TimedMetadata": Literal["PASSTHROUGH", "NONE"],
        "TimedMetadataPid": int,
        "TransportStreamId": int,
        "VideoPid": int,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef",
    {
        "ClapAtom": Literal["INCLUDE", "EXCLUDE"],
        "CslgAtom": Literal["INCLUDE", "EXCLUDE"],
        "Mpeg2FourCCControl": Literal["XDCAM", "MPEG"],
        "PaddingControl": Literal["OMNEON", "NONE"],
        "Reference": Literal["SELF_CONTAINED", "EXTERNAL"],
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef",
    {
        "CslgAtom": Literal["INCLUDE", "EXCLUDE"],
        "FreeSpaceBox": Literal["INCLUDE", "EXCLUDE"],
        "MoovPlacement": Literal["PROGRESSIVE_DOWNLOAD", "NORMAL"],
        "Mp4MajorBrand": str,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef",
    {
        "CaptionContainerType": Literal["RAW", "FRAGMENTED_MP4"],
        "Scte35Esam": Literal["INSERT", "NONE"],
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsTypeDef",
    {
        "Container": Literal[
            "F4V", "ISMV", "M2TS", "M3U8", "CMFC", "MOV", "MP4", "MPD", "MXF", "RAW"
        ],
        "F4vSettings": ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef,
        "M2tsSettings": ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef,
        "M3u8Settings": ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef,
        "MovSettings": ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef,
        "Mp4Settings": ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef,
        "MpdSettings": ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef",
    {
        "AudioGroupId": str,
        "AudioOnlyContainer": Literal["AUTOMATIC", "M2TS"],
        "AudioRenditionSets": str,
        "AudioTrackType": Literal[
            "ALTERNATE_AUDIO_AUTO_SELECT_DEFAULT",
            "ALTERNATE_AUDIO_AUTO_SELECT",
            "ALTERNATE_AUDIO_NOT_AUTO_SELECT",
            "AUDIO_ONLY_VARIANT_STREAM",
        ],
        "IFrameOnlyManifest": Literal["INCLUDE", "EXCLUDE"],
        "SegmentModifier": str,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsOutputSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsOutputSettingsTypeDef",
    {
        "HlsSettings": ClientUpdateJobTemplateSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsOutputSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsOutputSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef",
    {"FramerateDenominator": int, "FramerateNumerator": int, "MaxCaptures": int, "Quality": int},
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef",
    {"MaxAverageBitrate": int, "QvbrQualityLevel": int},
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH", "HIGHER", "MAX"],
        "Bitrate": int,
        "CodecLevel": Literal[
            "AUTO",
            "LEVEL_1",
            "LEVEL_1_1",
            "LEVEL_1_2",
            "LEVEL_1_3",
            "LEVEL_2",
            "LEVEL_2_1",
            "LEVEL_2_2",
            "LEVEL_3",
            "LEVEL_3_1",
            "LEVEL_3_2",
            "LEVEL_4",
            "LEVEL_4_1",
            "LEVEL_4_2",
            "LEVEL_5",
            "LEVEL_5_1",
            "LEVEL_5_2",
        ],
        "CodecProfile": Literal[
            "BASELINE", "HIGH", "HIGH_10BIT", "HIGH_422", "HIGH_422_10BIT", "MAIN"
        ],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "EntropyEncoding": Literal["CABAC", "CAVLC"],
        "FieldEncoding": Literal["PAFF", "FORCE_FIELD"],
        "FlickerAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopBReference": Literal["DISABLED", "ENABLED"],
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "NumberReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "SINGLE_PASS_HQ", "MULTI_PASS_HQ"],
        "QvbrSettings": ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef,
        "RateControlMode": Literal["VBR", "CBR", "QVBR"],
        "RepeatPps": Literal["DISABLED", "ENABLED"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED", "TRANSITION_DETECTION"],
        "Slices": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Softness": int,
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Syntax": Literal["DEFAULT", "RP2027"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "UnregisteredSeiTimecode": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef",
    {"MaxAverageBitrate": int, "QvbrQualityLevel": int},
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH", "HIGHER", "MAX"],
        "AlternateTransferFunctionSei": Literal["DISABLED", "ENABLED"],
        "Bitrate": int,
        "CodecLevel": Literal[
            "AUTO",
            "LEVEL_1",
            "LEVEL_2",
            "LEVEL_2_1",
            "LEVEL_3",
            "LEVEL_3_1",
            "LEVEL_4",
            "LEVEL_4_1",
            "LEVEL_5",
            "LEVEL_5_1",
            "LEVEL_5_2",
            "LEVEL_6",
            "LEVEL_6_1",
            "LEVEL_6_2",
        ],
        "CodecProfile": Literal[
            "MAIN_MAIN",
            "MAIN_HIGH",
            "MAIN10_MAIN",
            "MAIN10_HIGH",
            "MAIN_422_8BIT_MAIN",
            "MAIN_422_8BIT_HIGH",
            "MAIN_422_10BIT_MAIN",
            "MAIN_422_10BIT_HIGH",
        ],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "FlickerAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopBReference": Literal["DISABLED", "ENABLED"],
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "NumberReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "SINGLE_PASS_HQ", "MULTI_PASS_HQ"],
        "QvbrSettings": ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef,
        "RateControlMode": Literal["VBR", "CBR", "QVBR"],
        "SampleAdaptiveOffsetFilterMode": Literal["DEFAULT", "ADAPTIVE", "OFF"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED", "TRANSITION_DETECTION"],
        "Slices": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "TemporalIds": Literal["DISABLED", "ENABLED"],
        "Tiles": Literal["DISABLED", "ENABLED"],
        "UnregisteredSeiTimecode": Literal["DISABLED", "ENABLED"],
        "WriteMp4PackagingType": Literal["HVC1", "HEV1"],
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH"],
        "Bitrate": int,
        "CodecLevel": Literal["AUTO", "LOW", "MAIN", "HIGH1440", "HIGH"],
        "CodecProfile": Literal["MAIN", "PROFILE_422"],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "IntraDcPrecision": Literal[
            "AUTO",
            "INTRA_DC_PRECISION_8",
            "INTRA_DC_PRECISION_9",
            "INTRA_DC_PRECISION_10",
            "INTRA_DC_PRECISION_11",
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "MULTI_PASS"],
        "RateControlMode": Literal["VBR", "CBR"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED"],
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Softness": int,
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Syntax": Literal["DEFAULT", "D_10"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef",
    {
        "CodecProfile": Literal[
            "APPLE_PRORES_422",
            "APPLE_PRORES_422_HQ",
            "APPLE_PRORES_422_LT",
            "APPLE_PRORES_422_PROXY",
        ],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Telecine": Literal["NONE", "HARD"],
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef",
    {
        "Codec": Literal["FRAME_CAPTURE", "H_264", "H_265", "MPEG2", "PRORES"],
        "FrameCaptureSettings": ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef,
        "H264Settings": ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef,
        "H265Settings": ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef,
        "Mpeg2Settings": ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef,
        "ProresSettings": ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef",
    {
        "BluePrimaryX": int,
        "BluePrimaryY": int,
        "GreenPrimaryX": int,
        "GreenPrimaryY": int,
        "MaxContentLightLevel": int,
        "MaxFrameAverageLightLevel": int,
        "MaxLuminance": int,
        "MinLuminance": int,
        "RedPrimaryX": int,
        "RedPrimaryY": int,
        "WhitePointX": int,
        "WhitePointY": int,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef",
    {
        "Brightness": int,
        "ColorSpaceConversion": Literal[
            "NONE", "FORCE_601", "FORCE_709", "FORCE_HDR10", "FORCE_HLG_2020"
        ],
        "Contrast": int,
        "Hdr10Metadata": ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef,
        "Hue": int,
        "Saturation": int,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef",
    {
        "Algorithm": Literal["INTERPOLATE", "INTERPOLATE_TICKER", "BLEND", "BLEND_TICKER"],
        "Control": Literal["FORCE_ALL_FRAMES", "NORMAL"],
        "Mode": Literal["DEINTERLACE", "INVERSE_TELECINE", "ADAPTIVE"],
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef",
    {"MaxCll": int, "MaxFall": int},
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef",
    {
        "L6Metadata": ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef,
        "L6Mode": Literal["PASSTHROUGH", "RECALCULATE", "SPECIFY"],
        "Profile": str,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef",
    {
        "Duration": int,
        "FadeIn": int,
        "FadeOut": int,
        "Height": int,
        "ImageInserterInput": str,
        "ImageX": int,
        "ImageY": int,
        "Layer": int,
        "Opacity": int,
        "StartTime": str,
        "Width": int,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef",
    {
        "InsertableImages": List[
            ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef
        ]
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef",
    {"Strength": int},
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef",
    {"PostFilterSharpenStrength": int, "Speed": int, "Strength": int},
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef",
    {"AggressiveMode": int, "Speed": int, "Strength": int},
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef",
    {
        "Filter": Literal[
            "BILATERAL", "MEAN", "GAUSSIAN", "LANCZOS", "SHARPEN", "CONSERVE", "SPATIAL", "TEMPORAL"
        ],
        "FilterSettings": ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef,
        "SpatialFilterSettings": ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef,
        "TemporalFilterSettings": ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef",
    {
        "FontSize": int,
        "Position": Literal[
            "TOP_CENTER",
            "TOP_LEFT",
            "TOP_RIGHT",
            "MIDDLE_LEFT",
            "MIDDLE_CENTER",
            "MIDDLE_RIGHT",
            "BOTTOM_LEFT",
            "BOTTOM_CENTER",
            "BOTTOM_RIGHT",
        ],
        "Prefix": str,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef",
    {
        "ColorCorrector": ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef,
        "Deinterlacer": ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef,
        "DolbyVision": ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef,
        "ImageInserter": ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef,
        "NoiseReducer": ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef,
        "TimecodeBurnin": ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionTypeDef",
    {
        "AfdSignaling": Literal["NONE", "AUTO", "FIXED"],
        "AntiAlias": Literal["DISABLED", "ENABLED"],
        "CodecSettings": ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef,
        "ColorMetadata": Literal["IGNORE", "INSERT"],
        "Crop": ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef,
        "DropFrameTimecode": Literal["DISABLED", "ENABLED"],
        "FixedAfd": int,
        "Height": int,
        "Position": ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef,
        "RespondToAfd": Literal["NONE", "RESPOND", "PASSTHROUGH"],
        "ScalingBehavior": Literal["DEFAULT", "STRETCH_TO_OUTPUT"],
        "Sharpness": int,
        "TimecodeInsertion": Literal["DISABLED", "PIC_TIMING_SEI"],
        "VideoPreprocessors": ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef,
        "Width": int,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsOutputsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsOutputsTypeDef",
    {
        "AudioDescriptions": List[
            ClientUpdateJobTemplateSettingsOutputGroupsOutputsAudioDescriptionsTypeDef
        ],
        "CaptionDescriptions": List[
            ClientUpdateJobTemplateSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef
        ],
        "ContainerSettings": ClientUpdateJobTemplateSettingsOutputGroupsOutputsContainerSettingsTypeDef,
        "Extension": str,
        "NameModifier": str,
        "OutputSettings": ClientUpdateJobTemplateSettingsOutputGroupsOutputsOutputSettingsTypeDef,
        "Preset": str,
        "VideoDescription": ClientUpdateJobTemplateSettingsOutputGroupsOutputsVideoDescriptionTypeDef,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsOutputsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsOutputsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsOutputGroupsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsOutputGroupsTypeDef",
    {
        "CustomName": str,
        "Name": str,
        "OutputGroupSettings": ClientUpdateJobTemplateSettingsOutputGroupsOutputGroupSettingsTypeDef,
        "Outputs": List[ClientUpdateJobTemplateSettingsOutputGroupsOutputsTypeDef],
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsOutputGroupsTypeDef(
    _ClientUpdateJobTemplateSettingsOutputGroupsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsTimecodeConfigTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsTimecodeConfigTypeDef",
    {
        "Anchor": str,
        "Source": Literal["EMBEDDED", "ZEROBASED", "SPECIFIEDSTART"],
        "Start": str,
        "TimestampOffset": str,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsTimecodeConfigTypeDef(
    _ClientUpdateJobTemplateSettingsTimecodeConfigTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsTimedMetadataInsertionId3InsertionsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsTimedMetadataInsertionId3InsertionsTypeDef",
    {"Id3": str, "Timecode": str},
    total=False,
)


class ClientUpdateJobTemplateSettingsTimedMetadataInsertionId3InsertionsTypeDef(
    _ClientUpdateJobTemplateSettingsTimedMetadataInsertionId3InsertionsTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsTimedMetadataInsertionTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsTimedMetadataInsertionTypeDef",
    {
        "Id3Insertions": List[
            ClientUpdateJobTemplateSettingsTimedMetadataInsertionId3InsertionsTypeDef
        ]
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsTimedMetadataInsertionTypeDef(
    _ClientUpdateJobTemplateSettingsTimedMetadataInsertionTypeDef
):
    pass


_ClientUpdateJobTemplateSettingsTypeDef = TypedDict(
    "_ClientUpdateJobTemplateSettingsTypeDef",
    {
        "AdAvailOffset": int,
        "AvailBlanking": ClientUpdateJobTemplateSettingsAvailBlankingTypeDef,
        "Esam": ClientUpdateJobTemplateSettingsEsamTypeDef,
        "Inputs": List[ClientUpdateJobTemplateSettingsInputsTypeDef],
        "MotionImageInserter": ClientUpdateJobTemplateSettingsMotionImageInserterTypeDef,
        "NielsenConfiguration": ClientUpdateJobTemplateSettingsNielsenConfigurationTypeDef,
        "OutputGroups": List[ClientUpdateJobTemplateSettingsOutputGroupsTypeDef],
        "TimecodeConfig": ClientUpdateJobTemplateSettingsTimecodeConfigTypeDef,
        "TimedMetadataInsertion": ClientUpdateJobTemplateSettingsTimedMetadataInsertionTypeDef,
    },
    total=False,
)


class ClientUpdateJobTemplateSettingsTypeDef(_ClientUpdateJobTemplateSettingsTypeDef):
    """
    - **AdAvailOffset** *(integer) --*When specified, this offset (in milliseconds) is added to the
    input Ad Avail PTS time.
    - **AvailBlanking** *(dict) --*Settings for ad avail blanking. Video can be blanked or overlaid
    with an image, and audio muted during SCTE-35 triggered ad avails.

      - **AvailBlankingImage** *(string) --*Blanking image to be used. Leave empty for solid black.
      Only bmp and png images are supported.
    """


_ClientUpdatePresetResponsePresetSettingsAudioDescriptionsAudioNormalizationSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsAudioDescriptionsAudioNormalizationSettingsTypeDef",
    {
        "Algorithm": Literal["ITU_BS_1770_1", "ITU_BS_1770_2", "ITU_BS_1770_3", "ITU_BS_1770_4"],
        "AlgorithmControl": Literal["CORRECT_AUDIO", "MEASURE_ONLY"],
        "CorrectionGateLevel": int,
        "LoudnessLogging": Literal["LOG", "DONT_LOG"],
        "PeakCalculation": Literal["TRUE_PEAK", "NONE"],
        "TargetLkfs": float,
    },
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsAudioDescriptionsAudioNormalizationSettingsTypeDef(
    _ClientUpdatePresetResponsePresetSettingsAudioDescriptionsAudioNormalizationSettingsTypeDef
):
    """
    - **AudioNormalizationSettings** *(dict) --*Advanced audio normalization settings. Ignore these
    settings unless you need to comply with a loudness standard.

      - **Algorithm** *(string) --*Choose one of the following audio normalization algorithms: ITU-R
      BS.1770-1: Ungated loudness. A measurement of ungated average loudness for an entire piece of
      content, suitable for measurement of short-form content under ATSC recommendation A/85.
      Supports up to 5.1 audio channels. ITU-R BS.1770-2: Gated loudness. A measurement of gated
      average loudness compliant with the requirements of EBU-R128. Supports up to 5.1 audio
      channels. ITU-R BS.1770-3: Modified peak. The same loudness measurement algorithm as 1770-2,
      with an updated true peak measurement. ITU-R BS.1770-4: Higher channel count. Allows for more
      audio channels than the other algorithms, including configurations such as 7.1.
      - **AlgorithmControl** *(string) --*When enabled the output audio is corrected using the
      chosen algorithm. If disabled, the audio will be measured but not adjusted.
      - **CorrectionGateLevel** *(integer) --*Content measuring above this level will be corrected
      to the target level. Content measuring below this level will not be corrected. Gating only
      applies when not using real_time_correction.
      - **LoudnessLogging** *(string) --*If set to LOG, log each output's audio track loudness to a
      CSV file.
      - **PeakCalculation** *(string) --*If set to TRUE_PEAK, calculate and log the TruePeak for
      each output's audio track loudness.
      - **TargetLkfs** *(float) --*When you use Audio normalization (AudioNormalizationSettings),
      optionally use this setting to specify a target loudness. If you don't specify a value here,
      the encoder chooses a value for you, based on the algorithm that you choose for Algorithm
      (algorithm). If you choose algorithm 1770-1, the encoder will choose -24 LKFS; otherwise, the
      encoder will choose -23 LKFS.
    """


_ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsAacSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsAacSettingsTypeDef",
    {
        "AudioDescriptionBroadcasterMix": Literal["BROADCASTER_MIXED_AD", "NORMAL"],
        "Bitrate": int,
        "CodecProfile": Literal["LC", "HEV1", "HEV2"],
        "CodingMode": Literal[
            "AD_RECEIVER_MIX",
            "CODING_MODE_1_0",
            "CODING_MODE_1_1",
            "CODING_MODE_2_0",
            "CODING_MODE_5_1",
        ],
        "RateControlMode": Literal["CBR", "VBR"],
        "RawFormat": Literal["LATM_LOAS", "NONE"],
        "SampleRate": int,
        "Specification": Literal["MPEG2", "MPEG4"],
        "VbrQuality": Literal["LOW", "MEDIUM_LOW", "MEDIUM_HIGH", "HIGH"],
    },
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsAacSettingsTypeDef(
    _ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsAacSettingsTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsAc3SettingsTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsAc3SettingsTypeDef",
    {
        "Bitrate": int,
        "BitstreamMode": Literal[
            "COMPLETE_MAIN",
            "COMMENTARY",
            "DIALOGUE",
            "EMERGENCY",
            "HEARING_IMPAIRED",
            "MUSIC_AND_EFFECTS",
            "VISUALLY_IMPAIRED",
            "VOICE_OVER",
        ],
        "CodingMode": Literal[
            "CODING_MODE_1_0", "CODING_MODE_1_1", "CODING_MODE_2_0", "CODING_MODE_3_2_LFE"
        ],
        "Dialnorm": int,
        "DynamicRangeCompressionProfile": Literal["FILM_STANDARD", "NONE"],
        "LfeFilter": Literal["ENABLED", "DISABLED"],
        "MetadataControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "SampleRate": int,
    },
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsAc3SettingsTypeDef(
    _ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsAc3SettingsTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsAiffSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsAiffSettingsTypeDef",
    {"BitDepth": int, "Channels": int, "SampleRate": int},
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsAiffSettingsTypeDef(
    _ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsAiffSettingsTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef",
    {
        "Bitrate": int,
        "BitstreamMode": str,
        "CodingMode": str,
        "DialogueIntelligence": Literal["ENABLED", "DISABLED"],
        "DynamicRangeCompressionLine": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "DynamicRangeCompressionRf": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "LoRoCenterMixLevel": float,
        "LoRoSurroundMixLevel": float,
        "LtRtCenterMixLevel": float,
        "LtRtSurroundMixLevel": float,
        "MeteringMode": Literal[
            "LEQ_A", "ITU_BS_1770_1", "ITU_BS_1770_2", "ITU_BS_1770_3", "ITU_BS_1770_4"
        ],
        "SampleRate": int,
        "SpeechThreshold": int,
        "StereoDownmix": Literal["NOT_INDICATED", "STEREO", "SURROUND", "DPL2"],
        "SurroundExMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
    },
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef(
    _ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsEac3SettingsTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsEac3SettingsTypeDef",
    {
        "AttenuationControl": Literal["ATTENUATE_3_DB", "NONE"],
        "Bitrate": int,
        "BitstreamMode": Literal[
            "COMPLETE_MAIN", "COMMENTARY", "EMERGENCY", "HEARING_IMPAIRED", "VISUALLY_IMPAIRED"
        ],
        "CodingMode": Literal["CODING_MODE_1_0", "CODING_MODE_2_0", "CODING_MODE_3_2"],
        "DcFilter": Literal["ENABLED", "DISABLED"],
        "Dialnorm": int,
        "DynamicRangeCompressionLine": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "DynamicRangeCompressionRf": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "LfeControl": Literal["LFE", "NO_LFE"],
        "LfeFilter": Literal["ENABLED", "DISABLED"],
        "LoRoCenterMixLevel": float,
        "LoRoSurroundMixLevel": float,
        "LtRtCenterMixLevel": float,
        "LtRtSurroundMixLevel": float,
        "MetadataControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "PassthroughControl": Literal["WHEN_POSSIBLE", "NO_PASSTHROUGH"],
        "PhaseControl": Literal["SHIFT_90_DEGREES", "NO_SHIFT"],
        "SampleRate": int,
        "StereoDownmix": Literal["NOT_INDICATED", "LO_RO", "LT_RT", "DPL2"],
        "SurroundExMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
        "SurroundMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
    },
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsEac3SettingsTypeDef(
    _ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsEac3SettingsTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsMp2SettingsTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsMp2SettingsTypeDef",
    {"Bitrate": int, "Channels": int, "SampleRate": int},
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsMp2SettingsTypeDef(
    _ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsMp2SettingsTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsWavSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsWavSettingsTypeDef",
    {"BitDepth": int, "Channels": int, "Format": Literal["RIFF", "RF64"], "SampleRate": int},
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsWavSettingsTypeDef(
    _ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsWavSettingsTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsTypeDef",
    {
        "AacSettings": ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsAacSettingsTypeDef,
        "Ac3Settings": ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsAc3SettingsTypeDef,
        "AiffSettings": ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsAiffSettingsTypeDef,
        "Codec": Literal["AAC", "MP2", "WAV", "AIFF", "AC3", "EAC3", "EAC3_ATMOS", "PASSTHROUGH"],
        "Eac3AtmosSettings": ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef,
        "Eac3Settings": ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsEac3SettingsTypeDef,
        "Mp2Settings": ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsMp2SettingsTypeDef,
        "WavSettings": ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsWavSettingsTypeDef,
    },
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsTypeDef(
    _ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef",
    {"InputChannels": List[int]},
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef(
    _ClientUpdatePresetResponsePresetSettingsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsAudioDescriptionsRemixSettingsChannelMappingTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsAudioDescriptionsRemixSettingsChannelMappingTypeDef",
    {
        "OutputChannels": List[
            ClientUpdatePresetResponsePresetSettingsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef
        ]
    },
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsAudioDescriptionsRemixSettingsChannelMappingTypeDef(
    _ClientUpdatePresetResponsePresetSettingsAudioDescriptionsRemixSettingsChannelMappingTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsAudioDescriptionsRemixSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsAudioDescriptionsRemixSettingsTypeDef",
    {
        "ChannelMapping": ClientUpdatePresetResponsePresetSettingsAudioDescriptionsRemixSettingsChannelMappingTypeDef,
        "ChannelsIn": int,
        "ChannelsOut": int,
    },
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsAudioDescriptionsRemixSettingsTypeDef(
    _ClientUpdatePresetResponsePresetSettingsAudioDescriptionsRemixSettingsTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsAudioDescriptionsTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsAudioDescriptionsTypeDef",
    {
        "AudioNormalizationSettings": ClientUpdatePresetResponsePresetSettingsAudioDescriptionsAudioNormalizationSettingsTypeDef,
        "AudioSourceName": str,
        "AudioType": int,
        "AudioTypeControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "CodecSettings": ClientUpdatePresetResponsePresetSettingsAudioDescriptionsCodecSettingsTypeDef,
        "CustomLanguageCode": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageCodeControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "RemixSettings": ClientUpdatePresetResponsePresetSettingsAudioDescriptionsRemixSettingsTypeDef,
        "StreamName": str,
    },
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsAudioDescriptionsTypeDef(
    _ClientUpdatePresetResponsePresetSettingsAudioDescriptionsTypeDef
):
    """
    - *(dict) --*Description of audio output

      - **AudioNormalizationSettings** *(dict) --*Advanced audio normalization settings. Ignore
      these settings unless you need to comply with a loudness standard.

        - **Algorithm** *(string) --*Choose one of the following audio normalization algorithms:
        ITU-R BS.1770-1: Ungated loudness. A measurement of ungated average loudness for an entire
        piece of content, suitable for measurement of short-form content under ATSC recommendation
        A/85. Supports up to 5.1 audio channels. ITU-R BS.1770-2: Gated loudness. A measurement of
        gated average loudness compliant with the requirements of EBU-R128. Supports up to 5.1 audio
        channels. ITU-R BS.1770-3: Modified peak. The same loudness measurement algorithm as 1770-2,
        with an updated true peak measurement. ITU-R BS.1770-4: Higher channel count. Allows for
        more audio channels than the other algorithms, including configurations such as 7.1.
        - **AlgorithmControl** *(string) --*When enabled the output audio is corrected using the
        chosen algorithm. If disabled, the audio will be measured but not adjusted.
        - **CorrectionGateLevel** *(integer) --*Content measuring above this level will be corrected
        to the target level. Content measuring below this level will not be corrected. Gating only
        applies when not using real_time_correction.
        - **LoudnessLogging** *(string) --*If set to LOG, log each output's audio track loudness to
        a CSV file.
        - **PeakCalculation** *(string) --*If set to TRUE_PEAK, calculate and log the TruePeak for
        each output's audio track loudness.
        - **TargetLkfs** *(float) --*When you use Audio normalization (AudioNormalizationSettings),
        optionally use this setting to specify a target loudness. If you don't specify a value here,
        the encoder chooses a value for you, based on the algorithm that you choose for Algorithm
        (algorithm). If you choose algorithm 1770-1, the encoder will choose -24 LKFS; otherwise,
        the encoder will choose -23 LKFS.
    """


_ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef",
    {
        "Alignment": Literal["CENTERED", "LEFT"],
        "BackgroundColor": Literal["NONE", "BLACK", "WHITE"],
        "BackgroundOpacity": int,
        "FontColor": Literal["WHITE", "BLACK", "YELLOW", "RED", "GREEN", "BLUE"],
        "FontOpacity": int,
        "FontResolution": int,
        "FontScript": Literal["AUTOMATIC", "HANS", "HANT"],
        "FontSize": int,
        "OutlineColor": Literal["BLACK", "WHITE", "YELLOW", "RED", "GREEN", "BLUE"],
        "OutlineSize": int,
        "ShadowColor": Literal["NONE", "BLACK", "WHITE"],
        "ShadowOpacity": int,
        "ShadowXOffset": int,
        "ShadowYOffset": int,
        "TeletextSpacing": Literal["FIXED_GRID", "PROPORTIONAL"],
        "XPosition": int,
        "YPosition": int,
    },
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef(
    _ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef",
    {
        "Alignment": Literal["CENTERED", "LEFT"],
        "BackgroundColor": Literal["NONE", "BLACK", "WHITE"],
        "BackgroundOpacity": int,
        "FontColor": Literal["WHITE", "BLACK", "YELLOW", "RED", "GREEN", "BLUE"],
        "FontOpacity": int,
        "FontResolution": int,
        "FontScript": Literal["AUTOMATIC", "HANS", "HANT"],
        "FontSize": int,
        "OutlineColor": Literal["BLACK", "WHITE", "YELLOW", "RED", "GREEN", "BLUE"],
        "OutlineSize": int,
        "ShadowColor": Literal["NONE", "BLACK", "WHITE"],
        "ShadowOpacity": int,
        "ShadowXOffset": int,
        "ShadowYOffset": int,
        "SubtitlingType": Literal["HEARING_IMPAIRED", "STANDARD"],
        "TeletextSpacing": Literal["FIXED_GRID", "PROPORTIONAL"],
        "XPosition": int,
        "YPosition": int,
    },
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef(
    _ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef",
    {"Destination608ChannelNumber": int, "Destination708ServiceNumber": int},
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef(
    _ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef",
    {"StylePassthrough": Literal["ENABLED", "DISABLED"]},
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef(
    _ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef",
    {
        "Framerate": Literal[
            "FRAMERATE_23_97",
            "FRAMERATE_24",
            "FRAMERATE_25",
            "FRAMERATE_29_97_DROPFRAME",
            "FRAMERATE_29_97_NON_DROPFRAME",
        ]
    },
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef(
    _ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef",
    {
        "PageNumber": str,
        "PageTypes": List[
            Literal[
                "PAGE_TYPE_INITIAL",
                "PAGE_TYPE_SUBTITLE",
                "PAGE_TYPE_ADDL_INFO",
                "PAGE_TYPE_PROGRAM_SCHEDULE",
                "PAGE_TYPE_HEARING_IMPAIRED_SUBTITLE",
            ]
        ],
    },
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef(
    _ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef",
    {"StylePassthrough": Literal["ENABLED", "DISABLED"]},
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef(
    _ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTypeDef",
    {
        "BurninDestinationSettings": ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef,
        "DestinationType": Literal[
            "BURN_IN",
            "DVB_SUB",
            "EMBEDDED",
            "EMBEDDED_PLUS_SCTE20",
            "IMSC",
            "SCTE20_PLUS_EMBEDDED",
            "SCC",
            "SRT",
            "SMI",
            "TELETEXT",
            "TTML",
            "WEBVTT",
        ],
        "DvbSubDestinationSettings": ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef,
        "EmbeddedDestinationSettings": ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef,
        "ImscDestinationSettings": ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef,
        "SccDestinationSettings": ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef,
        "TeletextDestinationSettings": ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef,
        "TtmlDestinationSettings": ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef,
    },
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTypeDef(
    _ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsTypeDef",
    {
        "CustomLanguageCode": str,
        "DestinationSettings": ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsDestinationSettingsTypeDef,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageDescription": str,
    },
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsTypeDef(
    _ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsContainerSettingsF4vSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsContainerSettingsF4vSettingsTypeDef",
    {"MoovPlacement": Literal["PROGRESSIVE_DOWNLOAD", "NORMAL"]},
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsContainerSettingsF4vSettingsTypeDef(
    _ClientUpdatePresetResponsePresetSettingsContainerSettingsF4vSettingsTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef",
    {"NetworkId": int, "NetworkName": str, "NitInterval": int},
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef(
    _ClientUpdatePresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef",
    {
        "OutputSdt": Literal["SDT_FOLLOW", "SDT_FOLLOW_IF_PRESENT", "SDT_MANUAL", "SDT_NONE"],
        "SdtInterval": int,
        "ServiceName": str,
        "ServiceProviderName": str,
    },
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef(
    _ClientUpdatePresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef",
    {"TdtInterval": int},
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef(
    _ClientUpdatePresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsContainerSettingsM2tsSettingsScte35EsamTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsContainerSettingsM2tsSettingsScte35EsamTypeDef",
    {"Scte35EsamPid": int},
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsContainerSettingsM2tsSettingsScte35EsamTypeDef(
    _ClientUpdatePresetResponsePresetSettingsContainerSettingsM2tsSettingsScte35EsamTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsContainerSettingsM2tsSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsContainerSettingsM2tsSettingsTypeDef",
    {
        "AudioBufferModel": Literal["DVB", "ATSC"],
        "AudioFramesPerPes": int,
        "AudioPids": List[int],
        "Bitrate": int,
        "BufferModel": Literal["MULTIPLEX", "NONE"],
        "DvbNitSettings": ClientUpdatePresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef,
        "DvbSdtSettings": ClientUpdatePresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef,
        "DvbSubPids": List[int],
        "DvbTdtSettings": ClientUpdatePresetResponsePresetSettingsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef,
        "DvbTeletextPid": int,
        "EbpAudioInterval": Literal["VIDEO_AND_FIXED_INTERVALS", "VIDEO_INTERVAL"],
        "EbpPlacement": Literal["VIDEO_AND_AUDIO_PIDS", "VIDEO_PID"],
        "EsRateInPes": Literal["INCLUDE", "EXCLUDE"],
        "ForceTsVideoEbpOrder": Literal["FORCE", "DEFAULT"],
        "FragmentTime": float,
        "MaxPcrInterval": int,
        "MinEbpInterval": int,
        "NielsenId3": Literal["INSERT", "NONE"],
        "NullPacketBitrate": float,
        "PatInterval": int,
        "PcrControl": Literal["PCR_EVERY_PES_PACKET", "CONFIGURED_PCR_PERIOD"],
        "PcrPid": int,
        "PmtInterval": int,
        "PmtPid": int,
        "PrivateMetadataPid": int,
        "ProgramNumber": int,
        "RateMode": Literal["VBR", "CBR"],
        "Scte35Esam": ClientUpdatePresetResponsePresetSettingsContainerSettingsM2tsSettingsScte35EsamTypeDef,
        "Scte35Pid": int,
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
        "SegmentationMarkers": Literal[
            "NONE", "RAI_SEGSTART", "RAI_ADAPT", "PSI_SEGSTART", "EBP", "EBP_LEGACY"
        ],
        "SegmentationStyle": Literal["MAINTAIN_CADENCE", "RESET_CADENCE"],
        "SegmentationTime": float,
        "TimedMetadataPid": int,
        "TransportStreamId": int,
        "VideoPid": int,
    },
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsContainerSettingsM2tsSettingsTypeDef(
    _ClientUpdatePresetResponsePresetSettingsContainerSettingsM2tsSettingsTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsContainerSettingsM3u8SettingsTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsContainerSettingsM3u8SettingsTypeDef",
    {
        "AudioFramesPerPes": int,
        "AudioPids": List[int],
        "NielsenId3": Literal["INSERT", "NONE"],
        "PatInterval": int,
        "PcrControl": Literal["PCR_EVERY_PES_PACKET", "CONFIGURED_PCR_PERIOD"],
        "PcrPid": int,
        "PmtInterval": int,
        "PmtPid": int,
        "PrivateMetadataPid": int,
        "ProgramNumber": int,
        "Scte35Pid": int,
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
        "TimedMetadata": Literal["PASSTHROUGH", "NONE"],
        "TimedMetadataPid": int,
        "TransportStreamId": int,
        "VideoPid": int,
    },
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsContainerSettingsM3u8SettingsTypeDef(
    _ClientUpdatePresetResponsePresetSettingsContainerSettingsM3u8SettingsTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsContainerSettingsMovSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsContainerSettingsMovSettingsTypeDef",
    {
        "ClapAtom": Literal["INCLUDE", "EXCLUDE"],
        "CslgAtom": Literal["INCLUDE", "EXCLUDE"],
        "Mpeg2FourCCControl": Literal["XDCAM", "MPEG"],
        "PaddingControl": Literal["OMNEON", "NONE"],
        "Reference": Literal["SELF_CONTAINED", "EXTERNAL"],
    },
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsContainerSettingsMovSettingsTypeDef(
    _ClientUpdatePresetResponsePresetSettingsContainerSettingsMovSettingsTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsContainerSettingsMp4SettingsTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsContainerSettingsMp4SettingsTypeDef",
    {
        "CslgAtom": Literal["INCLUDE", "EXCLUDE"],
        "FreeSpaceBox": Literal["INCLUDE", "EXCLUDE"],
        "MoovPlacement": Literal["PROGRESSIVE_DOWNLOAD", "NORMAL"],
        "Mp4MajorBrand": str,
    },
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsContainerSettingsMp4SettingsTypeDef(
    _ClientUpdatePresetResponsePresetSettingsContainerSettingsMp4SettingsTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsContainerSettingsMpdSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsContainerSettingsMpdSettingsTypeDef",
    {
        "CaptionContainerType": Literal["RAW", "FRAGMENTED_MP4"],
        "Scte35Esam": Literal["INSERT", "NONE"],
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
    },
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsContainerSettingsMpdSettingsTypeDef(
    _ClientUpdatePresetResponsePresetSettingsContainerSettingsMpdSettingsTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsContainerSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsContainerSettingsTypeDef",
    {
        "Container": Literal[
            "F4V", "ISMV", "M2TS", "M3U8", "CMFC", "MOV", "MP4", "MPD", "MXF", "RAW"
        ],
        "F4vSettings": ClientUpdatePresetResponsePresetSettingsContainerSettingsF4vSettingsTypeDef,
        "M2tsSettings": ClientUpdatePresetResponsePresetSettingsContainerSettingsM2tsSettingsTypeDef,
        "M3u8Settings": ClientUpdatePresetResponsePresetSettingsContainerSettingsM3u8SettingsTypeDef,
        "MovSettings": ClientUpdatePresetResponsePresetSettingsContainerSettingsMovSettingsTypeDef,
        "Mp4Settings": ClientUpdatePresetResponsePresetSettingsContainerSettingsMp4SettingsTypeDef,
        "MpdSettings": ClientUpdatePresetResponsePresetSettingsContainerSettingsMpdSettingsTypeDef,
    },
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsContainerSettingsTypeDef(
    _ClientUpdatePresetResponsePresetSettingsContainerSettingsTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef",
    {"FramerateDenominator": int, "FramerateNumerator": int, "MaxCaptures": int, "Quality": int},
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef(
    _ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef",
    {"MaxAverageBitrate": int, "QvbrQualityLevel": int},
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef(
    _ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH264SettingsTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH264SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH", "HIGHER", "MAX"],
        "Bitrate": int,
        "CodecLevel": Literal[
            "AUTO",
            "LEVEL_1",
            "LEVEL_1_1",
            "LEVEL_1_2",
            "LEVEL_1_3",
            "LEVEL_2",
            "LEVEL_2_1",
            "LEVEL_2_2",
            "LEVEL_3",
            "LEVEL_3_1",
            "LEVEL_3_2",
            "LEVEL_4",
            "LEVEL_4_1",
            "LEVEL_4_2",
            "LEVEL_5",
            "LEVEL_5_1",
            "LEVEL_5_2",
        ],
        "CodecProfile": Literal[
            "BASELINE", "HIGH", "HIGH_10BIT", "HIGH_422", "HIGH_422_10BIT", "MAIN"
        ],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "EntropyEncoding": Literal["CABAC", "CAVLC"],
        "FieldEncoding": Literal["PAFF", "FORCE_FIELD"],
        "FlickerAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopBReference": Literal["DISABLED", "ENABLED"],
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "NumberReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "SINGLE_PASS_HQ", "MULTI_PASS_HQ"],
        "QvbrSettings": ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef,
        "RateControlMode": Literal["VBR", "CBR", "QVBR"],
        "RepeatPps": Literal["DISABLED", "ENABLED"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED", "TRANSITION_DETECTION"],
        "Slices": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Softness": int,
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Syntax": Literal["DEFAULT", "RP2027"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "UnregisteredSeiTimecode": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH264SettingsTypeDef(
    _ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH264SettingsTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef",
    {"MaxAverageBitrate": int, "QvbrQualityLevel": int},
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef(
    _ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH265SettingsTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH265SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH", "HIGHER", "MAX"],
        "AlternateTransferFunctionSei": Literal["DISABLED", "ENABLED"],
        "Bitrate": int,
        "CodecLevel": Literal[
            "AUTO",
            "LEVEL_1",
            "LEVEL_2",
            "LEVEL_2_1",
            "LEVEL_3",
            "LEVEL_3_1",
            "LEVEL_4",
            "LEVEL_4_1",
            "LEVEL_5",
            "LEVEL_5_1",
            "LEVEL_5_2",
            "LEVEL_6",
            "LEVEL_6_1",
            "LEVEL_6_2",
        ],
        "CodecProfile": Literal[
            "MAIN_MAIN",
            "MAIN_HIGH",
            "MAIN10_MAIN",
            "MAIN10_HIGH",
            "MAIN_422_8BIT_MAIN",
            "MAIN_422_8BIT_HIGH",
            "MAIN_422_10BIT_MAIN",
            "MAIN_422_10BIT_HIGH",
        ],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "FlickerAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopBReference": Literal["DISABLED", "ENABLED"],
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "NumberReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "SINGLE_PASS_HQ", "MULTI_PASS_HQ"],
        "QvbrSettings": ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef,
        "RateControlMode": Literal["VBR", "CBR", "QVBR"],
        "SampleAdaptiveOffsetFilterMode": Literal["DEFAULT", "ADAPTIVE", "OFF"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED", "TRANSITION_DETECTION"],
        "Slices": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "TemporalIds": Literal["DISABLED", "ENABLED"],
        "Tiles": Literal["DISABLED", "ENABLED"],
        "UnregisteredSeiTimecode": Literal["DISABLED", "ENABLED"],
        "WriteMp4PackagingType": Literal["HVC1", "HEV1"],
    },
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH265SettingsTypeDef(
    _ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH265SettingsTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH"],
        "Bitrate": int,
        "CodecLevel": Literal["AUTO", "LOW", "MAIN", "HIGH1440", "HIGH"],
        "CodecProfile": Literal["MAIN", "PROFILE_422"],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "IntraDcPrecision": Literal[
            "AUTO",
            "INTRA_DC_PRECISION_8",
            "INTRA_DC_PRECISION_9",
            "INTRA_DC_PRECISION_10",
            "INTRA_DC_PRECISION_11",
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "MULTI_PASS"],
        "RateControlMode": Literal["VBR", "CBR"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED"],
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Softness": int,
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Syntax": Literal["DEFAULT", "D_10"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef(
    _ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsProresSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsProresSettingsTypeDef",
    {
        "CodecProfile": Literal[
            "APPLE_PRORES_422",
            "APPLE_PRORES_422_HQ",
            "APPLE_PRORES_422_LT",
            "APPLE_PRORES_422_PROXY",
        ],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Telecine": Literal["NONE", "HARD"],
    },
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsProresSettingsTypeDef(
    _ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsProresSettingsTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsTypeDef",
    {
        "Codec": Literal["FRAME_CAPTURE", "H_264", "H_265", "MPEG2", "PRORES"],
        "FrameCaptureSettings": ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef,
        "H264Settings": ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH264SettingsTypeDef,
        "H265Settings": ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsH265SettingsTypeDef,
        "Mpeg2Settings": ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef,
        "ProresSettings": ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsProresSettingsTypeDef,
    },
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsTypeDef(
    _ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsVideoDescriptionCropTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsVideoDescriptionCropTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsVideoDescriptionCropTypeDef(
    _ClientUpdatePresetResponsePresetSettingsVideoDescriptionCropTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsVideoDescriptionPositionTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsVideoDescriptionPositionTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsVideoDescriptionPositionTypeDef(
    _ClientUpdatePresetResponsePresetSettingsVideoDescriptionPositionTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef",
    {
        "BluePrimaryX": int,
        "BluePrimaryY": int,
        "GreenPrimaryX": int,
        "GreenPrimaryY": int,
        "MaxContentLightLevel": int,
        "MaxFrameAverageLightLevel": int,
        "MaxLuminance": int,
        "MinLuminance": int,
        "RedPrimaryX": int,
        "RedPrimaryY": int,
        "WhitePointX": int,
        "WhitePointY": int,
    },
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef(
    _ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef",
    {
        "Brightness": int,
        "ColorSpaceConversion": Literal[
            "NONE", "FORCE_601", "FORCE_709", "FORCE_HDR10", "FORCE_HLG_2020"
        ],
        "Contrast": int,
        "Hdr10Metadata": ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef,
        "Hue": int,
        "Saturation": int,
    },
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef(
    _ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef",
    {
        "Algorithm": Literal["INTERPOLATE", "INTERPOLATE_TICKER", "BLEND", "BLEND_TICKER"],
        "Control": Literal["FORCE_ALL_FRAMES", "NORMAL"],
        "Mode": Literal["DEINTERLACE", "INVERSE_TELECINE", "ADAPTIVE"],
    },
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef(
    _ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef",
    {"MaxCll": int, "MaxFall": int},
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef(
    _ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef",
    {
        "L6Metadata": ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef,
        "L6Mode": Literal["PASSTHROUGH", "RECALCULATE", "SPECIFY"],
        "Profile": str,
    },
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef(
    _ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef",
    {
        "Duration": int,
        "FadeIn": int,
        "FadeOut": int,
        "Height": int,
        "ImageInserterInput": str,
        "ImageX": int,
        "ImageY": int,
        "Layer": int,
        "Opacity": int,
        "StartTime": str,
        "Width": int,
    },
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef(
    _ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterTypeDef",
    {
        "InsertableImages": List[
            ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef
        ]
    },
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterTypeDef(
    _ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef",
    {"Strength": int},
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef(
    _ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef",
    {"PostFilterSharpenStrength": int, "Speed": int, "Strength": int},
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef(
    _ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef",
    {"AggressiveMode": int, "Speed": int, "Strength": int},
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef(
    _ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef",
    {
        "Filter": Literal[
            "BILATERAL", "MEAN", "GAUSSIAN", "LANCZOS", "SHARPEN", "CONSERVE", "SPATIAL", "TEMPORAL"
        ],
        "FilterSettings": ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef,
        "SpatialFilterSettings": ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef,
        "TemporalFilterSettings": ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef,
    },
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef(
    _ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef",
    {
        "FontSize": int,
        "Position": Literal[
            "TOP_CENTER",
            "TOP_LEFT",
            "TOP_RIGHT",
            "MIDDLE_LEFT",
            "MIDDLE_CENTER",
            "MIDDLE_RIGHT",
            "BOTTOM_LEFT",
            "BOTTOM_CENTER",
            "BOTTOM_RIGHT",
        ],
        "Prefix": str,
    },
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef(
    _ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsTypeDef",
    {
        "ColorCorrector": ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef,
        "Deinterlacer": ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef,
        "DolbyVision": ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef,
        "ImageInserter": ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterTypeDef,
        "NoiseReducer": ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef,
        "TimecodeBurnin": ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef,
    },
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsTypeDef(
    _ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsVideoDescriptionTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsVideoDescriptionTypeDef",
    {
        "AfdSignaling": Literal["NONE", "AUTO", "FIXED"],
        "AntiAlias": Literal["DISABLED", "ENABLED"],
        "CodecSettings": ClientUpdatePresetResponsePresetSettingsVideoDescriptionCodecSettingsTypeDef,
        "ColorMetadata": Literal["IGNORE", "INSERT"],
        "Crop": ClientUpdatePresetResponsePresetSettingsVideoDescriptionCropTypeDef,
        "DropFrameTimecode": Literal["DISABLED", "ENABLED"],
        "FixedAfd": int,
        "Height": int,
        "Position": ClientUpdatePresetResponsePresetSettingsVideoDescriptionPositionTypeDef,
        "RespondToAfd": Literal["NONE", "RESPOND", "PASSTHROUGH"],
        "ScalingBehavior": Literal["DEFAULT", "STRETCH_TO_OUTPUT"],
        "Sharpness": int,
        "TimecodeInsertion": Literal["DISABLED", "PIC_TIMING_SEI"],
        "VideoPreprocessors": ClientUpdatePresetResponsePresetSettingsVideoDescriptionVideoPreprocessorsTypeDef,
        "Width": int,
    },
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsVideoDescriptionTypeDef(
    _ClientUpdatePresetResponsePresetSettingsVideoDescriptionTypeDef
):
    pass


_ClientUpdatePresetResponsePresetSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetSettingsTypeDef",
    {
        "AudioDescriptions": List[ClientUpdatePresetResponsePresetSettingsAudioDescriptionsTypeDef],
        "CaptionDescriptions": List[
            ClientUpdatePresetResponsePresetSettingsCaptionDescriptionsTypeDef
        ],
        "ContainerSettings": ClientUpdatePresetResponsePresetSettingsContainerSettingsTypeDef,
        "VideoDescription": ClientUpdatePresetResponsePresetSettingsVideoDescriptionTypeDef,
    },
    total=False,
)


class ClientUpdatePresetResponsePresetSettingsTypeDef(
    _ClientUpdatePresetResponsePresetSettingsTypeDef
):
    """
    - **Settings** *(dict) --*Settings for preset

      - **AudioDescriptions** *(list) --*(AudioDescriptions) contains groups of audio encoding
      settings organized by audio codec. Include one instance of (AudioDescriptions) per output.
      (AudioDescriptions) can contain multiple groups of encoding settings.

        - *(dict) --*Description of audio output

          - **AudioNormalizationSettings** *(dict) --*Advanced audio normalization settings. Ignore
          these settings unless you need to comply with a loudness standard.

            - **Algorithm** *(string) --*Choose one of the following audio normalization algorithms:
            ITU-R BS.1770-1: Ungated loudness. A measurement of ungated average loudness for an
            entire piece of content, suitable for measurement of short-form content under ATSC
            recommendation A/85. Supports up to 5.1 audio channels. ITU-R BS.1770-2: Gated loudness.
            A measurement of gated average loudness compliant with the requirements of EBU-R128.
            Supports up to 5.1 audio channels. ITU-R BS.1770-3: Modified peak. The same loudness
            measurement algorithm as 1770-2, with an updated true peak measurement. ITU-R BS.1770-4:
            Higher channel count. Allows for more audio channels than the other algorithms,
            including configurations such as 7.1.
            - **AlgorithmControl** *(string) --*When enabled the output audio is corrected using the
            chosen algorithm. If disabled, the audio will be measured but not adjusted.
            - **CorrectionGateLevel** *(integer) --*Content measuring above this level will be
            corrected to the target level. Content measuring below this level will not be corrected.
            Gating only applies when not using real_time_correction.
            - **LoudnessLogging** *(string) --*If set to LOG, log each output's audio track loudness
            to a CSV file.
            - **PeakCalculation** *(string) --*If set to TRUE_PEAK, calculate and log the TruePeak
            for each output's audio track loudness.
            - **TargetLkfs** *(float) --*When you use Audio normalization
            (AudioNormalizationSettings), optionally use this setting to specify a target loudness.
            If you don't specify a value here, the encoder chooses a value for you, based on the
            algorithm that you choose for Algorithm (algorithm). If you choose algorithm 1770-1, the
            encoder will choose -24 LKFS; otherwise, the encoder will choose -23 LKFS.
    """


_ClientUpdatePresetResponsePresetTypeDef = TypedDict(
    "_ClientUpdatePresetResponsePresetTypeDef",
    {
        "Arn": str,
        "Category": str,
        "CreatedAt": datetime,
        "Description": str,
        "LastUpdated": datetime,
        "Name": str,
        "Settings": ClientUpdatePresetResponsePresetSettingsTypeDef,
        "Type": Literal["SYSTEM", "CUSTOM"],
    },
    total=False,
)


class ClientUpdatePresetResponsePresetTypeDef(_ClientUpdatePresetResponsePresetTypeDef):
    """
    - **Preset** *(dict) --*A preset is a collection of preconfigured media conversion settings that
    you want MediaConvert to apply to the output during the conversion process.

      - **Arn** *(string) --*An identifier for this resource that is unique within all of AWS.
      - **Category** *(string) --*An optional category you create to organize your presets.
      - **CreatedAt** *(datetime) --*The timestamp in epoch seconds for preset creation.
      - **Description** *(string) --*An optional description you create for each preset.
      - **LastUpdated** *(datetime) --*The timestamp in epoch seconds when the preset was last
      updated.
      - **Name** *(string) --*A name you create for each preset. Each name must be unique within
      your account.
      - **Settings** *(dict) --*Settings for preset

        - **AudioDescriptions** *(list) --*(AudioDescriptions) contains groups of audio encoding
        settings organized by audio codec. Include one instance of (AudioDescriptions) per output.
        (AudioDescriptions) can contain multiple groups of encoding settings.

          - *(dict) --*Description of audio output

            - **AudioNormalizationSettings** *(dict) --*Advanced audio normalization settings.
            Ignore these settings unless you need to comply with a loudness standard.

              - **Algorithm** *(string) --*Choose one of the following audio normalization
              algorithms: ITU-R BS.1770-1: Ungated loudness. A measurement of ungated average
              loudness for an entire piece of content, suitable for measurement of short-form
              content under ATSC recommendation A/85. Supports up to 5.1 audio channels. ITU-R
              BS.1770-2: Gated loudness. A measurement of gated average loudness compliant with the
              requirements of EBU-R128. Supports up to 5.1 audio channels. ITU-R BS.1770-3: Modified
              peak. The same loudness measurement algorithm as 1770-2, with an updated true peak
              measurement. ITU-R BS.1770-4: Higher channel count. Allows for more audio channels
              than the other algorithms, including configurations such as 7.1.
              - **AlgorithmControl** *(string) --*When enabled the output audio is corrected using
              the chosen algorithm. If disabled, the audio will be measured but not adjusted.
              - **CorrectionGateLevel** *(integer) --*Content measuring above this level will be
              corrected to the target level. Content measuring below this level will not be
              corrected. Gating only applies when not using real_time_correction.
              - **LoudnessLogging** *(string) --*If set to LOG, log each output's audio track
              loudness to a CSV file.
              - **PeakCalculation** *(string) --*If set to TRUE_PEAK, calculate and log the TruePeak
              for each output's audio track loudness.
              - **TargetLkfs** *(float) --*When you use Audio normalization
              (AudioNormalizationSettings), optionally use this setting to specify a target
              loudness. If you don't specify a value here, the encoder chooses a value for you,
              based on the algorithm that you choose for Algorithm (algorithm). If you choose
              algorithm 1770-1, the encoder will choose -24 LKFS; otherwise, the encoder will choose
              -23 LKFS.
    """


_ClientUpdatePresetResponseTypeDef = TypedDict(
    "_ClientUpdatePresetResponseTypeDef",
    {"Preset": ClientUpdatePresetResponsePresetTypeDef},
    total=False,
)


class ClientUpdatePresetResponseTypeDef(_ClientUpdatePresetResponseTypeDef):
    """
    - *(dict) --*

      - **Preset** *(dict) --*A preset is a collection of preconfigured media conversion settings
      that you want MediaConvert to apply to the output during the conversion process.

        - **Arn** *(string) --*An identifier for this resource that is unique within all of AWS.
        - **Category** *(string) --*An optional category you create to organize your presets.
        - **CreatedAt** *(datetime) --*The timestamp in epoch seconds for preset creation.
        - **Description** *(string) --*An optional description you create for each preset.
        - **LastUpdated** *(datetime) --*The timestamp in epoch seconds when the preset was last
        updated.
        - **Name** *(string) --*A name you create for each preset. Each name must be unique within
        your account.
        - **Settings** *(dict) --*Settings for preset

          - **AudioDescriptions** *(list) --*(AudioDescriptions) contains groups of audio encoding
          settings organized by audio codec. Include one instance of (AudioDescriptions) per output.
          (AudioDescriptions) can contain multiple groups of encoding settings.

            - *(dict) --*Description of audio output

              - **AudioNormalizationSettings** *(dict) --*Advanced audio normalization settings.
              Ignore these settings unless you need to comply with a loudness standard.

                - **Algorithm** *(string) --*Choose one of the following audio normalization
                algorithms: ITU-R BS.1770-1: Ungated loudness. A measurement of ungated average
                loudness for an entire piece of content, suitable for measurement of short-form
                content under ATSC recommendation A/85. Supports up to 5.1 audio channels. ITU-R
                BS.1770-2: Gated loudness. A measurement of gated average loudness compliant with
                the requirements of EBU-R128. Supports up to 5.1 audio channels. ITU-R BS.1770-3:
                Modified peak. The same loudness measurement algorithm as 1770-2, with an updated
                true peak measurement. ITU-R BS.1770-4: Higher channel count. Allows for more audio
                channels than the other algorithms, including configurations such as 7.1.
                - **AlgorithmControl** *(string) --*When enabled the output audio is corrected using
                the chosen algorithm. If disabled, the audio will be measured but not adjusted.
                - **CorrectionGateLevel** *(integer) --*Content measuring above this level will be
                corrected to the target level. Content measuring below this level will not be
                corrected. Gating only applies when not using real_time_correction.
                - **LoudnessLogging** *(string) --*If set to LOG, log each output's audio track
                loudness to a CSV file.
                - **PeakCalculation** *(string) --*If set to TRUE_PEAK, calculate and log the
                TruePeak for each output's audio track loudness.
                - **TargetLkfs** *(float) --*When you use Audio normalization
                (AudioNormalizationSettings), optionally use this setting to specify a target
                loudness. If you don't specify a value here, the encoder chooses a value for you,
                based on the algorithm that you choose for Algorithm (algorithm). If you choose
                algorithm 1770-1, the encoder will choose -24 LKFS; otherwise, the encoder will
                choose -23 LKFS.
    """


_ClientUpdatePresetSettingsAudioDescriptionsAudioNormalizationSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsAudioDescriptionsAudioNormalizationSettingsTypeDef",
    {
        "Algorithm": Literal["ITU_BS_1770_1", "ITU_BS_1770_2", "ITU_BS_1770_3", "ITU_BS_1770_4"],
        "AlgorithmControl": Literal["CORRECT_AUDIO", "MEASURE_ONLY"],
        "CorrectionGateLevel": int,
        "LoudnessLogging": Literal["LOG", "DONT_LOG"],
        "PeakCalculation": Literal["TRUE_PEAK", "NONE"],
        "TargetLkfs": float,
    },
    total=False,
)


class ClientUpdatePresetSettingsAudioDescriptionsAudioNormalizationSettingsTypeDef(
    _ClientUpdatePresetSettingsAudioDescriptionsAudioNormalizationSettingsTypeDef
):
    """
    - **AudioNormalizationSettings** *(dict) --*Advanced audio normalization settings. Ignore these
    settings unless you need to comply with a loudness standard.

      - **Algorithm** *(string) --*Choose one of the following audio normalization algorithms: ITU-R
      BS.1770-1: Ungated loudness. A measurement of ungated average loudness for an entire piece of
      content, suitable for measurement of short-form content under ATSC recommendation A/85.
      Supports up to 5.1 audio channels. ITU-R BS.1770-2: Gated loudness. A measurement of gated
      average loudness compliant with the requirements of EBU-R128. Supports up to 5.1 audio
      channels. ITU-R BS.1770-3: Modified peak. The same loudness measurement algorithm as 1770-2,
      with an updated true peak measurement. ITU-R BS.1770-4: Higher channel count. Allows for more
      audio channels than the other algorithms, including configurations such as 7.1.
      - **AlgorithmControl** *(string) --*When enabled the output audio is corrected using the
      chosen algorithm. If disabled, the audio will be measured but not adjusted.
      - **CorrectionGateLevel** *(integer) --*Content measuring above this level will be corrected
      to the target level. Content measuring below this level will not be corrected. Gating only
      applies when not using real_time_correction.
      - **LoudnessLogging** *(string) --*If set to LOG, log each output's audio track loudness to a
      CSV file.
      - **PeakCalculation** *(string) --*If set to TRUE_PEAK, calculate and log the TruePeak for
      each output's audio track loudness.
      - **TargetLkfs** *(float) --*When you use Audio normalization (AudioNormalizationSettings),
      optionally use this setting to specify a target loudness. If you don't specify a value here,
      the encoder chooses a value for you, based on the algorithm that you choose for Algorithm
      (algorithm). If you choose algorithm 1770-1, the encoder will choose -24 LKFS; otherwise, the
      encoder will choose -23 LKFS.
    """


_ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsAacSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsAacSettingsTypeDef",
    {
        "AudioDescriptionBroadcasterMix": Literal["BROADCASTER_MIXED_AD", "NORMAL"],
        "Bitrate": int,
        "CodecProfile": Literal["LC", "HEV1", "HEV2"],
        "CodingMode": Literal[
            "AD_RECEIVER_MIX",
            "CODING_MODE_1_0",
            "CODING_MODE_1_1",
            "CODING_MODE_2_0",
            "CODING_MODE_5_1",
        ],
        "RateControlMode": Literal["CBR", "VBR"],
        "RawFormat": Literal["LATM_LOAS", "NONE"],
        "SampleRate": int,
        "Specification": Literal["MPEG2", "MPEG4"],
        "VbrQuality": Literal["LOW", "MEDIUM_LOW", "MEDIUM_HIGH", "HIGH"],
    },
    total=False,
)


class ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsAacSettingsTypeDef(
    _ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsAacSettingsTypeDef
):
    pass


_ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsAc3SettingsTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsAc3SettingsTypeDef",
    {
        "Bitrate": int,
        "BitstreamMode": Literal[
            "COMPLETE_MAIN",
            "COMMENTARY",
            "DIALOGUE",
            "EMERGENCY",
            "HEARING_IMPAIRED",
            "MUSIC_AND_EFFECTS",
            "VISUALLY_IMPAIRED",
            "VOICE_OVER",
        ],
        "CodingMode": Literal[
            "CODING_MODE_1_0", "CODING_MODE_1_1", "CODING_MODE_2_0", "CODING_MODE_3_2_LFE"
        ],
        "Dialnorm": int,
        "DynamicRangeCompressionProfile": Literal["FILM_STANDARD", "NONE"],
        "LfeFilter": Literal["ENABLED", "DISABLED"],
        "MetadataControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "SampleRate": int,
    },
    total=False,
)


class ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsAc3SettingsTypeDef(
    _ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsAc3SettingsTypeDef
):
    pass


_ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsAiffSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsAiffSettingsTypeDef",
    {"BitDepth": int, "Channels": int, "SampleRate": int},
    total=False,
)


class ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsAiffSettingsTypeDef(
    _ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsAiffSettingsTypeDef
):
    pass


_ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef",
    {
        "Bitrate": int,
        "BitstreamMode": str,
        "CodingMode": str,
        "DialogueIntelligence": Literal["ENABLED", "DISABLED"],
        "DynamicRangeCompressionLine": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "DynamicRangeCompressionRf": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "LoRoCenterMixLevel": float,
        "LoRoSurroundMixLevel": float,
        "LtRtCenterMixLevel": float,
        "LtRtSurroundMixLevel": float,
        "MeteringMode": Literal[
            "LEQ_A", "ITU_BS_1770_1", "ITU_BS_1770_2", "ITU_BS_1770_3", "ITU_BS_1770_4"
        ],
        "SampleRate": int,
        "SpeechThreshold": int,
        "StereoDownmix": Literal["NOT_INDICATED", "STEREO", "SURROUND", "DPL2"],
        "SurroundExMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
    },
    total=False,
)


class ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef(
    _ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef
):
    pass


_ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsEac3SettingsTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsEac3SettingsTypeDef",
    {
        "AttenuationControl": Literal["ATTENUATE_3_DB", "NONE"],
        "Bitrate": int,
        "BitstreamMode": Literal[
            "COMPLETE_MAIN", "COMMENTARY", "EMERGENCY", "HEARING_IMPAIRED", "VISUALLY_IMPAIRED"
        ],
        "CodingMode": Literal["CODING_MODE_1_0", "CODING_MODE_2_0", "CODING_MODE_3_2"],
        "DcFilter": Literal["ENABLED", "DISABLED"],
        "Dialnorm": int,
        "DynamicRangeCompressionLine": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "DynamicRangeCompressionRf": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "LfeControl": Literal["LFE", "NO_LFE"],
        "LfeFilter": Literal["ENABLED", "DISABLED"],
        "LoRoCenterMixLevel": float,
        "LoRoSurroundMixLevel": float,
        "LtRtCenterMixLevel": float,
        "LtRtSurroundMixLevel": float,
        "MetadataControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "PassthroughControl": Literal["WHEN_POSSIBLE", "NO_PASSTHROUGH"],
        "PhaseControl": Literal["SHIFT_90_DEGREES", "NO_SHIFT"],
        "SampleRate": int,
        "StereoDownmix": Literal["NOT_INDICATED", "LO_RO", "LT_RT", "DPL2"],
        "SurroundExMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
        "SurroundMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
    },
    total=False,
)


class ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsEac3SettingsTypeDef(
    _ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsEac3SettingsTypeDef
):
    pass


_ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsMp2SettingsTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsMp2SettingsTypeDef",
    {"Bitrate": int, "Channels": int, "SampleRate": int},
    total=False,
)


class ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsMp2SettingsTypeDef(
    _ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsMp2SettingsTypeDef
):
    pass


_ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsWavSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsWavSettingsTypeDef",
    {"BitDepth": int, "Channels": int, "Format": Literal["RIFF", "RF64"], "SampleRate": int},
    total=False,
)


class ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsWavSettingsTypeDef(
    _ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsWavSettingsTypeDef
):
    pass


_ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsTypeDef",
    {
        "AacSettings": ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsAacSettingsTypeDef,
        "Ac3Settings": ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsAc3SettingsTypeDef,
        "AiffSettings": ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsAiffSettingsTypeDef,
        "Codec": Literal["AAC", "MP2", "WAV", "AIFF", "AC3", "EAC3", "EAC3_ATMOS", "PASSTHROUGH"],
        "Eac3AtmosSettings": ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef,
        "Eac3Settings": ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsEac3SettingsTypeDef,
        "Mp2Settings": ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsMp2SettingsTypeDef,
        "WavSettings": ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsWavSettingsTypeDef,
    },
    total=False,
)


class ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsTypeDef(
    _ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsTypeDef
):
    pass


_ClientUpdatePresetSettingsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef",
    {"InputChannels": List[int]},
    total=False,
)


class ClientUpdatePresetSettingsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef(
    _ClientUpdatePresetSettingsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef
):
    pass


_ClientUpdatePresetSettingsAudioDescriptionsRemixSettingsChannelMappingTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsAudioDescriptionsRemixSettingsChannelMappingTypeDef",
    {
        "OutputChannels": List[
            ClientUpdatePresetSettingsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef
        ]
    },
    total=False,
)


class ClientUpdatePresetSettingsAudioDescriptionsRemixSettingsChannelMappingTypeDef(
    _ClientUpdatePresetSettingsAudioDescriptionsRemixSettingsChannelMappingTypeDef
):
    pass


_ClientUpdatePresetSettingsAudioDescriptionsRemixSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsAudioDescriptionsRemixSettingsTypeDef",
    {
        "ChannelMapping": ClientUpdatePresetSettingsAudioDescriptionsRemixSettingsChannelMappingTypeDef,
        "ChannelsIn": int,
        "ChannelsOut": int,
    },
    total=False,
)


class ClientUpdatePresetSettingsAudioDescriptionsRemixSettingsTypeDef(
    _ClientUpdatePresetSettingsAudioDescriptionsRemixSettingsTypeDef
):
    pass


_ClientUpdatePresetSettingsAudioDescriptionsTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsAudioDescriptionsTypeDef",
    {
        "AudioNormalizationSettings": ClientUpdatePresetSettingsAudioDescriptionsAudioNormalizationSettingsTypeDef,
        "AudioSourceName": str,
        "AudioType": int,
        "AudioTypeControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "CodecSettings": ClientUpdatePresetSettingsAudioDescriptionsCodecSettingsTypeDef,
        "CustomLanguageCode": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageCodeControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "RemixSettings": ClientUpdatePresetSettingsAudioDescriptionsRemixSettingsTypeDef,
        "StreamName": str,
    },
    total=False,
)


class ClientUpdatePresetSettingsAudioDescriptionsTypeDef(
    _ClientUpdatePresetSettingsAudioDescriptionsTypeDef
):
    """
    - *(dict) --*Description of audio output

      - **AudioNormalizationSettings** *(dict) --*Advanced audio normalization settings. Ignore
      these settings unless you need to comply with a loudness standard.

        - **Algorithm** *(string) --*Choose one of the following audio normalization algorithms:
        ITU-R BS.1770-1: Ungated loudness. A measurement of ungated average loudness for an entire
        piece of content, suitable for measurement of short-form content under ATSC recommendation
        A/85. Supports up to 5.1 audio channels. ITU-R BS.1770-2: Gated loudness. A measurement of
        gated average loudness compliant with the requirements of EBU-R128. Supports up to 5.1 audio
        channels. ITU-R BS.1770-3: Modified peak. The same loudness measurement algorithm as 1770-2,
        with an updated true peak measurement. ITU-R BS.1770-4: Higher channel count. Allows for
        more audio channels than the other algorithms, including configurations such as 7.1.
        - **AlgorithmControl** *(string) --*When enabled the output audio is corrected using the
        chosen algorithm. If disabled, the audio will be measured but not adjusted.
        - **CorrectionGateLevel** *(integer) --*Content measuring above this level will be corrected
        to the target level. Content measuring below this level will not be corrected. Gating only
        applies when not using real_time_correction.
        - **LoudnessLogging** *(string) --*If set to LOG, log each output's audio track loudness to
        a CSV file.
        - **PeakCalculation** *(string) --*If set to TRUE_PEAK, calculate and log the TruePeak for
        each output's audio track loudness.
        - **TargetLkfs** *(float) --*When you use Audio normalization (AudioNormalizationSettings),
        optionally use this setting to specify a target loudness. If you don't specify a value here,
        the encoder chooses a value for you, based on the algorithm that you choose for Algorithm
        (algorithm). If you choose algorithm 1770-1, the encoder will choose -24 LKFS; otherwise,
        the encoder will choose -23 LKFS.
    """


_ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef",
    {
        "Alignment": Literal["CENTERED", "LEFT"],
        "BackgroundColor": Literal["NONE", "BLACK", "WHITE"],
        "BackgroundOpacity": int,
        "FontColor": Literal["WHITE", "BLACK", "YELLOW", "RED", "GREEN", "BLUE"],
        "FontOpacity": int,
        "FontResolution": int,
        "FontScript": Literal["AUTOMATIC", "HANS", "HANT"],
        "FontSize": int,
        "OutlineColor": Literal["BLACK", "WHITE", "YELLOW", "RED", "GREEN", "BLUE"],
        "OutlineSize": int,
        "ShadowColor": Literal["NONE", "BLACK", "WHITE"],
        "ShadowOpacity": int,
        "ShadowXOffset": int,
        "ShadowYOffset": int,
        "TeletextSpacing": Literal["FIXED_GRID", "PROPORTIONAL"],
        "XPosition": int,
        "YPosition": int,
    },
    total=False,
)


class ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef(
    _ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef
):
    pass


_ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef",
    {
        "Alignment": Literal["CENTERED", "LEFT"],
        "BackgroundColor": Literal["NONE", "BLACK", "WHITE"],
        "BackgroundOpacity": int,
        "FontColor": Literal["WHITE", "BLACK", "YELLOW", "RED", "GREEN", "BLUE"],
        "FontOpacity": int,
        "FontResolution": int,
        "FontScript": Literal["AUTOMATIC", "HANS", "HANT"],
        "FontSize": int,
        "OutlineColor": Literal["BLACK", "WHITE", "YELLOW", "RED", "GREEN", "BLUE"],
        "OutlineSize": int,
        "ShadowColor": Literal["NONE", "BLACK", "WHITE"],
        "ShadowOpacity": int,
        "ShadowXOffset": int,
        "ShadowYOffset": int,
        "SubtitlingType": Literal["HEARING_IMPAIRED", "STANDARD"],
        "TeletextSpacing": Literal["FIXED_GRID", "PROPORTIONAL"],
        "XPosition": int,
        "YPosition": int,
    },
    total=False,
)


class ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef(
    _ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef
):
    pass


_ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef",
    {"Destination608ChannelNumber": int, "Destination708ServiceNumber": int},
    total=False,
)


class ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef(
    _ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef
):
    pass


_ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef",
    {"StylePassthrough": Literal["ENABLED", "DISABLED"]},
    total=False,
)


class ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef(
    _ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef
):
    pass


_ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef",
    {
        "Framerate": Literal[
            "FRAMERATE_23_97",
            "FRAMERATE_24",
            "FRAMERATE_25",
            "FRAMERATE_29_97_DROPFRAME",
            "FRAMERATE_29_97_NON_DROPFRAME",
        ]
    },
    total=False,
)


class ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef(
    _ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef
):
    pass


_ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef",
    {
        "PageNumber": str,
        "PageTypes": List[
            Literal[
                "PAGE_TYPE_INITIAL",
                "PAGE_TYPE_SUBTITLE",
                "PAGE_TYPE_ADDL_INFO",
                "PAGE_TYPE_PROGRAM_SCHEDULE",
                "PAGE_TYPE_HEARING_IMPAIRED_SUBTITLE",
            ]
        ],
    },
    total=False,
)


class ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef(
    _ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef
):
    pass


_ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef",
    {"StylePassthrough": Literal["ENABLED", "DISABLED"]},
    total=False,
)


class ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef(
    _ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef
):
    pass


_ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsTypeDef",
    {
        "BurninDestinationSettings": ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef,
        "DestinationType": Literal[
            "BURN_IN",
            "DVB_SUB",
            "EMBEDDED",
            "EMBEDDED_PLUS_SCTE20",
            "IMSC",
            "SCTE20_PLUS_EMBEDDED",
            "SCC",
            "SRT",
            "SMI",
            "TELETEXT",
            "TTML",
            "WEBVTT",
        ],
        "DvbSubDestinationSettings": ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef,
        "EmbeddedDestinationSettings": ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef,
        "ImscDestinationSettings": ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef,
        "SccDestinationSettings": ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef,
        "TeletextDestinationSettings": ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef,
        "TtmlDestinationSettings": ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef,
    },
    total=False,
)


class ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsTypeDef(
    _ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsTypeDef
):
    pass


_ClientUpdatePresetSettingsCaptionDescriptionsTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsCaptionDescriptionsTypeDef",
    {
        "CustomLanguageCode": str,
        "DestinationSettings": ClientUpdatePresetSettingsCaptionDescriptionsDestinationSettingsTypeDef,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageDescription": str,
    },
    total=False,
)


class ClientUpdatePresetSettingsCaptionDescriptionsTypeDef(
    _ClientUpdatePresetSettingsCaptionDescriptionsTypeDef
):
    pass


_ClientUpdatePresetSettingsContainerSettingsF4vSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsContainerSettingsF4vSettingsTypeDef",
    {"MoovPlacement": Literal["PROGRESSIVE_DOWNLOAD", "NORMAL"]},
    total=False,
)


class ClientUpdatePresetSettingsContainerSettingsF4vSettingsTypeDef(
    _ClientUpdatePresetSettingsContainerSettingsF4vSettingsTypeDef
):
    pass


_ClientUpdatePresetSettingsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef",
    {"NetworkId": int, "NetworkName": str, "NitInterval": int},
    total=False,
)


class ClientUpdatePresetSettingsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef(
    _ClientUpdatePresetSettingsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef
):
    pass


_ClientUpdatePresetSettingsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef",
    {
        "OutputSdt": Literal["SDT_FOLLOW", "SDT_FOLLOW_IF_PRESENT", "SDT_MANUAL", "SDT_NONE"],
        "SdtInterval": int,
        "ServiceName": str,
        "ServiceProviderName": str,
    },
    total=False,
)


class ClientUpdatePresetSettingsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef(
    _ClientUpdatePresetSettingsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef
):
    pass


_ClientUpdatePresetSettingsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef",
    {"TdtInterval": int},
    total=False,
)


class ClientUpdatePresetSettingsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef(
    _ClientUpdatePresetSettingsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef
):
    pass


_ClientUpdatePresetSettingsContainerSettingsM2tsSettingsScte35EsamTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsContainerSettingsM2tsSettingsScte35EsamTypeDef",
    {"Scte35EsamPid": int},
    total=False,
)


class ClientUpdatePresetSettingsContainerSettingsM2tsSettingsScte35EsamTypeDef(
    _ClientUpdatePresetSettingsContainerSettingsM2tsSettingsScte35EsamTypeDef
):
    pass


_ClientUpdatePresetSettingsContainerSettingsM2tsSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsContainerSettingsM2tsSettingsTypeDef",
    {
        "AudioBufferModel": Literal["DVB", "ATSC"],
        "AudioFramesPerPes": int,
        "AudioPids": List[int],
        "Bitrate": int,
        "BufferModel": Literal["MULTIPLEX", "NONE"],
        "DvbNitSettings": ClientUpdatePresetSettingsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef,
        "DvbSdtSettings": ClientUpdatePresetSettingsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef,
        "DvbSubPids": List[int],
        "DvbTdtSettings": ClientUpdatePresetSettingsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef,
        "DvbTeletextPid": int,
        "EbpAudioInterval": Literal["VIDEO_AND_FIXED_INTERVALS", "VIDEO_INTERVAL"],
        "EbpPlacement": Literal["VIDEO_AND_AUDIO_PIDS", "VIDEO_PID"],
        "EsRateInPes": Literal["INCLUDE", "EXCLUDE"],
        "ForceTsVideoEbpOrder": Literal["FORCE", "DEFAULT"],
        "FragmentTime": float,
        "MaxPcrInterval": int,
        "MinEbpInterval": int,
        "NielsenId3": Literal["INSERT", "NONE"],
        "NullPacketBitrate": float,
        "PatInterval": int,
        "PcrControl": Literal["PCR_EVERY_PES_PACKET", "CONFIGURED_PCR_PERIOD"],
        "PcrPid": int,
        "PmtInterval": int,
        "PmtPid": int,
        "PrivateMetadataPid": int,
        "ProgramNumber": int,
        "RateMode": Literal["VBR", "CBR"],
        "Scte35Esam": ClientUpdatePresetSettingsContainerSettingsM2tsSettingsScte35EsamTypeDef,
        "Scte35Pid": int,
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
        "SegmentationMarkers": Literal[
            "NONE", "RAI_SEGSTART", "RAI_ADAPT", "PSI_SEGSTART", "EBP", "EBP_LEGACY"
        ],
        "SegmentationStyle": Literal["MAINTAIN_CADENCE", "RESET_CADENCE"],
        "SegmentationTime": float,
        "TimedMetadataPid": int,
        "TransportStreamId": int,
        "VideoPid": int,
    },
    total=False,
)


class ClientUpdatePresetSettingsContainerSettingsM2tsSettingsTypeDef(
    _ClientUpdatePresetSettingsContainerSettingsM2tsSettingsTypeDef
):
    pass


_ClientUpdatePresetSettingsContainerSettingsM3u8SettingsTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsContainerSettingsM3u8SettingsTypeDef",
    {
        "AudioFramesPerPes": int,
        "AudioPids": List[int],
        "NielsenId3": Literal["INSERT", "NONE"],
        "PatInterval": int,
        "PcrControl": Literal["PCR_EVERY_PES_PACKET", "CONFIGURED_PCR_PERIOD"],
        "PcrPid": int,
        "PmtInterval": int,
        "PmtPid": int,
        "PrivateMetadataPid": int,
        "ProgramNumber": int,
        "Scte35Pid": int,
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
        "TimedMetadata": Literal["PASSTHROUGH", "NONE"],
        "TimedMetadataPid": int,
        "TransportStreamId": int,
        "VideoPid": int,
    },
    total=False,
)


class ClientUpdatePresetSettingsContainerSettingsM3u8SettingsTypeDef(
    _ClientUpdatePresetSettingsContainerSettingsM3u8SettingsTypeDef
):
    pass


_ClientUpdatePresetSettingsContainerSettingsMovSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsContainerSettingsMovSettingsTypeDef",
    {
        "ClapAtom": Literal["INCLUDE", "EXCLUDE"],
        "CslgAtom": Literal["INCLUDE", "EXCLUDE"],
        "Mpeg2FourCCControl": Literal["XDCAM", "MPEG"],
        "PaddingControl": Literal["OMNEON", "NONE"],
        "Reference": Literal["SELF_CONTAINED", "EXTERNAL"],
    },
    total=False,
)


class ClientUpdatePresetSettingsContainerSettingsMovSettingsTypeDef(
    _ClientUpdatePresetSettingsContainerSettingsMovSettingsTypeDef
):
    pass


_ClientUpdatePresetSettingsContainerSettingsMp4SettingsTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsContainerSettingsMp4SettingsTypeDef",
    {
        "CslgAtom": Literal["INCLUDE", "EXCLUDE"],
        "FreeSpaceBox": Literal["INCLUDE", "EXCLUDE"],
        "MoovPlacement": Literal["PROGRESSIVE_DOWNLOAD", "NORMAL"],
        "Mp4MajorBrand": str,
    },
    total=False,
)


class ClientUpdatePresetSettingsContainerSettingsMp4SettingsTypeDef(
    _ClientUpdatePresetSettingsContainerSettingsMp4SettingsTypeDef
):
    pass


_ClientUpdatePresetSettingsContainerSettingsMpdSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsContainerSettingsMpdSettingsTypeDef",
    {
        "CaptionContainerType": Literal["RAW", "FRAGMENTED_MP4"],
        "Scte35Esam": Literal["INSERT", "NONE"],
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
    },
    total=False,
)


class ClientUpdatePresetSettingsContainerSettingsMpdSettingsTypeDef(
    _ClientUpdatePresetSettingsContainerSettingsMpdSettingsTypeDef
):
    pass


_ClientUpdatePresetSettingsContainerSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsContainerSettingsTypeDef",
    {
        "Container": Literal[
            "F4V", "ISMV", "M2TS", "M3U8", "CMFC", "MOV", "MP4", "MPD", "MXF", "RAW"
        ],
        "F4vSettings": ClientUpdatePresetSettingsContainerSettingsF4vSettingsTypeDef,
        "M2tsSettings": ClientUpdatePresetSettingsContainerSettingsM2tsSettingsTypeDef,
        "M3u8Settings": ClientUpdatePresetSettingsContainerSettingsM3u8SettingsTypeDef,
        "MovSettings": ClientUpdatePresetSettingsContainerSettingsMovSettingsTypeDef,
        "Mp4Settings": ClientUpdatePresetSettingsContainerSettingsMp4SettingsTypeDef,
        "MpdSettings": ClientUpdatePresetSettingsContainerSettingsMpdSettingsTypeDef,
    },
    total=False,
)


class ClientUpdatePresetSettingsContainerSettingsTypeDef(
    _ClientUpdatePresetSettingsContainerSettingsTypeDef
):
    pass


_ClientUpdatePresetSettingsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef",
    {"FramerateDenominator": int, "FramerateNumerator": int, "MaxCaptures": int, "Quality": int},
    total=False,
)


class ClientUpdatePresetSettingsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef(
    _ClientUpdatePresetSettingsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef
):
    pass


_ClientUpdatePresetSettingsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef",
    {"MaxAverageBitrate": int, "QvbrQualityLevel": int},
    total=False,
)


class ClientUpdatePresetSettingsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef(
    _ClientUpdatePresetSettingsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef
):
    pass


_ClientUpdatePresetSettingsVideoDescriptionCodecSettingsH264SettingsTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsVideoDescriptionCodecSettingsH264SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH", "HIGHER", "MAX"],
        "Bitrate": int,
        "CodecLevel": Literal[
            "AUTO",
            "LEVEL_1",
            "LEVEL_1_1",
            "LEVEL_1_2",
            "LEVEL_1_3",
            "LEVEL_2",
            "LEVEL_2_1",
            "LEVEL_2_2",
            "LEVEL_3",
            "LEVEL_3_1",
            "LEVEL_3_2",
            "LEVEL_4",
            "LEVEL_4_1",
            "LEVEL_4_2",
            "LEVEL_5",
            "LEVEL_5_1",
            "LEVEL_5_2",
        ],
        "CodecProfile": Literal[
            "BASELINE", "HIGH", "HIGH_10BIT", "HIGH_422", "HIGH_422_10BIT", "MAIN"
        ],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "EntropyEncoding": Literal["CABAC", "CAVLC"],
        "FieldEncoding": Literal["PAFF", "FORCE_FIELD"],
        "FlickerAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopBReference": Literal["DISABLED", "ENABLED"],
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "NumberReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "SINGLE_PASS_HQ", "MULTI_PASS_HQ"],
        "QvbrSettings": ClientUpdatePresetSettingsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef,
        "RateControlMode": Literal["VBR", "CBR", "QVBR"],
        "RepeatPps": Literal["DISABLED", "ENABLED"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED", "TRANSITION_DETECTION"],
        "Slices": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Softness": int,
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Syntax": Literal["DEFAULT", "RP2027"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "UnregisteredSeiTimecode": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ClientUpdatePresetSettingsVideoDescriptionCodecSettingsH264SettingsTypeDef(
    _ClientUpdatePresetSettingsVideoDescriptionCodecSettingsH264SettingsTypeDef
):
    pass


_ClientUpdatePresetSettingsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef",
    {"MaxAverageBitrate": int, "QvbrQualityLevel": int},
    total=False,
)


class ClientUpdatePresetSettingsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef(
    _ClientUpdatePresetSettingsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef
):
    pass


_ClientUpdatePresetSettingsVideoDescriptionCodecSettingsH265SettingsTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsVideoDescriptionCodecSettingsH265SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH", "HIGHER", "MAX"],
        "AlternateTransferFunctionSei": Literal["DISABLED", "ENABLED"],
        "Bitrate": int,
        "CodecLevel": Literal[
            "AUTO",
            "LEVEL_1",
            "LEVEL_2",
            "LEVEL_2_1",
            "LEVEL_3",
            "LEVEL_3_1",
            "LEVEL_4",
            "LEVEL_4_1",
            "LEVEL_5",
            "LEVEL_5_1",
            "LEVEL_5_2",
            "LEVEL_6",
            "LEVEL_6_1",
            "LEVEL_6_2",
        ],
        "CodecProfile": Literal[
            "MAIN_MAIN",
            "MAIN_HIGH",
            "MAIN10_MAIN",
            "MAIN10_HIGH",
            "MAIN_422_8BIT_MAIN",
            "MAIN_422_8BIT_HIGH",
            "MAIN_422_10BIT_MAIN",
            "MAIN_422_10BIT_HIGH",
        ],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "FlickerAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopBReference": Literal["DISABLED", "ENABLED"],
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "NumberReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "SINGLE_PASS_HQ", "MULTI_PASS_HQ"],
        "QvbrSettings": ClientUpdatePresetSettingsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef,
        "RateControlMode": Literal["VBR", "CBR", "QVBR"],
        "SampleAdaptiveOffsetFilterMode": Literal["DEFAULT", "ADAPTIVE", "OFF"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED", "TRANSITION_DETECTION"],
        "Slices": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "TemporalIds": Literal["DISABLED", "ENABLED"],
        "Tiles": Literal["DISABLED", "ENABLED"],
        "UnregisteredSeiTimecode": Literal["DISABLED", "ENABLED"],
        "WriteMp4PackagingType": Literal["HVC1", "HEV1"],
    },
    total=False,
)


class ClientUpdatePresetSettingsVideoDescriptionCodecSettingsH265SettingsTypeDef(
    _ClientUpdatePresetSettingsVideoDescriptionCodecSettingsH265SettingsTypeDef
):
    pass


_ClientUpdatePresetSettingsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH"],
        "Bitrate": int,
        "CodecLevel": Literal["AUTO", "LOW", "MAIN", "HIGH1440", "HIGH"],
        "CodecProfile": Literal["MAIN", "PROFILE_422"],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "IntraDcPrecision": Literal[
            "AUTO",
            "INTRA_DC_PRECISION_8",
            "INTRA_DC_PRECISION_9",
            "INTRA_DC_PRECISION_10",
            "INTRA_DC_PRECISION_11",
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "MULTI_PASS"],
        "RateControlMode": Literal["VBR", "CBR"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED"],
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Softness": int,
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Syntax": Literal["DEFAULT", "D_10"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ClientUpdatePresetSettingsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef(
    _ClientUpdatePresetSettingsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef
):
    pass


_ClientUpdatePresetSettingsVideoDescriptionCodecSettingsProresSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsVideoDescriptionCodecSettingsProresSettingsTypeDef",
    {
        "CodecProfile": Literal[
            "APPLE_PRORES_422",
            "APPLE_PRORES_422_HQ",
            "APPLE_PRORES_422_LT",
            "APPLE_PRORES_422_PROXY",
        ],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Telecine": Literal["NONE", "HARD"],
    },
    total=False,
)


class ClientUpdatePresetSettingsVideoDescriptionCodecSettingsProresSettingsTypeDef(
    _ClientUpdatePresetSettingsVideoDescriptionCodecSettingsProresSettingsTypeDef
):
    pass


_ClientUpdatePresetSettingsVideoDescriptionCodecSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsVideoDescriptionCodecSettingsTypeDef",
    {
        "Codec": Literal["FRAME_CAPTURE", "H_264", "H_265", "MPEG2", "PRORES"],
        "FrameCaptureSettings": ClientUpdatePresetSettingsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef,
        "H264Settings": ClientUpdatePresetSettingsVideoDescriptionCodecSettingsH264SettingsTypeDef,
        "H265Settings": ClientUpdatePresetSettingsVideoDescriptionCodecSettingsH265SettingsTypeDef,
        "Mpeg2Settings": ClientUpdatePresetSettingsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef,
        "ProresSettings": ClientUpdatePresetSettingsVideoDescriptionCodecSettingsProresSettingsTypeDef,
    },
    total=False,
)


class ClientUpdatePresetSettingsVideoDescriptionCodecSettingsTypeDef(
    _ClientUpdatePresetSettingsVideoDescriptionCodecSettingsTypeDef
):
    pass


_ClientUpdatePresetSettingsVideoDescriptionCropTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsVideoDescriptionCropTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientUpdatePresetSettingsVideoDescriptionCropTypeDef(
    _ClientUpdatePresetSettingsVideoDescriptionCropTypeDef
):
    pass


_ClientUpdatePresetSettingsVideoDescriptionPositionTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsVideoDescriptionPositionTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ClientUpdatePresetSettingsVideoDescriptionPositionTypeDef(
    _ClientUpdatePresetSettingsVideoDescriptionPositionTypeDef
):
    pass


_ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef",
    {
        "BluePrimaryX": int,
        "BluePrimaryY": int,
        "GreenPrimaryX": int,
        "GreenPrimaryY": int,
        "MaxContentLightLevel": int,
        "MaxFrameAverageLightLevel": int,
        "MaxLuminance": int,
        "MinLuminance": int,
        "RedPrimaryX": int,
        "RedPrimaryY": int,
        "WhitePointX": int,
        "WhitePointY": int,
    },
    total=False,
)


class ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef(
    _ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef
):
    pass


_ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef",
    {
        "Brightness": int,
        "ColorSpaceConversion": Literal[
            "NONE", "FORCE_601", "FORCE_709", "FORCE_HDR10", "FORCE_HLG_2020"
        ],
        "Contrast": int,
        "Hdr10Metadata": ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef,
        "Hue": int,
        "Saturation": int,
    },
    total=False,
)


class ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef(
    _ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef
):
    pass


_ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef",
    {
        "Algorithm": Literal["INTERPOLATE", "INTERPOLATE_TICKER", "BLEND", "BLEND_TICKER"],
        "Control": Literal["FORCE_ALL_FRAMES", "NORMAL"],
        "Mode": Literal["DEINTERLACE", "INVERSE_TELECINE", "ADAPTIVE"],
    },
    total=False,
)


class ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef(
    _ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef
):
    pass


_ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef",
    {"MaxCll": int, "MaxFall": int},
    total=False,
)


class ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef(
    _ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef
):
    pass


_ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef",
    {
        "L6Metadata": ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef,
        "L6Mode": Literal["PASSTHROUGH", "RECALCULATE", "SPECIFY"],
        "Profile": str,
    },
    total=False,
)


class ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef(
    _ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef
):
    pass


_ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef",
    {
        "Duration": int,
        "FadeIn": int,
        "FadeOut": int,
        "Height": int,
        "ImageInserterInput": str,
        "ImageX": int,
        "ImageY": int,
        "Layer": int,
        "Opacity": int,
        "StartTime": str,
        "Width": int,
    },
    total=False,
)


class ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef(
    _ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef
):
    pass


_ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterTypeDef",
    {
        "InsertableImages": List[
            ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef
        ]
    },
    total=False,
)


class ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterTypeDef(
    _ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterTypeDef
):
    pass


_ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef",
    {"Strength": int},
    total=False,
)


class ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef(
    _ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef
):
    pass


_ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef",
    {"PostFilterSharpenStrength": int, "Speed": int, "Strength": int},
    total=False,
)


class ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef(
    _ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef
):
    pass


_ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef",
    {"AggressiveMode": int, "Speed": int, "Strength": int},
    total=False,
)


class ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef(
    _ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef
):
    pass


_ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef",
    {
        "Filter": Literal[
            "BILATERAL", "MEAN", "GAUSSIAN", "LANCZOS", "SHARPEN", "CONSERVE", "SPATIAL", "TEMPORAL"
        ],
        "FilterSettings": ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef,
        "SpatialFilterSettings": ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef,
        "TemporalFilterSettings": ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef,
    },
    total=False,
)


class ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef(
    _ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef
):
    pass


_ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef",
    {
        "FontSize": int,
        "Position": Literal[
            "TOP_CENTER",
            "TOP_LEFT",
            "TOP_RIGHT",
            "MIDDLE_LEFT",
            "MIDDLE_CENTER",
            "MIDDLE_RIGHT",
            "BOTTOM_LEFT",
            "BOTTOM_CENTER",
            "BOTTOM_RIGHT",
        ],
        "Prefix": str,
    },
    total=False,
)


class ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef(
    _ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef
):
    pass


_ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsTypeDef",
    {
        "ColorCorrector": ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef,
        "Deinterlacer": ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef,
        "DolbyVision": ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef,
        "ImageInserter": ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsImageInserterTypeDef,
        "NoiseReducer": ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef,
        "TimecodeBurnin": ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef,
    },
    total=False,
)


class ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsTypeDef(
    _ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsTypeDef
):
    pass


_ClientUpdatePresetSettingsVideoDescriptionTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsVideoDescriptionTypeDef",
    {
        "AfdSignaling": Literal["NONE", "AUTO", "FIXED"],
        "AntiAlias": Literal["DISABLED", "ENABLED"],
        "CodecSettings": ClientUpdatePresetSettingsVideoDescriptionCodecSettingsTypeDef,
        "ColorMetadata": Literal["IGNORE", "INSERT"],
        "Crop": ClientUpdatePresetSettingsVideoDescriptionCropTypeDef,
        "DropFrameTimecode": Literal["DISABLED", "ENABLED"],
        "FixedAfd": int,
        "Height": int,
        "Position": ClientUpdatePresetSettingsVideoDescriptionPositionTypeDef,
        "RespondToAfd": Literal["NONE", "RESPOND", "PASSTHROUGH"],
        "ScalingBehavior": Literal["DEFAULT", "STRETCH_TO_OUTPUT"],
        "Sharpness": int,
        "TimecodeInsertion": Literal["DISABLED", "PIC_TIMING_SEI"],
        "VideoPreprocessors": ClientUpdatePresetSettingsVideoDescriptionVideoPreprocessorsTypeDef,
        "Width": int,
    },
    total=False,
)


class ClientUpdatePresetSettingsVideoDescriptionTypeDef(
    _ClientUpdatePresetSettingsVideoDescriptionTypeDef
):
    pass


_ClientUpdatePresetSettingsTypeDef = TypedDict(
    "_ClientUpdatePresetSettingsTypeDef",
    {
        "AudioDescriptions": List[ClientUpdatePresetSettingsAudioDescriptionsTypeDef],
        "CaptionDescriptions": List[ClientUpdatePresetSettingsCaptionDescriptionsTypeDef],
        "ContainerSettings": ClientUpdatePresetSettingsContainerSettingsTypeDef,
        "VideoDescription": ClientUpdatePresetSettingsVideoDescriptionTypeDef,
    },
    total=False,
)


class ClientUpdatePresetSettingsTypeDef(_ClientUpdatePresetSettingsTypeDef):
    """
    - **AudioDescriptions** *(list) --*(AudioDescriptions) contains groups of audio encoding
    settings organized by audio codec. Include one instance of (AudioDescriptions) per output.
    (AudioDescriptions) can contain multiple groups of encoding settings.

      - *(dict) --*Description of audio output

        - **AudioNormalizationSettings** *(dict) --*Advanced audio normalization settings. Ignore
        these settings unless you need to comply with a loudness standard.

          - **Algorithm** *(string) --*Choose one of the following audio normalization algorithms:
          ITU-R BS.1770-1: Ungated loudness. A measurement of ungated average loudness for an entire
          piece of content, suitable for measurement of short-form content under ATSC recommendation
          A/85. Supports up to 5.1 audio channels. ITU-R BS.1770-2: Gated loudness. A measurement of
          gated average loudness compliant with the requirements of EBU-R128. Supports up to 5.1
          audio channels. ITU-R BS.1770-3: Modified peak. The same loudness measurement algorithm as
          1770-2, with an updated true peak measurement. ITU-R BS.1770-4: Higher channel count.
          Allows for more audio channels than the other algorithms, including configurations such as
          7.1.
          - **AlgorithmControl** *(string) --*When enabled the output audio is corrected using the
          chosen algorithm. If disabled, the audio will be measured but not adjusted.
          - **CorrectionGateLevel** *(integer) --*Content measuring above this level will be
          corrected to the target level. Content measuring below this level will not be corrected.
          Gating only applies when not using real_time_correction.
          - **LoudnessLogging** *(string) --*If set to LOG, log each output's audio track loudness
          to a CSV file.
          - **PeakCalculation** *(string) --*If set to TRUE_PEAK, calculate and log the TruePeak for
          each output's audio track loudness.
          - **TargetLkfs** *(float) --*When you use Audio normalization
          (AudioNormalizationSettings), optionally use this setting to specify a target loudness. If
          you don't specify a value here, the encoder chooses a value for you, based on the
          algorithm that you choose for Algorithm (algorithm). If you choose algorithm 1770-1, the
          encoder will choose -24 LKFS; otherwise, the encoder will choose -23 LKFS.
    """


_ClientUpdateQueueReservationPlanSettingsTypeDef = TypedDict(
    "_ClientUpdateQueueReservationPlanSettingsTypeDef",
    {"Commitment": str, "RenewalType": Literal["AUTO_RENEW", "EXPIRE"], "ReservedSlots": int},
)


class ClientUpdateQueueReservationPlanSettingsTypeDef(
    _ClientUpdateQueueReservationPlanSettingsTypeDef
):
    """
    - **Commitment** *(string) --***[REQUIRED]** The length of the term of your reserved queue
    pricing plan commitment.
    - **RenewalType** *(string) --***[REQUIRED]** Specifies whether the term of your reserved queue
    pricing plan is automatically extended (AUTO_RENEW) or expires (EXPIRE) at the end of the term.
    When your term is auto renewed, you extend your commitment by 12 months from the auto renew
    date. You can cancel this commitment.
    - **ReservedSlots** *(integer) --***[REQUIRED]** Specifies the number of reserved transcode
    slots (RTS) for this queue. The number of RTS determines how many jobs the queue can process in
    parallel; each RTS can process one job at a time. You can't decrease the number of RTS in your
    reserved queue. You can increase the number of RTS by extending your existing commitment with a
    new 12-month commitment for the larger number. The new commitment begins when you purchase the
    additional capacity. You can't cancel your commitment or revert to your original commitment
    after you increase the capacity.
    """


_ClientUpdateQueueResponseQueueReservationPlanTypeDef = TypedDict(
    "_ClientUpdateQueueResponseQueueReservationPlanTypeDef",
    {
        "Commitment": str,
        "ExpiresAt": datetime,
        "PurchasedAt": datetime,
        "RenewalType": Literal["AUTO_RENEW", "EXPIRE"],
        "ReservedSlots": int,
        "Status": Literal["ACTIVE", "EXPIRED"],
    },
    total=False,
)


class ClientUpdateQueueResponseQueueReservationPlanTypeDef(
    _ClientUpdateQueueResponseQueueReservationPlanTypeDef
):
    """
    - **ReservationPlan** *(dict) --*Details about the pricing plan for your reserved queue.
    Required for reserved queues and not applicable to on-demand queues.

      - **Commitment** *(string) --*The length of the term of your reserved queue pricing plan
      commitment.
      - **ExpiresAt** *(datetime) --*The timestamp in epoch seconds for when the current pricing
      plan term for this reserved queue expires.
      - **PurchasedAt** *(datetime) --*The timestamp in epoch seconds for when you set up the
      current pricing plan for this reserved queue.
      - **RenewalType** *(string) --*Specifies whether the term of your reserved queue pricing plan
      is automatically extended (AUTO_RENEW) or expires (EXPIRE) at the end of the term.
      - **ReservedSlots** *(integer) --*Specifies the number of reserved transcode slots (RTS) for
      this queue. The number of RTS determines how many jobs the queue can process in parallel; each
      RTS can process one job at a time. When you increase this number, you extend your existing
      commitment with a new 12-month commitment for a larger number of RTS. The new commitment
      begins when you purchase the additional capacity. You can't decrease the number of RTS in your
      reserved queue.
      - **Status** *(string) --*Specifies whether the pricing plan for your reserved queue is ACTIVE
      or EXPIRED.
    """


_ClientUpdateQueueResponseQueueTypeDef = TypedDict(
    "_ClientUpdateQueueResponseQueueTypeDef",
    {
        "Arn": str,
        "CreatedAt": datetime,
        "Description": str,
        "LastUpdated": datetime,
        "Name": str,
        "PricingPlan": Literal["ON_DEMAND", "RESERVED"],
        "ProgressingJobsCount": int,
        "ReservationPlan": ClientUpdateQueueResponseQueueReservationPlanTypeDef,
        "Status": Literal["ACTIVE", "PAUSED"],
        "SubmittedJobsCount": int,
        "Type": Literal["SYSTEM", "CUSTOM"],
    },
    total=False,
)


class ClientUpdateQueueResponseQueueTypeDef(_ClientUpdateQueueResponseQueueTypeDef):
    """
    - **Queue** *(dict) --*You can use queues to manage the resources that are available to your AWS
    account for running multiple transcoding jobs at the same time. If you don't specify a queue,
    the service sends all jobs through the default queue. For more information, see
    https://docs.aws.amazon.com/mediaconvert/latest/ug/working-with-queues.html.

      - **Arn** *(string) --*An identifier for this resource that is unique within all of AWS.
      - **CreatedAt** *(datetime) --*The timestamp in epoch seconds for when you created the queue.
      - **Description** *(string) --*An optional description that you create for each queue.
      - **LastUpdated** *(datetime) --*The timestamp in epoch seconds for when you most recently
      updated the queue.
      - **Name** *(string) --*A name that you create for each queue. Each name must be unique within
      your account.
      - **PricingPlan** *(string) --*Specifies whether the pricing plan for the queue is on-demand
      or reserved. For on-demand, you pay per minute, billed in increments of .01 minute. For
      reserved, you pay for the transcoding capacity of the entire queue, regardless of how much or
      how little you use it. Reserved pricing requires a 12-month commitment.
      - **ProgressingJobsCount** *(integer) --*The estimated number of jobs with a PROGRESSING
      status.
      - **ReservationPlan** *(dict) --*Details about the pricing plan for your reserved queue.
      Required for reserved queues and not applicable to on-demand queues.

        - **Commitment** *(string) --*The length of the term of your reserved queue pricing plan
        commitment.
        - **ExpiresAt** *(datetime) --*The timestamp in epoch seconds for when the current pricing
        plan term for this reserved queue expires.
        - **PurchasedAt** *(datetime) --*The timestamp in epoch seconds for when you set up the
        current pricing plan for this reserved queue.
        - **RenewalType** *(string) --*Specifies whether the term of your reserved queue pricing
        plan is automatically extended (AUTO_RENEW) or expires (EXPIRE) at the end of the term.
        - **ReservedSlots** *(integer) --*Specifies the number of reserved transcode slots (RTS) for
        this queue. The number of RTS determines how many jobs the queue can process in parallel;
        each RTS can process one job at a time. When you increase this number, you extend your
        existing commitment with a new 12-month commitment for a larger number of RTS. The new
        commitment begins when you purchase the additional capacity. You can't decrease the number
        of RTS in your reserved queue.
        - **Status** *(string) --*Specifies whether the pricing plan for your reserved queue is
        ACTIVE or EXPIRED.
    """


_ClientUpdateQueueResponseTypeDef = TypedDict(
    "_ClientUpdateQueueResponseTypeDef",
    {"Queue": ClientUpdateQueueResponseQueueTypeDef},
    total=False,
)


class ClientUpdateQueueResponseTypeDef(_ClientUpdateQueueResponseTypeDef):
    """
    - *(dict) --*

      - **Queue** *(dict) --*You can use queues to manage the resources that are available to your
      AWS account for running multiple transcoding jobs at the same time. If you don't specify a
      queue, the service sends all jobs through the default queue. For more information, see
      https://docs.aws.amazon.com/mediaconvert/latest/ug/working-with-queues.html.

        - **Arn** *(string) --*An identifier for this resource that is unique within all of AWS.
        - **CreatedAt** *(datetime) --*The timestamp in epoch seconds for when you created the
        queue.
        - **Description** *(string) --*An optional description that you create for each queue.
        - **LastUpdated** *(datetime) --*The timestamp in epoch seconds for when you most recently
        updated the queue.
        - **Name** *(string) --*A name that you create for each queue. Each name must be unique
        within your account.
        - **PricingPlan** *(string) --*Specifies whether the pricing plan for the queue is on-demand
        or reserved. For on-demand, you pay per minute, billed in increments of .01 minute. For
        reserved, you pay for the transcoding capacity of the entire queue, regardless of how much
        or how little you use it. Reserved pricing requires a 12-month commitment.
        - **ProgressingJobsCount** *(integer) --*The estimated number of jobs with a PROGRESSING
        status.
        - **ReservationPlan** *(dict) --*Details about the pricing plan for your reserved queue.
        Required for reserved queues and not applicable to on-demand queues.

          - **Commitment** *(string) --*The length of the term of your reserved queue pricing plan
          commitment.
          - **ExpiresAt** *(datetime) --*The timestamp in epoch seconds for when the current pricing
          plan term for this reserved queue expires.
          - **PurchasedAt** *(datetime) --*The timestamp in epoch seconds for when you set up the
          current pricing plan for this reserved queue.
          - **RenewalType** *(string) --*Specifies whether the term of your reserved queue pricing
          plan is automatically extended (AUTO_RENEW) or expires (EXPIRE) at the end of the term.
          - **ReservedSlots** *(integer) --*Specifies the number of reserved transcode slots (RTS)
          for this queue. The number of RTS determines how many jobs the queue can process in
          parallel; each RTS can process one job at a time. When you increase this number, you
          extend your existing commitment with a new 12-month commitment for a larger number of RTS.
          The new commitment begins when you purchase the additional capacity. You can't decrease
          the number of RTS in your reserved queue.
          - **Status** *(string) --*Specifies whether the pricing plan for your reserved queue is
          ACTIVE or EXPIRED.
    """


_DescribeEndpointsPaginatePaginationConfigTypeDef = TypedDict(
    "_DescribeEndpointsPaginatePaginationConfigTypeDef",
    {"MaxItems": int, "PageSize": int, "StartingToken": str},
    total=False,
)


class DescribeEndpointsPaginatePaginationConfigTypeDef(
    _DescribeEndpointsPaginatePaginationConfigTypeDef
):
    """
    A dictionary that provides parameters to control pagination.
    - **MaxItems** *(integer) --*

      The total number of items to return. If the total number of items available is more than the
      value specified in max-items then a ``NextToken`` will be provided in the output that you can
      use to resume pagination.
    """


_DescribeEndpointsPaginateResponseEndpointsTypeDef = TypedDict(
    "_DescribeEndpointsPaginateResponseEndpointsTypeDef", {"Url": str}, total=False
)


class DescribeEndpointsPaginateResponseEndpointsTypeDef(
    _DescribeEndpointsPaginateResponseEndpointsTypeDef
):
    """
    - *(dict) --*Describes an account-specific API endpoint.

      - **Url** *(string) --*URL of endpoint
    """


_DescribeEndpointsPaginateResponseTypeDef = TypedDict(
    "_DescribeEndpointsPaginateResponseTypeDef",
    {"Endpoints": List[DescribeEndpointsPaginateResponseEndpointsTypeDef]},
    total=False,
)


class DescribeEndpointsPaginateResponseTypeDef(_DescribeEndpointsPaginateResponseTypeDef):
    """
    - *(dict) --*

      - **Endpoints** *(list) --*List of endpoints

        - *(dict) --*Describes an account-specific API endpoint.

          - **Url** *(string) --*URL of endpoint
    """


_ListJobTemplatesPaginatePaginationConfigTypeDef = TypedDict(
    "_ListJobTemplatesPaginatePaginationConfigTypeDef",
    {"MaxItems": int, "PageSize": int, "StartingToken": str},
    total=False,
)


class ListJobTemplatesPaginatePaginationConfigTypeDef(
    _ListJobTemplatesPaginatePaginationConfigTypeDef
):
    """
    A dictionary that provides parameters to control pagination.
    - **MaxItems** *(integer) --*

      The total number of items to return. If the total number of items available is more than the
      value specified in max-items then a ``NextToken`` will be provided in the output that you can
      use to resume pagination.
    """


_ListJobTemplatesPaginateResponseJobTemplatesAccelerationSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesAccelerationSettingsTypeDef",
    {"Mode": Literal["DISABLED", "ENABLED", "PREFERRED"]},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesAccelerationSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesAccelerationSettingsTypeDef
):
    """
    - **AccelerationSettings** *(dict) --*Accelerated transcoding can significantly speed up jobs
    with long, visually complex content.

      - **Mode** *(string) --*Specify the conditions when the service will run your job with
      accelerated transcoding.
    """


_ListJobTemplatesPaginateResponseJobTemplatesSettingsAvailBlankingTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsAvailBlankingTypeDef",
    {"AvailBlankingImage": str},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsAvailBlankingTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsAvailBlankingTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsEsamManifestConfirmConditionNotificationTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsEsamManifestConfirmConditionNotificationTypeDef",
    {"MccXml": str},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsEsamManifestConfirmConditionNotificationTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsEsamManifestConfirmConditionNotificationTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsEsamSignalProcessingNotificationTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsEsamSignalProcessingNotificationTypeDef",
    {"SccXml": str},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsEsamSignalProcessingNotificationTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsEsamSignalProcessingNotificationTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsEsamTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsEsamTypeDef",
    {
        "ManifestConfirmConditionNotification": ListJobTemplatesPaginateResponseJobTemplatesSettingsEsamManifestConfirmConditionNotificationTypeDef,
        "ResponseSignalPreroll": int,
        "SignalProcessingNotification": ListJobTemplatesPaginateResponseJobTemplatesSettingsEsamSignalProcessingNotificationTypeDef,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsEsamTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsEsamTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsAudioSelectorGroupsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsAudioSelectorGroupsTypeDef",
    {"AudioSelectorNames": List[str]},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsAudioSelectorGroupsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsAudioSelectorGroupsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef",
    {"InputChannels": List[int]},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef",
    {
        "OutputChannels": List[
            ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef
        ]
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsAudioSelectorsRemixSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsAudioSelectorsRemixSettingsTypeDef",
    {
        "ChannelMapping": ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef,
        "ChannelsIn": int,
        "ChannelsOut": int,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsAudioSelectorsRemixSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsAudioSelectorsRemixSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsAudioSelectorsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsAudioSelectorsTypeDef",
    {
        "CustomLanguageCode": str,
        "DefaultSelection": Literal["DEFAULT", "NOT_DEFAULT"],
        "ExternalAudioFileInput": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "Offset": int,
        "Pids": List[int],
        "ProgramSelection": int,
        "RemixSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsAudioSelectorsRemixSettingsTypeDef,
        "SelectorType": Literal["PID", "TRACK", "LANGUAGE_CODE"],
        "Tracks": List[int],
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsAudioSelectorsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsAudioSelectorsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef",
    {
        "Convert608To708": Literal["UPCONVERT", "DISABLED"],
        "SourceAncillaryChannelNumber": int,
        "TerminateCaptions": Literal["END_OF_INPUT", "DISABLED"],
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef",
    {"Pid": int},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef",
    {
        "Convert608To708": Literal["UPCONVERT", "DISABLED"],
        "Source608ChannelNumber": int,
        "Source608TrackNumber": int,
        "TerminateCaptions": Literal["END_OF_INPUT", "DISABLED"],
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef",
    {"Convert608To708": Literal["UPCONVERT", "DISABLED"], "SourceFile": str, "TimeDelta": int},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef",
    {"PageNumber": str},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef",
    {"TrackNumber": int},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsTypeDef",
    {
        "AncillarySourceSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef,
        "DvbSubSourceSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef,
        "EmbeddedSourceSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef,
        "FileSourceSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef,
        "SourceType": Literal[
            "ANCILLARY",
            "DVB_SUB",
            "EMBEDDED",
            "SCTE20",
            "SCC",
            "TTML",
            "STL",
            "SRT",
            "SMI",
            "TELETEXT",
            "NULL_SOURCE",
            "IMSC",
        ],
        "TeletextSourceSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef,
        "TrackSourceSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsTypeDef",
    {
        "CustomLanguageCode": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "SourceSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsSourceSettingsTypeDef,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCropTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCropTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCropTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCropTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsImageInserterInsertableImagesTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsImageInserterInsertableImagesTypeDef",
    {
        "Duration": int,
        "FadeIn": int,
        "FadeOut": int,
        "Height": int,
        "ImageInserterInput": str,
        "ImageX": int,
        "ImageY": int,
        "Layer": int,
        "Opacity": int,
        "StartTime": str,
        "Width": int,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsImageInserterInsertableImagesTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsImageInserterInsertableImagesTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsImageInserterTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsImageInserterTypeDef",
    {
        "InsertableImages": List[
            ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsImageInserterInsertableImagesTypeDef
        ]
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsImageInserterTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsImageInserterTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsInputClippingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsInputClippingsTypeDef",
    {"EndTimecode": str, "StartTimecode": str},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsInputClippingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsInputClippingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsPositionTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsPositionTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsPositionTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsPositionTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsVideoSelectorHdr10MetadataTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsVideoSelectorHdr10MetadataTypeDef",
    {
        "BluePrimaryX": int,
        "BluePrimaryY": int,
        "GreenPrimaryX": int,
        "GreenPrimaryY": int,
        "MaxContentLightLevel": int,
        "MaxFrameAverageLightLevel": int,
        "MaxLuminance": int,
        "MinLuminance": int,
        "RedPrimaryX": int,
        "RedPrimaryY": int,
        "WhitePointX": int,
        "WhitePointY": int,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsVideoSelectorHdr10MetadataTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsVideoSelectorHdr10MetadataTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsVideoSelectorTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsVideoSelectorTypeDef",
    {
        "AlphaBehavior": Literal["DISCARD", "REMAP_TO_LUMA"],
        "ColorSpace": Literal["FOLLOW", "REC_601", "REC_709", "HDR10", "HLG_2020"],
        "ColorSpaceUsage": Literal["FORCE", "FALLBACK"],
        "Hdr10Metadata": ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsVideoSelectorHdr10MetadataTypeDef,
        "Pid": int,
        "ProgramNumber": int,
        "Rotate": Literal["DEGREE_0", "DEGREES_90", "DEGREES_180", "DEGREES_270", "AUTO"],
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsVideoSelectorTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsVideoSelectorTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsTypeDef",
    {
        "AudioSelectorGroups": Dict[
            str,
            ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsAudioSelectorGroupsTypeDef,
        ],
        "AudioSelectors": Dict[
            str, ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsAudioSelectorsTypeDef
        ],
        "CaptionSelectors": Dict[
            str, ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCaptionSelectorsTypeDef
        ],
        "Crop": ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsCropTypeDef,
        "DeblockFilter": Literal["ENABLED", "DISABLED"],
        "DenoiseFilter": Literal["ENABLED", "DISABLED"],
        "FilterEnable": Literal["AUTO", "DISABLE", "FORCE"],
        "FilterStrength": int,
        "ImageInserter": ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsImageInserterTypeDef,
        "InputClippings": List[
            ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsInputClippingsTypeDef
        ],
        "Position": ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsPositionTypeDef,
        "ProgramNumber": int,
        "PsiControl": Literal["IGNORE_PSI", "USE_PSI"],
        "TimecodeSource": Literal["EMBEDDED", "ZEROBASED", "SPECIFIEDSTART"],
        "TimecodeStart": str,
        "VideoSelector": ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsVideoSelectorTypeDef,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsMotionImageInserterFramerateTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsMotionImageInserterFramerateTypeDef",
    {"FramerateDenominator": int, "FramerateNumerator": int},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsMotionImageInserterFramerateTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsMotionImageInserterFramerateTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsMotionImageInserterOffsetTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsMotionImageInserterOffsetTypeDef",
    {"ImageX": int, "ImageY": int},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsMotionImageInserterOffsetTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsMotionImageInserterOffsetTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsMotionImageInserterTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsMotionImageInserterTypeDef",
    {
        "Framerate": ListJobTemplatesPaginateResponseJobTemplatesSettingsMotionImageInserterFramerateTypeDef,
        "Input": str,
        "InsertionMode": Literal["MOV", "PNG"],
        "Offset": ListJobTemplatesPaginateResponseJobTemplatesSettingsMotionImageInserterOffsetTypeDef,
        "Playback": Literal["ONCE", "REPEAT"],
        "StartTime": str,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsMotionImageInserterTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsMotionImageInserterTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsNielsenConfigurationTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsNielsenConfigurationTypeDef",
    {"BreakoutCode": int, "DistributorId": str},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsNielsenConfigurationTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsNielsenConfigurationTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {
        "CertificateArn": str,
        "DashSignaledSystemIds": List[str],
        "HlsSignaledSystemIds": List[str],
        "ResourceId": str,
        "Url": str,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef",
    {"KeyFormat": str, "KeyFormatVersions": str, "StaticKeyValue": str, "Url": str},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef",
    {
        "ConstantInitializationVector": str,
        "EncryptionMethod": Literal["SAMPLE_AES", "AES_CTR"],
        "InitializationVectorInManifest": Literal["INCLUDE", "EXCLUDE"],
        "SpekeKeyProvider": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef,
        "StaticKeyProvider": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef,
        "Type": Literal["SPEKE", "STATIC_KEY"],
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef",
    {
        "AdditionalManifests": List[
            ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef
        ],
        "BaseUrl": str,
        "ClientCache": Literal["DISABLED", "ENABLED"],
        "CodecSpecification": Literal["RFC_6381", "RFC_4281"],
        "Destination": str,
        "DestinationSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef,
        "Encryption": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef,
        "FragmentLength": int,
        "ManifestCompression": Literal["GZIP", "NONE"],
        "ManifestDurationFormat": Literal["FLOATING_POINT", "INTEGER"],
        "MinBufferTime": int,
        "MinFinalSegmentLength": float,
        "MpdProfile": Literal["MAIN_PROFILE", "ON_DEMAND_PROFILE"],
        "SegmentControl": Literal["SINGLE_FILE", "SEGMENTED_FILES"],
        "SegmentLength": int,
        "StreamInfResolution": Literal["INCLUDE", "EXCLUDE"],
        "WriteDashManifest": Literal["DISABLED", "ENABLED"],
        "WriteHlsManifest": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {"CertificateArn": str, "ResourceId": str, "SystemIds": List[str], "Url": str},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef",
    {
        "PlaybackDeviceCompatibility": Literal["CENC_V1", "UNENCRYPTED_SEI"],
        "SpekeKeyProvider": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef",
    {
        "AdditionalManifests": List[
            ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef
        ],
        "BaseUrl": str,
        "Destination": str,
        "DestinationSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef,
        "Encryption": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef,
        "FragmentLength": int,
        "HbbtvCompliance": Literal["HBBTV_1_5", "NONE"],
        "MinBufferTime": int,
        "MpdProfile": Literal["MAIN_PROFILE", "ON_DEMAND_PROFILE"],
        "SegmentControl": Literal["SINGLE_FILE", "SEGMENTED_FILES"],
        "SegmentLength": int,
        "WriteSegmentTimelineInRepresentation": Literal["ENABLED", "DISABLED"],
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef",
    {
        "Destination": str,
        "DestinationSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef",
    {
        "CaptionChannel": int,
        "CustomLanguageCode": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageDescription": str,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {"CertificateArn": str, "ResourceId": str, "SystemIds": List[str], "Url": str},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef",
    {"KeyFormat": str, "KeyFormatVersions": str, "StaticKeyValue": str, "Url": str},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef",
    {
        "ConstantInitializationVector": str,
        "EncryptionMethod": Literal["AES128", "SAMPLE_AES"],
        "InitializationVectorInManifest": Literal["INCLUDE", "EXCLUDE"],
        "OfflineEncrypted": Literal["ENABLED", "DISABLED"],
        "SpekeKeyProvider": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef,
        "StaticKeyProvider": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef,
        "Type": Literal["SPEKE", "STATIC_KEY"],
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef",
    {
        "AdMarkers": List[Literal["ELEMENTAL", "ELEMENTAL_SCTE35"]],
        "AdditionalManifests": List[
            ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef
        ],
        "BaseUrl": str,
        "CaptionLanguageMappings": List[
            ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef
        ],
        "CaptionLanguageSetting": Literal["INSERT", "OMIT", "NONE"],
        "ClientCache": Literal["DISABLED", "ENABLED"],
        "CodecSpecification": Literal["RFC_6381", "RFC_4281"],
        "Destination": str,
        "DestinationSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef,
        "DirectoryStructure": Literal["SINGLE_DIRECTORY", "SUBDIRECTORY_PER_STREAM"],
        "Encryption": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef,
        "ManifestCompression": Literal["GZIP", "NONE"],
        "ManifestDurationFormat": Literal["FLOATING_POINT", "INTEGER"],
        "MinFinalSegmentLength": float,
        "MinSegmentLength": int,
        "OutputSelection": Literal["MANIFESTS_AND_SEGMENTS", "SEGMENTS_ONLY"],
        "ProgramDateTime": Literal["INCLUDE", "EXCLUDE"],
        "ProgramDateTimePeriod": int,
        "SegmentControl": Literal["SINGLE_FILE", "SEGMENTED_FILES"],
        "SegmentLength": int,
        "SegmentsPerSubdirectory": int,
        "StreamInfResolution": Literal["INCLUDE", "EXCLUDE"],
        "TimedMetadataId3Frame": Literal["NONE", "PRIV", "TDRL"],
        "TimedMetadataId3Period": int,
        "TimestampDeltaMilliseconds": int,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {"CertificateArn": str, "ResourceId": str, "SystemIds": List[str], "Url": str},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef",
    {
        "SpekeKeyProvider": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef",
    {
        "AdditionalManifests": List[
            ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef
        ],
        "AudioDeduplication": Literal["COMBINE_DUPLICATE_STREAMS", "NONE"],
        "Destination": str,
        "DestinationSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef,
        "Encryption": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef,
        "FragmentLength": int,
        "ManifestEncoding": Literal["UTF8", "UTF16"],
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsTypeDef",
    {
        "CmafGroupSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef,
        "DashIsoGroupSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef,
        "FileGroupSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef,
        "HlsGroupSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef,
        "MsSmoothGroupSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef,
        "Type": Literal[
            "HLS_GROUP_SETTINGS",
            "DASH_ISO_GROUP_SETTINGS",
            "FILE_GROUP_SETTINGS",
            "MS_SMOOTH_GROUP_SETTINGS",
            "CMAF_GROUP_SETTINGS",
        ],
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef",
    {
        "Algorithm": Literal["ITU_BS_1770_1", "ITU_BS_1770_2", "ITU_BS_1770_3", "ITU_BS_1770_4"],
        "AlgorithmControl": Literal["CORRECT_AUDIO", "MEASURE_ONLY"],
        "CorrectionGateLevel": int,
        "LoudnessLogging": Literal["LOG", "DONT_LOG"],
        "PeakCalculation": Literal["TRUE_PEAK", "NONE"],
        "TargetLkfs": float,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef",
    {
        "AudioDescriptionBroadcasterMix": Literal["BROADCASTER_MIXED_AD", "NORMAL"],
        "Bitrate": int,
        "CodecProfile": Literal["LC", "HEV1", "HEV2"],
        "CodingMode": Literal[
            "AD_RECEIVER_MIX",
            "CODING_MODE_1_0",
            "CODING_MODE_1_1",
            "CODING_MODE_2_0",
            "CODING_MODE_5_1",
        ],
        "RateControlMode": Literal["CBR", "VBR"],
        "RawFormat": Literal["LATM_LOAS", "NONE"],
        "SampleRate": int,
        "Specification": Literal["MPEG2", "MPEG4"],
        "VbrQuality": Literal["LOW", "MEDIUM_LOW", "MEDIUM_HIGH", "HIGH"],
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef",
    {
        "Bitrate": int,
        "BitstreamMode": Literal[
            "COMPLETE_MAIN",
            "COMMENTARY",
            "DIALOGUE",
            "EMERGENCY",
            "HEARING_IMPAIRED",
            "MUSIC_AND_EFFECTS",
            "VISUALLY_IMPAIRED",
            "VOICE_OVER",
        ],
        "CodingMode": Literal[
            "CODING_MODE_1_0", "CODING_MODE_1_1", "CODING_MODE_2_0", "CODING_MODE_3_2_LFE"
        ],
        "Dialnorm": int,
        "DynamicRangeCompressionProfile": Literal["FILM_STANDARD", "NONE"],
        "LfeFilter": Literal["ENABLED", "DISABLED"],
        "MetadataControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "SampleRate": int,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef",
    {"BitDepth": int, "Channels": int, "SampleRate": int},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef",
    {
        "Bitrate": int,
        "BitstreamMode": str,
        "CodingMode": str,
        "DialogueIntelligence": Literal["ENABLED", "DISABLED"],
        "DynamicRangeCompressionLine": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "DynamicRangeCompressionRf": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "LoRoCenterMixLevel": float,
        "LoRoSurroundMixLevel": float,
        "LtRtCenterMixLevel": float,
        "LtRtSurroundMixLevel": float,
        "MeteringMode": Literal[
            "LEQ_A", "ITU_BS_1770_1", "ITU_BS_1770_2", "ITU_BS_1770_3", "ITU_BS_1770_4"
        ],
        "SampleRate": int,
        "SpeechThreshold": int,
        "StereoDownmix": Literal["NOT_INDICATED", "STEREO", "SURROUND", "DPL2"],
        "SurroundExMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef",
    {
        "AttenuationControl": Literal["ATTENUATE_3_DB", "NONE"],
        "Bitrate": int,
        "BitstreamMode": Literal[
            "COMPLETE_MAIN", "COMMENTARY", "EMERGENCY", "HEARING_IMPAIRED", "VISUALLY_IMPAIRED"
        ],
        "CodingMode": Literal["CODING_MODE_1_0", "CODING_MODE_2_0", "CODING_MODE_3_2"],
        "DcFilter": Literal["ENABLED", "DISABLED"],
        "Dialnorm": int,
        "DynamicRangeCompressionLine": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "DynamicRangeCompressionRf": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "LfeControl": Literal["LFE", "NO_LFE"],
        "LfeFilter": Literal["ENABLED", "DISABLED"],
        "LoRoCenterMixLevel": float,
        "LoRoSurroundMixLevel": float,
        "LtRtCenterMixLevel": float,
        "LtRtSurroundMixLevel": float,
        "MetadataControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "PassthroughControl": Literal["WHEN_POSSIBLE", "NO_PASSTHROUGH"],
        "PhaseControl": Literal["SHIFT_90_DEGREES", "NO_SHIFT"],
        "SampleRate": int,
        "StereoDownmix": Literal["NOT_INDICATED", "LO_RO", "LT_RT", "DPL2"],
        "SurroundExMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
        "SurroundMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef",
    {"Bitrate": int, "Channels": int, "SampleRate": int},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef",
    {"BitDepth": int, "Channels": int, "Format": Literal["RIFF", "RF64"], "SampleRate": int},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef",
    {
        "AacSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef,
        "Ac3Settings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef,
        "AiffSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef,
        "Codec": Literal["AAC", "MP2", "WAV", "AIFF", "AC3", "EAC3", "EAC3_ATMOS", "PASSTHROUGH"],
        "Eac3AtmosSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef,
        "Eac3Settings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef,
        "Mp2Settings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef,
        "WavSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef",
    {"InputChannels": List[int]},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef",
    {
        "OutputChannels": List[
            ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef
        ]
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef",
    {
        "ChannelMapping": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef,
        "ChannelsIn": int,
        "ChannelsOut": int,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsTypeDef",
    {
        "AudioNormalizationSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef,
        "AudioSourceName": str,
        "AudioType": int,
        "AudioTypeControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "CodecSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef,
        "CustomLanguageCode": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageCodeControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "RemixSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef,
        "StreamName": str,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef",
    {
        "Alignment": Literal["CENTERED", "LEFT"],
        "BackgroundColor": Literal["NONE", "BLACK", "WHITE"],
        "BackgroundOpacity": int,
        "FontColor": Literal["WHITE", "BLACK", "YELLOW", "RED", "GREEN", "BLUE"],
        "FontOpacity": int,
        "FontResolution": int,
        "FontScript": Literal["AUTOMATIC", "HANS", "HANT"],
        "FontSize": int,
        "OutlineColor": Literal["BLACK", "WHITE", "YELLOW", "RED", "GREEN", "BLUE"],
        "OutlineSize": int,
        "ShadowColor": Literal["NONE", "BLACK", "WHITE"],
        "ShadowOpacity": int,
        "ShadowXOffset": int,
        "ShadowYOffset": int,
        "TeletextSpacing": Literal["FIXED_GRID", "PROPORTIONAL"],
        "XPosition": int,
        "YPosition": int,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef",
    {
        "Alignment": Literal["CENTERED", "LEFT"],
        "BackgroundColor": Literal["NONE", "BLACK", "WHITE"],
        "BackgroundOpacity": int,
        "FontColor": Literal["WHITE", "BLACK", "YELLOW", "RED", "GREEN", "BLUE"],
        "FontOpacity": int,
        "FontResolution": int,
        "FontScript": Literal["AUTOMATIC", "HANS", "HANT"],
        "FontSize": int,
        "OutlineColor": Literal["BLACK", "WHITE", "YELLOW", "RED", "GREEN", "BLUE"],
        "OutlineSize": int,
        "ShadowColor": Literal["NONE", "BLACK", "WHITE"],
        "ShadowOpacity": int,
        "ShadowXOffset": int,
        "ShadowYOffset": int,
        "SubtitlingType": Literal["HEARING_IMPAIRED", "STANDARD"],
        "TeletextSpacing": Literal["FIXED_GRID", "PROPORTIONAL"],
        "XPosition": int,
        "YPosition": int,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef",
    {"Destination608ChannelNumber": int, "Destination708ServiceNumber": int},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef",
    {"StylePassthrough": Literal["ENABLED", "DISABLED"]},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef",
    {
        "Framerate": Literal[
            "FRAMERATE_23_97",
            "FRAMERATE_24",
            "FRAMERATE_25",
            "FRAMERATE_29_97_DROPFRAME",
            "FRAMERATE_29_97_NON_DROPFRAME",
        ]
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef",
    {
        "PageNumber": str,
        "PageTypes": List[
            Literal[
                "PAGE_TYPE_INITIAL",
                "PAGE_TYPE_SUBTITLE",
                "PAGE_TYPE_ADDL_INFO",
                "PAGE_TYPE_PROGRAM_SCHEDULE",
                "PAGE_TYPE_HEARING_IMPAIRED_SUBTITLE",
            ]
        ],
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef",
    {"StylePassthrough": Literal["ENABLED", "DISABLED"]},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef",
    {
        "BurninDestinationSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef,
        "DestinationType": Literal[
            "BURN_IN",
            "DVB_SUB",
            "EMBEDDED",
            "EMBEDDED_PLUS_SCTE20",
            "IMSC",
            "SCTE20_PLUS_EMBEDDED",
            "SCC",
            "SRT",
            "SMI",
            "TELETEXT",
            "TTML",
            "WEBVTT",
        ],
        "DvbSubDestinationSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef,
        "EmbeddedDestinationSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef,
        "ImscDestinationSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef,
        "SccDestinationSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef,
        "TeletextDestinationSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef,
        "TtmlDestinationSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef",
    {
        "CaptionSelectorName": str,
        "CustomLanguageCode": str,
        "DestinationSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageDescription": str,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef",
    {"MoovPlacement": Literal["PROGRESSIVE_DOWNLOAD", "NORMAL"]},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef",
    {"NetworkId": int, "NetworkName": str, "NitInterval": int},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef",
    {
        "OutputSdt": Literal["SDT_FOLLOW", "SDT_FOLLOW_IF_PRESENT", "SDT_MANUAL", "SDT_NONE"],
        "SdtInterval": int,
        "ServiceName": str,
        "ServiceProviderName": str,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef",
    {"TdtInterval": int},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef",
    {"Scte35EsamPid": int},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef",
    {
        "AudioBufferModel": Literal["DVB", "ATSC"],
        "AudioFramesPerPes": int,
        "AudioPids": List[int],
        "Bitrate": int,
        "BufferModel": Literal["MULTIPLEX", "NONE"],
        "DvbNitSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef,
        "DvbSdtSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef,
        "DvbSubPids": List[int],
        "DvbTdtSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef,
        "DvbTeletextPid": int,
        "EbpAudioInterval": Literal["VIDEO_AND_FIXED_INTERVALS", "VIDEO_INTERVAL"],
        "EbpPlacement": Literal["VIDEO_AND_AUDIO_PIDS", "VIDEO_PID"],
        "EsRateInPes": Literal["INCLUDE", "EXCLUDE"],
        "ForceTsVideoEbpOrder": Literal["FORCE", "DEFAULT"],
        "FragmentTime": float,
        "MaxPcrInterval": int,
        "MinEbpInterval": int,
        "NielsenId3": Literal["INSERT", "NONE"],
        "NullPacketBitrate": float,
        "PatInterval": int,
        "PcrControl": Literal["PCR_EVERY_PES_PACKET", "CONFIGURED_PCR_PERIOD"],
        "PcrPid": int,
        "PmtInterval": int,
        "PmtPid": int,
        "PrivateMetadataPid": int,
        "ProgramNumber": int,
        "RateMode": Literal["VBR", "CBR"],
        "Scte35Esam": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef,
        "Scte35Pid": int,
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
        "SegmentationMarkers": Literal[
            "NONE", "RAI_SEGSTART", "RAI_ADAPT", "PSI_SEGSTART", "EBP", "EBP_LEGACY"
        ],
        "SegmentationStyle": Literal["MAINTAIN_CADENCE", "RESET_CADENCE"],
        "SegmentationTime": float,
        "TimedMetadataPid": int,
        "TransportStreamId": int,
        "VideoPid": int,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef",
    {
        "AudioFramesPerPes": int,
        "AudioPids": List[int],
        "NielsenId3": Literal["INSERT", "NONE"],
        "PatInterval": int,
        "PcrControl": Literal["PCR_EVERY_PES_PACKET", "CONFIGURED_PCR_PERIOD"],
        "PcrPid": int,
        "PmtInterval": int,
        "PmtPid": int,
        "PrivateMetadataPid": int,
        "ProgramNumber": int,
        "Scte35Pid": int,
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
        "TimedMetadata": Literal["PASSTHROUGH", "NONE"],
        "TimedMetadataPid": int,
        "TransportStreamId": int,
        "VideoPid": int,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef",
    {
        "ClapAtom": Literal["INCLUDE", "EXCLUDE"],
        "CslgAtom": Literal["INCLUDE", "EXCLUDE"],
        "Mpeg2FourCCControl": Literal["XDCAM", "MPEG"],
        "PaddingControl": Literal["OMNEON", "NONE"],
        "Reference": Literal["SELF_CONTAINED", "EXTERNAL"],
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef",
    {
        "CslgAtom": Literal["INCLUDE", "EXCLUDE"],
        "FreeSpaceBox": Literal["INCLUDE", "EXCLUDE"],
        "MoovPlacement": Literal["PROGRESSIVE_DOWNLOAD", "NORMAL"],
        "Mp4MajorBrand": str,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef",
    {
        "CaptionContainerType": Literal["RAW", "FRAGMENTED_MP4"],
        "Scte35Esam": Literal["INSERT", "NONE"],
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsTypeDef",
    {
        "Container": Literal[
            "F4V", "ISMV", "M2TS", "M3U8", "CMFC", "MOV", "MP4", "MPD", "MXF", "RAW"
        ],
        "F4vSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef,
        "M2tsSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef,
        "M3u8Settings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef,
        "MovSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef,
        "Mp4Settings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef,
        "MpdSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef",
    {
        "AudioGroupId": str,
        "AudioOnlyContainer": Literal["AUTOMATIC", "M2TS"],
        "AudioRenditionSets": str,
        "AudioTrackType": Literal[
            "ALTERNATE_AUDIO_AUTO_SELECT_DEFAULT",
            "ALTERNATE_AUDIO_AUTO_SELECT",
            "ALTERNATE_AUDIO_NOT_AUTO_SELECT",
            "AUDIO_ONLY_VARIANT_STREAM",
        ],
        "IFrameOnlyManifest": Literal["INCLUDE", "EXCLUDE"],
        "SegmentModifier": str,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsOutputSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsOutputSettingsTypeDef",
    {
        "HlsSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsOutputSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsOutputSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef",
    {"FramerateDenominator": int, "FramerateNumerator": int, "MaxCaptures": int, "Quality": int},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef",
    {"MaxAverageBitrate": int, "QvbrQualityLevel": int},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH", "HIGHER", "MAX"],
        "Bitrate": int,
        "CodecLevel": Literal[
            "AUTO",
            "LEVEL_1",
            "LEVEL_1_1",
            "LEVEL_1_2",
            "LEVEL_1_3",
            "LEVEL_2",
            "LEVEL_2_1",
            "LEVEL_2_2",
            "LEVEL_3",
            "LEVEL_3_1",
            "LEVEL_3_2",
            "LEVEL_4",
            "LEVEL_4_1",
            "LEVEL_4_2",
            "LEVEL_5",
            "LEVEL_5_1",
            "LEVEL_5_2",
        ],
        "CodecProfile": Literal[
            "BASELINE", "HIGH", "HIGH_10BIT", "HIGH_422", "HIGH_422_10BIT", "MAIN"
        ],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "EntropyEncoding": Literal["CABAC", "CAVLC"],
        "FieldEncoding": Literal["PAFF", "FORCE_FIELD"],
        "FlickerAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopBReference": Literal["DISABLED", "ENABLED"],
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "NumberReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "SINGLE_PASS_HQ", "MULTI_PASS_HQ"],
        "QvbrSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef,
        "RateControlMode": Literal["VBR", "CBR", "QVBR"],
        "RepeatPps": Literal["DISABLED", "ENABLED"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED", "TRANSITION_DETECTION"],
        "Slices": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Softness": int,
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Syntax": Literal["DEFAULT", "RP2027"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "UnregisteredSeiTimecode": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef",
    {"MaxAverageBitrate": int, "QvbrQualityLevel": int},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH", "HIGHER", "MAX"],
        "AlternateTransferFunctionSei": Literal["DISABLED", "ENABLED"],
        "Bitrate": int,
        "CodecLevel": Literal[
            "AUTO",
            "LEVEL_1",
            "LEVEL_2",
            "LEVEL_2_1",
            "LEVEL_3",
            "LEVEL_3_1",
            "LEVEL_4",
            "LEVEL_4_1",
            "LEVEL_5",
            "LEVEL_5_1",
            "LEVEL_5_2",
            "LEVEL_6",
            "LEVEL_6_1",
            "LEVEL_6_2",
        ],
        "CodecProfile": Literal[
            "MAIN_MAIN",
            "MAIN_HIGH",
            "MAIN10_MAIN",
            "MAIN10_HIGH",
            "MAIN_422_8BIT_MAIN",
            "MAIN_422_8BIT_HIGH",
            "MAIN_422_10BIT_MAIN",
            "MAIN_422_10BIT_HIGH",
        ],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "FlickerAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopBReference": Literal["DISABLED", "ENABLED"],
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "NumberReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "SINGLE_PASS_HQ", "MULTI_PASS_HQ"],
        "QvbrSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef,
        "RateControlMode": Literal["VBR", "CBR", "QVBR"],
        "SampleAdaptiveOffsetFilterMode": Literal["DEFAULT", "ADAPTIVE", "OFF"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED", "TRANSITION_DETECTION"],
        "Slices": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "TemporalIds": Literal["DISABLED", "ENABLED"],
        "Tiles": Literal["DISABLED", "ENABLED"],
        "UnregisteredSeiTimecode": Literal["DISABLED", "ENABLED"],
        "WriteMp4PackagingType": Literal["HVC1", "HEV1"],
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH"],
        "Bitrate": int,
        "CodecLevel": Literal["AUTO", "LOW", "MAIN", "HIGH1440", "HIGH"],
        "CodecProfile": Literal["MAIN", "PROFILE_422"],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "IntraDcPrecision": Literal[
            "AUTO",
            "INTRA_DC_PRECISION_8",
            "INTRA_DC_PRECISION_9",
            "INTRA_DC_PRECISION_10",
            "INTRA_DC_PRECISION_11",
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "MULTI_PASS"],
        "RateControlMode": Literal["VBR", "CBR"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED"],
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Softness": int,
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Syntax": Literal["DEFAULT", "D_10"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef",
    {
        "CodecProfile": Literal[
            "APPLE_PRORES_422",
            "APPLE_PRORES_422_HQ",
            "APPLE_PRORES_422_LT",
            "APPLE_PRORES_422_PROXY",
        ],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Telecine": Literal["NONE", "HARD"],
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef",
    {
        "Codec": Literal["FRAME_CAPTURE", "H_264", "H_265", "MPEG2", "PRORES"],
        "FrameCaptureSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef,
        "H264Settings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef,
        "H265Settings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef,
        "Mpeg2Settings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef,
        "ProresSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef",
    {
        "BluePrimaryX": int,
        "BluePrimaryY": int,
        "GreenPrimaryX": int,
        "GreenPrimaryY": int,
        "MaxContentLightLevel": int,
        "MaxFrameAverageLightLevel": int,
        "MaxLuminance": int,
        "MinLuminance": int,
        "RedPrimaryX": int,
        "RedPrimaryY": int,
        "WhitePointX": int,
        "WhitePointY": int,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef",
    {
        "Brightness": int,
        "ColorSpaceConversion": Literal[
            "NONE", "FORCE_601", "FORCE_709", "FORCE_HDR10", "FORCE_HLG_2020"
        ],
        "Contrast": int,
        "Hdr10Metadata": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef,
        "Hue": int,
        "Saturation": int,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef",
    {
        "Algorithm": Literal["INTERPOLATE", "INTERPOLATE_TICKER", "BLEND", "BLEND_TICKER"],
        "Control": Literal["FORCE_ALL_FRAMES", "NORMAL"],
        "Mode": Literal["DEINTERLACE", "INVERSE_TELECINE", "ADAPTIVE"],
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef",
    {"MaxCll": int, "MaxFall": int},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef",
    {
        "L6Metadata": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef,
        "L6Mode": Literal["PASSTHROUGH", "RECALCULATE", "SPECIFY"],
        "Profile": str,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef",
    {
        "Duration": int,
        "FadeIn": int,
        "FadeOut": int,
        "Height": int,
        "ImageInserterInput": str,
        "ImageX": int,
        "ImageY": int,
        "Layer": int,
        "Opacity": int,
        "StartTime": str,
        "Width": int,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef",
    {
        "InsertableImages": List[
            ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef
        ]
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef",
    {"Strength": int},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef",
    {"PostFilterSharpenStrength": int, "Speed": int, "Strength": int},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef",
    {"AggressiveMode": int, "Speed": int, "Strength": int},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef",
    {
        "Filter": Literal[
            "BILATERAL", "MEAN", "GAUSSIAN", "LANCZOS", "SHARPEN", "CONSERVE", "SPATIAL", "TEMPORAL"
        ],
        "FilterSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef,
        "SpatialFilterSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef,
        "TemporalFilterSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef",
    {
        "FontSize": int,
        "Position": Literal[
            "TOP_CENTER",
            "TOP_LEFT",
            "TOP_RIGHT",
            "MIDDLE_LEFT",
            "MIDDLE_CENTER",
            "MIDDLE_RIGHT",
            "BOTTOM_LEFT",
            "BOTTOM_CENTER",
            "BOTTOM_RIGHT",
        ],
        "Prefix": str,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef",
    {
        "ColorCorrector": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef,
        "Deinterlacer": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef,
        "DolbyVision": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef,
        "ImageInserter": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef,
        "NoiseReducer": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef,
        "TimecodeBurnin": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionTypeDef",
    {
        "AfdSignaling": Literal["NONE", "AUTO", "FIXED"],
        "AntiAlias": Literal["DISABLED", "ENABLED"],
        "CodecSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef,
        "ColorMetadata": Literal["IGNORE", "INSERT"],
        "Crop": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef,
        "DropFrameTimecode": Literal["DISABLED", "ENABLED"],
        "FixedAfd": int,
        "Height": int,
        "Position": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef,
        "RespondToAfd": Literal["NONE", "RESPOND", "PASSTHROUGH"],
        "ScalingBehavior": Literal["DEFAULT", "STRETCH_TO_OUTPUT"],
        "Sharpness": int,
        "TimecodeInsertion": Literal["DISABLED", "PIC_TIMING_SEI"],
        "VideoPreprocessors": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef,
        "Width": int,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsTypeDef",
    {
        "AudioDescriptions": List[
            ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsAudioDescriptionsTypeDef
        ],
        "CaptionDescriptions": List[
            ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef
        ],
        "ContainerSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsContainerSettingsTypeDef,
        "Extension": str,
        "NameModifier": str,
        "OutputSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsOutputSettingsTypeDef,
        "Preset": str,
        "VideoDescription": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsVideoDescriptionTypeDef,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsTypeDef",
    {
        "CustomName": str,
        "Name": str,
        "OutputGroupSettings": ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputGroupSettingsTypeDef,
        "Outputs": List[
            ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsOutputsTypeDef
        ],
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsTimecodeConfigTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsTimecodeConfigTypeDef",
    {
        "Anchor": str,
        "Source": Literal["EMBEDDED", "ZEROBASED", "SPECIFIEDSTART"],
        "Start": str,
        "TimestampOffset": str,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsTimecodeConfigTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsTimecodeConfigTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsTimedMetadataInsertionId3InsertionsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsTimedMetadataInsertionId3InsertionsTypeDef",
    {"Id3": str, "Timecode": str},
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsTimedMetadataInsertionId3InsertionsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsTimedMetadataInsertionId3InsertionsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsTimedMetadataInsertionTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsTimedMetadataInsertionTypeDef",
    {
        "Id3Insertions": List[
            ListJobTemplatesPaginateResponseJobTemplatesSettingsTimedMetadataInsertionId3InsertionsTypeDef
        ]
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsTimedMetadataInsertionTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsTimedMetadataInsertionTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesSettingsTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesSettingsTypeDef",
    {
        "AdAvailOffset": int,
        "AvailBlanking": ListJobTemplatesPaginateResponseJobTemplatesSettingsAvailBlankingTypeDef,
        "Esam": ListJobTemplatesPaginateResponseJobTemplatesSettingsEsamTypeDef,
        "Inputs": List[ListJobTemplatesPaginateResponseJobTemplatesSettingsInputsTypeDef],
        "MotionImageInserter": ListJobTemplatesPaginateResponseJobTemplatesSettingsMotionImageInserterTypeDef,
        "NielsenConfiguration": ListJobTemplatesPaginateResponseJobTemplatesSettingsNielsenConfigurationTypeDef,
        "OutputGroups": List[
            ListJobTemplatesPaginateResponseJobTemplatesSettingsOutputGroupsTypeDef
        ],
        "TimecodeConfig": ListJobTemplatesPaginateResponseJobTemplatesSettingsTimecodeConfigTypeDef,
        "TimedMetadataInsertion": ListJobTemplatesPaginateResponseJobTemplatesSettingsTimedMetadataInsertionTypeDef,
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesSettingsTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesSettingsTypeDef
):
    pass


_ListJobTemplatesPaginateResponseJobTemplatesTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseJobTemplatesTypeDef",
    {
        "AccelerationSettings": ListJobTemplatesPaginateResponseJobTemplatesAccelerationSettingsTypeDef,
        "Arn": str,
        "Category": str,
        "CreatedAt": datetime,
        "Description": str,
        "LastUpdated": datetime,
        "Name": str,
        "Priority": int,
        "Queue": str,
        "Settings": ListJobTemplatesPaginateResponseJobTemplatesSettingsTypeDef,
        "StatusUpdateInterval": Literal[
            "SECONDS_10",
            "SECONDS_12",
            "SECONDS_15",
            "SECONDS_20",
            "SECONDS_30",
            "SECONDS_60",
            "SECONDS_120",
            "SECONDS_180",
            "SECONDS_240",
            "SECONDS_300",
            "SECONDS_360",
            "SECONDS_420",
            "SECONDS_480",
            "SECONDS_540",
            "SECONDS_600",
        ],
        "Type": Literal["SYSTEM", "CUSTOM"],
    },
    total=False,
)


class ListJobTemplatesPaginateResponseJobTemplatesTypeDef(
    _ListJobTemplatesPaginateResponseJobTemplatesTypeDef
):
    """
    - *(dict) --*A job template is a pre-made set of encoding instructions that you can use to
    quickly create a job.

      - **AccelerationSettings** *(dict) --*Accelerated transcoding can significantly speed up jobs
      with long, visually complex content.

        - **Mode** *(string) --*Specify the conditions when the service will run your job with
        accelerated transcoding.
    """


_ListJobTemplatesPaginateResponseTypeDef = TypedDict(
    "_ListJobTemplatesPaginateResponseTypeDef",
    {"JobTemplates": List[ListJobTemplatesPaginateResponseJobTemplatesTypeDef]},
    total=False,
)


class ListJobTemplatesPaginateResponseTypeDef(_ListJobTemplatesPaginateResponseTypeDef):
    """
    - *(dict) --*

      - **JobTemplates** *(list) --*List of Job templates.

        - *(dict) --*A job template is a pre-made set of encoding instructions that you can use to
        quickly create a job.

          - **AccelerationSettings** *(dict) --*Accelerated transcoding can significantly speed up
          jobs with long, visually complex content.

            - **Mode** *(string) --*Specify the conditions when the service will run your job with
            accelerated transcoding.
    """


_ListJobsPaginatePaginationConfigTypeDef = TypedDict(
    "_ListJobsPaginatePaginationConfigTypeDef",
    {"MaxItems": int, "PageSize": int, "StartingToken": str},
    total=False,
)


class ListJobsPaginatePaginationConfigTypeDef(_ListJobsPaginatePaginationConfigTypeDef):
    """
    A dictionary that provides parameters to control pagination.
    - **MaxItems** *(integer) --*

      The total number of items to return. If the total number of items available is more than the
      value specified in max-items then a ``NextToken`` will be provided in the output that you can
      use to resume pagination.
    """


_ListJobsPaginateResponseJobsAccelerationSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsAccelerationSettingsTypeDef",
    {"Mode": Literal["DISABLED", "ENABLED", "PREFERRED"]},
    total=False,
)


class ListJobsPaginateResponseJobsAccelerationSettingsTypeDef(
    _ListJobsPaginateResponseJobsAccelerationSettingsTypeDef
):
    """
    - **AccelerationSettings** *(dict) --*Accelerated transcoding can significantly speed up jobs
    with long, visually complex content.

      - **Mode** *(string) --*Specify the conditions when the service will run your job with
      accelerated transcoding.
    """


_ListJobsPaginateResponseJobsMessagesTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsMessagesTypeDef",
    {"Info": List[str], "Warning": List[str]},
    total=False,
)


class ListJobsPaginateResponseJobsMessagesTypeDef(_ListJobsPaginateResponseJobsMessagesTypeDef):
    pass


_ListJobsPaginateResponseJobsOutputGroupDetailsOutputDetailsVideoDetailsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsOutputGroupDetailsOutputDetailsVideoDetailsTypeDef",
    {"HeightInPx": int, "WidthInPx": int},
    total=False,
)


class ListJobsPaginateResponseJobsOutputGroupDetailsOutputDetailsVideoDetailsTypeDef(
    _ListJobsPaginateResponseJobsOutputGroupDetailsOutputDetailsVideoDetailsTypeDef
):
    pass


_ListJobsPaginateResponseJobsOutputGroupDetailsOutputDetailsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsOutputGroupDetailsOutputDetailsTypeDef",
    {
        "DurationInMs": int,
        "VideoDetails": ListJobsPaginateResponseJobsOutputGroupDetailsOutputDetailsVideoDetailsTypeDef,
    },
    total=False,
)


class ListJobsPaginateResponseJobsOutputGroupDetailsOutputDetailsTypeDef(
    _ListJobsPaginateResponseJobsOutputGroupDetailsOutputDetailsTypeDef
):
    pass


_ListJobsPaginateResponseJobsOutputGroupDetailsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsOutputGroupDetailsTypeDef",
    {"OutputDetails": List[ListJobsPaginateResponseJobsOutputGroupDetailsOutputDetailsTypeDef]},
    total=False,
)


class ListJobsPaginateResponseJobsOutputGroupDetailsTypeDef(
    _ListJobsPaginateResponseJobsOutputGroupDetailsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsAvailBlankingTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsAvailBlankingTypeDef",
    {"AvailBlankingImage": str},
    total=False,
)


class ListJobsPaginateResponseJobsSettingsAvailBlankingTypeDef(
    _ListJobsPaginateResponseJobsSettingsAvailBlankingTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsEsamManifestConfirmConditionNotificationTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsEsamManifestConfirmConditionNotificationTypeDef",
    {"MccXml": str},
    total=False,
)


class ListJobsPaginateResponseJobsSettingsEsamManifestConfirmConditionNotificationTypeDef(
    _ListJobsPaginateResponseJobsSettingsEsamManifestConfirmConditionNotificationTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsEsamSignalProcessingNotificationTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsEsamSignalProcessingNotificationTypeDef",
    {"SccXml": str},
    total=False,
)


class ListJobsPaginateResponseJobsSettingsEsamSignalProcessingNotificationTypeDef(
    _ListJobsPaginateResponseJobsSettingsEsamSignalProcessingNotificationTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsEsamTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsEsamTypeDef",
    {
        "ManifestConfirmConditionNotification": ListJobsPaginateResponseJobsSettingsEsamManifestConfirmConditionNotificationTypeDef,
        "ResponseSignalPreroll": int,
        "SignalProcessingNotification": ListJobsPaginateResponseJobsSettingsEsamSignalProcessingNotificationTypeDef,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsEsamTypeDef(
    _ListJobsPaginateResponseJobsSettingsEsamTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsInputsAudioSelectorGroupsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsInputsAudioSelectorGroupsTypeDef",
    {"AudioSelectorNames": List[str]},
    total=False,
)


class ListJobsPaginateResponseJobsSettingsInputsAudioSelectorGroupsTypeDef(
    _ListJobsPaginateResponseJobsSettingsInputsAudioSelectorGroupsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef",
    {"InputChannels": List[int]},
    total=False,
)


class ListJobsPaginateResponseJobsSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef(
    _ListJobsPaginateResponseJobsSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef",
    {
        "OutputChannels": List[
            ListJobsPaginateResponseJobsSettingsInputsAudioSelectorsRemixSettingsChannelMappingOutputChannelsTypeDef
        ]
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef(
    _ListJobsPaginateResponseJobsSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsInputsAudioSelectorsRemixSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsInputsAudioSelectorsRemixSettingsTypeDef",
    {
        "ChannelMapping": ListJobsPaginateResponseJobsSettingsInputsAudioSelectorsRemixSettingsChannelMappingTypeDef,
        "ChannelsIn": int,
        "ChannelsOut": int,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsInputsAudioSelectorsRemixSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsInputsAudioSelectorsRemixSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsInputsAudioSelectorsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsInputsAudioSelectorsTypeDef",
    {
        "CustomLanguageCode": str,
        "DefaultSelection": Literal["DEFAULT", "NOT_DEFAULT"],
        "ExternalAudioFileInput": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "Offset": int,
        "Pids": List[int],
        "ProgramSelection": int,
        "RemixSettings": ListJobsPaginateResponseJobsSettingsInputsAudioSelectorsRemixSettingsTypeDef,
        "SelectorType": Literal["PID", "TRACK", "LANGUAGE_CODE"],
        "Tracks": List[int],
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsInputsAudioSelectorsTypeDef(
    _ListJobsPaginateResponseJobsSettingsInputsAudioSelectorsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef",
    {
        "Convert608To708": Literal["UPCONVERT", "DISABLED"],
        "SourceAncillaryChannelNumber": int,
        "TerminateCaptions": Literal["END_OF_INPUT", "DISABLED"],
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef",
    {"Pid": int},
    total=False,
)


class ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef",
    {
        "Convert608To708": Literal["UPCONVERT", "DISABLED"],
        "Source608ChannelNumber": int,
        "Source608TrackNumber": int,
        "TerminateCaptions": Literal["END_OF_INPUT", "DISABLED"],
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef",
    {"Convert608To708": Literal["UPCONVERT", "DISABLED"], "SourceFile": str, "TimeDelta": int},
    total=False,
)


class ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef",
    {"PageNumber": str},
    total=False,
)


class ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef",
    {"TrackNumber": int},
    total=False,
)


class ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsSourceSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsSourceSettingsTypeDef",
    {
        "AncillarySourceSettings": ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsSourceSettingsAncillarySourceSettingsTypeDef,
        "DvbSubSourceSettings": ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsSourceSettingsDvbSubSourceSettingsTypeDef,
        "EmbeddedSourceSettings": ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsSourceSettingsEmbeddedSourceSettingsTypeDef,
        "FileSourceSettings": ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsSourceSettingsFileSourceSettingsTypeDef,
        "SourceType": Literal[
            "ANCILLARY",
            "DVB_SUB",
            "EMBEDDED",
            "SCTE20",
            "SCC",
            "TTML",
            "STL",
            "SRT",
            "SMI",
            "TELETEXT",
            "NULL_SOURCE",
            "IMSC",
        ],
        "TeletextSourceSettings": ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsSourceSettingsTeletextSourceSettingsTypeDef,
        "TrackSourceSettings": ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsSourceSettingsTrackSourceSettingsTypeDef,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsSourceSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsSourceSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsTypeDef",
    {
        "CustomLanguageCode": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "SourceSettings": ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsSourceSettingsTypeDef,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsTypeDef(
    _ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsInputsCropTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsInputsCropTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ListJobsPaginateResponseJobsSettingsInputsCropTypeDef(
    _ListJobsPaginateResponseJobsSettingsInputsCropTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsInputsDecryptionSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsInputsDecryptionSettingsTypeDef",
    {
        "DecryptionMode": Literal["AES_CTR", "AES_CBC", "AES_GCM"],
        "EncryptedDecryptionKey": str,
        "InitializationVector": str,
        "KmsKeyRegion": str,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsInputsDecryptionSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsInputsDecryptionSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsInputsImageInserterInsertableImagesTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsInputsImageInserterInsertableImagesTypeDef",
    {
        "Duration": int,
        "FadeIn": int,
        "FadeOut": int,
        "Height": int,
        "ImageInserterInput": str,
        "ImageX": int,
        "ImageY": int,
        "Layer": int,
        "Opacity": int,
        "StartTime": str,
        "Width": int,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsInputsImageInserterInsertableImagesTypeDef(
    _ListJobsPaginateResponseJobsSettingsInputsImageInserterInsertableImagesTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsInputsImageInserterTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsInputsImageInserterTypeDef",
    {
        "InsertableImages": List[
            ListJobsPaginateResponseJobsSettingsInputsImageInserterInsertableImagesTypeDef
        ]
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsInputsImageInserterTypeDef(
    _ListJobsPaginateResponseJobsSettingsInputsImageInserterTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsInputsInputClippingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsInputsInputClippingsTypeDef",
    {"EndTimecode": str, "StartTimecode": str},
    total=False,
)


class ListJobsPaginateResponseJobsSettingsInputsInputClippingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsInputsInputClippingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsInputsPositionTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsInputsPositionTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ListJobsPaginateResponseJobsSettingsInputsPositionTypeDef(
    _ListJobsPaginateResponseJobsSettingsInputsPositionTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsInputsVideoSelectorHdr10MetadataTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsInputsVideoSelectorHdr10MetadataTypeDef",
    {
        "BluePrimaryX": int,
        "BluePrimaryY": int,
        "GreenPrimaryX": int,
        "GreenPrimaryY": int,
        "MaxContentLightLevel": int,
        "MaxFrameAverageLightLevel": int,
        "MaxLuminance": int,
        "MinLuminance": int,
        "RedPrimaryX": int,
        "RedPrimaryY": int,
        "WhitePointX": int,
        "WhitePointY": int,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsInputsVideoSelectorHdr10MetadataTypeDef(
    _ListJobsPaginateResponseJobsSettingsInputsVideoSelectorHdr10MetadataTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsInputsVideoSelectorTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsInputsVideoSelectorTypeDef",
    {
        "AlphaBehavior": Literal["DISCARD", "REMAP_TO_LUMA"],
        "ColorSpace": Literal["FOLLOW", "REC_601", "REC_709", "HDR10", "HLG_2020"],
        "ColorSpaceUsage": Literal["FORCE", "FALLBACK"],
        "Hdr10Metadata": ListJobsPaginateResponseJobsSettingsInputsVideoSelectorHdr10MetadataTypeDef,
        "Pid": int,
        "ProgramNumber": int,
        "Rotate": Literal["DEGREE_0", "DEGREES_90", "DEGREES_180", "DEGREES_270", "AUTO"],
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsInputsVideoSelectorTypeDef(
    _ListJobsPaginateResponseJobsSettingsInputsVideoSelectorTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsInputsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsInputsTypeDef",
    {
        "AudioSelectorGroups": Dict[
            str, ListJobsPaginateResponseJobsSettingsInputsAudioSelectorGroupsTypeDef
        ],
        "AudioSelectors": Dict[
            str, ListJobsPaginateResponseJobsSettingsInputsAudioSelectorsTypeDef
        ],
        "CaptionSelectors": Dict[
            str, ListJobsPaginateResponseJobsSettingsInputsCaptionSelectorsTypeDef
        ],
        "Crop": ListJobsPaginateResponseJobsSettingsInputsCropTypeDef,
        "DeblockFilter": Literal["ENABLED", "DISABLED"],
        "DecryptionSettings": ListJobsPaginateResponseJobsSettingsInputsDecryptionSettingsTypeDef,
        "DenoiseFilter": Literal["ENABLED", "DISABLED"],
        "FileInput": str,
        "FilterEnable": Literal["AUTO", "DISABLE", "FORCE"],
        "FilterStrength": int,
        "ImageInserter": ListJobsPaginateResponseJobsSettingsInputsImageInserterTypeDef,
        "InputClippings": List[ListJobsPaginateResponseJobsSettingsInputsInputClippingsTypeDef],
        "Position": ListJobsPaginateResponseJobsSettingsInputsPositionTypeDef,
        "ProgramNumber": int,
        "PsiControl": Literal["IGNORE_PSI", "USE_PSI"],
        "SupplementalImps": List[str],
        "TimecodeSource": Literal["EMBEDDED", "ZEROBASED", "SPECIFIEDSTART"],
        "TimecodeStart": str,
        "VideoSelector": ListJobsPaginateResponseJobsSettingsInputsVideoSelectorTypeDef,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsInputsTypeDef(
    _ListJobsPaginateResponseJobsSettingsInputsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsMotionImageInserterFramerateTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsMotionImageInserterFramerateTypeDef",
    {"FramerateDenominator": int, "FramerateNumerator": int},
    total=False,
)


class ListJobsPaginateResponseJobsSettingsMotionImageInserterFramerateTypeDef(
    _ListJobsPaginateResponseJobsSettingsMotionImageInserterFramerateTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsMotionImageInserterOffsetTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsMotionImageInserterOffsetTypeDef",
    {"ImageX": int, "ImageY": int},
    total=False,
)


class ListJobsPaginateResponseJobsSettingsMotionImageInserterOffsetTypeDef(
    _ListJobsPaginateResponseJobsSettingsMotionImageInserterOffsetTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsMotionImageInserterTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsMotionImageInserterTypeDef",
    {
        "Framerate": ListJobsPaginateResponseJobsSettingsMotionImageInserterFramerateTypeDef,
        "Input": str,
        "InsertionMode": Literal["MOV", "PNG"],
        "Offset": ListJobsPaginateResponseJobsSettingsMotionImageInserterOffsetTypeDef,
        "Playback": Literal["ONCE", "REPEAT"],
        "StartTime": str,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsMotionImageInserterTypeDef(
    _ListJobsPaginateResponseJobsSettingsMotionImageInserterTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsNielsenConfigurationTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsNielsenConfigurationTypeDef",
    {"BreakoutCode": int, "DistributorId": str},
    total=False,
)


class ListJobsPaginateResponseJobsSettingsNielsenConfigurationTypeDef(
    _ListJobsPaginateResponseJobsSettingsNielsenConfigurationTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {
        "CertificateArn": str,
        "DashSignaledSystemIds": List[str],
        "HlsSignaledSystemIds": List[str],
        "ResourceId": str,
        "Url": str,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef",
    {"KeyFormat": str, "KeyFormatVersions": str, "StaticKeyValue": str, "Url": str},
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef",
    {
        "ConstantInitializationVector": str,
        "EncryptionMethod": Literal["SAMPLE_AES", "AES_CTR"],
        "InitializationVectorInManifest": Literal["INCLUDE", "EXCLUDE"],
        "SpekeKeyProvider": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionSpekeKeyProviderTypeDef,
        "StaticKeyProvider": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionStaticKeyProviderTypeDef,
        "Type": Literal["SPEKE", "STATIC_KEY"],
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef",
    {
        "AdditionalManifests": List[
            ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsAdditionalManifestsTypeDef
        ],
        "BaseUrl": str,
        "ClientCache": Literal["DISABLED", "ENABLED"],
        "CodecSpecification": Literal["RFC_6381", "RFC_4281"],
        "Destination": str,
        "DestinationSettings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsDestinationSettingsTypeDef,
        "Encryption": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsEncryptionTypeDef,
        "FragmentLength": int,
        "ManifestCompression": Literal["GZIP", "NONE"],
        "ManifestDurationFormat": Literal["FLOATING_POINT", "INTEGER"],
        "MinBufferTime": int,
        "MinFinalSegmentLength": float,
        "MpdProfile": Literal["MAIN_PROFILE", "ON_DEMAND_PROFILE"],
        "SegmentControl": Literal["SINGLE_FILE", "SEGMENTED_FILES"],
        "SegmentLength": int,
        "StreamInfResolution": Literal["INCLUDE", "EXCLUDE"],
        "WriteDashManifest": Literal["DISABLED", "ENABLED"],
        "WriteHlsManifest": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {"CertificateArn": str, "ResourceId": str, "SystemIds": List[str], "Url": str},
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef",
    {
        "PlaybackDeviceCompatibility": Literal["CENC_V1", "UNENCRYPTED_SEI"],
        "SpekeKeyProvider": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionSpekeKeyProviderTypeDef,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef",
    {
        "AdditionalManifests": List[
            ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsAdditionalManifestsTypeDef
        ],
        "BaseUrl": str,
        "Destination": str,
        "DestinationSettings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsDestinationSettingsTypeDef,
        "Encryption": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsEncryptionTypeDef,
        "FragmentLength": int,
        "HbbtvCompliance": Literal["HBBTV_1_5", "NONE"],
        "MinBufferTime": int,
        "MpdProfile": Literal["MAIN_PROFILE", "ON_DEMAND_PROFILE"],
        "SegmentControl": Literal["SINGLE_FILE", "SEGMENTED_FILES"],
        "SegmentLength": int,
        "WriteSegmentTimelineInRepresentation": Literal["ENABLED", "DISABLED"],
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef",
    {
        "Destination": str,
        "DestinationSettings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsDestinationSettingsTypeDef,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef",
    {
        "CaptionChannel": int,
        "CustomLanguageCode": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageDescription": str,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {"CertificateArn": str, "ResourceId": str, "SystemIds": List[str], "Url": str},
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef",
    {"KeyFormat": str, "KeyFormatVersions": str, "StaticKeyValue": str, "Url": str},
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef",
    {
        "ConstantInitializationVector": str,
        "EncryptionMethod": Literal["AES128", "SAMPLE_AES"],
        "InitializationVectorInManifest": Literal["INCLUDE", "EXCLUDE"],
        "OfflineEncrypted": Literal["ENABLED", "DISABLED"],
        "SpekeKeyProvider": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionSpekeKeyProviderTypeDef,
        "StaticKeyProvider": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionStaticKeyProviderTypeDef,
        "Type": Literal["SPEKE", "STATIC_KEY"],
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef",
    {
        "AdMarkers": List[Literal["ELEMENTAL", "ELEMENTAL_SCTE35"]],
        "AdditionalManifests": List[
            ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsAdditionalManifestsTypeDef
        ],
        "BaseUrl": str,
        "CaptionLanguageMappings": List[
            ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsCaptionLanguageMappingsTypeDef
        ],
        "CaptionLanguageSetting": Literal["INSERT", "OMIT", "NONE"],
        "ClientCache": Literal["DISABLED", "ENABLED"],
        "CodecSpecification": Literal["RFC_6381", "RFC_4281"],
        "Destination": str,
        "DestinationSettings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsDestinationSettingsTypeDef,
        "DirectoryStructure": Literal["SINGLE_DIRECTORY", "SUBDIRECTORY_PER_STREAM"],
        "Encryption": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsEncryptionTypeDef,
        "ManifestCompression": Literal["GZIP", "NONE"],
        "ManifestDurationFormat": Literal["FLOATING_POINT", "INTEGER"],
        "MinFinalSegmentLength": float,
        "MinSegmentLength": int,
        "OutputSelection": Literal["MANIFESTS_AND_SEGMENTS", "SEGMENTS_ONLY"],
        "ProgramDateTime": Literal["INCLUDE", "EXCLUDE"],
        "ProgramDateTimePeriod": int,
        "SegmentControl": Literal["SINGLE_FILE", "SEGMENTED_FILES"],
        "SegmentLength": int,
        "SegmentsPerSubdirectory": int,
        "StreamInfResolution": Literal["INCLUDE", "EXCLUDE"],
        "TimedMetadataId3Frame": Literal["NONE", "PRIV", "TDRL"],
        "TimedMetadataId3Period": int,
        "TimestampDeltaMilliseconds": int,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef",
    {"ManifestNameModifier": str, "SelectedOutputs": List[str]},
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef",
    {
        "CannedAcl": Literal[
            "PUBLIC_READ", "AUTHENTICATED_READ", "BUCKET_OWNER_READ", "BUCKET_OWNER_FULL_CONTROL"
        ]
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef",
    {
        "EncryptionType": Literal["SERVER_SIDE_ENCRYPTION_S3", "SERVER_SIDE_ENCRYPTION_KMS"],
        "KmsKeyArn": str,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef",
    {
        "AccessControl": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsAccessControlTypeDef,
        "Encryption": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsEncryptionTypeDef,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef",
    {
        "S3Settings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsS3SettingsTypeDef
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef",
    {"CertificateArn": str, "ResourceId": str, "SystemIds": List[str], "Url": str},
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef",
    {
        "SpekeKeyProvider": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionSpekeKeyProviderTypeDef
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef",
    {
        "AdditionalManifests": List[
            ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsAdditionalManifestsTypeDef
        ],
        "AudioDeduplication": Literal["COMBINE_DUPLICATE_STREAMS", "NONE"],
        "Destination": str,
        "DestinationSettings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsDestinationSettingsTypeDef,
        "Encryption": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsEncryptionTypeDef,
        "FragmentLength": int,
        "ManifestEncoding": Literal["UTF8", "UTF16"],
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsTypeDef",
    {
        "CmafGroupSettings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsCmafGroupSettingsTypeDef,
        "DashIsoGroupSettings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsDashIsoGroupSettingsTypeDef,
        "FileGroupSettings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsFileGroupSettingsTypeDef,
        "HlsGroupSettings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsHlsGroupSettingsTypeDef,
        "MsSmoothGroupSettings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsMsSmoothGroupSettingsTypeDef,
        "Type": Literal[
            "HLS_GROUP_SETTINGS",
            "DASH_ISO_GROUP_SETTINGS",
            "FILE_GROUP_SETTINGS",
            "MS_SMOOTH_GROUP_SETTINGS",
            "CMAF_GROUP_SETTINGS",
        ],
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef",
    {
        "Algorithm": Literal["ITU_BS_1770_1", "ITU_BS_1770_2", "ITU_BS_1770_3", "ITU_BS_1770_4"],
        "AlgorithmControl": Literal["CORRECT_AUDIO", "MEASURE_ONLY"],
        "CorrectionGateLevel": int,
        "LoudnessLogging": Literal["LOG", "DONT_LOG"],
        "PeakCalculation": Literal["TRUE_PEAK", "NONE"],
        "TargetLkfs": float,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef",
    {
        "AudioDescriptionBroadcasterMix": Literal["BROADCASTER_MIXED_AD", "NORMAL"],
        "Bitrate": int,
        "CodecProfile": Literal["LC", "HEV1", "HEV2"],
        "CodingMode": Literal[
            "AD_RECEIVER_MIX",
            "CODING_MODE_1_0",
            "CODING_MODE_1_1",
            "CODING_MODE_2_0",
            "CODING_MODE_5_1",
        ],
        "RateControlMode": Literal["CBR", "VBR"],
        "RawFormat": Literal["LATM_LOAS", "NONE"],
        "SampleRate": int,
        "Specification": Literal["MPEG2", "MPEG4"],
        "VbrQuality": Literal["LOW", "MEDIUM_LOW", "MEDIUM_HIGH", "HIGH"],
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef",
    {
        "Bitrate": int,
        "BitstreamMode": Literal[
            "COMPLETE_MAIN",
            "COMMENTARY",
            "DIALOGUE",
            "EMERGENCY",
            "HEARING_IMPAIRED",
            "MUSIC_AND_EFFECTS",
            "VISUALLY_IMPAIRED",
            "VOICE_OVER",
        ],
        "CodingMode": Literal[
            "CODING_MODE_1_0", "CODING_MODE_1_1", "CODING_MODE_2_0", "CODING_MODE_3_2_LFE"
        ],
        "Dialnorm": int,
        "DynamicRangeCompressionProfile": Literal["FILM_STANDARD", "NONE"],
        "LfeFilter": Literal["ENABLED", "DISABLED"],
        "MetadataControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "SampleRate": int,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef",
    {"BitDepth": int, "Channels": int, "SampleRate": int},
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef",
    {
        "Bitrate": int,
        "BitstreamMode": str,
        "CodingMode": str,
        "DialogueIntelligence": Literal["ENABLED", "DISABLED"],
        "DynamicRangeCompressionLine": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "DynamicRangeCompressionRf": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "LoRoCenterMixLevel": float,
        "LoRoSurroundMixLevel": float,
        "LtRtCenterMixLevel": float,
        "LtRtSurroundMixLevel": float,
        "MeteringMode": Literal[
            "LEQ_A", "ITU_BS_1770_1", "ITU_BS_1770_2", "ITU_BS_1770_3", "ITU_BS_1770_4"
        ],
        "SampleRate": int,
        "SpeechThreshold": int,
        "StereoDownmix": Literal["NOT_INDICATED", "STEREO", "SURROUND", "DPL2"],
        "SurroundExMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef",
    {
        "AttenuationControl": Literal["ATTENUATE_3_DB", "NONE"],
        "Bitrate": int,
        "BitstreamMode": Literal[
            "COMPLETE_MAIN", "COMMENTARY", "EMERGENCY", "HEARING_IMPAIRED", "VISUALLY_IMPAIRED"
        ],
        "CodingMode": Literal["CODING_MODE_1_0", "CODING_MODE_2_0", "CODING_MODE_3_2"],
        "DcFilter": Literal["ENABLED", "DISABLED"],
        "Dialnorm": int,
        "DynamicRangeCompressionLine": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "DynamicRangeCompressionRf": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "LfeControl": Literal["LFE", "NO_LFE"],
        "LfeFilter": Literal["ENABLED", "DISABLED"],
        "LoRoCenterMixLevel": float,
        "LoRoSurroundMixLevel": float,
        "LtRtCenterMixLevel": float,
        "LtRtSurroundMixLevel": float,
        "MetadataControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "PassthroughControl": Literal["WHEN_POSSIBLE", "NO_PASSTHROUGH"],
        "PhaseControl": Literal["SHIFT_90_DEGREES", "NO_SHIFT"],
        "SampleRate": int,
        "StereoDownmix": Literal["NOT_INDICATED", "LO_RO", "LT_RT", "DPL2"],
        "SurroundExMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
        "SurroundMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef",
    {"Bitrate": int, "Channels": int, "SampleRate": int},
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef",
    {"BitDepth": int, "Channels": int, "Format": Literal["RIFF", "RF64"], "SampleRate": int},
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef",
    {
        "AacSettings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAacSettingsTypeDef,
        "Ac3Settings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAc3SettingsTypeDef,
        "AiffSettings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsAiffSettingsTypeDef,
        "Codec": Literal["AAC", "MP2", "WAV", "AIFF", "AC3", "EAC3", "EAC3_ATMOS", "PASSTHROUGH"],
        "Eac3AtmosSettings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef,
        "Eac3Settings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsEac3SettingsTypeDef,
        "Mp2Settings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsMp2SettingsTypeDef,
        "WavSettings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsWavSettingsTypeDef,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef",
    {"InputChannels": List[int]},
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef",
    {
        "OutputChannels": List[
            ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef
        ]
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef",
    {
        "ChannelMapping": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsChannelMappingTypeDef,
        "ChannelsIn": int,
        "ChannelsOut": int,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsTypeDef",
    {
        "AudioNormalizationSettings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsAudioNormalizationSettingsTypeDef,
        "AudioSourceName": str,
        "AudioType": int,
        "AudioTypeControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "CodecSettings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsCodecSettingsTypeDef,
        "CustomLanguageCode": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageCodeControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "RemixSettings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsRemixSettingsTypeDef,
        "StreamName": str,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef",
    {
        "Alignment": Literal["CENTERED", "LEFT"],
        "BackgroundColor": Literal["NONE", "BLACK", "WHITE"],
        "BackgroundOpacity": int,
        "FontColor": Literal["WHITE", "BLACK", "YELLOW", "RED", "GREEN", "BLUE"],
        "FontOpacity": int,
        "FontResolution": int,
        "FontScript": Literal["AUTOMATIC", "HANS", "HANT"],
        "FontSize": int,
        "OutlineColor": Literal["BLACK", "WHITE", "YELLOW", "RED", "GREEN", "BLUE"],
        "OutlineSize": int,
        "ShadowColor": Literal["NONE", "BLACK", "WHITE"],
        "ShadowOpacity": int,
        "ShadowXOffset": int,
        "ShadowYOffset": int,
        "TeletextSpacing": Literal["FIXED_GRID", "PROPORTIONAL"],
        "XPosition": int,
        "YPosition": int,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef",
    {
        "Alignment": Literal["CENTERED", "LEFT"],
        "BackgroundColor": Literal["NONE", "BLACK", "WHITE"],
        "BackgroundOpacity": int,
        "FontColor": Literal["WHITE", "BLACK", "YELLOW", "RED", "GREEN", "BLUE"],
        "FontOpacity": int,
        "FontResolution": int,
        "FontScript": Literal["AUTOMATIC", "HANS", "HANT"],
        "FontSize": int,
        "OutlineColor": Literal["BLACK", "WHITE", "YELLOW", "RED", "GREEN", "BLUE"],
        "OutlineSize": int,
        "ShadowColor": Literal["NONE", "BLACK", "WHITE"],
        "ShadowOpacity": int,
        "ShadowXOffset": int,
        "ShadowYOffset": int,
        "SubtitlingType": Literal["HEARING_IMPAIRED", "STANDARD"],
        "TeletextSpacing": Literal["FIXED_GRID", "PROPORTIONAL"],
        "XPosition": int,
        "YPosition": int,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef",
    {"Destination608ChannelNumber": int, "Destination708ServiceNumber": int},
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef",
    {"StylePassthrough": Literal["ENABLED", "DISABLED"]},
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef",
    {
        "Framerate": Literal[
            "FRAMERATE_23_97",
            "FRAMERATE_24",
            "FRAMERATE_25",
            "FRAMERATE_29_97_DROPFRAME",
            "FRAMERATE_29_97_NON_DROPFRAME",
        ]
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef",
    {
        "PageNumber": str,
        "PageTypes": List[
            Literal[
                "PAGE_TYPE_INITIAL",
                "PAGE_TYPE_SUBTITLE",
                "PAGE_TYPE_ADDL_INFO",
                "PAGE_TYPE_PROGRAM_SCHEDULE",
                "PAGE_TYPE_HEARING_IMPAIRED_SUBTITLE",
            ]
        ],
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef",
    {"StylePassthrough": Literal["ENABLED", "DISABLED"]},
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef",
    {
        "BurninDestinationSettings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef,
        "DestinationType": Literal[
            "BURN_IN",
            "DVB_SUB",
            "EMBEDDED",
            "EMBEDDED_PLUS_SCTE20",
            "IMSC",
            "SCTE20_PLUS_EMBEDDED",
            "SCC",
            "SRT",
            "SMI",
            "TELETEXT",
            "TTML",
            "WEBVTT",
        ],
        "DvbSubDestinationSettings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef,
        "EmbeddedDestinationSettings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef,
        "ImscDestinationSettings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef,
        "SccDestinationSettings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef,
        "TeletextDestinationSettings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef,
        "TtmlDestinationSettings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef",
    {
        "CaptionSelectorName": str,
        "CustomLanguageCode": str,
        "DestinationSettings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsDestinationSettingsTypeDef,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageDescription": str,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef",
    {"MoovPlacement": Literal["PROGRESSIVE_DOWNLOAD", "NORMAL"]},
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef",
    {"NetworkId": int, "NetworkName": str, "NitInterval": int},
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef",
    {
        "OutputSdt": Literal["SDT_FOLLOW", "SDT_FOLLOW_IF_PRESENT", "SDT_MANUAL", "SDT_NONE"],
        "SdtInterval": int,
        "ServiceName": str,
        "ServiceProviderName": str,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef",
    {"TdtInterval": int},
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef",
    {"Scte35EsamPid": int},
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef",
    {
        "AudioBufferModel": Literal["DVB", "ATSC"],
        "AudioFramesPerPes": int,
        "AudioPids": List[int],
        "Bitrate": int,
        "BufferModel": Literal["MULTIPLEX", "NONE"],
        "DvbNitSettings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef,
        "DvbSdtSettings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef,
        "DvbSubPids": List[int],
        "DvbTdtSettings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef,
        "DvbTeletextPid": int,
        "EbpAudioInterval": Literal["VIDEO_AND_FIXED_INTERVALS", "VIDEO_INTERVAL"],
        "EbpPlacement": Literal["VIDEO_AND_AUDIO_PIDS", "VIDEO_PID"],
        "EsRateInPes": Literal["INCLUDE", "EXCLUDE"],
        "ForceTsVideoEbpOrder": Literal["FORCE", "DEFAULT"],
        "FragmentTime": float,
        "MaxPcrInterval": int,
        "MinEbpInterval": int,
        "NielsenId3": Literal["INSERT", "NONE"],
        "NullPacketBitrate": float,
        "PatInterval": int,
        "PcrControl": Literal["PCR_EVERY_PES_PACKET", "CONFIGURED_PCR_PERIOD"],
        "PcrPid": int,
        "PmtInterval": int,
        "PmtPid": int,
        "PrivateMetadataPid": int,
        "ProgramNumber": int,
        "RateMode": Literal["VBR", "CBR"],
        "Scte35Esam": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsScte35EsamTypeDef,
        "Scte35Pid": int,
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
        "SegmentationMarkers": Literal[
            "NONE", "RAI_SEGSTART", "RAI_ADAPT", "PSI_SEGSTART", "EBP", "EBP_LEGACY"
        ],
        "SegmentationStyle": Literal["MAINTAIN_CADENCE", "RESET_CADENCE"],
        "SegmentationTime": float,
        "TimedMetadataPid": int,
        "TransportStreamId": int,
        "VideoPid": int,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef",
    {
        "AudioFramesPerPes": int,
        "AudioPids": List[int],
        "NielsenId3": Literal["INSERT", "NONE"],
        "PatInterval": int,
        "PcrControl": Literal["PCR_EVERY_PES_PACKET", "CONFIGURED_PCR_PERIOD"],
        "PcrPid": int,
        "PmtInterval": int,
        "PmtPid": int,
        "PrivateMetadataPid": int,
        "ProgramNumber": int,
        "Scte35Pid": int,
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
        "TimedMetadata": Literal["PASSTHROUGH", "NONE"],
        "TimedMetadataPid": int,
        "TransportStreamId": int,
        "VideoPid": int,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef",
    {
        "ClapAtom": Literal["INCLUDE", "EXCLUDE"],
        "CslgAtom": Literal["INCLUDE", "EXCLUDE"],
        "Mpeg2FourCCControl": Literal["XDCAM", "MPEG"],
        "PaddingControl": Literal["OMNEON", "NONE"],
        "Reference": Literal["SELF_CONTAINED", "EXTERNAL"],
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef",
    {
        "CslgAtom": Literal["INCLUDE", "EXCLUDE"],
        "FreeSpaceBox": Literal["INCLUDE", "EXCLUDE"],
        "MoovPlacement": Literal["PROGRESSIVE_DOWNLOAD", "NORMAL"],
        "Mp4MajorBrand": str,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef",
    {
        "CaptionContainerType": Literal["RAW", "FRAGMENTED_MP4"],
        "Scte35Esam": Literal["INSERT", "NONE"],
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsTypeDef",
    {
        "Container": Literal[
            "F4V", "ISMV", "M2TS", "M3U8", "CMFC", "MOV", "MP4", "MPD", "MXF", "RAW"
        ],
        "F4vSettings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsF4vSettingsTypeDef,
        "M2tsSettings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsM2tsSettingsTypeDef,
        "M3u8Settings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsM3u8SettingsTypeDef,
        "MovSettings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsMovSettingsTypeDef,
        "Mp4Settings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsMp4SettingsTypeDef,
        "MpdSettings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsMpdSettingsTypeDef,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef",
    {
        "AudioGroupId": str,
        "AudioOnlyContainer": Literal["AUTOMATIC", "M2TS"],
        "AudioRenditionSets": str,
        "AudioTrackType": Literal[
            "ALTERNATE_AUDIO_AUTO_SELECT_DEFAULT",
            "ALTERNATE_AUDIO_AUTO_SELECT",
            "ALTERNATE_AUDIO_NOT_AUTO_SELECT",
            "AUDIO_ONLY_VARIANT_STREAM",
        ],
        "IFrameOnlyManifest": Literal["INCLUDE", "EXCLUDE"],
        "SegmentModifier": str,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsOutputSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsOutputSettingsTypeDef",
    {
        "HlsSettings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsOutputSettingsHlsSettingsTypeDef
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsOutputSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsOutputSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef",
    {"FramerateDenominator": int, "FramerateNumerator": int, "MaxCaptures": int, "Quality": int},
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef",
    {"MaxAverageBitrate": int, "QvbrQualityLevel": int},
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH", "HIGHER", "MAX"],
        "Bitrate": int,
        "CodecLevel": Literal[
            "AUTO",
            "LEVEL_1",
            "LEVEL_1_1",
            "LEVEL_1_2",
            "LEVEL_1_3",
            "LEVEL_2",
            "LEVEL_2_1",
            "LEVEL_2_2",
            "LEVEL_3",
            "LEVEL_3_1",
            "LEVEL_3_2",
            "LEVEL_4",
            "LEVEL_4_1",
            "LEVEL_4_2",
            "LEVEL_5",
            "LEVEL_5_1",
            "LEVEL_5_2",
        ],
        "CodecProfile": Literal[
            "BASELINE", "HIGH", "HIGH_10BIT", "HIGH_422", "HIGH_422_10BIT", "MAIN"
        ],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "EntropyEncoding": Literal["CABAC", "CAVLC"],
        "FieldEncoding": Literal["PAFF", "FORCE_FIELD"],
        "FlickerAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopBReference": Literal["DISABLED", "ENABLED"],
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "NumberReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "SINGLE_PASS_HQ", "MULTI_PASS_HQ"],
        "QvbrSettings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef,
        "RateControlMode": Literal["VBR", "CBR", "QVBR"],
        "RepeatPps": Literal["DISABLED", "ENABLED"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED", "TRANSITION_DETECTION"],
        "Slices": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Softness": int,
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Syntax": Literal["DEFAULT", "RP2027"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "UnregisteredSeiTimecode": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef",
    {"MaxAverageBitrate": int, "QvbrQualityLevel": int},
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH", "HIGHER", "MAX"],
        "AlternateTransferFunctionSei": Literal["DISABLED", "ENABLED"],
        "Bitrate": int,
        "CodecLevel": Literal[
            "AUTO",
            "LEVEL_1",
            "LEVEL_2",
            "LEVEL_2_1",
            "LEVEL_3",
            "LEVEL_3_1",
            "LEVEL_4",
            "LEVEL_4_1",
            "LEVEL_5",
            "LEVEL_5_1",
            "LEVEL_5_2",
            "LEVEL_6",
            "LEVEL_6_1",
            "LEVEL_6_2",
        ],
        "CodecProfile": Literal[
            "MAIN_MAIN",
            "MAIN_HIGH",
            "MAIN10_MAIN",
            "MAIN10_HIGH",
            "MAIN_422_8BIT_MAIN",
            "MAIN_422_8BIT_HIGH",
            "MAIN_422_10BIT_MAIN",
            "MAIN_422_10BIT_HIGH",
        ],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "FlickerAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopBReference": Literal["DISABLED", "ENABLED"],
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "NumberReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "SINGLE_PASS_HQ", "MULTI_PASS_HQ"],
        "QvbrSettings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef,
        "RateControlMode": Literal["VBR", "CBR", "QVBR"],
        "SampleAdaptiveOffsetFilterMode": Literal["DEFAULT", "ADAPTIVE", "OFF"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED", "TRANSITION_DETECTION"],
        "Slices": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "TemporalIds": Literal["DISABLED", "ENABLED"],
        "Tiles": Literal["DISABLED", "ENABLED"],
        "UnregisteredSeiTimecode": Literal["DISABLED", "ENABLED"],
        "WriteMp4PackagingType": Literal["HVC1", "HEV1"],
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH"],
        "Bitrate": int,
        "CodecLevel": Literal["AUTO", "LOW", "MAIN", "HIGH1440", "HIGH"],
        "CodecProfile": Literal["MAIN", "PROFILE_422"],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "IntraDcPrecision": Literal[
            "AUTO",
            "INTRA_DC_PRECISION_8",
            "INTRA_DC_PRECISION_9",
            "INTRA_DC_PRECISION_10",
            "INTRA_DC_PRECISION_11",
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "MULTI_PASS"],
        "RateControlMode": Literal["VBR", "CBR"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED"],
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Softness": int,
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Syntax": Literal["DEFAULT", "D_10"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef",
    {
        "CodecProfile": Literal[
            "APPLE_PRORES_422",
            "APPLE_PRORES_422_HQ",
            "APPLE_PRORES_422_LT",
            "APPLE_PRORES_422_PROXY",
        ],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Telecine": Literal["NONE", "HARD"],
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef",
    {
        "Codec": Literal["FRAME_CAPTURE", "H_264", "H_265", "MPEG2", "PRORES"],
        "FrameCaptureSettings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef,
        "H264Settings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH264SettingsTypeDef,
        "H265Settings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsH265SettingsTypeDef,
        "Mpeg2Settings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef,
        "ProresSettings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsProresSettingsTypeDef,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef",
    {
        "BluePrimaryX": int,
        "BluePrimaryY": int,
        "GreenPrimaryX": int,
        "GreenPrimaryY": int,
        "MaxContentLightLevel": int,
        "MaxFrameAverageLightLevel": int,
        "MaxLuminance": int,
        "MinLuminance": int,
        "RedPrimaryX": int,
        "RedPrimaryY": int,
        "WhitePointX": int,
        "WhitePointY": int,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef",
    {
        "Brightness": int,
        "ColorSpaceConversion": Literal[
            "NONE", "FORCE_601", "FORCE_709", "FORCE_HDR10", "FORCE_HLG_2020"
        ],
        "Contrast": int,
        "Hdr10Metadata": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef,
        "Hue": int,
        "Saturation": int,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef",
    {
        "Algorithm": Literal["INTERPOLATE", "INTERPOLATE_TICKER", "BLEND", "BLEND_TICKER"],
        "Control": Literal["FORCE_ALL_FRAMES", "NORMAL"],
        "Mode": Literal["DEINTERLACE", "INVERSE_TELECINE", "ADAPTIVE"],
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef",
    {"MaxCll": int, "MaxFall": int},
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef",
    {
        "L6Metadata": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef,
        "L6Mode": Literal["PASSTHROUGH", "RECALCULATE", "SPECIFY"],
        "Profile": str,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef",
    {
        "Duration": int,
        "FadeIn": int,
        "FadeOut": int,
        "Height": int,
        "ImageInserterInput": str,
        "ImageX": int,
        "ImageY": int,
        "Layer": int,
        "Opacity": int,
        "StartTime": str,
        "Width": int,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef",
    {
        "InsertableImages": List[
            ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef
        ]
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef",
    {"Strength": int},
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef",
    {"PostFilterSharpenStrength": int, "Speed": int, "Strength": int},
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef",
    {"AggressiveMode": int, "Speed": int, "Strength": int},
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef",
    {
        "Filter": Literal[
            "BILATERAL", "MEAN", "GAUSSIAN", "LANCZOS", "SHARPEN", "CONSERVE", "SPATIAL", "TEMPORAL"
        ],
        "FilterSettings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef,
        "SpatialFilterSettings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef,
        "TemporalFilterSettings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef",
    {
        "FontSize": int,
        "Position": Literal[
            "TOP_CENTER",
            "TOP_LEFT",
            "TOP_RIGHT",
            "MIDDLE_LEFT",
            "MIDDLE_CENTER",
            "MIDDLE_RIGHT",
            "BOTTOM_LEFT",
            "BOTTOM_CENTER",
            "BOTTOM_RIGHT",
        ],
        "Prefix": str,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef",
    {
        "ColorCorrector": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef,
        "Deinterlacer": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef,
        "DolbyVision": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef,
        "ImageInserter": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsImageInserterTypeDef,
        "NoiseReducer": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef,
        "TimecodeBurnin": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionTypeDef",
    {
        "AfdSignaling": Literal["NONE", "AUTO", "FIXED"],
        "AntiAlias": Literal["DISABLED", "ENABLED"],
        "CodecSettings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCodecSettingsTypeDef,
        "ColorMetadata": Literal["IGNORE", "INSERT"],
        "Crop": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionCropTypeDef,
        "DropFrameTimecode": Literal["DISABLED", "ENABLED"],
        "FixedAfd": int,
        "Height": int,
        "Position": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionPositionTypeDef,
        "RespondToAfd": Literal["NONE", "RESPOND", "PASSTHROUGH"],
        "ScalingBehavior": Literal["DEFAULT", "STRETCH_TO_OUTPUT"],
        "Sharpness": int,
        "TimecodeInsertion": Literal["DISABLED", "PIC_TIMING_SEI"],
        "VideoPreprocessors": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionVideoPreprocessorsTypeDef,
        "Width": int,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsTypeDef",
    {
        "AudioDescriptions": List[
            ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsAudioDescriptionsTypeDef
        ],
        "CaptionDescriptions": List[
            ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsCaptionDescriptionsTypeDef
        ],
        "ContainerSettings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsContainerSettingsTypeDef,
        "Extension": str,
        "NameModifier": str,
        "OutputSettings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsOutputSettingsTypeDef,
        "Preset": str,
        "VideoDescription": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsVideoDescriptionTypeDef,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsOutputGroupsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsOutputGroupsTypeDef",
    {
        "CustomName": str,
        "Name": str,
        "OutputGroupSettings": ListJobsPaginateResponseJobsSettingsOutputGroupsOutputGroupSettingsTypeDef,
        "Outputs": List[ListJobsPaginateResponseJobsSettingsOutputGroupsOutputsTypeDef],
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsOutputGroupsTypeDef(
    _ListJobsPaginateResponseJobsSettingsOutputGroupsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsTimecodeConfigTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsTimecodeConfigTypeDef",
    {
        "Anchor": str,
        "Source": Literal["EMBEDDED", "ZEROBASED", "SPECIFIEDSTART"],
        "Start": str,
        "TimestampOffset": str,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsTimecodeConfigTypeDef(
    _ListJobsPaginateResponseJobsSettingsTimecodeConfigTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsTimedMetadataInsertionId3InsertionsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsTimedMetadataInsertionId3InsertionsTypeDef",
    {"Id3": str, "Timecode": str},
    total=False,
)


class ListJobsPaginateResponseJobsSettingsTimedMetadataInsertionId3InsertionsTypeDef(
    _ListJobsPaginateResponseJobsSettingsTimedMetadataInsertionId3InsertionsTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsTimedMetadataInsertionTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsTimedMetadataInsertionTypeDef",
    {
        "Id3Insertions": List[
            ListJobsPaginateResponseJobsSettingsTimedMetadataInsertionId3InsertionsTypeDef
        ]
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsTimedMetadataInsertionTypeDef(
    _ListJobsPaginateResponseJobsSettingsTimedMetadataInsertionTypeDef
):
    pass


_ListJobsPaginateResponseJobsSettingsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsSettingsTypeDef",
    {
        "AdAvailOffset": int,
        "AvailBlanking": ListJobsPaginateResponseJobsSettingsAvailBlankingTypeDef,
        "Esam": ListJobsPaginateResponseJobsSettingsEsamTypeDef,
        "Inputs": List[ListJobsPaginateResponseJobsSettingsInputsTypeDef],
        "MotionImageInserter": ListJobsPaginateResponseJobsSettingsMotionImageInserterTypeDef,
        "NielsenConfiguration": ListJobsPaginateResponseJobsSettingsNielsenConfigurationTypeDef,
        "OutputGroups": List[ListJobsPaginateResponseJobsSettingsOutputGroupsTypeDef],
        "TimecodeConfig": ListJobsPaginateResponseJobsSettingsTimecodeConfigTypeDef,
        "TimedMetadataInsertion": ListJobsPaginateResponseJobsSettingsTimedMetadataInsertionTypeDef,
    },
    total=False,
)


class ListJobsPaginateResponseJobsSettingsTypeDef(_ListJobsPaginateResponseJobsSettingsTypeDef):
    pass


_ListJobsPaginateResponseJobsTimingTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsTimingTypeDef",
    {"FinishTime": datetime, "StartTime": datetime, "SubmitTime": datetime},
    total=False,
)


class ListJobsPaginateResponseJobsTimingTypeDef(_ListJobsPaginateResponseJobsTimingTypeDef):
    pass


_ListJobsPaginateResponseJobsTypeDef = TypedDict(
    "_ListJobsPaginateResponseJobsTypeDef",
    {
        "AccelerationSettings": ListJobsPaginateResponseJobsAccelerationSettingsTypeDef,
        "AccelerationStatus": Literal[
            "NOT_APPLICABLE", "IN_PROGRESS", "ACCELERATED", "NOT_ACCELERATED"
        ],
        "Arn": str,
        "BillingTagsSource": Literal["QUEUE", "PRESET", "JOB_TEMPLATE", "JOB"],
        "CreatedAt": datetime,
        "CurrentPhase": Literal["PROBING", "TRANSCODING", "UPLOADING"],
        "ErrorCode": int,
        "ErrorMessage": str,
        "Id": str,
        "JobPercentComplete": int,
        "JobTemplate": str,
        "Messages": ListJobsPaginateResponseJobsMessagesTypeDef,
        "OutputGroupDetails": List[ListJobsPaginateResponseJobsOutputGroupDetailsTypeDef],
        "Priority": int,
        "Queue": str,
        "RetryCount": int,
        "Role": str,
        "Settings": ListJobsPaginateResponseJobsSettingsTypeDef,
        "SimulateReservedQueue": Literal["DISABLED", "ENABLED"],
        "Status": Literal["SUBMITTED", "PROGRESSING", "COMPLETE", "CANCELED", "ERROR"],
        "StatusUpdateInterval": Literal[
            "SECONDS_10",
            "SECONDS_12",
            "SECONDS_15",
            "SECONDS_20",
            "SECONDS_30",
            "SECONDS_60",
            "SECONDS_120",
            "SECONDS_180",
            "SECONDS_240",
            "SECONDS_300",
            "SECONDS_360",
            "SECONDS_420",
            "SECONDS_480",
            "SECONDS_540",
            "SECONDS_600",
        ],
        "Timing": ListJobsPaginateResponseJobsTimingTypeDef,
        "UserMetadata": Dict[str, str],
    },
    total=False,
)


class ListJobsPaginateResponseJobsTypeDef(_ListJobsPaginateResponseJobsTypeDef):
    """
    - *(dict) --*Each job converts an input file into an output file or files. For more information,
    see the User Guide at http://docs.aws.amazon.com/mediaconvert/latest/ug/what-is.html

      - **AccelerationSettings** *(dict) --*Accelerated transcoding can significantly speed up jobs
      with long, visually complex content.

        - **Mode** *(string) --*Specify the conditions when the service will run your job with
        accelerated transcoding.
    """


_ListJobsPaginateResponseTypeDef = TypedDict(
    "_ListJobsPaginateResponseTypeDef",
    {"Jobs": List[ListJobsPaginateResponseJobsTypeDef]},
    total=False,
)


class ListJobsPaginateResponseTypeDef(_ListJobsPaginateResponseTypeDef):
    """
    - *(dict) --*

      - **Jobs** *(list) --*List of jobs

        - *(dict) --*Each job converts an input file into an output file or files. For more
        information, see the User Guide at
        http://docs.aws.amazon.com/mediaconvert/latest/ug/what-is.html

          - **AccelerationSettings** *(dict) --*Accelerated transcoding can significantly speed up
          jobs with long, visually complex content.

            - **Mode** *(string) --*Specify the conditions when the service will run your job with
            accelerated transcoding.
    """


_ListPresetsPaginatePaginationConfigTypeDef = TypedDict(
    "_ListPresetsPaginatePaginationConfigTypeDef",
    {"MaxItems": int, "PageSize": int, "StartingToken": str},
    total=False,
)


class ListPresetsPaginatePaginationConfigTypeDef(_ListPresetsPaginatePaginationConfigTypeDef):
    """
    A dictionary that provides parameters to control pagination.
    - **MaxItems** *(integer) --*

      The total number of items to return. If the total number of items available is more than the
      value specified in max-items then a ``NextToken`` will be provided in the output that you can
      use to resume pagination.
    """


_ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsAudioNormalizationSettingsTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsAudioNormalizationSettingsTypeDef",
    {
        "Algorithm": Literal["ITU_BS_1770_1", "ITU_BS_1770_2", "ITU_BS_1770_3", "ITU_BS_1770_4"],
        "AlgorithmControl": Literal["CORRECT_AUDIO", "MEASURE_ONLY"],
        "CorrectionGateLevel": int,
        "LoudnessLogging": Literal["LOG", "DONT_LOG"],
        "PeakCalculation": Literal["TRUE_PEAK", "NONE"],
        "TargetLkfs": float,
    },
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsAudioNormalizationSettingsTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsAudioNormalizationSettingsTypeDef
):
    """
    - **AudioNormalizationSettings** *(dict) --*Advanced audio normalization settings. Ignore these
    settings unless you need to comply with a loudness standard.

      - **Algorithm** *(string) --*Choose one of the following audio normalization algorithms: ITU-R
      BS.1770-1: Ungated loudness. A measurement of ungated average loudness for an entire piece of
      content, suitable for measurement of short-form content under ATSC recommendation A/85.
      Supports up to 5.1 audio channels. ITU-R BS.1770-2: Gated loudness. A measurement of gated
      average loudness compliant with the requirements of EBU-R128. Supports up to 5.1 audio
      channels. ITU-R BS.1770-3: Modified peak. The same loudness measurement algorithm as 1770-2,
      with an updated true peak measurement. ITU-R BS.1770-4: Higher channel count. Allows for more
      audio channels than the other algorithms, including configurations such as 7.1.
      - **AlgorithmControl** *(string) --*When enabled the output audio is corrected using the
      chosen algorithm. If disabled, the audio will be measured but not adjusted.
      - **CorrectionGateLevel** *(integer) --*Content measuring above this level will be corrected
      to the target level. Content measuring below this level will not be corrected. Gating only
      applies when not using real_time_correction.
      - **LoudnessLogging** *(string) --*If set to LOG, log each output's audio track loudness to a
      CSV file.
      - **PeakCalculation** *(string) --*If set to TRUE_PEAK, calculate and log the TruePeak for
      each output's audio track loudness.
      - **TargetLkfs** *(float) --*When you use Audio normalization (AudioNormalizationSettings),
      optionally use this setting to specify a target loudness. If you don't specify a value here,
      the encoder chooses a value for you, based on the algorithm that you choose for Algorithm
      (algorithm). If you choose algorithm 1770-1, the encoder will choose -24 LKFS; otherwise, the
      encoder will choose -23 LKFS.
    """


_ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsAacSettingsTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsAacSettingsTypeDef",
    {
        "AudioDescriptionBroadcasterMix": Literal["BROADCASTER_MIXED_AD", "NORMAL"],
        "Bitrate": int,
        "CodecProfile": Literal["LC", "HEV1", "HEV2"],
        "CodingMode": Literal[
            "AD_RECEIVER_MIX",
            "CODING_MODE_1_0",
            "CODING_MODE_1_1",
            "CODING_MODE_2_0",
            "CODING_MODE_5_1",
        ],
        "RateControlMode": Literal["CBR", "VBR"],
        "RawFormat": Literal["LATM_LOAS", "NONE"],
        "SampleRate": int,
        "Specification": Literal["MPEG2", "MPEG4"],
        "VbrQuality": Literal["LOW", "MEDIUM_LOW", "MEDIUM_HIGH", "HIGH"],
    },
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsAacSettingsTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsAacSettingsTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsAc3SettingsTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsAc3SettingsTypeDef",
    {
        "Bitrate": int,
        "BitstreamMode": Literal[
            "COMPLETE_MAIN",
            "COMMENTARY",
            "DIALOGUE",
            "EMERGENCY",
            "HEARING_IMPAIRED",
            "MUSIC_AND_EFFECTS",
            "VISUALLY_IMPAIRED",
            "VOICE_OVER",
        ],
        "CodingMode": Literal[
            "CODING_MODE_1_0", "CODING_MODE_1_1", "CODING_MODE_2_0", "CODING_MODE_3_2_LFE"
        ],
        "Dialnorm": int,
        "DynamicRangeCompressionProfile": Literal["FILM_STANDARD", "NONE"],
        "LfeFilter": Literal["ENABLED", "DISABLED"],
        "MetadataControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "SampleRate": int,
    },
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsAc3SettingsTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsAc3SettingsTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsAiffSettingsTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsAiffSettingsTypeDef",
    {"BitDepth": int, "Channels": int, "SampleRate": int},
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsAiffSettingsTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsAiffSettingsTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef",
    {
        "Bitrate": int,
        "BitstreamMode": str,
        "CodingMode": str,
        "DialogueIntelligence": Literal["ENABLED", "DISABLED"],
        "DynamicRangeCompressionLine": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "DynamicRangeCompressionRf": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "LoRoCenterMixLevel": float,
        "LoRoSurroundMixLevel": float,
        "LtRtCenterMixLevel": float,
        "LtRtSurroundMixLevel": float,
        "MeteringMode": Literal[
            "LEQ_A", "ITU_BS_1770_1", "ITU_BS_1770_2", "ITU_BS_1770_3", "ITU_BS_1770_4"
        ],
        "SampleRate": int,
        "SpeechThreshold": int,
        "StereoDownmix": Literal["NOT_INDICATED", "STEREO", "SURROUND", "DPL2"],
        "SurroundExMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
    },
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsEac3SettingsTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsEac3SettingsTypeDef",
    {
        "AttenuationControl": Literal["ATTENUATE_3_DB", "NONE"],
        "Bitrate": int,
        "BitstreamMode": Literal[
            "COMPLETE_MAIN", "COMMENTARY", "EMERGENCY", "HEARING_IMPAIRED", "VISUALLY_IMPAIRED"
        ],
        "CodingMode": Literal["CODING_MODE_1_0", "CODING_MODE_2_0", "CODING_MODE_3_2"],
        "DcFilter": Literal["ENABLED", "DISABLED"],
        "Dialnorm": int,
        "DynamicRangeCompressionLine": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "DynamicRangeCompressionRf": Literal[
            "NONE", "FILM_STANDARD", "FILM_LIGHT", "MUSIC_STANDARD", "MUSIC_LIGHT", "SPEECH"
        ],
        "LfeControl": Literal["LFE", "NO_LFE"],
        "LfeFilter": Literal["ENABLED", "DISABLED"],
        "LoRoCenterMixLevel": float,
        "LoRoSurroundMixLevel": float,
        "LtRtCenterMixLevel": float,
        "LtRtSurroundMixLevel": float,
        "MetadataControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "PassthroughControl": Literal["WHEN_POSSIBLE", "NO_PASSTHROUGH"],
        "PhaseControl": Literal["SHIFT_90_DEGREES", "NO_SHIFT"],
        "SampleRate": int,
        "StereoDownmix": Literal["NOT_INDICATED", "LO_RO", "LT_RT", "DPL2"],
        "SurroundExMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
        "SurroundMode": Literal["NOT_INDICATED", "ENABLED", "DISABLED"],
    },
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsEac3SettingsTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsEac3SettingsTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsMp2SettingsTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsMp2SettingsTypeDef",
    {"Bitrate": int, "Channels": int, "SampleRate": int},
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsMp2SettingsTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsMp2SettingsTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsWavSettingsTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsWavSettingsTypeDef",
    {"BitDepth": int, "Channels": int, "Format": Literal["RIFF", "RF64"], "SampleRate": int},
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsWavSettingsTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsWavSettingsTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsTypeDef",
    {
        "AacSettings": ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsAacSettingsTypeDef,
        "Ac3Settings": ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsAc3SettingsTypeDef,
        "AiffSettings": ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsAiffSettingsTypeDef,
        "Codec": Literal["AAC", "MP2", "WAV", "AIFF", "AC3", "EAC3", "EAC3_ATMOS", "PASSTHROUGH"],
        "Eac3AtmosSettings": ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsEac3AtmosSettingsTypeDef,
        "Eac3Settings": ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsEac3SettingsTypeDef,
        "Mp2Settings": ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsMp2SettingsTypeDef,
        "WavSettings": ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsWavSettingsTypeDef,
    },
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef",
    {"InputChannels": List[int]},
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsRemixSettingsChannelMappingTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsRemixSettingsChannelMappingTypeDef",
    {
        "OutputChannels": List[
            ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsRemixSettingsChannelMappingOutputChannelsTypeDef
        ]
    },
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsRemixSettingsChannelMappingTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsRemixSettingsChannelMappingTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsRemixSettingsTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsRemixSettingsTypeDef",
    {
        "ChannelMapping": ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsRemixSettingsChannelMappingTypeDef,
        "ChannelsIn": int,
        "ChannelsOut": int,
    },
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsRemixSettingsTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsRemixSettingsTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsTypeDef",
    {
        "AudioNormalizationSettings": ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsAudioNormalizationSettingsTypeDef,
        "AudioSourceName": str,
        "AudioType": int,
        "AudioTypeControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "CodecSettings": ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsCodecSettingsTypeDef,
        "CustomLanguageCode": str,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageCodeControl": Literal["FOLLOW_INPUT", "USE_CONFIGURED"],
        "RemixSettings": ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsRemixSettingsTypeDef,
        "StreamName": str,
    },
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsTypeDef
):
    """
    - *(dict) --*Description of audio output

      - **AudioNormalizationSettings** *(dict) --*Advanced audio normalization settings. Ignore
      these settings unless you need to comply with a loudness standard.

        - **Algorithm** *(string) --*Choose one of the following audio normalization algorithms:
        ITU-R BS.1770-1: Ungated loudness. A measurement of ungated average loudness for an entire
        piece of content, suitable for measurement of short-form content under ATSC recommendation
        A/85. Supports up to 5.1 audio channels. ITU-R BS.1770-2: Gated loudness. A measurement of
        gated average loudness compliant with the requirements of EBU-R128. Supports up to 5.1 audio
        channels. ITU-R BS.1770-3: Modified peak. The same loudness measurement algorithm as 1770-2,
        with an updated true peak measurement. ITU-R BS.1770-4: Higher channel count. Allows for
        more audio channels than the other algorithms, including configurations such as 7.1.
        - **AlgorithmControl** *(string) --*When enabled the output audio is corrected using the
        chosen algorithm. If disabled, the audio will be measured but not adjusted.
        - **CorrectionGateLevel** *(integer) --*Content measuring above this level will be corrected
        to the target level. Content measuring below this level will not be corrected. Gating only
        applies when not using real_time_correction.
        - **LoudnessLogging** *(string) --*If set to LOG, log each output's audio track loudness to
        a CSV file.
        - **PeakCalculation** *(string) --*If set to TRUE_PEAK, calculate and log the TruePeak for
        each output's audio track loudness.
        - **TargetLkfs** *(float) --*When you use Audio normalization (AudioNormalizationSettings),
        optionally use this setting to specify a target loudness. If you don't specify a value here,
        the encoder chooses a value for you, based on the algorithm that you choose for Algorithm
        (algorithm). If you choose algorithm 1770-1, the encoder will choose -24 LKFS; otherwise,
        the encoder will choose -23 LKFS.
    """


_ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef",
    {
        "Alignment": Literal["CENTERED", "LEFT"],
        "BackgroundColor": Literal["NONE", "BLACK", "WHITE"],
        "BackgroundOpacity": int,
        "FontColor": Literal["WHITE", "BLACK", "YELLOW", "RED", "GREEN", "BLUE"],
        "FontOpacity": int,
        "FontResolution": int,
        "FontScript": Literal["AUTOMATIC", "HANS", "HANT"],
        "FontSize": int,
        "OutlineColor": Literal["BLACK", "WHITE", "YELLOW", "RED", "GREEN", "BLUE"],
        "OutlineSize": int,
        "ShadowColor": Literal["NONE", "BLACK", "WHITE"],
        "ShadowOpacity": int,
        "ShadowXOffset": int,
        "ShadowYOffset": int,
        "TeletextSpacing": Literal["FIXED_GRID", "PROPORTIONAL"],
        "XPosition": int,
        "YPosition": int,
    },
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef",
    {
        "Alignment": Literal["CENTERED", "LEFT"],
        "BackgroundColor": Literal["NONE", "BLACK", "WHITE"],
        "BackgroundOpacity": int,
        "FontColor": Literal["WHITE", "BLACK", "YELLOW", "RED", "GREEN", "BLUE"],
        "FontOpacity": int,
        "FontResolution": int,
        "FontScript": Literal["AUTOMATIC", "HANS", "HANT"],
        "FontSize": int,
        "OutlineColor": Literal["BLACK", "WHITE", "YELLOW", "RED", "GREEN", "BLUE"],
        "OutlineSize": int,
        "ShadowColor": Literal["NONE", "BLACK", "WHITE"],
        "ShadowOpacity": int,
        "ShadowXOffset": int,
        "ShadowYOffset": int,
        "SubtitlingType": Literal["HEARING_IMPAIRED", "STANDARD"],
        "TeletextSpacing": Literal["FIXED_GRID", "PROPORTIONAL"],
        "XPosition": int,
        "YPosition": int,
    },
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef",
    {"Destination608ChannelNumber": int, "Destination708ServiceNumber": int},
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef",
    {"StylePassthrough": Literal["ENABLED", "DISABLED"]},
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef",
    {
        "Framerate": Literal[
            "FRAMERATE_23_97",
            "FRAMERATE_24",
            "FRAMERATE_25",
            "FRAMERATE_29_97_DROPFRAME",
            "FRAMERATE_29_97_NON_DROPFRAME",
        ]
    },
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef",
    {
        "PageNumber": str,
        "PageTypes": List[
            Literal[
                "PAGE_TYPE_INITIAL",
                "PAGE_TYPE_SUBTITLE",
                "PAGE_TYPE_ADDL_INFO",
                "PAGE_TYPE_PROGRAM_SCHEDULE",
                "PAGE_TYPE_HEARING_IMPAIRED_SUBTITLE",
            ]
        ],
    },
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef",
    {"StylePassthrough": Literal["ENABLED", "DISABLED"]},
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsTypeDef",
    {
        "BurninDestinationSettings": ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsBurninDestinationSettingsTypeDef,
        "DestinationType": Literal[
            "BURN_IN",
            "DVB_SUB",
            "EMBEDDED",
            "EMBEDDED_PLUS_SCTE20",
            "IMSC",
            "SCTE20_PLUS_EMBEDDED",
            "SCC",
            "SRT",
            "SMI",
            "TELETEXT",
            "TTML",
            "WEBVTT",
        ],
        "DvbSubDestinationSettings": ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsDvbSubDestinationSettingsTypeDef,
        "EmbeddedDestinationSettings": ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsEmbeddedDestinationSettingsTypeDef,
        "ImscDestinationSettings": ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsImscDestinationSettingsTypeDef,
        "SccDestinationSettings": ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsSccDestinationSettingsTypeDef,
        "TeletextDestinationSettings": ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsTeletextDestinationSettingsTypeDef,
        "TtmlDestinationSettings": ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsTtmlDestinationSettingsTypeDef,
    },
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsTypeDef",
    {
        "CustomLanguageCode": str,
        "DestinationSettings": ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsDestinationSettingsTypeDef,
        "LanguageCode": Literal[
            "ENG",
            "SPA",
            "FRA",
            "DEU",
            "GER",
            "ZHO",
            "ARA",
            "HIN",
            "JPN",
            "RUS",
            "POR",
            "ITA",
            "URD",
            "VIE",
            "KOR",
            "PAN",
            "ABK",
            "AAR",
            "AFR",
            "AKA",
            "SQI",
            "AMH",
            "ARG",
            "HYE",
            "ASM",
            "AVA",
            "AVE",
            "AYM",
            "AZE",
            "BAM",
            "BAK",
            "EUS",
            "BEL",
            "BEN",
            "BIH",
            "BIS",
            "BOS",
            "BRE",
            "BUL",
            "MYA",
            "CAT",
            "KHM",
            "CHA",
            "CHE",
            "NYA",
            "CHU",
            "CHV",
            "COR",
            "COS",
            "CRE",
            "HRV",
            "CES",
            "DAN",
            "DIV",
            "NLD",
            "DZO",
            "ENM",
            "EPO",
            "EST",
            "EWE",
            "FAO",
            "FIJ",
            "FIN",
            "FRM",
            "FUL",
            "GLA",
            "GLG",
            "LUG",
            "KAT",
            "ELL",
            "GRN",
            "GUJ",
            "HAT",
            "HAU",
            "HEB",
            "HER",
            "HMO",
            "HUN",
            "ISL",
            "IDO",
            "IBO",
            "IND",
            "INA",
            "ILE",
            "IKU",
            "IPK",
            "GLE",
            "JAV",
            "KAL",
            "KAN",
            "KAU",
            "KAS",
            "KAZ",
            "KIK",
            "KIN",
            "KIR",
            "KOM",
            "KON",
            "KUA",
            "KUR",
            "LAO",
            "LAT",
            "LAV",
            "LIM",
            "LIN",
            "LIT",
            "LUB",
            "LTZ",
            "MKD",
            "MLG",
            "MSA",
            "MAL",
            "MLT",
            "GLV",
            "MRI",
            "MAR",
            "MAH",
            "MON",
            "NAU",
            "NAV",
            "NDE",
            "NBL",
            "NDO",
            "NEP",
            "SME",
            "NOR",
            "NOB",
            "NNO",
            "OCI",
            "OJI",
            "ORI",
            "ORM",
            "OSS",
            "PLI",
            "FAS",
            "POL",
            "PUS",
            "QUE",
            "QAA",
            "RON",
            "ROH",
            "RUN",
            "SMO",
            "SAG",
            "SAN",
            "SRD",
            "SRB",
            "SNA",
            "III",
            "SND",
            "SIN",
            "SLK",
            "SLV",
            "SOM",
            "SOT",
            "SUN",
            "SWA",
            "SSW",
            "SWE",
            "TGL",
            "TAH",
            "TGK",
            "TAM",
            "TAT",
            "TEL",
            "THA",
            "BOD",
            "TIR",
            "TON",
            "TSO",
            "TSN",
            "TUR",
            "TUK",
            "TWI",
            "UIG",
            "UKR",
            "UZB",
            "VEN",
            "VOL",
            "WLN",
            "CYM",
            "FRY",
            "WOL",
            "XHO",
            "YID",
            "YOR",
            "ZHA",
            "ZUL",
            "ORJ",
            "QPC",
            "TNG",
        ],
        "LanguageDescription": str,
    },
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsContainerSettingsF4vSettingsTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsContainerSettingsF4vSettingsTypeDef",
    {"MoovPlacement": Literal["PROGRESSIVE_DOWNLOAD", "NORMAL"]},
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsContainerSettingsF4vSettingsTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsContainerSettingsF4vSettingsTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef",
    {"NetworkId": int, "NetworkName": str, "NitInterval": int},
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef",
    {
        "OutputSdt": Literal["SDT_FOLLOW", "SDT_FOLLOW_IF_PRESENT", "SDT_MANUAL", "SDT_NONE"],
        "SdtInterval": int,
        "ServiceName": str,
        "ServiceProviderName": str,
    },
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef",
    {"TdtInterval": int},
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsContainerSettingsM2tsSettingsScte35EsamTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsContainerSettingsM2tsSettingsScte35EsamTypeDef",
    {"Scte35EsamPid": int},
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsContainerSettingsM2tsSettingsScte35EsamTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsContainerSettingsM2tsSettingsScte35EsamTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsContainerSettingsM2tsSettingsTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsContainerSettingsM2tsSettingsTypeDef",
    {
        "AudioBufferModel": Literal["DVB", "ATSC"],
        "AudioFramesPerPes": int,
        "AudioPids": List[int],
        "Bitrate": int,
        "BufferModel": Literal["MULTIPLEX", "NONE"],
        "DvbNitSettings": ListPresetsPaginateResponsePresetsSettingsContainerSettingsM2tsSettingsDvbNitSettingsTypeDef,
        "DvbSdtSettings": ListPresetsPaginateResponsePresetsSettingsContainerSettingsM2tsSettingsDvbSdtSettingsTypeDef,
        "DvbSubPids": List[int],
        "DvbTdtSettings": ListPresetsPaginateResponsePresetsSettingsContainerSettingsM2tsSettingsDvbTdtSettingsTypeDef,
        "DvbTeletextPid": int,
        "EbpAudioInterval": Literal["VIDEO_AND_FIXED_INTERVALS", "VIDEO_INTERVAL"],
        "EbpPlacement": Literal["VIDEO_AND_AUDIO_PIDS", "VIDEO_PID"],
        "EsRateInPes": Literal["INCLUDE", "EXCLUDE"],
        "ForceTsVideoEbpOrder": Literal["FORCE", "DEFAULT"],
        "FragmentTime": float,
        "MaxPcrInterval": int,
        "MinEbpInterval": int,
        "NielsenId3": Literal["INSERT", "NONE"],
        "NullPacketBitrate": float,
        "PatInterval": int,
        "PcrControl": Literal["PCR_EVERY_PES_PACKET", "CONFIGURED_PCR_PERIOD"],
        "PcrPid": int,
        "PmtInterval": int,
        "PmtPid": int,
        "PrivateMetadataPid": int,
        "ProgramNumber": int,
        "RateMode": Literal["VBR", "CBR"],
        "Scte35Esam": ListPresetsPaginateResponsePresetsSettingsContainerSettingsM2tsSettingsScte35EsamTypeDef,
        "Scte35Pid": int,
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
        "SegmentationMarkers": Literal[
            "NONE", "RAI_SEGSTART", "RAI_ADAPT", "PSI_SEGSTART", "EBP", "EBP_LEGACY"
        ],
        "SegmentationStyle": Literal["MAINTAIN_CADENCE", "RESET_CADENCE"],
        "SegmentationTime": float,
        "TimedMetadataPid": int,
        "TransportStreamId": int,
        "VideoPid": int,
    },
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsContainerSettingsM2tsSettingsTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsContainerSettingsM2tsSettingsTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsContainerSettingsM3u8SettingsTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsContainerSettingsM3u8SettingsTypeDef",
    {
        "AudioFramesPerPes": int,
        "AudioPids": List[int],
        "NielsenId3": Literal["INSERT", "NONE"],
        "PatInterval": int,
        "PcrControl": Literal["PCR_EVERY_PES_PACKET", "CONFIGURED_PCR_PERIOD"],
        "PcrPid": int,
        "PmtInterval": int,
        "PmtPid": int,
        "PrivateMetadataPid": int,
        "ProgramNumber": int,
        "Scte35Pid": int,
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
        "TimedMetadata": Literal["PASSTHROUGH", "NONE"],
        "TimedMetadataPid": int,
        "TransportStreamId": int,
        "VideoPid": int,
    },
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsContainerSettingsM3u8SettingsTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsContainerSettingsM3u8SettingsTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsContainerSettingsMovSettingsTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsContainerSettingsMovSettingsTypeDef",
    {
        "ClapAtom": Literal["INCLUDE", "EXCLUDE"],
        "CslgAtom": Literal["INCLUDE", "EXCLUDE"],
        "Mpeg2FourCCControl": Literal["XDCAM", "MPEG"],
        "PaddingControl": Literal["OMNEON", "NONE"],
        "Reference": Literal["SELF_CONTAINED", "EXTERNAL"],
    },
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsContainerSettingsMovSettingsTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsContainerSettingsMovSettingsTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsContainerSettingsMp4SettingsTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsContainerSettingsMp4SettingsTypeDef",
    {
        "CslgAtom": Literal["INCLUDE", "EXCLUDE"],
        "FreeSpaceBox": Literal["INCLUDE", "EXCLUDE"],
        "MoovPlacement": Literal["PROGRESSIVE_DOWNLOAD", "NORMAL"],
        "Mp4MajorBrand": str,
    },
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsContainerSettingsMp4SettingsTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsContainerSettingsMp4SettingsTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsContainerSettingsMpdSettingsTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsContainerSettingsMpdSettingsTypeDef",
    {
        "CaptionContainerType": Literal["RAW", "FRAGMENTED_MP4"],
        "Scte35Esam": Literal["INSERT", "NONE"],
        "Scte35Source": Literal["PASSTHROUGH", "NONE"],
    },
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsContainerSettingsMpdSettingsTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsContainerSettingsMpdSettingsTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsContainerSettingsTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsContainerSettingsTypeDef",
    {
        "Container": Literal[
            "F4V", "ISMV", "M2TS", "M3U8", "CMFC", "MOV", "MP4", "MPD", "MXF", "RAW"
        ],
        "F4vSettings": ListPresetsPaginateResponsePresetsSettingsContainerSettingsF4vSettingsTypeDef,
        "M2tsSettings": ListPresetsPaginateResponsePresetsSettingsContainerSettingsM2tsSettingsTypeDef,
        "M3u8Settings": ListPresetsPaginateResponsePresetsSettingsContainerSettingsM3u8SettingsTypeDef,
        "MovSettings": ListPresetsPaginateResponsePresetsSettingsContainerSettingsMovSettingsTypeDef,
        "Mp4Settings": ListPresetsPaginateResponsePresetsSettingsContainerSettingsMp4SettingsTypeDef,
        "MpdSettings": ListPresetsPaginateResponsePresetsSettingsContainerSettingsMpdSettingsTypeDef,
    },
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsContainerSettingsTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsContainerSettingsTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef",
    {"FramerateDenominator": int, "FramerateNumerator": int, "MaxCaptures": int, "Quality": int},
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef",
    {"MaxAverageBitrate": int, "QvbrQualityLevel": int},
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsH264SettingsTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsH264SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH", "HIGHER", "MAX"],
        "Bitrate": int,
        "CodecLevel": Literal[
            "AUTO",
            "LEVEL_1",
            "LEVEL_1_1",
            "LEVEL_1_2",
            "LEVEL_1_3",
            "LEVEL_2",
            "LEVEL_2_1",
            "LEVEL_2_2",
            "LEVEL_3",
            "LEVEL_3_1",
            "LEVEL_3_2",
            "LEVEL_4",
            "LEVEL_4_1",
            "LEVEL_4_2",
            "LEVEL_5",
            "LEVEL_5_1",
            "LEVEL_5_2",
        ],
        "CodecProfile": Literal[
            "BASELINE", "HIGH", "HIGH_10BIT", "HIGH_422", "HIGH_422_10BIT", "MAIN"
        ],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "EntropyEncoding": Literal["CABAC", "CAVLC"],
        "FieldEncoding": Literal["PAFF", "FORCE_FIELD"],
        "FlickerAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopBReference": Literal["DISABLED", "ENABLED"],
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "NumberReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "SINGLE_PASS_HQ", "MULTI_PASS_HQ"],
        "QvbrSettings": ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsH264SettingsQvbrSettingsTypeDef,
        "RateControlMode": Literal["VBR", "CBR", "QVBR"],
        "RepeatPps": Literal["DISABLED", "ENABLED"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED", "TRANSITION_DETECTION"],
        "Slices": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Softness": int,
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Syntax": Literal["DEFAULT", "RP2027"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "UnregisteredSeiTimecode": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsH264SettingsTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsH264SettingsTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef",
    {"MaxAverageBitrate": int, "QvbrQualityLevel": int},
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsH265SettingsTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsH265SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH", "HIGHER", "MAX"],
        "AlternateTransferFunctionSei": Literal["DISABLED", "ENABLED"],
        "Bitrate": int,
        "CodecLevel": Literal[
            "AUTO",
            "LEVEL_1",
            "LEVEL_2",
            "LEVEL_2_1",
            "LEVEL_3",
            "LEVEL_3_1",
            "LEVEL_4",
            "LEVEL_4_1",
            "LEVEL_5",
            "LEVEL_5_1",
            "LEVEL_5_2",
            "LEVEL_6",
            "LEVEL_6_1",
            "LEVEL_6_2",
        ],
        "CodecProfile": Literal[
            "MAIN_MAIN",
            "MAIN_HIGH",
            "MAIN10_MAIN",
            "MAIN10_HIGH",
            "MAIN_422_8BIT_MAIN",
            "MAIN_422_8BIT_HIGH",
            "MAIN_422_10BIT_MAIN",
            "MAIN_422_10BIT_HIGH",
        ],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "FlickerAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopBReference": Literal["DISABLED", "ENABLED"],
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "NumberReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "SINGLE_PASS_HQ", "MULTI_PASS_HQ"],
        "QvbrSettings": ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsH265SettingsQvbrSettingsTypeDef,
        "RateControlMode": Literal["VBR", "CBR", "QVBR"],
        "SampleAdaptiveOffsetFilterMode": Literal["DEFAULT", "ADAPTIVE", "OFF"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED", "TRANSITION_DETECTION"],
        "Slices": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "TemporalIds": Literal["DISABLED", "ENABLED"],
        "Tiles": Literal["DISABLED", "ENABLED"],
        "UnregisteredSeiTimecode": Literal["DISABLED", "ENABLED"],
        "WriteMp4PackagingType": Literal["HVC1", "HEV1"],
    },
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsH265SettingsTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsH265SettingsTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef",
    {
        "AdaptiveQuantization": Literal["OFF", "LOW", "MEDIUM", "HIGH"],
        "Bitrate": int,
        "CodecLevel": Literal["AUTO", "LOW", "MAIN", "HIGH1440", "HIGH"],
        "CodecProfile": Literal["MAIN", "PROFILE_422"],
        "DynamicSubGop": Literal["ADAPTIVE", "STATIC"],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "GopClosedCadence": int,
        "GopSize": float,
        "GopSizeUnits": Literal["FRAMES", "SECONDS"],
        "HrdBufferInitialFillPercentage": int,
        "HrdBufferSize": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "IntraDcPrecision": Literal[
            "AUTO",
            "INTRA_DC_PRECISION_8",
            "INTRA_DC_PRECISION_9",
            "INTRA_DC_PRECISION_10",
            "INTRA_DC_PRECISION_11",
        ],
        "MaxBitrate": int,
        "MinIInterval": int,
        "NumberBFramesBetweenReferenceFrames": int,
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "QualityTuningLevel": Literal["SINGLE_PASS", "MULTI_PASS"],
        "RateControlMode": Literal["VBR", "CBR"],
        "SceneChangeDetect": Literal["DISABLED", "ENABLED"],
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Softness": int,
        "SpatialAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
        "Syntax": Literal["DEFAULT", "D_10"],
        "Telecine": Literal["NONE", "SOFT", "HARD"],
        "TemporalAdaptiveQuantization": Literal["DISABLED", "ENABLED"],
    },
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsProresSettingsTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsProresSettingsTypeDef",
    {
        "CodecProfile": Literal[
            "APPLE_PRORES_422",
            "APPLE_PRORES_422_HQ",
            "APPLE_PRORES_422_LT",
            "APPLE_PRORES_422_PROXY",
        ],
        "FramerateControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "FramerateConversionAlgorithm": Literal["DUPLICATE_DROP", "INTERPOLATE"],
        "FramerateDenominator": int,
        "FramerateNumerator": int,
        "InterlaceMode": Literal[
            "PROGRESSIVE", "TOP_FIELD", "BOTTOM_FIELD", "FOLLOW_TOP_FIELD", "FOLLOW_BOTTOM_FIELD"
        ],
        "ParControl": Literal["INITIALIZE_FROM_SOURCE", "SPECIFIED"],
        "ParDenominator": int,
        "ParNumerator": int,
        "SlowPal": Literal["DISABLED", "ENABLED"],
        "Telecine": Literal["NONE", "HARD"],
    },
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsProresSettingsTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsProresSettingsTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsTypeDef",
    {
        "Codec": Literal["FRAME_CAPTURE", "H_264", "H_265", "MPEG2", "PRORES"],
        "FrameCaptureSettings": ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsFrameCaptureSettingsTypeDef,
        "H264Settings": ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsH264SettingsTypeDef,
        "H265Settings": ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsH265SettingsTypeDef,
        "Mpeg2Settings": ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsMpeg2SettingsTypeDef,
        "ProresSettings": ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsProresSettingsTypeDef,
    },
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCropTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCropTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCropTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCropTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionPositionTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionPositionTypeDef",
    {"Height": int, "Width": int, "X": int, "Y": int},
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsVideoDescriptionPositionTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsVideoDescriptionPositionTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef",
    {
        "BluePrimaryX": int,
        "BluePrimaryY": int,
        "GreenPrimaryX": int,
        "GreenPrimaryY": int,
        "MaxContentLightLevel": int,
        "MaxFrameAverageLightLevel": int,
        "MaxLuminance": int,
        "MinLuminance": int,
        "RedPrimaryX": int,
        "RedPrimaryY": int,
        "WhitePointX": int,
        "WhitePointY": int,
    },
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef",
    {
        "Brightness": int,
        "ColorSpaceConversion": Literal[
            "NONE", "FORCE_601", "FORCE_709", "FORCE_HDR10", "FORCE_HLG_2020"
        ],
        "Contrast": int,
        "Hdr10Metadata": ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsColorCorrectorHdr10MetadataTypeDef,
        "Hue": int,
        "Saturation": int,
    },
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef",
    {
        "Algorithm": Literal["INTERPOLATE", "INTERPOLATE_TICKER", "BLEND", "BLEND_TICKER"],
        "Control": Literal["FORCE_ALL_FRAMES", "NORMAL"],
        "Mode": Literal["DEINTERLACE", "INVERSE_TELECINE", "ADAPTIVE"],
    },
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef",
    {"MaxCll": int, "MaxFall": int},
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef",
    {
        "L6Metadata": ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsDolbyVisionL6MetadataTypeDef,
        "L6Mode": Literal["PASSTHROUGH", "RECALCULATE", "SPECIFY"],
        "Profile": str,
    },
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef",
    {
        "Duration": int,
        "FadeIn": int,
        "FadeOut": int,
        "Height": int,
        "ImageInserterInput": str,
        "ImageX": int,
        "ImageY": int,
        "Layer": int,
        "Opacity": int,
        "StartTime": str,
        "Width": int,
    },
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsImageInserterTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsImageInserterTypeDef",
    {
        "InsertableImages": List[
            ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsImageInserterInsertableImagesTypeDef
        ]
    },
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsImageInserterTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsImageInserterTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef",
    {"Strength": int},
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef",
    {"PostFilterSharpenStrength": int, "Speed": int, "Strength": int},
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef",
    {"AggressiveMode": int, "Speed": int, "Strength": int},
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef",
    {
        "Filter": Literal[
            "BILATERAL", "MEAN", "GAUSSIAN", "LANCZOS", "SHARPEN", "CONSERVE", "SPATIAL", "TEMPORAL"
        ],
        "FilterSettings": ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerFilterSettingsTypeDef,
        "SpatialFilterSettings": ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerSpatialFilterSettingsTypeDef,
        "TemporalFilterSettings": ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTemporalFilterSettingsTypeDef,
    },
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef",
    {
        "FontSize": int,
        "Position": Literal[
            "TOP_CENTER",
            "TOP_LEFT",
            "TOP_RIGHT",
            "MIDDLE_LEFT",
            "MIDDLE_CENTER",
            "MIDDLE_RIGHT",
            "BOTTOM_LEFT",
            "BOTTOM_CENTER",
            "BOTTOM_RIGHT",
        ],
        "Prefix": str,
    },
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsTypeDef",
    {
        "ColorCorrector": ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsColorCorrectorTypeDef,
        "Deinterlacer": ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsDeinterlacerTypeDef,
        "DolbyVision": ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsDolbyVisionTypeDef,
        "ImageInserter": ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsImageInserterTypeDef,
        "NoiseReducer": ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsNoiseReducerTypeDef,
        "TimecodeBurnin": ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsTimecodeBurninTypeDef,
    },
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsVideoDescriptionTypeDef",
    {
        "AfdSignaling": Literal["NONE", "AUTO", "FIXED"],
        "AntiAlias": Literal["DISABLED", "ENABLED"],
        "CodecSettings": ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCodecSettingsTypeDef,
        "ColorMetadata": Literal["IGNORE", "INSERT"],
        "Crop": ListPresetsPaginateResponsePresetsSettingsVideoDescriptionCropTypeDef,
        "DropFrameTimecode": Literal["DISABLED", "ENABLED"],
        "FixedAfd": int,
        "Height": int,
        "Position": ListPresetsPaginateResponsePresetsSettingsVideoDescriptionPositionTypeDef,
        "RespondToAfd": Literal["NONE", "RESPOND", "PASSTHROUGH"],
        "ScalingBehavior": Literal["DEFAULT", "STRETCH_TO_OUTPUT"],
        "Sharpness": int,
        "TimecodeInsertion": Literal["DISABLED", "PIC_TIMING_SEI"],
        "VideoPreprocessors": ListPresetsPaginateResponsePresetsSettingsVideoDescriptionVideoPreprocessorsTypeDef,
        "Width": int,
    },
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsVideoDescriptionTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsVideoDescriptionTypeDef
):
    pass


_ListPresetsPaginateResponsePresetsSettingsTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsSettingsTypeDef",
    {
        "AudioDescriptions": List[
            ListPresetsPaginateResponsePresetsSettingsAudioDescriptionsTypeDef
        ],
        "CaptionDescriptions": List[
            ListPresetsPaginateResponsePresetsSettingsCaptionDescriptionsTypeDef
        ],
        "ContainerSettings": ListPresetsPaginateResponsePresetsSettingsContainerSettingsTypeDef,
        "VideoDescription": ListPresetsPaginateResponsePresetsSettingsVideoDescriptionTypeDef,
    },
    total=False,
)


class ListPresetsPaginateResponsePresetsSettingsTypeDef(
    _ListPresetsPaginateResponsePresetsSettingsTypeDef
):
    """
    - **Settings** *(dict) --*Settings for preset

      - **AudioDescriptions** *(list) --*(AudioDescriptions) contains groups of audio encoding
      settings organized by audio codec. Include one instance of (AudioDescriptions) per output.
      (AudioDescriptions) can contain multiple groups of encoding settings.

        - *(dict) --*Description of audio output

          - **AudioNormalizationSettings** *(dict) --*Advanced audio normalization settings. Ignore
          these settings unless you need to comply with a loudness standard.

            - **Algorithm** *(string) --*Choose one of the following audio normalization algorithms:
            ITU-R BS.1770-1: Ungated loudness. A measurement of ungated average loudness for an
            entire piece of content, suitable for measurement of short-form content under ATSC
            recommendation A/85. Supports up to 5.1 audio channels. ITU-R BS.1770-2: Gated loudness.
            A measurement of gated average loudness compliant with the requirements of EBU-R128.
            Supports up to 5.1 audio channels. ITU-R BS.1770-3: Modified peak. The same loudness
            measurement algorithm as 1770-2, with an updated true peak measurement. ITU-R BS.1770-4:
            Higher channel count. Allows for more audio channels than the other algorithms,
            including configurations such as 7.1.
            - **AlgorithmControl** *(string) --*When enabled the output audio is corrected using the
            chosen algorithm. If disabled, the audio will be measured but not adjusted.
            - **CorrectionGateLevel** *(integer) --*Content measuring above this level will be
            corrected to the target level. Content measuring below this level will not be corrected.
            Gating only applies when not using real_time_correction.
            - **LoudnessLogging** *(string) --*If set to LOG, log each output's audio track loudness
            to a CSV file.
            - **PeakCalculation** *(string) --*If set to TRUE_PEAK, calculate and log the TruePeak
            for each output's audio track loudness.
            - **TargetLkfs** *(float) --*When you use Audio normalization
            (AudioNormalizationSettings), optionally use this setting to specify a target loudness.
            If you don't specify a value here, the encoder chooses a value for you, based on the
            algorithm that you choose for Algorithm (algorithm). If you choose algorithm 1770-1, the
            encoder will choose -24 LKFS; otherwise, the encoder will choose -23 LKFS.
    """


_ListPresetsPaginateResponsePresetsTypeDef = TypedDict(
    "_ListPresetsPaginateResponsePresetsTypeDef",
    {
        "Arn": str,
        "Category": str,
        "CreatedAt": datetime,
        "Description": str,
        "LastUpdated": datetime,
        "Name": str,
        "Settings": ListPresetsPaginateResponsePresetsSettingsTypeDef,
        "Type": Literal["SYSTEM", "CUSTOM"],
    },
    total=False,
)


class ListPresetsPaginateResponsePresetsTypeDef(_ListPresetsPaginateResponsePresetsTypeDef):
    """
    - *(dict) --*A preset is a collection of preconfigured media conversion settings that you want
    MediaConvert to apply to the output during the conversion process.

      - **Arn** *(string) --*An identifier for this resource that is unique within all of AWS.
      - **Category** *(string) --*An optional category you create to organize your presets.
      - **CreatedAt** *(datetime) --*The timestamp in epoch seconds for preset creation.
      - **Description** *(string) --*An optional description you create for each preset.
      - **LastUpdated** *(datetime) --*The timestamp in epoch seconds when the preset was last
      updated.
      - **Name** *(string) --*A name you create for each preset. Each name must be unique within
      your account.
      - **Settings** *(dict) --*Settings for preset

        - **AudioDescriptions** *(list) --*(AudioDescriptions) contains groups of audio encoding
        settings organized by audio codec. Include one instance of (AudioDescriptions) per output.
        (AudioDescriptions) can contain multiple groups of encoding settings.

          - *(dict) --*Description of audio output

            - **AudioNormalizationSettings** *(dict) --*Advanced audio normalization settings.
            Ignore these settings unless you need to comply with a loudness standard.

              - **Algorithm** *(string) --*Choose one of the following audio normalization
              algorithms: ITU-R BS.1770-1: Ungated loudness. A measurement of ungated average
              loudness for an entire piece of content, suitable for measurement of short-form
              content under ATSC recommendation A/85. Supports up to 5.1 audio channels. ITU-R
              BS.1770-2: Gated loudness. A measurement of gated average loudness compliant with the
              requirements of EBU-R128. Supports up to 5.1 audio channels. ITU-R BS.1770-3: Modified
              peak. The same loudness measurement algorithm as 1770-2, with an updated true peak
              measurement. ITU-R BS.1770-4: Higher channel count. Allows for more audio channels
              than the other algorithms, including configurations such as 7.1.
              - **AlgorithmControl** *(string) --*When enabled the output audio is corrected using
              the chosen algorithm. If disabled, the audio will be measured but not adjusted.
              - **CorrectionGateLevel** *(integer) --*Content measuring above this level will be
              corrected to the target level. Content measuring below this level will not be
              corrected. Gating only applies when not using real_time_correction.
              - **LoudnessLogging** *(string) --*If set to LOG, log each output's audio track
              loudness to a CSV file.
              - **PeakCalculation** *(string) --*If set to TRUE_PEAK, calculate and log the TruePeak
              for each output's audio track loudness.
              - **TargetLkfs** *(float) --*When you use Audio normalization
              (AudioNormalizationSettings), optionally use this setting to specify a target
              loudness. If you don't specify a value here, the encoder chooses a value for you,
              based on the algorithm that you choose for Algorithm (algorithm). If you choose
              algorithm 1770-1, the encoder will choose -24 LKFS; otherwise, the encoder will choose
              -23 LKFS.
    """


_ListPresetsPaginateResponseTypeDef = TypedDict(
    "_ListPresetsPaginateResponseTypeDef",
    {"Presets": List[ListPresetsPaginateResponsePresetsTypeDef]},
    total=False,
)


class ListPresetsPaginateResponseTypeDef(_ListPresetsPaginateResponseTypeDef):
    """
    - *(dict) --*

      - **Presets** *(list) --*List of presets

        - *(dict) --*A preset is a collection of preconfigured media conversion settings that you
        want MediaConvert to apply to the output during the conversion process.

          - **Arn** *(string) --*An identifier for this resource that is unique within all of AWS.
          - **Category** *(string) --*An optional category you create to organize your presets.
          - **CreatedAt** *(datetime) --*The timestamp in epoch seconds for preset creation.
          - **Description** *(string) --*An optional description you create for each preset.
          - **LastUpdated** *(datetime) --*The timestamp in epoch seconds when the preset was last
          updated.
          - **Name** *(string) --*A name you create for each preset. Each name must be unique within
          your account.
          - **Settings** *(dict) --*Settings for preset

            - **AudioDescriptions** *(list) --*(AudioDescriptions) contains groups of audio encoding
            settings organized by audio codec. Include one instance of (AudioDescriptions) per
            output. (AudioDescriptions) can contain multiple groups of encoding settings.

              - *(dict) --*Description of audio output

                - **AudioNormalizationSettings** *(dict) --*Advanced audio normalization settings.
                Ignore these settings unless you need to comply with a loudness standard.

                  - **Algorithm** *(string) --*Choose one of the following audio normalization
                  algorithms: ITU-R BS.1770-1: Ungated loudness. A measurement of ungated average
                  loudness for an entire piece of content, suitable for measurement of short-form
                  content under ATSC recommendation A/85. Supports up to 5.1 audio channels. ITU-R
                  BS.1770-2: Gated loudness. A measurement of gated average loudness compliant with
                  the requirements of EBU-R128. Supports up to 5.1 audio channels. ITU-R BS.1770-3:
                  Modified peak. The same loudness measurement algorithm as 1770-2, with an updated
                  true peak measurement. ITU-R BS.1770-4: Higher channel count. Allows for more
                  audio channels than the other algorithms, including configurations such as 7.1.
                  - **AlgorithmControl** *(string) --*When enabled the output audio is corrected
                  using the chosen algorithm. If disabled, the audio will be measured but not
                  adjusted.
                  - **CorrectionGateLevel** *(integer) --*Content measuring above this level will be
                  corrected to the target level. Content measuring below this level will not be
                  corrected. Gating only applies when not using real_time_correction.
                  - **LoudnessLogging** *(string) --*If set to LOG, log each output's audio track
                  loudness to a CSV file.
                  - **PeakCalculation** *(string) --*If set to TRUE_PEAK, calculate and log the
                  TruePeak for each output's audio track loudness.
                  - **TargetLkfs** *(float) --*When you use Audio normalization
                  (AudioNormalizationSettings), optionally use this setting to specify a target
                  loudness. If you don't specify a value here, the encoder chooses a value for you,
                  based on the algorithm that you choose for Algorithm (algorithm). If you choose
                  algorithm 1770-1, the encoder will choose -24 LKFS; otherwise, the encoder will
                  choose -23 LKFS.
    """


_ListQueuesPaginatePaginationConfigTypeDef = TypedDict(
    "_ListQueuesPaginatePaginationConfigTypeDef",
    {"MaxItems": int, "PageSize": int, "StartingToken": str},
    total=False,
)


class ListQueuesPaginatePaginationConfigTypeDef(_ListQueuesPaginatePaginationConfigTypeDef):
    """
    A dictionary that provides parameters to control pagination.
    - **MaxItems** *(integer) --*

      The total number of items to return. If the total number of items available is more than the
      value specified in max-items then a ``NextToken`` will be provided in the output that you can
      use to resume pagination.
    """


_ListQueuesPaginateResponseQueuesReservationPlanTypeDef = TypedDict(
    "_ListQueuesPaginateResponseQueuesReservationPlanTypeDef",
    {
        "Commitment": str,
        "ExpiresAt": datetime,
        "PurchasedAt": datetime,
        "RenewalType": Literal["AUTO_RENEW", "EXPIRE"],
        "ReservedSlots": int,
        "Status": Literal["ACTIVE", "EXPIRED"],
    },
    total=False,
)


class ListQueuesPaginateResponseQueuesReservationPlanTypeDef(
    _ListQueuesPaginateResponseQueuesReservationPlanTypeDef
):
    """
    - **ReservationPlan** *(dict) --*Details about the pricing plan for your reserved queue.
    Required for reserved queues and not applicable to on-demand queues.

      - **Commitment** *(string) --*The length of the term of your reserved queue pricing plan
      commitment.
      - **ExpiresAt** *(datetime) --*The timestamp in epoch seconds for when the current pricing
      plan term for this reserved queue expires.
      - **PurchasedAt** *(datetime) --*The timestamp in epoch seconds for when you set up the
      current pricing plan for this reserved queue.
      - **RenewalType** *(string) --*Specifies whether the term of your reserved queue pricing plan
      is automatically extended (AUTO_RENEW) or expires (EXPIRE) at the end of the term.
      - **ReservedSlots** *(integer) --*Specifies the number of reserved transcode slots (RTS) for
      this queue. The number of RTS determines how many jobs the queue can process in parallel; each
      RTS can process one job at a time. When you increase this number, you extend your existing
      commitment with a new 12-month commitment for a larger number of RTS. The new commitment
      begins when you purchase the additional capacity. You can't decrease the number of RTS in your
      reserved queue.
      - **Status** *(string) --*Specifies whether the pricing plan for your reserved queue is ACTIVE
      or EXPIRED.
    """


_ListQueuesPaginateResponseQueuesTypeDef = TypedDict(
    "_ListQueuesPaginateResponseQueuesTypeDef",
    {
        "Arn": str,
        "CreatedAt": datetime,
        "Description": str,
        "LastUpdated": datetime,
        "Name": str,
        "PricingPlan": Literal["ON_DEMAND", "RESERVED"],
        "ProgressingJobsCount": int,
        "ReservationPlan": ListQueuesPaginateResponseQueuesReservationPlanTypeDef,
        "Status": Literal["ACTIVE", "PAUSED"],
        "SubmittedJobsCount": int,
        "Type": Literal["SYSTEM", "CUSTOM"],
    },
    total=False,
)


class ListQueuesPaginateResponseQueuesTypeDef(_ListQueuesPaginateResponseQueuesTypeDef):
    """
    - *(dict) --*You can use queues to manage the resources that are available to your AWS account
    for running multiple transcoding jobs at the same time. If you don't specify a queue, the
    service sends all jobs through the default queue. For more information, see
    https://docs.aws.amazon.com/mediaconvert/latest/ug/working-with-queues.html.

      - **Arn** *(string) --*An identifier for this resource that is unique within all of AWS.
      - **CreatedAt** *(datetime) --*The timestamp in epoch seconds for when you created the queue.
      - **Description** *(string) --*An optional description that you create for each queue.
      - **LastUpdated** *(datetime) --*The timestamp in epoch seconds for when you most recently
      updated the queue.
      - **Name** *(string) --*A name that you create for each queue. Each name must be unique within
      your account.
      - **PricingPlan** *(string) --*Specifies whether the pricing plan for the queue is on-demand
      or reserved. For on-demand, you pay per minute, billed in increments of .01 minute. For
      reserved, you pay for the transcoding capacity of the entire queue, regardless of how much or
      how little you use it. Reserved pricing requires a 12-month commitment.
      - **ProgressingJobsCount** *(integer) --*The estimated number of jobs with a PROGRESSING
      status.
      - **ReservationPlan** *(dict) --*Details about the pricing plan for your reserved queue.
      Required for reserved queues and not applicable to on-demand queues.

        - **Commitment** *(string) --*The length of the term of your reserved queue pricing plan
        commitment.
        - **ExpiresAt** *(datetime) --*The timestamp in epoch seconds for when the current pricing
        plan term for this reserved queue expires.
        - **PurchasedAt** *(datetime) --*The timestamp in epoch seconds for when you set up the
        current pricing plan for this reserved queue.
        - **RenewalType** *(string) --*Specifies whether the term of your reserved queue pricing
        plan is automatically extended (AUTO_RENEW) or expires (EXPIRE) at the end of the term.
        - **ReservedSlots** *(integer) --*Specifies the number of reserved transcode slots (RTS) for
        this queue. The number of RTS determines how many jobs the queue can process in parallel;
        each RTS can process one job at a time. When you increase this number, you extend your
        existing commitment with a new 12-month commitment for a larger number of RTS. The new
        commitment begins when you purchase the additional capacity. You can't decrease the number
        of RTS in your reserved queue.
        - **Status** *(string) --*Specifies whether the pricing plan for your reserved queue is
        ACTIVE or EXPIRED.
    """


_ListQueuesPaginateResponseTypeDef = TypedDict(
    "_ListQueuesPaginateResponseTypeDef",
    {"Queues": List[ListQueuesPaginateResponseQueuesTypeDef]},
    total=False,
)


class ListQueuesPaginateResponseTypeDef(_ListQueuesPaginateResponseTypeDef):
    """
    - *(dict) --*

      - **Queues** *(list) --*List of queues.

        - *(dict) --*You can use queues to manage the resources that are available to your AWS
        account for running multiple transcoding jobs at the same time. If you don't specify a
        queue, the service sends all jobs through the default queue. For more information, see
        https://docs.aws.amazon.com/mediaconvert/latest/ug/working-with-queues.html.

          - **Arn** *(string) --*An identifier for this resource that is unique within all of AWS.
          - **CreatedAt** *(datetime) --*The timestamp in epoch seconds for when you created the
          queue.
          - **Description** *(string) --*An optional description that you create for each queue.
          - **LastUpdated** *(datetime) --*The timestamp in epoch seconds for when you most recently
          updated the queue.
          - **Name** *(string) --*A name that you create for each queue. Each name must be unique
          within your account.
          - **PricingPlan** *(string) --*Specifies whether the pricing plan for the queue is
          on-demand or reserved. For on-demand, you pay per minute, billed in increments of .01
          minute. For reserved, you pay for the transcoding capacity of the entire queue, regardless
          of how much or how little you use it. Reserved pricing requires a 12-month commitment.
          - **ProgressingJobsCount** *(integer) --*The estimated number of jobs with a PROGRESSING
          status.
          - **ReservationPlan** *(dict) --*Details about the pricing plan for your reserved queue.
          Required for reserved queues and not applicable to on-demand queues.

            - **Commitment** *(string) --*The length of the term of your reserved queue pricing plan
            commitment.
            - **ExpiresAt** *(datetime) --*The timestamp in epoch seconds for when the current
            pricing plan term for this reserved queue expires.
            - **PurchasedAt** *(datetime) --*The timestamp in epoch seconds for when you set up the
            current pricing plan for this reserved queue.
            - **RenewalType** *(string) --*Specifies whether the term of your reserved queue pricing
            plan is automatically extended (AUTO_RENEW) or expires (EXPIRE) at the end of the term.
            - **ReservedSlots** *(integer) --*Specifies the number of reserved transcode slots (RTS)
            for this queue. The number of RTS determines how many jobs the queue can process in
            parallel; each RTS can process one job at a time. When you increase this number, you
            extend your existing commitment with a new 12-month commitment for a larger number of
            RTS. The new commitment begins when you purchase the additional capacity. You can't
            decrease the number of RTS in your reserved queue.
            - **Status** *(string) --*Specifies whether the pricing plan for your reserved queue is
            ACTIVE or EXPIRED.
    """
